/* Copyright 2022 - 2024 R. Thomas
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#pragma once
#include "LIEF/DyldSharedCache/MappingInfo.hpp"
#include "LIEF/rust/Mirror.hpp"

class dsc_MappingInfo : private Mirror<LIEF::dsc::MappingInfo> {
  public:
  using lief_t = LIEF::dsc::MappingInfo;
  using Mirror::Mirror;

  auto address() const { return get().address(); }
  auto size() const { return get().size(); }
  auto end_address() const { return get().end_address(); }
  auto file_offset() const { return get().file_offset(); }
  auto max_prot() const { return get().max_prot(); }
  auto init_prot() const { return get().init_prot(); }
};
