#include "asm/x86/init.hpp"

#include "LIEF/asm/x86/opcodes.hpp"

namespace LIEF::assembly::x86::py {
template<>
void create<LIEF::assembly::x86::OPCODE>(nb::module_& m) {
  nb::enum_<LIEF::assembly::x86::OPCODE> opcodes(m, "OPCODE");
  opcodes.value("PHI", LIEF::assembly::x86::OPCODE::PHI)
  .value("INLINEASM", LIEF::assembly::x86::OPCODE::INLINEASM)
  .value("INLINEASM_BR", LIEF::assembly::x86::OPCODE::INLINEASM_BR)
  .value("CFI_INSTRUCTION", LIEF::assembly::x86::OPCODE::CFI_INSTRUCTION)
  .value("EH_LABEL", LIEF::assembly::x86::OPCODE::EH_LABEL)
  .value("GC_LABEL", LIEF::assembly::x86::OPCODE::GC_LABEL)
  .value("ANNOTATION_LABEL", LIEF::assembly::x86::OPCODE::ANNOTATION_LABEL)
  .value("KILL", LIEF::assembly::x86::OPCODE::KILL)
  .value("EXTRACT_SUBREG", LIEF::assembly::x86::OPCODE::EXTRACT_SUBREG)
  .value("INSERT_SUBREG", LIEF::assembly::x86::OPCODE::INSERT_SUBREG)
  .value("IMPLICIT_DEF", LIEF::assembly::x86::OPCODE::IMPLICIT_DEF)
  .value("SUBREG_TO_REG", LIEF::assembly::x86::OPCODE::SUBREG_TO_REG)
  .value("COPY_TO_REGCLASS", LIEF::assembly::x86::OPCODE::COPY_TO_REGCLASS)
  .value("DBG_VALUE", LIEF::assembly::x86::OPCODE::DBG_VALUE)
  .value("DBG_VALUE_LIST", LIEF::assembly::x86::OPCODE::DBG_VALUE_LIST)
  .value("DBG_INSTR_REF", LIEF::assembly::x86::OPCODE::DBG_INSTR_REF)
  .value("DBG_PHI", LIEF::assembly::x86::OPCODE::DBG_PHI)
  .value("DBG_LABEL", LIEF::assembly::x86::OPCODE::DBG_LABEL)
  .value("REG_SEQUENCE", LIEF::assembly::x86::OPCODE::REG_SEQUENCE)
  .value("COPY", LIEF::assembly::x86::OPCODE::COPY)
  .value("BUNDLE", LIEF::assembly::x86::OPCODE::BUNDLE)
  .value("LIFETIME_START", LIEF::assembly::x86::OPCODE::LIFETIME_START)
  .value("LIFETIME_END", LIEF::assembly::x86::OPCODE::LIFETIME_END)
  .value("PSEUDO_PROBE", LIEF::assembly::x86::OPCODE::PSEUDO_PROBE)
  .value("ARITH_FENCE", LIEF::assembly::x86::OPCODE::ARITH_FENCE)
  .value("STACKMAP", LIEF::assembly::x86::OPCODE::STACKMAP)
  .value("FENTRY_CALL", LIEF::assembly::x86::OPCODE::FENTRY_CALL)
  .value("PATCHPOINT", LIEF::assembly::x86::OPCODE::PATCHPOINT)
  .value("LOAD_STACK_GUARD", LIEF::assembly::x86::OPCODE::LOAD_STACK_GUARD)
  .value("PREALLOCATED_SETUP", LIEF::assembly::x86::OPCODE::PREALLOCATED_SETUP)
  .value("PREALLOCATED_ARG", LIEF::assembly::x86::OPCODE::PREALLOCATED_ARG)
  .value("STATEPOINT", LIEF::assembly::x86::OPCODE::STATEPOINT)
  .value("LOCAL_ESCAPE", LIEF::assembly::x86::OPCODE::LOCAL_ESCAPE)
  .value("FAULTING_OP", LIEF::assembly::x86::OPCODE::FAULTING_OP)
  .value("PATCHABLE_OP", LIEF::assembly::x86::OPCODE::PATCHABLE_OP)
  .value("PATCHABLE_FUNCTION_ENTER", LIEF::assembly::x86::OPCODE::PATCHABLE_FUNCTION_ENTER)
  .value("PATCHABLE_RET", LIEF::assembly::x86::OPCODE::PATCHABLE_RET)
  .value("PATCHABLE_FUNCTION_EXIT", LIEF::assembly::x86::OPCODE::PATCHABLE_FUNCTION_EXIT)
  .value("PATCHABLE_TAIL_CALL", LIEF::assembly::x86::OPCODE::PATCHABLE_TAIL_CALL)
  .value("PATCHABLE_EVENT_CALL", LIEF::assembly::x86::OPCODE::PATCHABLE_EVENT_CALL)
  .value("PATCHABLE_TYPED_EVENT_CALL", LIEF::assembly::x86::OPCODE::PATCHABLE_TYPED_EVENT_CALL)
  .value("ICALL_BRANCH_FUNNEL", LIEF::assembly::x86::OPCODE::ICALL_BRANCH_FUNNEL)
  .value("MEMBARRIER", LIEF::assembly::x86::OPCODE::MEMBARRIER)
  .value("JUMP_TABLE_DEBUG_INFO", LIEF::assembly::x86::OPCODE::JUMP_TABLE_DEBUG_INFO)
  .value("CONVERGENCECTRL_ENTRY", LIEF::assembly::x86::OPCODE::CONVERGENCECTRL_ENTRY)
  .value("CONVERGENCECTRL_ANCHOR", LIEF::assembly::x86::OPCODE::CONVERGENCECTRL_ANCHOR)
  .value("CONVERGENCECTRL_LOOP", LIEF::assembly::x86::OPCODE::CONVERGENCECTRL_LOOP)
  .value("CONVERGENCECTRL_GLUE", LIEF::assembly::x86::OPCODE::CONVERGENCECTRL_GLUE)
  .value("G_ASSERT_SEXT", LIEF::assembly::x86::OPCODE::G_ASSERT_SEXT)
  .value("G_ASSERT_ZEXT", LIEF::assembly::x86::OPCODE::G_ASSERT_ZEXT)
  .value("G_ASSERT_ALIGN", LIEF::assembly::x86::OPCODE::G_ASSERT_ALIGN)
  .value("G_ADD", LIEF::assembly::x86::OPCODE::G_ADD)
  .value("G_SUB", LIEF::assembly::x86::OPCODE::G_SUB)
  .value("G_MUL", LIEF::assembly::x86::OPCODE::G_MUL)
  .value("G_SDIV", LIEF::assembly::x86::OPCODE::G_SDIV)
  .value("G_UDIV", LIEF::assembly::x86::OPCODE::G_UDIV)
  .value("G_SREM", LIEF::assembly::x86::OPCODE::G_SREM)
  .value("G_UREM", LIEF::assembly::x86::OPCODE::G_UREM)
  .value("G_SDIVREM", LIEF::assembly::x86::OPCODE::G_SDIVREM)
  .value("G_UDIVREM", LIEF::assembly::x86::OPCODE::G_UDIVREM)
  .value("G_AND", LIEF::assembly::x86::OPCODE::G_AND)
  .value("G_OR", LIEF::assembly::x86::OPCODE::G_OR)
  .value("G_XOR", LIEF::assembly::x86::OPCODE::G_XOR)
  .value("G_IMPLICIT_DEF", LIEF::assembly::x86::OPCODE::G_IMPLICIT_DEF)
  .value("G_PHI", LIEF::assembly::x86::OPCODE::G_PHI)
  .value("G_FRAME_INDEX", LIEF::assembly::x86::OPCODE::G_FRAME_INDEX)
  .value("G_GLOBAL_VALUE", LIEF::assembly::x86::OPCODE::G_GLOBAL_VALUE)
  .value("G_PTRAUTH_GLOBAL_VALUE", LIEF::assembly::x86::OPCODE::G_PTRAUTH_GLOBAL_VALUE)
  .value("G_CONSTANT_POOL", LIEF::assembly::x86::OPCODE::G_CONSTANT_POOL)
  .value("G_EXTRACT", LIEF::assembly::x86::OPCODE::G_EXTRACT)
  .value("G_UNMERGE_VALUES", LIEF::assembly::x86::OPCODE::G_UNMERGE_VALUES)
  .value("G_INSERT", LIEF::assembly::x86::OPCODE::G_INSERT)
  .value("G_MERGE_VALUES", LIEF::assembly::x86::OPCODE::G_MERGE_VALUES)
  .value("G_BUILD_VECTOR", LIEF::assembly::x86::OPCODE::G_BUILD_VECTOR)
  .value("G_BUILD_VECTOR_TRUNC", LIEF::assembly::x86::OPCODE::G_BUILD_VECTOR_TRUNC)
  .value("G_CONCAT_VECTORS", LIEF::assembly::x86::OPCODE::G_CONCAT_VECTORS)
  .value("G_PTRTOINT", LIEF::assembly::x86::OPCODE::G_PTRTOINT)
  .value("G_INTTOPTR", LIEF::assembly::x86::OPCODE::G_INTTOPTR)
  .value("G_BITCAST", LIEF::assembly::x86::OPCODE::G_BITCAST)
  .value("G_FREEZE", LIEF::assembly::x86::OPCODE::G_FREEZE)
  .value("G_CONSTANT_FOLD_BARRIER", LIEF::assembly::x86::OPCODE::G_CONSTANT_FOLD_BARRIER)
  .value("G_INTRINSIC_FPTRUNC_ROUND", LIEF::assembly::x86::OPCODE::G_INTRINSIC_FPTRUNC_ROUND)
  .value("G_INTRINSIC_TRUNC", LIEF::assembly::x86::OPCODE::G_INTRINSIC_TRUNC)
  .value("G_INTRINSIC_ROUND", LIEF::assembly::x86::OPCODE::G_INTRINSIC_ROUND)
  .value("G_INTRINSIC_LRINT", LIEF::assembly::x86::OPCODE::G_INTRINSIC_LRINT)
  .value("G_INTRINSIC_LLRINT", LIEF::assembly::x86::OPCODE::G_INTRINSIC_LLRINT)
  .value("G_INTRINSIC_ROUNDEVEN", LIEF::assembly::x86::OPCODE::G_INTRINSIC_ROUNDEVEN)
  .value("G_READCYCLECOUNTER", LIEF::assembly::x86::OPCODE::G_READCYCLECOUNTER)
  .value("G_READSTEADYCOUNTER", LIEF::assembly::x86::OPCODE::G_READSTEADYCOUNTER)
  .value("G_LOAD", LIEF::assembly::x86::OPCODE::G_LOAD)
  .value("G_SEXTLOAD", LIEF::assembly::x86::OPCODE::G_SEXTLOAD)
  .value("G_ZEXTLOAD", LIEF::assembly::x86::OPCODE::G_ZEXTLOAD)
  .value("G_INDEXED_LOAD", LIEF::assembly::x86::OPCODE::G_INDEXED_LOAD)
  .value("G_INDEXED_SEXTLOAD", LIEF::assembly::x86::OPCODE::G_INDEXED_SEXTLOAD)
  .value("G_INDEXED_ZEXTLOAD", LIEF::assembly::x86::OPCODE::G_INDEXED_ZEXTLOAD)
  .value("G_STORE", LIEF::assembly::x86::OPCODE::G_STORE)
  .value("G_INDEXED_STORE", LIEF::assembly::x86::OPCODE::G_INDEXED_STORE)
  .value("G_ATOMIC_CMPXCHG_WITH_SUCCESS", LIEF::assembly::x86::OPCODE::G_ATOMIC_CMPXCHG_WITH_SUCCESS)
  .value("G_ATOMIC_CMPXCHG", LIEF::assembly::x86::OPCODE::G_ATOMIC_CMPXCHG)
  .value("G_ATOMICRMW_XCHG", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_XCHG)
  .value("G_ATOMICRMW_ADD", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_ADD)
  .value("G_ATOMICRMW_SUB", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_SUB)
  .value("G_ATOMICRMW_AND", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_AND)
  .value("G_ATOMICRMW_NAND", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_NAND)
  .value("G_ATOMICRMW_OR", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_OR)
  .value("G_ATOMICRMW_XOR", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_XOR)
  .value("G_ATOMICRMW_MAX", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_MAX)
  .value("G_ATOMICRMW_MIN", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_MIN)
  .value("G_ATOMICRMW_UMAX", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_UMAX)
  .value("G_ATOMICRMW_UMIN", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_UMIN)
  .value("G_ATOMICRMW_FADD", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_FADD)
  .value("G_ATOMICRMW_FSUB", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_FSUB)
  .value("G_ATOMICRMW_FMAX", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_FMAX)
  .value("G_ATOMICRMW_FMIN", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_FMIN)
  .value("G_ATOMICRMW_UINC_WRAP", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_UINC_WRAP)
  .value("G_ATOMICRMW_UDEC_WRAP", LIEF::assembly::x86::OPCODE::G_ATOMICRMW_UDEC_WRAP)
  .value("G_FENCE", LIEF::assembly::x86::OPCODE::G_FENCE)
  .value("G_PREFETCH", LIEF::assembly::x86::OPCODE::G_PREFETCH)
  .value("G_BRCOND", LIEF::assembly::x86::OPCODE::G_BRCOND)
  .value("G_BRINDIRECT", LIEF::assembly::x86::OPCODE::G_BRINDIRECT)
  .value("G_INVOKE_REGION_START", LIEF::assembly::x86::OPCODE::G_INVOKE_REGION_START)
  .value("G_INTRINSIC", LIEF::assembly::x86::OPCODE::G_INTRINSIC)
  .value("G_INTRINSIC_W_SIDE_EFFECTS", LIEF::assembly::x86::OPCODE::G_INTRINSIC_W_SIDE_EFFECTS)
  .value("G_INTRINSIC_CONVERGENT", LIEF::assembly::x86::OPCODE::G_INTRINSIC_CONVERGENT)
  .value("G_INTRINSIC_CONVERGENT_W_SIDE_EFFECTS", LIEF::assembly::x86::OPCODE::G_INTRINSIC_CONVERGENT_W_SIDE_EFFECTS)
  .value("G_ANYEXT", LIEF::assembly::x86::OPCODE::G_ANYEXT)
  .value("G_TRUNC", LIEF::assembly::x86::OPCODE::G_TRUNC)
  .value("G_CONSTANT", LIEF::assembly::x86::OPCODE::G_CONSTANT)
  .value("G_FCONSTANT", LIEF::assembly::x86::OPCODE::G_FCONSTANT)
  .value("G_VASTART", LIEF::assembly::x86::OPCODE::G_VASTART)
  .value("G_VAARG", LIEF::assembly::x86::OPCODE::G_VAARG)
  .value("G_SEXT", LIEF::assembly::x86::OPCODE::G_SEXT)
  .value("G_SEXT_INREG", LIEF::assembly::x86::OPCODE::G_SEXT_INREG)
  .value("G_ZEXT", LIEF::assembly::x86::OPCODE::G_ZEXT)
  .value("G_SHL", LIEF::assembly::x86::OPCODE::G_SHL)
  .value("G_LSHR", LIEF::assembly::x86::OPCODE::G_LSHR)
  .value("G_ASHR", LIEF::assembly::x86::OPCODE::G_ASHR)
  .value("G_FSHL", LIEF::assembly::x86::OPCODE::G_FSHL)
  .value("G_FSHR", LIEF::assembly::x86::OPCODE::G_FSHR)
  .value("G_ROTR", LIEF::assembly::x86::OPCODE::G_ROTR)
  .value("G_ROTL", LIEF::assembly::x86::OPCODE::G_ROTL)
  .value("G_ICMP", LIEF::assembly::x86::OPCODE::G_ICMP)
  .value("G_FCMP", LIEF::assembly::x86::OPCODE::G_FCMP)
  .value("G_SCMP", LIEF::assembly::x86::OPCODE::G_SCMP)
  .value("G_UCMP", LIEF::assembly::x86::OPCODE::G_UCMP)
  .value("G_SELECT", LIEF::assembly::x86::OPCODE::G_SELECT)
  .value("G_UADDO", LIEF::assembly::x86::OPCODE::G_UADDO)
  .value("G_UADDE", LIEF::assembly::x86::OPCODE::G_UADDE)
  .value("G_USUBO", LIEF::assembly::x86::OPCODE::G_USUBO)
  .value("G_USUBE", LIEF::assembly::x86::OPCODE::G_USUBE)
  .value("G_SADDO", LIEF::assembly::x86::OPCODE::G_SADDO)
  .value("G_SADDE", LIEF::assembly::x86::OPCODE::G_SADDE)
  .value("G_SSUBO", LIEF::assembly::x86::OPCODE::G_SSUBO)
  .value("G_SSUBE", LIEF::assembly::x86::OPCODE::G_SSUBE)
  .value("G_UMULO", LIEF::assembly::x86::OPCODE::G_UMULO)
  .value("G_SMULO", LIEF::assembly::x86::OPCODE::G_SMULO)
  .value("G_UMULH", LIEF::assembly::x86::OPCODE::G_UMULH)
  .value("G_SMULH", LIEF::assembly::x86::OPCODE::G_SMULH)
  .value("G_UADDSAT", LIEF::assembly::x86::OPCODE::G_UADDSAT)
  .value("G_SADDSAT", LIEF::assembly::x86::OPCODE::G_SADDSAT)
  .value("G_USUBSAT", LIEF::assembly::x86::OPCODE::G_USUBSAT)
  .value("G_SSUBSAT", LIEF::assembly::x86::OPCODE::G_SSUBSAT)
  .value("G_USHLSAT", LIEF::assembly::x86::OPCODE::G_USHLSAT)
  .value("G_SSHLSAT", LIEF::assembly::x86::OPCODE::G_SSHLSAT)
  .value("G_SMULFIX", LIEF::assembly::x86::OPCODE::G_SMULFIX)
  .value("G_UMULFIX", LIEF::assembly::x86::OPCODE::G_UMULFIX)
  .value("G_SMULFIXSAT", LIEF::assembly::x86::OPCODE::G_SMULFIXSAT)
  .value("G_UMULFIXSAT", LIEF::assembly::x86::OPCODE::G_UMULFIXSAT)
  .value("G_SDIVFIX", LIEF::assembly::x86::OPCODE::G_SDIVFIX)
  .value("G_UDIVFIX", LIEF::assembly::x86::OPCODE::G_UDIVFIX)
  .value("G_SDIVFIXSAT", LIEF::assembly::x86::OPCODE::G_SDIVFIXSAT)
  .value("G_UDIVFIXSAT", LIEF::assembly::x86::OPCODE::G_UDIVFIXSAT)
  .value("G_FADD", LIEF::assembly::x86::OPCODE::G_FADD)
  .value("G_FSUB", LIEF::assembly::x86::OPCODE::G_FSUB)
  .value("G_FMUL", LIEF::assembly::x86::OPCODE::G_FMUL)
  .value("G_FMA", LIEF::assembly::x86::OPCODE::G_FMA)
  .value("G_FMAD", LIEF::assembly::x86::OPCODE::G_FMAD)
  .value("G_FDIV", LIEF::assembly::x86::OPCODE::G_FDIV)
  .value("G_FREM", LIEF::assembly::x86::OPCODE::G_FREM)
  .value("G_FPOW", LIEF::assembly::x86::OPCODE::G_FPOW)
  .value("G_FPOWI", LIEF::assembly::x86::OPCODE::G_FPOWI)
  .value("G_FEXP", LIEF::assembly::x86::OPCODE::G_FEXP)
  .value("G_FEXP2", LIEF::assembly::x86::OPCODE::G_FEXP2)
  .value("G_FEXP10", LIEF::assembly::x86::OPCODE::G_FEXP10)
  .value("G_FLOG", LIEF::assembly::x86::OPCODE::G_FLOG)
  .value("G_FLOG2", LIEF::assembly::x86::OPCODE::G_FLOG2)
  .value("G_FLOG10", LIEF::assembly::x86::OPCODE::G_FLOG10)
  .value("G_FLDEXP", LIEF::assembly::x86::OPCODE::G_FLDEXP)
  .value("G_FFREXP", LIEF::assembly::x86::OPCODE::G_FFREXP)
  .value("G_FNEG", LIEF::assembly::x86::OPCODE::G_FNEG)
  .value("G_FPEXT", LIEF::assembly::x86::OPCODE::G_FPEXT)
  .value("G_FPTRUNC", LIEF::assembly::x86::OPCODE::G_FPTRUNC)
  .value("G_FPTOSI", LIEF::assembly::x86::OPCODE::G_FPTOSI)
  .value("G_FPTOUI", LIEF::assembly::x86::OPCODE::G_FPTOUI)
  .value("G_SITOFP", LIEF::assembly::x86::OPCODE::G_SITOFP)
  .value("G_UITOFP", LIEF::assembly::x86::OPCODE::G_UITOFP)
  .value("G_FABS", LIEF::assembly::x86::OPCODE::G_FABS)
  .value("G_FCOPYSIGN", LIEF::assembly::x86::OPCODE::G_FCOPYSIGN)
  .value("G_IS_FPCLASS", LIEF::assembly::x86::OPCODE::G_IS_FPCLASS)
  .value("G_FCANONICALIZE", LIEF::assembly::x86::OPCODE::G_FCANONICALIZE)
  .value("G_FMINNUM", LIEF::assembly::x86::OPCODE::G_FMINNUM)
  .value("G_FMAXNUM", LIEF::assembly::x86::OPCODE::G_FMAXNUM)
  .value("G_FMINNUM_IEEE", LIEF::assembly::x86::OPCODE::G_FMINNUM_IEEE)
  .value("G_FMAXNUM_IEEE", LIEF::assembly::x86::OPCODE::G_FMAXNUM_IEEE)
  .value("G_FMINIMUM", LIEF::assembly::x86::OPCODE::G_FMINIMUM)
  .value("G_FMAXIMUM", LIEF::assembly::x86::OPCODE::G_FMAXIMUM)
  .value("G_GET_FPENV", LIEF::assembly::x86::OPCODE::G_GET_FPENV)
  .value("G_SET_FPENV", LIEF::assembly::x86::OPCODE::G_SET_FPENV)
  .value("G_RESET_FPENV", LIEF::assembly::x86::OPCODE::G_RESET_FPENV)
  .value("G_GET_FPMODE", LIEF::assembly::x86::OPCODE::G_GET_FPMODE)
  .value("G_SET_FPMODE", LIEF::assembly::x86::OPCODE::G_SET_FPMODE)
  .value("G_RESET_FPMODE", LIEF::assembly::x86::OPCODE::G_RESET_FPMODE)
  .value("G_PTR_ADD", LIEF::assembly::x86::OPCODE::G_PTR_ADD)
  .value("G_PTRMASK", LIEF::assembly::x86::OPCODE::G_PTRMASK)
  .value("G_SMIN", LIEF::assembly::x86::OPCODE::G_SMIN)
  .value("G_SMAX", LIEF::assembly::x86::OPCODE::G_SMAX)
  .value("G_UMIN", LIEF::assembly::x86::OPCODE::G_UMIN)
  .value("G_UMAX", LIEF::assembly::x86::OPCODE::G_UMAX)
  .value("G_ABS", LIEF::assembly::x86::OPCODE::G_ABS)
  .value("G_LROUND", LIEF::assembly::x86::OPCODE::G_LROUND)
  .value("G_LLROUND", LIEF::assembly::x86::OPCODE::G_LLROUND)
  .value("G_BR", LIEF::assembly::x86::OPCODE::G_BR)
  .value("G_BRJT", LIEF::assembly::x86::OPCODE::G_BRJT)
  .value("G_VSCALE", LIEF::assembly::x86::OPCODE::G_VSCALE)
  .value("G_INSERT_SUBVECTOR", LIEF::assembly::x86::OPCODE::G_INSERT_SUBVECTOR)
  .value("G_EXTRACT_SUBVECTOR", LIEF::assembly::x86::OPCODE::G_EXTRACT_SUBVECTOR)
  .value("G_INSERT_VECTOR_ELT", LIEF::assembly::x86::OPCODE::G_INSERT_VECTOR_ELT)
  .value("G_EXTRACT_VECTOR_ELT", LIEF::assembly::x86::OPCODE::G_EXTRACT_VECTOR_ELT)
  .value("G_SHUFFLE_VECTOR", LIEF::assembly::x86::OPCODE::G_SHUFFLE_VECTOR)
  .value("G_SPLAT_VECTOR", LIEF::assembly::x86::OPCODE::G_SPLAT_VECTOR)
  .value("G_VECTOR_COMPRESS", LIEF::assembly::x86::OPCODE::G_VECTOR_COMPRESS)
  .value("G_CTTZ", LIEF::assembly::x86::OPCODE::G_CTTZ)
  .value("G_CTTZ_ZERO_UNDEF", LIEF::assembly::x86::OPCODE::G_CTTZ_ZERO_UNDEF)
  .value("G_CTLZ", LIEF::assembly::x86::OPCODE::G_CTLZ)
  .value("G_CTLZ_ZERO_UNDEF", LIEF::assembly::x86::OPCODE::G_CTLZ_ZERO_UNDEF)
  .value("G_CTPOP", LIEF::assembly::x86::OPCODE::G_CTPOP)
  .value("G_BSWAP", LIEF::assembly::x86::OPCODE::G_BSWAP)
  .value("G_BITREVERSE", LIEF::assembly::x86::OPCODE::G_BITREVERSE)
  .value("G_FCEIL", LIEF::assembly::x86::OPCODE::G_FCEIL)
  .value("G_FCOS", LIEF::assembly::x86::OPCODE::G_FCOS)
  .value("G_FSIN", LIEF::assembly::x86::OPCODE::G_FSIN)
  .value("G_FTAN", LIEF::assembly::x86::OPCODE::G_FTAN)
  .value("G_FACOS", LIEF::assembly::x86::OPCODE::G_FACOS)
  .value("G_FASIN", LIEF::assembly::x86::OPCODE::G_FASIN)
  .value("G_FATAN", LIEF::assembly::x86::OPCODE::G_FATAN)
  .value("G_FCOSH", LIEF::assembly::x86::OPCODE::G_FCOSH)
  .value("G_FSINH", LIEF::assembly::x86::OPCODE::G_FSINH)
  .value("G_FTANH", LIEF::assembly::x86::OPCODE::G_FTANH)
  .value("G_FSQRT", LIEF::assembly::x86::OPCODE::G_FSQRT)
  .value("G_FFLOOR", LIEF::assembly::x86::OPCODE::G_FFLOOR)
  .value("G_FRINT", LIEF::assembly::x86::OPCODE::G_FRINT)
  .value("G_FNEARBYINT", LIEF::assembly::x86::OPCODE::G_FNEARBYINT)
  .value("G_ADDRSPACE_CAST", LIEF::assembly::x86::OPCODE::G_ADDRSPACE_CAST)
  .value("G_BLOCK_ADDR", LIEF::assembly::x86::OPCODE::G_BLOCK_ADDR)
  .value("G_JUMP_TABLE", LIEF::assembly::x86::OPCODE::G_JUMP_TABLE)
  .value("G_DYN_STACKALLOC", LIEF::assembly::x86::OPCODE::G_DYN_STACKALLOC)
  .value("G_STACKSAVE", LIEF::assembly::x86::OPCODE::G_STACKSAVE)
  .value("G_STACKRESTORE", LIEF::assembly::x86::OPCODE::G_STACKRESTORE)
  .value("G_STRICT_FADD", LIEF::assembly::x86::OPCODE::G_STRICT_FADD)
  .value("G_STRICT_FSUB", LIEF::assembly::x86::OPCODE::G_STRICT_FSUB)
  .value("G_STRICT_FMUL", LIEF::assembly::x86::OPCODE::G_STRICT_FMUL)
  .value("G_STRICT_FDIV", LIEF::assembly::x86::OPCODE::G_STRICT_FDIV)
  .value("G_STRICT_FREM", LIEF::assembly::x86::OPCODE::G_STRICT_FREM)
  .value("G_STRICT_FMA", LIEF::assembly::x86::OPCODE::G_STRICT_FMA)
  .value("G_STRICT_FSQRT", LIEF::assembly::x86::OPCODE::G_STRICT_FSQRT)
  .value("G_STRICT_FLDEXP", LIEF::assembly::x86::OPCODE::G_STRICT_FLDEXP)
  .value("G_READ_REGISTER", LIEF::assembly::x86::OPCODE::G_READ_REGISTER)
  .value("G_WRITE_REGISTER", LIEF::assembly::x86::OPCODE::G_WRITE_REGISTER)
  .value("G_MEMCPY", LIEF::assembly::x86::OPCODE::G_MEMCPY)
  .value("G_MEMCPY_INLINE", LIEF::assembly::x86::OPCODE::G_MEMCPY_INLINE)
  .value("G_MEMMOVE", LIEF::assembly::x86::OPCODE::G_MEMMOVE)
  .value("G_MEMSET", LIEF::assembly::x86::OPCODE::G_MEMSET)
  .value("G_BZERO", LIEF::assembly::x86::OPCODE::G_BZERO)
  .value("G_TRAP", LIEF::assembly::x86::OPCODE::G_TRAP)
  .value("G_DEBUGTRAP", LIEF::assembly::x86::OPCODE::G_DEBUGTRAP)
  .value("G_UBSANTRAP", LIEF::assembly::x86::OPCODE::G_UBSANTRAP)
  .value("G_VECREDUCE_SEQ_FADD", LIEF::assembly::x86::OPCODE::G_VECREDUCE_SEQ_FADD)
  .value("G_VECREDUCE_SEQ_FMUL", LIEF::assembly::x86::OPCODE::G_VECREDUCE_SEQ_FMUL)
  .value("G_VECREDUCE_FADD", LIEF::assembly::x86::OPCODE::G_VECREDUCE_FADD)
  .value("G_VECREDUCE_FMUL", LIEF::assembly::x86::OPCODE::G_VECREDUCE_FMUL)
  .value("G_VECREDUCE_FMAX", LIEF::assembly::x86::OPCODE::G_VECREDUCE_FMAX)
  .value("G_VECREDUCE_FMIN", LIEF::assembly::x86::OPCODE::G_VECREDUCE_FMIN)
  .value("G_VECREDUCE_FMAXIMUM", LIEF::assembly::x86::OPCODE::G_VECREDUCE_FMAXIMUM)
  .value("G_VECREDUCE_FMINIMUM", LIEF::assembly::x86::OPCODE::G_VECREDUCE_FMINIMUM)
  .value("G_VECREDUCE_ADD", LIEF::assembly::x86::OPCODE::G_VECREDUCE_ADD)
  .value("G_VECREDUCE_MUL", LIEF::assembly::x86::OPCODE::G_VECREDUCE_MUL)
  .value("G_VECREDUCE_AND", LIEF::assembly::x86::OPCODE::G_VECREDUCE_AND)
  .value("G_VECREDUCE_OR", LIEF::assembly::x86::OPCODE::G_VECREDUCE_OR)
  .value("G_VECREDUCE_XOR", LIEF::assembly::x86::OPCODE::G_VECREDUCE_XOR)
  .value("G_VECREDUCE_SMAX", LIEF::assembly::x86::OPCODE::G_VECREDUCE_SMAX)
  .value("G_VECREDUCE_SMIN", LIEF::assembly::x86::OPCODE::G_VECREDUCE_SMIN)
  .value("G_VECREDUCE_UMAX", LIEF::assembly::x86::OPCODE::G_VECREDUCE_UMAX)
  .value("G_VECREDUCE_UMIN", LIEF::assembly::x86::OPCODE::G_VECREDUCE_UMIN)
  .value("G_SBFX", LIEF::assembly::x86::OPCODE::G_SBFX)
  .value("G_UBFX", LIEF::assembly::x86::OPCODE::G_UBFX)
  .value("ADD16ri_DB", LIEF::assembly::x86::OPCODE::ADD16ri_DB)
  .value("ADD16rr_DB", LIEF::assembly::x86::OPCODE::ADD16rr_DB)
  .value("ADD32ri_DB", LIEF::assembly::x86::OPCODE::ADD32ri_DB)
  .value("ADD32rr_DB", LIEF::assembly::x86::OPCODE::ADD32rr_DB)
  .value("ADD64ri32_DB", LIEF::assembly::x86::OPCODE::ADD64ri32_DB);
  opcodes.value("ADD64rr_DB", LIEF::assembly::x86::OPCODE::ADD64rr_DB)
  .value("ADD8ri_DB", LIEF::assembly::x86::OPCODE::ADD8ri_DB)
  .value("ADD8rr_DB", LIEF::assembly::x86::OPCODE::ADD8rr_DB)
  .value("AVX1_SETALLONES", LIEF::assembly::x86::OPCODE::AVX1_SETALLONES)
  .value("AVX2_SETALLONES", LIEF::assembly::x86::OPCODE::AVX2_SETALLONES)
  .value("AVX512_128_SET0", LIEF::assembly::x86::OPCODE::AVX512_128_SET0)
  .value("AVX512_256_SET0", LIEF::assembly::x86::OPCODE::AVX512_256_SET0)
  .value("AVX512_512_SET0", LIEF::assembly::x86::OPCODE::AVX512_512_SET0)
  .value("AVX512_512_SETALLONES", LIEF::assembly::x86::OPCODE::AVX512_512_SETALLONES)
  .value("AVX512_512_SEXT_MASK_32", LIEF::assembly::x86::OPCODE::AVX512_512_SEXT_MASK_32)
  .value("AVX512_512_SEXT_MASK_64", LIEF::assembly::x86::OPCODE::AVX512_512_SEXT_MASK_64)
  .value("AVX512_FsFLD0F128", LIEF::assembly::x86::OPCODE::AVX512_FsFLD0F128)
  .value("AVX512_FsFLD0SD", LIEF::assembly::x86::OPCODE::AVX512_FsFLD0SD)
  .value("AVX512_FsFLD0SH", LIEF::assembly::x86::OPCODE::AVX512_FsFLD0SH)
  .value("AVX512_FsFLD0SS", LIEF::assembly::x86::OPCODE::AVX512_FsFLD0SS)
  .value("AVX_SET0", LIEF::assembly::x86::OPCODE::AVX_SET0)
  .value("CALL64m_RVMARKER", LIEF::assembly::x86::OPCODE::CALL64m_RVMARKER)
  .value("CALL64pcrel32_RVMARKER", LIEF::assembly::x86::OPCODE::CALL64pcrel32_RVMARKER)
  .value("CALL64r_RVMARKER", LIEF::assembly::x86::OPCODE::CALL64r_RVMARKER)
  .value("FsFLD0F128", LIEF::assembly::x86::OPCODE::FsFLD0F128)
  .value("FsFLD0SD", LIEF::assembly::x86::OPCODE::FsFLD0SD)
  .value("FsFLD0SH", LIEF::assembly::x86::OPCODE::FsFLD0SH)
  .value("FsFLD0SS", LIEF::assembly::x86::OPCODE::FsFLD0SS)
  .value("INDIRECT_THUNK_CALL32", LIEF::assembly::x86::OPCODE::INDIRECT_THUNK_CALL32)
  .value("INDIRECT_THUNK_CALL64", LIEF::assembly::x86::OPCODE::INDIRECT_THUNK_CALL64)
  .value("INDIRECT_THUNK_TCRETURN32", LIEF::assembly::x86::OPCODE::INDIRECT_THUNK_TCRETURN32)
  .value("INDIRECT_THUNK_TCRETURN64", LIEF::assembly::x86::OPCODE::INDIRECT_THUNK_TCRETURN64)
  .value("KSET0D", LIEF::assembly::x86::OPCODE::KSET0D)
  .value("KSET0Q", LIEF::assembly::x86::OPCODE::KSET0Q)
  .value("KSET0W", LIEF::assembly::x86::OPCODE::KSET0W)
  .value("KSET1D", LIEF::assembly::x86::OPCODE::KSET1D)
  .value("KSET1Q", LIEF::assembly::x86::OPCODE::KSET1Q)
  .value("KSET1W", LIEF::assembly::x86::OPCODE::KSET1W)
  .value("LCMPXCHG16B_NO_RBX", LIEF::assembly::x86::OPCODE::LCMPXCHG16B_NO_RBX)
  .value("LCMPXCHG16B_SAVE_RBX", LIEF::assembly::x86::OPCODE::LCMPXCHG16B_SAVE_RBX)
  .value("MMX_SET0", LIEF::assembly::x86::OPCODE::MMX_SET0)
  .value("MORESTACK_RET", LIEF::assembly::x86::OPCODE::MORESTACK_RET)
  .value("MORESTACK_RET_RESTORE_R10", LIEF::assembly::x86::OPCODE::MORESTACK_RET_RESTORE_R10)
  .value("MOV32ImmSExti8", LIEF::assembly::x86::OPCODE::MOV32ImmSExti8)
  .value("MOV32r0", LIEF::assembly::x86::OPCODE::MOV32r0)
  .value("MOV32r1", LIEF::assembly::x86::OPCODE::MOV32r1)
  .value("MOV32r_1", LIEF::assembly::x86::OPCODE::MOV32r_1)
  .value("MOV32ri64", LIEF::assembly::x86::OPCODE::MOV32ri64)
  .value("MOV64ImmSExti8", LIEF::assembly::x86::OPCODE::MOV64ImmSExti8)
  .value("MWAITX", LIEF::assembly::x86::OPCODE::MWAITX)
  .value("MWAITX_SAVE_RBX", LIEF::assembly::x86::OPCODE::MWAITX_SAVE_RBX)
  .value("PLDTILECFGV", LIEF::assembly::x86::OPCODE::PLDTILECFGV)
  .value("PLEA32r", LIEF::assembly::x86::OPCODE::PLEA32r)
  .value("PLEA64r", LIEF::assembly::x86::OPCODE::PLEA64r)
  .value("PTDPBF16PSV", LIEF::assembly::x86::OPCODE::PTDPBF16PSV)
  .value("PTDPBSSDV", LIEF::assembly::x86::OPCODE::PTDPBSSDV)
  .value("PTDPBSUDV", LIEF::assembly::x86::OPCODE::PTDPBSUDV)
  .value("PTDPBUSDV", LIEF::assembly::x86::OPCODE::PTDPBUSDV)
  .value("PTDPBUUDV", LIEF::assembly::x86::OPCODE::PTDPBUUDV)
  .value("PTDPFP16PSV", LIEF::assembly::x86::OPCODE::PTDPFP16PSV)
  .value("PTILELOADDT1V", LIEF::assembly::x86::OPCODE::PTILELOADDT1V)
  .value("PTILELOADDV", LIEF::assembly::x86::OPCODE::PTILELOADDV)
  .value("PTILESTOREDV", LIEF::assembly::x86::OPCODE::PTILESTOREDV)
  .value("PTILEZEROV", LIEF::assembly::x86::OPCODE::PTILEZEROV)
  .value("RDFLAGS32", LIEF::assembly::x86::OPCODE::RDFLAGS32)
  .value("RDFLAGS64", LIEF::assembly::x86::OPCODE::RDFLAGS64)
  .value("SEH_EndPrologue", LIEF::assembly::x86::OPCODE::SEH_EndPrologue)
  .value("SEH_Epilogue", LIEF::assembly::x86::OPCODE::SEH_Epilogue)
  .value("SEH_PushFrame", LIEF::assembly::x86::OPCODE::SEH_PushFrame)
  .value("SEH_PushReg", LIEF::assembly::x86::OPCODE::SEH_PushReg)
  .value("SEH_SaveReg", LIEF::assembly::x86::OPCODE::SEH_SaveReg)
  .value("SEH_SaveXMM", LIEF::assembly::x86::OPCODE::SEH_SaveXMM)
  .value("SEH_SetFrame", LIEF::assembly::x86::OPCODE::SEH_SetFrame)
  .value("SEH_StackAlign", LIEF::assembly::x86::OPCODE::SEH_StackAlign)
  .value("SEH_StackAlloc", LIEF::assembly::x86::OPCODE::SEH_StackAlloc)
  .value("SETB_C32r", LIEF::assembly::x86::OPCODE::SETB_C32r)
  .value("SETB_C64r", LIEF::assembly::x86::OPCODE::SETB_C64r)
  .value("SHLDROT32ri", LIEF::assembly::x86::OPCODE::SHLDROT32ri)
  .value("SHLDROT64ri", LIEF::assembly::x86::OPCODE::SHLDROT64ri)
  .value("SHRDROT32ri", LIEF::assembly::x86::OPCODE::SHRDROT32ri)
  .value("SHRDROT64ri", LIEF::assembly::x86::OPCODE::SHRDROT64ri)
  .value("VMOVAPSZ128mr_NOVLX", LIEF::assembly::x86::OPCODE::VMOVAPSZ128mr_NOVLX)
  .value("VMOVAPSZ128rm_NOVLX", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rm_NOVLX)
  .value("VMOVAPSZ256mr_NOVLX", LIEF::assembly::x86::OPCODE::VMOVAPSZ256mr_NOVLX)
  .value("VMOVAPSZ256rm_NOVLX", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rm_NOVLX)
  .value("VMOVUPSZ128mr_NOVLX", LIEF::assembly::x86::OPCODE::VMOVUPSZ128mr_NOVLX)
  .value("VMOVUPSZ128rm_NOVLX", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rm_NOVLX)
  .value("VMOVUPSZ256mr_NOVLX", LIEF::assembly::x86::OPCODE::VMOVUPSZ256mr_NOVLX)
  .value("VMOVUPSZ256rm_NOVLX", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rm_NOVLX)
  .value("V_SET0", LIEF::assembly::x86::OPCODE::V_SET0)
  .value("V_SETALLONES", LIEF::assembly::x86::OPCODE::V_SETALLONES)
  .value("WRFLAGS32", LIEF::assembly::x86::OPCODE::WRFLAGS32)
  .value("WRFLAGS64", LIEF::assembly::x86::OPCODE::WRFLAGS64)
  .value("XABORT_DEF", LIEF::assembly::x86::OPCODE::XABORT_DEF)
  .value("XOR32_FP", LIEF::assembly::x86::OPCODE::XOR32_FP)
  .value("XOR64_FP", LIEF::assembly::x86::OPCODE::XOR64_FP)
  .value("AAA", LIEF::assembly::x86::OPCODE::AAA)
  .value("AAD8i8", LIEF::assembly::x86::OPCODE::AAD8i8)
  .value("AADD32mr", LIEF::assembly::x86::OPCODE::AADD32mr)
  .value("AADD32mr_EVEX", LIEF::assembly::x86::OPCODE::AADD32mr_EVEX)
  .value("AADD64mr", LIEF::assembly::x86::OPCODE::AADD64mr)
  .value("AADD64mr_EVEX", LIEF::assembly::x86::OPCODE::AADD64mr_EVEX)
  .value("AAM8i8", LIEF::assembly::x86::OPCODE::AAM8i8)
  .value("AAND32mr", LIEF::assembly::x86::OPCODE::AAND32mr)
  .value("AAND32mr_EVEX", LIEF::assembly::x86::OPCODE::AAND32mr_EVEX)
  .value("AAND64mr", LIEF::assembly::x86::OPCODE::AAND64mr)
  .value("AAND64mr_EVEX", LIEF::assembly::x86::OPCODE::AAND64mr_EVEX)
  .value("AAS", LIEF::assembly::x86::OPCODE::AAS)
  .value("ABS_F", LIEF::assembly::x86::OPCODE::ABS_F)
  .value("ABS_Fp32", LIEF::assembly::x86::OPCODE::ABS_Fp32)
  .value("ABS_Fp64", LIEF::assembly::x86::OPCODE::ABS_Fp64)
  .value("ABS_Fp80", LIEF::assembly::x86::OPCODE::ABS_Fp80)
  .value("ADC16i16", LIEF::assembly::x86::OPCODE::ADC16i16)
  .value("ADC16mi", LIEF::assembly::x86::OPCODE::ADC16mi)
  .value("ADC16mi8", LIEF::assembly::x86::OPCODE::ADC16mi8)
  .value("ADC16mi8_EVEX", LIEF::assembly::x86::OPCODE::ADC16mi8_EVEX)
  .value("ADC16mi8_ND", LIEF::assembly::x86::OPCODE::ADC16mi8_ND)
  .value("ADC16mi_EVEX", LIEF::assembly::x86::OPCODE::ADC16mi_EVEX)
  .value("ADC16mi_ND", LIEF::assembly::x86::OPCODE::ADC16mi_ND)
  .value("ADC16mr", LIEF::assembly::x86::OPCODE::ADC16mr)
  .value("ADC16mr_EVEX", LIEF::assembly::x86::OPCODE::ADC16mr_EVEX)
  .value("ADC16mr_ND", LIEF::assembly::x86::OPCODE::ADC16mr_ND)
  .value("ADC16ri", LIEF::assembly::x86::OPCODE::ADC16ri)
  .value("ADC16ri8", LIEF::assembly::x86::OPCODE::ADC16ri8)
  .value("ADC16ri8_EVEX", LIEF::assembly::x86::OPCODE::ADC16ri8_EVEX)
  .value("ADC16ri8_ND", LIEF::assembly::x86::OPCODE::ADC16ri8_ND)
  .value("ADC16ri_EVEX", LIEF::assembly::x86::OPCODE::ADC16ri_EVEX)
  .value("ADC16ri_ND", LIEF::assembly::x86::OPCODE::ADC16ri_ND)
  .value("ADC16rm", LIEF::assembly::x86::OPCODE::ADC16rm)
  .value("ADC16rm_EVEX", LIEF::assembly::x86::OPCODE::ADC16rm_EVEX)
  .value("ADC16rm_ND", LIEF::assembly::x86::OPCODE::ADC16rm_ND)
  .value("ADC16rr", LIEF::assembly::x86::OPCODE::ADC16rr)
  .value("ADC16rr_EVEX", LIEF::assembly::x86::OPCODE::ADC16rr_EVEX)
  .value("ADC16rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADC16rr_EVEX_REV)
  .value("ADC16rr_ND", LIEF::assembly::x86::OPCODE::ADC16rr_ND)
  .value("ADC16rr_ND_REV", LIEF::assembly::x86::OPCODE::ADC16rr_ND_REV)
  .value("ADC16rr_REV", LIEF::assembly::x86::OPCODE::ADC16rr_REV)
  .value("ADC32i32", LIEF::assembly::x86::OPCODE::ADC32i32)
  .value("ADC32mi", LIEF::assembly::x86::OPCODE::ADC32mi)
  .value("ADC32mi8", LIEF::assembly::x86::OPCODE::ADC32mi8)
  .value("ADC32mi8_EVEX", LIEF::assembly::x86::OPCODE::ADC32mi8_EVEX)
  .value("ADC32mi8_ND", LIEF::assembly::x86::OPCODE::ADC32mi8_ND)
  .value("ADC32mi_EVEX", LIEF::assembly::x86::OPCODE::ADC32mi_EVEX)
  .value("ADC32mi_ND", LIEF::assembly::x86::OPCODE::ADC32mi_ND)
  .value("ADC32mr", LIEF::assembly::x86::OPCODE::ADC32mr)
  .value("ADC32mr_EVEX", LIEF::assembly::x86::OPCODE::ADC32mr_EVEX)
  .value("ADC32mr_ND", LIEF::assembly::x86::OPCODE::ADC32mr_ND)
  .value("ADC32ri", LIEF::assembly::x86::OPCODE::ADC32ri)
  .value("ADC32ri8", LIEF::assembly::x86::OPCODE::ADC32ri8)
  .value("ADC32ri8_EVEX", LIEF::assembly::x86::OPCODE::ADC32ri8_EVEX)
  .value("ADC32ri8_ND", LIEF::assembly::x86::OPCODE::ADC32ri8_ND)
  .value("ADC32ri_EVEX", LIEF::assembly::x86::OPCODE::ADC32ri_EVEX)
  .value("ADC32ri_ND", LIEF::assembly::x86::OPCODE::ADC32ri_ND)
  .value("ADC32rm", LIEF::assembly::x86::OPCODE::ADC32rm)
  .value("ADC32rm_EVEX", LIEF::assembly::x86::OPCODE::ADC32rm_EVEX)
  .value("ADC32rm_ND", LIEF::assembly::x86::OPCODE::ADC32rm_ND)
  .value("ADC32rr", LIEF::assembly::x86::OPCODE::ADC32rr)
  .value("ADC32rr_EVEX", LIEF::assembly::x86::OPCODE::ADC32rr_EVEX)
  .value("ADC32rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADC32rr_EVEX_REV)
  .value("ADC32rr_ND", LIEF::assembly::x86::OPCODE::ADC32rr_ND)
  .value("ADC32rr_ND_REV", LIEF::assembly::x86::OPCODE::ADC32rr_ND_REV)
  .value("ADC32rr_REV", LIEF::assembly::x86::OPCODE::ADC32rr_REV)
  .value("ADC64i32", LIEF::assembly::x86::OPCODE::ADC64i32)
  .value("ADC64mi32", LIEF::assembly::x86::OPCODE::ADC64mi32)
  .value("ADC64mi32_EVEX", LIEF::assembly::x86::OPCODE::ADC64mi32_EVEX)
  .value("ADC64mi32_ND", LIEF::assembly::x86::OPCODE::ADC64mi32_ND)
  .value("ADC64mi8", LIEF::assembly::x86::OPCODE::ADC64mi8)
  .value("ADC64mi8_EVEX", LIEF::assembly::x86::OPCODE::ADC64mi8_EVEX)
  .value("ADC64mi8_ND", LIEF::assembly::x86::OPCODE::ADC64mi8_ND)
  .value("ADC64mr", LIEF::assembly::x86::OPCODE::ADC64mr)
  .value("ADC64mr_EVEX", LIEF::assembly::x86::OPCODE::ADC64mr_EVEX)
  .value("ADC64mr_ND", LIEF::assembly::x86::OPCODE::ADC64mr_ND)
  .value("ADC64ri32", LIEF::assembly::x86::OPCODE::ADC64ri32)
  .value("ADC64ri32_EVEX", LIEF::assembly::x86::OPCODE::ADC64ri32_EVEX)
  .value("ADC64ri32_ND", LIEF::assembly::x86::OPCODE::ADC64ri32_ND)
  .value("ADC64ri8", LIEF::assembly::x86::OPCODE::ADC64ri8)
  .value("ADC64ri8_EVEX", LIEF::assembly::x86::OPCODE::ADC64ri8_EVEX)
  .value("ADC64ri8_ND", LIEF::assembly::x86::OPCODE::ADC64ri8_ND)
  .value("ADC64rm", LIEF::assembly::x86::OPCODE::ADC64rm)
  .value("ADC64rm_EVEX", LIEF::assembly::x86::OPCODE::ADC64rm_EVEX)
  .value("ADC64rm_ND", LIEF::assembly::x86::OPCODE::ADC64rm_ND)
  .value("ADC64rr", LIEF::assembly::x86::OPCODE::ADC64rr)
  .value("ADC64rr_EVEX", LIEF::assembly::x86::OPCODE::ADC64rr_EVEX)
  .value("ADC64rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADC64rr_EVEX_REV)
  .value("ADC64rr_ND", LIEF::assembly::x86::OPCODE::ADC64rr_ND)
  .value("ADC64rr_ND_REV", LIEF::assembly::x86::OPCODE::ADC64rr_ND_REV)
  .value("ADC64rr_REV", LIEF::assembly::x86::OPCODE::ADC64rr_REV)
  .value("ADC8i8", LIEF::assembly::x86::OPCODE::ADC8i8)
  .value("ADC8mi", LIEF::assembly::x86::OPCODE::ADC8mi)
  .value("ADC8mi8", LIEF::assembly::x86::OPCODE::ADC8mi8)
  .value("ADC8mi_EVEX", LIEF::assembly::x86::OPCODE::ADC8mi_EVEX)
  .value("ADC8mi_ND", LIEF::assembly::x86::OPCODE::ADC8mi_ND)
  .value("ADC8mr", LIEF::assembly::x86::OPCODE::ADC8mr)
  .value("ADC8mr_EVEX", LIEF::assembly::x86::OPCODE::ADC8mr_EVEX)
  .value("ADC8mr_ND", LIEF::assembly::x86::OPCODE::ADC8mr_ND)
  .value("ADC8ri", LIEF::assembly::x86::OPCODE::ADC8ri)
  .value("ADC8ri8", LIEF::assembly::x86::OPCODE::ADC8ri8)
  .value("ADC8ri_EVEX", LIEF::assembly::x86::OPCODE::ADC8ri_EVEX)
  .value("ADC8ri_ND", LIEF::assembly::x86::OPCODE::ADC8ri_ND)
  .value("ADC8rm", LIEF::assembly::x86::OPCODE::ADC8rm)
  .value("ADC8rm_EVEX", LIEF::assembly::x86::OPCODE::ADC8rm_EVEX)
  .value("ADC8rm_ND", LIEF::assembly::x86::OPCODE::ADC8rm_ND)
  .value("ADC8rr", LIEF::assembly::x86::OPCODE::ADC8rr)
  .value("ADC8rr_EVEX", LIEF::assembly::x86::OPCODE::ADC8rr_EVEX)
  .value("ADC8rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADC8rr_EVEX_REV)
  .value("ADC8rr_ND", LIEF::assembly::x86::OPCODE::ADC8rr_ND)
  .value("ADC8rr_ND_REV", LIEF::assembly::x86::OPCODE::ADC8rr_ND_REV)
  .value("ADC8rr_REV", LIEF::assembly::x86::OPCODE::ADC8rr_REV)
  .value("ADCX32rm", LIEF::assembly::x86::OPCODE::ADCX32rm)
  .value("ADCX32rm_EVEX", LIEF::assembly::x86::OPCODE::ADCX32rm_EVEX)
  .value("ADCX32rm_ND", LIEF::assembly::x86::OPCODE::ADCX32rm_ND)
  .value("ADCX32rr", LIEF::assembly::x86::OPCODE::ADCX32rr)
  .value("ADCX32rr_EVEX", LIEF::assembly::x86::OPCODE::ADCX32rr_EVEX)
  .value("ADCX32rr_ND", LIEF::assembly::x86::OPCODE::ADCX32rr_ND)
  .value("ADCX64rm", LIEF::assembly::x86::OPCODE::ADCX64rm)
  .value("ADCX64rm_EVEX", LIEF::assembly::x86::OPCODE::ADCX64rm_EVEX)
  .value("ADCX64rm_ND", LIEF::assembly::x86::OPCODE::ADCX64rm_ND)
  .value("ADCX64rr", LIEF::assembly::x86::OPCODE::ADCX64rr)
  .value("ADCX64rr_EVEX", LIEF::assembly::x86::OPCODE::ADCX64rr_EVEX)
  .value("ADCX64rr_ND", LIEF::assembly::x86::OPCODE::ADCX64rr_ND)
  .value("ADD16i16", LIEF::assembly::x86::OPCODE::ADD16i16)
  .value("ADD16mi", LIEF::assembly::x86::OPCODE::ADD16mi)
  .value("ADD16mi8", LIEF::assembly::x86::OPCODE::ADD16mi8)
  .value("ADD16mi8_EVEX", LIEF::assembly::x86::OPCODE::ADD16mi8_EVEX)
  .value("ADD16mi8_ND", LIEF::assembly::x86::OPCODE::ADD16mi8_ND)
  .value("ADD16mi8_NF", LIEF::assembly::x86::OPCODE::ADD16mi8_NF)
  .value("ADD16mi8_NF_ND", LIEF::assembly::x86::OPCODE::ADD16mi8_NF_ND)
  .value("ADD16mi_EVEX", LIEF::assembly::x86::OPCODE::ADD16mi_EVEX)
  .value("ADD16mi_ND", LIEF::assembly::x86::OPCODE::ADD16mi_ND)
  .value("ADD16mi_NF", LIEF::assembly::x86::OPCODE::ADD16mi_NF)
  .value("ADD16mi_NF_ND", LIEF::assembly::x86::OPCODE::ADD16mi_NF_ND)
  .value("ADD16mr", LIEF::assembly::x86::OPCODE::ADD16mr)
  .value("ADD16mr_EVEX", LIEF::assembly::x86::OPCODE::ADD16mr_EVEX)
  .value("ADD16mr_ND", LIEF::assembly::x86::OPCODE::ADD16mr_ND)
  .value("ADD16mr_NF", LIEF::assembly::x86::OPCODE::ADD16mr_NF)
  .value("ADD16mr_NF_ND", LIEF::assembly::x86::OPCODE::ADD16mr_NF_ND)
  .value("ADD16ri", LIEF::assembly::x86::OPCODE::ADD16ri)
  .value("ADD16ri8", LIEF::assembly::x86::OPCODE::ADD16ri8)
  .value("ADD16ri8_EVEX", LIEF::assembly::x86::OPCODE::ADD16ri8_EVEX)
  .value("ADD16ri8_ND", LIEF::assembly::x86::OPCODE::ADD16ri8_ND)
  .value("ADD16ri8_NF", LIEF::assembly::x86::OPCODE::ADD16ri8_NF)
  .value("ADD16ri8_NF_ND", LIEF::assembly::x86::OPCODE::ADD16ri8_NF_ND)
  .value("ADD16ri_EVEX", LIEF::assembly::x86::OPCODE::ADD16ri_EVEX)
  .value("ADD16ri_ND", LIEF::assembly::x86::OPCODE::ADD16ri_ND)
  .value("ADD16ri_NF", LIEF::assembly::x86::OPCODE::ADD16ri_NF)
  .value("ADD16ri_NF_ND", LIEF::assembly::x86::OPCODE::ADD16ri_NF_ND)
  .value("ADD16rm", LIEF::assembly::x86::OPCODE::ADD16rm)
  .value("ADD16rm_EVEX", LIEF::assembly::x86::OPCODE::ADD16rm_EVEX)
  .value("ADD16rm_ND", LIEF::assembly::x86::OPCODE::ADD16rm_ND)
  .value("ADD16rm_NF", LIEF::assembly::x86::OPCODE::ADD16rm_NF)
  .value("ADD16rm_NF_ND", LIEF::assembly::x86::OPCODE::ADD16rm_NF_ND)
  .value("ADD16rr", LIEF::assembly::x86::OPCODE::ADD16rr)
  .value("ADD16rr_EVEX", LIEF::assembly::x86::OPCODE::ADD16rr_EVEX)
  .value("ADD16rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADD16rr_EVEX_REV)
  .value("ADD16rr_ND", LIEF::assembly::x86::OPCODE::ADD16rr_ND)
  .value("ADD16rr_ND_REV", LIEF::assembly::x86::OPCODE::ADD16rr_ND_REV)
  .value("ADD16rr_NF", LIEF::assembly::x86::OPCODE::ADD16rr_NF)
  .value("ADD16rr_NF_ND", LIEF::assembly::x86::OPCODE::ADD16rr_NF_ND)
  .value("ADD16rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::ADD16rr_NF_ND_REV)
  .value("ADD16rr_NF_REV", LIEF::assembly::x86::OPCODE::ADD16rr_NF_REV)
  .value("ADD16rr_REV", LIEF::assembly::x86::OPCODE::ADD16rr_REV)
  .value("ADD32i32", LIEF::assembly::x86::OPCODE::ADD32i32)
  .value("ADD32mi", LIEF::assembly::x86::OPCODE::ADD32mi)
  .value("ADD32mi8", LIEF::assembly::x86::OPCODE::ADD32mi8)
  .value("ADD32mi8_EVEX", LIEF::assembly::x86::OPCODE::ADD32mi8_EVEX)
  .value("ADD32mi8_ND", LIEF::assembly::x86::OPCODE::ADD32mi8_ND)
  .value("ADD32mi8_NF", LIEF::assembly::x86::OPCODE::ADD32mi8_NF)
  .value("ADD32mi8_NF_ND", LIEF::assembly::x86::OPCODE::ADD32mi8_NF_ND)
  .value("ADD32mi_EVEX", LIEF::assembly::x86::OPCODE::ADD32mi_EVEX)
  .value("ADD32mi_ND", LIEF::assembly::x86::OPCODE::ADD32mi_ND)
  .value("ADD32mi_NF", LIEF::assembly::x86::OPCODE::ADD32mi_NF)
  .value("ADD32mi_NF_ND", LIEF::assembly::x86::OPCODE::ADD32mi_NF_ND)
  .value("ADD32mr", LIEF::assembly::x86::OPCODE::ADD32mr)
  .value("ADD32mr_EVEX", LIEF::assembly::x86::OPCODE::ADD32mr_EVEX)
  .value("ADD32mr_ND", LIEF::assembly::x86::OPCODE::ADD32mr_ND)
  .value("ADD32mr_NF", LIEF::assembly::x86::OPCODE::ADD32mr_NF)
  .value("ADD32mr_NF_ND", LIEF::assembly::x86::OPCODE::ADD32mr_NF_ND)
  .value("ADD32ri", LIEF::assembly::x86::OPCODE::ADD32ri)
  .value("ADD32ri8", LIEF::assembly::x86::OPCODE::ADD32ri8)
  .value("ADD32ri8_EVEX", LIEF::assembly::x86::OPCODE::ADD32ri8_EVEX)
  .value("ADD32ri8_ND", LIEF::assembly::x86::OPCODE::ADD32ri8_ND)
  .value("ADD32ri8_NF", LIEF::assembly::x86::OPCODE::ADD32ri8_NF)
  .value("ADD32ri8_NF_ND", LIEF::assembly::x86::OPCODE::ADD32ri8_NF_ND)
  .value("ADD32ri_EVEX", LIEF::assembly::x86::OPCODE::ADD32ri_EVEX)
  .value("ADD32ri_ND", LIEF::assembly::x86::OPCODE::ADD32ri_ND)
  .value("ADD32ri_NF", LIEF::assembly::x86::OPCODE::ADD32ri_NF)
  .value("ADD32ri_NF_ND", LIEF::assembly::x86::OPCODE::ADD32ri_NF_ND)
  .value("ADD32rm", LIEF::assembly::x86::OPCODE::ADD32rm)
  .value("ADD32rm_EVEX", LIEF::assembly::x86::OPCODE::ADD32rm_EVEX)
  .value("ADD32rm_ND", LIEF::assembly::x86::OPCODE::ADD32rm_ND)
  .value("ADD32rm_NF", LIEF::assembly::x86::OPCODE::ADD32rm_NF)
  .value("ADD32rm_NF_ND", LIEF::assembly::x86::OPCODE::ADD32rm_NF_ND)
  .value("ADD32rr", LIEF::assembly::x86::OPCODE::ADD32rr)
  .value("ADD32rr_EVEX", LIEF::assembly::x86::OPCODE::ADD32rr_EVEX)
  .value("ADD32rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADD32rr_EVEX_REV)
  .value("ADD32rr_ND", LIEF::assembly::x86::OPCODE::ADD32rr_ND)
  .value("ADD32rr_ND_REV", LIEF::assembly::x86::OPCODE::ADD32rr_ND_REV)
  .value("ADD32rr_NF", LIEF::assembly::x86::OPCODE::ADD32rr_NF)
  .value("ADD32rr_NF_ND", LIEF::assembly::x86::OPCODE::ADD32rr_NF_ND)
  .value("ADD32rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::ADD32rr_NF_ND_REV)
  .value("ADD32rr_NF_REV", LIEF::assembly::x86::OPCODE::ADD32rr_NF_REV)
  .value("ADD32rr_REV", LIEF::assembly::x86::OPCODE::ADD32rr_REV)
  .value("ADD64i32", LIEF::assembly::x86::OPCODE::ADD64i32)
  .value("ADD64mi32", LIEF::assembly::x86::OPCODE::ADD64mi32)
  .value("ADD64mi32_EVEX", LIEF::assembly::x86::OPCODE::ADD64mi32_EVEX);
  opcodes.value("ADD64mi32_ND", LIEF::assembly::x86::OPCODE::ADD64mi32_ND)
  .value("ADD64mi32_NF", LIEF::assembly::x86::OPCODE::ADD64mi32_NF)
  .value("ADD64mi32_NF_ND", LIEF::assembly::x86::OPCODE::ADD64mi32_NF_ND)
  .value("ADD64mi8", LIEF::assembly::x86::OPCODE::ADD64mi8)
  .value("ADD64mi8_EVEX", LIEF::assembly::x86::OPCODE::ADD64mi8_EVEX)
  .value("ADD64mi8_ND", LIEF::assembly::x86::OPCODE::ADD64mi8_ND)
  .value("ADD64mi8_NF", LIEF::assembly::x86::OPCODE::ADD64mi8_NF)
  .value("ADD64mi8_NF_ND", LIEF::assembly::x86::OPCODE::ADD64mi8_NF_ND)
  .value("ADD64mr", LIEF::assembly::x86::OPCODE::ADD64mr)
  .value("ADD64mr_EVEX", LIEF::assembly::x86::OPCODE::ADD64mr_EVEX)
  .value("ADD64mr_ND", LIEF::assembly::x86::OPCODE::ADD64mr_ND)
  .value("ADD64mr_NF", LIEF::assembly::x86::OPCODE::ADD64mr_NF)
  .value("ADD64mr_NF_ND", LIEF::assembly::x86::OPCODE::ADD64mr_NF_ND)
  .value("ADD64ri32", LIEF::assembly::x86::OPCODE::ADD64ri32)
  .value("ADD64ri32_EVEX", LIEF::assembly::x86::OPCODE::ADD64ri32_EVEX)
  .value("ADD64ri32_ND", LIEF::assembly::x86::OPCODE::ADD64ri32_ND)
  .value("ADD64ri32_NF", LIEF::assembly::x86::OPCODE::ADD64ri32_NF)
  .value("ADD64ri32_NF_ND", LIEF::assembly::x86::OPCODE::ADD64ri32_NF_ND)
  .value("ADD64ri8", LIEF::assembly::x86::OPCODE::ADD64ri8)
  .value("ADD64ri8_EVEX", LIEF::assembly::x86::OPCODE::ADD64ri8_EVEX)
  .value("ADD64ri8_ND", LIEF::assembly::x86::OPCODE::ADD64ri8_ND)
  .value("ADD64ri8_NF", LIEF::assembly::x86::OPCODE::ADD64ri8_NF)
  .value("ADD64ri8_NF_ND", LIEF::assembly::x86::OPCODE::ADD64ri8_NF_ND)
  .value("ADD64rm", LIEF::assembly::x86::OPCODE::ADD64rm)
  .value("ADD64rm_EVEX", LIEF::assembly::x86::OPCODE::ADD64rm_EVEX)
  .value("ADD64rm_ND", LIEF::assembly::x86::OPCODE::ADD64rm_ND)
  .value("ADD64rm_NF", LIEF::assembly::x86::OPCODE::ADD64rm_NF)
  .value("ADD64rm_NF_ND", LIEF::assembly::x86::OPCODE::ADD64rm_NF_ND)
  .value("ADD64rr", LIEF::assembly::x86::OPCODE::ADD64rr)
  .value("ADD64rr_EVEX", LIEF::assembly::x86::OPCODE::ADD64rr_EVEX)
  .value("ADD64rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADD64rr_EVEX_REV)
  .value("ADD64rr_ND", LIEF::assembly::x86::OPCODE::ADD64rr_ND)
  .value("ADD64rr_ND_REV", LIEF::assembly::x86::OPCODE::ADD64rr_ND_REV)
  .value("ADD64rr_NF", LIEF::assembly::x86::OPCODE::ADD64rr_NF)
  .value("ADD64rr_NF_ND", LIEF::assembly::x86::OPCODE::ADD64rr_NF_ND)
  .value("ADD64rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::ADD64rr_NF_ND_REV)
  .value("ADD64rr_NF_REV", LIEF::assembly::x86::OPCODE::ADD64rr_NF_REV)
  .value("ADD64rr_REV", LIEF::assembly::x86::OPCODE::ADD64rr_REV)
  .value("ADD8i8", LIEF::assembly::x86::OPCODE::ADD8i8)
  .value("ADD8mi", LIEF::assembly::x86::OPCODE::ADD8mi)
  .value("ADD8mi8", LIEF::assembly::x86::OPCODE::ADD8mi8)
  .value("ADD8mi_EVEX", LIEF::assembly::x86::OPCODE::ADD8mi_EVEX)
  .value("ADD8mi_ND", LIEF::assembly::x86::OPCODE::ADD8mi_ND)
  .value("ADD8mi_NF", LIEF::assembly::x86::OPCODE::ADD8mi_NF)
  .value("ADD8mi_NF_ND", LIEF::assembly::x86::OPCODE::ADD8mi_NF_ND)
  .value("ADD8mr", LIEF::assembly::x86::OPCODE::ADD8mr)
  .value("ADD8mr_EVEX", LIEF::assembly::x86::OPCODE::ADD8mr_EVEX)
  .value("ADD8mr_ND", LIEF::assembly::x86::OPCODE::ADD8mr_ND)
  .value("ADD8mr_NF", LIEF::assembly::x86::OPCODE::ADD8mr_NF)
  .value("ADD8mr_NF_ND", LIEF::assembly::x86::OPCODE::ADD8mr_NF_ND)
  .value("ADD8ri", LIEF::assembly::x86::OPCODE::ADD8ri)
  .value("ADD8ri8", LIEF::assembly::x86::OPCODE::ADD8ri8)
  .value("ADD8ri_EVEX", LIEF::assembly::x86::OPCODE::ADD8ri_EVEX)
  .value("ADD8ri_ND", LIEF::assembly::x86::OPCODE::ADD8ri_ND)
  .value("ADD8ri_NF", LIEF::assembly::x86::OPCODE::ADD8ri_NF)
  .value("ADD8ri_NF_ND", LIEF::assembly::x86::OPCODE::ADD8ri_NF_ND)
  .value("ADD8rm", LIEF::assembly::x86::OPCODE::ADD8rm)
  .value("ADD8rm_EVEX", LIEF::assembly::x86::OPCODE::ADD8rm_EVEX)
  .value("ADD8rm_ND", LIEF::assembly::x86::OPCODE::ADD8rm_ND)
  .value("ADD8rm_NF", LIEF::assembly::x86::OPCODE::ADD8rm_NF)
  .value("ADD8rm_NF_ND", LIEF::assembly::x86::OPCODE::ADD8rm_NF_ND)
  .value("ADD8rr", LIEF::assembly::x86::OPCODE::ADD8rr)
  .value("ADD8rr_EVEX", LIEF::assembly::x86::OPCODE::ADD8rr_EVEX)
  .value("ADD8rr_EVEX_REV", LIEF::assembly::x86::OPCODE::ADD8rr_EVEX_REV)
  .value("ADD8rr_ND", LIEF::assembly::x86::OPCODE::ADD8rr_ND)
  .value("ADD8rr_ND_REV", LIEF::assembly::x86::OPCODE::ADD8rr_ND_REV)
  .value("ADD8rr_NF", LIEF::assembly::x86::OPCODE::ADD8rr_NF)
  .value("ADD8rr_NF_ND", LIEF::assembly::x86::OPCODE::ADD8rr_NF_ND)
  .value("ADD8rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::ADD8rr_NF_ND_REV)
  .value("ADD8rr_NF_REV", LIEF::assembly::x86::OPCODE::ADD8rr_NF_REV)
  .value("ADD8rr_REV", LIEF::assembly::x86::OPCODE::ADD8rr_REV)
  .value("ADDPDrm", LIEF::assembly::x86::OPCODE::ADDPDrm)
  .value("ADDPDrr", LIEF::assembly::x86::OPCODE::ADDPDrr)
  .value("ADDPSrm", LIEF::assembly::x86::OPCODE::ADDPSrm)
  .value("ADDPSrr", LIEF::assembly::x86::OPCODE::ADDPSrr)
  .value("ADDR16_PREFIX", LIEF::assembly::x86::OPCODE::ADDR16_PREFIX)
  .value("ADDR32_PREFIX", LIEF::assembly::x86::OPCODE::ADDR32_PREFIX)
  .value("ADDSDrm", LIEF::assembly::x86::OPCODE::ADDSDrm)
  .value("ADDSDrm_Int", LIEF::assembly::x86::OPCODE::ADDSDrm_Int)
  .value("ADDSDrr", LIEF::assembly::x86::OPCODE::ADDSDrr)
  .value("ADDSDrr_Int", LIEF::assembly::x86::OPCODE::ADDSDrr_Int)
  .value("ADDSSrm", LIEF::assembly::x86::OPCODE::ADDSSrm)
  .value("ADDSSrm_Int", LIEF::assembly::x86::OPCODE::ADDSSrm_Int)
  .value("ADDSSrr", LIEF::assembly::x86::OPCODE::ADDSSrr)
  .value("ADDSSrr_Int", LIEF::assembly::x86::OPCODE::ADDSSrr_Int)
  .value("ADDSUBPDrm", LIEF::assembly::x86::OPCODE::ADDSUBPDrm)
  .value("ADDSUBPDrr", LIEF::assembly::x86::OPCODE::ADDSUBPDrr)
  .value("ADDSUBPSrm", LIEF::assembly::x86::OPCODE::ADDSUBPSrm)
  .value("ADDSUBPSrr", LIEF::assembly::x86::OPCODE::ADDSUBPSrr)
  .value("ADD_F32m", LIEF::assembly::x86::OPCODE::ADD_F32m)
  .value("ADD_F64m", LIEF::assembly::x86::OPCODE::ADD_F64m)
  .value("ADD_FI16m", LIEF::assembly::x86::OPCODE::ADD_FI16m)
  .value("ADD_FI32m", LIEF::assembly::x86::OPCODE::ADD_FI32m)
  .value("ADD_FPrST0", LIEF::assembly::x86::OPCODE::ADD_FPrST0)
  .value("ADD_FST0r", LIEF::assembly::x86::OPCODE::ADD_FST0r)
  .value("ADD_Fp32", LIEF::assembly::x86::OPCODE::ADD_Fp32)
  .value("ADD_Fp32m", LIEF::assembly::x86::OPCODE::ADD_Fp32m)
  .value("ADD_Fp64", LIEF::assembly::x86::OPCODE::ADD_Fp64)
  .value("ADD_Fp64m", LIEF::assembly::x86::OPCODE::ADD_Fp64m)
  .value("ADD_Fp64m32", LIEF::assembly::x86::OPCODE::ADD_Fp64m32)
  .value("ADD_Fp80", LIEF::assembly::x86::OPCODE::ADD_Fp80)
  .value("ADD_Fp80m32", LIEF::assembly::x86::OPCODE::ADD_Fp80m32)
  .value("ADD_Fp80m64", LIEF::assembly::x86::OPCODE::ADD_Fp80m64)
  .value("ADD_FpI16m32", LIEF::assembly::x86::OPCODE::ADD_FpI16m32)
  .value("ADD_FpI16m64", LIEF::assembly::x86::OPCODE::ADD_FpI16m64)
  .value("ADD_FpI16m80", LIEF::assembly::x86::OPCODE::ADD_FpI16m80)
  .value("ADD_FpI32m32", LIEF::assembly::x86::OPCODE::ADD_FpI32m32)
  .value("ADD_FpI32m64", LIEF::assembly::x86::OPCODE::ADD_FpI32m64)
  .value("ADD_FpI32m80", LIEF::assembly::x86::OPCODE::ADD_FpI32m80)
  .value("ADD_FrST0", LIEF::assembly::x86::OPCODE::ADD_FrST0)
  .value("ADJCALLSTACKDOWN32", LIEF::assembly::x86::OPCODE::ADJCALLSTACKDOWN32)
  .value("ADJCALLSTACKDOWN64", LIEF::assembly::x86::OPCODE::ADJCALLSTACKDOWN64)
  .value("ADJCALLSTACKUP32", LIEF::assembly::x86::OPCODE::ADJCALLSTACKUP32)
  .value("ADJCALLSTACKUP64", LIEF::assembly::x86::OPCODE::ADJCALLSTACKUP64)
  .value("ADOX32rm", LIEF::assembly::x86::OPCODE::ADOX32rm)
  .value("ADOX32rm_EVEX", LIEF::assembly::x86::OPCODE::ADOX32rm_EVEX)
  .value("ADOX32rm_ND", LIEF::assembly::x86::OPCODE::ADOX32rm_ND)
  .value("ADOX32rr", LIEF::assembly::x86::OPCODE::ADOX32rr)
  .value("ADOX32rr_EVEX", LIEF::assembly::x86::OPCODE::ADOX32rr_EVEX)
  .value("ADOX32rr_ND", LIEF::assembly::x86::OPCODE::ADOX32rr_ND)
  .value("ADOX64rm", LIEF::assembly::x86::OPCODE::ADOX64rm)
  .value("ADOX64rm_EVEX", LIEF::assembly::x86::OPCODE::ADOX64rm_EVEX)
  .value("ADOX64rm_ND", LIEF::assembly::x86::OPCODE::ADOX64rm_ND)
  .value("ADOX64rr", LIEF::assembly::x86::OPCODE::ADOX64rr)
  .value("ADOX64rr_EVEX", LIEF::assembly::x86::OPCODE::ADOX64rr_EVEX)
  .value("ADOX64rr_ND", LIEF::assembly::x86::OPCODE::ADOX64rr_ND)
  .value("AESDEC128KL", LIEF::assembly::x86::OPCODE::AESDEC128KL)
  .value("AESDEC256KL", LIEF::assembly::x86::OPCODE::AESDEC256KL)
  .value("AESDECLASTrm", LIEF::assembly::x86::OPCODE::AESDECLASTrm)
  .value("AESDECLASTrr", LIEF::assembly::x86::OPCODE::AESDECLASTrr)
  .value("AESDECWIDE128KL", LIEF::assembly::x86::OPCODE::AESDECWIDE128KL)
  .value("AESDECWIDE256KL", LIEF::assembly::x86::OPCODE::AESDECWIDE256KL)
  .value("AESDECrm", LIEF::assembly::x86::OPCODE::AESDECrm)
  .value("AESDECrr", LIEF::assembly::x86::OPCODE::AESDECrr)
  .value("AESENC128KL", LIEF::assembly::x86::OPCODE::AESENC128KL)
  .value("AESENC256KL", LIEF::assembly::x86::OPCODE::AESENC256KL)
  .value("AESENCLASTrm", LIEF::assembly::x86::OPCODE::AESENCLASTrm)
  .value("AESENCLASTrr", LIEF::assembly::x86::OPCODE::AESENCLASTrr)
  .value("AESENCWIDE128KL", LIEF::assembly::x86::OPCODE::AESENCWIDE128KL)
  .value("AESENCWIDE256KL", LIEF::assembly::x86::OPCODE::AESENCWIDE256KL)
  .value("AESENCrm", LIEF::assembly::x86::OPCODE::AESENCrm)
  .value("AESENCrr", LIEF::assembly::x86::OPCODE::AESENCrr)
  .value("AESIMCrm", LIEF::assembly::x86::OPCODE::AESIMCrm)
  .value("AESIMCrr", LIEF::assembly::x86::OPCODE::AESIMCrr)
  .value("AESKEYGENASSIST128rm", LIEF::assembly::x86::OPCODE::AESKEYGENASSIST128rm)
  .value("AESKEYGENASSIST128rr", LIEF::assembly::x86::OPCODE::AESKEYGENASSIST128rr)
  .value("AND16i16", LIEF::assembly::x86::OPCODE::AND16i16)
  .value("AND16mi", LIEF::assembly::x86::OPCODE::AND16mi)
  .value("AND16mi8", LIEF::assembly::x86::OPCODE::AND16mi8)
  .value("AND16mi8_EVEX", LIEF::assembly::x86::OPCODE::AND16mi8_EVEX)
  .value("AND16mi8_ND", LIEF::assembly::x86::OPCODE::AND16mi8_ND)
  .value("AND16mi8_NF", LIEF::assembly::x86::OPCODE::AND16mi8_NF)
  .value("AND16mi8_NF_ND", LIEF::assembly::x86::OPCODE::AND16mi8_NF_ND)
  .value("AND16mi_EVEX", LIEF::assembly::x86::OPCODE::AND16mi_EVEX)
  .value("AND16mi_ND", LIEF::assembly::x86::OPCODE::AND16mi_ND)
  .value("AND16mi_NF", LIEF::assembly::x86::OPCODE::AND16mi_NF)
  .value("AND16mi_NF_ND", LIEF::assembly::x86::OPCODE::AND16mi_NF_ND)
  .value("AND16mr", LIEF::assembly::x86::OPCODE::AND16mr)
  .value("AND16mr_EVEX", LIEF::assembly::x86::OPCODE::AND16mr_EVEX)
  .value("AND16mr_ND", LIEF::assembly::x86::OPCODE::AND16mr_ND)
  .value("AND16mr_NF", LIEF::assembly::x86::OPCODE::AND16mr_NF)
  .value("AND16mr_NF_ND", LIEF::assembly::x86::OPCODE::AND16mr_NF_ND)
  .value("AND16ri", LIEF::assembly::x86::OPCODE::AND16ri)
  .value("AND16ri8", LIEF::assembly::x86::OPCODE::AND16ri8)
  .value("AND16ri8_EVEX", LIEF::assembly::x86::OPCODE::AND16ri8_EVEX)
  .value("AND16ri8_ND", LIEF::assembly::x86::OPCODE::AND16ri8_ND)
  .value("AND16ri8_NF", LIEF::assembly::x86::OPCODE::AND16ri8_NF)
  .value("AND16ri8_NF_ND", LIEF::assembly::x86::OPCODE::AND16ri8_NF_ND)
  .value("AND16ri_EVEX", LIEF::assembly::x86::OPCODE::AND16ri_EVEX)
  .value("AND16ri_ND", LIEF::assembly::x86::OPCODE::AND16ri_ND)
  .value("AND16ri_NF", LIEF::assembly::x86::OPCODE::AND16ri_NF)
  .value("AND16ri_NF_ND", LIEF::assembly::x86::OPCODE::AND16ri_NF_ND)
  .value("AND16rm", LIEF::assembly::x86::OPCODE::AND16rm)
  .value("AND16rm_EVEX", LIEF::assembly::x86::OPCODE::AND16rm_EVEX)
  .value("AND16rm_ND", LIEF::assembly::x86::OPCODE::AND16rm_ND)
  .value("AND16rm_NF", LIEF::assembly::x86::OPCODE::AND16rm_NF)
  .value("AND16rm_NF_ND", LIEF::assembly::x86::OPCODE::AND16rm_NF_ND)
  .value("AND16rr", LIEF::assembly::x86::OPCODE::AND16rr)
  .value("AND16rr_EVEX", LIEF::assembly::x86::OPCODE::AND16rr_EVEX)
  .value("AND16rr_EVEX_REV", LIEF::assembly::x86::OPCODE::AND16rr_EVEX_REV)
  .value("AND16rr_ND", LIEF::assembly::x86::OPCODE::AND16rr_ND)
  .value("AND16rr_ND_REV", LIEF::assembly::x86::OPCODE::AND16rr_ND_REV)
  .value("AND16rr_NF", LIEF::assembly::x86::OPCODE::AND16rr_NF)
  .value("AND16rr_NF_ND", LIEF::assembly::x86::OPCODE::AND16rr_NF_ND)
  .value("AND16rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::AND16rr_NF_ND_REV)
  .value("AND16rr_NF_REV", LIEF::assembly::x86::OPCODE::AND16rr_NF_REV)
  .value("AND16rr_REV", LIEF::assembly::x86::OPCODE::AND16rr_REV)
  .value("AND32i32", LIEF::assembly::x86::OPCODE::AND32i32)
  .value("AND32mi", LIEF::assembly::x86::OPCODE::AND32mi)
  .value("AND32mi8", LIEF::assembly::x86::OPCODE::AND32mi8)
  .value("AND32mi8_EVEX", LIEF::assembly::x86::OPCODE::AND32mi8_EVEX)
  .value("AND32mi8_ND", LIEF::assembly::x86::OPCODE::AND32mi8_ND)
  .value("AND32mi8_NF", LIEF::assembly::x86::OPCODE::AND32mi8_NF)
  .value("AND32mi8_NF_ND", LIEF::assembly::x86::OPCODE::AND32mi8_NF_ND)
  .value("AND32mi_EVEX", LIEF::assembly::x86::OPCODE::AND32mi_EVEX)
  .value("AND32mi_ND", LIEF::assembly::x86::OPCODE::AND32mi_ND)
  .value("AND32mi_NF", LIEF::assembly::x86::OPCODE::AND32mi_NF)
  .value("AND32mi_NF_ND", LIEF::assembly::x86::OPCODE::AND32mi_NF_ND)
  .value("AND32mr", LIEF::assembly::x86::OPCODE::AND32mr)
  .value("AND32mr_EVEX", LIEF::assembly::x86::OPCODE::AND32mr_EVEX)
  .value("AND32mr_ND", LIEF::assembly::x86::OPCODE::AND32mr_ND)
  .value("AND32mr_NF", LIEF::assembly::x86::OPCODE::AND32mr_NF)
  .value("AND32mr_NF_ND", LIEF::assembly::x86::OPCODE::AND32mr_NF_ND)
  .value("AND32ri", LIEF::assembly::x86::OPCODE::AND32ri)
  .value("AND32ri8", LIEF::assembly::x86::OPCODE::AND32ri8)
  .value("AND32ri8_EVEX", LIEF::assembly::x86::OPCODE::AND32ri8_EVEX)
  .value("AND32ri8_ND", LIEF::assembly::x86::OPCODE::AND32ri8_ND)
  .value("AND32ri8_NF", LIEF::assembly::x86::OPCODE::AND32ri8_NF)
  .value("AND32ri8_NF_ND", LIEF::assembly::x86::OPCODE::AND32ri8_NF_ND)
  .value("AND32ri_EVEX", LIEF::assembly::x86::OPCODE::AND32ri_EVEX)
  .value("AND32ri_ND", LIEF::assembly::x86::OPCODE::AND32ri_ND)
  .value("AND32ri_NF", LIEF::assembly::x86::OPCODE::AND32ri_NF)
  .value("AND32ri_NF_ND", LIEF::assembly::x86::OPCODE::AND32ri_NF_ND)
  .value("AND32rm", LIEF::assembly::x86::OPCODE::AND32rm)
  .value("AND32rm_EVEX", LIEF::assembly::x86::OPCODE::AND32rm_EVEX)
  .value("AND32rm_ND", LIEF::assembly::x86::OPCODE::AND32rm_ND)
  .value("AND32rm_NF", LIEF::assembly::x86::OPCODE::AND32rm_NF)
  .value("AND32rm_NF_ND", LIEF::assembly::x86::OPCODE::AND32rm_NF_ND)
  .value("AND32rr", LIEF::assembly::x86::OPCODE::AND32rr)
  .value("AND32rr_EVEX", LIEF::assembly::x86::OPCODE::AND32rr_EVEX)
  .value("AND32rr_EVEX_REV", LIEF::assembly::x86::OPCODE::AND32rr_EVEX_REV)
  .value("AND32rr_ND", LIEF::assembly::x86::OPCODE::AND32rr_ND)
  .value("AND32rr_ND_REV", LIEF::assembly::x86::OPCODE::AND32rr_ND_REV)
  .value("AND32rr_NF", LIEF::assembly::x86::OPCODE::AND32rr_NF)
  .value("AND32rr_NF_ND", LIEF::assembly::x86::OPCODE::AND32rr_NF_ND)
  .value("AND32rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::AND32rr_NF_ND_REV)
  .value("AND32rr_NF_REV", LIEF::assembly::x86::OPCODE::AND32rr_NF_REV)
  .value("AND32rr_REV", LIEF::assembly::x86::OPCODE::AND32rr_REV)
  .value("AND64i32", LIEF::assembly::x86::OPCODE::AND64i32)
  .value("AND64mi32", LIEF::assembly::x86::OPCODE::AND64mi32)
  .value("AND64mi32_EVEX", LIEF::assembly::x86::OPCODE::AND64mi32_EVEX)
  .value("AND64mi32_ND", LIEF::assembly::x86::OPCODE::AND64mi32_ND)
  .value("AND64mi32_NF", LIEF::assembly::x86::OPCODE::AND64mi32_NF)
  .value("AND64mi32_NF_ND", LIEF::assembly::x86::OPCODE::AND64mi32_NF_ND)
  .value("AND64mi8", LIEF::assembly::x86::OPCODE::AND64mi8)
  .value("AND64mi8_EVEX", LIEF::assembly::x86::OPCODE::AND64mi8_EVEX)
  .value("AND64mi8_ND", LIEF::assembly::x86::OPCODE::AND64mi8_ND)
  .value("AND64mi8_NF", LIEF::assembly::x86::OPCODE::AND64mi8_NF)
  .value("AND64mi8_NF_ND", LIEF::assembly::x86::OPCODE::AND64mi8_NF_ND)
  .value("AND64mr", LIEF::assembly::x86::OPCODE::AND64mr)
  .value("AND64mr_EVEX", LIEF::assembly::x86::OPCODE::AND64mr_EVEX)
  .value("AND64mr_ND", LIEF::assembly::x86::OPCODE::AND64mr_ND)
  .value("AND64mr_NF", LIEF::assembly::x86::OPCODE::AND64mr_NF)
  .value("AND64mr_NF_ND", LIEF::assembly::x86::OPCODE::AND64mr_NF_ND)
  .value("AND64ri32", LIEF::assembly::x86::OPCODE::AND64ri32)
  .value("AND64ri32_EVEX", LIEF::assembly::x86::OPCODE::AND64ri32_EVEX)
  .value("AND64ri32_ND", LIEF::assembly::x86::OPCODE::AND64ri32_ND)
  .value("AND64ri32_NF", LIEF::assembly::x86::OPCODE::AND64ri32_NF)
  .value("AND64ri32_NF_ND", LIEF::assembly::x86::OPCODE::AND64ri32_NF_ND)
  .value("AND64ri8", LIEF::assembly::x86::OPCODE::AND64ri8)
  .value("AND64ri8_EVEX", LIEF::assembly::x86::OPCODE::AND64ri8_EVEX)
  .value("AND64ri8_ND", LIEF::assembly::x86::OPCODE::AND64ri8_ND)
  .value("AND64ri8_NF", LIEF::assembly::x86::OPCODE::AND64ri8_NF)
  .value("AND64ri8_NF_ND", LIEF::assembly::x86::OPCODE::AND64ri8_NF_ND)
  .value("AND64rm", LIEF::assembly::x86::OPCODE::AND64rm)
  .value("AND64rm_EVEX", LIEF::assembly::x86::OPCODE::AND64rm_EVEX)
  .value("AND64rm_ND", LIEF::assembly::x86::OPCODE::AND64rm_ND)
  .value("AND64rm_NF", LIEF::assembly::x86::OPCODE::AND64rm_NF)
  .value("AND64rm_NF_ND", LIEF::assembly::x86::OPCODE::AND64rm_NF_ND)
  .value("AND64rr", LIEF::assembly::x86::OPCODE::AND64rr)
  .value("AND64rr_EVEX", LIEF::assembly::x86::OPCODE::AND64rr_EVEX)
  .value("AND64rr_EVEX_REV", LIEF::assembly::x86::OPCODE::AND64rr_EVEX_REV)
  .value("AND64rr_ND", LIEF::assembly::x86::OPCODE::AND64rr_ND)
  .value("AND64rr_ND_REV", LIEF::assembly::x86::OPCODE::AND64rr_ND_REV)
  .value("AND64rr_NF", LIEF::assembly::x86::OPCODE::AND64rr_NF)
  .value("AND64rr_NF_ND", LIEF::assembly::x86::OPCODE::AND64rr_NF_ND)
  .value("AND64rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::AND64rr_NF_ND_REV)
  .value("AND64rr_NF_REV", LIEF::assembly::x86::OPCODE::AND64rr_NF_REV)
  .value("AND64rr_REV", LIEF::assembly::x86::OPCODE::AND64rr_REV)
  .value("AND8i8", LIEF::assembly::x86::OPCODE::AND8i8)
  .value("AND8mi", LIEF::assembly::x86::OPCODE::AND8mi)
  .value("AND8mi8", LIEF::assembly::x86::OPCODE::AND8mi8)
  .value("AND8mi_EVEX", LIEF::assembly::x86::OPCODE::AND8mi_EVEX)
  .value("AND8mi_ND", LIEF::assembly::x86::OPCODE::AND8mi_ND)
  .value("AND8mi_NF", LIEF::assembly::x86::OPCODE::AND8mi_NF)
  .value("AND8mi_NF_ND", LIEF::assembly::x86::OPCODE::AND8mi_NF_ND)
  .value("AND8mr", LIEF::assembly::x86::OPCODE::AND8mr)
  .value("AND8mr_EVEX", LIEF::assembly::x86::OPCODE::AND8mr_EVEX)
  .value("AND8mr_ND", LIEF::assembly::x86::OPCODE::AND8mr_ND)
  .value("AND8mr_NF", LIEF::assembly::x86::OPCODE::AND8mr_NF)
  .value("AND8mr_NF_ND", LIEF::assembly::x86::OPCODE::AND8mr_NF_ND)
  .value("AND8ri", LIEF::assembly::x86::OPCODE::AND8ri)
  .value("AND8ri8", LIEF::assembly::x86::OPCODE::AND8ri8)
  .value("AND8ri_EVEX", LIEF::assembly::x86::OPCODE::AND8ri_EVEX)
  .value("AND8ri_ND", LIEF::assembly::x86::OPCODE::AND8ri_ND)
  .value("AND8ri_NF", LIEF::assembly::x86::OPCODE::AND8ri_NF)
  .value("AND8ri_NF_ND", LIEF::assembly::x86::OPCODE::AND8ri_NF_ND)
  .value("AND8rm", LIEF::assembly::x86::OPCODE::AND8rm)
  .value("AND8rm_EVEX", LIEF::assembly::x86::OPCODE::AND8rm_EVEX)
  .value("AND8rm_ND", LIEF::assembly::x86::OPCODE::AND8rm_ND)
  .value("AND8rm_NF", LIEF::assembly::x86::OPCODE::AND8rm_NF)
  .value("AND8rm_NF_ND", LIEF::assembly::x86::OPCODE::AND8rm_NF_ND)
  .value("AND8rr", LIEF::assembly::x86::OPCODE::AND8rr)
  .value("AND8rr_EVEX", LIEF::assembly::x86::OPCODE::AND8rr_EVEX)
  .value("AND8rr_EVEX_REV", LIEF::assembly::x86::OPCODE::AND8rr_EVEX_REV)
  .value("AND8rr_ND", LIEF::assembly::x86::OPCODE::AND8rr_ND)
  .value("AND8rr_ND_REV", LIEF::assembly::x86::OPCODE::AND8rr_ND_REV)
  .value("AND8rr_NF", LIEF::assembly::x86::OPCODE::AND8rr_NF)
  .value("AND8rr_NF_ND", LIEF::assembly::x86::OPCODE::AND8rr_NF_ND)
  .value("AND8rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::AND8rr_NF_ND_REV);
  opcodes.value("AND8rr_NF_REV", LIEF::assembly::x86::OPCODE::AND8rr_NF_REV)
  .value("AND8rr_REV", LIEF::assembly::x86::OPCODE::AND8rr_REV)
  .value("ANDN32rm", LIEF::assembly::x86::OPCODE::ANDN32rm)
  .value("ANDN32rm_EVEX", LIEF::assembly::x86::OPCODE::ANDN32rm_EVEX)
  .value("ANDN32rm_NF", LIEF::assembly::x86::OPCODE::ANDN32rm_NF)
  .value("ANDN32rr", LIEF::assembly::x86::OPCODE::ANDN32rr)
  .value("ANDN32rr_EVEX", LIEF::assembly::x86::OPCODE::ANDN32rr_EVEX)
  .value("ANDN32rr_NF", LIEF::assembly::x86::OPCODE::ANDN32rr_NF)
  .value("ANDN64rm", LIEF::assembly::x86::OPCODE::ANDN64rm)
  .value("ANDN64rm_EVEX", LIEF::assembly::x86::OPCODE::ANDN64rm_EVEX)
  .value("ANDN64rm_NF", LIEF::assembly::x86::OPCODE::ANDN64rm_NF)
  .value("ANDN64rr", LIEF::assembly::x86::OPCODE::ANDN64rr)
  .value("ANDN64rr_EVEX", LIEF::assembly::x86::OPCODE::ANDN64rr_EVEX)
  .value("ANDN64rr_NF", LIEF::assembly::x86::OPCODE::ANDN64rr_NF)
  .value("ANDNPDrm", LIEF::assembly::x86::OPCODE::ANDNPDrm)
  .value("ANDNPDrr", LIEF::assembly::x86::OPCODE::ANDNPDrr)
  .value("ANDNPSrm", LIEF::assembly::x86::OPCODE::ANDNPSrm)
  .value("ANDNPSrr", LIEF::assembly::x86::OPCODE::ANDNPSrr)
  .value("ANDPDrm", LIEF::assembly::x86::OPCODE::ANDPDrm)
  .value("ANDPDrr", LIEF::assembly::x86::OPCODE::ANDPDrr)
  .value("ANDPSrm", LIEF::assembly::x86::OPCODE::ANDPSrm)
  .value("ANDPSrr", LIEF::assembly::x86::OPCODE::ANDPSrr)
  .value("AOR32mr", LIEF::assembly::x86::OPCODE::AOR32mr)
  .value("AOR32mr_EVEX", LIEF::assembly::x86::OPCODE::AOR32mr_EVEX)
  .value("AOR64mr", LIEF::assembly::x86::OPCODE::AOR64mr)
  .value("AOR64mr_EVEX", LIEF::assembly::x86::OPCODE::AOR64mr_EVEX)
  .value("ARPL16mr", LIEF::assembly::x86::OPCODE::ARPL16mr)
  .value("ARPL16rr", LIEF::assembly::x86::OPCODE::ARPL16rr)
  .value("ASAN_CHECK_MEMACCESS", LIEF::assembly::x86::OPCODE::ASAN_CHECK_MEMACCESS)
  .value("AXOR32mr", LIEF::assembly::x86::OPCODE::AXOR32mr)
  .value("AXOR32mr_EVEX", LIEF::assembly::x86::OPCODE::AXOR32mr_EVEX)
  .value("AXOR64mr", LIEF::assembly::x86::OPCODE::AXOR64mr)
  .value("AXOR64mr_EVEX", LIEF::assembly::x86::OPCODE::AXOR64mr_EVEX)
  .value("BEXTR32rm", LIEF::assembly::x86::OPCODE::BEXTR32rm)
  .value("BEXTR32rm_EVEX", LIEF::assembly::x86::OPCODE::BEXTR32rm_EVEX)
  .value("BEXTR32rm_NF", LIEF::assembly::x86::OPCODE::BEXTR32rm_NF)
  .value("BEXTR32rr", LIEF::assembly::x86::OPCODE::BEXTR32rr)
  .value("BEXTR32rr_EVEX", LIEF::assembly::x86::OPCODE::BEXTR32rr_EVEX)
  .value("BEXTR32rr_NF", LIEF::assembly::x86::OPCODE::BEXTR32rr_NF)
  .value("BEXTR64rm", LIEF::assembly::x86::OPCODE::BEXTR64rm)
  .value("BEXTR64rm_EVEX", LIEF::assembly::x86::OPCODE::BEXTR64rm_EVEX)
  .value("BEXTR64rm_NF", LIEF::assembly::x86::OPCODE::BEXTR64rm_NF)
  .value("BEXTR64rr", LIEF::assembly::x86::OPCODE::BEXTR64rr)
  .value("BEXTR64rr_EVEX", LIEF::assembly::x86::OPCODE::BEXTR64rr_EVEX)
  .value("BEXTR64rr_NF", LIEF::assembly::x86::OPCODE::BEXTR64rr_NF)
  .value("BEXTRI32mi", LIEF::assembly::x86::OPCODE::BEXTRI32mi)
  .value("BEXTRI32ri", LIEF::assembly::x86::OPCODE::BEXTRI32ri)
  .value("BEXTRI64mi", LIEF::assembly::x86::OPCODE::BEXTRI64mi)
  .value("BEXTRI64ri", LIEF::assembly::x86::OPCODE::BEXTRI64ri)
  .value("BLCFILL32rm", LIEF::assembly::x86::OPCODE::BLCFILL32rm)
  .value("BLCFILL32rr", LIEF::assembly::x86::OPCODE::BLCFILL32rr)
  .value("BLCFILL64rm", LIEF::assembly::x86::OPCODE::BLCFILL64rm)
  .value("BLCFILL64rr", LIEF::assembly::x86::OPCODE::BLCFILL64rr)
  .value("BLCI32rm", LIEF::assembly::x86::OPCODE::BLCI32rm)
  .value("BLCI32rr", LIEF::assembly::x86::OPCODE::BLCI32rr)
  .value("BLCI64rm", LIEF::assembly::x86::OPCODE::BLCI64rm)
  .value("BLCI64rr", LIEF::assembly::x86::OPCODE::BLCI64rr)
  .value("BLCIC32rm", LIEF::assembly::x86::OPCODE::BLCIC32rm)
  .value("BLCIC32rr", LIEF::assembly::x86::OPCODE::BLCIC32rr)
  .value("BLCIC64rm", LIEF::assembly::x86::OPCODE::BLCIC64rm)
  .value("BLCIC64rr", LIEF::assembly::x86::OPCODE::BLCIC64rr)
  .value("BLCMSK32rm", LIEF::assembly::x86::OPCODE::BLCMSK32rm)
  .value("BLCMSK32rr", LIEF::assembly::x86::OPCODE::BLCMSK32rr)
  .value("BLCMSK64rm", LIEF::assembly::x86::OPCODE::BLCMSK64rm)
  .value("BLCMSK64rr", LIEF::assembly::x86::OPCODE::BLCMSK64rr)
  .value("BLCS32rm", LIEF::assembly::x86::OPCODE::BLCS32rm)
  .value("BLCS32rr", LIEF::assembly::x86::OPCODE::BLCS32rr)
  .value("BLCS64rm", LIEF::assembly::x86::OPCODE::BLCS64rm)
  .value("BLCS64rr", LIEF::assembly::x86::OPCODE::BLCS64rr)
  .value("BLENDPDrmi", LIEF::assembly::x86::OPCODE::BLENDPDrmi)
  .value("BLENDPDrri", LIEF::assembly::x86::OPCODE::BLENDPDrri)
  .value("BLENDPSrmi", LIEF::assembly::x86::OPCODE::BLENDPSrmi)
  .value("BLENDPSrri", LIEF::assembly::x86::OPCODE::BLENDPSrri)
  .value("BLENDVPDrm0", LIEF::assembly::x86::OPCODE::BLENDVPDrm0)
  .value("BLENDVPDrr0", LIEF::assembly::x86::OPCODE::BLENDVPDrr0)
  .value("BLENDVPSrm0", LIEF::assembly::x86::OPCODE::BLENDVPSrm0)
  .value("BLENDVPSrr0", LIEF::assembly::x86::OPCODE::BLENDVPSrr0)
  .value("BLSFILL32rm", LIEF::assembly::x86::OPCODE::BLSFILL32rm)
  .value("BLSFILL32rr", LIEF::assembly::x86::OPCODE::BLSFILL32rr)
  .value("BLSFILL64rm", LIEF::assembly::x86::OPCODE::BLSFILL64rm)
  .value("BLSFILL64rr", LIEF::assembly::x86::OPCODE::BLSFILL64rr)
  .value("BLSI32rm", LIEF::assembly::x86::OPCODE::BLSI32rm)
  .value("BLSI32rm_EVEX", LIEF::assembly::x86::OPCODE::BLSI32rm_EVEX)
  .value("BLSI32rm_NF", LIEF::assembly::x86::OPCODE::BLSI32rm_NF)
  .value("BLSI32rr", LIEF::assembly::x86::OPCODE::BLSI32rr)
  .value("BLSI32rr_EVEX", LIEF::assembly::x86::OPCODE::BLSI32rr_EVEX)
  .value("BLSI32rr_NF", LIEF::assembly::x86::OPCODE::BLSI32rr_NF)
  .value("BLSI64rm", LIEF::assembly::x86::OPCODE::BLSI64rm)
  .value("BLSI64rm_EVEX", LIEF::assembly::x86::OPCODE::BLSI64rm_EVEX)
  .value("BLSI64rm_NF", LIEF::assembly::x86::OPCODE::BLSI64rm_NF)
  .value("BLSI64rr", LIEF::assembly::x86::OPCODE::BLSI64rr)
  .value("BLSI64rr_EVEX", LIEF::assembly::x86::OPCODE::BLSI64rr_EVEX)
  .value("BLSI64rr_NF", LIEF::assembly::x86::OPCODE::BLSI64rr_NF)
  .value("BLSIC32rm", LIEF::assembly::x86::OPCODE::BLSIC32rm)
  .value("BLSIC32rr", LIEF::assembly::x86::OPCODE::BLSIC32rr)
  .value("BLSIC64rm", LIEF::assembly::x86::OPCODE::BLSIC64rm)
  .value("BLSIC64rr", LIEF::assembly::x86::OPCODE::BLSIC64rr)
  .value("BLSMSK32rm", LIEF::assembly::x86::OPCODE::BLSMSK32rm)
  .value("BLSMSK32rm_EVEX", LIEF::assembly::x86::OPCODE::BLSMSK32rm_EVEX)
  .value("BLSMSK32rm_NF", LIEF::assembly::x86::OPCODE::BLSMSK32rm_NF)
  .value("BLSMSK32rr", LIEF::assembly::x86::OPCODE::BLSMSK32rr)
  .value("BLSMSK32rr_EVEX", LIEF::assembly::x86::OPCODE::BLSMSK32rr_EVEX)
  .value("BLSMSK32rr_NF", LIEF::assembly::x86::OPCODE::BLSMSK32rr_NF)
  .value("BLSMSK64rm", LIEF::assembly::x86::OPCODE::BLSMSK64rm)
  .value("BLSMSK64rm_EVEX", LIEF::assembly::x86::OPCODE::BLSMSK64rm_EVEX)
  .value("BLSMSK64rm_NF", LIEF::assembly::x86::OPCODE::BLSMSK64rm_NF)
  .value("BLSMSK64rr", LIEF::assembly::x86::OPCODE::BLSMSK64rr)
  .value("BLSMSK64rr_EVEX", LIEF::assembly::x86::OPCODE::BLSMSK64rr_EVEX)
  .value("BLSMSK64rr_NF", LIEF::assembly::x86::OPCODE::BLSMSK64rr_NF)
  .value("BLSR32rm", LIEF::assembly::x86::OPCODE::BLSR32rm)
  .value("BLSR32rm_EVEX", LIEF::assembly::x86::OPCODE::BLSR32rm_EVEX)
  .value("BLSR32rm_NF", LIEF::assembly::x86::OPCODE::BLSR32rm_NF)
  .value("BLSR32rr", LIEF::assembly::x86::OPCODE::BLSR32rr)
  .value("BLSR32rr_EVEX", LIEF::assembly::x86::OPCODE::BLSR32rr_EVEX)
  .value("BLSR32rr_NF", LIEF::assembly::x86::OPCODE::BLSR32rr_NF)
  .value("BLSR64rm", LIEF::assembly::x86::OPCODE::BLSR64rm)
  .value("BLSR64rm_EVEX", LIEF::assembly::x86::OPCODE::BLSR64rm_EVEX)
  .value("BLSR64rm_NF", LIEF::assembly::x86::OPCODE::BLSR64rm_NF)
  .value("BLSR64rr", LIEF::assembly::x86::OPCODE::BLSR64rr)
  .value("BLSR64rr_EVEX", LIEF::assembly::x86::OPCODE::BLSR64rr_EVEX)
  .value("BLSR64rr_NF", LIEF::assembly::x86::OPCODE::BLSR64rr_NF)
  .value("BOUNDS16rm", LIEF::assembly::x86::OPCODE::BOUNDS16rm)
  .value("BOUNDS32rm", LIEF::assembly::x86::OPCODE::BOUNDS32rm)
  .value("BSF16rm", LIEF::assembly::x86::OPCODE::BSF16rm)
  .value("BSF16rr", LIEF::assembly::x86::OPCODE::BSF16rr)
  .value("BSF32rm", LIEF::assembly::x86::OPCODE::BSF32rm)
  .value("BSF32rr", LIEF::assembly::x86::OPCODE::BSF32rr)
  .value("BSF64rm", LIEF::assembly::x86::OPCODE::BSF64rm)
  .value("BSF64rr", LIEF::assembly::x86::OPCODE::BSF64rr)
  .value("BSR16rm", LIEF::assembly::x86::OPCODE::BSR16rm)
  .value("BSR16rr", LIEF::assembly::x86::OPCODE::BSR16rr)
  .value("BSR32rm", LIEF::assembly::x86::OPCODE::BSR32rm)
  .value("BSR32rr", LIEF::assembly::x86::OPCODE::BSR32rr)
  .value("BSR64rm", LIEF::assembly::x86::OPCODE::BSR64rm)
  .value("BSR64rr", LIEF::assembly::x86::OPCODE::BSR64rr)
  .value("BSWAP16r_BAD", LIEF::assembly::x86::OPCODE::BSWAP16r_BAD)
  .value("BSWAP32r", LIEF::assembly::x86::OPCODE::BSWAP32r)
  .value("BSWAP64r", LIEF::assembly::x86::OPCODE::BSWAP64r)
  .value("BT16mi8", LIEF::assembly::x86::OPCODE::BT16mi8)
  .value("BT16mr", LIEF::assembly::x86::OPCODE::BT16mr)
  .value("BT16ri8", LIEF::assembly::x86::OPCODE::BT16ri8)
  .value("BT16rr", LIEF::assembly::x86::OPCODE::BT16rr)
  .value("BT32mi8", LIEF::assembly::x86::OPCODE::BT32mi8)
  .value("BT32mr", LIEF::assembly::x86::OPCODE::BT32mr)
  .value("BT32ri8", LIEF::assembly::x86::OPCODE::BT32ri8)
  .value("BT32rr", LIEF::assembly::x86::OPCODE::BT32rr)
  .value("BT64mi8", LIEF::assembly::x86::OPCODE::BT64mi8)
  .value("BT64mr", LIEF::assembly::x86::OPCODE::BT64mr)
  .value("BT64ri8", LIEF::assembly::x86::OPCODE::BT64ri8)
  .value("BT64rr", LIEF::assembly::x86::OPCODE::BT64rr)
  .value("BTC16mi8", LIEF::assembly::x86::OPCODE::BTC16mi8)
  .value("BTC16mr", LIEF::assembly::x86::OPCODE::BTC16mr)
  .value("BTC16ri8", LIEF::assembly::x86::OPCODE::BTC16ri8)
  .value("BTC16rr", LIEF::assembly::x86::OPCODE::BTC16rr)
  .value("BTC32mi8", LIEF::assembly::x86::OPCODE::BTC32mi8)
  .value("BTC32mr", LIEF::assembly::x86::OPCODE::BTC32mr)
  .value("BTC32ri8", LIEF::assembly::x86::OPCODE::BTC32ri8)
  .value("BTC32rr", LIEF::assembly::x86::OPCODE::BTC32rr)
  .value("BTC64mi8", LIEF::assembly::x86::OPCODE::BTC64mi8)
  .value("BTC64mr", LIEF::assembly::x86::OPCODE::BTC64mr)
  .value("BTC64ri8", LIEF::assembly::x86::OPCODE::BTC64ri8)
  .value("BTC64rr", LIEF::assembly::x86::OPCODE::BTC64rr)
  .value("BTR16mi8", LIEF::assembly::x86::OPCODE::BTR16mi8)
  .value("BTR16mr", LIEF::assembly::x86::OPCODE::BTR16mr)
  .value("BTR16ri8", LIEF::assembly::x86::OPCODE::BTR16ri8)
  .value("BTR16rr", LIEF::assembly::x86::OPCODE::BTR16rr)
  .value("BTR32mi8", LIEF::assembly::x86::OPCODE::BTR32mi8)
  .value("BTR32mr", LIEF::assembly::x86::OPCODE::BTR32mr)
  .value("BTR32ri8", LIEF::assembly::x86::OPCODE::BTR32ri8)
  .value("BTR32rr", LIEF::assembly::x86::OPCODE::BTR32rr)
  .value("BTR64mi8", LIEF::assembly::x86::OPCODE::BTR64mi8)
  .value("BTR64mr", LIEF::assembly::x86::OPCODE::BTR64mr)
  .value("BTR64ri8", LIEF::assembly::x86::OPCODE::BTR64ri8)
  .value("BTR64rr", LIEF::assembly::x86::OPCODE::BTR64rr)
  .value("BTS16mi8", LIEF::assembly::x86::OPCODE::BTS16mi8)
  .value("BTS16mr", LIEF::assembly::x86::OPCODE::BTS16mr)
  .value("BTS16ri8", LIEF::assembly::x86::OPCODE::BTS16ri8)
  .value("BTS16rr", LIEF::assembly::x86::OPCODE::BTS16rr)
  .value("BTS32mi8", LIEF::assembly::x86::OPCODE::BTS32mi8)
  .value("BTS32mr", LIEF::assembly::x86::OPCODE::BTS32mr)
  .value("BTS32ri8", LIEF::assembly::x86::OPCODE::BTS32ri8)
  .value("BTS32rr", LIEF::assembly::x86::OPCODE::BTS32rr)
  .value("BTS64mi8", LIEF::assembly::x86::OPCODE::BTS64mi8)
  .value("BTS64mr", LIEF::assembly::x86::OPCODE::BTS64mr)
  .value("BTS64ri8", LIEF::assembly::x86::OPCODE::BTS64ri8)
  .value("BTS64rr", LIEF::assembly::x86::OPCODE::BTS64rr)
  .value("BZHI32rm", LIEF::assembly::x86::OPCODE::BZHI32rm)
  .value("BZHI32rm_EVEX", LIEF::assembly::x86::OPCODE::BZHI32rm_EVEX)
  .value("BZHI32rm_NF", LIEF::assembly::x86::OPCODE::BZHI32rm_NF)
  .value("BZHI32rr", LIEF::assembly::x86::OPCODE::BZHI32rr)
  .value("BZHI32rr_EVEX", LIEF::assembly::x86::OPCODE::BZHI32rr_EVEX)
  .value("BZHI32rr_NF", LIEF::assembly::x86::OPCODE::BZHI32rr_NF)
  .value("BZHI64rm", LIEF::assembly::x86::OPCODE::BZHI64rm)
  .value("BZHI64rm_EVEX", LIEF::assembly::x86::OPCODE::BZHI64rm_EVEX)
  .value("BZHI64rm_NF", LIEF::assembly::x86::OPCODE::BZHI64rm_NF)
  .value("BZHI64rr", LIEF::assembly::x86::OPCODE::BZHI64rr)
  .value("BZHI64rr_EVEX", LIEF::assembly::x86::OPCODE::BZHI64rr_EVEX)
  .value("BZHI64rr_NF", LIEF::assembly::x86::OPCODE::BZHI64rr_NF)
  .value("CALL16m", LIEF::assembly::x86::OPCODE::CALL16m)
  .value("CALL16m_NT", LIEF::assembly::x86::OPCODE::CALL16m_NT)
  .value("CALL16r", LIEF::assembly::x86::OPCODE::CALL16r)
  .value("CALL16r_NT", LIEF::assembly::x86::OPCODE::CALL16r_NT)
  .value("CALL32m", LIEF::assembly::x86::OPCODE::CALL32m)
  .value("CALL32m_NT", LIEF::assembly::x86::OPCODE::CALL32m_NT)
  .value("CALL32r", LIEF::assembly::x86::OPCODE::CALL32r)
  .value("CALL32r_NT", LIEF::assembly::x86::OPCODE::CALL32r_NT)
  .value("CALL64m", LIEF::assembly::x86::OPCODE::CALL64m)
  .value("CALL64m_NT", LIEF::assembly::x86::OPCODE::CALL64m_NT)
  .value("CALL64pcrel32", LIEF::assembly::x86::OPCODE::CALL64pcrel32)
  .value("CALL64r", LIEF::assembly::x86::OPCODE::CALL64r)
  .value("CALL64r_NT", LIEF::assembly::x86::OPCODE::CALL64r_NT)
  .value("CALLpcrel16", LIEF::assembly::x86::OPCODE::CALLpcrel16)
  .value("CALLpcrel32", LIEF::assembly::x86::OPCODE::CALLpcrel32)
  .value("CATCHRET", LIEF::assembly::x86::OPCODE::CATCHRET)
  .value("CBW", LIEF::assembly::x86::OPCODE::CBW)
  .value("CCMP16mi", LIEF::assembly::x86::OPCODE::CCMP16mi)
  .value("CCMP16mi8", LIEF::assembly::x86::OPCODE::CCMP16mi8)
  .value("CCMP16mr", LIEF::assembly::x86::OPCODE::CCMP16mr)
  .value("CCMP16ri", LIEF::assembly::x86::OPCODE::CCMP16ri)
  .value("CCMP16ri8", LIEF::assembly::x86::OPCODE::CCMP16ri8)
  .value("CCMP16rm", LIEF::assembly::x86::OPCODE::CCMP16rm)
  .value("CCMP16rr", LIEF::assembly::x86::OPCODE::CCMP16rr)
  .value("CCMP16rr_REV", LIEF::assembly::x86::OPCODE::CCMP16rr_REV)
  .value("CCMP32mi", LIEF::assembly::x86::OPCODE::CCMP32mi)
  .value("CCMP32mi8", LIEF::assembly::x86::OPCODE::CCMP32mi8)
  .value("CCMP32mr", LIEF::assembly::x86::OPCODE::CCMP32mr)
  .value("CCMP32ri", LIEF::assembly::x86::OPCODE::CCMP32ri)
  .value("CCMP32ri8", LIEF::assembly::x86::OPCODE::CCMP32ri8)
  .value("CCMP32rm", LIEF::assembly::x86::OPCODE::CCMP32rm)
  .value("CCMP32rr", LIEF::assembly::x86::OPCODE::CCMP32rr)
  .value("CCMP32rr_REV", LIEF::assembly::x86::OPCODE::CCMP32rr_REV)
  .value("CCMP64mi32", LIEF::assembly::x86::OPCODE::CCMP64mi32)
  .value("CCMP64mi8", LIEF::assembly::x86::OPCODE::CCMP64mi8)
  .value("CCMP64mr", LIEF::assembly::x86::OPCODE::CCMP64mr)
  .value("CCMP64ri32", LIEF::assembly::x86::OPCODE::CCMP64ri32)
  .value("CCMP64ri8", LIEF::assembly::x86::OPCODE::CCMP64ri8)
  .value("CCMP64rm", LIEF::assembly::x86::OPCODE::CCMP64rm)
  .value("CCMP64rr", LIEF::assembly::x86::OPCODE::CCMP64rr)
  .value("CCMP64rr_REV", LIEF::assembly::x86::OPCODE::CCMP64rr_REV)
  .value("CCMP8mi", LIEF::assembly::x86::OPCODE::CCMP8mi)
  .value("CCMP8mr", LIEF::assembly::x86::OPCODE::CCMP8mr)
  .value("CCMP8ri", LIEF::assembly::x86::OPCODE::CCMP8ri)
  .value("CCMP8rm", LIEF::assembly::x86::OPCODE::CCMP8rm)
  .value("CCMP8rr", LIEF::assembly::x86::OPCODE::CCMP8rr)
  .value("CCMP8rr_REV", LIEF::assembly::x86::OPCODE::CCMP8rr_REV)
  .value("CDQ", LIEF::assembly::x86::OPCODE::CDQ)
  .value("CDQE", LIEF::assembly::x86::OPCODE::CDQE)
  .value("CFCMOV16mr", LIEF::assembly::x86::OPCODE::CFCMOV16mr)
  .value("CFCMOV16rm", LIEF::assembly::x86::OPCODE::CFCMOV16rm)
  .value("CFCMOV16rm_ND", LIEF::assembly::x86::OPCODE::CFCMOV16rm_ND)
  .value("CFCMOV16rr", LIEF::assembly::x86::OPCODE::CFCMOV16rr)
  .value("CFCMOV16rr_ND", LIEF::assembly::x86::OPCODE::CFCMOV16rr_ND)
  .value("CFCMOV16rr_REV", LIEF::assembly::x86::OPCODE::CFCMOV16rr_REV)
  .value("CFCMOV32mr", LIEF::assembly::x86::OPCODE::CFCMOV32mr)
  .value("CFCMOV32rm", LIEF::assembly::x86::OPCODE::CFCMOV32rm)
  .value("CFCMOV32rm_ND", LIEF::assembly::x86::OPCODE::CFCMOV32rm_ND)
  .value("CFCMOV32rr", LIEF::assembly::x86::OPCODE::CFCMOV32rr)
  .value("CFCMOV32rr_ND", LIEF::assembly::x86::OPCODE::CFCMOV32rr_ND)
  .value("CFCMOV32rr_REV", LIEF::assembly::x86::OPCODE::CFCMOV32rr_REV)
  .value("CFCMOV64mr", LIEF::assembly::x86::OPCODE::CFCMOV64mr)
  .value("CFCMOV64rm", LIEF::assembly::x86::OPCODE::CFCMOV64rm)
  .value("CFCMOV64rm_ND", LIEF::assembly::x86::OPCODE::CFCMOV64rm_ND)
  .value("CFCMOV64rr", LIEF::assembly::x86::OPCODE::CFCMOV64rr)
  .value("CFCMOV64rr_ND", LIEF::assembly::x86::OPCODE::CFCMOV64rr_ND)
  .value("CFCMOV64rr_REV", LIEF::assembly::x86::OPCODE::CFCMOV64rr_REV)
  .value("CHS_F", LIEF::assembly::x86::OPCODE::CHS_F)
  .value("CHS_Fp32", LIEF::assembly::x86::OPCODE::CHS_Fp32)
  .value("CHS_Fp64", LIEF::assembly::x86::OPCODE::CHS_Fp64)
  .value("CHS_Fp80", LIEF::assembly::x86::OPCODE::CHS_Fp80)
  .value("CLAC", LIEF::assembly::x86::OPCODE::CLAC)
  .value("CLC", LIEF::assembly::x86::OPCODE::CLC)
  .value("CLD", LIEF::assembly::x86::OPCODE::CLD)
  .value("CLDEMOTE", LIEF::assembly::x86::OPCODE::CLDEMOTE)
  .value("CLEANUPRET", LIEF::assembly::x86::OPCODE::CLEANUPRET)
  .value("CLFLUSH", LIEF::assembly::x86::OPCODE::CLFLUSH)
  .value("CLFLUSHOPT", LIEF::assembly::x86::OPCODE::CLFLUSHOPT)
  .value("CLGI", LIEF::assembly::x86::OPCODE::CLGI)
  .value("CLI", LIEF::assembly::x86::OPCODE::CLI)
  .value("CLRSSBSY", LIEF::assembly::x86::OPCODE::CLRSSBSY)
  .value("CLTS", LIEF::assembly::x86::OPCODE::CLTS)
  .value("CLUI", LIEF::assembly::x86::OPCODE::CLUI)
  .value("CLWB", LIEF::assembly::x86::OPCODE::CLWB)
  .value("CLZERO32r", LIEF::assembly::x86::OPCODE::CLZERO32r)
  .value("CLZERO64r", LIEF::assembly::x86::OPCODE::CLZERO64r)
  .value("CMC", LIEF::assembly::x86::OPCODE::CMC)
  .value("CMOV16rm", LIEF::assembly::x86::OPCODE::CMOV16rm)
  .value("CMOV16rm_ND", LIEF::assembly::x86::OPCODE::CMOV16rm_ND)
  .value("CMOV16rr", LIEF::assembly::x86::OPCODE::CMOV16rr)
  .value("CMOV16rr_ND", LIEF::assembly::x86::OPCODE::CMOV16rr_ND)
  .value("CMOV32rm", LIEF::assembly::x86::OPCODE::CMOV32rm)
  .value("CMOV32rm_ND", LIEF::assembly::x86::OPCODE::CMOV32rm_ND)
  .value("CMOV32rr", LIEF::assembly::x86::OPCODE::CMOV32rr)
  .value("CMOV32rr_ND", LIEF::assembly::x86::OPCODE::CMOV32rr_ND)
  .value("CMOV64rm", LIEF::assembly::x86::OPCODE::CMOV64rm)
  .value("CMOV64rm_ND", LIEF::assembly::x86::OPCODE::CMOV64rm_ND)
  .value("CMOV64rr", LIEF::assembly::x86::OPCODE::CMOV64rr)
  .value("CMOV64rr_ND", LIEF::assembly::x86::OPCODE::CMOV64rr_ND)
  .value("CMOVBE_F", LIEF::assembly::x86::OPCODE::CMOVBE_F)
  .value("CMOVBE_Fp32", LIEF::assembly::x86::OPCODE::CMOVBE_Fp32)
  .value("CMOVBE_Fp64", LIEF::assembly::x86::OPCODE::CMOVBE_Fp64);
  opcodes.value("CMOVBE_Fp80", LIEF::assembly::x86::OPCODE::CMOVBE_Fp80)
  .value("CMOVB_F", LIEF::assembly::x86::OPCODE::CMOVB_F)
  .value("CMOVB_Fp32", LIEF::assembly::x86::OPCODE::CMOVB_Fp32)
  .value("CMOVB_Fp64", LIEF::assembly::x86::OPCODE::CMOVB_Fp64)
  .value("CMOVB_Fp80", LIEF::assembly::x86::OPCODE::CMOVB_Fp80)
  .value("CMOVE_F", LIEF::assembly::x86::OPCODE::CMOVE_F)
  .value("CMOVE_Fp32", LIEF::assembly::x86::OPCODE::CMOVE_Fp32)
  .value("CMOVE_Fp64", LIEF::assembly::x86::OPCODE::CMOVE_Fp64)
  .value("CMOVE_Fp80", LIEF::assembly::x86::OPCODE::CMOVE_Fp80)
  .value("CMOVNBE_F", LIEF::assembly::x86::OPCODE::CMOVNBE_F)
  .value("CMOVNBE_Fp32", LIEF::assembly::x86::OPCODE::CMOVNBE_Fp32)
  .value("CMOVNBE_Fp64", LIEF::assembly::x86::OPCODE::CMOVNBE_Fp64)
  .value("CMOVNBE_Fp80", LIEF::assembly::x86::OPCODE::CMOVNBE_Fp80)
  .value("CMOVNB_F", LIEF::assembly::x86::OPCODE::CMOVNB_F)
  .value("CMOVNB_Fp32", LIEF::assembly::x86::OPCODE::CMOVNB_Fp32)
  .value("CMOVNB_Fp64", LIEF::assembly::x86::OPCODE::CMOVNB_Fp64)
  .value("CMOVNB_Fp80", LIEF::assembly::x86::OPCODE::CMOVNB_Fp80)
  .value("CMOVNE_F", LIEF::assembly::x86::OPCODE::CMOVNE_F)
  .value("CMOVNE_Fp32", LIEF::assembly::x86::OPCODE::CMOVNE_Fp32)
  .value("CMOVNE_Fp64", LIEF::assembly::x86::OPCODE::CMOVNE_Fp64)
  .value("CMOVNE_Fp80", LIEF::assembly::x86::OPCODE::CMOVNE_Fp80)
  .value("CMOVNP_F", LIEF::assembly::x86::OPCODE::CMOVNP_F)
  .value("CMOVNP_Fp32", LIEF::assembly::x86::OPCODE::CMOVNP_Fp32)
  .value("CMOVNP_Fp64", LIEF::assembly::x86::OPCODE::CMOVNP_Fp64)
  .value("CMOVNP_Fp80", LIEF::assembly::x86::OPCODE::CMOVNP_Fp80)
  .value("CMOVP_F", LIEF::assembly::x86::OPCODE::CMOVP_F)
  .value("CMOVP_Fp32", LIEF::assembly::x86::OPCODE::CMOVP_Fp32)
  .value("CMOVP_Fp64", LIEF::assembly::x86::OPCODE::CMOVP_Fp64)
  .value("CMOVP_Fp80", LIEF::assembly::x86::OPCODE::CMOVP_Fp80)
  .value("CMOV_FR16", LIEF::assembly::x86::OPCODE::CMOV_FR16)
  .value("CMOV_FR16X", LIEF::assembly::x86::OPCODE::CMOV_FR16X)
  .value("CMOV_FR32", LIEF::assembly::x86::OPCODE::CMOV_FR32)
  .value("CMOV_FR32X", LIEF::assembly::x86::OPCODE::CMOV_FR32X)
  .value("CMOV_FR64", LIEF::assembly::x86::OPCODE::CMOV_FR64)
  .value("CMOV_FR64X", LIEF::assembly::x86::OPCODE::CMOV_FR64X)
  .value("CMOV_GR16", LIEF::assembly::x86::OPCODE::CMOV_GR16)
  .value("CMOV_GR32", LIEF::assembly::x86::OPCODE::CMOV_GR32)
  .value("CMOV_GR8", LIEF::assembly::x86::OPCODE::CMOV_GR8)
  .value("CMOV_RFP32", LIEF::assembly::x86::OPCODE::CMOV_RFP32)
  .value("CMOV_RFP64", LIEF::assembly::x86::OPCODE::CMOV_RFP64)
  .value("CMOV_RFP80", LIEF::assembly::x86::OPCODE::CMOV_RFP80)
  .value("CMOV_VK1", LIEF::assembly::x86::OPCODE::CMOV_VK1)
  .value("CMOV_VK16", LIEF::assembly::x86::OPCODE::CMOV_VK16)
  .value("CMOV_VK2", LIEF::assembly::x86::OPCODE::CMOV_VK2)
  .value("CMOV_VK32", LIEF::assembly::x86::OPCODE::CMOV_VK32)
  .value("CMOV_VK4", LIEF::assembly::x86::OPCODE::CMOV_VK4)
  .value("CMOV_VK64", LIEF::assembly::x86::OPCODE::CMOV_VK64)
  .value("CMOV_VK8", LIEF::assembly::x86::OPCODE::CMOV_VK8)
  .value("CMOV_VR128", LIEF::assembly::x86::OPCODE::CMOV_VR128)
  .value("CMOV_VR128X", LIEF::assembly::x86::OPCODE::CMOV_VR128X)
  .value("CMOV_VR256", LIEF::assembly::x86::OPCODE::CMOV_VR256)
  .value("CMOV_VR256X", LIEF::assembly::x86::OPCODE::CMOV_VR256X)
  .value("CMOV_VR512", LIEF::assembly::x86::OPCODE::CMOV_VR512)
  .value("CMOV_VR64", LIEF::assembly::x86::OPCODE::CMOV_VR64)
  .value("CMP16i16", LIEF::assembly::x86::OPCODE::CMP16i16)
  .value("CMP16mi", LIEF::assembly::x86::OPCODE::CMP16mi)
  .value("CMP16mi8", LIEF::assembly::x86::OPCODE::CMP16mi8)
  .value("CMP16mr", LIEF::assembly::x86::OPCODE::CMP16mr)
  .value("CMP16ri", LIEF::assembly::x86::OPCODE::CMP16ri)
  .value("CMP16ri8", LIEF::assembly::x86::OPCODE::CMP16ri8)
  .value("CMP16rm", LIEF::assembly::x86::OPCODE::CMP16rm)
  .value("CMP16rr", LIEF::assembly::x86::OPCODE::CMP16rr)
  .value("CMP16rr_REV", LIEF::assembly::x86::OPCODE::CMP16rr_REV)
  .value("CMP32i32", LIEF::assembly::x86::OPCODE::CMP32i32)
  .value("CMP32mi", LIEF::assembly::x86::OPCODE::CMP32mi)
  .value("CMP32mi8", LIEF::assembly::x86::OPCODE::CMP32mi8)
  .value("CMP32mr", LIEF::assembly::x86::OPCODE::CMP32mr)
  .value("CMP32ri", LIEF::assembly::x86::OPCODE::CMP32ri)
  .value("CMP32ri8", LIEF::assembly::x86::OPCODE::CMP32ri8)
  .value("CMP32rm", LIEF::assembly::x86::OPCODE::CMP32rm)
  .value("CMP32rr", LIEF::assembly::x86::OPCODE::CMP32rr)
  .value("CMP32rr_REV", LIEF::assembly::x86::OPCODE::CMP32rr_REV)
  .value("CMP64i32", LIEF::assembly::x86::OPCODE::CMP64i32)
  .value("CMP64mi32", LIEF::assembly::x86::OPCODE::CMP64mi32)
  .value("CMP64mi8", LIEF::assembly::x86::OPCODE::CMP64mi8)
  .value("CMP64mr", LIEF::assembly::x86::OPCODE::CMP64mr)
  .value("CMP64ri32", LIEF::assembly::x86::OPCODE::CMP64ri32)
  .value("CMP64ri8", LIEF::assembly::x86::OPCODE::CMP64ri8)
  .value("CMP64rm", LIEF::assembly::x86::OPCODE::CMP64rm)
  .value("CMP64rr", LIEF::assembly::x86::OPCODE::CMP64rr)
  .value("CMP64rr_REV", LIEF::assembly::x86::OPCODE::CMP64rr_REV)
  .value("CMP8i8", LIEF::assembly::x86::OPCODE::CMP8i8)
  .value("CMP8mi", LIEF::assembly::x86::OPCODE::CMP8mi)
  .value("CMP8mi8", LIEF::assembly::x86::OPCODE::CMP8mi8)
  .value("CMP8mr", LIEF::assembly::x86::OPCODE::CMP8mr)
  .value("CMP8ri", LIEF::assembly::x86::OPCODE::CMP8ri)
  .value("CMP8ri8", LIEF::assembly::x86::OPCODE::CMP8ri8)
  .value("CMP8rm", LIEF::assembly::x86::OPCODE::CMP8rm)
  .value("CMP8rr", LIEF::assembly::x86::OPCODE::CMP8rr)
  .value("CMP8rr_REV", LIEF::assembly::x86::OPCODE::CMP8rr_REV)
  .value("CMPCCXADDmr32", LIEF::assembly::x86::OPCODE::CMPCCXADDmr32)
  .value("CMPCCXADDmr32_EVEX", LIEF::assembly::x86::OPCODE::CMPCCXADDmr32_EVEX)
  .value("CMPCCXADDmr64", LIEF::assembly::x86::OPCODE::CMPCCXADDmr64)
  .value("CMPCCXADDmr64_EVEX", LIEF::assembly::x86::OPCODE::CMPCCXADDmr64_EVEX)
  .value("CMPPDrmi", LIEF::assembly::x86::OPCODE::CMPPDrmi)
  .value("CMPPDrri", LIEF::assembly::x86::OPCODE::CMPPDrri)
  .value("CMPPSrmi", LIEF::assembly::x86::OPCODE::CMPPSrmi)
  .value("CMPPSrri", LIEF::assembly::x86::OPCODE::CMPPSrri)
  .value("CMPSB", LIEF::assembly::x86::OPCODE::CMPSB)
  .value("CMPSDrmi", LIEF::assembly::x86::OPCODE::CMPSDrmi)
  .value("CMPSDrmi_Int", LIEF::assembly::x86::OPCODE::CMPSDrmi_Int)
  .value("CMPSDrri", LIEF::assembly::x86::OPCODE::CMPSDrri)
  .value("CMPSDrri_Int", LIEF::assembly::x86::OPCODE::CMPSDrri_Int)
  .value("CMPSL", LIEF::assembly::x86::OPCODE::CMPSL)
  .value("CMPSQ", LIEF::assembly::x86::OPCODE::CMPSQ)
  .value("CMPSSrmi", LIEF::assembly::x86::OPCODE::CMPSSrmi)
  .value("CMPSSrmi_Int", LIEF::assembly::x86::OPCODE::CMPSSrmi_Int)
  .value("CMPSSrri", LIEF::assembly::x86::OPCODE::CMPSSrri)
  .value("CMPSSrri_Int", LIEF::assembly::x86::OPCODE::CMPSSrri_Int)
  .value("CMPSW", LIEF::assembly::x86::OPCODE::CMPSW)
  .value("CMPXCHG16B", LIEF::assembly::x86::OPCODE::CMPXCHG16B)
  .value("CMPXCHG16rm", LIEF::assembly::x86::OPCODE::CMPXCHG16rm)
  .value("CMPXCHG16rr", LIEF::assembly::x86::OPCODE::CMPXCHG16rr)
  .value("CMPXCHG32rm", LIEF::assembly::x86::OPCODE::CMPXCHG32rm)
  .value("CMPXCHG32rr", LIEF::assembly::x86::OPCODE::CMPXCHG32rr)
  .value("CMPXCHG64rm", LIEF::assembly::x86::OPCODE::CMPXCHG64rm)
  .value("CMPXCHG64rr", LIEF::assembly::x86::OPCODE::CMPXCHG64rr)
  .value("CMPXCHG8B", LIEF::assembly::x86::OPCODE::CMPXCHG8B)
  .value("CMPXCHG8rm", LIEF::assembly::x86::OPCODE::CMPXCHG8rm)
  .value("CMPXCHG8rr", LIEF::assembly::x86::OPCODE::CMPXCHG8rr)
  .value("COMISDrm", LIEF::assembly::x86::OPCODE::COMISDrm)
  .value("COMISDrm_Int", LIEF::assembly::x86::OPCODE::COMISDrm_Int)
  .value("COMISDrr", LIEF::assembly::x86::OPCODE::COMISDrr)
  .value("COMISDrr_Int", LIEF::assembly::x86::OPCODE::COMISDrr_Int)
  .value("COMISSrm", LIEF::assembly::x86::OPCODE::COMISSrm)
  .value("COMISSrm_Int", LIEF::assembly::x86::OPCODE::COMISSrm_Int)
  .value("COMISSrr", LIEF::assembly::x86::OPCODE::COMISSrr)
  .value("COMISSrr_Int", LIEF::assembly::x86::OPCODE::COMISSrr_Int)
  .value("COMP_FST0r", LIEF::assembly::x86::OPCODE::COMP_FST0r)
  .value("COM_FIPr", LIEF::assembly::x86::OPCODE::COM_FIPr)
  .value("COM_FIr", LIEF::assembly::x86::OPCODE::COM_FIr)
  .value("COM_FST0r", LIEF::assembly::x86::OPCODE::COM_FST0r)
  .value("COM_FpIr32", LIEF::assembly::x86::OPCODE::COM_FpIr32)
  .value("COM_FpIr64", LIEF::assembly::x86::OPCODE::COM_FpIr64)
  .value("COM_FpIr80", LIEF::assembly::x86::OPCODE::COM_FpIr80)
  .value("COM_Fpr32", LIEF::assembly::x86::OPCODE::COM_Fpr32)
  .value("COM_Fpr64", LIEF::assembly::x86::OPCODE::COM_Fpr64)
  .value("COM_Fpr80", LIEF::assembly::x86::OPCODE::COM_Fpr80)
  .value("CPUID", LIEF::assembly::x86::OPCODE::CPUID)
  .value("CQO", LIEF::assembly::x86::OPCODE::CQO)
  .value("CRC32r32m16", LIEF::assembly::x86::OPCODE::CRC32r32m16)
  .value("CRC32r32m16_EVEX", LIEF::assembly::x86::OPCODE::CRC32r32m16_EVEX)
  .value("CRC32r32m32", LIEF::assembly::x86::OPCODE::CRC32r32m32)
  .value("CRC32r32m32_EVEX", LIEF::assembly::x86::OPCODE::CRC32r32m32_EVEX)
  .value("CRC32r32m8", LIEF::assembly::x86::OPCODE::CRC32r32m8)
  .value("CRC32r32m8_EVEX", LIEF::assembly::x86::OPCODE::CRC32r32m8_EVEX)
  .value("CRC32r32r16", LIEF::assembly::x86::OPCODE::CRC32r32r16)
  .value("CRC32r32r16_EVEX", LIEF::assembly::x86::OPCODE::CRC32r32r16_EVEX)
  .value("CRC32r32r32", LIEF::assembly::x86::OPCODE::CRC32r32r32)
  .value("CRC32r32r32_EVEX", LIEF::assembly::x86::OPCODE::CRC32r32r32_EVEX)
  .value("CRC32r32r8", LIEF::assembly::x86::OPCODE::CRC32r32r8)
  .value("CRC32r32r8_EVEX", LIEF::assembly::x86::OPCODE::CRC32r32r8_EVEX)
  .value("CRC32r64m64", LIEF::assembly::x86::OPCODE::CRC32r64m64)
  .value("CRC32r64m64_EVEX", LIEF::assembly::x86::OPCODE::CRC32r64m64_EVEX)
  .value("CRC32r64m8", LIEF::assembly::x86::OPCODE::CRC32r64m8)
  .value("CRC32r64m8_EVEX", LIEF::assembly::x86::OPCODE::CRC32r64m8_EVEX)
  .value("CRC32r64r64", LIEF::assembly::x86::OPCODE::CRC32r64r64)
  .value("CRC32r64r64_EVEX", LIEF::assembly::x86::OPCODE::CRC32r64r64_EVEX)
  .value("CRC32r64r8", LIEF::assembly::x86::OPCODE::CRC32r64r8)
  .value("CRC32r64r8_EVEX", LIEF::assembly::x86::OPCODE::CRC32r64r8_EVEX)
  .value("CS_PREFIX", LIEF::assembly::x86::OPCODE::CS_PREFIX)
  .value("CTEST16mi", LIEF::assembly::x86::OPCODE::CTEST16mi)
  .value("CTEST16mr", LIEF::assembly::x86::OPCODE::CTEST16mr)
  .value("CTEST16ri", LIEF::assembly::x86::OPCODE::CTEST16ri)
  .value("CTEST16rr", LIEF::assembly::x86::OPCODE::CTEST16rr)
  .value("CTEST32mi", LIEF::assembly::x86::OPCODE::CTEST32mi)
  .value("CTEST32mr", LIEF::assembly::x86::OPCODE::CTEST32mr)
  .value("CTEST32ri", LIEF::assembly::x86::OPCODE::CTEST32ri)
  .value("CTEST32rr", LIEF::assembly::x86::OPCODE::CTEST32rr)
  .value("CTEST64mi32", LIEF::assembly::x86::OPCODE::CTEST64mi32)
  .value("CTEST64mr", LIEF::assembly::x86::OPCODE::CTEST64mr)
  .value("CTEST64ri32", LIEF::assembly::x86::OPCODE::CTEST64ri32)
  .value("CTEST64rr", LIEF::assembly::x86::OPCODE::CTEST64rr)
  .value("CTEST8mi", LIEF::assembly::x86::OPCODE::CTEST8mi)
  .value("CTEST8mr", LIEF::assembly::x86::OPCODE::CTEST8mr)
  .value("CTEST8ri", LIEF::assembly::x86::OPCODE::CTEST8ri)
  .value("CTEST8rr", LIEF::assembly::x86::OPCODE::CTEST8rr)
  .value("CVTDQ2PDrm", LIEF::assembly::x86::OPCODE::CVTDQ2PDrm)
  .value("CVTDQ2PDrr", LIEF::assembly::x86::OPCODE::CVTDQ2PDrr)
  .value("CVTDQ2PSrm", LIEF::assembly::x86::OPCODE::CVTDQ2PSrm)
  .value("CVTDQ2PSrr", LIEF::assembly::x86::OPCODE::CVTDQ2PSrr)
  .value("CVTPD2DQrm", LIEF::assembly::x86::OPCODE::CVTPD2DQrm)
  .value("CVTPD2DQrr", LIEF::assembly::x86::OPCODE::CVTPD2DQrr)
  .value("CVTPD2PSrm", LIEF::assembly::x86::OPCODE::CVTPD2PSrm)
  .value("CVTPD2PSrr", LIEF::assembly::x86::OPCODE::CVTPD2PSrr)
  .value("CVTPS2DQrm", LIEF::assembly::x86::OPCODE::CVTPS2DQrm)
  .value("CVTPS2DQrr", LIEF::assembly::x86::OPCODE::CVTPS2DQrr)
  .value("CVTPS2PDrm", LIEF::assembly::x86::OPCODE::CVTPS2PDrm)
  .value("CVTPS2PDrr", LIEF::assembly::x86::OPCODE::CVTPS2PDrr)
  .value("CVTSD2SI64rm", LIEF::assembly::x86::OPCODE::CVTSD2SI64rm)
  .value("CVTSD2SI64rm_Int", LIEF::assembly::x86::OPCODE::CVTSD2SI64rm_Int)
  .value("CVTSD2SI64rr", LIEF::assembly::x86::OPCODE::CVTSD2SI64rr)
  .value("CVTSD2SI64rr_Int", LIEF::assembly::x86::OPCODE::CVTSD2SI64rr_Int)
  .value("CVTSD2SIrm", LIEF::assembly::x86::OPCODE::CVTSD2SIrm)
  .value("CVTSD2SIrm_Int", LIEF::assembly::x86::OPCODE::CVTSD2SIrm_Int)
  .value("CVTSD2SIrr", LIEF::assembly::x86::OPCODE::CVTSD2SIrr)
  .value("CVTSD2SIrr_Int", LIEF::assembly::x86::OPCODE::CVTSD2SIrr_Int)
  .value("CVTSD2SSrm", LIEF::assembly::x86::OPCODE::CVTSD2SSrm)
  .value("CVTSD2SSrm_Int", LIEF::assembly::x86::OPCODE::CVTSD2SSrm_Int)
  .value("CVTSD2SSrr", LIEF::assembly::x86::OPCODE::CVTSD2SSrr)
  .value("CVTSD2SSrr_Int", LIEF::assembly::x86::OPCODE::CVTSD2SSrr_Int)
  .value("CVTSI2SDrm", LIEF::assembly::x86::OPCODE::CVTSI2SDrm)
  .value("CVTSI2SDrm_Int", LIEF::assembly::x86::OPCODE::CVTSI2SDrm_Int)
  .value("CVTSI2SDrr", LIEF::assembly::x86::OPCODE::CVTSI2SDrr)
  .value("CVTSI2SDrr_Int", LIEF::assembly::x86::OPCODE::CVTSI2SDrr_Int)
  .value("CVTSI2SSrm", LIEF::assembly::x86::OPCODE::CVTSI2SSrm)
  .value("CVTSI2SSrm_Int", LIEF::assembly::x86::OPCODE::CVTSI2SSrm_Int)
  .value("CVTSI2SSrr", LIEF::assembly::x86::OPCODE::CVTSI2SSrr)
  .value("CVTSI2SSrr_Int", LIEF::assembly::x86::OPCODE::CVTSI2SSrr_Int)
  .value("CVTSI642SDrm", LIEF::assembly::x86::OPCODE::CVTSI642SDrm)
  .value("CVTSI642SDrm_Int", LIEF::assembly::x86::OPCODE::CVTSI642SDrm_Int)
  .value("CVTSI642SDrr", LIEF::assembly::x86::OPCODE::CVTSI642SDrr)
  .value("CVTSI642SDrr_Int", LIEF::assembly::x86::OPCODE::CVTSI642SDrr_Int)
  .value("CVTSI642SSrm", LIEF::assembly::x86::OPCODE::CVTSI642SSrm)
  .value("CVTSI642SSrm_Int", LIEF::assembly::x86::OPCODE::CVTSI642SSrm_Int)
  .value("CVTSI642SSrr", LIEF::assembly::x86::OPCODE::CVTSI642SSrr)
  .value("CVTSI642SSrr_Int", LIEF::assembly::x86::OPCODE::CVTSI642SSrr_Int)
  .value("CVTSS2SDrm", LIEF::assembly::x86::OPCODE::CVTSS2SDrm)
  .value("CVTSS2SDrm_Int", LIEF::assembly::x86::OPCODE::CVTSS2SDrm_Int)
  .value("CVTSS2SDrr", LIEF::assembly::x86::OPCODE::CVTSS2SDrr)
  .value("CVTSS2SDrr_Int", LIEF::assembly::x86::OPCODE::CVTSS2SDrr_Int)
  .value("CVTSS2SI64rm", LIEF::assembly::x86::OPCODE::CVTSS2SI64rm)
  .value("CVTSS2SI64rm_Int", LIEF::assembly::x86::OPCODE::CVTSS2SI64rm_Int)
  .value("CVTSS2SI64rr", LIEF::assembly::x86::OPCODE::CVTSS2SI64rr)
  .value("CVTSS2SI64rr_Int", LIEF::assembly::x86::OPCODE::CVTSS2SI64rr_Int)
  .value("CVTSS2SIrm", LIEF::assembly::x86::OPCODE::CVTSS2SIrm)
  .value("CVTSS2SIrm_Int", LIEF::assembly::x86::OPCODE::CVTSS2SIrm_Int)
  .value("CVTSS2SIrr", LIEF::assembly::x86::OPCODE::CVTSS2SIrr)
  .value("CVTSS2SIrr_Int", LIEF::assembly::x86::OPCODE::CVTSS2SIrr_Int)
  .value("CVTTPD2DQrm", LIEF::assembly::x86::OPCODE::CVTTPD2DQrm)
  .value("CVTTPD2DQrr", LIEF::assembly::x86::OPCODE::CVTTPD2DQrr)
  .value("CVTTPS2DQrm", LIEF::assembly::x86::OPCODE::CVTTPS2DQrm)
  .value("CVTTPS2DQrr", LIEF::assembly::x86::OPCODE::CVTTPS2DQrr)
  .value("CVTTSD2SI64rm", LIEF::assembly::x86::OPCODE::CVTTSD2SI64rm)
  .value("CVTTSD2SI64rm_Int", LIEF::assembly::x86::OPCODE::CVTTSD2SI64rm_Int)
  .value("CVTTSD2SI64rr", LIEF::assembly::x86::OPCODE::CVTTSD2SI64rr)
  .value("CVTTSD2SI64rr_Int", LIEF::assembly::x86::OPCODE::CVTTSD2SI64rr_Int)
  .value("CVTTSD2SIrm", LIEF::assembly::x86::OPCODE::CVTTSD2SIrm)
  .value("CVTTSD2SIrm_Int", LIEF::assembly::x86::OPCODE::CVTTSD2SIrm_Int)
  .value("CVTTSD2SIrr", LIEF::assembly::x86::OPCODE::CVTTSD2SIrr)
  .value("CVTTSD2SIrr_Int", LIEF::assembly::x86::OPCODE::CVTTSD2SIrr_Int)
  .value("CVTTSS2SI64rm", LIEF::assembly::x86::OPCODE::CVTTSS2SI64rm)
  .value("CVTTSS2SI64rm_Int", LIEF::assembly::x86::OPCODE::CVTTSS2SI64rm_Int)
  .value("CVTTSS2SI64rr", LIEF::assembly::x86::OPCODE::CVTTSS2SI64rr)
  .value("CVTTSS2SI64rr_Int", LIEF::assembly::x86::OPCODE::CVTTSS2SI64rr_Int)
  .value("CVTTSS2SIrm", LIEF::assembly::x86::OPCODE::CVTTSS2SIrm)
  .value("CVTTSS2SIrm_Int", LIEF::assembly::x86::OPCODE::CVTTSS2SIrm_Int)
  .value("CVTTSS2SIrr", LIEF::assembly::x86::OPCODE::CVTTSS2SIrr)
  .value("CVTTSS2SIrr_Int", LIEF::assembly::x86::OPCODE::CVTTSS2SIrr_Int)
  .value("CWD", LIEF::assembly::x86::OPCODE::CWD)
  .value("CWDE", LIEF::assembly::x86::OPCODE::CWDE)
  .value("DAA", LIEF::assembly::x86::OPCODE::DAA)
  .value("DAS", LIEF::assembly::x86::OPCODE::DAS)
  .value("DATA16_PREFIX", LIEF::assembly::x86::OPCODE::DATA16_PREFIX)
  .value("DEC16m", LIEF::assembly::x86::OPCODE::DEC16m)
  .value("DEC16m_EVEX", LIEF::assembly::x86::OPCODE::DEC16m_EVEX)
  .value("DEC16m_ND", LIEF::assembly::x86::OPCODE::DEC16m_ND)
  .value("DEC16m_NF", LIEF::assembly::x86::OPCODE::DEC16m_NF)
  .value("DEC16m_NF_ND", LIEF::assembly::x86::OPCODE::DEC16m_NF_ND)
  .value("DEC16r", LIEF::assembly::x86::OPCODE::DEC16r)
  .value("DEC16r_EVEX", LIEF::assembly::x86::OPCODE::DEC16r_EVEX)
  .value("DEC16r_ND", LIEF::assembly::x86::OPCODE::DEC16r_ND)
  .value("DEC16r_NF", LIEF::assembly::x86::OPCODE::DEC16r_NF)
  .value("DEC16r_NF_ND", LIEF::assembly::x86::OPCODE::DEC16r_NF_ND)
  .value("DEC16r_alt", LIEF::assembly::x86::OPCODE::DEC16r_alt)
  .value("DEC32m", LIEF::assembly::x86::OPCODE::DEC32m)
  .value("DEC32m_EVEX", LIEF::assembly::x86::OPCODE::DEC32m_EVEX)
  .value("DEC32m_ND", LIEF::assembly::x86::OPCODE::DEC32m_ND)
  .value("DEC32m_NF", LIEF::assembly::x86::OPCODE::DEC32m_NF)
  .value("DEC32m_NF_ND", LIEF::assembly::x86::OPCODE::DEC32m_NF_ND)
  .value("DEC32r", LIEF::assembly::x86::OPCODE::DEC32r)
  .value("DEC32r_EVEX", LIEF::assembly::x86::OPCODE::DEC32r_EVEX)
  .value("DEC32r_ND", LIEF::assembly::x86::OPCODE::DEC32r_ND)
  .value("DEC32r_NF", LIEF::assembly::x86::OPCODE::DEC32r_NF)
  .value("DEC32r_NF_ND", LIEF::assembly::x86::OPCODE::DEC32r_NF_ND)
  .value("DEC32r_alt", LIEF::assembly::x86::OPCODE::DEC32r_alt)
  .value("DEC64m", LIEF::assembly::x86::OPCODE::DEC64m)
  .value("DEC64m_EVEX", LIEF::assembly::x86::OPCODE::DEC64m_EVEX)
  .value("DEC64m_ND", LIEF::assembly::x86::OPCODE::DEC64m_ND)
  .value("DEC64m_NF", LIEF::assembly::x86::OPCODE::DEC64m_NF)
  .value("DEC64m_NF_ND", LIEF::assembly::x86::OPCODE::DEC64m_NF_ND)
  .value("DEC64r", LIEF::assembly::x86::OPCODE::DEC64r)
  .value("DEC64r_EVEX", LIEF::assembly::x86::OPCODE::DEC64r_EVEX)
  .value("DEC64r_ND", LIEF::assembly::x86::OPCODE::DEC64r_ND)
  .value("DEC64r_NF", LIEF::assembly::x86::OPCODE::DEC64r_NF)
  .value("DEC64r_NF_ND", LIEF::assembly::x86::OPCODE::DEC64r_NF_ND)
  .value("DEC8m", LIEF::assembly::x86::OPCODE::DEC8m)
  .value("DEC8m_EVEX", LIEF::assembly::x86::OPCODE::DEC8m_EVEX)
  .value("DEC8m_ND", LIEF::assembly::x86::OPCODE::DEC8m_ND)
  .value("DEC8m_NF", LIEF::assembly::x86::OPCODE::DEC8m_NF)
  .value("DEC8m_NF_ND", LIEF::assembly::x86::OPCODE::DEC8m_NF_ND)
  .value("DEC8r", LIEF::assembly::x86::OPCODE::DEC8r)
  .value("DEC8r_EVEX", LIEF::assembly::x86::OPCODE::DEC8r_EVEX)
  .value("DEC8r_ND", LIEF::assembly::x86::OPCODE::DEC8r_ND)
  .value("DEC8r_NF", LIEF::assembly::x86::OPCODE::DEC8r_NF)
  .value("DEC8r_NF_ND", LIEF::assembly::x86::OPCODE::DEC8r_NF_ND)
  .value("DIV16m", LIEF::assembly::x86::OPCODE::DIV16m)
  .value("DIV16m_EVEX", LIEF::assembly::x86::OPCODE::DIV16m_EVEX)
  .value("DIV16m_NF", LIEF::assembly::x86::OPCODE::DIV16m_NF)
  .value("DIV16r", LIEF::assembly::x86::OPCODE::DIV16r);
  opcodes.value("DIV16r_EVEX", LIEF::assembly::x86::OPCODE::DIV16r_EVEX)
  .value("DIV16r_NF", LIEF::assembly::x86::OPCODE::DIV16r_NF)
  .value("DIV32m", LIEF::assembly::x86::OPCODE::DIV32m)
  .value("DIV32m_EVEX", LIEF::assembly::x86::OPCODE::DIV32m_EVEX)
  .value("DIV32m_NF", LIEF::assembly::x86::OPCODE::DIV32m_NF)
  .value("DIV32r", LIEF::assembly::x86::OPCODE::DIV32r)
  .value("DIV32r_EVEX", LIEF::assembly::x86::OPCODE::DIV32r_EVEX)
  .value("DIV32r_NF", LIEF::assembly::x86::OPCODE::DIV32r_NF)
  .value("DIV64m", LIEF::assembly::x86::OPCODE::DIV64m)
  .value("DIV64m_EVEX", LIEF::assembly::x86::OPCODE::DIV64m_EVEX)
  .value("DIV64m_NF", LIEF::assembly::x86::OPCODE::DIV64m_NF)
  .value("DIV64r", LIEF::assembly::x86::OPCODE::DIV64r)
  .value("DIV64r_EVEX", LIEF::assembly::x86::OPCODE::DIV64r_EVEX)
  .value("DIV64r_NF", LIEF::assembly::x86::OPCODE::DIV64r_NF)
  .value("DIV8m", LIEF::assembly::x86::OPCODE::DIV8m)
  .value("DIV8m_EVEX", LIEF::assembly::x86::OPCODE::DIV8m_EVEX)
  .value("DIV8m_NF", LIEF::assembly::x86::OPCODE::DIV8m_NF)
  .value("DIV8r", LIEF::assembly::x86::OPCODE::DIV8r)
  .value("DIV8r_EVEX", LIEF::assembly::x86::OPCODE::DIV8r_EVEX)
  .value("DIV8r_NF", LIEF::assembly::x86::OPCODE::DIV8r_NF)
  .value("DIVPDrm", LIEF::assembly::x86::OPCODE::DIVPDrm)
  .value("DIVPDrr", LIEF::assembly::x86::OPCODE::DIVPDrr)
  .value("DIVPSrm", LIEF::assembly::x86::OPCODE::DIVPSrm)
  .value("DIVPSrr", LIEF::assembly::x86::OPCODE::DIVPSrr)
  .value("DIVR_F32m", LIEF::assembly::x86::OPCODE::DIVR_F32m)
  .value("DIVR_F64m", LIEF::assembly::x86::OPCODE::DIVR_F64m)
  .value("DIVR_FI16m", LIEF::assembly::x86::OPCODE::DIVR_FI16m)
  .value("DIVR_FI32m", LIEF::assembly::x86::OPCODE::DIVR_FI32m)
  .value("DIVR_FPrST0", LIEF::assembly::x86::OPCODE::DIVR_FPrST0)
  .value("DIVR_FST0r", LIEF::assembly::x86::OPCODE::DIVR_FST0r)
  .value("DIVR_Fp32m", LIEF::assembly::x86::OPCODE::DIVR_Fp32m)
  .value("DIVR_Fp64m", LIEF::assembly::x86::OPCODE::DIVR_Fp64m)
  .value("DIVR_Fp64m32", LIEF::assembly::x86::OPCODE::DIVR_Fp64m32)
  .value("DIVR_Fp80m32", LIEF::assembly::x86::OPCODE::DIVR_Fp80m32)
  .value("DIVR_Fp80m64", LIEF::assembly::x86::OPCODE::DIVR_Fp80m64)
  .value("DIVR_FpI16m32", LIEF::assembly::x86::OPCODE::DIVR_FpI16m32)
  .value("DIVR_FpI16m64", LIEF::assembly::x86::OPCODE::DIVR_FpI16m64)
  .value("DIVR_FpI16m80", LIEF::assembly::x86::OPCODE::DIVR_FpI16m80)
  .value("DIVR_FpI32m32", LIEF::assembly::x86::OPCODE::DIVR_FpI32m32)
  .value("DIVR_FpI32m64", LIEF::assembly::x86::OPCODE::DIVR_FpI32m64)
  .value("DIVR_FpI32m80", LIEF::assembly::x86::OPCODE::DIVR_FpI32m80)
  .value("DIVR_FrST0", LIEF::assembly::x86::OPCODE::DIVR_FrST0)
  .value("DIVSDrm", LIEF::assembly::x86::OPCODE::DIVSDrm)
  .value("DIVSDrm_Int", LIEF::assembly::x86::OPCODE::DIVSDrm_Int)
  .value("DIVSDrr", LIEF::assembly::x86::OPCODE::DIVSDrr)
  .value("DIVSDrr_Int", LIEF::assembly::x86::OPCODE::DIVSDrr_Int)
  .value("DIVSSrm", LIEF::assembly::x86::OPCODE::DIVSSrm)
  .value("DIVSSrm_Int", LIEF::assembly::x86::OPCODE::DIVSSrm_Int)
  .value("DIVSSrr", LIEF::assembly::x86::OPCODE::DIVSSrr)
  .value("DIVSSrr_Int", LIEF::assembly::x86::OPCODE::DIVSSrr_Int)
  .value("DIV_F32m", LIEF::assembly::x86::OPCODE::DIV_F32m)
  .value("DIV_F64m", LIEF::assembly::x86::OPCODE::DIV_F64m)
  .value("DIV_FI16m", LIEF::assembly::x86::OPCODE::DIV_FI16m)
  .value("DIV_FI32m", LIEF::assembly::x86::OPCODE::DIV_FI32m)
  .value("DIV_FPrST0", LIEF::assembly::x86::OPCODE::DIV_FPrST0)
  .value("DIV_FST0r", LIEF::assembly::x86::OPCODE::DIV_FST0r)
  .value("DIV_Fp32", LIEF::assembly::x86::OPCODE::DIV_Fp32)
  .value("DIV_Fp32m", LIEF::assembly::x86::OPCODE::DIV_Fp32m)
  .value("DIV_Fp64", LIEF::assembly::x86::OPCODE::DIV_Fp64)
  .value("DIV_Fp64m", LIEF::assembly::x86::OPCODE::DIV_Fp64m)
  .value("DIV_Fp64m32", LIEF::assembly::x86::OPCODE::DIV_Fp64m32)
  .value("DIV_Fp80", LIEF::assembly::x86::OPCODE::DIV_Fp80)
  .value("DIV_Fp80m32", LIEF::assembly::x86::OPCODE::DIV_Fp80m32)
  .value("DIV_Fp80m64", LIEF::assembly::x86::OPCODE::DIV_Fp80m64)
  .value("DIV_FpI16m32", LIEF::assembly::x86::OPCODE::DIV_FpI16m32)
  .value("DIV_FpI16m64", LIEF::assembly::x86::OPCODE::DIV_FpI16m64)
  .value("DIV_FpI16m80", LIEF::assembly::x86::OPCODE::DIV_FpI16m80)
  .value("DIV_FpI32m32", LIEF::assembly::x86::OPCODE::DIV_FpI32m32)
  .value("DIV_FpI32m64", LIEF::assembly::x86::OPCODE::DIV_FpI32m64)
  .value("DIV_FpI32m80", LIEF::assembly::x86::OPCODE::DIV_FpI32m80)
  .value("DIV_FrST0", LIEF::assembly::x86::OPCODE::DIV_FrST0)
  .value("DPPDrmi", LIEF::assembly::x86::OPCODE::DPPDrmi)
  .value("DPPDrri", LIEF::assembly::x86::OPCODE::DPPDrri)
  .value("DPPSrmi", LIEF::assembly::x86::OPCODE::DPPSrmi)
  .value("DPPSrri", LIEF::assembly::x86::OPCODE::DPPSrri)
  .value("DS_PREFIX", LIEF::assembly::x86::OPCODE::DS_PREFIX)
  .value("DYN_ALLOCA_32", LIEF::assembly::x86::OPCODE::DYN_ALLOCA_32)
  .value("DYN_ALLOCA_64", LIEF::assembly::x86::OPCODE::DYN_ALLOCA_64)
  .value("EH_RETURN", LIEF::assembly::x86::OPCODE::EH_RETURN)
  .value("EH_RETURN64", LIEF::assembly::x86::OPCODE::EH_RETURN64)
  .value("EH_SjLj_LongJmp32", LIEF::assembly::x86::OPCODE::EH_SjLj_LongJmp32)
  .value("EH_SjLj_LongJmp64", LIEF::assembly::x86::OPCODE::EH_SjLj_LongJmp64)
  .value("EH_SjLj_SetJmp32", LIEF::assembly::x86::OPCODE::EH_SjLj_SetJmp32)
  .value("EH_SjLj_SetJmp64", LIEF::assembly::x86::OPCODE::EH_SjLj_SetJmp64)
  .value("EH_SjLj_Setup", LIEF::assembly::x86::OPCODE::EH_SjLj_Setup)
  .value("ENCLS", LIEF::assembly::x86::OPCODE::ENCLS)
  .value("ENCLU", LIEF::assembly::x86::OPCODE::ENCLU)
  .value("ENCLV", LIEF::assembly::x86::OPCODE::ENCLV)
  .value("ENCODEKEY128", LIEF::assembly::x86::OPCODE::ENCODEKEY128)
  .value("ENCODEKEY256", LIEF::assembly::x86::OPCODE::ENCODEKEY256)
  .value("ENDBR32", LIEF::assembly::x86::OPCODE::ENDBR32)
  .value("ENDBR64", LIEF::assembly::x86::OPCODE::ENDBR64)
  .value("ENQCMD16", LIEF::assembly::x86::OPCODE::ENQCMD16)
  .value("ENQCMD32", LIEF::assembly::x86::OPCODE::ENQCMD32)
  .value("ENQCMD32_EVEX", LIEF::assembly::x86::OPCODE::ENQCMD32_EVEX)
  .value("ENQCMD64", LIEF::assembly::x86::OPCODE::ENQCMD64)
  .value("ENQCMD64_EVEX", LIEF::assembly::x86::OPCODE::ENQCMD64_EVEX)
  .value("ENQCMDS16", LIEF::assembly::x86::OPCODE::ENQCMDS16)
  .value("ENQCMDS32", LIEF::assembly::x86::OPCODE::ENQCMDS32)
  .value("ENQCMDS32_EVEX", LIEF::assembly::x86::OPCODE::ENQCMDS32_EVEX)
  .value("ENQCMDS64", LIEF::assembly::x86::OPCODE::ENQCMDS64)
  .value("ENQCMDS64_EVEX", LIEF::assembly::x86::OPCODE::ENQCMDS64_EVEX)
  .value("ENTER", LIEF::assembly::x86::OPCODE::ENTER)
  .value("ERETS", LIEF::assembly::x86::OPCODE::ERETS)
  .value("ERETU", LIEF::assembly::x86::OPCODE::ERETU)
  .value("ES_PREFIX", LIEF::assembly::x86::OPCODE::ES_PREFIX)
  .value("EXTRACTPSmr", LIEF::assembly::x86::OPCODE::EXTRACTPSmr)
  .value("EXTRACTPSrr", LIEF::assembly::x86::OPCODE::EXTRACTPSrr)
  .value("EXTRQ", LIEF::assembly::x86::OPCODE::EXTRQ)
  .value("EXTRQI", LIEF::assembly::x86::OPCODE::EXTRQI)
  .value("F2XM1", LIEF::assembly::x86::OPCODE::F2XM1)
  .value("FARCALL16i", LIEF::assembly::x86::OPCODE::FARCALL16i)
  .value("FARCALL16m", LIEF::assembly::x86::OPCODE::FARCALL16m)
  .value("FARCALL32i", LIEF::assembly::x86::OPCODE::FARCALL32i)
  .value("FARCALL32m", LIEF::assembly::x86::OPCODE::FARCALL32m)
  .value("FARCALL64m", LIEF::assembly::x86::OPCODE::FARCALL64m)
  .value("FARJMP16i", LIEF::assembly::x86::OPCODE::FARJMP16i)
  .value("FARJMP16m", LIEF::assembly::x86::OPCODE::FARJMP16m)
  .value("FARJMP32i", LIEF::assembly::x86::OPCODE::FARJMP32i)
  .value("FARJMP32m", LIEF::assembly::x86::OPCODE::FARJMP32m)
  .value("FARJMP64m", LIEF::assembly::x86::OPCODE::FARJMP64m)
  .value("FBLDm", LIEF::assembly::x86::OPCODE::FBLDm)
  .value("FBSTPm", LIEF::assembly::x86::OPCODE::FBSTPm)
  .value("FCOM32m", LIEF::assembly::x86::OPCODE::FCOM32m)
  .value("FCOM64m", LIEF::assembly::x86::OPCODE::FCOM64m)
  .value("FCOMP32m", LIEF::assembly::x86::OPCODE::FCOMP32m)
  .value("FCOMP64m", LIEF::assembly::x86::OPCODE::FCOMP64m)
  .value("FCOMPP", LIEF::assembly::x86::OPCODE::FCOMPP)
  .value("FCOS", LIEF::assembly::x86::OPCODE::FCOS)
  .value("FDECSTP", LIEF::assembly::x86::OPCODE::FDECSTP)
  .value("FEMMS", LIEF::assembly::x86::OPCODE::FEMMS)
  .value("FFREE", LIEF::assembly::x86::OPCODE::FFREE)
  .value("FFREEP", LIEF::assembly::x86::OPCODE::FFREEP)
  .value("FICOM16m", LIEF::assembly::x86::OPCODE::FICOM16m)
  .value("FICOM32m", LIEF::assembly::x86::OPCODE::FICOM32m)
  .value("FICOMP16m", LIEF::assembly::x86::OPCODE::FICOMP16m)
  .value("FICOMP32m", LIEF::assembly::x86::OPCODE::FICOMP32m)
  .value("FINCSTP", LIEF::assembly::x86::OPCODE::FINCSTP)
  .value("FLDCW16m", LIEF::assembly::x86::OPCODE::FLDCW16m)
  .value("FLDENVm", LIEF::assembly::x86::OPCODE::FLDENVm)
  .value("FLDL2E", LIEF::assembly::x86::OPCODE::FLDL2E)
  .value("FLDL2T", LIEF::assembly::x86::OPCODE::FLDL2T)
  .value("FLDLG2", LIEF::assembly::x86::OPCODE::FLDLG2)
  .value("FLDLN2", LIEF::assembly::x86::OPCODE::FLDLN2)
  .value("FLDPI", LIEF::assembly::x86::OPCODE::FLDPI)
  .value("FNCLEX", LIEF::assembly::x86::OPCODE::FNCLEX)
  .value("FNINIT", LIEF::assembly::x86::OPCODE::FNINIT)
  .value("FNOP", LIEF::assembly::x86::OPCODE::FNOP)
  .value("FNSTCW16m", LIEF::assembly::x86::OPCODE::FNSTCW16m)
  .value("FNSTSW16r", LIEF::assembly::x86::OPCODE::FNSTSW16r)
  .value("FNSTSWm", LIEF::assembly::x86::OPCODE::FNSTSWm)
  .value("FP32_TO_INT16_IN_MEM", LIEF::assembly::x86::OPCODE::FP32_TO_INT16_IN_MEM)
  .value("FP32_TO_INT32_IN_MEM", LIEF::assembly::x86::OPCODE::FP32_TO_INT32_IN_MEM)
  .value("FP32_TO_INT64_IN_MEM", LIEF::assembly::x86::OPCODE::FP32_TO_INT64_IN_MEM)
  .value("FP64_TO_INT16_IN_MEM", LIEF::assembly::x86::OPCODE::FP64_TO_INT16_IN_MEM)
  .value("FP64_TO_INT32_IN_MEM", LIEF::assembly::x86::OPCODE::FP64_TO_INT32_IN_MEM)
  .value("FP64_TO_INT64_IN_MEM", LIEF::assembly::x86::OPCODE::FP64_TO_INT64_IN_MEM)
  .value("FP80_ADDm32", LIEF::assembly::x86::OPCODE::FP80_ADDm32)
  .value("FP80_ADDr", LIEF::assembly::x86::OPCODE::FP80_ADDr)
  .value("FP80_TO_INT16_IN_MEM", LIEF::assembly::x86::OPCODE::FP80_TO_INT16_IN_MEM)
  .value("FP80_TO_INT32_IN_MEM", LIEF::assembly::x86::OPCODE::FP80_TO_INT32_IN_MEM)
  .value("FP80_TO_INT64_IN_MEM", LIEF::assembly::x86::OPCODE::FP80_TO_INT64_IN_MEM)
  .value("FPATAN", LIEF::assembly::x86::OPCODE::FPATAN)
  .value("FPREM", LIEF::assembly::x86::OPCODE::FPREM)
  .value("FPREM1", LIEF::assembly::x86::OPCODE::FPREM1)
  .value("FPTAN", LIEF::assembly::x86::OPCODE::FPTAN)
  .value("FRNDINT", LIEF::assembly::x86::OPCODE::FRNDINT)
  .value("FRSTORm", LIEF::assembly::x86::OPCODE::FRSTORm)
  .value("FSAVEm", LIEF::assembly::x86::OPCODE::FSAVEm)
  .value("FSCALE", LIEF::assembly::x86::OPCODE::FSCALE)
  .value("FSIN", LIEF::assembly::x86::OPCODE::FSIN)
  .value("FSINCOS", LIEF::assembly::x86::OPCODE::FSINCOS)
  .value("FSTENVm", LIEF::assembly::x86::OPCODE::FSTENVm)
  .value("FS_PREFIX", LIEF::assembly::x86::OPCODE::FS_PREFIX)
  .value("FXRSTOR", LIEF::assembly::x86::OPCODE::FXRSTOR)
  .value("FXRSTOR64", LIEF::assembly::x86::OPCODE::FXRSTOR64)
  .value("FXSAVE", LIEF::assembly::x86::OPCODE::FXSAVE)
  .value("FXSAVE64", LIEF::assembly::x86::OPCODE::FXSAVE64)
  .value("FXTRACT", LIEF::assembly::x86::OPCODE::FXTRACT)
  .value("FYL2X", LIEF::assembly::x86::OPCODE::FYL2X)
  .value("FYL2XP1", LIEF::assembly::x86::OPCODE::FYL2XP1)
  .value("GETSEC", LIEF::assembly::x86::OPCODE::GETSEC)
  .value("GF2P8AFFINEINVQBrmi", LIEF::assembly::x86::OPCODE::GF2P8AFFINEINVQBrmi)
  .value("GF2P8AFFINEINVQBrri", LIEF::assembly::x86::OPCODE::GF2P8AFFINEINVQBrri)
  .value("GF2P8AFFINEQBrmi", LIEF::assembly::x86::OPCODE::GF2P8AFFINEQBrmi)
  .value("GF2P8AFFINEQBrri", LIEF::assembly::x86::OPCODE::GF2P8AFFINEQBrri)
  .value("GF2P8MULBrm", LIEF::assembly::x86::OPCODE::GF2P8MULBrm)
  .value("GF2P8MULBrr", LIEF::assembly::x86::OPCODE::GF2P8MULBrr)
  .value("GS_PREFIX", LIEF::assembly::x86::OPCODE::GS_PREFIX)
  .value("HADDPDrm", LIEF::assembly::x86::OPCODE::HADDPDrm)
  .value("HADDPDrr", LIEF::assembly::x86::OPCODE::HADDPDrr)
  .value("HADDPSrm", LIEF::assembly::x86::OPCODE::HADDPSrm)
  .value("HADDPSrr", LIEF::assembly::x86::OPCODE::HADDPSrr)
  .value("HLT", LIEF::assembly::x86::OPCODE::HLT)
  .value("HRESET", LIEF::assembly::x86::OPCODE::HRESET)
  .value("HSUBPDrm", LIEF::assembly::x86::OPCODE::HSUBPDrm)
  .value("HSUBPDrr", LIEF::assembly::x86::OPCODE::HSUBPDrr)
  .value("HSUBPSrm", LIEF::assembly::x86::OPCODE::HSUBPSrm)
  .value("HSUBPSrr", LIEF::assembly::x86::OPCODE::HSUBPSrr)
  .value("IDIV16m", LIEF::assembly::x86::OPCODE::IDIV16m)
  .value("IDIV16m_EVEX", LIEF::assembly::x86::OPCODE::IDIV16m_EVEX)
  .value("IDIV16m_NF", LIEF::assembly::x86::OPCODE::IDIV16m_NF)
  .value("IDIV16r", LIEF::assembly::x86::OPCODE::IDIV16r)
  .value("IDIV16r_EVEX", LIEF::assembly::x86::OPCODE::IDIV16r_EVEX)
  .value("IDIV16r_NF", LIEF::assembly::x86::OPCODE::IDIV16r_NF)
  .value("IDIV32m", LIEF::assembly::x86::OPCODE::IDIV32m)
  .value("IDIV32m_EVEX", LIEF::assembly::x86::OPCODE::IDIV32m_EVEX)
  .value("IDIV32m_NF", LIEF::assembly::x86::OPCODE::IDIV32m_NF)
  .value("IDIV32r", LIEF::assembly::x86::OPCODE::IDIV32r)
  .value("IDIV32r_EVEX", LIEF::assembly::x86::OPCODE::IDIV32r_EVEX)
  .value("IDIV32r_NF", LIEF::assembly::x86::OPCODE::IDIV32r_NF)
  .value("IDIV64m", LIEF::assembly::x86::OPCODE::IDIV64m)
  .value("IDIV64m_EVEX", LIEF::assembly::x86::OPCODE::IDIV64m_EVEX)
  .value("IDIV64m_NF", LIEF::assembly::x86::OPCODE::IDIV64m_NF)
  .value("IDIV64r", LIEF::assembly::x86::OPCODE::IDIV64r)
  .value("IDIV64r_EVEX", LIEF::assembly::x86::OPCODE::IDIV64r_EVEX)
  .value("IDIV64r_NF", LIEF::assembly::x86::OPCODE::IDIV64r_NF)
  .value("IDIV8m", LIEF::assembly::x86::OPCODE::IDIV8m)
  .value("IDIV8m_EVEX", LIEF::assembly::x86::OPCODE::IDIV8m_EVEX)
  .value("IDIV8m_NF", LIEF::assembly::x86::OPCODE::IDIV8m_NF)
  .value("IDIV8r", LIEF::assembly::x86::OPCODE::IDIV8r)
  .value("IDIV8r_EVEX", LIEF::assembly::x86::OPCODE::IDIV8r_EVEX)
  .value("IDIV8r_NF", LIEF::assembly::x86::OPCODE::IDIV8r_NF)
  .value("ILD_F16m", LIEF::assembly::x86::OPCODE::ILD_F16m)
  .value("ILD_F32m", LIEF::assembly::x86::OPCODE::ILD_F32m)
  .value("ILD_F64m", LIEF::assembly::x86::OPCODE::ILD_F64m)
  .value("ILD_Fp16m32", LIEF::assembly::x86::OPCODE::ILD_Fp16m32)
  .value("ILD_Fp16m64", LIEF::assembly::x86::OPCODE::ILD_Fp16m64)
  .value("ILD_Fp16m80", LIEF::assembly::x86::OPCODE::ILD_Fp16m80)
  .value("ILD_Fp32m32", LIEF::assembly::x86::OPCODE::ILD_Fp32m32)
  .value("ILD_Fp32m64", LIEF::assembly::x86::OPCODE::ILD_Fp32m64)
  .value("ILD_Fp32m80", LIEF::assembly::x86::OPCODE::ILD_Fp32m80)
  .value("ILD_Fp64m32", LIEF::assembly::x86::OPCODE::ILD_Fp64m32)
  .value("ILD_Fp64m64", LIEF::assembly::x86::OPCODE::ILD_Fp64m64)
  .value("ILD_Fp64m80", LIEF::assembly::x86::OPCODE::ILD_Fp64m80)
  .value("IMUL16m", LIEF::assembly::x86::OPCODE::IMUL16m)
  .value("IMUL16m_EVEX", LIEF::assembly::x86::OPCODE::IMUL16m_EVEX)
  .value("IMUL16m_NF", LIEF::assembly::x86::OPCODE::IMUL16m_NF)
  .value("IMUL16r", LIEF::assembly::x86::OPCODE::IMUL16r)
  .value("IMUL16r_EVEX", LIEF::assembly::x86::OPCODE::IMUL16r_EVEX)
  .value("IMUL16r_NF", LIEF::assembly::x86::OPCODE::IMUL16r_NF)
  .value("IMUL16rm", LIEF::assembly::x86::OPCODE::IMUL16rm)
  .value("IMUL16rm_EVEX", LIEF::assembly::x86::OPCODE::IMUL16rm_EVEX)
  .value("IMUL16rm_ND", LIEF::assembly::x86::OPCODE::IMUL16rm_ND)
  .value("IMUL16rm_NF", LIEF::assembly::x86::OPCODE::IMUL16rm_NF)
  .value("IMUL16rm_NF_ND", LIEF::assembly::x86::OPCODE::IMUL16rm_NF_ND)
  .value("IMUL16rmi", LIEF::assembly::x86::OPCODE::IMUL16rmi)
  .value("IMUL16rmi8", LIEF::assembly::x86::OPCODE::IMUL16rmi8)
  .value("IMUL16rmi8_EVEX", LIEF::assembly::x86::OPCODE::IMUL16rmi8_EVEX)
  .value("IMUL16rmi8_NF", LIEF::assembly::x86::OPCODE::IMUL16rmi8_NF)
  .value("IMUL16rmi_EVEX", LIEF::assembly::x86::OPCODE::IMUL16rmi_EVEX)
  .value("IMUL16rmi_NF", LIEF::assembly::x86::OPCODE::IMUL16rmi_NF)
  .value("IMUL16rr", LIEF::assembly::x86::OPCODE::IMUL16rr)
  .value("IMUL16rr_EVEX", LIEF::assembly::x86::OPCODE::IMUL16rr_EVEX)
  .value("IMUL16rr_ND", LIEF::assembly::x86::OPCODE::IMUL16rr_ND)
  .value("IMUL16rr_NF", LIEF::assembly::x86::OPCODE::IMUL16rr_NF)
  .value("IMUL16rr_NF_ND", LIEF::assembly::x86::OPCODE::IMUL16rr_NF_ND)
  .value("IMUL16rri", LIEF::assembly::x86::OPCODE::IMUL16rri)
  .value("IMUL16rri8", LIEF::assembly::x86::OPCODE::IMUL16rri8)
  .value("IMUL16rri8_EVEX", LIEF::assembly::x86::OPCODE::IMUL16rri8_EVEX)
  .value("IMUL16rri8_NF", LIEF::assembly::x86::OPCODE::IMUL16rri8_NF)
  .value("IMUL16rri_EVEX", LIEF::assembly::x86::OPCODE::IMUL16rri_EVEX)
  .value("IMUL16rri_NF", LIEF::assembly::x86::OPCODE::IMUL16rri_NF)
  .value("IMUL32m", LIEF::assembly::x86::OPCODE::IMUL32m)
  .value("IMUL32m_EVEX", LIEF::assembly::x86::OPCODE::IMUL32m_EVEX)
  .value("IMUL32m_NF", LIEF::assembly::x86::OPCODE::IMUL32m_NF)
  .value("IMUL32r", LIEF::assembly::x86::OPCODE::IMUL32r)
  .value("IMUL32r_EVEX", LIEF::assembly::x86::OPCODE::IMUL32r_EVEX)
  .value("IMUL32r_NF", LIEF::assembly::x86::OPCODE::IMUL32r_NF)
  .value("IMUL32rm", LIEF::assembly::x86::OPCODE::IMUL32rm)
  .value("IMUL32rm_EVEX", LIEF::assembly::x86::OPCODE::IMUL32rm_EVEX)
  .value("IMUL32rm_ND", LIEF::assembly::x86::OPCODE::IMUL32rm_ND)
  .value("IMUL32rm_NF", LIEF::assembly::x86::OPCODE::IMUL32rm_NF)
  .value("IMUL32rm_NF_ND", LIEF::assembly::x86::OPCODE::IMUL32rm_NF_ND)
  .value("IMUL32rmi", LIEF::assembly::x86::OPCODE::IMUL32rmi)
  .value("IMUL32rmi8", LIEF::assembly::x86::OPCODE::IMUL32rmi8)
  .value("IMUL32rmi8_EVEX", LIEF::assembly::x86::OPCODE::IMUL32rmi8_EVEX)
  .value("IMUL32rmi8_NF", LIEF::assembly::x86::OPCODE::IMUL32rmi8_NF)
  .value("IMUL32rmi_EVEX", LIEF::assembly::x86::OPCODE::IMUL32rmi_EVEX)
  .value("IMUL32rmi_NF", LIEF::assembly::x86::OPCODE::IMUL32rmi_NF)
  .value("IMUL32rr", LIEF::assembly::x86::OPCODE::IMUL32rr)
  .value("IMUL32rr_EVEX", LIEF::assembly::x86::OPCODE::IMUL32rr_EVEX)
  .value("IMUL32rr_ND", LIEF::assembly::x86::OPCODE::IMUL32rr_ND)
  .value("IMUL32rr_NF", LIEF::assembly::x86::OPCODE::IMUL32rr_NF)
  .value("IMUL32rr_NF_ND", LIEF::assembly::x86::OPCODE::IMUL32rr_NF_ND)
  .value("IMUL32rri", LIEF::assembly::x86::OPCODE::IMUL32rri)
  .value("IMUL32rri8", LIEF::assembly::x86::OPCODE::IMUL32rri8)
  .value("IMUL32rri8_EVEX", LIEF::assembly::x86::OPCODE::IMUL32rri8_EVEX)
  .value("IMUL32rri8_NF", LIEF::assembly::x86::OPCODE::IMUL32rri8_NF)
  .value("IMUL32rri_EVEX", LIEF::assembly::x86::OPCODE::IMUL32rri_EVEX)
  .value("IMUL32rri_NF", LIEF::assembly::x86::OPCODE::IMUL32rri_NF)
  .value("IMUL64m", LIEF::assembly::x86::OPCODE::IMUL64m)
  .value("IMUL64m_EVEX", LIEF::assembly::x86::OPCODE::IMUL64m_EVEX)
  .value("IMUL64m_NF", LIEF::assembly::x86::OPCODE::IMUL64m_NF)
  .value("IMUL64r", LIEF::assembly::x86::OPCODE::IMUL64r)
  .value("IMUL64r_EVEX", LIEF::assembly::x86::OPCODE::IMUL64r_EVEX)
  .value("IMUL64r_NF", LIEF::assembly::x86::OPCODE::IMUL64r_NF)
  .value("IMUL64rm", LIEF::assembly::x86::OPCODE::IMUL64rm)
  .value("IMUL64rm_EVEX", LIEF::assembly::x86::OPCODE::IMUL64rm_EVEX)
  .value("IMUL64rm_ND", LIEF::assembly::x86::OPCODE::IMUL64rm_ND);
  opcodes.value("IMUL64rm_NF", LIEF::assembly::x86::OPCODE::IMUL64rm_NF)
  .value("IMUL64rm_NF_ND", LIEF::assembly::x86::OPCODE::IMUL64rm_NF_ND)
  .value("IMUL64rmi32", LIEF::assembly::x86::OPCODE::IMUL64rmi32)
  .value("IMUL64rmi32_EVEX", LIEF::assembly::x86::OPCODE::IMUL64rmi32_EVEX)
  .value("IMUL64rmi32_NF", LIEF::assembly::x86::OPCODE::IMUL64rmi32_NF)
  .value("IMUL64rmi8", LIEF::assembly::x86::OPCODE::IMUL64rmi8)
  .value("IMUL64rmi8_EVEX", LIEF::assembly::x86::OPCODE::IMUL64rmi8_EVEX)
  .value("IMUL64rmi8_NF", LIEF::assembly::x86::OPCODE::IMUL64rmi8_NF)
  .value("IMUL64rr", LIEF::assembly::x86::OPCODE::IMUL64rr)
  .value("IMUL64rr_EVEX", LIEF::assembly::x86::OPCODE::IMUL64rr_EVEX)
  .value("IMUL64rr_ND", LIEF::assembly::x86::OPCODE::IMUL64rr_ND)
  .value("IMUL64rr_NF", LIEF::assembly::x86::OPCODE::IMUL64rr_NF)
  .value("IMUL64rr_NF_ND", LIEF::assembly::x86::OPCODE::IMUL64rr_NF_ND)
  .value("IMUL64rri32", LIEF::assembly::x86::OPCODE::IMUL64rri32)
  .value("IMUL64rri32_EVEX", LIEF::assembly::x86::OPCODE::IMUL64rri32_EVEX)
  .value("IMUL64rri32_NF", LIEF::assembly::x86::OPCODE::IMUL64rri32_NF)
  .value("IMUL64rri8", LIEF::assembly::x86::OPCODE::IMUL64rri8)
  .value("IMUL64rri8_EVEX", LIEF::assembly::x86::OPCODE::IMUL64rri8_EVEX)
  .value("IMUL64rri8_NF", LIEF::assembly::x86::OPCODE::IMUL64rri8_NF)
  .value("IMUL8m", LIEF::assembly::x86::OPCODE::IMUL8m)
  .value("IMUL8m_EVEX", LIEF::assembly::x86::OPCODE::IMUL8m_EVEX)
  .value("IMUL8m_NF", LIEF::assembly::x86::OPCODE::IMUL8m_NF)
  .value("IMUL8r", LIEF::assembly::x86::OPCODE::IMUL8r)
  .value("IMUL8r_EVEX", LIEF::assembly::x86::OPCODE::IMUL8r_EVEX)
  .value("IMUL8r_NF", LIEF::assembly::x86::OPCODE::IMUL8r_NF)
  .value("IMULZU16rmi", LIEF::assembly::x86::OPCODE::IMULZU16rmi)
  .value("IMULZU16rmi8", LIEF::assembly::x86::OPCODE::IMULZU16rmi8)
  .value("IMULZU16rri", LIEF::assembly::x86::OPCODE::IMULZU16rri)
  .value("IMULZU16rri8", LIEF::assembly::x86::OPCODE::IMULZU16rri8)
  .value("IMULZU32rmi", LIEF::assembly::x86::OPCODE::IMULZU32rmi)
  .value("IMULZU32rmi8", LIEF::assembly::x86::OPCODE::IMULZU32rmi8)
  .value("IMULZU32rri", LIEF::assembly::x86::OPCODE::IMULZU32rri)
  .value("IMULZU32rri8", LIEF::assembly::x86::OPCODE::IMULZU32rri8)
  .value("IMULZU64rmi32", LIEF::assembly::x86::OPCODE::IMULZU64rmi32)
  .value("IMULZU64rmi8", LIEF::assembly::x86::OPCODE::IMULZU64rmi8)
  .value("IMULZU64rri32", LIEF::assembly::x86::OPCODE::IMULZU64rri32)
  .value("IMULZU64rri8", LIEF::assembly::x86::OPCODE::IMULZU64rri8)
  .value("IN16ri", LIEF::assembly::x86::OPCODE::IN16ri)
  .value("IN16rr", LIEF::assembly::x86::OPCODE::IN16rr)
  .value("IN32ri", LIEF::assembly::x86::OPCODE::IN32ri)
  .value("IN32rr", LIEF::assembly::x86::OPCODE::IN32rr)
  .value("IN8ri", LIEF::assembly::x86::OPCODE::IN8ri)
  .value("IN8rr", LIEF::assembly::x86::OPCODE::IN8rr)
  .value("INC16m", LIEF::assembly::x86::OPCODE::INC16m)
  .value("INC16m_EVEX", LIEF::assembly::x86::OPCODE::INC16m_EVEX)
  .value("INC16m_ND", LIEF::assembly::x86::OPCODE::INC16m_ND)
  .value("INC16m_NF", LIEF::assembly::x86::OPCODE::INC16m_NF)
  .value("INC16m_NF_ND", LIEF::assembly::x86::OPCODE::INC16m_NF_ND)
  .value("INC16r", LIEF::assembly::x86::OPCODE::INC16r)
  .value("INC16r_EVEX", LIEF::assembly::x86::OPCODE::INC16r_EVEX)
  .value("INC16r_ND", LIEF::assembly::x86::OPCODE::INC16r_ND)
  .value("INC16r_NF", LIEF::assembly::x86::OPCODE::INC16r_NF)
  .value("INC16r_NF_ND", LIEF::assembly::x86::OPCODE::INC16r_NF_ND)
  .value("INC16r_alt", LIEF::assembly::x86::OPCODE::INC16r_alt)
  .value("INC32m", LIEF::assembly::x86::OPCODE::INC32m)
  .value("INC32m_EVEX", LIEF::assembly::x86::OPCODE::INC32m_EVEX)
  .value("INC32m_ND", LIEF::assembly::x86::OPCODE::INC32m_ND)
  .value("INC32m_NF", LIEF::assembly::x86::OPCODE::INC32m_NF)
  .value("INC32m_NF_ND", LIEF::assembly::x86::OPCODE::INC32m_NF_ND)
  .value("INC32r", LIEF::assembly::x86::OPCODE::INC32r)
  .value("INC32r_EVEX", LIEF::assembly::x86::OPCODE::INC32r_EVEX)
  .value("INC32r_ND", LIEF::assembly::x86::OPCODE::INC32r_ND)
  .value("INC32r_NF", LIEF::assembly::x86::OPCODE::INC32r_NF)
  .value("INC32r_NF_ND", LIEF::assembly::x86::OPCODE::INC32r_NF_ND)
  .value("INC32r_alt", LIEF::assembly::x86::OPCODE::INC32r_alt)
  .value("INC64m", LIEF::assembly::x86::OPCODE::INC64m)
  .value("INC64m_EVEX", LIEF::assembly::x86::OPCODE::INC64m_EVEX)
  .value("INC64m_ND", LIEF::assembly::x86::OPCODE::INC64m_ND)
  .value("INC64m_NF", LIEF::assembly::x86::OPCODE::INC64m_NF)
  .value("INC64m_NF_ND", LIEF::assembly::x86::OPCODE::INC64m_NF_ND)
  .value("INC64r", LIEF::assembly::x86::OPCODE::INC64r)
  .value("INC64r_EVEX", LIEF::assembly::x86::OPCODE::INC64r_EVEX)
  .value("INC64r_ND", LIEF::assembly::x86::OPCODE::INC64r_ND)
  .value("INC64r_NF", LIEF::assembly::x86::OPCODE::INC64r_NF)
  .value("INC64r_NF_ND", LIEF::assembly::x86::OPCODE::INC64r_NF_ND)
  .value("INC8m", LIEF::assembly::x86::OPCODE::INC8m)
  .value("INC8m_EVEX", LIEF::assembly::x86::OPCODE::INC8m_EVEX)
  .value("INC8m_ND", LIEF::assembly::x86::OPCODE::INC8m_ND)
  .value("INC8m_NF", LIEF::assembly::x86::OPCODE::INC8m_NF)
  .value("INC8m_NF_ND", LIEF::assembly::x86::OPCODE::INC8m_NF_ND)
  .value("INC8r", LIEF::assembly::x86::OPCODE::INC8r)
  .value("INC8r_EVEX", LIEF::assembly::x86::OPCODE::INC8r_EVEX)
  .value("INC8r_ND", LIEF::assembly::x86::OPCODE::INC8r_ND)
  .value("INC8r_NF", LIEF::assembly::x86::OPCODE::INC8r_NF)
  .value("INC8r_NF_ND", LIEF::assembly::x86::OPCODE::INC8r_NF_ND)
  .value("INCSSPD", LIEF::assembly::x86::OPCODE::INCSSPD)
  .value("INCSSPQ", LIEF::assembly::x86::OPCODE::INCSSPQ)
  .value("INSB", LIEF::assembly::x86::OPCODE::INSB)
  .value("INSERTPSrm", LIEF::assembly::x86::OPCODE::INSERTPSrm)
  .value("INSERTPSrr", LIEF::assembly::x86::OPCODE::INSERTPSrr)
  .value("INSERTQ", LIEF::assembly::x86::OPCODE::INSERTQ)
  .value("INSERTQI", LIEF::assembly::x86::OPCODE::INSERTQI)
  .value("INSL", LIEF::assembly::x86::OPCODE::INSL)
  .value("INSW", LIEF::assembly::x86::OPCODE::INSW)
  .value("INT", LIEF::assembly::x86::OPCODE::INT)
  .value("INT3", LIEF::assembly::x86::OPCODE::INT3)
  .value("INTO", LIEF::assembly::x86::OPCODE::INTO)
  .value("INVD", LIEF::assembly::x86::OPCODE::INVD)
  .value("INVEPT32", LIEF::assembly::x86::OPCODE::INVEPT32)
  .value("INVEPT64", LIEF::assembly::x86::OPCODE::INVEPT64)
  .value("INVEPT64_EVEX", LIEF::assembly::x86::OPCODE::INVEPT64_EVEX)
  .value("INVLPG", LIEF::assembly::x86::OPCODE::INVLPG)
  .value("INVLPGA32", LIEF::assembly::x86::OPCODE::INVLPGA32)
  .value("INVLPGA64", LIEF::assembly::x86::OPCODE::INVLPGA64)
  .value("INVLPGB32", LIEF::assembly::x86::OPCODE::INVLPGB32)
  .value("INVLPGB64", LIEF::assembly::x86::OPCODE::INVLPGB64)
  .value("INVPCID32", LIEF::assembly::x86::OPCODE::INVPCID32)
  .value("INVPCID64", LIEF::assembly::x86::OPCODE::INVPCID64)
  .value("INVPCID64_EVEX", LIEF::assembly::x86::OPCODE::INVPCID64_EVEX)
  .value("INVVPID32", LIEF::assembly::x86::OPCODE::INVVPID32)
  .value("INVVPID64", LIEF::assembly::x86::OPCODE::INVVPID64)
  .value("INVVPID64_EVEX", LIEF::assembly::x86::OPCODE::INVVPID64_EVEX)
  .value("IRET", LIEF::assembly::x86::OPCODE::IRET)
  .value("IRET16", LIEF::assembly::x86::OPCODE::IRET16)
  .value("IRET32", LIEF::assembly::x86::OPCODE::IRET32)
  .value("IRET64", LIEF::assembly::x86::OPCODE::IRET64)
  .value("ISTT_FP16m", LIEF::assembly::x86::OPCODE::ISTT_FP16m)
  .value("ISTT_FP32m", LIEF::assembly::x86::OPCODE::ISTT_FP32m)
  .value("ISTT_FP64m", LIEF::assembly::x86::OPCODE::ISTT_FP64m)
  .value("ISTT_Fp16m32", LIEF::assembly::x86::OPCODE::ISTT_Fp16m32)
  .value("ISTT_Fp16m64", LIEF::assembly::x86::OPCODE::ISTT_Fp16m64)
  .value("ISTT_Fp16m80", LIEF::assembly::x86::OPCODE::ISTT_Fp16m80)
  .value("ISTT_Fp32m32", LIEF::assembly::x86::OPCODE::ISTT_Fp32m32)
  .value("ISTT_Fp32m64", LIEF::assembly::x86::OPCODE::ISTT_Fp32m64)
  .value("ISTT_Fp32m80", LIEF::assembly::x86::OPCODE::ISTT_Fp32m80)
  .value("ISTT_Fp64m32", LIEF::assembly::x86::OPCODE::ISTT_Fp64m32)
  .value("ISTT_Fp64m64", LIEF::assembly::x86::OPCODE::ISTT_Fp64m64)
  .value("ISTT_Fp64m80", LIEF::assembly::x86::OPCODE::ISTT_Fp64m80)
  .value("IST_F16m", LIEF::assembly::x86::OPCODE::IST_F16m)
  .value("IST_F32m", LIEF::assembly::x86::OPCODE::IST_F32m)
  .value("IST_FP16m", LIEF::assembly::x86::OPCODE::IST_FP16m)
  .value("IST_FP32m", LIEF::assembly::x86::OPCODE::IST_FP32m)
  .value("IST_FP64m", LIEF::assembly::x86::OPCODE::IST_FP64m)
  .value("IST_Fp16m32", LIEF::assembly::x86::OPCODE::IST_Fp16m32)
  .value("IST_Fp16m64", LIEF::assembly::x86::OPCODE::IST_Fp16m64)
  .value("IST_Fp16m80", LIEF::assembly::x86::OPCODE::IST_Fp16m80)
  .value("IST_Fp32m32", LIEF::assembly::x86::OPCODE::IST_Fp32m32)
  .value("IST_Fp32m64", LIEF::assembly::x86::OPCODE::IST_Fp32m64)
  .value("IST_Fp32m80", LIEF::assembly::x86::OPCODE::IST_Fp32m80)
  .value("IST_Fp64m32", LIEF::assembly::x86::OPCODE::IST_Fp64m32)
  .value("IST_Fp64m64", LIEF::assembly::x86::OPCODE::IST_Fp64m64)
  .value("IST_Fp64m80", LIEF::assembly::x86::OPCODE::IST_Fp64m80)
  .value("Int_eh_sjlj_setup_dispatch", LIEF::assembly::x86::OPCODE::Int_eh_sjlj_setup_dispatch)
  .value("JCC_1", LIEF::assembly::x86::OPCODE::JCC_1)
  .value("JCC_2", LIEF::assembly::x86::OPCODE::JCC_2)
  .value("JCC_4", LIEF::assembly::x86::OPCODE::JCC_4)
  .value("JCXZ", LIEF::assembly::x86::OPCODE::JCXZ)
  .value("JECXZ", LIEF::assembly::x86::OPCODE::JECXZ)
  .value("JMP16m", LIEF::assembly::x86::OPCODE::JMP16m)
  .value("JMP16m_NT", LIEF::assembly::x86::OPCODE::JMP16m_NT)
  .value("JMP16r", LIEF::assembly::x86::OPCODE::JMP16r)
  .value("JMP16r_NT", LIEF::assembly::x86::OPCODE::JMP16r_NT)
  .value("JMP32m", LIEF::assembly::x86::OPCODE::JMP32m)
  .value("JMP32m_NT", LIEF::assembly::x86::OPCODE::JMP32m_NT)
  .value("JMP32r", LIEF::assembly::x86::OPCODE::JMP32r)
  .value("JMP32r_NT", LIEF::assembly::x86::OPCODE::JMP32r_NT)
  .value("JMP64m", LIEF::assembly::x86::OPCODE::JMP64m)
  .value("JMP64m_NT", LIEF::assembly::x86::OPCODE::JMP64m_NT)
  .value("JMP64m_REX", LIEF::assembly::x86::OPCODE::JMP64m_REX)
  .value("JMP64r", LIEF::assembly::x86::OPCODE::JMP64r)
  .value("JMP64r_NT", LIEF::assembly::x86::OPCODE::JMP64r_NT)
  .value("JMP64r_REX", LIEF::assembly::x86::OPCODE::JMP64r_REX)
  .value("JMPABS64i", LIEF::assembly::x86::OPCODE::JMPABS64i)
  .value("JMP_1", LIEF::assembly::x86::OPCODE::JMP_1)
  .value("JMP_2", LIEF::assembly::x86::OPCODE::JMP_2)
  .value("JMP_4", LIEF::assembly::x86::OPCODE::JMP_4)
  .value("JRCXZ", LIEF::assembly::x86::OPCODE::JRCXZ)
  .value("KADDBrr", LIEF::assembly::x86::OPCODE::KADDBrr)
  .value("KADDDrr", LIEF::assembly::x86::OPCODE::KADDDrr)
  .value("KADDQrr", LIEF::assembly::x86::OPCODE::KADDQrr)
  .value("KADDWrr", LIEF::assembly::x86::OPCODE::KADDWrr)
  .value("KANDBrr", LIEF::assembly::x86::OPCODE::KANDBrr)
  .value("KANDDrr", LIEF::assembly::x86::OPCODE::KANDDrr)
  .value("KANDNBrr", LIEF::assembly::x86::OPCODE::KANDNBrr)
  .value("KANDNDrr", LIEF::assembly::x86::OPCODE::KANDNDrr)
  .value("KANDNQrr", LIEF::assembly::x86::OPCODE::KANDNQrr)
  .value("KANDNWrr", LIEF::assembly::x86::OPCODE::KANDNWrr)
  .value("KANDQrr", LIEF::assembly::x86::OPCODE::KANDQrr)
  .value("KANDWrr", LIEF::assembly::x86::OPCODE::KANDWrr)
  .value("KCFI_CHECK", LIEF::assembly::x86::OPCODE::KCFI_CHECK)
  .value("KMOVBkk", LIEF::assembly::x86::OPCODE::KMOVBkk)
  .value("KMOVBkk_EVEX", LIEF::assembly::x86::OPCODE::KMOVBkk_EVEX)
  .value("KMOVBkm", LIEF::assembly::x86::OPCODE::KMOVBkm)
  .value("KMOVBkm_EVEX", LIEF::assembly::x86::OPCODE::KMOVBkm_EVEX)
  .value("KMOVBkr", LIEF::assembly::x86::OPCODE::KMOVBkr)
  .value("KMOVBkr_EVEX", LIEF::assembly::x86::OPCODE::KMOVBkr_EVEX)
  .value("KMOVBmk", LIEF::assembly::x86::OPCODE::KMOVBmk)
  .value("KMOVBmk_EVEX", LIEF::assembly::x86::OPCODE::KMOVBmk_EVEX)
  .value("KMOVBrk", LIEF::assembly::x86::OPCODE::KMOVBrk)
  .value("KMOVBrk_EVEX", LIEF::assembly::x86::OPCODE::KMOVBrk_EVEX)
  .value("KMOVDkk", LIEF::assembly::x86::OPCODE::KMOVDkk)
  .value("KMOVDkk_EVEX", LIEF::assembly::x86::OPCODE::KMOVDkk_EVEX)
  .value("KMOVDkm", LIEF::assembly::x86::OPCODE::KMOVDkm)
  .value("KMOVDkm_EVEX", LIEF::assembly::x86::OPCODE::KMOVDkm_EVEX)
  .value("KMOVDkr", LIEF::assembly::x86::OPCODE::KMOVDkr)
  .value("KMOVDkr_EVEX", LIEF::assembly::x86::OPCODE::KMOVDkr_EVEX)
  .value("KMOVDmk", LIEF::assembly::x86::OPCODE::KMOVDmk)
  .value("KMOVDmk_EVEX", LIEF::assembly::x86::OPCODE::KMOVDmk_EVEX)
  .value("KMOVDrk", LIEF::assembly::x86::OPCODE::KMOVDrk)
  .value("KMOVDrk_EVEX", LIEF::assembly::x86::OPCODE::KMOVDrk_EVEX)
  .value("KMOVQkk", LIEF::assembly::x86::OPCODE::KMOVQkk)
  .value("KMOVQkk_EVEX", LIEF::assembly::x86::OPCODE::KMOVQkk_EVEX)
  .value("KMOVQkm", LIEF::assembly::x86::OPCODE::KMOVQkm)
  .value("KMOVQkm_EVEX", LIEF::assembly::x86::OPCODE::KMOVQkm_EVEX)
  .value("KMOVQkr", LIEF::assembly::x86::OPCODE::KMOVQkr)
  .value("KMOVQkr_EVEX", LIEF::assembly::x86::OPCODE::KMOVQkr_EVEX)
  .value("KMOVQmk", LIEF::assembly::x86::OPCODE::KMOVQmk)
  .value("KMOVQmk_EVEX", LIEF::assembly::x86::OPCODE::KMOVQmk_EVEX)
  .value("KMOVQrk", LIEF::assembly::x86::OPCODE::KMOVQrk)
  .value("KMOVQrk_EVEX", LIEF::assembly::x86::OPCODE::KMOVQrk_EVEX)
  .value("KMOVWkk", LIEF::assembly::x86::OPCODE::KMOVWkk)
  .value("KMOVWkk_EVEX", LIEF::assembly::x86::OPCODE::KMOVWkk_EVEX)
  .value("KMOVWkm", LIEF::assembly::x86::OPCODE::KMOVWkm)
  .value("KMOVWkm_EVEX", LIEF::assembly::x86::OPCODE::KMOVWkm_EVEX)
  .value("KMOVWkr", LIEF::assembly::x86::OPCODE::KMOVWkr)
  .value("KMOVWkr_EVEX", LIEF::assembly::x86::OPCODE::KMOVWkr_EVEX)
  .value("KMOVWmk", LIEF::assembly::x86::OPCODE::KMOVWmk)
  .value("KMOVWmk_EVEX", LIEF::assembly::x86::OPCODE::KMOVWmk_EVEX)
  .value("KMOVWrk", LIEF::assembly::x86::OPCODE::KMOVWrk)
  .value("KMOVWrk_EVEX", LIEF::assembly::x86::OPCODE::KMOVWrk_EVEX)
  .value("KNOTBrr", LIEF::assembly::x86::OPCODE::KNOTBrr)
  .value("KNOTDrr", LIEF::assembly::x86::OPCODE::KNOTDrr)
  .value("KNOTQrr", LIEF::assembly::x86::OPCODE::KNOTQrr)
  .value("KNOTWrr", LIEF::assembly::x86::OPCODE::KNOTWrr)
  .value("KORBrr", LIEF::assembly::x86::OPCODE::KORBrr)
  .value("KORDrr", LIEF::assembly::x86::OPCODE::KORDrr)
  .value("KORQrr", LIEF::assembly::x86::OPCODE::KORQrr)
  .value("KORTESTBrr", LIEF::assembly::x86::OPCODE::KORTESTBrr)
  .value("KORTESTDrr", LIEF::assembly::x86::OPCODE::KORTESTDrr)
  .value("KORTESTQrr", LIEF::assembly::x86::OPCODE::KORTESTQrr)
  .value("KORTESTWrr", LIEF::assembly::x86::OPCODE::KORTESTWrr)
  .value("KORWrr", LIEF::assembly::x86::OPCODE::KORWrr)
  .value("KSHIFTLBri", LIEF::assembly::x86::OPCODE::KSHIFTLBri)
  .value("KSHIFTLDri", LIEF::assembly::x86::OPCODE::KSHIFTLDri)
  .value("KSHIFTLQri", LIEF::assembly::x86::OPCODE::KSHIFTLQri)
  .value("KSHIFTLWri", LIEF::assembly::x86::OPCODE::KSHIFTLWri)
  .value("KSHIFTRBri", LIEF::assembly::x86::OPCODE::KSHIFTRBri)
  .value("KSHIFTRDri", LIEF::assembly::x86::OPCODE::KSHIFTRDri)
  .value("KSHIFTRQri", LIEF::assembly::x86::OPCODE::KSHIFTRQri)
  .value("KSHIFTRWri", LIEF::assembly::x86::OPCODE::KSHIFTRWri)
  .value("KTESTBrr", LIEF::assembly::x86::OPCODE::KTESTBrr)
  .value("KTESTDrr", LIEF::assembly::x86::OPCODE::KTESTDrr)
  .value("KTESTQrr", LIEF::assembly::x86::OPCODE::KTESTQrr)
  .value("KTESTWrr", LIEF::assembly::x86::OPCODE::KTESTWrr)
  .value("KUNPCKBWrr", LIEF::assembly::x86::OPCODE::KUNPCKBWrr)
  .value("KUNPCKDQrr", LIEF::assembly::x86::OPCODE::KUNPCKDQrr)
  .value("KUNPCKWDrr", LIEF::assembly::x86::OPCODE::KUNPCKWDrr)
  .value("KXNORBrr", LIEF::assembly::x86::OPCODE::KXNORBrr)
  .value("KXNORDrr", LIEF::assembly::x86::OPCODE::KXNORDrr)
  .value("KXNORQrr", LIEF::assembly::x86::OPCODE::KXNORQrr)
  .value("KXNORWrr", LIEF::assembly::x86::OPCODE::KXNORWrr)
  .value("KXORBrr", LIEF::assembly::x86::OPCODE::KXORBrr)
  .value("KXORDrr", LIEF::assembly::x86::OPCODE::KXORDrr)
  .value("KXORQrr", LIEF::assembly::x86::OPCODE::KXORQrr)
  .value("KXORWrr", LIEF::assembly::x86::OPCODE::KXORWrr)
  .value("LAHF", LIEF::assembly::x86::OPCODE::LAHF)
  .value("LAR16rm", LIEF::assembly::x86::OPCODE::LAR16rm)
  .value("LAR16rr", LIEF::assembly::x86::OPCODE::LAR16rr)
  .value("LAR32rm", LIEF::assembly::x86::OPCODE::LAR32rm)
  .value("LAR32rr", LIEF::assembly::x86::OPCODE::LAR32rr)
  .value("LAR64rm", LIEF::assembly::x86::OPCODE::LAR64rm)
  .value("LAR64rr", LIEF::assembly::x86::OPCODE::LAR64rr)
  .value("LCMPXCHG16", LIEF::assembly::x86::OPCODE::LCMPXCHG16)
  .value("LCMPXCHG16B", LIEF::assembly::x86::OPCODE::LCMPXCHG16B)
  .value("LCMPXCHG32", LIEF::assembly::x86::OPCODE::LCMPXCHG32)
  .value("LCMPXCHG64", LIEF::assembly::x86::OPCODE::LCMPXCHG64)
  .value("LCMPXCHG8", LIEF::assembly::x86::OPCODE::LCMPXCHG8)
  .value("LCMPXCHG8B", LIEF::assembly::x86::OPCODE::LCMPXCHG8B)
  .value("LDDQUrm", LIEF::assembly::x86::OPCODE::LDDQUrm)
  .value("LDMXCSR", LIEF::assembly::x86::OPCODE::LDMXCSR)
  .value("LDS16rm", LIEF::assembly::x86::OPCODE::LDS16rm)
  .value("LDS32rm", LIEF::assembly::x86::OPCODE::LDS32rm)
  .value("LDTILECFG", LIEF::assembly::x86::OPCODE::LDTILECFG)
  .value("LDTILECFG_EVEX", LIEF::assembly::x86::OPCODE::LDTILECFG_EVEX)
  .value("LD_F0", LIEF::assembly::x86::OPCODE::LD_F0)
  .value("LD_F1", LIEF::assembly::x86::OPCODE::LD_F1)
  .value("LD_F32m", LIEF::assembly::x86::OPCODE::LD_F32m)
  .value("LD_F64m", LIEF::assembly::x86::OPCODE::LD_F64m)
  .value("LD_F80m", LIEF::assembly::x86::OPCODE::LD_F80m)
  .value("LD_Fp032", LIEF::assembly::x86::OPCODE::LD_Fp032)
  .value("LD_Fp064", LIEF::assembly::x86::OPCODE::LD_Fp064)
  .value("LD_Fp080", LIEF::assembly::x86::OPCODE::LD_Fp080)
  .value("LD_Fp132", LIEF::assembly::x86::OPCODE::LD_Fp132)
  .value("LD_Fp164", LIEF::assembly::x86::OPCODE::LD_Fp164)
  .value("LD_Fp180", LIEF::assembly::x86::OPCODE::LD_Fp180)
  .value("LD_Fp32m", LIEF::assembly::x86::OPCODE::LD_Fp32m)
  .value("LD_Fp32m64", LIEF::assembly::x86::OPCODE::LD_Fp32m64)
  .value("LD_Fp32m80", LIEF::assembly::x86::OPCODE::LD_Fp32m80)
  .value("LD_Fp64m", LIEF::assembly::x86::OPCODE::LD_Fp64m)
  .value("LD_Fp64m80", LIEF::assembly::x86::OPCODE::LD_Fp64m80)
  .value("LD_Fp80m", LIEF::assembly::x86::OPCODE::LD_Fp80m)
  .value("LD_Frr", LIEF::assembly::x86::OPCODE::LD_Frr)
  .value("LEA16r", LIEF::assembly::x86::OPCODE::LEA16r)
  .value("LEA32r", LIEF::assembly::x86::OPCODE::LEA32r)
  .value("LEA64_32r", LIEF::assembly::x86::OPCODE::LEA64_32r)
  .value("LEA64r", LIEF::assembly::x86::OPCODE::LEA64r)
  .value("LEAVE", LIEF::assembly::x86::OPCODE::LEAVE)
  .value("LEAVE64", LIEF::assembly::x86::OPCODE::LEAVE64)
  .value("LES16rm", LIEF::assembly::x86::OPCODE::LES16rm)
  .value("LES32rm", LIEF::assembly::x86::OPCODE::LES32rm);
  opcodes.value("LFENCE", LIEF::assembly::x86::OPCODE::LFENCE)
  .value("LFS16rm", LIEF::assembly::x86::OPCODE::LFS16rm)
  .value("LFS32rm", LIEF::assembly::x86::OPCODE::LFS32rm)
  .value("LFS64rm", LIEF::assembly::x86::OPCODE::LFS64rm)
  .value("LGDT16m", LIEF::assembly::x86::OPCODE::LGDT16m)
  .value("LGDT32m", LIEF::assembly::x86::OPCODE::LGDT32m)
  .value("LGDT64m", LIEF::assembly::x86::OPCODE::LGDT64m)
  .value("LGS16rm", LIEF::assembly::x86::OPCODE::LGS16rm)
  .value("LGS32rm", LIEF::assembly::x86::OPCODE::LGS32rm)
  .value("LGS64rm", LIEF::assembly::x86::OPCODE::LGS64rm)
  .value("LIDT16m", LIEF::assembly::x86::OPCODE::LIDT16m)
  .value("LIDT32m", LIEF::assembly::x86::OPCODE::LIDT32m)
  .value("LIDT64m", LIEF::assembly::x86::OPCODE::LIDT64m)
  .value("LKGS16m", LIEF::assembly::x86::OPCODE::LKGS16m)
  .value("LKGS16r", LIEF::assembly::x86::OPCODE::LKGS16r)
  .value("LLDT16m", LIEF::assembly::x86::OPCODE::LLDT16m)
  .value("LLDT16r", LIEF::assembly::x86::OPCODE::LLDT16r)
  .value("LLWPCB", LIEF::assembly::x86::OPCODE::LLWPCB)
  .value("LLWPCB64", LIEF::assembly::x86::OPCODE::LLWPCB64)
  .value("LMSW16m", LIEF::assembly::x86::OPCODE::LMSW16m)
  .value("LMSW16r", LIEF::assembly::x86::OPCODE::LMSW16r)
  .value("LOADIWKEY", LIEF::assembly::x86::OPCODE::LOADIWKEY)
  .value("LOCK_ADD16mi", LIEF::assembly::x86::OPCODE::LOCK_ADD16mi)
  .value("LOCK_ADD16mi8", LIEF::assembly::x86::OPCODE::LOCK_ADD16mi8)
  .value("LOCK_ADD16mr", LIEF::assembly::x86::OPCODE::LOCK_ADD16mr)
  .value("LOCK_ADD32mi", LIEF::assembly::x86::OPCODE::LOCK_ADD32mi)
  .value("LOCK_ADD32mi8", LIEF::assembly::x86::OPCODE::LOCK_ADD32mi8)
  .value("LOCK_ADD32mr", LIEF::assembly::x86::OPCODE::LOCK_ADD32mr)
  .value("LOCK_ADD64mi32", LIEF::assembly::x86::OPCODE::LOCK_ADD64mi32)
  .value("LOCK_ADD64mi8", LIEF::assembly::x86::OPCODE::LOCK_ADD64mi8)
  .value("LOCK_ADD64mr", LIEF::assembly::x86::OPCODE::LOCK_ADD64mr)
  .value("LOCK_ADD8mi", LIEF::assembly::x86::OPCODE::LOCK_ADD8mi)
  .value("LOCK_ADD8mr", LIEF::assembly::x86::OPCODE::LOCK_ADD8mr)
  .value("LOCK_AND16mi", LIEF::assembly::x86::OPCODE::LOCK_AND16mi)
  .value("LOCK_AND16mi8", LIEF::assembly::x86::OPCODE::LOCK_AND16mi8)
  .value("LOCK_AND16mr", LIEF::assembly::x86::OPCODE::LOCK_AND16mr)
  .value("LOCK_AND32mi", LIEF::assembly::x86::OPCODE::LOCK_AND32mi)
  .value("LOCK_AND32mi8", LIEF::assembly::x86::OPCODE::LOCK_AND32mi8)
  .value("LOCK_AND32mr", LIEF::assembly::x86::OPCODE::LOCK_AND32mr)
  .value("LOCK_AND64mi32", LIEF::assembly::x86::OPCODE::LOCK_AND64mi32)
  .value("LOCK_AND64mi8", LIEF::assembly::x86::OPCODE::LOCK_AND64mi8)
  .value("LOCK_AND64mr", LIEF::assembly::x86::OPCODE::LOCK_AND64mr)
  .value("LOCK_AND8mi", LIEF::assembly::x86::OPCODE::LOCK_AND8mi)
  .value("LOCK_AND8mr", LIEF::assembly::x86::OPCODE::LOCK_AND8mr)
  .value("LOCK_BTC16m", LIEF::assembly::x86::OPCODE::LOCK_BTC16m)
  .value("LOCK_BTC32m", LIEF::assembly::x86::OPCODE::LOCK_BTC32m)
  .value("LOCK_BTC64m", LIEF::assembly::x86::OPCODE::LOCK_BTC64m)
  .value("LOCK_BTC_RM16rm", LIEF::assembly::x86::OPCODE::LOCK_BTC_RM16rm)
  .value("LOCK_BTC_RM32rm", LIEF::assembly::x86::OPCODE::LOCK_BTC_RM32rm)
  .value("LOCK_BTC_RM64rm", LIEF::assembly::x86::OPCODE::LOCK_BTC_RM64rm)
  .value("LOCK_BTR16m", LIEF::assembly::x86::OPCODE::LOCK_BTR16m)
  .value("LOCK_BTR32m", LIEF::assembly::x86::OPCODE::LOCK_BTR32m)
  .value("LOCK_BTR64m", LIEF::assembly::x86::OPCODE::LOCK_BTR64m)
  .value("LOCK_BTR_RM16rm", LIEF::assembly::x86::OPCODE::LOCK_BTR_RM16rm)
  .value("LOCK_BTR_RM32rm", LIEF::assembly::x86::OPCODE::LOCK_BTR_RM32rm)
  .value("LOCK_BTR_RM64rm", LIEF::assembly::x86::OPCODE::LOCK_BTR_RM64rm)
  .value("LOCK_BTS16m", LIEF::assembly::x86::OPCODE::LOCK_BTS16m)
  .value("LOCK_BTS32m", LIEF::assembly::x86::OPCODE::LOCK_BTS32m)
  .value("LOCK_BTS64m", LIEF::assembly::x86::OPCODE::LOCK_BTS64m)
  .value("LOCK_BTS_RM16rm", LIEF::assembly::x86::OPCODE::LOCK_BTS_RM16rm)
  .value("LOCK_BTS_RM32rm", LIEF::assembly::x86::OPCODE::LOCK_BTS_RM32rm)
  .value("LOCK_BTS_RM64rm", LIEF::assembly::x86::OPCODE::LOCK_BTS_RM64rm)
  .value("LOCK_DEC16m", LIEF::assembly::x86::OPCODE::LOCK_DEC16m)
  .value("LOCK_DEC32m", LIEF::assembly::x86::OPCODE::LOCK_DEC32m)
  .value("LOCK_DEC64m", LIEF::assembly::x86::OPCODE::LOCK_DEC64m)
  .value("LOCK_DEC8m", LIEF::assembly::x86::OPCODE::LOCK_DEC8m)
  .value("LOCK_INC16m", LIEF::assembly::x86::OPCODE::LOCK_INC16m)
  .value("LOCK_INC32m", LIEF::assembly::x86::OPCODE::LOCK_INC32m)
  .value("LOCK_INC64m", LIEF::assembly::x86::OPCODE::LOCK_INC64m)
  .value("LOCK_INC8m", LIEF::assembly::x86::OPCODE::LOCK_INC8m)
  .value("LOCK_OR16mi", LIEF::assembly::x86::OPCODE::LOCK_OR16mi)
  .value("LOCK_OR16mi8", LIEF::assembly::x86::OPCODE::LOCK_OR16mi8)
  .value("LOCK_OR16mr", LIEF::assembly::x86::OPCODE::LOCK_OR16mr)
  .value("LOCK_OR32mi", LIEF::assembly::x86::OPCODE::LOCK_OR32mi)
  .value("LOCK_OR32mi8", LIEF::assembly::x86::OPCODE::LOCK_OR32mi8)
  .value("LOCK_OR32mr", LIEF::assembly::x86::OPCODE::LOCK_OR32mr)
  .value("LOCK_OR64mi32", LIEF::assembly::x86::OPCODE::LOCK_OR64mi32)
  .value("LOCK_OR64mi8", LIEF::assembly::x86::OPCODE::LOCK_OR64mi8)
  .value("LOCK_OR64mr", LIEF::assembly::x86::OPCODE::LOCK_OR64mr)
  .value("LOCK_OR8mi", LIEF::assembly::x86::OPCODE::LOCK_OR8mi)
  .value("LOCK_OR8mr", LIEF::assembly::x86::OPCODE::LOCK_OR8mr)
  .value("LOCK_PREFIX", LIEF::assembly::x86::OPCODE::LOCK_PREFIX)
  .value("LOCK_SUB16mi", LIEF::assembly::x86::OPCODE::LOCK_SUB16mi)
  .value("LOCK_SUB16mi8", LIEF::assembly::x86::OPCODE::LOCK_SUB16mi8)
  .value("LOCK_SUB16mr", LIEF::assembly::x86::OPCODE::LOCK_SUB16mr)
  .value("LOCK_SUB32mi", LIEF::assembly::x86::OPCODE::LOCK_SUB32mi)
  .value("LOCK_SUB32mi8", LIEF::assembly::x86::OPCODE::LOCK_SUB32mi8)
  .value("LOCK_SUB32mr", LIEF::assembly::x86::OPCODE::LOCK_SUB32mr)
  .value("LOCK_SUB64mi32", LIEF::assembly::x86::OPCODE::LOCK_SUB64mi32)
  .value("LOCK_SUB64mi8", LIEF::assembly::x86::OPCODE::LOCK_SUB64mi8)
  .value("LOCK_SUB64mr", LIEF::assembly::x86::OPCODE::LOCK_SUB64mr)
  .value("LOCK_SUB8mi", LIEF::assembly::x86::OPCODE::LOCK_SUB8mi)
  .value("LOCK_SUB8mr", LIEF::assembly::x86::OPCODE::LOCK_SUB8mr)
  .value("LOCK_XOR16mi", LIEF::assembly::x86::OPCODE::LOCK_XOR16mi)
  .value("LOCK_XOR16mi8", LIEF::assembly::x86::OPCODE::LOCK_XOR16mi8)
  .value("LOCK_XOR16mr", LIEF::assembly::x86::OPCODE::LOCK_XOR16mr)
  .value("LOCK_XOR32mi", LIEF::assembly::x86::OPCODE::LOCK_XOR32mi)
  .value("LOCK_XOR32mi8", LIEF::assembly::x86::OPCODE::LOCK_XOR32mi8)
  .value("LOCK_XOR32mr", LIEF::assembly::x86::OPCODE::LOCK_XOR32mr)
  .value("LOCK_XOR64mi32", LIEF::assembly::x86::OPCODE::LOCK_XOR64mi32)
  .value("LOCK_XOR64mi8", LIEF::assembly::x86::OPCODE::LOCK_XOR64mi8)
  .value("LOCK_XOR64mr", LIEF::assembly::x86::OPCODE::LOCK_XOR64mr)
  .value("LOCK_XOR8mi", LIEF::assembly::x86::OPCODE::LOCK_XOR8mi)
  .value("LOCK_XOR8mr", LIEF::assembly::x86::OPCODE::LOCK_XOR8mr)
  .value("LODSB", LIEF::assembly::x86::OPCODE::LODSB)
  .value("LODSL", LIEF::assembly::x86::OPCODE::LODSL)
  .value("LODSQ", LIEF::assembly::x86::OPCODE::LODSQ)
  .value("LODSW", LIEF::assembly::x86::OPCODE::LODSW)
  .value("LOOP", LIEF::assembly::x86::OPCODE::LOOP)
  .value("LOOPE", LIEF::assembly::x86::OPCODE::LOOPE)
  .value("LOOPNE", LIEF::assembly::x86::OPCODE::LOOPNE)
  .value("LRET16", LIEF::assembly::x86::OPCODE::LRET16)
  .value("LRET32", LIEF::assembly::x86::OPCODE::LRET32)
  .value("LRET64", LIEF::assembly::x86::OPCODE::LRET64)
  .value("LRETI16", LIEF::assembly::x86::OPCODE::LRETI16)
  .value("LRETI32", LIEF::assembly::x86::OPCODE::LRETI32)
  .value("LRETI64", LIEF::assembly::x86::OPCODE::LRETI64)
  .value("LSL16rm", LIEF::assembly::x86::OPCODE::LSL16rm)
  .value("LSL16rr", LIEF::assembly::x86::OPCODE::LSL16rr)
  .value("LSL32rm", LIEF::assembly::x86::OPCODE::LSL32rm)
  .value("LSL32rr", LIEF::assembly::x86::OPCODE::LSL32rr)
  .value("LSL64rm", LIEF::assembly::x86::OPCODE::LSL64rm)
  .value("LSL64rr", LIEF::assembly::x86::OPCODE::LSL64rr)
  .value("LSS16rm", LIEF::assembly::x86::OPCODE::LSS16rm)
  .value("LSS32rm", LIEF::assembly::x86::OPCODE::LSS32rm)
  .value("LSS64rm", LIEF::assembly::x86::OPCODE::LSS64rm)
  .value("LTRm", LIEF::assembly::x86::OPCODE::LTRm)
  .value("LTRr", LIEF::assembly::x86::OPCODE::LTRr)
  .value("LWPINS32rmi", LIEF::assembly::x86::OPCODE::LWPINS32rmi)
  .value("LWPINS32rri", LIEF::assembly::x86::OPCODE::LWPINS32rri)
  .value("LWPINS64rmi", LIEF::assembly::x86::OPCODE::LWPINS64rmi)
  .value("LWPINS64rri", LIEF::assembly::x86::OPCODE::LWPINS64rri)
  .value("LWPVAL32rmi", LIEF::assembly::x86::OPCODE::LWPVAL32rmi)
  .value("LWPVAL32rri", LIEF::assembly::x86::OPCODE::LWPVAL32rri)
  .value("LWPVAL64rmi", LIEF::assembly::x86::OPCODE::LWPVAL64rmi)
  .value("LWPVAL64rri", LIEF::assembly::x86::OPCODE::LWPVAL64rri)
  .value("LXADD16", LIEF::assembly::x86::OPCODE::LXADD16)
  .value("LXADD32", LIEF::assembly::x86::OPCODE::LXADD32)
  .value("LXADD64", LIEF::assembly::x86::OPCODE::LXADD64)
  .value("LXADD8", LIEF::assembly::x86::OPCODE::LXADD8)
  .value("LZCNT16rm", LIEF::assembly::x86::OPCODE::LZCNT16rm)
  .value("LZCNT16rm_EVEX", LIEF::assembly::x86::OPCODE::LZCNT16rm_EVEX)
  .value("LZCNT16rm_NF", LIEF::assembly::x86::OPCODE::LZCNT16rm_NF)
  .value("LZCNT16rr", LIEF::assembly::x86::OPCODE::LZCNT16rr)
  .value("LZCNT16rr_EVEX", LIEF::assembly::x86::OPCODE::LZCNT16rr_EVEX)
  .value("LZCNT16rr_NF", LIEF::assembly::x86::OPCODE::LZCNT16rr_NF)
  .value("LZCNT32rm", LIEF::assembly::x86::OPCODE::LZCNT32rm)
  .value("LZCNT32rm_EVEX", LIEF::assembly::x86::OPCODE::LZCNT32rm_EVEX)
  .value("LZCNT32rm_NF", LIEF::assembly::x86::OPCODE::LZCNT32rm_NF)
  .value("LZCNT32rr", LIEF::assembly::x86::OPCODE::LZCNT32rr)
  .value("LZCNT32rr_EVEX", LIEF::assembly::x86::OPCODE::LZCNT32rr_EVEX)
  .value("LZCNT32rr_NF", LIEF::assembly::x86::OPCODE::LZCNT32rr_NF)
  .value("LZCNT64rm", LIEF::assembly::x86::OPCODE::LZCNT64rm)
  .value("LZCNT64rm_EVEX", LIEF::assembly::x86::OPCODE::LZCNT64rm_EVEX)
  .value("LZCNT64rm_NF", LIEF::assembly::x86::OPCODE::LZCNT64rm_NF)
  .value("LZCNT64rr", LIEF::assembly::x86::OPCODE::LZCNT64rr)
  .value("LZCNT64rr_EVEX", LIEF::assembly::x86::OPCODE::LZCNT64rr_EVEX)
  .value("LZCNT64rr_NF", LIEF::assembly::x86::OPCODE::LZCNT64rr_NF)
  .value("MASKMOVDQU", LIEF::assembly::x86::OPCODE::MASKMOVDQU)
  .value("MASKMOVDQU64", LIEF::assembly::x86::OPCODE::MASKMOVDQU64)
  .value("MASKPAIR16LOAD", LIEF::assembly::x86::OPCODE::MASKPAIR16LOAD)
  .value("MASKPAIR16STORE", LIEF::assembly::x86::OPCODE::MASKPAIR16STORE)
  .value("MAXCPDrm", LIEF::assembly::x86::OPCODE::MAXCPDrm)
  .value("MAXCPDrr", LIEF::assembly::x86::OPCODE::MAXCPDrr)
  .value("MAXCPSrm", LIEF::assembly::x86::OPCODE::MAXCPSrm)
  .value("MAXCPSrr", LIEF::assembly::x86::OPCODE::MAXCPSrr)
  .value("MAXCSDrm", LIEF::assembly::x86::OPCODE::MAXCSDrm)
  .value("MAXCSDrr", LIEF::assembly::x86::OPCODE::MAXCSDrr)
  .value("MAXCSSrm", LIEF::assembly::x86::OPCODE::MAXCSSrm)
  .value("MAXCSSrr", LIEF::assembly::x86::OPCODE::MAXCSSrr)
  .value("MAXPDrm", LIEF::assembly::x86::OPCODE::MAXPDrm)
  .value("MAXPDrr", LIEF::assembly::x86::OPCODE::MAXPDrr)
  .value("MAXPSrm", LIEF::assembly::x86::OPCODE::MAXPSrm)
  .value("MAXPSrr", LIEF::assembly::x86::OPCODE::MAXPSrr)
  .value("MAXSDrm", LIEF::assembly::x86::OPCODE::MAXSDrm)
  .value("MAXSDrm_Int", LIEF::assembly::x86::OPCODE::MAXSDrm_Int)
  .value("MAXSDrr", LIEF::assembly::x86::OPCODE::MAXSDrr)
  .value("MAXSDrr_Int", LIEF::assembly::x86::OPCODE::MAXSDrr_Int)
  .value("MAXSSrm", LIEF::assembly::x86::OPCODE::MAXSSrm)
  .value("MAXSSrm_Int", LIEF::assembly::x86::OPCODE::MAXSSrm_Int)
  .value("MAXSSrr", LIEF::assembly::x86::OPCODE::MAXSSrr)
  .value("MAXSSrr_Int", LIEF::assembly::x86::OPCODE::MAXSSrr_Int)
  .value("MFENCE", LIEF::assembly::x86::OPCODE::MFENCE)
  .value("MINCPDrm", LIEF::assembly::x86::OPCODE::MINCPDrm)
  .value("MINCPDrr", LIEF::assembly::x86::OPCODE::MINCPDrr)
  .value("MINCPSrm", LIEF::assembly::x86::OPCODE::MINCPSrm)
  .value("MINCPSrr", LIEF::assembly::x86::OPCODE::MINCPSrr)
  .value("MINCSDrm", LIEF::assembly::x86::OPCODE::MINCSDrm)
  .value("MINCSDrr", LIEF::assembly::x86::OPCODE::MINCSDrr)
  .value("MINCSSrm", LIEF::assembly::x86::OPCODE::MINCSSrm)
  .value("MINCSSrr", LIEF::assembly::x86::OPCODE::MINCSSrr)
  .value("MINPDrm", LIEF::assembly::x86::OPCODE::MINPDrm)
  .value("MINPDrr", LIEF::assembly::x86::OPCODE::MINPDrr)
  .value("MINPSrm", LIEF::assembly::x86::OPCODE::MINPSrm)
  .value("MINPSrr", LIEF::assembly::x86::OPCODE::MINPSrr)
  .value("MINSDrm", LIEF::assembly::x86::OPCODE::MINSDrm)
  .value("MINSDrm_Int", LIEF::assembly::x86::OPCODE::MINSDrm_Int)
  .value("MINSDrr", LIEF::assembly::x86::OPCODE::MINSDrr)
  .value("MINSDrr_Int", LIEF::assembly::x86::OPCODE::MINSDrr_Int)
  .value("MINSSrm", LIEF::assembly::x86::OPCODE::MINSSrm)
  .value("MINSSrm_Int", LIEF::assembly::x86::OPCODE::MINSSrm_Int)
  .value("MINSSrr", LIEF::assembly::x86::OPCODE::MINSSrr)
  .value("MINSSrr_Int", LIEF::assembly::x86::OPCODE::MINSSrr_Int)
  .value("MMX_CVTPD2PIrm", LIEF::assembly::x86::OPCODE::MMX_CVTPD2PIrm)
  .value("MMX_CVTPD2PIrr", LIEF::assembly::x86::OPCODE::MMX_CVTPD2PIrr)
  .value("MMX_CVTPI2PDrm", LIEF::assembly::x86::OPCODE::MMX_CVTPI2PDrm)
  .value("MMX_CVTPI2PDrr", LIEF::assembly::x86::OPCODE::MMX_CVTPI2PDrr)
  .value("MMX_CVTPI2PSrm", LIEF::assembly::x86::OPCODE::MMX_CVTPI2PSrm)
  .value("MMX_CVTPI2PSrr", LIEF::assembly::x86::OPCODE::MMX_CVTPI2PSrr)
  .value("MMX_CVTPS2PIrm", LIEF::assembly::x86::OPCODE::MMX_CVTPS2PIrm)
  .value("MMX_CVTPS2PIrr", LIEF::assembly::x86::OPCODE::MMX_CVTPS2PIrr)
  .value("MMX_CVTTPD2PIrm", LIEF::assembly::x86::OPCODE::MMX_CVTTPD2PIrm)
  .value("MMX_CVTTPD2PIrr", LIEF::assembly::x86::OPCODE::MMX_CVTTPD2PIrr)
  .value("MMX_CVTTPS2PIrm", LIEF::assembly::x86::OPCODE::MMX_CVTTPS2PIrm)
  .value("MMX_CVTTPS2PIrr", LIEF::assembly::x86::OPCODE::MMX_CVTTPS2PIrr)
  .value("MMX_EMMS", LIEF::assembly::x86::OPCODE::MMX_EMMS)
  .value("MMX_MASKMOVQ", LIEF::assembly::x86::OPCODE::MMX_MASKMOVQ)
  .value("MMX_MASKMOVQ64", LIEF::assembly::x86::OPCODE::MMX_MASKMOVQ64)
  .value("MMX_MOVD64from64mr", LIEF::assembly::x86::OPCODE::MMX_MOVD64from64mr)
  .value("MMX_MOVD64from64rr", LIEF::assembly::x86::OPCODE::MMX_MOVD64from64rr)
  .value("MMX_MOVD64grr", LIEF::assembly::x86::OPCODE::MMX_MOVD64grr)
  .value("MMX_MOVD64mr", LIEF::assembly::x86::OPCODE::MMX_MOVD64mr)
  .value("MMX_MOVD64rm", LIEF::assembly::x86::OPCODE::MMX_MOVD64rm)
  .value("MMX_MOVD64rr", LIEF::assembly::x86::OPCODE::MMX_MOVD64rr)
  .value("MMX_MOVD64to64rm", LIEF::assembly::x86::OPCODE::MMX_MOVD64to64rm)
  .value("MMX_MOVD64to64rr", LIEF::assembly::x86::OPCODE::MMX_MOVD64to64rr)
  .value("MMX_MOVDQ2Qrr", LIEF::assembly::x86::OPCODE::MMX_MOVDQ2Qrr)
  .value("MMX_MOVFR642Qrr", LIEF::assembly::x86::OPCODE::MMX_MOVFR642Qrr)
  .value("MMX_MOVNTQmr", LIEF::assembly::x86::OPCODE::MMX_MOVNTQmr)
  .value("MMX_MOVQ2DQrr", LIEF::assembly::x86::OPCODE::MMX_MOVQ2DQrr)
  .value("MMX_MOVQ2FR64rr", LIEF::assembly::x86::OPCODE::MMX_MOVQ2FR64rr)
  .value("MMX_MOVQ64mr", LIEF::assembly::x86::OPCODE::MMX_MOVQ64mr)
  .value("MMX_MOVQ64rm", LIEF::assembly::x86::OPCODE::MMX_MOVQ64rm)
  .value("MMX_MOVQ64rr", LIEF::assembly::x86::OPCODE::MMX_MOVQ64rr)
  .value("MMX_MOVQ64rr_REV", LIEF::assembly::x86::OPCODE::MMX_MOVQ64rr_REV)
  .value("MMX_PABSBrm", LIEF::assembly::x86::OPCODE::MMX_PABSBrm)
  .value("MMX_PABSBrr", LIEF::assembly::x86::OPCODE::MMX_PABSBrr)
  .value("MMX_PABSDrm", LIEF::assembly::x86::OPCODE::MMX_PABSDrm)
  .value("MMX_PABSDrr", LIEF::assembly::x86::OPCODE::MMX_PABSDrr)
  .value("MMX_PABSWrm", LIEF::assembly::x86::OPCODE::MMX_PABSWrm)
  .value("MMX_PABSWrr", LIEF::assembly::x86::OPCODE::MMX_PABSWrr)
  .value("MMX_PACKSSDWrm", LIEF::assembly::x86::OPCODE::MMX_PACKSSDWrm)
  .value("MMX_PACKSSDWrr", LIEF::assembly::x86::OPCODE::MMX_PACKSSDWrr)
  .value("MMX_PACKSSWBrm", LIEF::assembly::x86::OPCODE::MMX_PACKSSWBrm)
  .value("MMX_PACKSSWBrr", LIEF::assembly::x86::OPCODE::MMX_PACKSSWBrr)
  .value("MMX_PACKUSWBrm", LIEF::assembly::x86::OPCODE::MMX_PACKUSWBrm)
  .value("MMX_PACKUSWBrr", LIEF::assembly::x86::OPCODE::MMX_PACKUSWBrr)
  .value("MMX_PADDBrm", LIEF::assembly::x86::OPCODE::MMX_PADDBrm)
  .value("MMX_PADDBrr", LIEF::assembly::x86::OPCODE::MMX_PADDBrr)
  .value("MMX_PADDDrm", LIEF::assembly::x86::OPCODE::MMX_PADDDrm)
  .value("MMX_PADDDrr", LIEF::assembly::x86::OPCODE::MMX_PADDDrr)
  .value("MMX_PADDQrm", LIEF::assembly::x86::OPCODE::MMX_PADDQrm)
  .value("MMX_PADDQrr", LIEF::assembly::x86::OPCODE::MMX_PADDQrr)
  .value("MMX_PADDSBrm", LIEF::assembly::x86::OPCODE::MMX_PADDSBrm)
  .value("MMX_PADDSBrr", LIEF::assembly::x86::OPCODE::MMX_PADDSBrr)
  .value("MMX_PADDSWrm", LIEF::assembly::x86::OPCODE::MMX_PADDSWrm)
  .value("MMX_PADDSWrr", LIEF::assembly::x86::OPCODE::MMX_PADDSWrr)
  .value("MMX_PADDUSBrm", LIEF::assembly::x86::OPCODE::MMX_PADDUSBrm)
  .value("MMX_PADDUSBrr", LIEF::assembly::x86::OPCODE::MMX_PADDUSBrr)
  .value("MMX_PADDUSWrm", LIEF::assembly::x86::OPCODE::MMX_PADDUSWrm)
  .value("MMX_PADDUSWrr", LIEF::assembly::x86::OPCODE::MMX_PADDUSWrr)
  .value("MMX_PADDWrm", LIEF::assembly::x86::OPCODE::MMX_PADDWrm)
  .value("MMX_PADDWrr", LIEF::assembly::x86::OPCODE::MMX_PADDWrr)
  .value("MMX_PALIGNRrmi", LIEF::assembly::x86::OPCODE::MMX_PALIGNRrmi)
  .value("MMX_PALIGNRrri", LIEF::assembly::x86::OPCODE::MMX_PALIGNRrri)
  .value("MMX_PANDNrm", LIEF::assembly::x86::OPCODE::MMX_PANDNrm)
  .value("MMX_PANDNrr", LIEF::assembly::x86::OPCODE::MMX_PANDNrr)
  .value("MMX_PANDrm", LIEF::assembly::x86::OPCODE::MMX_PANDrm)
  .value("MMX_PANDrr", LIEF::assembly::x86::OPCODE::MMX_PANDrr)
  .value("MMX_PAVGBrm", LIEF::assembly::x86::OPCODE::MMX_PAVGBrm)
  .value("MMX_PAVGBrr", LIEF::assembly::x86::OPCODE::MMX_PAVGBrr)
  .value("MMX_PAVGWrm", LIEF::assembly::x86::OPCODE::MMX_PAVGWrm)
  .value("MMX_PAVGWrr", LIEF::assembly::x86::OPCODE::MMX_PAVGWrr)
  .value("MMX_PCMPEQBrm", LIEF::assembly::x86::OPCODE::MMX_PCMPEQBrm)
  .value("MMX_PCMPEQBrr", LIEF::assembly::x86::OPCODE::MMX_PCMPEQBrr)
  .value("MMX_PCMPEQDrm", LIEF::assembly::x86::OPCODE::MMX_PCMPEQDrm)
  .value("MMX_PCMPEQDrr", LIEF::assembly::x86::OPCODE::MMX_PCMPEQDrr)
  .value("MMX_PCMPEQWrm", LIEF::assembly::x86::OPCODE::MMX_PCMPEQWrm)
  .value("MMX_PCMPEQWrr", LIEF::assembly::x86::OPCODE::MMX_PCMPEQWrr)
  .value("MMX_PCMPGTBrm", LIEF::assembly::x86::OPCODE::MMX_PCMPGTBrm)
  .value("MMX_PCMPGTBrr", LIEF::assembly::x86::OPCODE::MMX_PCMPGTBrr)
  .value("MMX_PCMPGTDrm", LIEF::assembly::x86::OPCODE::MMX_PCMPGTDrm)
  .value("MMX_PCMPGTDrr", LIEF::assembly::x86::OPCODE::MMX_PCMPGTDrr)
  .value("MMX_PCMPGTWrm", LIEF::assembly::x86::OPCODE::MMX_PCMPGTWrm)
  .value("MMX_PCMPGTWrr", LIEF::assembly::x86::OPCODE::MMX_PCMPGTWrr)
  .value("MMX_PEXTRWrr", LIEF::assembly::x86::OPCODE::MMX_PEXTRWrr)
  .value("MMX_PHADDDrm", LIEF::assembly::x86::OPCODE::MMX_PHADDDrm)
  .value("MMX_PHADDDrr", LIEF::assembly::x86::OPCODE::MMX_PHADDDrr)
  .value("MMX_PHADDSWrm", LIEF::assembly::x86::OPCODE::MMX_PHADDSWrm)
  .value("MMX_PHADDSWrr", LIEF::assembly::x86::OPCODE::MMX_PHADDSWrr)
  .value("MMX_PHADDWrm", LIEF::assembly::x86::OPCODE::MMX_PHADDWrm)
  .value("MMX_PHADDWrr", LIEF::assembly::x86::OPCODE::MMX_PHADDWrr)
  .value("MMX_PHSUBDrm", LIEF::assembly::x86::OPCODE::MMX_PHSUBDrm)
  .value("MMX_PHSUBDrr", LIEF::assembly::x86::OPCODE::MMX_PHSUBDrr)
  .value("MMX_PHSUBSWrm", LIEF::assembly::x86::OPCODE::MMX_PHSUBSWrm)
  .value("MMX_PHSUBSWrr", LIEF::assembly::x86::OPCODE::MMX_PHSUBSWrr)
  .value("MMX_PHSUBWrm", LIEF::assembly::x86::OPCODE::MMX_PHSUBWrm)
  .value("MMX_PHSUBWrr", LIEF::assembly::x86::OPCODE::MMX_PHSUBWrr)
  .value("MMX_PINSRWrm", LIEF::assembly::x86::OPCODE::MMX_PINSRWrm)
  .value("MMX_PINSRWrr", LIEF::assembly::x86::OPCODE::MMX_PINSRWrr);
  opcodes.value("MMX_PMADDUBSWrm", LIEF::assembly::x86::OPCODE::MMX_PMADDUBSWrm)
  .value("MMX_PMADDUBSWrr", LIEF::assembly::x86::OPCODE::MMX_PMADDUBSWrr)
  .value("MMX_PMADDWDrm", LIEF::assembly::x86::OPCODE::MMX_PMADDWDrm)
  .value("MMX_PMADDWDrr", LIEF::assembly::x86::OPCODE::MMX_PMADDWDrr)
  .value("MMX_PMAXSWrm", LIEF::assembly::x86::OPCODE::MMX_PMAXSWrm)
  .value("MMX_PMAXSWrr", LIEF::assembly::x86::OPCODE::MMX_PMAXSWrr)
  .value("MMX_PMAXUBrm", LIEF::assembly::x86::OPCODE::MMX_PMAXUBrm)
  .value("MMX_PMAXUBrr", LIEF::assembly::x86::OPCODE::MMX_PMAXUBrr)
  .value("MMX_PMINSWrm", LIEF::assembly::x86::OPCODE::MMX_PMINSWrm)
  .value("MMX_PMINSWrr", LIEF::assembly::x86::OPCODE::MMX_PMINSWrr)
  .value("MMX_PMINUBrm", LIEF::assembly::x86::OPCODE::MMX_PMINUBrm)
  .value("MMX_PMINUBrr", LIEF::assembly::x86::OPCODE::MMX_PMINUBrr)
  .value("MMX_PMOVMSKBrr", LIEF::assembly::x86::OPCODE::MMX_PMOVMSKBrr)
  .value("MMX_PMULHRSWrm", LIEF::assembly::x86::OPCODE::MMX_PMULHRSWrm)
  .value("MMX_PMULHRSWrr", LIEF::assembly::x86::OPCODE::MMX_PMULHRSWrr)
  .value("MMX_PMULHUWrm", LIEF::assembly::x86::OPCODE::MMX_PMULHUWrm)
  .value("MMX_PMULHUWrr", LIEF::assembly::x86::OPCODE::MMX_PMULHUWrr)
  .value("MMX_PMULHWrm", LIEF::assembly::x86::OPCODE::MMX_PMULHWrm)
  .value("MMX_PMULHWrr", LIEF::assembly::x86::OPCODE::MMX_PMULHWrr)
  .value("MMX_PMULLWrm", LIEF::assembly::x86::OPCODE::MMX_PMULLWrm)
  .value("MMX_PMULLWrr", LIEF::assembly::x86::OPCODE::MMX_PMULLWrr)
  .value("MMX_PMULUDQrm", LIEF::assembly::x86::OPCODE::MMX_PMULUDQrm)
  .value("MMX_PMULUDQrr", LIEF::assembly::x86::OPCODE::MMX_PMULUDQrr)
  .value("MMX_PORrm", LIEF::assembly::x86::OPCODE::MMX_PORrm)
  .value("MMX_PORrr", LIEF::assembly::x86::OPCODE::MMX_PORrr)
  .value("MMX_PSADBWrm", LIEF::assembly::x86::OPCODE::MMX_PSADBWrm)
  .value("MMX_PSADBWrr", LIEF::assembly::x86::OPCODE::MMX_PSADBWrr)
  .value("MMX_PSHUFBrm", LIEF::assembly::x86::OPCODE::MMX_PSHUFBrm)
  .value("MMX_PSHUFBrr", LIEF::assembly::x86::OPCODE::MMX_PSHUFBrr)
  .value("MMX_PSHUFWmi", LIEF::assembly::x86::OPCODE::MMX_PSHUFWmi)
  .value("MMX_PSHUFWri", LIEF::assembly::x86::OPCODE::MMX_PSHUFWri)
  .value("MMX_PSIGNBrm", LIEF::assembly::x86::OPCODE::MMX_PSIGNBrm)
  .value("MMX_PSIGNBrr", LIEF::assembly::x86::OPCODE::MMX_PSIGNBrr)
  .value("MMX_PSIGNDrm", LIEF::assembly::x86::OPCODE::MMX_PSIGNDrm)
  .value("MMX_PSIGNDrr", LIEF::assembly::x86::OPCODE::MMX_PSIGNDrr)
  .value("MMX_PSIGNWrm", LIEF::assembly::x86::OPCODE::MMX_PSIGNWrm)
  .value("MMX_PSIGNWrr", LIEF::assembly::x86::OPCODE::MMX_PSIGNWrr)
  .value("MMX_PSLLDri", LIEF::assembly::x86::OPCODE::MMX_PSLLDri)
  .value("MMX_PSLLDrm", LIEF::assembly::x86::OPCODE::MMX_PSLLDrm)
  .value("MMX_PSLLDrr", LIEF::assembly::x86::OPCODE::MMX_PSLLDrr)
  .value("MMX_PSLLQri", LIEF::assembly::x86::OPCODE::MMX_PSLLQri)
  .value("MMX_PSLLQrm", LIEF::assembly::x86::OPCODE::MMX_PSLLQrm)
  .value("MMX_PSLLQrr", LIEF::assembly::x86::OPCODE::MMX_PSLLQrr)
  .value("MMX_PSLLWri", LIEF::assembly::x86::OPCODE::MMX_PSLLWri)
  .value("MMX_PSLLWrm", LIEF::assembly::x86::OPCODE::MMX_PSLLWrm)
  .value("MMX_PSLLWrr", LIEF::assembly::x86::OPCODE::MMX_PSLLWrr)
  .value("MMX_PSRADri", LIEF::assembly::x86::OPCODE::MMX_PSRADri)
  .value("MMX_PSRADrm", LIEF::assembly::x86::OPCODE::MMX_PSRADrm)
  .value("MMX_PSRADrr", LIEF::assembly::x86::OPCODE::MMX_PSRADrr)
  .value("MMX_PSRAWri", LIEF::assembly::x86::OPCODE::MMX_PSRAWri)
  .value("MMX_PSRAWrm", LIEF::assembly::x86::OPCODE::MMX_PSRAWrm)
  .value("MMX_PSRAWrr", LIEF::assembly::x86::OPCODE::MMX_PSRAWrr)
  .value("MMX_PSRLDri", LIEF::assembly::x86::OPCODE::MMX_PSRLDri)
  .value("MMX_PSRLDrm", LIEF::assembly::x86::OPCODE::MMX_PSRLDrm)
  .value("MMX_PSRLDrr", LIEF::assembly::x86::OPCODE::MMX_PSRLDrr)
  .value("MMX_PSRLQri", LIEF::assembly::x86::OPCODE::MMX_PSRLQri)
  .value("MMX_PSRLQrm", LIEF::assembly::x86::OPCODE::MMX_PSRLQrm)
  .value("MMX_PSRLQrr", LIEF::assembly::x86::OPCODE::MMX_PSRLQrr)
  .value("MMX_PSRLWri", LIEF::assembly::x86::OPCODE::MMX_PSRLWri)
  .value("MMX_PSRLWrm", LIEF::assembly::x86::OPCODE::MMX_PSRLWrm)
  .value("MMX_PSRLWrr", LIEF::assembly::x86::OPCODE::MMX_PSRLWrr)
  .value("MMX_PSUBBrm", LIEF::assembly::x86::OPCODE::MMX_PSUBBrm)
  .value("MMX_PSUBBrr", LIEF::assembly::x86::OPCODE::MMX_PSUBBrr)
  .value("MMX_PSUBDrm", LIEF::assembly::x86::OPCODE::MMX_PSUBDrm)
  .value("MMX_PSUBDrr", LIEF::assembly::x86::OPCODE::MMX_PSUBDrr)
  .value("MMX_PSUBQrm", LIEF::assembly::x86::OPCODE::MMX_PSUBQrm)
  .value("MMX_PSUBQrr", LIEF::assembly::x86::OPCODE::MMX_PSUBQrr)
  .value("MMX_PSUBSBrm", LIEF::assembly::x86::OPCODE::MMX_PSUBSBrm)
  .value("MMX_PSUBSBrr", LIEF::assembly::x86::OPCODE::MMX_PSUBSBrr)
  .value("MMX_PSUBSWrm", LIEF::assembly::x86::OPCODE::MMX_PSUBSWrm)
  .value("MMX_PSUBSWrr", LIEF::assembly::x86::OPCODE::MMX_PSUBSWrr)
  .value("MMX_PSUBUSBrm", LIEF::assembly::x86::OPCODE::MMX_PSUBUSBrm)
  .value("MMX_PSUBUSBrr", LIEF::assembly::x86::OPCODE::MMX_PSUBUSBrr)
  .value("MMX_PSUBUSWrm", LIEF::assembly::x86::OPCODE::MMX_PSUBUSWrm)
  .value("MMX_PSUBUSWrr", LIEF::assembly::x86::OPCODE::MMX_PSUBUSWrr)
  .value("MMX_PSUBWrm", LIEF::assembly::x86::OPCODE::MMX_PSUBWrm)
  .value("MMX_PSUBWrr", LIEF::assembly::x86::OPCODE::MMX_PSUBWrr)
  .value("MMX_PUNPCKHBWrm", LIEF::assembly::x86::OPCODE::MMX_PUNPCKHBWrm)
  .value("MMX_PUNPCKHBWrr", LIEF::assembly::x86::OPCODE::MMX_PUNPCKHBWrr)
  .value("MMX_PUNPCKHDQrm", LIEF::assembly::x86::OPCODE::MMX_PUNPCKHDQrm)
  .value("MMX_PUNPCKHDQrr", LIEF::assembly::x86::OPCODE::MMX_PUNPCKHDQrr)
  .value("MMX_PUNPCKHWDrm", LIEF::assembly::x86::OPCODE::MMX_PUNPCKHWDrm)
  .value("MMX_PUNPCKHWDrr", LIEF::assembly::x86::OPCODE::MMX_PUNPCKHWDrr)
  .value("MMX_PUNPCKLBWrm", LIEF::assembly::x86::OPCODE::MMX_PUNPCKLBWrm)
  .value("MMX_PUNPCKLBWrr", LIEF::assembly::x86::OPCODE::MMX_PUNPCKLBWrr)
  .value("MMX_PUNPCKLDQrm", LIEF::assembly::x86::OPCODE::MMX_PUNPCKLDQrm)
  .value("MMX_PUNPCKLDQrr", LIEF::assembly::x86::OPCODE::MMX_PUNPCKLDQrr)
  .value("MMX_PUNPCKLWDrm", LIEF::assembly::x86::OPCODE::MMX_PUNPCKLWDrm)
  .value("MMX_PUNPCKLWDrr", LIEF::assembly::x86::OPCODE::MMX_PUNPCKLWDrr)
  .value("MMX_PXORrm", LIEF::assembly::x86::OPCODE::MMX_PXORrm)
  .value("MMX_PXORrr", LIEF::assembly::x86::OPCODE::MMX_PXORrr)
  .value("MONITOR32rrr", LIEF::assembly::x86::OPCODE::MONITOR32rrr)
  .value("MONITOR64rrr", LIEF::assembly::x86::OPCODE::MONITOR64rrr)
  .value("MONITORX32rrr", LIEF::assembly::x86::OPCODE::MONITORX32rrr)
  .value("MONITORX64rrr", LIEF::assembly::x86::OPCODE::MONITORX64rrr)
  .value("MONTMUL", LIEF::assembly::x86::OPCODE::MONTMUL)
  .value("MOV16ao16", LIEF::assembly::x86::OPCODE::MOV16ao16)
  .value("MOV16ao32", LIEF::assembly::x86::OPCODE::MOV16ao32)
  .value("MOV16ao64", LIEF::assembly::x86::OPCODE::MOV16ao64)
  .value("MOV16mi", LIEF::assembly::x86::OPCODE::MOV16mi)
  .value("MOV16mr", LIEF::assembly::x86::OPCODE::MOV16mr)
  .value("MOV16ms", LIEF::assembly::x86::OPCODE::MOV16ms)
  .value("MOV16o16a", LIEF::assembly::x86::OPCODE::MOV16o16a)
  .value("MOV16o32a", LIEF::assembly::x86::OPCODE::MOV16o32a)
  .value("MOV16o64a", LIEF::assembly::x86::OPCODE::MOV16o64a)
  .value("MOV16ri", LIEF::assembly::x86::OPCODE::MOV16ri)
  .value("MOV16ri_alt", LIEF::assembly::x86::OPCODE::MOV16ri_alt)
  .value("MOV16rm", LIEF::assembly::x86::OPCODE::MOV16rm)
  .value("MOV16rr", LIEF::assembly::x86::OPCODE::MOV16rr)
  .value("MOV16rr_REV", LIEF::assembly::x86::OPCODE::MOV16rr_REV)
  .value("MOV16rs", LIEF::assembly::x86::OPCODE::MOV16rs)
  .value("MOV16sm", LIEF::assembly::x86::OPCODE::MOV16sm)
  .value("MOV16sr", LIEF::assembly::x86::OPCODE::MOV16sr)
  .value("MOV32ao16", LIEF::assembly::x86::OPCODE::MOV32ao16)
  .value("MOV32ao32", LIEF::assembly::x86::OPCODE::MOV32ao32)
  .value("MOV32ao64", LIEF::assembly::x86::OPCODE::MOV32ao64)
  .value("MOV32cr", LIEF::assembly::x86::OPCODE::MOV32cr)
  .value("MOV32dr", LIEF::assembly::x86::OPCODE::MOV32dr)
  .value("MOV32mi", LIEF::assembly::x86::OPCODE::MOV32mi)
  .value("MOV32mr", LIEF::assembly::x86::OPCODE::MOV32mr)
  .value("MOV32o16a", LIEF::assembly::x86::OPCODE::MOV32o16a)
  .value("MOV32o32a", LIEF::assembly::x86::OPCODE::MOV32o32a)
  .value("MOV32o64a", LIEF::assembly::x86::OPCODE::MOV32o64a)
  .value("MOV32rc", LIEF::assembly::x86::OPCODE::MOV32rc)
  .value("MOV32rd", LIEF::assembly::x86::OPCODE::MOV32rd)
  .value("MOV32ri", LIEF::assembly::x86::OPCODE::MOV32ri)
  .value("MOV32ri_alt", LIEF::assembly::x86::OPCODE::MOV32ri_alt)
  .value("MOV32rm", LIEF::assembly::x86::OPCODE::MOV32rm)
  .value("MOV32rr", LIEF::assembly::x86::OPCODE::MOV32rr)
  .value("MOV32rr_REV", LIEF::assembly::x86::OPCODE::MOV32rr_REV)
  .value("MOV32rs", LIEF::assembly::x86::OPCODE::MOV32rs)
  .value("MOV32sr", LIEF::assembly::x86::OPCODE::MOV32sr)
  .value("MOV64ao32", LIEF::assembly::x86::OPCODE::MOV64ao32)
  .value("MOV64ao64", LIEF::assembly::x86::OPCODE::MOV64ao64)
  .value("MOV64cr", LIEF::assembly::x86::OPCODE::MOV64cr)
  .value("MOV64dr", LIEF::assembly::x86::OPCODE::MOV64dr)
  .value("MOV64mi32", LIEF::assembly::x86::OPCODE::MOV64mi32)
  .value("MOV64mr", LIEF::assembly::x86::OPCODE::MOV64mr)
  .value("MOV64o32a", LIEF::assembly::x86::OPCODE::MOV64o32a)
  .value("MOV64o64a", LIEF::assembly::x86::OPCODE::MOV64o64a)
  .value("MOV64rc", LIEF::assembly::x86::OPCODE::MOV64rc)
  .value("MOV64rd", LIEF::assembly::x86::OPCODE::MOV64rd)
  .value("MOV64ri", LIEF::assembly::x86::OPCODE::MOV64ri)
  .value("MOV64ri32", LIEF::assembly::x86::OPCODE::MOV64ri32)
  .value("MOV64rm", LIEF::assembly::x86::OPCODE::MOV64rm)
  .value("MOV64rr", LIEF::assembly::x86::OPCODE::MOV64rr)
  .value("MOV64rr_REV", LIEF::assembly::x86::OPCODE::MOV64rr_REV)
  .value("MOV64rs", LIEF::assembly::x86::OPCODE::MOV64rs)
  .value("MOV64sr", LIEF::assembly::x86::OPCODE::MOV64sr)
  .value("MOV64toPQIrm", LIEF::assembly::x86::OPCODE::MOV64toPQIrm)
  .value("MOV64toPQIrr", LIEF::assembly::x86::OPCODE::MOV64toPQIrr)
  .value("MOV64toSDrr", LIEF::assembly::x86::OPCODE::MOV64toSDrr)
  .value("MOV8ao16", LIEF::assembly::x86::OPCODE::MOV8ao16)
  .value("MOV8ao32", LIEF::assembly::x86::OPCODE::MOV8ao32)
  .value("MOV8ao64", LIEF::assembly::x86::OPCODE::MOV8ao64)
  .value("MOV8mi", LIEF::assembly::x86::OPCODE::MOV8mi)
  .value("MOV8mr", LIEF::assembly::x86::OPCODE::MOV8mr)
  .value("MOV8mr_NOREX", LIEF::assembly::x86::OPCODE::MOV8mr_NOREX)
  .value("MOV8o16a", LIEF::assembly::x86::OPCODE::MOV8o16a)
  .value("MOV8o32a", LIEF::assembly::x86::OPCODE::MOV8o32a)
  .value("MOV8o64a", LIEF::assembly::x86::OPCODE::MOV8o64a)
  .value("MOV8ri", LIEF::assembly::x86::OPCODE::MOV8ri)
  .value("MOV8ri_alt", LIEF::assembly::x86::OPCODE::MOV8ri_alt)
  .value("MOV8rm", LIEF::assembly::x86::OPCODE::MOV8rm)
  .value("MOV8rm_NOREX", LIEF::assembly::x86::OPCODE::MOV8rm_NOREX)
  .value("MOV8rr", LIEF::assembly::x86::OPCODE::MOV8rr)
  .value("MOV8rr_NOREX", LIEF::assembly::x86::OPCODE::MOV8rr_NOREX)
  .value("MOV8rr_REV", LIEF::assembly::x86::OPCODE::MOV8rr_REV)
  .value("MOVAPDmr", LIEF::assembly::x86::OPCODE::MOVAPDmr)
  .value("MOVAPDrm", LIEF::assembly::x86::OPCODE::MOVAPDrm)
  .value("MOVAPDrr", LIEF::assembly::x86::OPCODE::MOVAPDrr)
  .value("MOVAPDrr_REV", LIEF::assembly::x86::OPCODE::MOVAPDrr_REV)
  .value("MOVAPSmr", LIEF::assembly::x86::OPCODE::MOVAPSmr)
  .value("MOVAPSrm", LIEF::assembly::x86::OPCODE::MOVAPSrm)
  .value("MOVAPSrr", LIEF::assembly::x86::OPCODE::MOVAPSrr)
  .value("MOVAPSrr_REV", LIEF::assembly::x86::OPCODE::MOVAPSrr_REV)
  .value("MOVBE16mr", LIEF::assembly::x86::OPCODE::MOVBE16mr)
  .value("MOVBE16mr_EVEX", LIEF::assembly::x86::OPCODE::MOVBE16mr_EVEX)
  .value("MOVBE16rm", LIEF::assembly::x86::OPCODE::MOVBE16rm)
  .value("MOVBE16rm_EVEX", LIEF::assembly::x86::OPCODE::MOVBE16rm_EVEX)
  .value("MOVBE16rr", LIEF::assembly::x86::OPCODE::MOVBE16rr)
  .value("MOVBE16rr_REV", LIEF::assembly::x86::OPCODE::MOVBE16rr_REV)
  .value("MOVBE32mr", LIEF::assembly::x86::OPCODE::MOVBE32mr)
  .value("MOVBE32mr_EVEX", LIEF::assembly::x86::OPCODE::MOVBE32mr_EVEX)
  .value("MOVBE32rm", LIEF::assembly::x86::OPCODE::MOVBE32rm)
  .value("MOVBE32rm_EVEX", LIEF::assembly::x86::OPCODE::MOVBE32rm_EVEX)
  .value("MOVBE32rr", LIEF::assembly::x86::OPCODE::MOVBE32rr)
  .value("MOVBE32rr_REV", LIEF::assembly::x86::OPCODE::MOVBE32rr_REV)
  .value("MOVBE64mr", LIEF::assembly::x86::OPCODE::MOVBE64mr)
  .value("MOVBE64mr_EVEX", LIEF::assembly::x86::OPCODE::MOVBE64mr_EVEX)
  .value("MOVBE64rm", LIEF::assembly::x86::OPCODE::MOVBE64rm)
  .value("MOVBE64rm_EVEX", LIEF::assembly::x86::OPCODE::MOVBE64rm_EVEX)
  .value("MOVBE64rr", LIEF::assembly::x86::OPCODE::MOVBE64rr)
  .value("MOVBE64rr_REV", LIEF::assembly::x86::OPCODE::MOVBE64rr_REV)
  .value("MOVDDUPrm", LIEF::assembly::x86::OPCODE::MOVDDUPrm)
  .value("MOVDDUPrr", LIEF::assembly::x86::OPCODE::MOVDDUPrr)
  .value("MOVDI2PDIrm", LIEF::assembly::x86::OPCODE::MOVDI2PDIrm)
  .value("MOVDI2PDIrr", LIEF::assembly::x86::OPCODE::MOVDI2PDIrr)
  .value("MOVDI2SSrr", LIEF::assembly::x86::OPCODE::MOVDI2SSrr)
  .value("MOVDIR64B16", LIEF::assembly::x86::OPCODE::MOVDIR64B16)
  .value("MOVDIR64B32", LIEF::assembly::x86::OPCODE::MOVDIR64B32)
  .value("MOVDIR64B32_EVEX", LIEF::assembly::x86::OPCODE::MOVDIR64B32_EVEX)
  .value("MOVDIR64B64", LIEF::assembly::x86::OPCODE::MOVDIR64B64)
  .value("MOVDIR64B64_EVEX", LIEF::assembly::x86::OPCODE::MOVDIR64B64_EVEX)
  .value("MOVDIRI32", LIEF::assembly::x86::OPCODE::MOVDIRI32)
  .value("MOVDIRI32_EVEX", LIEF::assembly::x86::OPCODE::MOVDIRI32_EVEX)
  .value("MOVDIRI64", LIEF::assembly::x86::OPCODE::MOVDIRI64)
  .value("MOVDIRI64_EVEX", LIEF::assembly::x86::OPCODE::MOVDIRI64_EVEX)
  .value("MOVDQAmr", LIEF::assembly::x86::OPCODE::MOVDQAmr)
  .value("MOVDQArm", LIEF::assembly::x86::OPCODE::MOVDQArm)
  .value("MOVDQArr", LIEF::assembly::x86::OPCODE::MOVDQArr)
  .value("MOVDQArr_REV", LIEF::assembly::x86::OPCODE::MOVDQArr_REV)
  .value("MOVDQUmr", LIEF::assembly::x86::OPCODE::MOVDQUmr)
  .value("MOVDQUrm", LIEF::assembly::x86::OPCODE::MOVDQUrm)
  .value("MOVDQUrr", LIEF::assembly::x86::OPCODE::MOVDQUrr)
  .value("MOVDQUrr_REV", LIEF::assembly::x86::OPCODE::MOVDQUrr_REV)
  .value("MOVHLPSrr", LIEF::assembly::x86::OPCODE::MOVHLPSrr)
  .value("MOVHPDmr", LIEF::assembly::x86::OPCODE::MOVHPDmr)
  .value("MOVHPDrm", LIEF::assembly::x86::OPCODE::MOVHPDrm)
  .value("MOVHPSmr", LIEF::assembly::x86::OPCODE::MOVHPSmr)
  .value("MOVHPSrm", LIEF::assembly::x86::OPCODE::MOVHPSrm)
  .value("MOVLHPSrr", LIEF::assembly::x86::OPCODE::MOVLHPSrr)
  .value("MOVLPDmr", LIEF::assembly::x86::OPCODE::MOVLPDmr)
  .value("MOVLPDrm", LIEF::assembly::x86::OPCODE::MOVLPDrm)
  .value("MOVLPSmr", LIEF::assembly::x86::OPCODE::MOVLPSmr)
  .value("MOVLPSrm", LIEF::assembly::x86::OPCODE::MOVLPSrm)
  .value("MOVMSKPDrr", LIEF::assembly::x86::OPCODE::MOVMSKPDrr)
  .value("MOVMSKPSrr", LIEF::assembly::x86::OPCODE::MOVMSKPSrr)
  .value("MOVNTDQArm", LIEF::assembly::x86::OPCODE::MOVNTDQArm)
  .value("MOVNTDQmr", LIEF::assembly::x86::OPCODE::MOVNTDQmr)
  .value("MOVNTI_64mr", LIEF::assembly::x86::OPCODE::MOVNTI_64mr)
  .value("MOVNTImr", LIEF::assembly::x86::OPCODE::MOVNTImr)
  .value("MOVNTPDmr", LIEF::assembly::x86::OPCODE::MOVNTPDmr)
  .value("MOVNTPSmr", LIEF::assembly::x86::OPCODE::MOVNTPSmr)
  .value("MOVNTSD", LIEF::assembly::x86::OPCODE::MOVNTSD)
  .value("MOVNTSS", LIEF::assembly::x86::OPCODE::MOVNTSS)
  .value("MOVPC32r", LIEF::assembly::x86::OPCODE::MOVPC32r)
  .value("MOVPDI2DImr", LIEF::assembly::x86::OPCODE::MOVPDI2DImr)
  .value("MOVPDI2DIrr", LIEF::assembly::x86::OPCODE::MOVPDI2DIrr)
  .value("MOVPQI2QImr", LIEF::assembly::x86::OPCODE::MOVPQI2QImr)
  .value("MOVPQI2QIrr", LIEF::assembly::x86::OPCODE::MOVPQI2QIrr)
  .value("MOVPQIto64mr", LIEF::assembly::x86::OPCODE::MOVPQIto64mr)
  .value("MOVPQIto64rr", LIEF::assembly::x86::OPCODE::MOVPQIto64rr)
  .value("MOVQI2PQIrm", LIEF::assembly::x86::OPCODE::MOVQI2PQIrm)
  .value("MOVSB", LIEF::assembly::x86::OPCODE::MOVSB)
  .value("MOVSDmr", LIEF::assembly::x86::OPCODE::MOVSDmr)
  .value("MOVSDrm", LIEF::assembly::x86::OPCODE::MOVSDrm)
  .value("MOVSDrm_alt", LIEF::assembly::x86::OPCODE::MOVSDrm_alt)
  .value("MOVSDrr", LIEF::assembly::x86::OPCODE::MOVSDrr)
  .value("MOVSDrr_REV", LIEF::assembly::x86::OPCODE::MOVSDrr_REV)
  .value("MOVSDto64rr", LIEF::assembly::x86::OPCODE::MOVSDto64rr)
  .value("MOVSHDUPrm", LIEF::assembly::x86::OPCODE::MOVSHDUPrm)
  .value("MOVSHDUPrr", LIEF::assembly::x86::OPCODE::MOVSHDUPrr)
  .value("MOVSL", LIEF::assembly::x86::OPCODE::MOVSL)
  .value("MOVSLDUPrm", LIEF::assembly::x86::OPCODE::MOVSLDUPrm)
  .value("MOVSLDUPrr", LIEF::assembly::x86::OPCODE::MOVSLDUPrr)
  .value("MOVSQ", LIEF::assembly::x86::OPCODE::MOVSQ)
  .value("MOVSS2DIrr", LIEF::assembly::x86::OPCODE::MOVSS2DIrr)
  .value("MOVSSmr", LIEF::assembly::x86::OPCODE::MOVSSmr)
  .value("MOVSSrm", LIEF::assembly::x86::OPCODE::MOVSSrm)
  .value("MOVSSrm_alt", LIEF::assembly::x86::OPCODE::MOVSSrm_alt)
  .value("MOVSSrr", LIEF::assembly::x86::OPCODE::MOVSSrr)
  .value("MOVSSrr_REV", LIEF::assembly::x86::OPCODE::MOVSSrr_REV)
  .value("MOVSW", LIEF::assembly::x86::OPCODE::MOVSW)
  .value("MOVSX16rm16", LIEF::assembly::x86::OPCODE::MOVSX16rm16)
  .value("MOVSX16rm32", LIEF::assembly::x86::OPCODE::MOVSX16rm32)
  .value("MOVSX16rm8", LIEF::assembly::x86::OPCODE::MOVSX16rm8)
  .value("MOVSX16rr16", LIEF::assembly::x86::OPCODE::MOVSX16rr16)
  .value("MOVSX16rr32", LIEF::assembly::x86::OPCODE::MOVSX16rr32)
  .value("MOVSX16rr8", LIEF::assembly::x86::OPCODE::MOVSX16rr8)
  .value("MOVSX32rm16", LIEF::assembly::x86::OPCODE::MOVSX32rm16)
  .value("MOVSX32rm32", LIEF::assembly::x86::OPCODE::MOVSX32rm32)
  .value("MOVSX32rm8", LIEF::assembly::x86::OPCODE::MOVSX32rm8)
  .value("MOVSX32rm8_NOREX", LIEF::assembly::x86::OPCODE::MOVSX32rm8_NOREX)
  .value("MOVSX32rr16", LIEF::assembly::x86::OPCODE::MOVSX32rr16)
  .value("MOVSX32rr32", LIEF::assembly::x86::OPCODE::MOVSX32rr32)
  .value("MOVSX32rr8", LIEF::assembly::x86::OPCODE::MOVSX32rr8)
  .value("MOVSX32rr8_NOREX", LIEF::assembly::x86::OPCODE::MOVSX32rr8_NOREX)
  .value("MOVSX64rm16", LIEF::assembly::x86::OPCODE::MOVSX64rm16)
  .value("MOVSX64rm32", LIEF::assembly::x86::OPCODE::MOVSX64rm32)
  .value("MOVSX64rm8", LIEF::assembly::x86::OPCODE::MOVSX64rm8)
  .value("MOVSX64rr16", LIEF::assembly::x86::OPCODE::MOVSX64rr16)
  .value("MOVSX64rr32", LIEF::assembly::x86::OPCODE::MOVSX64rr32)
  .value("MOVSX64rr8", LIEF::assembly::x86::OPCODE::MOVSX64rr8)
  .value("MOVUPDmr", LIEF::assembly::x86::OPCODE::MOVUPDmr)
  .value("MOVUPDrm", LIEF::assembly::x86::OPCODE::MOVUPDrm)
  .value("MOVUPDrr", LIEF::assembly::x86::OPCODE::MOVUPDrr)
  .value("MOVUPDrr_REV", LIEF::assembly::x86::OPCODE::MOVUPDrr_REV)
  .value("MOVUPSmr", LIEF::assembly::x86::OPCODE::MOVUPSmr)
  .value("MOVUPSrm", LIEF::assembly::x86::OPCODE::MOVUPSrm)
  .value("MOVUPSrr", LIEF::assembly::x86::OPCODE::MOVUPSrr)
  .value("MOVUPSrr_REV", LIEF::assembly::x86::OPCODE::MOVUPSrr_REV)
  .value("MOVZPQILo2PQIrr", LIEF::assembly::x86::OPCODE::MOVZPQILo2PQIrr)
  .value("MOVZX16rm16", LIEF::assembly::x86::OPCODE::MOVZX16rm16)
  .value("MOVZX16rm8", LIEF::assembly::x86::OPCODE::MOVZX16rm8)
  .value("MOVZX16rr16", LIEF::assembly::x86::OPCODE::MOVZX16rr16)
  .value("MOVZX16rr8", LIEF::assembly::x86::OPCODE::MOVZX16rr8)
  .value("MOVZX32rm16", LIEF::assembly::x86::OPCODE::MOVZX32rm16)
  .value("MOVZX32rm8", LIEF::assembly::x86::OPCODE::MOVZX32rm8)
  .value("MOVZX32rm8_NOREX", LIEF::assembly::x86::OPCODE::MOVZX32rm8_NOREX);
  opcodes.value("MOVZX32rr16", LIEF::assembly::x86::OPCODE::MOVZX32rr16)
  .value("MOVZX32rr8", LIEF::assembly::x86::OPCODE::MOVZX32rr8)
  .value("MOVZX32rr8_NOREX", LIEF::assembly::x86::OPCODE::MOVZX32rr8_NOREX)
  .value("MOVZX64rm16", LIEF::assembly::x86::OPCODE::MOVZX64rm16)
  .value("MOVZX64rm8", LIEF::assembly::x86::OPCODE::MOVZX64rm8)
  .value("MOVZX64rr16", LIEF::assembly::x86::OPCODE::MOVZX64rr16)
  .value("MOVZX64rr8", LIEF::assembly::x86::OPCODE::MOVZX64rr8)
  .value("MPSADBWrmi", LIEF::assembly::x86::OPCODE::MPSADBWrmi)
  .value("MPSADBWrri", LIEF::assembly::x86::OPCODE::MPSADBWrri)
  .value("MUL16m", LIEF::assembly::x86::OPCODE::MUL16m)
  .value("MUL16m_EVEX", LIEF::assembly::x86::OPCODE::MUL16m_EVEX)
  .value("MUL16m_NF", LIEF::assembly::x86::OPCODE::MUL16m_NF)
  .value("MUL16r", LIEF::assembly::x86::OPCODE::MUL16r)
  .value("MUL16r_EVEX", LIEF::assembly::x86::OPCODE::MUL16r_EVEX)
  .value("MUL16r_NF", LIEF::assembly::x86::OPCODE::MUL16r_NF)
  .value("MUL32m", LIEF::assembly::x86::OPCODE::MUL32m)
  .value("MUL32m_EVEX", LIEF::assembly::x86::OPCODE::MUL32m_EVEX)
  .value("MUL32m_NF", LIEF::assembly::x86::OPCODE::MUL32m_NF)
  .value("MUL32r", LIEF::assembly::x86::OPCODE::MUL32r)
  .value("MUL32r_EVEX", LIEF::assembly::x86::OPCODE::MUL32r_EVEX)
  .value("MUL32r_NF", LIEF::assembly::x86::OPCODE::MUL32r_NF)
  .value("MUL64m", LIEF::assembly::x86::OPCODE::MUL64m)
  .value("MUL64m_EVEX", LIEF::assembly::x86::OPCODE::MUL64m_EVEX)
  .value("MUL64m_NF", LIEF::assembly::x86::OPCODE::MUL64m_NF)
  .value("MUL64r", LIEF::assembly::x86::OPCODE::MUL64r)
  .value("MUL64r_EVEX", LIEF::assembly::x86::OPCODE::MUL64r_EVEX)
  .value("MUL64r_NF", LIEF::assembly::x86::OPCODE::MUL64r_NF)
  .value("MUL8m", LIEF::assembly::x86::OPCODE::MUL8m)
  .value("MUL8m_EVEX", LIEF::assembly::x86::OPCODE::MUL8m_EVEX)
  .value("MUL8m_NF", LIEF::assembly::x86::OPCODE::MUL8m_NF)
  .value("MUL8r", LIEF::assembly::x86::OPCODE::MUL8r)
  .value("MUL8r_EVEX", LIEF::assembly::x86::OPCODE::MUL8r_EVEX)
  .value("MUL8r_NF", LIEF::assembly::x86::OPCODE::MUL8r_NF)
  .value("MULPDrm", LIEF::assembly::x86::OPCODE::MULPDrm)
  .value("MULPDrr", LIEF::assembly::x86::OPCODE::MULPDrr)
  .value("MULPSrm", LIEF::assembly::x86::OPCODE::MULPSrm)
  .value("MULPSrr", LIEF::assembly::x86::OPCODE::MULPSrr)
  .value("MULSDrm", LIEF::assembly::x86::OPCODE::MULSDrm)
  .value("MULSDrm_Int", LIEF::assembly::x86::OPCODE::MULSDrm_Int)
  .value("MULSDrr", LIEF::assembly::x86::OPCODE::MULSDrr)
  .value("MULSDrr_Int", LIEF::assembly::x86::OPCODE::MULSDrr_Int)
  .value("MULSSrm", LIEF::assembly::x86::OPCODE::MULSSrm)
  .value("MULSSrm_Int", LIEF::assembly::x86::OPCODE::MULSSrm_Int)
  .value("MULSSrr", LIEF::assembly::x86::OPCODE::MULSSrr)
  .value("MULSSrr_Int", LIEF::assembly::x86::OPCODE::MULSSrr_Int)
  .value("MULX32Hrm", LIEF::assembly::x86::OPCODE::MULX32Hrm)
  .value("MULX32Hrr", LIEF::assembly::x86::OPCODE::MULX32Hrr)
  .value("MULX32rm", LIEF::assembly::x86::OPCODE::MULX32rm)
  .value("MULX32rm_EVEX", LIEF::assembly::x86::OPCODE::MULX32rm_EVEX)
  .value("MULX32rr", LIEF::assembly::x86::OPCODE::MULX32rr)
  .value("MULX32rr_EVEX", LIEF::assembly::x86::OPCODE::MULX32rr_EVEX)
  .value("MULX64Hrm", LIEF::assembly::x86::OPCODE::MULX64Hrm)
  .value("MULX64Hrr", LIEF::assembly::x86::OPCODE::MULX64Hrr)
  .value("MULX64rm", LIEF::assembly::x86::OPCODE::MULX64rm)
  .value("MULX64rm_EVEX", LIEF::assembly::x86::OPCODE::MULX64rm_EVEX)
  .value("MULX64rr", LIEF::assembly::x86::OPCODE::MULX64rr)
  .value("MULX64rr_EVEX", LIEF::assembly::x86::OPCODE::MULX64rr_EVEX)
  .value("MUL_F32m", LIEF::assembly::x86::OPCODE::MUL_F32m)
  .value("MUL_F64m", LIEF::assembly::x86::OPCODE::MUL_F64m)
  .value("MUL_FI16m", LIEF::assembly::x86::OPCODE::MUL_FI16m)
  .value("MUL_FI32m", LIEF::assembly::x86::OPCODE::MUL_FI32m)
  .value("MUL_FPrST0", LIEF::assembly::x86::OPCODE::MUL_FPrST0)
  .value("MUL_FST0r", LIEF::assembly::x86::OPCODE::MUL_FST0r)
  .value("MUL_Fp32", LIEF::assembly::x86::OPCODE::MUL_Fp32)
  .value("MUL_Fp32m", LIEF::assembly::x86::OPCODE::MUL_Fp32m)
  .value("MUL_Fp64", LIEF::assembly::x86::OPCODE::MUL_Fp64)
  .value("MUL_Fp64m", LIEF::assembly::x86::OPCODE::MUL_Fp64m)
  .value("MUL_Fp64m32", LIEF::assembly::x86::OPCODE::MUL_Fp64m32)
  .value("MUL_Fp80", LIEF::assembly::x86::OPCODE::MUL_Fp80)
  .value("MUL_Fp80m32", LIEF::assembly::x86::OPCODE::MUL_Fp80m32)
  .value("MUL_Fp80m64", LIEF::assembly::x86::OPCODE::MUL_Fp80m64)
  .value("MUL_FpI16m32", LIEF::assembly::x86::OPCODE::MUL_FpI16m32)
  .value("MUL_FpI16m64", LIEF::assembly::x86::OPCODE::MUL_FpI16m64)
  .value("MUL_FpI16m80", LIEF::assembly::x86::OPCODE::MUL_FpI16m80)
  .value("MUL_FpI32m32", LIEF::assembly::x86::OPCODE::MUL_FpI32m32)
  .value("MUL_FpI32m64", LIEF::assembly::x86::OPCODE::MUL_FpI32m64)
  .value("MUL_FpI32m80", LIEF::assembly::x86::OPCODE::MUL_FpI32m80)
  .value("MUL_FrST0", LIEF::assembly::x86::OPCODE::MUL_FrST0)
  .value("MWAITXrrr", LIEF::assembly::x86::OPCODE::MWAITXrrr)
  .value("MWAITrr", LIEF::assembly::x86::OPCODE::MWAITrr)
  .value("NEG16m", LIEF::assembly::x86::OPCODE::NEG16m)
  .value("NEG16m_EVEX", LIEF::assembly::x86::OPCODE::NEG16m_EVEX)
  .value("NEG16m_ND", LIEF::assembly::x86::OPCODE::NEG16m_ND)
  .value("NEG16m_NF", LIEF::assembly::x86::OPCODE::NEG16m_NF)
  .value("NEG16m_NF_ND", LIEF::assembly::x86::OPCODE::NEG16m_NF_ND)
  .value("NEG16r", LIEF::assembly::x86::OPCODE::NEG16r)
  .value("NEG16r_EVEX", LIEF::assembly::x86::OPCODE::NEG16r_EVEX)
  .value("NEG16r_ND", LIEF::assembly::x86::OPCODE::NEG16r_ND)
  .value("NEG16r_NF", LIEF::assembly::x86::OPCODE::NEG16r_NF)
  .value("NEG16r_NF_ND", LIEF::assembly::x86::OPCODE::NEG16r_NF_ND)
  .value("NEG32m", LIEF::assembly::x86::OPCODE::NEG32m)
  .value("NEG32m_EVEX", LIEF::assembly::x86::OPCODE::NEG32m_EVEX)
  .value("NEG32m_ND", LIEF::assembly::x86::OPCODE::NEG32m_ND)
  .value("NEG32m_NF", LIEF::assembly::x86::OPCODE::NEG32m_NF)
  .value("NEG32m_NF_ND", LIEF::assembly::x86::OPCODE::NEG32m_NF_ND)
  .value("NEG32r", LIEF::assembly::x86::OPCODE::NEG32r)
  .value("NEG32r_EVEX", LIEF::assembly::x86::OPCODE::NEG32r_EVEX)
  .value("NEG32r_ND", LIEF::assembly::x86::OPCODE::NEG32r_ND)
  .value("NEG32r_NF", LIEF::assembly::x86::OPCODE::NEG32r_NF)
  .value("NEG32r_NF_ND", LIEF::assembly::x86::OPCODE::NEG32r_NF_ND)
  .value("NEG64m", LIEF::assembly::x86::OPCODE::NEG64m)
  .value("NEG64m_EVEX", LIEF::assembly::x86::OPCODE::NEG64m_EVEX)
  .value("NEG64m_ND", LIEF::assembly::x86::OPCODE::NEG64m_ND)
  .value("NEG64m_NF", LIEF::assembly::x86::OPCODE::NEG64m_NF)
  .value("NEG64m_NF_ND", LIEF::assembly::x86::OPCODE::NEG64m_NF_ND)
  .value("NEG64r", LIEF::assembly::x86::OPCODE::NEG64r)
  .value("NEG64r_EVEX", LIEF::assembly::x86::OPCODE::NEG64r_EVEX)
  .value("NEG64r_ND", LIEF::assembly::x86::OPCODE::NEG64r_ND)
  .value("NEG64r_NF", LIEF::assembly::x86::OPCODE::NEG64r_NF)
  .value("NEG64r_NF_ND", LIEF::assembly::x86::OPCODE::NEG64r_NF_ND)
  .value("NEG8m", LIEF::assembly::x86::OPCODE::NEG8m)
  .value("NEG8m_EVEX", LIEF::assembly::x86::OPCODE::NEG8m_EVEX)
  .value("NEG8m_ND", LIEF::assembly::x86::OPCODE::NEG8m_ND)
  .value("NEG8m_NF", LIEF::assembly::x86::OPCODE::NEG8m_NF)
  .value("NEG8m_NF_ND", LIEF::assembly::x86::OPCODE::NEG8m_NF_ND)
  .value("NEG8r", LIEF::assembly::x86::OPCODE::NEG8r)
  .value("NEG8r_EVEX", LIEF::assembly::x86::OPCODE::NEG8r_EVEX)
  .value("NEG8r_ND", LIEF::assembly::x86::OPCODE::NEG8r_ND)
  .value("NEG8r_NF", LIEF::assembly::x86::OPCODE::NEG8r_NF)
  .value("NEG8r_NF_ND", LIEF::assembly::x86::OPCODE::NEG8r_NF_ND)
  .value("NOOP", LIEF::assembly::x86::OPCODE::NOOP)
  .value("NOOPL", LIEF::assembly::x86::OPCODE::NOOPL)
  .value("NOOPLr", LIEF::assembly::x86::OPCODE::NOOPLr)
  .value("NOOPQ", LIEF::assembly::x86::OPCODE::NOOPQ)
  .value("NOOPQr", LIEF::assembly::x86::OPCODE::NOOPQr)
  .value("NOOPW", LIEF::assembly::x86::OPCODE::NOOPW)
  .value("NOOPWr", LIEF::assembly::x86::OPCODE::NOOPWr)
  .value("NOT16m", LIEF::assembly::x86::OPCODE::NOT16m)
  .value("NOT16m_EVEX", LIEF::assembly::x86::OPCODE::NOT16m_EVEX)
  .value("NOT16m_ND", LIEF::assembly::x86::OPCODE::NOT16m_ND)
  .value("NOT16r", LIEF::assembly::x86::OPCODE::NOT16r)
  .value("NOT16r_EVEX", LIEF::assembly::x86::OPCODE::NOT16r_EVEX)
  .value("NOT16r_ND", LIEF::assembly::x86::OPCODE::NOT16r_ND)
  .value("NOT32m", LIEF::assembly::x86::OPCODE::NOT32m)
  .value("NOT32m_EVEX", LIEF::assembly::x86::OPCODE::NOT32m_EVEX)
  .value("NOT32m_ND", LIEF::assembly::x86::OPCODE::NOT32m_ND)
  .value("NOT32r", LIEF::assembly::x86::OPCODE::NOT32r)
  .value("NOT32r_EVEX", LIEF::assembly::x86::OPCODE::NOT32r_EVEX)
  .value("NOT32r_ND", LIEF::assembly::x86::OPCODE::NOT32r_ND)
  .value("NOT64m", LIEF::assembly::x86::OPCODE::NOT64m)
  .value("NOT64m_EVEX", LIEF::assembly::x86::OPCODE::NOT64m_EVEX)
  .value("NOT64m_ND", LIEF::assembly::x86::OPCODE::NOT64m_ND)
  .value("NOT64r", LIEF::assembly::x86::OPCODE::NOT64r)
  .value("NOT64r_EVEX", LIEF::assembly::x86::OPCODE::NOT64r_EVEX)
  .value("NOT64r_ND", LIEF::assembly::x86::OPCODE::NOT64r_ND)
  .value("NOT8m", LIEF::assembly::x86::OPCODE::NOT8m)
  .value("NOT8m_EVEX", LIEF::assembly::x86::OPCODE::NOT8m_EVEX)
  .value("NOT8m_ND", LIEF::assembly::x86::OPCODE::NOT8m_ND)
  .value("NOT8r", LIEF::assembly::x86::OPCODE::NOT8r)
  .value("NOT8r_EVEX", LIEF::assembly::x86::OPCODE::NOT8r_EVEX)
  .value("NOT8r_ND", LIEF::assembly::x86::OPCODE::NOT8r_ND)
  .value("OR16i16", LIEF::assembly::x86::OPCODE::OR16i16)
  .value("OR16mi", LIEF::assembly::x86::OPCODE::OR16mi)
  .value("OR16mi8", LIEF::assembly::x86::OPCODE::OR16mi8)
  .value("OR16mi8_EVEX", LIEF::assembly::x86::OPCODE::OR16mi8_EVEX)
  .value("OR16mi8_ND", LIEF::assembly::x86::OPCODE::OR16mi8_ND)
  .value("OR16mi8_NF", LIEF::assembly::x86::OPCODE::OR16mi8_NF)
  .value("OR16mi8_NF_ND", LIEF::assembly::x86::OPCODE::OR16mi8_NF_ND)
  .value("OR16mi_EVEX", LIEF::assembly::x86::OPCODE::OR16mi_EVEX)
  .value("OR16mi_ND", LIEF::assembly::x86::OPCODE::OR16mi_ND)
  .value("OR16mi_NF", LIEF::assembly::x86::OPCODE::OR16mi_NF)
  .value("OR16mi_NF_ND", LIEF::assembly::x86::OPCODE::OR16mi_NF_ND)
  .value("OR16mr", LIEF::assembly::x86::OPCODE::OR16mr)
  .value("OR16mr_EVEX", LIEF::assembly::x86::OPCODE::OR16mr_EVEX)
  .value("OR16mr_ND", LIEF::assembly::x86::OPCODE::OR16mr_ND)
  .value("OR16mr_NF", LIEF::assembly::x86::OPCODE::OR16mr_NF)
  .value("OR16mr_NF_ND", LIEF::assembly::x86::OPCODE::OR16mr_NF_ND)
  .value("OR16ri", LIEF::assembly::x86::OPCODE::OR16ri)
  .value("OR16ri8", LIEF::assembly::x86::OPCODE::OR16ri8)
  .value("OR16ri8_EVEX", LIEF::assembly::x86::OPCODE::OR16ri8_EVEX)
  .value("OR16ri8_ND", LIEF::assembly::x86::OPCODE::OR16ri8_ND)
  .value("OR16ri8_NF", LIEF::assembly::x86::OPCODE::OR16ri8_NF)
  .value("OR16ri8_NF_ND", LIEF::assembly::x86::OPCODE::OR16ri8_NF_ND)
  .value("OR16ri_EVEX", LIEF::assembly::x86::OPCODE::OR16ri_EVEX)
  .value("OR16ri_ND", LIEF::assembly::x86::OPCODE::OR16ri_ND)
  .value("OR16ri_NF", LIEF::assembly::x86::OPCODE::OR16ri_NF)
  .value("OR16ri_NF_ND", LIEF::assembly::x86::OPCODE::OR16ri_NF_ND)
  .value("OR16rm", LIEF::assembly::x86::OPCODE::OR16rm)
  .value("OR16rm_EVEX", LIEF::assembly::x86::OPCODE::OR16rm_EVEX)
  .value("OR16rm_ND", LIEF::assembly::x86::OPCODE::OR16rm_ND)
  .value("OR16rm_NF", LIEF::assembly::x86::OPCODE::OR16rm_NF)
  .value("OR16rm_NF_ND", LIEF::assembly::x86::OPCODE::OR16rm_NF_ND)
  .value("OR16rr", LIEF::assembly::x86::OPCODE::OR16rr)
  .value("OR16rr_EVEX", LIEF::assembly::x86::OPCODE::OR16rr_EVEX)
  .value("OR16rr_EVEX_REV", LIEF::assembly::x86::OPCODE::OR16rr_EVEX_REV)
  .value("OR16rr_ND", LIEF::assembly::x86::OPCODE::OR16rr_ND)
  .value("OR16rr_ND_REV", LIEF::assembly::x86::OPCODE::OR16rr_ND_REV)
  .value("OR16rr_NF", LIEF::assembly::x86::OPCODE::OR16rr_NF)
  .value("OR16rr_NF_ND", LIEF::assembly::x86::OPCODE::OR16rr_NF_ND)
  .value("OR16rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::OR16rr_NF_ND_REV)
  .value("OR16rr_NF_REV", LIEF::assembly::x86::OPCODE::OR16rr_NF_REV)
  .value("OR16rr_REV", LIEF::assembly::x86::OPCODE::OR16rr_REV)
  .value("OR32i32", LIEF::assembly::x86::OPCODE::OR32i32)
  .value("OR32mi", LIEF::assembly::x86::OPCODE::OR32mi)
  .value("OR32mi8", LIEF::assembly::x86::OPCODE::OR32mi8)
  .value("OR32mi8Locked", LIEF::assembly::x86::OPCODE::OR32mi8Locked)
  .value("OR32mi8_EVEX", LIEF::assembly::x86::OPCODE::OR32mi8_EVEX)
  .value("OR32mi8_ND", LIEF::assembly::x86::OPCODE::OR32mi8_ND)
  .value("OR32mi8_NF", LIEF::assembly::x86::OPCODE::OR32mi8_NF)
  .value("OR32mi8_NF_ND", LIEF::assembly::x86::OPCODE::OR32mi8_NF_ND)
  .value("OR32mi_EVEX", LIEF::assembly::x86::OPCODE::OR32mi_EVEX)
  .value("OR32mi_ND", LIEF::assembly::x86::OPCODE::OR32mi_ND)
  .value("OR32mi_NF", LIEF::assembly::x86::OPCODE::OR32mi_NF)
  .value("OR32mi_NF_ND", LIEF::assembly::x86::OPCODE::OR32mi_NF_ND)
  .value("OR32mr", LIEF::assembly::x86::OPCODE::OR32mr)
  .value("OR32mr_EVEX", LIEF::assembly::x86::OPCODE::OR32mr_EVEX)
  .value("OR32mr_ND", LIEF::assembly::x86::OPCODE::OR32mr_ND)
  .value("OR32mr_NF", LIEF::assembly::x86::OPCODE::OR32mr_NF)
  .value("OR32mr_NF_ND", LIEF::assembly::x86::OPCODE::OR32mr_NF_ND)
  .value("OR32ri", LIEF::assembly::x86::OPCODE::OR32ri)
  .value("OR32ri8", LIEF::assembly::x86::OPCODE::OR32ri8)
  .value("OR32ri8_EVEX", LIEF::assembly::x86::OPCODE::OR32ri8_EVEX)
  .value("OR32ri8_ND", LIEF::assembly::x86::OPCODE::OR32ri8_ND)
  .value("OR32ri8_NF", LIEF::assembly::x86::OPCODE::OR32ri8_NF)
  .value("OR32ri8_NF_ND", LIEF::assembly::x86::OPCODE::OR32ri8_NF_ND)
  .value("OR32ri_EVEX", LIEF::assembly::x86::OPCODE::OR32ri_EVEX)
  .value("OR32ri_ND", LIEF::assembly::x86::OPCODE::OR32ri_ND)
  .value("OR32ri_NF", LIEF::assembly::x86::OPCODE::OR32ri_NF)
  .value("OR32ri_NF_ND", LIEF::assembly::x86::OPCODE::OR32ri_NF_ND)
  .value("OR32rm", LIEF::assembly::x86::OPCODE::OR32rm)
  .value("OR32rm_EVEX", LIEF::assembly::x86::OPCODE::OR32rm_EVEX)
  .value("OR32rm_ND", LIEF::assembly::x86::OPCODE::OR32rm_ND)
  .value("OR32rm_NF", LIEF::assembly::x86::OPCODE::OR32rm_NF)
  .value("OR32rm_NF_ND", LIEF::assembly::x86::OPCODE::OR32rm_NF_ND)
  .value("OR32rr", LIEF::assembly::x86::OPCODE::OR32rr)
  .value("OR32rr_EVEX", LIEF::assembly::x86::OPCODE::OR32rr_EVEX)
  .value("OR32rr_EVEX_REV", LIEF::assembly::x86::OPCODE::OR32rr_EVEX_REV)
  .value("OR32rr_ND", LIEF::assembly::x86::OPCODE::OR32rr_ND)
  .value("OR32rr_ND_REV", LIEF::assembly::x86::OPCODE::OR32rr_ND_REV)
  .value("OR32rr_NF", LIEF::assembly::x86::OPCODE::OR32rr_NF)
  .value("OR32rr_NF_ND", LIEF::assembly::x86::OPCODE::OR32rr_NF_ND)
  .value("OR32rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::OR32rr_NF_ND_REV)
  .value("OR32rr_NF_REV", LIEF::assembly::x86::OPCODE::OR32rr_NF_REV)
  .value("OR32rr_REV", LIEF::assembly::x86::OPCODE::OR32rr_REV)
  .value("OR64i32", LIEF::assembly::x86::OPCODE::OR64i32)
  .value("OR64mi32", LIEF::assembly::x86::OPCODE::OR64mi32)
  .value("OR64mi32_EVEX", LIEF::assembly::x86::OPCODE::OR64mi32_EVEX)
  .value("OR64mi32_ND", LIEF::assembly::x86::OPCODE::OR64mi32_ND)
  .value("OR64mi32_NF", LIEF::assembly::x86::OPCODE::OR64mi32_NF)
  .value("OR64mi32_NF_ND", LIEF::assembly::x86::OPCODE::OR64mi32_NF_ND)
  .value("OR64mi8", LIEF::assembly::x86::OPCODE::OR64mi8)
  .value("OR64mi8_EVEX", LIEF::assembly::x86::OPCODE::OR64mi8_EVEX)
  .value("OR64mi8_ND", LIEF::assembly::x86::OPCODE::OR64mi8_ND)
  .value("OR64mi8_NF", LIEF::assembly::x86::OPCODE::OR64mi8_NF)
  .value("OR64mi8_NF_ND", LIEF::assembly::x86::OPCODE::OR64mi8_NF_ND)
  .value("OR64mr", LIEF::assembly::x86::OPCODE::OR64mr)
  .value("OR64mr_EVEX", LIEF::assembly::x86::OPCODE::OR64mr_EVEX)
  .value("OR64mr_ND", LIEF::assembly::x86::OPCODE::OR64mr_ND)
  .value("OR64mr_NF", LIEF::assembly::x86::OPCODE::OR64mr_NF)
  .value("OR64mr_NF_ND", LIEF::assembly::x86::OPCODE::OR64mr_NF_ND)
  .value("OR64ri32", LIEF::assembly::x86::OPCODE::OR64ri32)
  .value("OR64ri32_EVEX", LIEF::assembly::x86::OPCODE::OR64ri32_EVEX)
  .value("OR64ri32_ND", LIEF::assembly::x86::OPCODE::OR64ri32_ND)
  .value("OR64ri32_NF", LIEF::assembly::x86::OPCODE::OR64ri32_NF)
  .value("OR64ri32_NF_ND", LIEF::assembly::x86::OPCODE::OR64ri32_NF_ND)
  .value("OR64ri8", LIEF::assembly::x86::OPCODE::OR64ri8)
  .value("OR64ri8_EVEX", LIEF::assembly::x86::OPCODE::OR64ri8_EVEX)
  .value("OR64ri8_ND", LIEF::assembly::x86::OPCODE::OR64ri8_ND)
  .value("OR64ri8_NF", LIEF::assembly::x86::OPCODE::OR64ri8_NF)
  .value("OR64ri8_NF_ND", LIEF::assembly::x86::OPCODE::OR64ri8_NF_ND)
  .value("OR64rm", LIEF::assembly::x86::OPCODE::OR64rm)
  .value("OR64rm_EVEX", LIEF::assembly::x86::OPCODE::OR64rm_EVEX)
  .value("OR64rm_ND", LIEF::assembly::x86::OPCODE::OR64rm_ND)
  .value("OR64rm_NF", LIEF::assembly::x86::OPCODE::OR64rm_NF)
  .value("OR64rm_NF_ND", LIEF::assembly::x86::OPCODE::OR64rm_NF_ND)
  .value("OR64rr", LIEF::assembly::x86::OPCODE::OR64rr)
  .value("OR64rr_EVEX", LIEF::assembly::x86::OPCODE::OR64rr_EVEX)
  .value("OR64rr_EVEX_REV", LIEF::assembly::x86::OPCODE::OR64rr_EVEX_REV)
  .value("OR64rr_ND", LIEF::assembly::x86::OPCODE::OR64rr_ND)
  .value("OR64rr_ND_REV", LIEF::assembly::x86::OPCODE::OR64rr_ND_REV)
  .value("OR64rr_NF", LIEF::assembly::x86::OPCODE::OR64rr_NF)
  .value("OR64rr_NF_ND", LIEF::assembly::x86::OPCODE::OR64rr_NF_ND)
  .value("OR64rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::OR64rr_NF_ND_REV)
  .value("OR64rr_NF_REV", LIEF::assembly::x86::OPCODE::OR64rr_NF_REV)
  .value("OR64rr_REV", LIEF::assembly::x86::OPCODE::OR64rr_REV)
  .value("OR8i8", LIEF::assembly::x86::OPCODE::OR8i8)
  .value("OR8mi", LIEF::assembly::x86::OPCODE::OR8mi)
  .value("OR8mi8", LIEF::assembly::x86::OPCODE::OR8mi8)
  .value("OR8mi_EVEX", LIEF::assembly::x86::OPCODE::OR8mi_EVEX)
  .value("OR8mi_ND", LIEF::assembly::x86::OPCODE::OR8mi_ND)
  .value("OR8mi_NF", LIEF::assembly::x86::OPCODE::OR8mi_NF)
  .value("OR8mi_NF_ND", LIEF::assembly::x86::OPCODE::OR8mi_NF_ND)
  .value("OR8mr", LIEF::assembly::x86::OPCODE::OR8mr)
  .value("OR8mr_EVEX", LIEF::assembly::x86::OPCODE::OR8mr_EVEX)
  .value("OR8mr_ND", LIEF::assembly::x86::OPCODE::OR8mr_ND)
  .value("OR8mr_NF", LIEF::assembly::x86::OPCODE::OR8mr_NF)
  .value("OR8mr_NF_ND", LIEF::assembly::x86::OPCODE::OR8mr_NF_ND)
  .value("OR8ri", LIEF::assembly::x86::OPCODE::OR8ri)
  .value("OR8ri8", LIEF::assembly::x86::OPCODE::OR8ri8)
  .value("OR8ri_EVEX", LIEF::assembly::x86::OPCODE::OR8ri_EVEX)
  .value("OR8ri_ND", LIEF::assembly::x86::OPCODE::OR8ri_ND)
  .value("OR8ri_NF", LIEF::assembly::x86::OPCODE::OR8ri_NF)
  .value("OR8ri_NF_ND", LIEF::assembly::x86::OPCODE::OR8ri_NF_ND)
  .value("OR8rm", LIEF::assembly::x86::OPCODE::OR8rm)
  .value("OR8rm_EVEX", LIEF::assembly::x86::OPCODE::OR8rm_EVEX)
  .value("OR8rm_ND", LIEF::assembly::x86::OPCODE::OR8rm_ND)
  .value("OR8rm_NF", LIEF::assembly::x86::OPCODE::OR8rm_NF)
  .value("OR8rm_NF_ND", LIEF::assembly::x86::OPCODE::OR8rm_NF_ND)
  .value("OR8rr", LIEF::assembly::x86::OPCODE::OR8rr)
  .value("OR8rr_EVEX", LIEF::assembly::x86::OPCODE::OR8rr_EVEX);
  opcodes.value("OR8rr_EVEX_REV", LIEF::assembly::x86::OPCODE::OR8rr_EVEX_REV)
  .value("OR8rr_ND", LIEF::assembly::x86::OPCODE::OR8rr_ND)
  .value("OR8rr_ND_REV", LIEF::assembly::x86::OPCODE::OR8rr_ND_REV)
  .value("OR8rr_NF", LIEF::assembly::x86::OPCODE::OR8rr_NF)
  .value("OR8rr_NF_ND", LIEF::assembly::x86::OPCODE::OR8rr_NF_ND)
  .value("OR8rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::OR8rr_NF_ND_REV)
  .value("OR8rr_NF_REV", LIEF::assembly::x86::OPCODE::OR8rr_NF_REV)
  .value("OR8rr_REV", LIEF::assembly::x86::OPCODE::OR8rr_REV)
  .value("ORPDrm", LIEF::assembly::x86::OPCODE::ORPDrm)
  .value("ORPDrr", LIEF::assembly::x86::OPCODE::ORPDrr)
  .value("ORPSrm", LIEF::assembly::x86::OPCODE::ORPSrm)
  .value("ORPSrr", LIEF::assembly::x86::OPCODE::ORPSrr)
  .value("OUT16ir", LIEF::assembly::x86::OPCODE::OUT16ir)
  .value("OUT16rr", LIEF::assembly::x86::OPCODE::OUT16rr)
  .value("OUT32ir", LIEF::assembly::x86::OPCODE::OUT32ir)
  .value("OUT32rr", LIEF::assembly::x86::OPCODE::OUT32rr)
  .value("OUT8ir", LIEF::assembly::x86::OPCODE::OUT8ir)
  .value("OUT8rr", LIEF::assembly::x86::OPCODE::OUT8rr)
  .value("OUTSB", LIEF::assembly::x86::OPCODE::OUTSB)
  .value("OUTSL", LIEF::assembly::x86::OPCODE::OUTSL)
  .value("OUTSW", LIEF::assembly::x86::OPCODE::OUTSW)
  .value("PABSBrm", LIEF::assembly::x86::OPCODE::PABSBrm)
  .value("PABSBrr", LIEF::assembly::x86::OPCODE::PABSBrr)
  .value("PABSDrm", LIEF::assembly::x86::OPCODE::PABSDrm)
  .value("PABSDrr", LIEF::assembly::x86::OPCODE::PABSDrr)
  .value("PABSWrm", LIEF::assembly::x86::OPCODE::PABSWrm)
  .value("PABSWrr", LIEF::assembly::x86::OPCODE::PABSWrr)
  .value("PACKSSDWrm", LIEF::assembly::x86::OPCODE::PACKSSDWrm)
  .value("PACKSSDWrr", LIEF::assembly::x86::OPCODE::PACKSSDWrr)
  .value("PACKSSWBrm", LIEF::assembly::x86::OPCODE::PACKSSWBrm)
  .value("PACKSSWBrr", LIEF::assembly::x86::OPCODE::PACKSSWBrr)
  .value("PACKUSDWrm", LIEF::assembly::x86::OPCODE::PACKUSDWrm)
  .value("PACKUSDWrr", LIEF::assembly::x86::OPCODE::PACKUSDWrr)
  .value("PACKUSWBrm", LIEF::assembly::x86::OPCODE::PACKUSWBrm)
  .value("PACKUSWBrr", LIEF::assembly::x86::OPCODE::PACKUSWBrr)
  .value("PADDBrm", LIEF::assembly::x86::OPCODE::PADDBrm)
  .value("PADDBrr", LIEF::assembly::x86::OPCODE::PADDBrr)
  .value("PADDDrm", LIEF::assembly::x86::OPCODE::PADDDrm)
  .value("PADDDrr", LIEF::assembly::x86::OPCODE::PADDDrr)
  .value("PADDQrm", LIEF::assembly::x86::OPCODE::PADDQrm)
  .value("PADDQrr", LIEF::assembly::x86::OPCODE::PADDQrr)
  .value("PADDSBrm", LIEF::assembly::x86::OPCODE::PADDSBrm)
  .value("PADDSBrr", LIEF::assembly::x86::OPCODE::PADDSBrr)
  .value("PADDSWrm", LIEF::assembly::x86::OPCODE::PADDSWrm)
  .value("PADDSWrr", LIEF::assembly::x86::OPCODE::PADDSWrr)
  .value("PADDUSBrm", LIEF::assembly::x86::OPCODE::PADDUSBrm)
  .value("PADDUSBrr", LIEF::assembly::x86::OPCODE::PADDUSBrr)
  .value("PADDUSWrm", LIEF::assembly::x86::OPCODE::PADDUSWrm)
  .value("PADDUSWrr", LIEF::assembly::x86::OPCODE::PADDUSWrr)
  .value("PADDWrm", LIEF::assembly::x86::OPCODE::PADDWrm)
  .value("PADDWrr", LIEF::assembly::x86::OPCODE::PADDWrr)
  .value("PALIGNRrmi", LIEF::assembly::x86::OPCODE::PALIGNRrmi)
  .value("PALIGNRrri", LIEF::assembly::x86::OPCODE::PALIGNRrri)
  .value("PANDNrm", LIEF::assembly::x86::OPCODE::PANDNrm)
  .value("PANDNrr", LIEF::assembly::x86::OPCODE::PANDNrr)
  .value("PANDrm", LIEF::assembly::x86::OPCODE::PANDrm)
  .value("PANDrr", LIEF::assembly::x86::OPCODE::PANDrr)
  .value("PAUSE", LIEF::assembly::x86::OPCODE::PAUSE)
  .value("PAVGBrm", LIEF::assembly::x86::OPCODE::PAVGBrm)
  .value("PAVGBrr", LIEF::assembly::x86::OPCODE::PAVGBrr)
  .value("PAVGUSBrm", LIEF::assembly::x86::OPCODE::PAVGUSBrm)
  .value("PAVGUSBrr", LIEF::assembly::x86::OPCODE::PAVGUSBrr)
  .value("PAVGWrm", LIEF::assembly::x86::OPCODE::PAVGWrm)
  .value("PAVGWrr", LIEF::assembly::x86::OPCODE::PAVGWrr)
  .value("PBLENDVBrm0", LIEF::assembly::x86::OPCODE::PBLENDVBrm0)
  .value("PBLENDVBrr0", LIEF::assembly::x86::OPCODE::PBLENDVBrr0)
  .value("PBLENDWrmi", LIEF::assembly::x86::OPCODE::PBLENDWrmi)
  .value("PBLENDWrri", LIEF::assembly::x86::OPCODE::PBLENDWrri)
  .value("PBNDKB", LIEF::assembly::x86::OPCODE::PBNDKB)
  .value("PCLMULQDQrmi", LIEF::assembly::x86::OPCODE::PCLMULQDQrmi)
  .value("PCLMULQDQrri", LIEF::assembly::x86::OPCODE::PCLMULQDQrri)
  .value("PCMPEQBrm", LIEF::assembly::x86::OPCODE::PCMPEQBrm)
  .value("PCMPEQBrr", LIEF::assembly::x86::OPCODE::PCMPEQBrr)
  .value("PCMPEQDrm", LIEF::assembly::x86::OPCODE::PCMPEQDrm)
  .value("PCMPEQDrr", LIEF::assembly::x86::OPCODE::PCMPEQDrr)
  .value("PCMPEQQrm", LIEF::assembly::x86::OPCODE::PCMPEQQrm)
  .value("PCMPEQQrr", LIEF::assembly::x86::OPCODE::PCMPEQQrr)
  .value("PCMPEQWrm", LIEF::assembly::x86::OPCODE::PCMPEQWrm)
  .value("PCMPEQWrr", LIEF::assembly::x86::OPCODE::PCMPEQWrr)
  .value("PCMPESTRIrmi", LIEF::assembly::x86::OPCODE::PCMPESTRIrmi)
  .value("PCMPESTRIrri", LIEF::assembly::x86::OPCODE::PCMPESTRIrri)
  .value("PCMPESTRMrmi", LIEF::assembly::x86::OPCODE::PCMPESTRMrmi)
  .value("PCMPESTRMrri", LIEF::assembly::x86::OPCODE::PCMPESTRMrri)
  .value("PCMPGTBrm", LIEF::assembly::x86::OPCODE::PCMPGTBrm)
  .value("PCMPGTBrr", LIEF::assembly::x86::OPCODE::PCMPGTBrr)
  .value("PCMPGTDrm", LIEF::assembly::x86::OPCODE::PCMPGTDrm)
  .value("PCMPGTDrr", LIEF::assembly::x86::OPCODE::PCMPGTDrr)
  .value("PCMPGTQrm", LIEF::assembly::x86::OPCODE::PCMPGTQrm)
  .value("PCMPGTQrr", LIEF::assembly::x86::OPCODE::PCMPGTQrr)
  .value("PCMPGTWrm", LIEF::assembly::x86::OPCODE::PCMPGTWrm)
  .value("PCMPGTWrr", LIEF::assembly::x86::OPCODE::PCMPGTWrr)
  .value("PCMPISTRIrmi", LIEF::assembly::x86::OPCODE::PCMPISTRIrmi)
  .value("PCMPISTRIrri", LIEF::assembly::x86::OPCODE::PCMPISTRIrri)
  .value("PCMPISTRMrmi", LIEF::assembly::x86::OPCODE::PCMPISTRMrmi)
  .value("PCMPISTRMrri", LIEF::assembly::x86::OPCODE::PCMPISTRMrri)
  .value("PCONFIG", LIEF::assembly::x86::OPCODE::PCONFIG)
  .value("PDEP32rm", LIEF::assembly::x86::OPCODE::PDEP32rm)
  .value("PDEP32rm_EVEX", LIEF::assembly::x86::OPCODE::PDEP32rm_EVEX)
  .value("PDEP32rr", LIEF::assembly::x86::OPCODE::PDEP32rr)
  .value("PDEP32rr_EVEX", LIEF::assembly::x86::OPCODE::PDEP32rr_EVEX)
  .value("PDEP64rm", LIEF::assembly::x86::OPCODE::PDEP64rm)
  .value("PDEP64rm_EVEX", LIEF::assembly::x86::OPCODE::PDEP64rm_EVEX)
  .value("PDEP64rr", LIEF::assembly::x86::OPCODE::PDEP64rr)
  .value("PDEP64rr_EVEX", LIEF::assembly::x86::OPCODE::PDEP64rr_EVEX)
  .value("PEXT32rm", LIEF::assembly::x86::OPCODE::PEXT32rm)
  .value("PEXT32rm_EVEX", LIEF::assembly::x86::OPCODE::PEXT32rm_EVEX)
  .value("PEXT32rr", LIEF::assembly::x86::OPCODE::PEXT32rr)
  .value("PEXT32rr_EVEX", LIEF::assembly::x86::OPCODE::PEXT32rr_EVEX)
  .value("PEXT64rm", LIEF::assembly::x86::OPCODE::PEXT64rm)
  .value("PEXT64rm_EVEX", LIEF::assembly::x86::OPCODE::PEXT64rm_EVEX)
  .value("PEXT64rr", LIEF::assembly::x86::OPCODE::PEXT64rr)
  .value("PEXT64rr_EVEX", LIEF::assembly::x86::OPCODE::PEXT64rr_EVEX)
  .value("PEXTRBmr", LIEF::assembly::x86::OPCODE::PEXTRBmr)
  .value("PEXTRBrr", LIEF::assembly::x86::OPCODE::PEXTRBrr)
  .value("PEXTRDmr", LIEF::assembly::x86::OPCODE::PEXTRDmr)
  .value("PEXTRDrr", LIEF::assembly::x86::OPCODE::PEXTRDrr)
  .value("PEXTRQmr", LIEF::assembly::x86::OPCODE::PEXTRQmr)
  .value("PEXTRQrr", LIEF::assembly::x86::OPCODE::PEXTRQrr)
  .value("PEXTRWmr", LIEF::assembly::x86::OPCODE::PEXTRWmr)
  .value("PEXTRWrr", LIEF::assembly::x86::OPCODE::PEXTRWrr)
  .value("PEXTRWrr_REV", LIEF::assembly::x86::OPCODE::PEXTRWrr_REV)
  .value("PF2IDrm", LIEF::assembly::x86::OPCODE::PF2IDrm)
  .value("PF2IDrr", LIEF::assembly::x86::OPCODE::PF2IDrr)
  .value("PF2IWrm", LIEF::assembly::x86::OPCODE::PF2IWrm)
  .value("PF2IWrr", LIEF::assembly::x86::OPCODE::PF2IWrr)
  .value("PFACCrm", LIEF::assembly::x86::OPCODE::PFACCrm)
  .value("PFACCrr", LIEF::assembly::x86::OPCODE::PFACCrr)
  .value("PFADDrm", LIEF::assembly::x86::OPCODE::PFADDrm)
  .value("PFADDrr", LIEF::assembly::x86::OPCODE::PFADDrr)
  .value("PFCMPEQrm", LIEF::assembly::x86::OPCODE::PFCMPEQrm)
  .value("PFCMPEQrr", LIEF::assembly::x86::OPCODE::PFCMPEQrr)
  .value("PFCMPGErm", LIEF::assembly::x86::OPCODE::PFCMPGErm)
  .value("PFCMPGErr", LIEF::assembly::x86::OPCODE::PFCMPGErr)
  .value("PFCMPGTrm", LIEF::assembly::x86::OPCODE::PFCMPGTrm)
  .value("PFCMPGTrr", LIEF::assembly::x86::OPCODE::PFCMPGTrr)
  .value("PFMAXrm", LIEF::assembly::x86::OPCODE::PFMAXrm)
  .value("PFMAXrr", LIEF::assembly::x86::OPCODE::PFMAXrr)
  .value("PFMINrm", LIEF::assembly::x86::OPCODE::PFMINrm)
  .value("PFMINrr", LIEF::assembly::x86::OPCODE::PFMINrr)
  .value("PFMULrm", LIEF::assembly::x86::OPCODE::PFMULrm)
  .value("PFMULrr", LIEF::assembly::x86::OPCODE::PFMULrr)
  .value("PFNACCrm", LIEF::assembly::x86::OPCODE::PFNACCrm)
  .value("PFNACCrr", LIEF::assembly::x86::OPCODE::PFNACCrr)
  .value("PFPNACCrm", LIEF::assembly::x86::OPCODE::PFPNACCrm)
  .value("PFPNACCrr", LIEF::assembly::x86::OPCODE::PFPNACCrr)
  .value("PFRCPIT1rm", LIEF::assembly::x86::OPCODE::PFRCPIT1rm)
  .value("PFRCPIT1rr", LIEF::assembly::x86::OPCODE::PFRCPIT1rr)
  .value("PFRCPIT2rm", LIEF::assembly::x86::OPCODE::PFRCPIT2rm)
  .value("PFRCPIT2rr", LIEF::assembly::x86::OPCODE::PFRCPIT2rr)
  .value("PFRCPrm", LIEF::assembly::x86::OPCODE::PFRCPrm)
  .value("PFRCPrr", LIEF::assembly::x86::OPCODE::PFRCPrr)
  .value("PFRSQIT1rm", LIEF::assembly::x86::OPCODE::PFRSQIT1rm)
  .value("PFRSQIT1rr", LIEF::assembly::x86::OPCODE::PFRSQIT1rr)
  .value("PFRSQRTrm", LIEF::assembly::x86::OPCODE::PFRSQRTrm)
  .value("PFRSQRTrr", LIEF::assembly::x86::OPCODE::PFRSQRTrr)
  .value("PFSUBRrm", LIEF::assembly::x86::OPCODE::PFSUBRrm)
  .value("PFSUBRrr", LIEF::assembly::x86::OPCODE::PFSUBRrr)
  .value("PFSUBrm", LIEF::assembly::x86::OPCODE::PFSUBrm)
  .value("PFSUBrr", LIEF::assembly::x86::OPCODE::PFSUBrr)
  .value("PHADDDrm", LIEF::assembly::x86::OPCODE::PHADDDrm)
  .value("PHADDDrr", LIEF::assembly::x86::OPCODE::PHADDDrr)
  .value("PHADDSWrm", LIEF::assembly::x86::OPCODE::PHADDSWrm)
  .value("PHADDSWrr", LIEF::assembly::x86::OPCODE::PHADDSWrr)
  .value("PHADDWrm", LIEF::assembly::x86::OPCODE::PHADDWrm)
  .value("PHADDWrr", LIEF::assembly::x86::OPCODE::PHADDWrr)
  .value("PHMINPOSUWrm", LIEF::assembly::x86::OPCODE::PHMINPOSUWrm)
  .value("PHMINPOSUWrr", LIEF::assembly::x86::OPCODE::PHMINPOSUWrr)
  .value("PHSUBDrm", LIEF::assembly::x86::OPCODE::PHSUBDrm)
  .value("PHSUBDrr", LIEF::assembly::x86::OPCODE::PHSUBDrr)
  .value("PHSUBSWrm", LIEF::assembly::x86::OPCODE::PHSUBSWrm)
  .value("PHSUBSWrr", LIEF::assembly::x86::OPCODE::PHSUBSWrr)
  .value("PHSUBWrm", LIEF::assembly::x86::OPCODE::PHSUBWrm)
  .value("PHSUBWrr", LIEF::assembly::x86::OPCODE::PHSUBWrr)
  .value("PI2FDrm", LIEF::assembly::x86::OPCODE::PI2FDrm)
  .value("PI2FDrr", LIEF::assembly::x86::OPCODE::PI2FDrr)
  .value("PI2FWrm", LIEF::assembly::x86::OPCODE::PI2FWrm)
  .value("PI2FWrr", LIEF::assembly::x86::OPCODE::PI2FWrr)
  .value("PINSRBrm", LIEF::assembly::x86::OPCODE::PINSRBrm)
  .value("PINSRBrr", LIEF::assembly::x86::OPCODE::PINSRBrr)
  .value("PINSRDrm", LIEF::assembly::x86::OPCODE::PINSRDrm)
  .value("PINSRDrr", LIEF::assembly::x86::OPCODE::PINSRDrr)
  .value("PINSRQrm", LIEF::assembly::x86::OPCODE::PINSRQrm)
  .value("PINSRQrr", LIEF::assembly::x86::OPCODE::PINSRQrr)
  .value("PINSRWrm", LIEF::assembly::x86::OPCODE::PINSRWrm)
  .value("PINSRWrr", LIEF::assembly::x86::OPCODE::PINSRWrr)
  .value("PMADDUBSWrm", LIEF::assembly::x86::OPCODE::PMADDUBSWrm)
  .value("PMADDUBSWrr", LIEF::assembly::x86::OPCODE::PMADDUBSWrr)
  .value("PMADDWDrm", LIEF::assembly::x86::OPCODE::PMADDWDrm)
  .value("PMADDWDrr", LIEF::assembly::x86::OPCODE::PMADDWDrr)
  .value("PMAXSBrm", LIEF::assembly::x86::OPCODE::PMAXSBrm)
  .value("PMAXSBrr", LIEF::assembly::x86::OPCODE::PMAXSBrr)
  .value("PMAXSDrm", LIEF::assembly::x86::OPCODE::PMAXSDrm)
  .value("PMAXSDrr", LIEF::assembly::x86::OPCODE::PMAXSDrr)
  .value("PMAXSWrm", LIEF::assembly::x86::OPCODE::PMAXSWrm)
  .value("PMAXSWrr", LIEF::assembly::x86::OPCODE::PMAXSWrr)
  .value("PMAXUBrm", LIEF::assembly::x86::OPCODE::PMAXUBrm)
  .value("PMAXUBrr", LIEF::assembly::x86::OPCODE::PMAXUBrr)
  .value("PMAXUDrm", LIEF::assembly::x86::OPCODE::PMAXUDrm)
  .value("PMAXUDrr", LIEF::assembly::x86::OPCODE::PMAXUDrr)
  .value("PMAXUWrm", LIEF::assembly::x86::OPCODE::PMAXUWrm)
  .value("PMAXUWrr", LIEF::assembly::x86::OPCODE::PMAXUWrr)
  .value("PMINSBrm", LIEF::assembly::x86::OPCODE::PMINSBrm)
  .value("PMINSBrr", LIEF::assembly::x86::OPCODE::PMINSBrr)
  .value("PMINSDrm", LIEF::assembly::x86::OPCODE::PMINSDrm)
  .value("PMINSDrr", LIEF::assembly::x86::OPCODE::PMINSDrr)
  .value("PMINSWrm", LIEF::assembly::x86::OPCODE::PMINSWrm)
  .value("PMINSWrr", LIEF::assembly::x86::OPCODE::PMINSWrr)
  .value("PMINUBrm", LIEF::assembly::x86::OPCODE::PMINUBrm)
  .value("PMINUBrr", LIEF::assembly::x86::OPCODE::PMINUBrr)
  .value("PMINUDrm", LIEF::assembly::x86::OPCODE::PMINUDrm)
  .value("PMINUDrr", LIEF::assembly::x86::OPCODE::PMINUDrr)
  .value("PMINUWrm", LIEF::assembly::x86::OPCODE::PMINUWrm)
  .value("PMINUWrr", LIEF::assembly::x86::OPCODE::PMINUWrr)
  .value("PMOVMSKBrr", LIEF::assembly::x86::OPCODE::PMOVMSKBrr)
  .value("PMOVSXBDrm", LIEF::assembly::x86::OPCODE::PMOVSXBDrm)
  .value("PMOVSXBDrr", LIEF::assembly::x86::OPCODE::PMOVSXBDrr)
  .value("PMOVSXBQrm", LIEF::assembly::x86::OPCODE::PMOVSXBQrm)
  .value("PMOVSXBQrr", LIEF::assembly::x86::OPCODE::PMOVSXBQrr)
  .value("PMOVSXBWrm", LIEF::assembly::x86::OPCODE::PMOVSXBWrm)
  .value("PMOVSXBWrr", LIEF::assembly::x86::OPCODE::PMOVSXBWrr)
  .value("PMOVSXDQrm", LIEF::assembly::x86::OPCODE::PMOVSXDQrm)
  .value("PMOVSXDQrr", LIEF::assembly::x86::OPCODE::PMOVSXDQrr)
  .value("PMOVSXWDrm", LIEF::assembly::x86::OPCODE::PMOVSXWDrm)
  .value("PMOVSXWDrr", LIEF::assembly::x86::OPCODE::PMOVSXWDrr)
  .value("PMOVSXWQrm", LIEF::assembly::x86::OPCODE::PMOVSXWQrm)
  .value("PMOVSXWQrr", LIEF::assembly::x86::OPCODE::PMOVSXWQrr)
  .value("PMOVZXBDrm", LIEF::assembly::x86::OPCODE::PMOVZXBDrm)
  .value("PMOVZXBDrr", LIEF::assembly::x86::OPCODE::PMOVZXBDrr)
  .value("PMOVZXBQrm", LIEF::assembly::x86::OPCODE::PMOVZXBQrm)
  .value("PMOVZXBQrr", LIEF::assembly::x86::OPCODE::PMOVZXBQrr)
  .value("PMOVZXBWrm", LIEF::assembly::x86::OPCODE::PMOVZXBWrm)
  .value("PMOVZXBWrr", LIEF::assembly::x86::OPCODE::PMOVZXBWrr)
  .value("PMOVZXDQrm", LIEF::assembly::x86::OPCODE::PMOVZXDQrm)
  .value("PMOVZXDQrr", LIEF::assembly::x86::OPCODE::PMOVZXDQrr)
  .value("PMOVZXWDrm", LIEF::assembly::x86::OPCODE::PMOVZXWDrm)
  .value("PMOVZXWDrr", LIEF::assembly::x86::OPCODE::PMOVZXWDrr)
  .value("PMOVZXWQrm", LIEF::assembly::x86::OPCODE::PMOVZXWQrm)
  .value("PMOVZXWQrr", LIEF::assembly::x86::OPCODE::PMOVZXWQrr)
  .value("PMULDQrm", LIEF::assembly::x86::OPCODE::PMULDQrm)
  .value("PMULDQrr", LIEF::assembly::x86::OPCODE::PMULDQrr)
  .value("PMULHRSWrm", LIEF::assembly::x86::OPCODE::PMULHRSWrm)
  .value("PMULHRSWrr", LIEF::assembly::x86::OPCODE::PMULHRSWrr)
  .value("PMULHRWrm", LIEF::assembly::x86::OPCODE::PMULHRWrm)
  .value("PMULHRWrr", LIEF::assembly::x86::OPCODE::PMULHRWrr)
  .value("PMULHUWrm", LIEF::assembly::x86::OPCODE::PMULHUWrm)
  .value("PMULHUWrr", LIEF::assembly::x86::OPCODE::PMULHUWrr)
  .value("PMULHWrm", LIEF::assembly::x86::OPCODE::PMULHWrm)
  .value("PMULHWrr", LIEF::assembly::x86::OPCODE::PMULHWrr)
  .value("PMULLDrm", LIEF::assembly::x86::OPCODE::PMULLDrm)
  .value("PMULLDrr", LIEF::assembly::x86::OPCODE::PMULLDrr)
  .value("PMULLWrm", LIEF::assembly::x86::OPCODE::PMULLWrm)
  .value("PMULLWrr", LIEF::assembly::x86::OPCODE::PMULLWrr)
  .value("PMULUDQrm", LIEF::assembly::x86::OPCODE::PMULUDQrm)
  .value("PMULUDQrr", LIEF::assembly::x86::OPCODE::PMULUDQrr)
  .value("POP16r", LIEF::assembly::x86::OPCODE::POP16r)
  .value("POP16rmm", LIEF::assembly::x86::OPCODE::POP16rmm)
  .value("POP16rmr", LIEF::assembly::x86::OPCODE::POP16rmr)
  .value("POP2", LIEF::assembly::x86::OPCODE::POP2)
  .value("POP2P", LIEF::assembly::x86::OPCODE::POP2P)
  .value("POP32r", LIEF::assembly::x86::OPCODE::POP32r)
  .value("POP32rmm", LIEF::assembly::x86::OPCODE::POP32rmm)
  .value("POP32rmr", LIEF::assembly::x86::OPCODE::POP32rmr)
  .value("POP64r", LIEF::assembly::x86::OPCODE::POP64r)
  .value("POP64rmm", LIEF::assembly::x86::OPCODE::POP64rmm)
  .value("POP64rmr", LIEF::assembly::x86::OPCODE::POP64rmr)
  .value("POPA16", LIEF::assembly::x86::OPCODE::POPA16)
  .value("POPA32", LIEF::assembly::x86::OPCODE::POPA32)
  .value("POPCNT16rm", LIEF::assembly::x86::OPCODE::POPCNT16rm)
  .value("POPCNT16rm_EVEX", LIEF::assembly::x86::OPCODE::POPCNT16rm_EVEX)
  .value("POPCNT16rm_NF", LIEF::assembly::x86::OPCODE::POPCNT16rm_NF)
  .value("POPCNT16rr", LIEF::assembly::x86::OPCODE::POPCNT16rr)
  .value("POPCNT16rr_EVEX", LIEF::assembly::x86::OPCODE::POPCNT16rr_EVEX)
  .value("POPCNT16rr_NF", LIEF::assembly::x86::OPCODE::POPCNT16rr_NF)
  .value("POPCNT32rm", LIEF::assembly::x86::OPCODE::POPCNT32rm)
  .value("POPCNT32rm_EVEX", LIEF::assembly::x86::OPCODE::POPCNT32rm_EVEX)
  .value("POPCNT32rm_NF", LIEF::assembly::x86::OPCODE::POPCNT32rm_NF)
  .value("POPCNT32rr", LIEF::assembly::x86::OPCODE::POPCNT32rr)
  .value("POPCNT32rr_EVEX", LIEF::assembly::x86::OPCODE::POPCNT32rr_EVEX)
  .value("POPCNT32rr_NF", LIEF::assembly::x86::OPCODE::POPCNT32rr_NF)
  .value("POPCNT64rm", LIEF::assembly::x86::OPCODE::POPCNT64rm)
  .value("POPCNT64rm_EVEX", LIEF::assembly::x86::OPCODE::POPCNT64rm_EVEX)
  .value("POPCNT64rm_NF", LIEF::assembly::x86::OPCODE::POPCNT64rm_NF)
  .value("POPCNT64rr", LIEF::assembly::x86::OPCODE::POPCNT64rr)
  .value("POPCNT64rr_EVEX", LIEF::assembly::x86::OPCODE::POPCNT64rr_EVEX)
  .value("POPCNT64rr_NF", LIEF::assembly::x86::OPCODE::POPCNT64rr_NF)
  .value("POPDS16", LIEF::assembly::x86::OPCODE::POPDS16)
  .value("POPDS32", LIEF::assembly::x86::OPCODE::POPDS32)
  .value("POPES16", LIEF::assembly::x86::OPCODE::POPES16)
  .value("POPES32", LIEF::assembly::x86::OPCODE::POPES32)
  .value("POPF16", LIEF::assembly::x86::OPCODE::POPF16)
  .value("POPF32", LIEF::assembly::x86::OPCODE::POPF32)
  .value("POPF64", LIEF::assembly::x86::OPCODE::POPF64)
  .value("POPFS16", LIEF::assembly::x86::OPCODE::POPFS16)
  .value("POPFS32", LIEF::assembly::x86::OPCODE::POPFS32)
  .value("POPFS64", LIEF::assembly::x86::OPCODE::POPFS64)
  .value("POPGS16", LIEF::assembly::x86::OPCODE::POPGS16)
  .value("POPGS32", LIEF::assembly::x86::OPCODE::POPGS32)
  .value("POPGS64", LIEF::assembly::x86::OPCODE::POPGS64)
  .value("POPP64r", LIEF::assembly::x86::OPCODE::POPP64r)
  .value("POPSS16", LIEF::assembly::x86::OPCODE::POPSS16);
  opcodes.value("POPSS32", LIEF::assembly::x86::OPCODE::POPSS32)
  .value("PORrm", LIEF::assembly::x86::OPCODE::PORrm)
  .value("PORrr", LIEF::assembly::x86::OPCODE::PORrr)
  .value("PREFETCH", LIEF::assembly::x86::OPCODE::PREFETCH)
  .value("PREFETCHIT0", LIEF::assembly::x86::OPCODE::PREFETCHIT0)
  .value("PREFETCHIT1", LIEF::assembly::x86::OPCODE::PREFETCHIT1)
  .value("PREFETCHNTA", LIEF::assembly::x86::OPCODE::PREFETCHNTA)
  .value("PREFETCHT0", LIEF::assembly::x86::OPCODE::PREFETCHT0)
  .value("PREFETCHT1", LIEF::assembly::x86::OPCODE::PREFETCHT1)
  .value("PREFETCHT2", LIEF::assembly::x86::OPCODE::PREFETCHT2)
  .value("PREFETCHW", LIEF::assembly::x86::OPCODE::PREFETCHW)
  .value("PREFETCHWT1", LIEF::assembly::x86::OPCODE::PREFETCHWT1)
  .value("PROBED_ALLOCA_32", LIEF::assembly::x86::OPCODE::PROBED_ALLOCA_32)
  .value("PROBED_ALLOCA_64", LIEF::assembly::x86::OPCODE::PROBED_ALLOCA_64)
  .value("PSADBWrm", LIEF::assembly::x86::OPCODE::PSADBWrm)
  .value("PSADBWrr", LIEF::assembly::x86::OPCODE::PSADBWrr)
  .value("PSHUFBrm", LIEF::assembly::x86::OPCODE::PSHUFBrm)
  .value("PSHUFBrr", LIEF::assembly::x86::OPCODE::PSHUFBrr)
  .value("PSHUFDmi", LIEF::assembly::x86::OPCODE::PSHUFDmi)
  .value("PSHUFDri", LIEF::assembly::x86::OPCODE::PSHUFDri)
  .value("PSHUFHWmi", LIEF::assembly::x86::OPCODE::PSHUFHWmi)
  .value("PSHUFHWri", LIEF::assembly::x86::OPCODE::PSHUFHWri)
  .value("PSHUFLWmi", LIEF::assembly::x86::OPCODE::PSHUFLWmi)
  .value("PSHUFLWri", LIEF::assembly::x86::OPCODE::PSHUFLWri)
  .value("PSIGNBrm", LIEF::assembly::x86::OPCODE::PSIGNBrm)
  .value("PSIGNBrr", LIEF::assembly::x86::OPCODE::PSIGNBrr)
  .value("PSIGNDrm", LIEF::assembly::x86::OPCODE::PSIGNDrm)
  .value("PSIGNDrr", LIEF::assembly::x86::OPCODE::PSIGNDrr)
  .value("PSIGNWrm", LIEF::assembly::x86::OPCODE::PSIGNWrm)
  .value("PSIGNWrr", LIEF::assembly::x86::OPCODE::PSIGNWrr)
  .value("PSLLDQri", LIEF::assembly::x86::OPCODE::PSLLDQri)
  .value("PSLLDri", LIEF::assembly::x86::OPCODE::PSLLDri)
  .value("PSLLDrm", LIEF::assembly::x86::OPCODE::PSLLDrm)
  .value("PSLLDrr", LIEF::assembly::x86::OPCODE::PSLLDrr)
  .value("PSLLQri", LIEF::assembly::x86::OPCODE::PSLLQri)
  .value("PSLLQrm", LIEF::assembly::x86::OPCODE::PSLLQrm)
  .value("PSLLQrr", LIEF::assembly::x86::OPCODE::PSLLQrr)
  .value("PSLLWri", LIEF::assembly::x86::OPCODE::PSLLWri)
  .value("PSLLWrm", LIEF::assembly::x86::OPCODE::PSLLWrm)
  .value("PSLLWrr", LIEF::assembly::x86::OPCODE::PSLLWrr)
  .value("PSMASH", LIEF::assembly::x86::OPCODE::PSMASH)
  .value("PSRADri", LIEF::assembly::x86::OPCODE::PSRADri)
  .value("PSRADrm", LIEF::assembly::x86::OPCODE::PSRADrm)
  .value("PSRADrr", LIEF::assembly::x86::OPCODE::PSRADrr)
  .value("PSRAWri", LIEF::assembly::x86::OPCODE::PSRAWri)
  .value("PSRAWrm", LIEF::assembly::x86::OPCODE::PSRAWrm)
  .value("PSRAWrr", LIEF::assembly::x86::OPCODE::PSRAWrr)
  .value("PSRLDQri", LIEF::assembly::x86::OPCODE::PSRLDQri)
  .value("PSRLDri", LIEF::assembly::x86::OPCODE::PSRLDri)
  .value("PSRLDrm", LIEF::assembly::x86::OPCODE::PSRLDrm)
  .value("PSRLDrr", LIEF::assembly::x86::OPCODE::PSRLDrr)
  .value("PSRLQri", LIEF::assembly::x86::OPCODE::PSRLQri)
  .value("PSRLQrm", LIEF::assembly::x86::OPCODE::PSRLQrm)
  .value("PSRLQrr", LIEF::assembly::x86::OPCODE::PSRLQrr)
  .value("PSRLWri", LIEF::assembly::x86::OPCODE::PSRLWri)
  .value("PSRLWrm", LIEF::assembly::x86::OPCODE::PSRLWrm)
  .value("PSRLWrr", LIEF::assembly::x86::OPCODE::PSRLWrr)
  .value("PSUBBrm", LIEF::assembly::x86::OPCODE::PSUBBrm)
  .value("PSUBBrr", LIEF::assembly::x86::OPCODE::PSUBBrr)
  .value("PSUBDrm", LIEF::assembly::x86::OPCODE::PSUBDrm)
  .value("PSUBDrr", LIEF::assembly::x86::OPCODE::PSUBDrr)
  .value("PSUBQrm", LIEF::assembly::x86::OPCODE::PSUBQrm)
  .value("PSUBQrr", LIEF::assembly::x86::OPCODE::PSUBQrr)
  .value("PSUBSBrm", LIEF::assembly::x86::OPCODE::PSUBSBrm)
  .value("PSUBSBrr", LIEF::assembly::x86::OPCODE::PSUBSBrr)
  .value("PSUBSWrm", LIEF::assembly::x86::OPCODE::PSUBSWrm)
  .value("PSUBSWrr", LIEF::assembly::x86::OPCODE::PSUBSWrr)
  .value("PSUBUSBrm", LIEF::assembly::x86::OPCODE::PSUBUSBrm)
  .value("PSUBUSBrr", LIEF::assembly::x86::OPCODE::PSUBUSBrr)
  .value("PSUBUSWrm", LIEF::assembly::x86::OPCODE::PSUBUSWrm)
  .value("PSUBUSWrr", LIEF::assembly::x86::OPCODE::PSUBUSWrr)
  .value("PSUBWrm", LIEF::assembly::x86::OPCODE::PSUBWrm)
  .value("PSUBWrr", LIEF::assembly::x86::OPCODE::PSUBWrr)
  .value("PSWAPDrm", LIEF::assembly::x86::OPCODE::PSWAPDrm)
  .value("PSWAPDrr", LIEF::assembly::x86::OPCODE::PSWAPDrr)
  .value("PTCMMIMFP16PS", LIEF::assembly::x86::OPCODE::PTCMMIMFP16PS)
  .value("PTCMMIMFP16PSV", LIEF::assembly::x86::OPCODE::PTCMMIMFP16PSV)
  .value("PTCMMRLFP16PS", LIEF::assembly::x86::OPCODE::PTCMMRLFP16PS)
  .value("PTCMMRLFP16PSV", LIEF::assembly::x86::OPCODE::PTCMMRLFP16PSV)
  .value("PTDPBF16PS", LIEF::assembly::x86::OPCODE::PTDPBF16PS)
  .value("PTDPBSSD", LIEF::assembly::x86::OPCODE::PTDPBSSD)
  .value("PTDPBSUD", LIEF::assembly::x86::OPCODE::PTDPBSUD)
  .value("PTDPBUSD", LIEF::assembly::x86::OPCODE::PTDPBUSD)
  .value("PTDPBUUD", LIEF::assembly::x86::OPCODE::PTDPBUUD)
  .value("PTDPFP16PS", LIEF::assembly::x86::OPCODE::PTDPFP16PS)
  .value("PTESTrm", LIEF::assembly::x86::OPCODE::PTESTrm)
  .value("PTESTrr", LIEF::assembly::x86::OPCODE::PTESTrr)
  .value("PTILELOADD", LIEF::assembly::x86::OPCODE::PTILELOADD)
  .value("PTILELOADDT1", LIEF::assembly::x86::OPCODE::PTILELOADDT1)
  .value("PTILESTORED", LIEF::assembly::x86::OPCODE::PTILESTORED)
  .value("PTILEZERO", LIEF::assembly::x86::OPCODE::PTILEZERO)
  .value("PTWRITE64m", LIEF::assembly::x86::OPCODE::PTWRITE64m)
  .value("PTWRITE64r", LIEF::assembly::x86::OPCODE::PTWRITE64r)
  .value("PTWRITEm", LIEF::assembly::x86::OPCODE::PTWRITEm)
  .value("PTWRITEr", LIEF::assembly::x86::OPCODE::PTWRITEr)
  .value("PUNPCKHBWrm", LIEF::assembly::x86::OPCODE::PUNPCKHBWrm)
  .value("PUNPCKHBWrr", LIEF::assembly::x86::OPCODE::PUNPCKHBWrr)
  .value("PUNPCKHDQrm", LIEF::assembly::x86::OPCODE::PUNPCKHDQrm)
  .value("PUNPCKHDQrr", LIEF::assembly::x86::OPCODE::PUNPCKHDQrr)
  .value("PUNPCKHQDQrm", LIEF::assembly::x86::OPCODE::PUNPCKHQDQrm)
  .value("PUNPCKHQDQrr", LIEF::assembly::x86::OPCODE::PUNPCKHQDQrr)
  .value("PUNPCKHWDrm", LIEF::assembly::x86::OPCODE::PUNPCKHWDrm)
  .value("PUNPCKHWDrr", LIEF::assembly::x86::OPCODE::PUNPCKHWDrr)
  .value("PUNPCKLBWrm", LIEF::assembly::x86::OPCODE::PUNPCKLBWrm)
  .value("PUNPCKLBWrr", LIEF::assembly::x86::OPCODE::PUNPCKLBWrr)
  .value("PUNPCKLDQrm", LIEF::assembly::x86::OPCODE::PUNPCKLDQrm)
  .value("PUNPCKLDQrr", LIEF::assembly::x86::OPCODE::PUNPCKLDQrr)
  .value("PUNPCKLQDQrm", LIEF::assembly::x86::OPCODE::PUNPCKLQDQrm)
  .value("PUNPCKLQDQrr", LIEF::assembly::x86::OPCODE::PUNPCKLQDQrr)
  .value("PUNPCKLWDrm", LIEF::assembly::x86::OPCODE::PUNPCKLWDrm)
  .value("PUNPCKLWDrr", LIEF::assembly::x86::OPCODE::PUNPCKLWDrr)
  .value("PUSH16i", LIEF::assembly::x86::OPCODE::PUSH16i)
  .value("PUSH16i8", LIEF::assembly::x86::OPCODE::PUSH16i8)
  .value("PUSH16r", LIEF::assembly::x86::OPCODE::PUSH16r)
  .value("PUSH16rmm", LIEF::assembly::x86::OPCODE::PUSH16rmm)
  .value("PUSH16rmr", LIEF::assembly::x86::OPCODE::PUSH16rmr)
  .value("PUSH2", LIEF::assembly::x86::OPCODE::PUSH2)
  .value("PUSH2P", LIEF::assembly::x86::OPCODE::PUSH2P)
  .value("PUSH32i", LIEF::assembly::x86::OPCODE::PUSH32i)
  .value("PUSH32i8", LIEF::assembly::x86::OPCODE::PUSH32i8)
  .value("PUSH32r", LIEF::assembly::x86::OPCODE::PUSH32r)
  .value("PUSH32rmm", LIEF::assembly::x86::OPCODE::PUSH32rmm)
  .value("PUSH32rmr", LIEF::assembly::x86::OPCODE::PUSH32rmr)
  .value("PUSH64i32", LIEF::assembly::x86::OPCODE::PUSH64i32)
  .value("PUSH64i8", LIEF::assembly::x86::OPCODE::PUSH64i8)
  .value("PUSH64r", LIEF::assembly::x86::OPCODE::PUSH64r)
  .value("PUSH64rmm", LIEF::assembly::x86::OPCODE::PUSH64rmm)
  .value("PUSH64rmr", LIEF::assembly::x86::OPCODE::PUSH64rmr)
  .value("PUSHA16", LIEF::assembly::x86::OPCODE::PUSHA16)
  .value("PUSHA32", LIEF::assembly::x86::OPCODE::PUSHA32)
  .value("PUSHCS16", LIEF::assembly::x86::OPCODE::PUSHCS16)
  .value("PUSHCS32", LIEF::assembly::x86::OPCODE::PUSHCS32)
  .value("PUSHDS16", LIEF::assembly::x86::OPCODE::PUSHDS16)
  .value("PUSHDS32", LIEF::assembly::x86::OPCODE::PUSHDS32)
  .value("PUSHES16", LIEF::assembly::x86::OPCODE::PUSHES16)
  .value("PUSHES32", LIEF::assembly::x86::OPCODE::PUSHES32)
  .value("PUSHF16", LIEF::assembly::x86::OPCODE::PUSHF16)
  .value("PUSHF32", LIEF::assembly::x86::OPCODE::PUSHF32)
  .value("PUSHF64", LIEF::assembly::x86::OPCODE::PUSHF64)
  .value("PUSHFS16", LIEF::assembly::x86::OPCODE::PUSHFS16)
  .value("PUSHFS32", LIEF::assembly::x86::OPCODE::PUSHFS32)
  .value("PUSHFS64", LIEF::assembly::x86::OPCODE::PUSHFS64)
  .value("PUSHGS16", LIEF::assembly::x86::OPCODE::PUSHGS16)
  .value("PUSHGS32", LIEF::assembly::x86::OPCODE::PUSHGS32)
  .value("PUSHGS64", LIEF::assembly::x86::OPCODE::PUSHGS64)
  .value("PUSHP64r", LIEF::assembly::x86::OPCODE::PUSHP64r)
  .value("PUSHSS16", LIEF::assembly::x86::OPCODE::PUSHSS16)
  .value("PUSHSS32", LIEF::assembly::x86::OPCODE::PUSHSS32)
  .value("PVALIDATE32", LIEF::assembly::x86::OPCODE::PVALIDATE32)
  .value("PVALIDATE64", LIEF::assembly::x86::OPCODE::PVALIDATE64)
  .value("PXORrm", LIEF::assembly::x86::OPCODE::PXORrm)
  .value("PXORrr", LIEF::assembly::x86::OPCODE::PXORrr)
  .value("RCL16m1", LIEF::assembly::x86::OPCODE::RCL16m1)
  .value("RCL16m1_EVEX", LIEF::assembly::x86::OPCODE::RCL16m1_EVEX)
  .value("RCL16m1_ND", LIEF::assembly::x86::OPCODE::RCL16m1_ND)
  .value("RCL16mCL", LIEF::assembly::x86::OPCODE::RCL16mCL)
  .value("RCL16mCL_EVEX", LIEF::assembly::x86::OPCODE::RCL16mCL_EVEX)
  .value("RCL16mCL_ND", LIEF::assembly::x86::OPCODE::RCL16mCL_ND)
  .value("RCL16mi", LIEF::assembly::x86::OPCODE::RCL16mi)
  .value("RCL16mi_EVEX", LIEF::assembly::x86::OPCODE::RCL16mi_EVEX)
  .value("RCL16mi_ND", LIEF::assembly::x86::OPCODE::RCL16mi_ND)
  .value("RCL16r1", LIEF::assembly::x86::OPCODE::RCL16r1)
  .value("RCL16r1_EVEX", LIEF::assembly::x86::OPCODE::RCL16r1_EVEX)
  .value("RCL16r1_ND", LIEF::assembly::x86::OPCODE::RCL16r1_ND)
  .value("RCL16rCL", LIEF::assembly::x86::OPCODE::RCL16rCL)
  .value("RCL16rCL_EVEX", LIEF::assembly::x86::OPCODE::RCL16rCL_EVEX)
  .value("RCL16rCL_ND", LIEF::assembly::x86::OPCODE::RCL16rCL_ND)
  .value("RCL16ri", LIEF::assembly::x86::OPCODE::RCL16ri)
  .value("RCL16ri_EVEX", LIEF::assembly::x86::OPCODE::RCL16ri_EVEX)
  .value("RCL16ri_ND", LIEF::assembly::x86::OPCODE::RCL16ri_ND)
  .value("RCL32m1", LIEF::assembly::x86::OPCODE::RCL32m1)
  .value("RCL32m1_EVEX", LIEF::assembly::x86::OPCODE::RCL32m1_EVEX)
  .value("RCL32m1_ND", LIEF::assembly::x86::OPCODE::RCL32m1_ND)
  .value("RCL32mCL", LIEF::assembly::x86::OPCODE::RCL32mCL)
  .value("RCL32mCL_EVEX", LIEF::assembly::x86::OPCODE::RCL32mCL_EVEX)
  .value("RCL32mCL_ND", LIEF::assembly::x86::OPCODE::RCL32mCL_ND)
  .value("RCL32mi", LIEF::assembly::x86::OPCODE::RCL32mi)
  .value("RCL32mi_EVEX", LIEF::assembly::x86::OPCODE::RCL32mi_EVEX)
  .value("RCL32mi_ND", LIEF::assembly::x86::OPCODE::RCL32mi_ND)
  .value("RCL32r1", LIEF::assembly::x86::OPCODE::RCL32r1)
  .value("RCL32r1_EVEX", LIEF::assembly::x86::OPCODE::RCL32r1_EVEX)
  .value("RCL32r1_ND", LIEF::assembly::x86::OPCODE::RCL32r1_ND)
  .value("RCL32rCL", LIEF::assembly::x86::OPCODE::RCL32rCL)
  .value("RCL32rCL_EVEX", LIEF::assembly::x86::OPCODE::RCL32rCL_EVEX)
  .value("RCL32rCL_ND", LIEF::assembly::x86::OPCODE::RCL32rCL_ND)
  .value("RCL32ri", LIEF::assembly::x86::OPCODE::RCL32ri)
  .value("RCL32ri_EVEX", LIEF::assembly::x86::OPCODE::RCL32ri_EVEX)
  .value("RCL32ri_ND", LIEF::assembly::x86::OPCODE::RCL32ri_ND)
  .value("RCL64m1", LIEF::assembly::x86::OPCODE::RCL64m1)
  .value("RCL64m1_EVEX", LIEF::assembly::x86::OPCODE::RCL64m1_EVEX)
  .value("RCL64m1_ND", LIEF::assembly::x86::OPCODE::RCL64m1_ND)
  .value("RCL64mCL", LIEF::assembly::x86::OPCODE::RCL64mCL)
  .value("RCL64mCL_EVEX", LIEF::assembly::x86::OPCODE::RCL64mCL_EVEX)
  .value("RCL64mCL_ND", LIEF::assembly::x86::OPCODE::RCL64mCL_ND)
  .value("RCL64mi", LIEF::assembly::x86::OPCODE::RCL64mi)
  .value("RCL64mi_EVEX", LIEF::assembly::x86::OPCODE::RCL64mi_EVEX)
  .value("RCL64mi_ND", LIEF::assembly::x86::OPCODE::RCL64mi_ND)
  .value("RCL64r1", LIEF::assembly::x86::OPCODE::RCL64r1)
  .value("RCL64r1_EVEX", LIEF::assembly::x86::OPCODE::RCL64r1_EVEX)
  .value("RCL64r1_ND", LIEF::assembly::x86::OPCODE::RCL64r1_ND)
  .value("RCL64rCL", LIEF::assembly::x86::OPCODE::RCL64rCL)
  .value("RCL64rCL_EVEX", LIEF::assembly::x86::OPCODE::RCL64rCL_EVEX)
  .value("RCL64rCL_ND", LIEF::assembly::x86::OPCODE::RCL64rCL_ND)
  .value("RCL64ri", LIEF::assembly::x86::OPCODE::RCL64ri)
  .value("RCL64ri_EVEX", LIEF::assembly::x86::OPCODE::RCL64ri_EVEX)
  .value("RCL64ri_ND", LIEF::assembly::x86::OPCODE::RCL64ri_ND)
  .value("RCL8m1", LIEF::assembly::x86::OPCODE::RCL8m1)
  .value("RCL8m1_EVEX", LIEF::assembly::x86::OPCODE::RCL8m1_EVEX)
  .value("RCL8m1_ND", LIEF::assembly::x86::OPCODE::RCL8m1_ND)
  .value("RCL8mCL", LIEF::assembly::x86::OPCODE::RCL8mCL)
  .value("RCL8mCL_EVEX", LIEF::assembly::x86::OPCODE::RCL8mCL_EVEX)
  .value("RCL8mCL_ND", LIEF::assembly::x86::OPCODE::RCL8mCL_ND)
  .value("RCL8mi", LIEF::assembly::x86::OPCODE::RCL8mi)
  .value("RCL8mi_EVEX", LIEF::assembly::x86::OPCODE::RCL8mi_EVEX)
  .value("RCL8mi_ND", LIEF::assembly::x86::OPCODE::RCL8mi_ND)
  .value("RCL8r1", LIEF::assembly::x86::OPCODE::RCL8r1)
  .value("RCL8r1_EVEX", LIEF::assembly::x86::OPCODE::RCL8r1_EVEX)
  .value("RCL8r1_ND", LIEF::assembly::x86::OPCODE::RCL8r1_ND)
  .value("RCL8rCL", LIEF::assembly::x86::OPCODE::RCL8rCL)
  .value("RCL8rCL_EVEX", LIEF::assembly::x86::OPCODE::RCL8rCL_EVEX)
  .value("RCL8rCL_ND", LIEF::assembly::x86::OPCODE::RCL8rCL_ND)
  .value("RCL8ri", LIEF::assembly::x86::OPCODE::RCL8ri)
  .value("RCL8ri_EVEX", LIEF::assembly::x86::OPCODE::RCL8ri_EVEX)
  .value("RCL8ri_ND", LIEF::assembly::x86::OPCODE::RCL8ri_ND)
  .value("RCPPSm", LIEF::assembly::x86::OPCODE::RCPPSm)
  .value("RCPPSr", LIEF::assembly::x86::OPCODE::RCPPSr)
  .value("RCPSSm", LIEF::assembly::x86::OPCODE::RCPSSm)
  .value("RCPSSm_Int", LIEF::assembly::x86::OPCODE::RCPSSm_Int)
  .value("RCPSSr", LIEF::assembly::x86::OPCODE::RCPSSr)
  .value("RCPSSr_Int", LIEF::assembly::x86::OPCODE::RCPSSr_Int)
  .value("RCR16m1", LIEF::assembly::x86::OPCODE::RCR16m1)
  .value("RCR16m1_EVEX", LIEF::assembly::x86::OPCODE::RCR16m1_EVEX)
  .value("RCR16m1_ND", LIEF::assembly::x86::OPCODE::RCR16m1_ND)
  .value("RCR16mCL", LIEF::assembly::x86::OPCODE::RCR16mCL)
  .value("RCR16mCL_EVEX", LIEF::assembly::x86::OPCODE::RCR16mCL_EVEX)
  .value("RCR16mCL_ND", LIEF::assembly::x86::OPCODE::RCR16mCL_ND)
  .value("RCR16mi", LIEF::assembly::x86::OPCODE::RCR16mi)
  .value("RCR16mi_EVEX", LIEF::assembly::x86::OPCODE::RCR16mi_EVEX)
  .value("RCR16mi_ND", LIEF::assembly::x86::OPCODE::RCR16mi_ND)
  .value("RCR16r1", LIEF::assembly::x86::OPCODE::RCR16r1)
  .value("RCR16r1_EVEX", LIEF::assembly::x86::OPCODE::RCR16r1_EVEX)
  .value("RCR16r1_ND", LIEF::assembly::x86::OPCODE::RCR16r1_ND)
  .value("RCR16rCL", LIEF::assembly::x86::OPCODE::RCR16rCL)
  .value("RCR16rCL_EVEX", LIEF::assembly::x86::OPCODE::RCR16rCL_EVEX)
  .value("RCR16rCL_ND", LIEF::assembly::x86::OPCODE::RCR16rCL_ND)
  .value("RCR16ri", LIEF::assembly::x86::OPCODE::RCR16ri)
  .value("RCR16ri_EVEX", LIEF::assembly::x86::OPCODE::RCR16ri_EVEX)
  .value("RCR16ri_ND", LIEF::assembly::x86::OPCODE::RCR16ri_ND)
  .value("RCR32m1", LIEF::assembly::x86::OPCODE::RCR32m1)
  .value("RCR32m1_EVEX", LIEF::assembly::x86::OPCODE::RCR32m1_EVEX)
  .value("RCR32m1_ND", LIEF::assembly::x86::OPCODE::RCR32m1_ND)
  .value("RCR32mCL", LIEF::assembly::x86::OPCODE::RCR32mCL)
  .value("RCR32mCL_EVEX", LIEF::assembly::x86::OPCODE::RCR32mCL_EVEX)
  .value("RCR32mCL_ND", LIEF::assembly::x86::OPCODE::RCR32mCL_ND)
  .value("RCR32mi", LIEF::assembly::x86::OPCODE::RCR32mi)
  .value("RCR32mi_EVEX", LIEF::assembly::x86::OPCODE::RCR32mi_EVEX)
  .value("RCR32mi_ND", LIEF::assembly::x86::OPCODE::RCR32mi_ND)
  .value("RCR32r1", LIEF::assembly::x86::OPCODE::RCR32r1)
  .value("RCR32r1_EVEX", LIEF::assembly::x86::OPCODE::RCR32r1_EVEX)
  .value("RCR32r1_ND", LIEF::assembly::x86::OPCODE::RCR32r1_ND)
  .value("RCR32rCL", LIEF::assembly::x86::OPCODE::RCR32rCL)
  .value("RCR32rCL_EVEX", LIEF::assembly::x86::OPCODE::RCR32rCL_EVEX)
  .value("RCR32rCL_ND", LIEF::assembly::x86::OPCODE::RCR32rCL_ND)
  .value("RCR32ri", LIEF::assembly::x86::OPCODE::RCR32ri)
  .value("RCR32ri_EVEX", LIEF::assembly::x86::OPCODE::RCR32ri_EVEX)
  .value("RCR32ri_ND", LIEF::assembly::x86::OPCODE::RCR32ri_ND)
  .value("RCR64m1", LIEF::assembly::x86::OPCODE::RCR64m1)
  .value("RCR64m1_EVEX", LIEF::assembly::x86::OPCODE::RCR64m1_EVEX)
  .value("RCR64m1_ND", LIEF::assembly::x86::OPCODE::RCR64m1_ND)
  .value("RCR64mCL", LIEF::assembly::x86::OPCODE::RCR64mCL)
  .value("RCR64mCL_EVEX", LIEF::assembly::x86::OPCODE::RCR64mCL_EVEX)
  .value("RCR64mCL_ND", LIEF::assembly::x86::OPCODE::RCR64mCL_ND)
  .value("RCR64mi", LIEF::assembly::x86::OPCODE::RCR64mi)
  .value("RCR64mi_EVEX", LIEF::assembly::x86::OPCODE::RCR64mi_EVEX)
  .value("RCR64mi_ND", LIEF::assembly::x86::OPCODE::RCR64mi_ND)
  .value("RCR64r1", LIEF::assembly::x86::OPCODE::RCR64r1)
  .value("RCR64r1_EVEX", LIEF::assembly::x86::OPCODE::RCR64r1_EVEX)
  .value("RCR64r1_ND", LIEF::assembly::x86::OPCODE::RCR64r1_ND)
  .value("RCR64rCL", LIEF::assembly::x86::OPCODE::RCR64rCL)
  .value("RCR64rCL_EVEX", LIEF::assembly::x86::OPCODE::RCR64rCL_EVEX)
  .value("RCR64rCL_ND", LIEF::assembly::x86::OPCODE::RCR64rCL_ND)
  .value("RCR64ri", LIEF::assembly::x86::OPCODE::RCR64ri)
  .value("RCR64ri_EVEX", LIEF::assembly::x86::OPCODE::RCR64ri_EVEX)
  .value("RCR64ri_ND", LIEF::assembly::x86::OPCODE::RCR64ri_ND)
  .value("RCR8m1", LIEF::assembly::x86::OPCODE::RCR8m1)
  .value("RCR8m1_EVEX", LIEF::assembly::x86::OPCODE::RCR8m1_EVEX)
  .value("RCR8m1_ND", LIEF::assembly::x86::OPCODE::RCR8m1_ND)
  .value("RCR8mCL", LIEF::assembly::x86::OPCODE::RCR8mCL)
  .value("RCR8mCL_EVEX", LIEF::assembly::x86::OPCODE::RCR8mCL_EVEX)
  .value("RCR8mCL_ND", LIEF::assembly::x86::OPCODE::RCR8mCL_ND)
  .value("RCR8mi", LIEF::assembly::x86::OPCODE::RCR8mi)
  .value("RCR8mi_EVEX", LIEF::assembly::x86::OPCODE::RCR8mi_EVEX)
  .value("RCR8mi_ND", LIEF::assembly::x86::OPCODE::RCR8mi_ND)
  .value("RCR8r1", LIEF::assembly::x86::OPCODE::RCR8r1)
  .value("RCR8r1_EVEX", LIEF::assembly::x86::OPCODE::RCR8r1_EVEX)
  .value("RCR8r1_ND", LIEF::assembly::x86::OPCODE::RCR8r1_ND)
  .value("RCR8rCL", LIEF::assembly::x86::OPCODE::RCR8rCL)
  .value("RCR8rCL_EVEX", LIEF::assembly::x86::OPCODE::RCR8rCL_EVEX)
  .value("RCR8rCL_ND", LIEF::assembly::x86::OPCODE::RCR8rCL_ND)
  .value("RCR8ri", LIEF::assembly::x86::OPCODE::RCR8ri);
  opcodes.value("RCR8ri_EVEX", LIEF::assembly::x86::OPCODE::RCR8ri_EVEX)
  .value("RCR8ri_ND", LIEF::assembly::x86::OPCODE::RCR8ri_ND)
  .value("RDFSBASE", LIEF::assembly::x86::OPCODE::RDFSBASE)
  .value("RDFSBASE64", LIEF::assembly::x86::OPCODE::RDFSBASE64)
  .value("RDGSBASE", LIEF::assembly::x86::OPCODE::RDGSBASE)
  .value("RDGSBASE64", LIEF::assembly::x86::OPCODE::RDGSBASE64)
  .value("RDMSR", LIEF::assembly::x86::OPCODE::RDMSR)
  .value("RDMSRLIST", LIEF::assembly::x86::OPCODE::RDMSRLIST)
  .value("RDPID32", LIEF::assembly::x86::OPCODE::RDPID32)
  .value("RDPID64", LIEF::assembly::x86::OPCODE::RDPID64)
  .value("RDPKRUr", LIEF::assembly::x86::OPCODE::RDPKRUr)
  .value("RDPMC", LIEF::assembly::x86::OPCODE::RDPMC)
  .value("RDPRU", LIEF::assembly::x86::OPCODE::RDPRU)
  .value("RDRAND16r", LIEF::assembly::x86::OPCODE::RDRAND16r)
  .value("RDRAND32r", LIEF::assembly::x86::OPCODE::RDRAND32r)
  .value("RDRAND64r", LIEF::assembly::x86::OPCODE::RDRAND64r)
  .value("RDSEED16r", LIEF::assembly::x86::OPCODE::RDSEED16r)
  .value("RDSEED32r", LIEF::assembly::x86::OPCODE::RDSEED32r)
  .value("RDSEED64r", LIEF::assembly::x86::OPCODE::RDSEED64r)
  .value("RDSSPD", LIEF::assembly::x86::OPCODE::RDSSPD)
  .value("RDSSPQ", LIEF::assembly::x86::OPCODE::RDSSPQ)
  .value("RDTSC", LIEF::assembly::x86::OPCODE::RDTSC)
  .value("RDTSCP", LIEF::assembly::x86::OPCODE::RDTSCP)
  .value("REPNE_PREFIX", LIEF::assembly::x86::OPCODE::REPNE_PREFIX)
  .value("REP_MOVSB_32", LIEF::assembly::x86::OPCODE::REP_MOVSB_32)
  .value("REP_MOVSB_64", LIEF::assembly::x86::OPCODE::REP_MOVSB_64)
  .value("REP_MOVSD_32", LIEF::assembly::x86::OPCODE::REP_MOVSD_32)
  .value("REP_MOVSD_64", LIEF::assembly::x86::OPCODE::REP_MOVSD_64)
  .value("REP_MOVSQ_32", LIEF::assembly::x86::OPCODE::REP_MOVSQ_32)
  .value("REP_MOVSQ_64", LIEF::assembly::x86::OPCODE::REP_MOVSQ_64)
  .value("REP_MOVSW_32", LIEF::assembly::x86::OPCODE::REP_MOVSW_32)
  .value("REP_MOVSW_64", LIEF::assembly::x86::OPCODE::REP_MOVSW_64)
  .value("REP_PREFIX", LIEF::assembly::x86::OPCODE::REP_PREFIX)
  .value("REP_STOSB_32", LIEF::assembly::x86::OPCODE::REP_STOSB_32)
  .value("REP_STOSB_64", LIEF::assembly::x86::OPCODE::REP_STOSB_64)
  .value("REP_STOSD_32", LIEF::assembly::x86::OPCODE::REP_STOSD_32)
  .value("REP_STOSD_64", LIEF::assembly::x86::OPCODE::REP_STOSD_64)
  .value("REP_STOSQ_32", LIEF::assembly::x86::OPCODE::REP_STOSQ_32)
  .value("REP_STOSQ_64", LIEF::assembly::x86::OPCODE::REP_STOSQ_64)
  .value("REP_STOSW_32", LIEF::assembly::x86::OPCODE::REP_STOSW_32)
  .value("REP_STOSW_64", LIEF::assembly::x86::OPCODE::REP_STOSW_64)
  .value("RET", LIEF::assembly::x86::OPCODE::RET)
  .value("RET16", LIEF::assembly::x86::OPCODE::RET16)
  .value("RET32", LIEF::assembly::x86::OPCODE::RET32)
  .value("RET64", LIEF::assembly::x86::OPCODE::RET64)
  .value("RETI16", LIEF::assembly::x86::OPCODE::RETI16)
  .value("RETI32", LIEF::assembly::x86::OPCODE::RETI32)
  .value("RETI64", LIEF::assembly::x86::OPCODE::RETI64)
  .value("REX64_PREFIX", LIEF::assembly::x86::OPCODE::REX64_PREFIX)
  .value("RMPADJUST", LIEF::assembly::x86::OPCODE::RMPADJUST)
  .value("RMPQUERY", LIEF::assembly::x86::OPCODE::RMPQUERY)
  .value("RMPUPDATE", LIEF::assembly::x86::OPCODE::RMPUPDATE)
  .value("ROL16m1", LIEF::assembly::x86::OPCODE::ROL16m1)
  .value("ROL16m1_EVEX", LIEF::assembly::x86::OPCODE::ROL16m1_EVEX)
  .value("ROL16m1_ND", LIEF::assembly::x86::OPCODE::ROL16m1_ND)
  .value("ROL16m1_NF", LIEF::assembly::x86::OPCODE::ROL16m1_NF)
  .value("ROL16m1_NF_ND", LIEF::assembly::x86::OPCODE::ROL16m1_NF_ND)
  .value("ROL16mCL", LIEF::assembly::x86::OPCODE::ROL16mCL)
  .value("ROL16mCL_EVEX", LIEF::assembly::x86::OPCODE::ROL16mCL_EVEX)
  .value("ROL16mCL_ND", LIEF::assembly::x86::OPCODE::ROL16mCL_ND)
  .value("ROL16mCL_NF", LIEF::assembly::x86::OPCODE::ROL16mCL_NF)
  .value("ROL16mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL16mCL_NF_ND)
  .value("ROL16mi", LIEF::assembly::x86::OPCODE::ROL16mi)
  .value("ROL16mi_EVEX", LIEF::assembly::x86::OPCODE::ROL16mi_EVEX)
  .value("ROL16mi_ND", LIEF::assembly::x86::OPCODE::ROL16mi_ND)
  .value("ROL16mi_NF", LIEF::assembly::x86::OPCODE::ROL16mi_NF)
  .value("ROL16mi_NF_ND", LIEF::assembly::x86::OPCODE::ROL16mi_NF_ND)
  .value("ROL16r1", LIEF::assembly::x86::OPCODE::ROL16r1)
  .value("ROL16r1_EVEX", LIEF::assembly::x86::OPCODE::ROL16r1_EVEX)
  .value("ROL16r1_ND", LIEF::assembly::x86::OPCODE::ROL16r1_ND)
  .value("ROL16r1_NF", LIEF::assembly::x86::OPCODE::ROL16r1_NF)
  .value("ROL16r1_NF_ND", LIEF::assembly::x86::OPCODE::ROL16r1_NF_ND)
  .value("ROL16rCL", LIEF::assembly::x86::OPCODE::ROL16rCL)
  .value("ROL16rCL_EVEX", LIEF::assembly::x86::OPCODE::ROL16rCL_EVEX)
  .value("ROL16rCL_ND", LIEF::assembly::x86::OPCODE::ROL16rCL_ND)
  .value("ROL16rCL_NF", LIEF::assembly::x86::OPCODE::ROL16rCL_NF)
  .value("ROL16rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL16rCL_NF_ND)
  .value("ROL16ri", LIEF::assembly::x86::OPCODE::ROL16ri)
  .value("ROL16ri_EVEX", LIEF::assembly::x86::OPCODE::ROL16ri_EVEX)
  .value("ROL16ri_ND", LIEF::assembly::x86::OPCODE::ROL16ri_ND)
  .value("ROL16ri_NF", LIEF::assembly::x86::OPCODE::ROL16ri_NF)
  .value("ROL16ri_NF_ND", LIEF::assembly::x86::OPCODE::ROL16ri_NF_ND)
  .value("ROL32m1", LIEF::assembly::x86::OPCODE::ROL32m1)
  .value("ROL32m1_EVEX", LIEF::assembly::x86::OPCODE::ROL32m1_EVEX)
  .value("ROL32m1_ND", LIEF::assembly::x86::OPCODE::ROL32m1_ND)
  .value("ROL32m1_NF", LIEF::assembly::x86::OPCODE::ROL32m1_NF)
  .value("ROL32m1_NF_ND", LIEF::assembly::x86::OPCODE::ROL32m1_NF_ND)
  .value("ROL32mCL", LIEF::assembly::x86::OPCODE::ROL32mCL)
  .value("ROL32mCL_EVEX", LIEF::assembly::x86::OPCODE::ROL32mCL_EVEX)
  .value("ROL32mCL_ND", LIEF::assembly::x86::OPCODE::ROL32mCL_ND)
  .value("ROL32mCL_NF", LIEF::assembly::x86::OPCODE::ROL32mCL_NF)
  .value("ROL32mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL32mCL_NF_ND)
  .value("ROL32mi", LIEF::assembly::x86::OPCODE::ROL32mi)
  .value("ROL32mi_EVEX", LIEF::assembly::x86::OPCODE::ROL32mi_EVEX)
  .value("ROL32mi_ND", LIEF::assembly::x86::OPCODE::ROL32mi_ND)
  .value("ROL32mi_NF", LIEF::assembly::x86::OPCODE::ROL32mi_NF)
  .value("ROL32mi_NF_ND", LIEF::assembly::x86::OPCODE::ROL32mi_NF_ND)
  .value("ROL32r1", LIEF::assembly::x86::OPCODE::ROL32r1)
  .value("ROL32r1_EVEX", LIEF::assembly::x86::OPCODE::ROL32r1_EVEX)
  .value("ROL32r1_ND", LIEF::assembly::x86::OPCODE::ROL32r1_ND)
  .value("ROL32r1_NF", LIEF::assembly::x86::OPCODE::ROL32r1_NF)
  .value("ROL32r1_NF_ND", LIEF::assembly::x86::OPCODE::ROL32r1_NF_ND)
  .value("ROL32rCL", LIEF::assembly::x86::OPCODE::ROL32rCL)
  .value("ROL32rCL_EVEX", LIEF::assembly::x86::OPCODE::ROL32rCL_EVEX)
  .value("ROL32rCL_ND", LIEF::assembly::x86::OPCODE::ROL32rCL_ND)
  .value("ROL32rCL_NF", LIEF::assembly::x86::OPCODE::ROL32rCL_NF)
  .value("ROL32rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL32rCL_NF_ND)
  .value("ROL32ri", LIEF::assembly::x86::OPCODE::ROL32ri)
  .value("ROL32ri_EVEX", LIEF::assembly::x86::OPCODE::ROL32ri_EVEX)
  .value("ROL32ri_ND", LIEF::assembly::x86::OPCODE::ROL32ri_ND)
  .value("ROL32ri_NF", LIEF::assembly::x86::OPCODE::ROL32ri_NF)
  .value("ROL32ri_NF_ND", LIEF::assembly::x86::OPCODE::ROL32ri_NF_ND)
  .value("ROL64m1", LIEF::assembly::x86::OPCODE::ROL64m1)
  .value("ROL64m1_EVEX", LIEF::assembly::x86::OPCODE::ROL64m1_EVEX)
  .value("ROL64m1_ND", LIEF::assembly::x86::OPCODE::ROL64m1_ND)
  .value("ROL64m1_NF", LIEF::assembly::x86::OPCODE::ROL64m1_NF)
  .value("ROL64m1_NF_ND", LIEF::assembly::x86::OPCODE::ROL64m1_NF_ND)
  .value("ROL64mCL", LIEF::assembly::x86::OPCODE::ROL64mCL)
  .value("ROL64mCL_EVEX", LIEF::assembly::x86::OPCODE::ROL64mCL_EVEX)
  .value("ROL64mCL_ND", LIEF::assembly::x86::OPCODE::ROL64mCL_ND)
  .value("ROL64mCL_NF", LIEF::assembly::x86::OPCODE::ROL64mCL_NF)
  .value("ROL64mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL64mCL_NF_ND)
  .value("ROL64mi", LIEF::assembly::x86::OPCODE::ROL64mi)
  .value("ROL64mi_EVEX", LIEF::assembly::x86::OPCODE::ROL64mi_EVEX)
  .value("ROL64mi_ND", LIEF::assembly::x86::OPCODE::ROL64mi_ND)
  .value("ROL64mi_NF", LIEF::assembly::x86::OPCODE::ROL64mi_NF)
  .value("ROL64mi_NF_ND", LIEF::assembly::x86::OPCODE::ROL64mi_NF_ND)
  .value("ROL64r1", LIEF::assembly::x86::OPCODE::ROL64r1)
  .value("ROL64r1_EVEX", LIEF::assembly::x86::OPCODE::ROL64r1_EVEX)
  .value("ROL64r1_ND", LIEF::assembly::x86::OPCODE::ROL64r1_ND)
  .value("ROL64r1_NF", LIEF::assembly::x86::OPCODE::ROL64r1_NF)
  .value("ROL64r1_NF_ND", LIEF::assembly::x86::OPCODE::ROL64r1_NF_ND)
  .value("ROL64rCL", LIEF::assembly::x86::OPCODE::ROL64rCL)
  .value("ROL64rCL_EVEX", LIEF::assembly::x86::OPCODE::ROL64rCL_EVEX)
  .value("ROL64rCL_ND", LIEF::assembly::x86::OPCODE::ROL64rCL_ND)
  .value("ROL64rCL_NF", LIEF::assembly::x86::OPCODE::ROL64rCL_NF)
  .value("ROL64rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL64rCL_NF_ND)
  .value("ROL64ri", LIEF::assembly::x86::OPCODE::ROL64ri)
  .value("ROL64ri_EVEX", LIEF::assembly::x86::OPCODE::ROL64ri_EVEX)
  .value("ROL64ri_ND", LIEF::assembly::x86::OPCODE::ROL64ri_ND)
  .value("ROL64ri_NF", LIEF::assembly::x86::OPCODE::ROL64ri_NF)
  .value("ROL64ri_NF_ND", LIEF::assembly::x86::OPCODE::ROL64ri_NF_ND)
  .value("ROL8m1", LIEF::assembly::x86::OPCODE::ROL8m1)
  .value("ROL8m1_EVEX", LIEF::assembly::x86::OPCODE::ROL8m1_EVEX)
  .value("ROL8m1_ND", LIEF::assembly::x86::OPCODE::ROL8m1_ND)
  .value("ROL8m1_NF", LIEF::assembly::x86::OPCODE::ROL8m1_NF)
  .value("ROL8m1_NF_ND", LIEF::assembly::x86::OPCODE::ROL8m1_NF_ND)
  .value("ROL8mCL", LIEF::assembly::x86::OPCODE::ROL8mCL)
  .value("ROL8mCL_EVEX", LIEF::assembly::x86::OPCODE::ROL8mCL_EVEX)
  .value("ROL8mCL_ND", LIEF::assembly::x86::OPCODE::ROL8mCL_ND)
  .value("ROL8mCL_NF", LIEF::assembly::x86::OPCODE::ROL8mCL_NF)
  .value("ROL8mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL8mCL_NF_ND)
  .value("ROL8mi", LIEF::assembly::x86::OPCODE::ROL8mi)
  .value("ROL8mi_EVEX", LIEF::assembly::x86::OPCODE::ROL8mi_EVEX)
  .value("ROL8mi_ND", LIEF::assembly::x86::OPCODE::ROL8mi_ND)
  .value("ROL8mi_NF", LIEF::assembly::x86::OPCODE::ROL8mi_NF)
  .value("ROL8mi_NF_ND", LIEF::assembly::x86::OPCODE::ROL8mi_NF_ND)
  .value("ROL8r1", LIEF::assembly::x86::OPCODE::ROL8r1)
  .value("ROL8r1_EVEX", LIEF::assembly::x86::OPCODE::ROL8r1_EVEX)
  .value("ROL8r1_ND", LIEF::assembly::x86::OPCODE::ROL8r1_ND)
  .value("ROL8r1_NF", LIEF::assembly::x86::OPCODE::ROL8r1_NF)
  .value("ROL8r1_NF_ND", LIEF::assembly::x86::OPCODE::ROL8r1_NF_ND)
  .value("ROL8rCL", LIEF::assembly::x86::OPCODE::ROL8rCL)
  .value("ROL8rCL_EVEX", LIEF::assembly::x86::OPCODE::ROL8rCL_EVEX)
  .value("ROL8rCL_ND", LIEF::assembly::x86::OPCODE::ROL8rCL_ND)
  .value("ROL8rCL_NF", LIEF::assembly::x86::OPCODE::ROL8rCL_NF)
  .value("ROL8rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROL8rCL_NF_ND)
  .value("ROL8ri", LIEF::assembly::x86::OPCODE::ROL8ri)
  .value("ROL8ri_EVEX", LIEF::assembly::x86::OPCODE::ROL8ri_EVEX)
  .value("ROL8ri_ND", LIEF::assembly::x86::OPCODE::ROL8ri_ND)
  .value("ROL8ri_NF", LIEF::assembly::x86::OPCODE::ROL8ri_NF)
  .value("ROL8ri_NF_ND", LIEF::assembly::x86::OPCODE::ROL8ri_NF_ND)
  .value("ROR16m1", LIEF::assembly::x86::OPCODE::ROR16m1)
  .value("ROR16m1_EVEX", LIEF::assembly::x86::OPCODE::ROR16m1_EVEX)
  .value("ROR16m1_ND", LIEF::assembly::x86::OPCODE::ROR16m1_ND)
  .value("ROR16m1_NF", LIEF::assembly::x86::OPCODE::ROR16m1_NF)
  .value("ROR16m1_NF_ND", LIEF::assembly::x86::OPCODE::ROR16m1_NF_ND)
  .value("ROR16mCL", LIEF::assembly::x86::OPCODE::ROR16mCL)
  .value("ROR16mCL_EVEX", LIEF::assembly::x86::OPCODE::ROR16mCL_EVEX)
  .value("ROR16mCL_ND", LIEF::assembly::x86::OPCODE::ROR16mCL_ND)
  .value("ROR16mCL_NF", LIEF::assembly::x86::OPCODE::ROR16mCL_NF)
  .value("ROR16mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR16mCL_NF_ND)
  .value("ROR16mi", LIEF::assembly::x86::OPCODE::ROR16mi)
  .value("ROR16mi_EVEX", LIEF::assembly::x86::OPCODE::ROR16mi_EVEX)
  .value("ROR16mi_ND", LIEF::assembly::x86::OPCODE::ROR16mi_ND)
  .value("ROR16mi_NF", LIEF::assembly::x86::OPCODE::ROR16mi_NF)
  .value("ROR16mi_NF_ND", LIEF::assembly::x86::OPCODE::ROR16mi_NF_ND)
  .value("ROR16r1", LIEF::assembly::x86::OPCODE::ROR16r1)
  .value("ROR16r1_EVEX", LIEF::assembly::x86::OPCODE::ROR16r1_EVEX)
  .value("ROR16r1_ND", LIEF::assembly::x86::OPCODE::ROR16r1_ND)
  .value("ROR16r1_NF", LIEF::assembly::x86::OPCODE::ROR16r1_NF)
  .value("ROR16r1_NF_ND", LIEF::assembly::x86::OPCODE::ROR16r1_NF_ND)
  .value("ROR16rCL", LIEF::assembly::x86::OPCODE::ROR16rCL)
  .value("ROR16rCL_EVEX", LIEF::assembly::x86::OPCODE::ROR16rCL_EVEX)
  .value("ROR16rCL_ND", LIEF::assembly::x86::OPCODE::ROR16rCL_ND)
  .value("ROR16rCL_NF", LIEF::assembly::x86::OPCODE::ROR16rCL_NF)
  .value("ROR16rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR16rCL_NF_ND)
  .value("ROR16ri", LIEF::assembly::x86::OPCODE::ROR16ri)
  .value("ROR16ri_EVEX", LIEF::assembly::x86::OPCODE::ROR16ri_EVEX)
  .value("ROR16ri_ND", LIEF::assembly::x86::OPCODE::ROR16ri_ND)
  .value("ROR16ri_NF", LIEF::assembly::x86::OPCODE::ROR16ri_NF)
  .value("ROR16ri_NF_ND", LIEF::assembly::x86::OPCODE::ROR16ri_NF_ND)
  .value("ROR32m1", LIEF::assembly::x86::OPCODE::ROR32m1)
  .value("ROR32m1_EVEX", LIEF::assembly::x86::OPCODE::ROR32m1_EVEX)
  .value("ROR32m1_ND", LIEF::assembly::x86::OPCODE::ROR32m1_ND)
  .value("ROR32m1_NF", LIEF::assembly::x86::OPCODE::ROR32m1_NF)
  .value("ROR32m1_NF_ND", LIEF::assembly::x86::OPCODE::ROR32m1_NF_ND)
  .value("ROR32mCL", LIEF::assembly::x86::OPCODE::ROR32mCL)
  .value("ROR32mCL_EVEX", LIEF::assembly::x86::OPCODE::ROR32mCL_EVEX)
  .value("ROR32mCL_ND", LIEF::assembly::x86::OPCODE::ROR32mCL_ND)
  .value("ROR32mCL_NF", LIEF::assembly::x86::OPCODE::ROR32mCL_NF)
  .value("ROR32mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR32mCL_NF_ND)
  .value("ROR32mi", LIEF::assembly::x86::OPCODE::ROR32mi)
  .value("ROR32mi_EVEX", LIEF::assembly::x86::OPCODE::ROR32mi_EVEX)
  .value("ROR32mi_ND", LIEF::assembly::x86::OPCODE::ROR32mi_ND)
  .value("ROR32mi_NF", LIEF::assembly::x86::OPCODE::ROR32mi_NF)
  .value("ROR32mi_NF_ND", LIEF::assembly::x86::OPCODE::ROR32mi_NF_ND)
  .value("ROR32r1", LIEF::assembly::x86::OPCODE::ROR32r1)
  .value("ROR32r1_EVEX", LIEF::assembly::x86::OPCODE::ROR32r1_EVEX)
  .value("ROR32r1_ND", LIEF::assembly::x86::OPCODE::ROR32r1_ND)
  .value("ROR32r1_NF", LIEF::assembly::x86::OPCODE::ROR32r1_NF)
  .value("ROR32r1_NF_ND", LIEF::assembly::x86::OPCODE::ROR32r1_NF_ND)
  .value("ROR32rCL", LIEF::assembly::x86::OPCODE::ROR32rCL)
  .value("ROR32rCL_EVEX", LIEF::assembly::x86::OPCODE::ROR32rCL_EVEX)
  .value("ROR32rCL_ND", LIEF::assembly::x86::OPCODE::ROR32rCL_ND)
  .value("ROR32rCL_NF", LIEF::assembly::x86::OPCODE::ROR32rCL_NF)
  .value("ROR32rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR32rCL_NF_ND)
  .value("ROR32ri", LIEF::assembly::x86::OPCODE::ROR32ri)
  .value("ROR32ri_EVEX", LIEF::assembly::x86::OPCODE::ROR32ri_EVEX)
  .value("ROR32ri_ND", LIEF::assembly::x86::OPCODE::ROR32ri_ND)
  .value("ROR32ri_NF", LIEF::assembly::x86::OPCODE::ROR32ri_NF)
  .value("ROR32ri_NF_ND", LIEF::assembly::x86::OPCODE::ROR32ri_NF_ND)
  .value("ROR64m1", LIEF::assembly::x86::OPCODE::ROR64m1)
  .value("ROR64m1_EVEX", LIEF::assembly::x86::OPCODE::ROR64m1_EVEX)
  .value("ROR64m1_ND", LIEF::assembly::x86::OPCODE::ROR64m1_ND)
  .value("ROR64m1_NF", LIEF::assembly::x86::OPCODE::ROR64m1_NF)
  .value("ROR64m1_NF_ND", LIEF::assembly::x86::OPCODE::ROR64m1_NF_ND)
  .value("ROR64mCL", LIEF::assembly::x86::OPCODE::ROR64mCL)
  .value("ROR64mCL_EVEX", LIEF::assembly::x86::OPCODE::ROR64mCL_EVEX)
  .value("ROR64mCL_ND", LIEF::assembly::x86::OPCODE::ROR64mCL_ND)
  .value("ROR64mCL_NF", LIEF::assembly::x86::OPCODE::ROR64mCL_NF)
  .value("ROR64mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR64mCL_NF_ND)
  .value("ROR64mi", LIEF::assembly::x86::OPCODE::ROR64mi)
  .value("ROR64mi_EVEX", LIEF::assembly::x86::OPCODE::ROR64mi_EVEX)
  .value("ROR64mi_ND", LIEF::assembly::x86::OPCODE::ROR64mi_ND)
  .value("ROR64mi_NF", LIEF::assembly::x86::OPCODE::ROR64mi_NF)
  .value("ROR64mi_NF_ND", LIEF::assembly::x86::OPCODE::ROR64mi_NF_ND)
  .value("ROR64r1", LIEF::assembly::x86::OPCODE::ROR64r1)
  .value("ROR64r1_EVEX", LIEF::assembly::x86::OPCODE::ROR64r1_EVEX)
  .value("ROR64r1_ND", LIEF::assembly::x86::OPCODE::ROR64r1_ND)
  .value("ROR64r1_NF", LIEF::assembly::x86::OPCODE::ROR64r1_NF)
  .value("ROR64r1_NF_ND", LIEF::assembly::x86::OPCODE::ROR64r1_NF_ND)
  .value("ROR64rCL", LIEF::assembly::x86::OPCODE::ROR64rCL)
  .value("ROR64rCL_EVEX", LIEF::assembly::x86::OPCODE::ROR64rCL_EVEX)
  .value("ROR64rCL_ND", LIEF::assembly::x86::OPCODE::ROR64rCL_ND)
  .value("ROR64rCL_NF", LIEF::assembly::x86::OPCODE::ROR64rCL_NF)
  .value("ROR64rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR64rCL_NF_ND)
  .value("ROR64ri", LIEF::assembly::x86::OPCODE::ROR64ri)
  .value("ROR64ri_EVEX", LIEF::assembly::x86::OPCODE::ROR64ri_EVEX)
  .value("ROR64ri_ND", LIEF::assembly::x86::OPCODE::ROR64ri_ND)
  .value("ROR64ri_NF", LIEF::assembly::x86::OPCODE::ROR64ri_NF)
  .value("ROR64ri_NF_ND", LIEF::assembly::x86::OPCODE::ROR64ri_NF_ND)
  .value("ROR8m1", LIEF::assembly::x86::OPCODE::ROR8m1)
  .value("ROR8m1_EVEX", LIEF::assembly::x86::OPCODE::ROR8m1_EVEX)
  .value("ROR8m1_ND", LIEF::assembly::x86::OPCODE::ROR8m1_ND)
  .value("ROR8m1_NF", LIEF::assembly::x86::OPCODE::ROR8m1_NF)
  .value("ROR8m1_NF_ND", LIEF::assembly::x86::OPCODE::ROR8m1_NF_ND)
  .value("ROR8mCL", LIEF::assembly::x86::OPCODE::ROR8mCL)
  .value("ROR8mCL_EVEX", LIEF::assembly::x86::OPCODE::ROR8mCL_EVEX)
  .value("ROR8mCL_ND", LIEF::assembly::x86::OPCODE::ROR8mCL_ND)
  .value("ROR8mCL_NF", LIEF::assembly::x86::OPCODE::ROR8mCL_NF)
  .value("ROR8mCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR8mCL_NF_ND)
  .value("ROR8mi", LIEF::assembly::x86::OPCODE::ROR8mi)
  .value("ROR8mi_EVEX", LIEF::assembly::x86::OPCODE::ROR8mi_EVEX)
  .value("ROR8mi_ND", LIEF::assembly::x86::OPCODE::ROR8mi_ND)
  .value("ROR8mi_NF", LIEF::assembly::x86::OPCODE::ROR8mi_NF)
  .value("ROR8mi_NF_ND", LIEF::assembly::x86::OPCODE::ROR8mi_NF_ND)
  .value("ROR8r1", LIEF::assembly::x86::OPCODE::ROR8r1)
  .value("ROR8r1_EVEX", LIEF::assembly::x86::OPCODE::ROR8r1_EVEX)
  .value("ROR8r1_ND", LIEF::assembly::x86::OPCODE::ROR8r1_ND)
  .value("ROR8r1_NF", LIEF::assembly::x86::OPCODE::ROR8r1_NF)
  .value("ROR8r1_NF_ND", LIEF::assembly::x86::OPCODE::ROR8r1_NF_ND)
  .value("ROR8rCL", LIEF::assembly::x86::OPCODE::ROR8rCL)
  .value("ROR8rCL_EVEX", LIEF::assembly::x86::OPCODE::ROR8rCL_EVEX)
  .value("ROR8rCL_ND", LIEF::assembly::x86::OPCODE::ROR8rCL_ND)
  .value("ROR8rCL_NF", LIEF::assembly::x86::OPCODE::ROR8rCL_NF)
  .value("ROR8rCL_NF_ND", LIEF::assembly::x86::OPCODE::ROR8rCL_NF_ND)
  .value("ROR8ri", LIEF::assembly::x86::OPCODE::ROR8ri)
  .value("ROR8ri_EVEX", LIEF::assembly::x86::OPCODE::ROR8ri_EVEX)
  .value("ROR8ri_ND", LIEF::assembly::x86::OPCODE::ROR8ri_ND)
  .value("ROR8ri_NF", LIEF::assembly::x86::OPCODE::ROR8ri_NF)
  .value("ROR8ri_NF_ND", LIEF::assembly::x86::OPCODE::ROR8ri_NF_ND)
  .value("RORX32mi", LIEF::assembly::x86::OPCODE::RORX32mi)
  .value("RORX32mi_EVEX", LIEF::assembly::x86::OPCODE::RORX32mi_EVEX)
  .value("RORX32ri", LIEF::assembly::x86::OPCODE::RORX32ri)
  .value("RORX32ri_EVEX", LIEF::assembly::x86::OPCODE::RORX32ri_EVEX)
  .value("RORX64mi", LIEF::assembly::x86::OPCODE::RORX64mi)
  .value("RORX64mi_EVEX", LIEF::assembly::x86::OPCODE::RORX64mi_EVEX)
  .value("RORX64ri", LIEF::assembly::x86::OPCODE::RORX64ri)
  .value("RORX64ri_EVEX", LIEF::assembly::x86::OPCODE::RORX64ri_EVEX);
  opcodes.value("ROUNDPDmi", LIEF::assembly::x86::OPCODE::ROUNDPDmi)
  .value("ROUNDPDri", LIEF::assembly::x86::OPCODE::ROUNDPDri)
  .value("ROUNDPSmi", LIEF::assembly::x86::OPCODE::ROUNDPSmi)
  .value("ROUNDPSri", LIEF::assembly::x86::OPCODE::ROUNDPSri)
  .value("ROUNDSDmi", LIEF::assembly::x86::OPCODE::ROUNDSDmi)
  .value("ROUNDSDmi_Int", LIEF::assembly::x86::OPCODE::ROUNDSDmi_Int)
  .value("ROUNDSDri", LIEF::assembly::x86::OPCODE::ROUNDSDri)
  .value("ROUNDSDri_Int", LIEF::assembly::x86::OPCODE::ROUNDSDri_Int)
  .value("ROUNDSSmi", LIEF::assembly::x86::OPCODE::ROUNDSSmi)
  .value("ROUNDSSmi_Int", LIEF::assembly::x86::OPCODE::ROUNDSSmi_Int)
  .value("ROUNDSSri", LIEF::assembly::x86::OPCODE::ROUNDSSri)
  .value("ROUNDSSri_Int", LIEF::assembly::x86::OPCODE::ROUNDSSri_Int)
  .value("RSM", LIEF::assembly::x86::OPCODE::RSM)
  .value("RSQRTPSm", LIEF::assembly::x86::OPCODE::RSQRTPSm)
  .value("RSQRTPSr", LIEF::assembly::x86::OPCODE::RSQRTPSr)
  .value("RSQRTSSm", LIEF::assembly::x86::OPCODE::RSQRTSSm)
  .value("RSQRTSSm_Int", LIEF::assembly::x86::OPCODE::RSQRTSSm_Int)
  .value("RSQRTSSr", LIEF::assembly::x86::OPCODE::RSQRTSSr)
  .value("RSQRTSSr_Int", LIEF::assembly::x86::OPCODE::RSQRTSSr_Int)
  .value("RSTORSSP", LIEF::assembly::x86::OPCODE::RSTORSSP)
  .value("SAHF", LIEF::assembly::x86::OPCODE::SAHF)
  .value("SALC", LIEF::assembly::x86::OPCODE::SALC)
  .value("SAR16m1", LIEF::assembly::x86::OPCODE::SAR16m1)
  .value("SAR16m1_EVEX", LIEF::assembly::x86::OPCODE::SAR16m1_EVEX)
  .value("SAR16m1_ND", LIEF::assembly::x86::OPCODE::SAR16m1_ND)
  .value("SAR16m1_NF", LIEF::assembly::x86::OPCODE::SAR16m1_NF)
  .value("SAR16m1_NF_ND", LIEF::assembly::x86::OPCODE::SAR16m1_NF_ND)
  .value("SAR16mCL", LIEF::assembly::x86::OPCODE::SAR16mCL)
  .value("SAR16mCL_EVEX", LIEF::assembly::x86::OPCODE::SAR16mCL_EVEX)
  .value("SAR16mCL_ND", LIEF::assembly::x86::OPCODE::SAR16mCL_ND)
  .value("SAR16mCL_NF", LIEF::assembly::x86::OPCODE::SAR16mCL_NF)
  .value("SAR16mCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR16mCL_NF_ND)
  .value("SAR16mi", LIEF::assembly::x86::OPCODE::SAR16mi)
  .value("SAR16mi_EVEX", LIEF::assembly::x86::OPCODE::SAR16mi_EVEX)
  .value("SAR16mi_ND", LIEF::assembly::x86::OPCODE::SAR16mi_ND)
  .value("SAR16mi_NF", LIEF::assembly::x86::OPCODE::SAR16mi_NF)
  .value("SAR16mi_NF_ND", LIEF::assembly::x86::OPCODE::SAR16mi_NF_ND)
  .value("SAR16r1", LIEF::assembly::x86::OPCODE::SAR16r1)
  .value("SAR16r1_EVEX", LIEF::assembly::x86::OPCODE::SAR16r1_EVEX)
  .value("SAR16r1_ND", LIEF::assembly::x86::OPCODE::SAR16r1_ND)
  .value("SAR16r1_NF", LIEF::assembly::x86::OPCODE::SAR16r1_NF)
  .value("SAR16r1_NF_ND", LIEF::assembly::x86::OPCODE::SAR16r1_NF_ND)
  .value("SAR16rCL", LIEF::assembly::x86::OPCODE::SAR16rCL)
  .value("SAR16rCL_EVEX", LIEF::assembly::x86::OPCODE::SAR16rCL_EVEX)
  .value("SAR16rCL_ND", LIEF::assembly::x86::OPCODE::SAR16rCL_ND)
  .value("SAR16rCL_NF", LIEF::assembly::x86::OPCODE::SAR16rCL_NF)
  .value("SAR16rCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR16rCL_NF_ND)
  .value("SAR16ri", LIEF::assembly::x86::OPCODE::SAR16ri)
  .value("SAR16ri_EVEX", LIEF::assembly::x86::OPCODE::SAR16ri_EVEX)
  .value("SAR16ri_ND", LIEF::assembly::x86::OPCODE::SAR16ri_ND)
  .value("SAR16ri_NF", LIEF::assembly::x86::OPCODE::SAR16ri_NF)
  .value("SAR16ri_NF_ND", LIEF::assembly::x86::OPCODE::SAR16ri_NF_ND)
  .value("SAR32m1", LIEF::assembly::x86::OPCODE::SAR32m1)
  .value("SAR32m1_EVEX", LIEF::assembly::x86::OPCODE::SAR32m1_EVEX)
  .value("SAR32m1_ND", LIEF::assembly::x86::OPCODE::SAR32m1_ND)
  .value("SAR32m1_NF", LIEF::assembly::x86::OPCODE::SAR32m1_NF)
  .value("SAR32m1_NF_ND", LIEF::assembly::x86::OPCODE::SAR32m1_NF_ND)
  .value("SAR32mCL", LIEF::assembly::x86::OPCODE::SAR32mCL)
  .value("SAR32mCL_EVEX", LIEF::assembly::x86::OPCODE::SAR32mCL_EVEX)
  .value("SAR32mCL_ND", LIEF::assembly::x86::OPCODE::SAR32mCL_ND)
  .value("SAR32mCL_NF", LIEF::assembly::x86::OPCODE::SAR32mCL_NF)
  .value("SAR32mCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR32mCL_NF_ND)
  .value("SAR32mi", LIEF::assembly::x86::OPCODE::SAR32mi)
  .value("SAR32mi_EVEX", LIEF::assembly::x86::OPCODE::SAR32mi_EVEX)
  .value("SAR32mi_ND", LIEF::assembly::x86::OPCODE::SAR32mi_ND)
  .value("SAR32mi_NF", LIEF::assembly::x86::OPCODE::SAR32mi_NF)
  .value("SAR32mi_NF_ND", LIEF::assembly::x86::OPCODE::SAR32mi_NF_ND)
  .value("SAR32r1", LIEF::assembly::x86::OPCODE::SAR32r1)
  .value("SAR32r1_EVEX", LIEF::assembly::x86::OPCODE::SAR32r1_EVEX)
  .value("SAR32r1_ND", LIEF::assembly::x86::OPCODE::SAR32r1_ND)
  .value("SAR32r1_NF", LIEF::assembly::x86::OPCODE::SAR32r1_NF)
  .value("SAR32r1_NF_ND", LIEF::assembly::x86::OPCODE::SAR32r1_NF_ND)
  .value("SAR32rCL", LIEF::assembly::x86::OPCODE::SAR32rCL)
  .value("SAR32rCL_EVEX", LIEF::assembly::x86::OPCODE::SAR32rCL_EVEX)
  .value("SAR32rCL_ND", LIEF::assembly::x86::OPCODE::SAR32rCL_ND)
  .value("SAR32rCL_NF", LIEF::assembly::x86::OPCODE::SAR32rCL_NF)
  .value("SAR32rCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR32rCL_NF_ND)
  .value("SAR32ri", LIEF::assembly::x86::OPCODE::SAR32ri)
  .value("SAR32ri_EVEX", LIEF::assembly::x86::OPCODE::SAR32ri_EVEX)
  .value("SAR32ri_ND", LIEF::assembly::x86::OPCODE::SAR32ri_ND)
  .value("SAR32ri_NF", LIEF::assembly::x86::OPCODE::SAR32ri_NF)
  .value("SAR32ri_NF_ND", LIEF::assembly::x86::OPCODE::SAR32ri_NF_ND)
  .value("SAR64m1", LIEF::assembly::x86::OPCODE::SAR64m1)
  .value("SAR64m1_EVEX", LIEF::assembly::x86::OPCODE::SAR64m1_EVEX)
  .value("SAR64m1_ND", LIEF::assembly::x86::OPCODE::SAR64m1_ND)
  .value("SAR64m1_NF", LIEF::assembly::x86::OPCODE::SAR64m1_NF)
  .value("SAR64m1_NF_ND", LIEF::assembly::x86::OPCODE::SAR64m1_NF_ND)
  .value("SAR64mCL", LIEF::assembly::x86::OPCODE::SAR64mCL)
  .value("SAR64mCL_EVEX", LIEF::assembly::x86::OPCODE::SAR64mCL_EVEX)
  .value("SAR64mCL_ND", LIEF::assembly::x86::OPCODE::SAR64mCL_ND)
  .value("SAR64mCL_NF", LIEF::assembly::x86::OPCODE::SAR64mCL_NF)
  .value("SAR64mCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR64mCL_NF_ND)
  .value("SAR64mi", LIEF::assembly::x86::OPCODE::SAR64mi)
  .value("SAR64mi_EVEX", LIEF::assembly::x86::OPCODE::SAR64mi_EVEX)
  .value("SAR64mi_ND", LIEF::assembly::x86::OPCODE::SAR64mi_ND)
  .value("SAR64mi_NF", LIEF::assembly::x86::OPCODE::SAR64mi_NF)
  .value("SAR64mi_NF_ND", LIEF::assembly::x86::OPCODE::SAR64mi_NF_ND)
  .value("SAR64r1", LIEF::assembly::x86::OPCODE::SAR64r1)
  .value("SAR64r1_EVEX", LIEF::assembly::x86::OPCODE::SAR64r1_EVEX)
  .value("SAR64r1_ND", LIEF::assembly::x86::OPCODE::SAR64r1_ND)
  .value("SAR64r1_NF", LIEF::assembly::x86::OPCODE::SAR64r1_NF)
  .value("SAR64r1_NF_ND", LIEF::assembly::x86::OPCODE::SAR64r1_NF_ND)
  .value("SAR64rCL", LIEF::assembly::x86::OPCODE::SAR64rCL)
  .value("SAR64rCL_EVEX", LIEF::assembly::x86::OPCODE::SAR64rCL_EVEX)
  .value("SAR64rCL_ND", LIEF::assembly::x86::OPCODE::SAR64rCL_ND)
  .value("SAR64rCL_NF", LIEF::assembly::x86::OPCODE::SAR64rCL_NF)
  .value("SAR64rCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR64rCL_NF_ND)
  .value("SAR64ri", LIEF::assembly::x86::OPCODE::SAR64ri)
  .value("SAR64ri_EVEX", LIEF::assembly::x86::OPCODE::SAR64ri_EVEX)
  .value("SAR64ri_ND", LIEF::assembly::x86::OPCODE::SAR64ri_ND)
  .value("SAR64ri_NF", LIEF::assembly::x86::OPCODE::SAR64ri_NF)
  .value("SAR64ri_NF_ND", LIEF::assembly::x86::OPCODE::SAR64ri_NF_ND)
  .value("SAR8m1", LIEF::assembly::x86::OPCODE::SAR8m1)
  .value("SAR8m1_EVEX", LIEF::assembly::x86::OPCODE::SAR8m1_EVEX)
  .value("SAR8m1_ND", LIEF::assembly::x86::OPCODE::SAR8m1_ND)
  .value("SAR8m1_NF", LIEF::assembly::x86::OPCODE::SAR8m1_NF)
  .value("SAR8m1_NF_ND", LIEF::assembly::x86::OPCODE::SAR8m1_NF_ND)
  .value("SAR8mCL", LIEF::assembly::x86::OPCODE::SAR8mCL)
  .value("SAR8mCL_EVEX", LIEF::assembly::x86::OPCODE::SAR8mCL_EVEX)
  .value("SAR8mCL_ND", LIEF::assembly::x86::OPCODE::SAR8mCL_ND)
  .value("SAR8mCL_NF", LIEF::assembly::x86::OPCODE::SAR8mCL_NF)
  .value("SAR8mCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR8mCL_NF_ND)
  .value("SAR8mi", LIEF::assembly::x86::OPCODE::SAR8mi)
  .value("SAR8mi_EVEX", LIEF::assembly::x86::OPCODE::SAR8mi_EVEX)
  .value("SAR8mi_ND", LIEF::assembly::x86::OPCODE::SAR8mi_ND)
  .value("SAR8mi_NF", LIEF::assembly::x86::OPCODE::SAR8mi_NF)
  .value("SAR8mi_NF_ND", LIEF::assembly::x86::OPCODE::SAR8mi_NF_ND)
  .value("SAR8r1", LIEF::assembly::x86::OPCODE::SAR8r1)
  .value("SAR8r1_EVEX", LIEF::assembly::x86::OPCODE::SAR8r1_EVEX)
  .value("SAR8r1_ND", LIEF::assembly::x86::OPCODE::SAR8r1_ND)
  .value("SAR8r1_NF", LIEF::assembly::x86::OPCODE::SAR8r1_NF)
  .value("SAR8r1_NF_ND", LIEF::assembly::x86::OPCODE::SAR8r1_NF_ND)
  .value("SAR8rCL", LIEF::assembly::x86::OPCODE::SAR8rCL)
  .value("SAR8rCL_EVEX", LIEF::assembly::x86::OPCODE::SAR8rCL_EVEX)
  .value("SAR8rCL_ND", LIEF::assembly::x86::OPCODE::SAR8rCL_ND)
  .value("SAR8rCL_NF", LIEF::assembly::x86::OPCODE::SAR8rCL_NF)
  .value("SAR8rCL_NF_ND", LIEF::assembly::x86::OPCODE::SAR8rCL_NF_ND)
  .value("SAR8ri", LIEF::assembly::x86::OPCODE::SAR8ri)
  .value("SAR8ri_EVEX", LIEF::assembly::x86::OPCODE::SAR8ri_EVEX)
  .value("SAR8ri_ND", LIEF::assembly::x86::OPCODE::SAR8ri_ND)
  .value("SAR8ri_NF", LIEF::assembly::x86::OPCODE::SAR8ri_NF)
  .value("SAR8ri_NF_ND", LIEF::assembly::x86::OPCODE::SAR8ri_NF_ND)
  .value("SARX32rm", LIEF::assembly::x86::OPCODE::SARX32rm)
  .value("SARX32rm_EVEX", LIEF::assembly::x86::OPCODE::SARX32rm_EVEX)
  .value("SARX32rr", LIEF::assembly::x86::OPCODE::SARX32rr)
  .value("SARX32rr_EVEX", LIEF::assembly::x86::OPCODE::SARX32rr_EVEX)
  .value("SARX64rm", LIEF::assembly::x86::OPCODE::SARX64rm)
  .value("SARX64rm_EVEX", LIEF::assembly::x86::OPCODE::SARX64rm_EVEX)
  .value("SARX64rr", LIEF::assembly::x86::OPCODE::SARX64rr)
  .value("SARX64rr_EVEX", LIEF::assembly::x86::OPCODE::SARX64rr_EVEX)
  .value("SAVEPREVSSP", LIEF::assembly::x86::OPCODE::SAVEPREVSSP)
  .value("SBB16i16", LIEF::assembly::x86::OPCODE::SBB16i16)
  .value("SBB16mi", LIEF::assembly::x86::OPCODE::SBB16mi)
  .value("SBB16mi8", LIEF::assembly::x86::OPCODE::SBB16mi8)
  .value("SBB16mi8_EVEX", LIEF::assembly::x86::OPCODE::SBB16mi8_EVEX)
  .value("SBB16mi8_ND", LIEF::assembly::x86::OPCODE::SBB16mi8_ND)
  .value("SBB16mi_EVEX", LIEF::assembly::x86::OPCODE::SBB16mi_EVEX)
  .value("SBB16mi_ND", LIEF::assembly::x86::OPCODE::SBB16mi_ND)
  .value("SBB16mr", LIEF::assembly::x86::OPCODE::SBB16mr)
  .value("SBB16mr_EVEX", LIEF::assembly::x86::OPCODE::SBB16mr_EVEX)
  .value("SBB16mr_ND", LIEF::assembly::x86::OPCODE::SBB16mr_ND)
  .value("SBB16ri", LIEF::assembly::x86::OPCODE::SBB16ri)
  .value("SBB16ri8", LIEF::assembly::x86::OPCODE::SBB16ri8)
  .value("SBB16ri8_EVEX", LIEF::assembly::x86::OPCODE::SBB16ri8_EVEX)
  .value("SBB16ri8_ND", LIEF::assembly::x86::OPCODE::SBB16ri8_ND)
  .value("SBB16ri_EVEX", LIEF::assembly::x86::OPCODE::SBB16ri_EVEX)
  .value("SBB16ri_ND", LIEF::assembly::x86::OPCODE::SBB16ri_ND)
  .value("SBB16rm", LIEF::assembly::x86::OPCODE::SBB16rm)
  .value("SBB16rm_EVEX", LIEF::assembly::x86::OPCODE::SBB16rm_EVEX)
  .value("SBB16rm_ND", LIEF::assembly::x86::OPCODE::SBB16rm_ND)
  .value("SBB16rr", LIEF::assembly::x86::OPCODE::SBB16rr)
  .value("SBB16rr_EVEX", LIEF::assembly::x86::OPCODE::SBB16rr_EVEX)
  .value("SBB16rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SBB16rr_EVEX_REV)
  .value("SBB16rr_ND", LIEF::assembly::x86::OPCODE::SBB16rr_ND)
  .value("SBB16rr_ND_REV", LIEF::assembly::x86::OPCODE::SBB16rr_ND_REV)
  .value("SBB16rr_REV", LIEF::assembly::x86::OPCODE::SBB16rr_REV)
  .value("SBB32i32", LIEF::assembly::x86::OPCODE::SBB32i32)
  .value("SBB32mi", LIEF::assembly::x86::OPCODE::SBB32mi)
  .value("SBB32mi8", LIEF::assembly::x86::OPCODE::SBB32mi8)
  .value("SBB32mi8_EVEX", LIEF::assembly::x86::OPCODE::SBB32mi8_EVEX)
  .value("SBB32mi8_ND", LIEF::assembly::x86::OPCODE::SBB32mi8_ND)
  .value("SBB32mi_EVEX", LIEF::assembly::x86::OPCODE::SBB32mi_EVEX)
  .value("SBB32mi_ND", LIEF::assembly::x86::OPCODE::SBB32mi_ND)
  .value("SBB32mr", LIEF::assembly::x86::OPCODE::SBB32mr)
  .value("SBB32mr_EVEX", LIEF::assembly::x86::OPCODE::SBB32mr_EVEX)
  .value("SBB32mr_ND", LIEF::assembly::x86::OPCODE::SBB32mr_ND)
  .value("SBB32ri", LIEF::assembly::x86::OPCODE::SBB32ri)
  .value("SBB32ri8", LIEF::assembly::x86::OPCODE::SBB32ri8)
  .value("SBB32ri8_EVEX", LIEF::assembly::x86::OPCODE::SBB32ri8_EVEX)
  .value("SBB32ri8_ND", LIEF::assembly::x86::OPCODE::SBB32ri8_ND)
  .value("SBB32ri_EVEX", LIEF::assembly::x86::OPCODE::SBB32ri_EVEX)
  .value("SBB32ri_ND", LIEF::assembly::x86::OPCODE::SBB32ri_ND)
  .value("SBB32rm", LIEF::assembly::x86::OPCODE::SBB32rm)
  .value("SBB32rm_EVEX", LIEF::assembly::x86::OPCODE::SBB32rm_EVEX)
  .value("SBB32rm_ND", LIEF::assembly::x86::OPCODE::SBB32rm_ND)
  .value("SBB32rr", LIEF::assembly::x86::OPCODE::SBB32rr)
  .value("SBB32rr_EVEX", LIEF::assembly::x86::OPCODE::SBB32rr_EVEX)
  .value("SBB32rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SBB32rr_EVEX_REV)
  .value("SBB32rr_ND", LIEF::assembly::x86::OPCODE::SBB32rr_ND)
  .value("SBB32rr_ND_REV", LIEF::assembly::x86::OPCODE::SBB32rr_ND_REV)
  .value("SBB32rr_REV", LIEF::assembly::x86::OPCODE::SBB32rr_REV)
  .value("SBB64i32", LIEF::assembly::x86::OPCODE::SBB64i32)
  .value("SBB64mi32", LIEF::assembly::x86::OPCODE::SBB64mi32)
  .value("SBB64mi32_EVEX", LIEF::assembly::x86::OPCODE::SBB64mi32_EVEX)
  .value("SBB64mi32_ND", LIEF::assembly::x86::OPCODE::SBB64mi32_ND)
  .value("SBB64mi8", LIEF::assembly::x86::OPCODE::SBB64mi8)
  .value("SBB64mi8_EVEX", LIEF::assembly::x86::OPCODE::SBB64mi8_EVEX)
  .value("SBB64mi8_ND", LIEF::assembly::x86::OPCODE::SBB64mi8_ND)
  .value("SBB64mr", LIEF::assembly::x86::OPCODE::SBB64mr)
  .value("SBB64mr_EVEX", LIEF::assembly::x86::OPCODE::SBB64mr_EVEX)
  .value("SBB64mr_ND", LIEF::assembly::x86::OPCODE::SBB64mr_ND)
  .value("SBB64ri32", LIEF::assembly::x86::OPCODE::SBB64ri32)
  .value("SBB64ri32_EVEX", LIEF::assembly::x86::OPCODE::SBB64ri32_EVEX)
  .value("SBB64ri32_ND", LIEF::assembly::x86::OPCODE::SBB64ri32_ND)
  .value("SBB64ri8", LIEF::assembly::x86::OPCODE::SBB64ri8)
  .value("SBB64ri8_EVEX", LIEF::assembly::x86::OPCODE::SBB64ri8_EVEX)
  .value("SBB64ri8_ND", LIEF::assembly::x86::OPCODE::SBB64ri8_ND)
  .value("SBB64rm", LIEF::assembly::x86::OPCODE::SBB64rm)
  .value("SBB64rm_EVEX", LIEF::assembly::x86::OPCODE::SBB64rm_EVEX)
  .value("SBB64rm_ND", LIEF::assembly::x86::OPCODE::SBB64rm_ND)
  .value("SBB64rr", LIEF::assembly::x86::OPCODE::SBB64rr)
  .value("SBB64rr_EVEX", LIEF::assembly::x86::OPCODE::SBB64rr_EVEX)
  .value("SBB64rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SBB64rr_EVEX_REV)
  .value("SBB64rr_ND", LIEF::assembly::x86::OPCODE::SBB64rr_ND)
  .value("SBB64rr_ND_REV", LIEF::assembly::x86::OPCODE::SBB64rr_ND_REV)
  .value("SBB64rr_REV", LIEF::assembly::x86::OPCODE::SBB64rr_REV)
  .value("SBB8i8", LIEF::assembly::x86::OPCODE::SBB8i8)
  .value("SBB8mi", LIEF::assembly::x86::OPCODE::SBB8mi)
  .value("SBB8mi8", LIEF::assembly::x86::OPCODE::SBB8mi8)
  .value("SBB8mi_EVEX", LIEF::assembly::x86::OPCODE::SBB8mi_EVEX)
  .value("SBB8mi_ND", LIEF::assembly::x86::OPCODE::SBB8mi_ND)
  .value("SBB8mr", LIEF::assembly::x86::OPCODE::SBB8mr)
  .value("SBB8mr_EVEX", LIEF::assembly::x86::OPCODE::SBB8mr_EVEX)
  .value("SBB8mr_ND", LIEF::assembly::x86::OPCODE::SBB8mr_ND)
  .value("SBB8ri", LIEF::assembly::x86::OPCODE::SBB8ri)
  .value("SBB8ri8", LIEF::assembly::x86::OPCODE::SBB8ri8)
  .value("SBB8ri_EVEX", LIEF::assembly::x86::OPCODE::SBB8ri_EVEX)
  .value("SBB8ri_ND", LIEF::assembly::x86::OPCODE::SBB8ri_ND)
  .value("SBB8rm", LIEF::assembly::x86::OPCODE::SBB8rm)
  .value("SBB8rm_EVEX", LIEF::assembly::x86::OPCODE::SBB8rm_EVEX)
  .value("SBB8rm_ND", LIEF::assembly::x86::OPCODE::SBB8rm_ND)
  .value("SBB8rr", LIEF::assembly::x86::OPCODE::SBB8rr)
  .value("SBB8rr_EVEX", LIEF::assembly::x86::OPCODE::SBB8rr_EVEX)
  .value("SBB8rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SBB8rr_EVEX_REV)
  .value("SBB8rr_ND", LIEF::assembly::x86::OPCODE::SBB8rr_ND)
  .value("SBB8rr_ND_REV", LIEF::assembly::x86::OPCODE::SBB8rr_ND_REV)
  .value("SBB8rr_REV", LIEF::assembly::x86::OPCODE::SBB8rr_REV)
  .value("SCASB", LIEF::assembly::x86::OPCODE::SCASB)
  .value("SCASL", LIEF::assembly::x86::OPCODE::SCASL)
  .value("SCASQ", LIEF::assembly::x86::OPCODE::SCASQ)
  .value("SCASW", LIEF::assembly::x86::OPCODE::SCASW)
  .value("SEAMCALL", LIEF::assembly::x86::OPCODE::SEAMCALL)
  .value("SEAMOPS", LIEF::assembly::x86::OPCODE::SEAMOPS)
  .value("SEAMRET", LIEF::assembly::x86::OPCODE::SEAMRET)
  .value("SEG_ALLOCA_32", LIEF::assembly::x86::OPCODE::SEG_ALLOCA_32)
  .value("SEG_ALLOCA_64", LIEF::assembly::x86::OPCODE::SEG_ALLOCA_64)
  .value("SENDUIPI", LIEF::assembly::x86::OPCODE::SENDUIPI)
  .value("SERIALIZE", LIEF::assembly::x86::OPCODE::SERIALIZE)
  .value("SETCCm", LIEF::assembly::x86::OPCODE::SETCCm)
  .value("SETCCm_EVEX", LIEF::assembly::x86::OPCODE::SETCCm_EVEX)
  .value("SETCCr", LIEF::assembly::x86::OPCODE::SETCCr)
  .value("SETCCr_EVEX", LIEF::assembly::x86::OPCODE::SETCCr_EVEX)
  .value("SETSSBSY", LIEF::assembly::x86::OPCODE::SETSSBSY)
  .value("SETZUCCm", LIEF::assembly::x86::OPCODE::SETZUCCm)
  .value("SETZUCCr", LIEF::assembly::x86::OPCODE::SETZUCCr)
  .value("SFENCE", LIEF::assembly::x86::OPCODE::SFENCE)
  .value("SGDT16m", LIEF::assembly::x86::OPCODE::SGDT16m)
  .value("SGDT32m", LIEF::assembly::x86::OPCODE::SGDT32m)
  .value("SGDT64m", LIEF::assembly::x86::OPCODE::SGDT64m)
  .value("SHA1MSG1rm", LIEF::assembly::x86::OPCODE::SHA1MSG1rm)
  .value("SHA1MSG1rr", LIEF::assembly::x86::OPCODE::SHA1MSG1rr)
  .value("SHA1MSG2rm", LIEF::assembly::x86::OPCODE::SHA1MSG2rm)
  .value("SHA1MSG2rr", LIEF::assembly::x86::OPCODE::SHA1MSG2rr)
  .value("SHA1NEXTErm", LIEF::assembly::x86::OPCODE::SHA1NEXTErm)
  .value("SHA1NEXTErr", LIEF::assembly::x86::OPCODE::SHA1NEXTErr)
  .value("SHA1RNDS4rmi", LIEF::assembly::x86::OPCODE::SHA1RNDS4rmi)
  .value("SHA1RNDS4rri", LIEF::assembly::x86::OPCODE::SHA1RNDS4rri)
  .value("SHA256MSG1rm", LIEF::assembly::x86::OPCODE::SHA256MSG1rm)
  .value("SHA256MSG1rr", LIEF::assembly::x86::OPCODE::SHA256MSG1rr)
  .value("SHA256MSG2rm", LIEF::assembly::x86::OPCODE::SHA256MSG2rm)
  .value("SHA256MSG2rr", LIEF::assembly::x86::OPCODE::SHA256MSG2rr)
  .value("SHA256RNDS2rm", LIEF::assembly::x86::OPCODE::SHA256RNDS2rm)
  .value("SHA256RNDS2rr", LIEF::assembly::x86::OPCODE::SHA256RNDS2rr)
  .value("SHL16m1", LIEF::assembly::x86::OPCODE::SHL16m1)
  .value("SHL16m1_EVEX", LIEF::assembly::x86::OPCODE::SHL16m1_EVEX)
  .value("SHL16m1_ND", LIEF::assembly::x86::OPCODE::SHL16m1_ND)
  .value("SHL16m1_NF", LIEF::assembly::x86::OPCODE::SHL16m1_NF)
  .value("SHL16m1_NF_ND", LIEF::assembly::x86::OPCODE::SHL16m1_NF_ND)
  .value("SHL16mCL", LIEF::assembly::x86::OPCODE::SHL16mCL)
  .value("SHL16mCL_EVEX", LIEF::assembly::x86::OPCODE::SHL16mCL_EVEX)
  .value("SHL16mCL_ND", LIEF::assembly::x86::OPCODE::SHL16mCL_ND)
  .value("SHL16mCL_NF", LIEF::assembly::x86::OPCODE::SHL16mCL_NF)
  .value("SHL16mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL16mCL_NF_ND)
  .value("SHL16mi", LIEF::assembly::x86::OPCODE::SHL16mi)
  .value("SHL16mi_EVEX", LIEF::assembly::x86::OPCODE::SHL16mi_EVEX)
  .value("SHL16mi_ND", LIEF::assembly::x86::OPCODE::SHL16mi_ND)
  .value("SHL16mi_NF", LIEF::assembly::x86::OPCODE::SHL16mi_NF)
  .value("SHL16mi_NF_ND", LIEF::assembly::x86::OPCODE::SHL16mi_NF_ND)
  .value("SHL16r1", LIEF::assembly::x86::OPCODE::SHL16r1)
  .value("SHL16r1_EVEX", LIEF::assembly::x86::OPCODE::SHL16r1_EVEX);
  opcodes.value("SHL16r1_ND", LIEF::assembly::x86::OPCODE::SHL16r1_ND)
  .value("SHL16r1_NF", LIEF::assembly::x86::OPCODE::SHL16r1_NF)
  .value("SHL16r1_NF_ND", LIEF::assembly::x86::OPCODE::SHL16r1_NF_ND)
  .value("SHL16rCL", LIEF::assembly::x86::OPCODE::SHL16rCL)
  .value("SHL16rCL_EVEX", LIEF::assembly::x86::OPCODE::SHL16rCL_EVEX)
  .value("SHL16rCL_ND", LIEF::assembly::x86::OPCODE::SHL16rCL_ND)
  .value("SHL16rCL_NF", LIEF::assembly::x86::OPCODE::SHL16rCL_NF)
  .value("SHL16rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL16rCL_NF_ND)
  .value("SHL16ri", LIEF::assembly::x86::OPCODE::SHL16ri)
  .value("SHL16ri_EVEX", LIEF::assembly::x86::OPCODE::SHL16ri_EVEX)
  .value("SHL16ri_ND", LIEF::assembly::x86::OPCODE::SHL16ri_ND)
  .value("SHL16ri_NF", LIEF::assembly::x86::OPCODE::SHL16ri_NF)
  .value("SHL16ri_NF_ND", LIEF::assembly::x86::OPCODE::SHL16ri_NF_ND)
  .value("SHL32m1", LIEF::assembly::x86::OPCODE::SHL32m1)
  .value("SHL32m1_EVEX", LIEF::assembly::x86::OPCODE::SHL32m1_EVEX)
  .value("SHL32m1_ND", LIEF::assembly::x86::OPCODE::SHL32m1_ND)
  .value("SHL32m1_NF", LIEF::assembly::x86::OPCODE::SHL32m1_NF)
  .value("SHL32m1_NF_ND", LIEF::assembly::x86::OPCODE::SHL32m1_NF_ND)
  .value("SHL32mCL", LIEF::assembly::x86::OPCODE::SHL32mCL)
  .value("SHL32mCL_EVEX", LIEF::assembly::x86::OPCODE::SHL32mCL_EVEX)
  .value("SHL32mCL_ND", LIEF::assembly::x86::OPCODE::SHL32mCL_ND)
  .value("SHL32mCL_NF", LIEF::assembly::x86::OPCODE::SHL32mCL_NF)
  .value("SHL32mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL32mCL_NF_ND)
  .value("SHL32mi", LIEF::assembly::x86::OPCODE::SHL32mi)
  .value("SHL32mi_EVEX", LIEF::assembly::x86::OPCODE::SHL32mi_EVEX)
  .value("SHL32mi_ND", LIEF::assembly::x86::OPCODE::SHL32mi_ND)
  .value("SHL32mi_NF", LIEF::assembly::x86::OPCODE::SHL32mi_NF)
  .value("SHL32mi_NF_ND", LIEF::assembly::x86::OPCODE::SHL32mi_NF_ND)
  .value("SHL32r1", LIEF::assembly::x86::OPCODE::SHL32r1)
  .value("SHL32r1_EVEX", LIEF::assembly::x86::OPCODE::SHL32r1_EVEX)
  .value("SHL32r1_ND", LIEF::assembly::x86::OPCODE::SHL32r1_ND)
  .value("SHL32r1_NF", LIEF::assembly::x86::OPCODE::SHL32r1_NF)
  .value("SHL32r1_NF_ND", LIEF::assembly::x86::OPCODE::SHL32r1_NF_ND)
  .value("SHL32rCL", LIEF::assembly::x86::OPCODE::SHL32rCL)
  .value("SHL32rCL_EVEX", LIEF::assembly::x86::OPCODE::SHL32rCL_EVEX)
  .value("SHL32rCL_ND", LIEF::assembly::x86::OPCODE::SHL32rCL_ND)
  .value("SHL32rCL_NF", LIEF::assembly::x86::OPCODE::SHL32rCL_NF)
  .value("SHL32rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL32rCL_NF_ND)
  .value("SHL32ri", LIEF::assembly::x86::OPCODE::SHL32ri)
  .value("SHL32ri_EVEX", LIEF::assembly::x86::OPCODE::SHL32ri_EVEX)
  .value("SHL32ri_ND", LIEF::assembly::x86::OPCODE::SHL32ri_ND)
  .value("SHL32ri_NF", LIEF::assembly::x86::OPCODE::SHL32ri_NF)
  .value("SHL32ri_NF_ND", LIEF::assembly::x86::OPCODE::SHL32ri_NF_ND)
  .value("SHL64m1", LIEF::assembly::x86::OPCODE::SHL64m1)
  .value("SHL64m1_EVEX", LIEF::assembly::x86::OPCODE::SHL64m1_EVEX)
  .value("SHL64m1_ND", LIEF::assembly::x86::OPCODE::SHL64m1_ND)
  .value("SHL64m1_NF", LIEF::assembly::x86::OPCODE::SHL64m1_NF)
  .value("SHL64m1_NF_ND", LIEF::assembly::x86::OPCODE::SHL64m1_NF_ND)
  .value("SHL64mCL", LIEF::assembly::x86::OPCODE::SHL64mCL)
  .value("SHL64mCL_EVEX", LIEF::assembly::x86::OPCODE::SHL64mCL_EVEX)
  .value("SHL64mCL_ND", LIEF::assembly::x86::OPCODE::SHL64mCL_ND)
  .value("SHL64mCL_NF", LIEF::assembly::x86::OPCODE::SHL64mCL_NF)
  .value("SHL64mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL64mCL_NF_ND)
  .value("SHL64mi", LIEF::assembly::x86::OPCODE::SHL64mi)
  .value("SHL64mi_EVEX", LIEF::assembly::x86::OPCODE::SHL64mi_EVEX)
  .value("SHL64mi_ND", LIEF::assembly::x86::OPCODE::SHL64mi_ND)
  .value("SHL64mi_NF", LIEF::assembly::x86::OPCODE::SHL64mi_NF)
  .value("SHL64mi_NF_ND", LIEF::assembly::x86::OPCODE::SHL64mi_NF_ND)
  .value("SHL64r1", LIEF::assembly::x86::OPCODE::SHL64r1)
  .value("SHL64r1_EVEX", LIEF::assembly::x86::OPCODE::SHL64r1_EVEX)
  .value("SHL64r1_ND", LIEF::assembly::x86::OPCODE::SHL64r1_ND)
  .value("SHL64r1_NF", LIEF::assembly::x86::OPCODE::SHL64r1_NF)
  .value("SHL64r1_NF_ND", LIEF::assembly::x86::OPCODE::SHL64r1_NF_ND)
  .value("SHL64rCL", LIEF::assembly::x86::OPCODE::SHL64rCL)
  .value("SHL64rCL_EVEX", LIEF::assembly::x86::OPCODE::SHL64rCL_EVEX)
  .value("SHL64rCL_ND", LIEF::assembly::x86::OPCODE::SHL64rCL_ND)
  .value("SHL64rCL_NF", LIEF::assembly::x86::OPCODE::SHL64rCL_NF)
  .value("SHL64rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL64rCL_NF_ND)
  .value("SHL64ri", LIEF::assembly::x86::OPCODE::SHL64ri)
  .value("SHL64ri_EVEX", LIEF::assembly::x86::OPCODE::SHL64ri_EVEX)
  .value("SHL64ri_ND", LIEF::assembly::x86::OPCODE::SHL64ri_ND)
  .value("SHL64ri_NF", LIEF::assembly::x86::OPCODE::SHL64ri_NF)
  .value("SHL64ri_NF_ND", LIEF::assembly::x86::OPCODE::SHL64ri_NF_ND)
  .value("SHL8m1", LIEF::assembly::x86::OPCODE::SHL8m1)
  .value("SHL8m1_EVEX", LIEF::assembly::x86::OPCODE::SHL8m1_EVEX)
  .value("SHL8m1_ND", LIEF::assembly::x86::OPCODE::SHL8m1_ND)
  .value("SHL8m1_NF", LIEF::assembly::x86::OPCODE::SHL8m1_NF)
  .value("SHL8m1_NF_ND", LIEF::assembly::x86::OPCODE::SHL8m1_NF_ND)
  .value("SHL8mCL", LIEF::assembly::x86::OPCODE::SHL8mCL)
  .value("SHL8mCL_EVEX", LIEF::assembly::x86::OPCODE::SHL8mCL_EVEX)
  .value("SHL8mCL_ND", LIEF::assembly::x86::OPCODE::SHL8mCL_ND)
  .value("SHL8mCL_NF", LIEF::assembly::x86::OPCODE::SHL8mCL_NF)
  .value("SHL8mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL8mCL_NF_ND)
  .value("SHL8mi", LIEF::assembly::x86::OPCODE::SHL8mi)
  .value("SHL8mi_EVEX", LIEF::assembly::x86::OPCODE::SHL8mi_EVEX)
  .value("SHL8mi_ND", LIEF::assembly::x86::OPCODE::SHL8mi_ND)
  .value("SHL8mi_NF", LIEF::assembly::x86::OPCODE::SHL8mi_NF)
  .value("SHL8mi_NF_ND", LIEF::assembly::x86::OPCODE::SHL8mi_NF_ND)
  .value("SHL8r1", LIEF::assembly::x86::OPCODE::SHL8r1)
  .value("SHL8r1_EVEX", LIEF::assembly::x86::OPCODE::SHL8r1_EVEX)
  .value("SHL8r1_ND", LIEF::assembly::x86::OPCODE::SHL8r1_ND)
  .value("SHL8r1_NF", LIEF::assembly::x86::OPCODE::SHL8r1_NF)
  .value("SHL8r1_NF_ND", LIEF::assembly::x86::OPCODE::SHL8r1_NF_ND)
  .value("SHL8rCL", LIEF::assembly::x86::OPCODE::SHL8rCL)
  .value("SHL8rCL_EVEX", LIEF::assembly::x86::OPCODE::SHL8rCL_EVEX)
  .value("SHL8rCL_ND", LIEF::assembly::x86::OPCODE::SHL8rCL_ND)
  .value("SHL8rCL_NF", LIEF::assembly::x86::OPCODE::SHL8rCL_NF)
  .value("SHL8rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHL8rCL_NF_ND)
  .value("SHL8ri", LIEF::assembly::x86::OPCODE::SHL8ri)
  .value("SHL8ri_EVEX", LIEF::assembly::x86::OPCODE::SHL8ri_EVEX)
  .value("SHL8ri_ND", LIEF::assembly::x86::OPCODE::SHL8ri_ND)
  .value("SHL8ri_NF", LIEF::assembly::x86::OPCODE::SHL8ri_NF)
  .value("SHL8ri_NF_ND", LIEF::assembly::x86::OPCODE::SHL8ri_NF_ND)
  .value("SHLD16mrCL", LIEF::assembly::x86::OPCODE::SHLD16mrCL)
  .value("SHLD16mrCL_EVEX", LIEF::assembly::x86::OPCODE::SHLD16mrCL_EVEX)
  .value("SHLD16mrCL_ND", LIEF::assembly::x86::OPCODE::SHLD16mrCL_ND)
  .value("SHLD16mrCL_NF", LIEF::assembly::x86::OPCODE::SHLD16mrCL_NF)
  .value("SHLD16mrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHLD16mrCL_NF_ND)
  .value("SHLD16mri8", LIEF::assembly::x86::OPCODE::SHLD16mri8)
  .value("SHLD16mri8_EVEX", LIEF::assembly::x86::OPCODE::SHLD16mri8_EVEX)
  .value("SHLD16mri8_ND", LIEF::assembly::x86::OPCODE::SHLD16mri8_ND)
  .value("SHLD16mri8_NF", LIEF::assembly::x86::OPCODE::SHLD16mri8_NF)
  .value("SHLD16mri8_NF_ND", LIEF::assembly::x86::OPCODE::SHLD16mri8_NF_ND)
  .value("SHLD16rrCL", LIEF::assembly::x86::OPCODE::SHLD16rrCL)
  .value("SHLD16rrCL_EVEX", LIEF::assembly::x86::OPCODE::SHLD16rrCL_EVEX)
  .value("SHLD16rrCL_ND", LIEF::assembly::x86::OPCODE::SHLD16rrCL_ND)
  .value("SHLD16rrCL_NF", LIEF::assembly::x86::OPCODE::SHLD16rrCL_NF)
  .value("SHLD16rrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHLD16rrCL_NF_ND)
  .value("SHLD16rri8", LIEF::assembly::x86::OPCODE::SHLD16rri8)
  .value("SHLD16rri8_EVEX", LIEF::assembly::x86::OPCODE::SHLD16rri8_EVEX)
  .value("SHLD16rri8_ND", LIEF::assembly::x86::OPCODE::SHLD16rri8_ND)
  .value("SHLD16rri8_NF", LIEF::assembly::x86::OPCODE::SHLD16rri8_NF)
  .value("SHLD16rri8_NF_ND", LIEF::assembly::x86::OPCODE::SHLD16rri8_NF_ND)
  .value("SHLD32mrCL", LIEF::assembly::x86::OPCODE::SHLD32mrCL)
  .value("SHLD32mrCL_EVEX", LIEF::assembly::x86::OPCODE::SHLD32mrCL_EVEX)
  .value("SHLD32mrCL_ND", LIEF::assembly::x86::OPCODE::SHLD32mrCL_ND)
  .value("SHLD32mrCL_NF", LIEF::assembly::x86::OPCODE::SHLD32mrCL_NF)
  .value("SHLD32mrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHLD32mrCL_NF_ND)
  .value("SHLD32mri8", LIEF::assembly::x86::OPCODE::SHLD32mri8)
  .value("SHLD32mri8_EVEX", LIEF::assembly::x86::OPCODE::SHLD32mri8_EVEX)
  .value("SHLD32mri8_ND", LIEF::assembly::x86::OPCODE::SHLD32mri8_ND)
  .value("SHLD32mri8_NF", LIEF::assembly::x86::OPCODE::SHLD32mri8_NF)
  .value("SHLD32mri8_NF_ND", LIEF::assembly::x86::OPCODE::SHLD32mri8_NF_ND)
  .value("SHLD32rrCL", LIEF::assembly::x86::OPCODE::SHLD32rrCL)
  .value("SHLD32rrCL_EVEX", LIEF::assembly::x86::OPCODE::SHLD32rrCL_EVEX)
  .value("SHLD32rrCL_ND", LIEF::assembly::x86::OPCODE::SHLD32rrCL_ND)
  .value("SHLD32rrCL_NF", LIEF::assembly::x86::OPCODE::SHLD32rrCL_NF)
  .value("SHLD32rrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHLD32rrCL_NF_ND)
  .value("SHLD32rri8", LIEF::assembly::x86::OPCODE::SHLD32rri8)
  .value("SHLD32rri8_EVEX", LIEF::assembly::x86::OPCODE::SHLD32rri8_EVEX)
  .value("SHLD32rri8_ND", LIEF::assembly::x86::OPCODE::SHLD32rri8_ND)
  .value("SHLD32rri8_NF", LIEF::assembly::x86::OPCODE::SHLD32rri8_NF)
  .value("SHLD32rri8_NF_ND", LIEF::assembly::x86::OPCODE::SHLD32rri8_NF_ND)
  .value("SHLD64mrCL", LIEF::assembly::x86::OPCODE::SHLD64mrCL)
  .value("SHLD64mrCL_EVEX", LIEF::assembly::x86::OPCODE::SHLD64mrCL_EVEX)
  .value("SHLD64mrCL_ND", LIEF::assembly::x86::OPCODE::SHLD64mrCL_ND)
  .value("SHLD64mrCL_NF", LIEF::assembly::x86::OPCODE::SHLD64mrCL_NF)
  .value("SHLD64mrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHLD64mrCL_NF_ND)
  .value("SHLD64mri8", LIEF::assembly::x86::OPCODE::SHLD64mri8)
  .value("SHLD64mri8_EVEX", LIEF::assembly::x86::OPCODE::SHLD64mri8_EVEX)
  .value("SHLD64mri8_ND", LIEF::assembly::x86::OPCODE::SHLD64mri8_ND)
  .value("SHLD64mri8_NF", LIEF::assembly::x86::OPCODE::SHLD64mri8_NF)
  .value("SHLD64mri8_NF_ND", LIEF::assembly::x86::OPCODE::SHLD64mri8_NF_ND)
  .value("SHLD64rrCL", LIEF::assembly::x86::OPCODE::SHLD64rrCL)
  .value("SHLD64rrCL_EVEX", LIEF::assembly::x86::OPCODE::SHLD64rrCL_EVEX)
  .value("SHLD64rrCL_ND", LIEF::assembly::x86::OPCODE::SHLD64rrCL_ND)
  .value("SHLD64rrCL_NF", LIEF::assembly::x86::OPCODE::SHLD64rrCL_NF)
  .value("SHLD64rrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHLD64rrCL_NF_ND)
  .value("SHLD64rri8", LIEF::assembly::x86::OPCODE::SHLD64rri8)
  .value("SHLD64rri8_EVEX", LIEF::assembly::x86::OPCODE::SHLD64rri8_EVEX)
  .value("SHLD64rri8_ND", LIEF::assembly::x86::OPCODE::SHLD64rri8_ND)
  .value("SHLD64rri8_NF", LIEF::assembly::x86::OPCODE::SHLD64rri8_NF)
  .value("SHLD64rri8_NF_ND", LIEF::assembly::x86::OPCODE::SHLD64rri8_NF_ND)
  .value("SHLX32rm", LIEF::assembly::x86::OPCODE::SHLX32rm)
  .value("SHLX32rm_EVEX", LIEF::assembly::x86::OPCODE::SHLX32rm_EVEX)
  .value("SHLX32rr", LIEF::assembly::x86::OPCODE::SHLX32rr)
  .value("SHLX32rr_EVEX", LIEF::assembly::x86::OPCODE::SHLX32rr_EVEX)
  .value("SHLX64rm", LIEF::assembly::x86::OPCODE::SHLX64rm)
  .value("SHLX64rm_EVEX", LIEF::assembly::x86::OPCODE::SHLX64rm_EVEX)
  .value("SHLX64rr", LIEF::assembly::x86::OPCODE::SHLX64rr)
  .value("SHLX64rr_EVEX", LIEF::assembly::x86::OPCODE::SHLX64rr_EVEX)
  .value("SHR16m1", LIEF::assembly::x86::OPCODE::SHR16m1)
  .value("SHR16m1_EVEX", LIEF::assembly::x86::OPCODE::SHR16m1_EVEX)
  .value("SHR16m1_ND", LIEF::assembly::x86::OPCODE::SHR16m1_ND)
  .value("SHR16m1_NF", LIEF::assembly::x86::OPCODE::SHR16m1_NF)
  .value("SHR16m1_NF_ND", LIEF::assembly::x86::OPCODE::SHR16m1_NF_ND)
  .value("SHR16mCL", LIEF::assembly::x86::OPCODE::SHR16mCL)
  .value("SHR16mCL_EVEX", LIEF::assembly::x86::OPCODE::SHR16mCL_EVEX)
  .value("SHR16mCL_ND", LIEF::assembly::x86::OPCODE::SHR16mCL_ND)
  .value("SHR16mCL_NF", LIEF::assembly::x86::OPCODE::SHR16mCL_NF)
  .value("SHR16mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR16mCL_NF_ND)
  .value("SHR16mi", LIEF::assembly::x86::OPCODE::SHR16mi)
  .value("SHR16mi_EVEX", LIEF::assembly::x86::OPCODE::SHR16mi_EVEX)
  .value("SHR16mi_ND", LIEF::assembly::x86::OPCODE::SHR16mi_ND)
  .value("SHR16mi_NF", LIEF::assembly::x86::OPCODE::SHR16mi_NF)
  .value("SHR16mi_NF_ND", LIEF::assembly::x86::OPCODE::SHR16mi_NF_ND)
  .value("SHR16r1", LIEF::assembly::x86::OPCODE::SHR16r1)
  .value("SHR16r1_EVEX", LIEF::assembly::x86::OPCODE::SHR16r1_EVEX)
  .value("SHR16r1_ND", LIEF::assembly::x86::OPCODE::SHR16r1_ND)
  .value("SHR16r1_NF", LIEF::assembly::x86::OPCODE::SHR16r1_NF)
  .value("SHR16r1_NF_ND", LIEF::assembly::x86::OPCODE::SHR16r1_NF_ND)
  .value("SHR16rCL", LIEF::assembly::x86::OPCODE::SHR16rCL)
  .value("SHR16rCL_EVEX", LIEF::assembly::x86::OPCODE::SHR16rCL_EVEX)
  .value("SHR16rCL_ND", LIEF::assembly::x86::OPCODE::SHR16rCL_ND)
  .value("SHR16rCL_NF", LIEF::assembly::x86::OPCODE::SHR16rCL_NF)
  .value("SHR16rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR16rCL_NF_ND)
  .value("SHR16ri", LIEF::assembly::x86::OPCODE::SHR16ri)
  .value("SHR16ri_EVEX", LIEF::assembly::x86::OPCODE::SHR16ri_EVEX)
  .value("SHR16ri_ND", LIEF::assembly::x86::OPCODE::SHR16ri_ND)
  .value("SHR16ri_NF", LIEF::assembly::x86::OPCODE::SHR16ri_NF)
  .value("SHR16ri_NF_ND", LIEF::assembly::x86::OPCODE::SHR16ri_NF_ND)
  .value("SHR32m1", LIEF::assembly::x86::OPCODE::SHR32m1)
  .value("SHR32m1_EVEX", LIEF::assembly::x86::OPCODE::SHR32m1_EVEX)
  .value("SHR32m1_ND", LIEF::assembly::x86::OPCODE::SHR32m1_ND)
  .value("SHR32m1_NF", LIEF::assembly::x86::OPCODE::SHR32m1_NF)
  .value("SHR32m1_NF_ND", LIEF::assembly::x86::OPCODE::SHR32m1_NF_ND)
  .value("SHR32mCL", LIEF::assembly::x86::OPCODE::SHR32mCL)
  .value("SHR32mCL_EVEX", LIEF::assembly::x86::OPCODE::SHR32mCL_EVEX)
  .value("SHR32mCL_ND", LIEF::assembly::x86::OPCODE::SHR32mCL_ND)
  .value("SHR32mCL_NF", LIEF::assembly::x86::OPCODE::SHR32mCL_NF)
  .value("SHR32mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR32mCL_NF_ND)
  .value("SHR32mi", LIEF::assembly::x86::OPCODE::SHR32mi)
  .value("SHR32mi_EVEX", LIEF::assembly::x86::OPCODE::SHR32mi_EVEX)
  .value("SHR32mi_ND", LIEF::assembly::x86::OPCODE::SHR32mi_ND)
  .value("SHR32mi_NF", LIEF::assembly::x86::OPCODE::SHR32mi_NF)
  .value("SHR32mi_NF_ND", LIEF::assembly::x86::OPCODE::SHR32mi_NF_ND)
  .value("SHR32r1", LIEF::assembly::x86::OPCODE::SHR32r1)
  .value("SHR32r1_EVEX", LIEF::assembly::x86::OPCODE::SHR32r1_EVEX)
  .value("SHR32r1_ND", LIEF::assembly::x86::OPCODE::SHR32r1_ND)
  .value("SHR32r1_NF", LIEF::assembly::x86::OPCODE::SHR32r1_NF)
  .value("SHR32r1_NF_ND", LIEF::assembly::x86::OPCODE::SHR32r1_NF_ND)
  .value("SHR32rCL", LIEF::assembly::x86::OPCODE::SHR32rCL)
  .value("SHR32rCL_EVEX", LIEF::assembly::x86::OPCODE::SHR32rCL_EVEX)
  .value("SHR32rCL_ND", LIEF::assembly::x86::OPCODE::SHR32rCL_ND)
  .value("SHR32rCL_NF", LIEF::assembly::x86::OPCODE::SHR32rCL_NF)
  .value("SHR32rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR32rCL_NF_ND)
  .value("SHR32ri", LIEF::assembly::x86::OPCODE::SHR32ri)
  .value("SHR32ri_EVEX", LIEF::assembly::x86::OPCODE::SHR32ri_EVEX)
  .value("SHR32ri_ND", LIEF::assembly::x86::OPCODE::SHR32ri_ND)
  .value("SHR32ri_NF", LIEF::assembly::x86::OPCODE::SHR32ri_NF)
  .value("SHR32ri_NF_ND", LIEF::assembly::x86::OPCODE::SHR32ri_NF_ND)
  .value("SHR64m1", LIEF::assembly::x86::OPCODE::SHR64m1)
  .value("SHR64m1_EVEX", LIEF::assembly::x86::OPCODE::SHR64m1_EVEX)
  .value("SHR64m1_ND", LIEF::assembly::x86::OPCODE::SHR64m1_ND)
  .value("SHR64m1_NF", LIEF::assembly::x86::OPCODE::SHR64m1_NF)
  .value("SHR64m1_NF_ND", LIEF::assembly::x86::OPCODE::SHR64m1_NF_ND)
  .value("SHR64mCL", LIEF::assembly::x86::OPCODE::SHR64mCL)
  .value("SHR64mCL_EVEX", LIEF::assembly::x86::OPCODE::SHR64mCL_EVEX)
  .value("SHR64mCL_ND", LIEF::assembly::x86::OPCODE::SHR64mCL_ND)
  .value("SHR64mCL_NF", LIEF::assembly::x86::OPCODE::SHR64mCL_NF)
  .value("SHR64mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR64mCL_NF_ND)
  .value("SHR64mi", LIEF::assembly::x86::OPCODE::SHR64mi)
  .value("SHR64mi_EVEX", LIEF::assembly::x86::OPCODE::SHR64mi_EVEX)
  .value("SHR64mi_ND", LIEF::assembly::x86::OPCODE::SHR64mi_ND)
  .value("SHR64mi_NF", LIEF::assembly::x86::OPCODE::SHR64mi_NF)
  .value("SHR64mi_NF_ND", LIEF::assembly::x86::OPCODE::SHR64mi_NF_ND)
  .value("SHR64r1", LIEF::assembly::x86::OPCODE::SHR64r1)
  .value("SHR64r1_EVEX", LIEF::assembly::x86::OPCODE::SHR64r1_EVEX)
  .value("SHR64r1_ND", LIEF::assembly::x86::OPCODE::SHR64r1_ND)
  .value("SHR64r1_NF", LIEF::assembly::x86::OPCODE::SHR64r1_NF)
  .value("SHR64r1_NF_ND", LIEF::assembly::x86::OPCODE::SHR64r1_NF_ND)
  .value("SHR64rCL", LIEF::assembly::x86::OPCODE::SHR64rCL)
  .value("SHR64rCL_EVEX", LIEF::assembly::x86::OPCODE::SHR64rCL_EVEX)
  .value("SHR64rCL_ND", LIEF::assembly::x86::OPCODE::SHR64rCL_ND)
  .value("SHR64rCL_NF", LIEF::assembly::x86::OPCODE::SHR64rCL_NF)
  .value("SHR64rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR64rCL_NF_ND)
  .value("SHR64ri", LIEF::assembly::x86::OPCODE::SHR64ri)
  .value("SHR64ri_EVEX", LIEF::assembly::x86::OPCODE::SHR64ri_EVEX)
  .value("SHR64ri_ND", LIEF::assembly::x86::OPCODE::SHR64ri_ND)
  .value("SHR64ri_NF", LIEF::assembly::x86::OPCODE::SHR64ri_NF)
  .value("SHR64ri_NF_ND", LIEF::assembly::x86::OPCODE::SHR64ri_NF_ND)
  .value("SHR8m1", LIEF::assembly::x86::OPCODE::SHR8m1)
  .value("SHR8m1_EVEX", LIEF::assembly::x86::OPCODE::SHR8m1_EVEX)
  .value("SHR8m1_ND", LIEF::assembly::x86::OPCODE::SHR8m1_ND)
  .value("SHR8m1_NF", LIEF::assembly::x86::OPCODE::SHR8m1_NF)
  .value("SHR8m1_NF_ND", LIEF::assembly::x86::OPCODE::SHR8m1_NF_ND)
  .value("SHR8mCL", LIEF::assembly::x86::OPCODE::SHR8mCL)
  .value("SHR8mCL_EVEX", LIEF::assembly::x86::OPCODE::SHR8mCL_EVEX)
  .value("SHR8mCL_ND", LIEF::assembly::x86::OPCODE::SHR8mCL_ND)
  .value("SHR8mCL_NF", LIEF::assembly::x86::OPCODE::SHR8mCL_NF)
  .value("SHR8mCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR8mCL_NF_ND)
  .value("SHR8mi", LIEF::assembly::x86::OPCODE::SHR8mi)
  .value("SHR8mi_EVEX", LIEF::assembly::x86::OPCODE::SHR8mi_EVEX)
  .value("SHR8mi_ND", LIEF::assembly::x86::OPCODE::SHR8mi_ND)
  .value("SHR8mi_NF", LIEF::assembly::x86::OPCODE::SHR8mi_NF)
  .value("SHR8mi_NF_ND", LIEF::assembly::x86::OPCODE::SHR8mi_NF_ND)
  .value("SHR8r1", LIEF::assembly::x86::OPCODE::SHR8r1)
  .value("SHR8r1_EVEX", LIEF::assembly::x86::OPCODE::SHR8r1_EVEX)
  .value("SHR8r1_ND", LIEF::assembly::x86::OPCODE::SHR8r1_ND)
  .value("SHR8r1_NF", LIEF::assembly::x86::OPCODE::SHR8r1_NF)
  .value("SHR8r1_NF_ND", LIEF::assembly::x86::OPCODE::SHR8r1_NF_ND)
  .value("SHR8rCL", LIEF::assembly::x86::OPCODE::SHR8rCL)
  .value("SHR8rCL_EVEX", LIEF::assembly::x86::OPCODE::SHR8rCL_EVEX)
  .value("SHR8rCL_ND", LIEF::assembly::x86::OPCODE::SHR8rCL_ND)
  .value("SHR8rCL_NF", LIEF::assembly::x86::OPCODE::SHR8rCL_NF)
  .value("SHR8rCL_NF_ND", LIEF::assembly::x86::OPCODE::SHR8rCL_NF_ND)
  .value("SHR8ri", LIEF::assembly::x86::OPCODE::SHR8ri)
  .value("SHR8ri_EVEX", LIEF::assembly::x86::OPCODE::SHR8ri_EVEX)
  .value("SHR8ri_ND", LIEF::assembly::x86::OPCODE::SHR8ri_ND)
  .value("SHR8ri_NF", LIEF::assembly::x86::OPCODE::SHR8ri_NF)
  .value("SHR8ri_NF_ND", LIEF::assembly::x86::OPCODE::SHR8ri_NF_ND)
  .value("SHRD16mrCL", LIEF::assembly::x86::OPCODE::SHRD16mrCL)
  .value("SHRD16mrCL_EVEX", LIEF::assembly::x86::OPCODE::SHRD16mrCL_EVEX)
  .value("SHRD16mrCL_ND", LIEF::assembly::x86::OPCODE::SHRD16mrCL_ND)
  .value("SHRD16mrCL_NF", LIEF::assembly::x86::OPCODE::SHRD16mrCL_NF)
  .value("SHRD16mrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHRD16mrCL_NF_ND)
  .value("SHRD16mri8", LIEF::assembly::x86::OPCODE::SHRD16mri8)
  .value("SHRD16mri8_EVEX", LIEF::assembly::x86::OPCODE::SHRD16mri8_EVEX)
  .value("SHRD16mri8_ND", LIEF::assembly::x86::OPCODE::SHRD16mri8_ND)
  .value("SHRD16mri8_NF", LIEF::assembly::x86::OPCODE::SHRD16mri8_NF);
  opcodes.value("SHRD16mri8_NF_ND", LIEF::assembly::x86::OPCODE::SHRD16mri8_NF_ND)
  .value("SHRD16rrCL", LIEF::assembly::x86::OPCODE::SHRD16rrCL)
  .value("SHRD16rrCL_EVEX", LIEF::assembly::x86::OPCODE::SHRD16rrCL_EVEX)
  .value("SHRD16rrCL_ND", LIEF::assembly::x86::OPCODE::SHRD16rrCL_ND)
  .value("SHRD16rrCL_NF", LIEF::assembly::x86::OPCODE::SHRD16rrCL_NF)
  .value("SHRD16rrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHRD16rrCL_NF_ND)
  .value("SHRD16rri8", LIEF::assembly::x86::OPCODE::SHRD16rri8)
  .value("SHRD16rri8_EVEX", LIEF::assembly::x86::OPCODE::SHRD16rri8_EVEX)
  .value("SHRD16rri8_ND", LIEF::assembly::x86::OPCODE::SHRD16rri8_ND)
  .value("SHRD16rri8_NF", LIEF::assembly::x86::OPCODE::SHRD16rri8_NF)
  .value("SHRD16rri8_NF_ND", LIEF::assembly::x86::OPCODE::SHRD16rri8_NF_ND)
  .value("SHRD32mrCL", LIEF::assembly::x86::OPCODE::SHRD32mrCL)
  .value("SHRD32mrCL_EVEX", LIEF::assembly::x86::OPCODE::SHRD32mrCL_EVEX)
  .value("SHRD32mrCL_ND", LIEF::assembly::x86::OPCODE::SHRD32mrCL_ND)
  .value("SHRD32mrCL_NF", LIEF::assembly::x86::OPCODE::SHRD32mrCL_NF)
  .value("SHRD32mrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHRD32mrCL_NF_ND)
  .value("SHRD32mri8", LIEF::assembly::x86::OPCODE::SHRD32mri8)
  .value("SHRD32mri8_EVEX", LIEF::assembly::x86::OPCODE::SHRD32mri8_EVEX)
  .value("SHRD32mri8_ND", LIEF::assembly::x86::OPCODE::SHRD32mri8_ND)
  .value("SHRD32mri8_NF", LIEF::assembly::x86::OPCODE::SHRD32mri8_NF)
  .value("SHRD32mri8_NF_ND", LIEF::assembly::x86::OPCODE::SHRD32mri8_NF_ND)
  .value("SHRD32rrCL", LIEF::assembly::x86::OPCODE::SHRD32rrCL)
  .value("SHRD32rrCL_EVEX", LIEF::assembly::x86::OPCODE::SHRD32rrCL_EVEX)
  .value("SHRD32rrCL_ND", LIEF::assembly::x86::OPCODE::SHRD32rrCL_ND)
  .value("SHRD32rrCL_NF", LIEF::assembly::x86::OPCODE::SHRD32rrCL_NF)
  .value("SHRD32rrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHRD32rrCL_NF_ND)
  .value("SHRD32rri8", LIEF::assembly::x86::OPCODE::SHRD32rri8)
  .value("SHRD32rri8_EVEX", LIEF::assembly::x86::OPCODE::SHRD32rri8_EVEX)
  .value("SHRD32rri8_ND", LIEF::assembly::x86::OPCODE::SHRD32rri8_ND)
  .value("SHRD32rri8_NF", LIEF::assembly::x86::OPCODE::SHRD32rri8_NF)
  .value("SHRD32rri8_NF_ND", LIEF::assembly::x86::OPCODE::SHRD32rri8_NF_ND)
  .value("SHRD64mrCL", LIEF::assembly::x86::OPCODE::SHRD64mrCL)
  .value("SHRD64mrCL_EVEX", LIEF::assembly::x86::OPCODE::SHRD64mrCL_EVEX)
  .value("SHRD64mrCL_ND", LIEF::assembly::x86::OPCODE::SHRD64mrCL_ND)
  .value("SHRD64mrCL_NF", LIEF::assembly::x86::OPCODE::SHRD64mrCL_NF)
  .value("SHRD64mrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHRD64mrCL_NF_ND)
  .value("SHRD64mri8", LIEF::assembly::x86::OPCODE::SHRD64mri8)
  .value("SHRD64mri8_EVEX", LIEF::assembly::x86::OPCODE::SHRD64mri8_EVEX)
  .value("SHRD64mri8_ND", LIEF::assembly::x86::OPCODE::SHRD64mri8_ND)
  .value("SHRD64mri8_NF", LIEF::assembly::x86::OPCODE::SHRD64mri8_NF)
  .value("SHRD64mri8_NF_ND", LIEF::assembly::x86::OPCODE::SHRD64mri8_NF_ND)
  .value("SHRD64rrCL", LIEF::assembly::x86::OPCODE::SHRD64rrCL)
  .value("SHRD64rrCL_EVEX", LIEF::assembly::x86::OPCODE::SHRD64rrCL_EVEX)
  .value("SHRD64rrCL_ND", LIEF::assembly::x86::OPCODE::SHRD64rrCL_ND)
  .value("SHRD64rrCL_NF", LIEF::assembly::x86::OPCODE::SHRD64rrCL_NF)
  .value("SHRD64rrCL_NF_ND", LIEF::assembly::x86::OPCODE::SHRD64rrCL_NF_ND)
  .value("SHRD64rri8", LIEF::assembly::x86::OPCODE::SHRD64rri8)
  .value("SHRD64rri8_EVEX", LIEF::assembly::x86::OPCODE::SHRD64rri8_EVEX)
  .value("SHRD64rri8_ND", LIEF::assembly::x86::OPCODE::SHRD64rri8_ND)
  .value("SHRD64rri8_NF", LIEF::assembly::x86::OPCODE::SHRD64rri8_NF)
  .value("SHRD64rri8_NF_ND", LIEF::assembly::x86::OPCODE::SHRD64rri8_NF_ND)
  .value("SHRX32rm", LIEF::assembly::x86::OPCODE::SHRX32rm)
  .value("SHRX32rm_EVEX", LIEF::assembly::x86::OPCODE::SHRX32rm_EVEX)
  .value("SHRX32rr", LIEF::assembly::x86::OPCODE::SHRX32rr)
  .value("SHRX32rr_EVEX", LIEF::assembly::x86::OPCODE::SHRX32rr_EVEX)
  .value("SHRX64rm", LIEF::assembly::x86::OPCODE::SHRX64rm)
  .value("SHRX64rm_EVEX", LIEF::assembly::x86::OPCODE::SHRX64rm_EVEX)
  .value("SHRX64rr", LIEF::assembly::x86::OPCODE::SHRX64rr)
  .value("SHRX64rr_EVEX", LIEF::assembly::x86::OPCODE::SHRX64rr_EVEX)
  .value("SHUFPDrmi", LIEF::assembly::x86::OPCODE::SHUFPDrmi)
  .value("SHUFPDrri", LIEF::assembly::x86::OPCODE::SHUFPDrri)
  .value("SHUFPSrmi", LIEF::assembly::x86::OPCODE::SHUFPSrmi)
  .value("SHUFPSrri", LIEF::assembly::x86::OPCODE::SHUFPSrri)
  .value("SIDT16m", LIEF::assembly::x86::OPCODE::SIDT16m)
  .value("SIDT32m", LIEF::assembly::x86::OPCODE::SIDT32m)
  .value("SIDT64m", LIEF::assembly::x86::OPCODE::SIDT64m)
  .value("SKINIT", LIEF::assembly::x86::OPCODE::SKINIT)
  .value("SLDT16m", LIEF::assembly::x86::OPCODE::SLDT16m)
  .value("SLDT16r", LIEF::assembly::x86::OPCODE::SLDT16r)
  .value("SLDT32r", LIEF::assembly::x86::OPCODE::SLDT32r)
  .value("SLDT64r", LIEF::assembly::x86::OPCODE::SLDT64r)
  .value("SLWPCB", LIEF::assembly::x86::OPCODE::SLWPCB)
  .value("SLWPCB64", LIEF::assembly::x86::OPCODE::SLWPCB64)
  .value("SMSW16m", LIEF::assembly::x86::OPCODE::SMSW16m)
  .value("SMSW16r", LIEF::assembly::x86::OPCODE::SMSW16r)
  .value("SMSW32r", LIEF::assembly::x86::OPCODE::SMSW32r)
  .value("SMSW64r", LIEF::assembly::x86::OPCODE::SMSW64r)
  .value("SQRTPDm", LIEF::assembly::x86::OPCODE::SQRTPDm)
  .value("SQRTPDr", LIEF::assembly::x86::OPCODE::SQRTPDr)
  .value("SQRTPSm", LIEF::assembly::x86::OPCODE::SQRTPSm)
  .value("SQRTPSr", LIEF::assembly::x86::OPCODE::SQRTPSr)
  .value("SQRTSDm", LIEF::assembly::x86::OPCODE::SQRTSDm)
  .value("SQRTSDm_Int", LIEF::assembly::x86::OPCODE::SQRTSDm_Int)
  .value("SQRTSDr", LIEF::assembly::x86::OPCODE::SQRTSDr)
  .value("SQRTSDr_Int", LIEF::assembly::x86::OPCODE::SQRTSDr_Int)
  .value("SQRTSSm", LIEF::assembly::x86::OPCODE::SQRTSSm)
  .value("SQRTSSm_Int", LIEF::assembly::x86::OPCODE::SQRTSSm_Int)
  .value("SQRTSSr", LIEF::assembly::x86::OPCODE::SQRTSSr)
  .value("SQRTSSr_Int", LIEF::assembly::x86::OPCODE::SQRTSSr_Int)
  .value("SQRT_F", LIEF::assembly::x86::OPCODE::SQRT_F)
  .value("SQRT_Fp32", LIEF::assembly::x86::OPCODE::SQRT_Fp32)
  .value("SQRT_Fp64", LIEF::assembly::x86::OPCODE::SQRT_Fp64)
  .value("SQRT_Fp80", LIEF::assembly::x86::OPCODE::SQRT_Fp80)
  .value("SS_PREFIX", LIEF::assembly::x86::OPCODE::SS_PREFIX)
  .value("STAC", LIEF::assembly::x86::OPCODE::STAC)
  .value("STACKALLOC_W_PROBING", LIEF::assembly::x86::OPCODE::STACKALLOC_W_PROBING)
  .value("STC", LIEF::assembly::x86::OPCODE::STC)
  .value("STD", LIEF::assembly::x86::OPCODE::STD)
  .value("STGI", LIEF::assembly::x86::OPCODE::STGI)
  .value("STI", LIEF::assembly::x86::OPCODE::STI)
  .value("STMXCSR", LIEF::assembly::x86::OPCODE::STMXCSR)
  .value("STOSB", LIEF::assembly::x86::OPCODE::STOSB)
  .value("STOSL", LIEF::assembly::x86::OPCODE::STOSL)
  .value("STOSQ", LIEF::assembly::x86::OPCODE::STOSQ)
  .value("STOSW", LIEF::assembly::x86::OPCODE::STOSW)
  .value("STR16r", LIEF::assembly::x86::OPCODE::STR16r)
  .value("STR32r", LIEF::assembly::x86::OPCODE::STR32r)
  .value("STR64r", LIEF::assembly::x86::OPCODE::STR64r)
  .value("STRm", LIEF::assembly::x86::OPCODE::STRm)
  .value("STTILECFG", LIEF::assembly::x86::OPCODE::STTILECFG)
  .value("STTILECFG_EVEX", LIEF::assembly::x86::OPCODE::STTILECFG_EVEX)
  .value("STUI", LIEF::assembly::x86::OPCODE::STUI)
  .value("ST_F32m", LIEF::assembly::x86::OPCODE::ST_F32m)
  .value("ST_F64m", LIEF::assembly::x86::OPCODE::ST_F64m)
  .value("ST_FP32m", LIEF::assembly::x86::OPCODE::ST_FP32m)
  .value("ST_FP64m", LIEF::assembly::x86::OPCODE::ST_FP64m)
  .value("ST_FP80m", LIEF::assembly::x86::OPCODE::ST_FP80m)
  .value("ST_FPrr", LIEF::assembly::x86::OPCODE::ST_FPrr)
  .value("ST_Fp32m", LIEF::assembly::x86::OPCODE::ST_Fp32m)
  .value("ST_Fp64m", LIEF::assembly::x86::OPCODE::ST_Fp64m)
  .value("ST_Fp64m32", LIEF::assembly::x86::OPCODE::ST_Fp64m32)
  .value("ST_Fp80m32", LIEF::assembly::x86::OPCODE::ST_Fp80m32)
  .value("ST_Fp80m64", LIEF::assembly::x86::OPCODE::ST_Fp80m64)
  .value("ST_FpP32m", LIEF::assembly::x86::OPCODE::ST_FpP32m)
  .value("ST_FpP64m", LIEF::assembly::x86::OPCODE::ST_FpP64m)
  .value("ST_FpP64m32", LIEF::assembly::x86::OPCODE::ST_FpP64m32)
  .value("ST_FpP80m", LIEF::assembly::x86::OPCODE::ST_FpP80m)
  .value("ST_FpP80m32", LIEF::assembly::x86::OPCODE::ST_FpP80m32)
  .value("ST_FpP80m64", LIEF::assembly::x86::OPCODE::ST_FpP80m64)
  .value("ST_Frr", LIEF::assembly::x86::OPCODE::ST_Frr)
  .value("SUB16i16", LIEF::assembly::x86::OPCODE::SUB16i16)
  .value("SUB16mi", LIEF::assembly::x86::OPCODE::SUB16mi)
  .value("SUB16mi8", LIEF::assembly::x86::OPCODE::SUB16mi8)
  .value("SUB16mi8_EVEX", LIEF::assembly::x86::OPCODE::SUB16mi8_EVEX)
  .value("SUB16mi8_ND", LIEF::assembly::x86::OPCODE::SUB16mi8_ND)
  .value("SUB16mi8_NF", LIEF::assembly::x86::OPCODE::SUB16mi8_NF)
  .value("SUB16mi8_NF_ND", LIEF::assembly::x86::OPCODE::SUB16mi8_NF_ND)
  .value("SUB16mi_EVEX", LIEF::assembly::x86::OPCODE::SUB16mi_EVEX)
  .value("SUB16mi_ND", LIEF::assembly::x86::OPCODE::SUB16mi_ND)
  .value("SUB16mi_NF", LIEF::assembly::x86::OPCODE::SUB16mi_NF)
  .value("SUB16mi_NF_ND", LIEF::assembly::x86::OPCODE::SUB16mi_NF_ND)
  .value("SUB16mr", LIEF::assembly::x86::OPCODE::SUB16mr)
  .value("SUB16mr_EVEX", LIEF::assembly::x86::OPCODE::SUB16mr_EVEX)
  .value("SUB16mr_ND", LIEF::assembly::x86::OPCODE::SUB16mr_ND)
  .value("SUB16mr_NF", LIEF::assembly::x86::OPCODE::SUB16mr_NF)
  .value("SUB16mr_NF_ND", LIEF::assembly::x86::OPCODE::SUB16mr_NF_ND)
  .value("SUB16ri", LIEF::assembly::x86::OPCODE::SUB16ri)
  .value("SUB16ri8", LIEF::assembly::x86::OPCODE::SUB16ri8)
  .value("SUB16ri8_EVEX", LIEF::assembly::x86::OPCODE::SUB16ri8_EVEX)
  .value("SUB16ri8_ND", LIEF::assembly::x86::OPCODE::SUB16ri8_ND)
  .value("SUB16ri8_NF", LIEF::assembly::x86::OPCODE::SUB16ri8_NF)
  .value("SUB16ri8_NF_ND", LIEF::assembly::x86::OPCODE::SUB16ri8_NF_ND)
  .value("SUB16ri_EVEX", LIEF::assembly::x86::OPCODE::SUB16ri_EVEX)
  .value("SUB16ri_ND", LIEF::assembly::x86::OPCODE::SUB16ri_ND)
  .value("SUB16ri_NF", LIEF::assembly::x86::OPCODE::SUB16ri_NF)
  .value("SUB16ri_NF_ND", LIEF::assembly::x86::OPCODE::SUB16ri_NF_ND)
  .value("SUB16rm", LIEF::assembly::x86::OPCODE::SUB16rm)
  .value("SUB16rm_EVEX", LIEF::assembly::x86::OPCODE::SUB16rm_EVEX)
  .value("SUB16rm_ND", LIEF::assembly::x86::OPCODE::SUB16rm_ND)
  .value("SUB16rm_NF", LIEF::assembly::x86::OPCODE::SUB16rm_NF)
  .value("SUB16rm_NF_ND", LIEF::assembly::x86::OPCODE::SUB16rm_NF_ND)
  .value("SUB16rr", LIEF::assembly::x86::OPCODE::SUB16rr)
  .value("SUB16rr_EVEX", LIEF::assembly::x86::OPCODE::SUB16rr_EVEX)
  .value("SUB16rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SUB16rr_EVEX_REV)
  .value("SUB16rr_ND", LIEF::assembly::x86::OPCODE::SUB16rr_ND)
  .value("SUB16rr_ND_REV", LIEF::assembly::x86::OPCODE::SUB16rr_ND_REV)
  .value("SUB16rr_NF", LIEF::assembly::x86::OPCODE::SUB16rr_NF)
  .value("SUB16rr_NF_ND", LIEF::assembly::x86::OPCODE::SUB16rr_NF_ND)
  .value("SUB16rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::SUB16rr_NF_ND_REV)
  .value("SUB16rr_NF_REV", LIEF::assembly::x86::OPCODE::SUB16rr_NF_REV)
  .value("SUB16rr_REV", LIEF::assembly::x86::OPCODE::SUB16rr_REV)
  .value("SUB32i32", LIEF::assembly::x86::OPCODE::SUB32i32)
  .value("SUB32mi", LIEF::assembly::x86::OPCODE::SUB32mi)
  .value("SUB32mi8", LIEF::assembly::x86::OPCODE::SUB32mi8)
  .value("SUB32mi8_EVEX", LIEF::assembly::x86::OPCODE::SUB32mi8_EVEX)
  .value("SUB32mi8_ND", LIEF::assembly::x86::OPCODE::SUB32mi8_ND)
  .value("SUB32mi8_NF", LIEF::assembly::x86::OPCODE::SUB32mi8_NF)
  .value("SUB32mi8_NF_ND", LIEF::assembly::x86::OPCODE::SUB32mi8_NF_ND)
  .value("SUB32mi_EVEX", LIEF::assembly::x86::OPCODE::SUB32mi_EVEX)
  .value("SUB32mi_ND", LIEF::assembly::x86::OPCODE::SUB32mi_ND)
  .value("SUB32mi_NF", LIEF::assembly::x86::OPCODE::SUB32mi_NF)
  .value("SUB32mi_NF_ND", LIEF::assembly::x86::OPCODE::SUB32mi_NF_ND)
  .value("SUB32mr", LIEF::assembly::x86::OPCODE::SUB32mr)
  .value("SUB32mr_EVEX", LIEF::assembly::x86::OPCODE::SUB32mr_EVEX)
  .value("SUB32mr_ND", LIEF::assembly::x86::OPCODE::SUB32mr_ND)
  .value("SUB32mr_NF", LIEF::assembly::x86::OPCODE::SUB32mr_NF)
  .value("SUB32mr_NF_ND", LIEF::assembly::x86::OPCODE::SUB32mr_NF_ND)
  .value("SUB32ri", LIEF::assembly::x86::OPCODE::SUB32ri)
  .value("SUB32ri8", LIEF::assembly::x86::OPCODE::SUB32ri8)
  .value("SUB32ri8_EVEX", LIEF::assembly::x86::OPCODE::SUB32ri8_EVEX)
  .value("SUB32ri8_ND", LIEF::assembly::x86::OPCODE::SUB32ri8_ND)
  .value("SUB32ri8_NF", LIEF::assembly::x86::OPCODE::SUB32ri8_NF)
  .value("SUB32ri8_NF_ND", LIEF::assembly::x86::OPCODE::SUB32ri8_NF_ND)
  .value("SUB32ri_EVEX", LIEF::assembly::x86::OPCODE::SUB32ri_EVEX)
  .value("SUB32ri_ND", LIEF::assembly::x86::OPCODE::SUB32ri_ND)
  .value("SUB32ri_NF", LIEF::assembly::x86::OPCODE::SUB32ri_NF)
  .value("SUB32ri_NF_ND", LIEF::assembly::x86::OPCODE::SUB32ri_NF_ND)
  .value("SUB32rm", LIEF::assembly::x86::OPCODE::SUB32rm)
  .value("SUB32rm_EVEX", LIEF::assembly::x86::OPCODE::SUB32rm_EVEX)
  .value("SUB32rm_ND", LIEF::assembly::x86::OPCODE::SUB32rm_ND)
  .value("SUB32rm_NF", LIEF::assembly::x86::OPCODE::SUB32rm_NF)
  .value("SUB32rm_NF_ND", LIEF::assembly::x86::OPCODE::SUB32rm_NF_ND)
  .value("SUB32rr", LIEF::assembly::x86::OPCODE::SUB32rr)
  .value("SUB32rr_EVEX", LIEF::assembly::x86::OPCODE::SUB32rr_EVEX)
  .value("SUB32rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SUB32rr_EVEX_REV)
  .value("SUB32rr_ND", LIEF::assembly::x86::OPCODE::SUB32rr_ND)
  .value("SUB32rr_ND_REV", LIEF::assembly::x86::OPCODE::SUB32rr_ND_REV)
  .value("SUB32rr_NF", LIEF::assembly::x86::OPCODE::SUB32rr_NF)
  .value("SUB32rr_NF_ND", LIEF::assembly::x86::OPCODE::SUB32rr_NF_ND)
  .value("SUB32rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::SUB32rr_NF_ND_REV)
  .value("SUB32rr_NF_REV", LIEF::assembly::x86::OPCODE::SUB32rr_NF_REV)
  .value("SUB32rr_REV", LIEF::assembly::x86::OPCODE::SUB32rr_REV)
  .value("SUB64i32", LIEF::assembly::x86::OPCODE::SUB64i32)
  .value("SUB64mi32", LIEF::assembly::x86::OPCODE::SUB64mi32)
  .value("SUB64mi32_EVEX", LIEF::assembly::x86::OPCODE::SUB64mi32_EVEX)
  .value("SUB64mi32_ND", LIEF::assembly::x86::OPCODE::SUB64mi32_ND)
  .value("SUB64mi32_NF", LIEF::assembly::x86::OPCODE::SUB64mi32_NF)
  .value("SUB64mi32_NF_ND", LIEF::assembly::x86::OPCODE::SUB64mi32_NF_ND)
  .value("SUB64mi8", LIEF::assembly::x86::OPCODE::SUB64mi8)
  .value("SUB64mi8_EVEX", LIEF::assembly::x86::OPCODE::SUB64mi8_EVEX)
  .value("SUB64mi8_ND", LIEF::assembly::x86::OPCODE::SUB64mi8_ND)
  .value("SUB64mi8_NF", LIEF::assembly::x86::OPCODE::SUB64mi8_NF)
  .value("SUB64mi8_NF_ND", LIEF::assembly::x86::OPCODE::SUB64mi8_NF_ND)
  .value("SUB64mr", LIEF::assembly::x86::OPCODE::SUB64mr)
  .value("SUB64mr_EVEX", LIEF::assembly::x86::OPCODE::SUB64mr_EVEX)
  .value("SUB64mr_ND", LIEF::assembly::x86::OPCODE::SUB64mr_ND)
  .value("SUB64mr_NF", LIEF::assembly::x86::OPCODE::SUB64mr_NF)
  .value("SUB64mr_NF_ND", LIEF::assembly::x86::OPCODE::SUB64mr_NF_ND)
  .value("SUB64ri32", LIEF::assembly::x86::OPCODE::SUB64ri32)
  .value("SUB64ri32_EVEX", LIEF::assembly::x86::OPCODE::SUB64ri32_EVEX)
  .value("SUB64ri32_ND", LIEF::assembly::x86::OPCODE::SUB64ri32_ND)
  .value("SUB64ri32_NF", LIEF::assembly::x86::OPCODE::SUB64ri32_NF)
  .value("SUB64ri32_NF_ND", LIEF::assembly::x86::OPCODE::SUB64ri32_NF_ND)
  .value("SUB64ri8", LIEF::assembly::x86::OPCODE::SUB64ri8)
  .value("SUB64ri8_EVEX", LIEF::assembly::x86::OPCODE::SUB64ri8_EVEX)
  .value("SUB64ri8_ND", LIEF::assembly::x86::OPCODE::SUB64ri8_ND)
  .value("SUB64ri8_NF", LIEF::assembly::x86::OPCODE::SUB64ri8_NF)
  .value("SUB64ri8_NF_ND", LIEF::assembly::x86::OPCODE::SUB64ri8_NF_ND)
  .value("SUB64rm", LIEF::assembly::x86::OPCODE::SUB64rm)
  .value("SUB64rm_EVEX", LIEF::assembly::x86::OPCODE::SUB64rm_EVEX)
  .value("SUB64rm_ND", LIEF::assembly::x86::OPCODE::SUB64rm_ND)
  .value("SUB64rm_NF", LIEF::assembly::x86::OPCODE::SUB64rm_NF)
  .value("SUB64rm_NF_ND", LIEF::assembly::x86::OPCODE::SUB64rm_NF_ND)
  .value("SUB64rr", LIEF::assembly::x86::OPCODE::SUB64rr)
  .value("SUB64rr_EVEX", LIEF::assembly::x86::OPCODE::SUB64rr_EVEX)
  .value("SUB64rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SUB64rr_EVEX_REV)
  .value("SUB64rr_ND", LIEF::assembly::x86::OPCODE::SUB64rr_ND)
  .value("SUB64rr_ND_REV", LIEF::assembly::x86::OPCODE::SUB64rr_ND_REV)
  .value("SUB64rr_NF", LIEF::assembly::x86::OPCODE::SUB64rr_NF)
  .value("SUB64rr_NF_ND", LIEF::assembly::x86::OPCODE::SUB64rr_NF_ND)
  .value("SUB64rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::SUB64rr_NF_ND_REV)
  .value("SUB64rr_NF_REV", LIEF::assembly::x86::OPCODE::SUB64rr_NF_REV)
  .value("SUB64rr_REV", LIEF::assembly::x86::OPCODE::SUB64rr_REV)
  .value("SUB8i8", LIEF::assembly::x86::OPCODE::SUB8i8)
  .value("SUB8mi", LIEF::assembly::x86::OPCODE::SUB8mi)
  .value("SUB8mi8", LIEF::assembly::x86::OPCODE::SUB8mi8)
  .value("SUB8mi_EVEX", LIEF::assembly::x86::OPCODE::SUB8mi_EVEX)
  .value("SUB8mi_ND", LIEF::assembly::x86::OPCODE::SUB8mi_ND)
  .value("SUB8mi_NF", LIEF::assembly::x86::OPCODE::SUB8mi_NF)
  .value("SUB8mi_NF_ND", LIEF::assembly::x86::OPCODE::SUB8mi_NF_ND)
  .value("SUB8mr", LIEF::assembly::x86::OPCODE::SUB8mr)
  .value("SUB8mr_EVEX", LIEF::assembly::x86::OPCODE::SUB8mr_EVEX)
  .value("SUB8mr_ND", LIEF::assembly::x86::OPCODE::SUB8mr_ND)
  .value("SUB8mr_NF", LIEF::assembly::x86::OPCODE::SUB8mr_NF)
  .value("SUB8mr_NF_ND", LIEF::assembly::x86::OPCODE::SUB8mr_NF_ND)
  .value("SUB8ri", LIEF::assembly::x86::OPCODE::SUB8ri)
  .value("SUB8ri8", LIEF::assembly::x86::OPCODE::SUB8ri8)
  .value("SUB8ri_EVEX", LIEF::assembly::x86::OPCODE::SUB8ri_EVEX)
  .value("SUB8ri_ND", LIEF::assembly::x86::OPCODE::SUB8ri_ND)
  .value("SUB8ri_NF", LIEF::assembly::x86::OPCODE::SUB8ri_NF)
  .value("SUB8ri_NF_ND", LIEF::assembly::x86::OPCODE::SUB8ri_NF_ND)
  .value("SUB8rm", LIEF::assembly::x86::OPCODE::SUB8rm)
  .value("SUB8rm_EVEX", LIEF::assembly::x86::OPCODE::SUB8rm_EVEX)
  .value("SUB8rm_ND", LIEF::assembly::x86::OPCODE::SUB8rm_ND)
  .value("SUB8rm_NF", LIEF::assembly::x86::OPCODE::SUB8rm_NF)
  .value("SUB8rm_NF_ND", LIEF::assembly::x86::OPCODE::SUB8rm_NF_ND)
  .value("SUB8rr", LIEF::assembly::x86::OPCODE::SUB8rr)
  .value("SUB8rr_EVEX", LIEF::assembly::x86::OPCODE::SUB8rr_EVEX)
  .value("SUB8rr_EVEX_REV", LIEF::assembly::x86::OPCODE::SUB8rr_EVEX_REV)
  .value("SUB8rr_ND", LIEF::assembly::x86::OPCODE::SUB8rr_ND)
  .value("SUB8rr_ND_REV", LIEF::assembly::x86::OPCODE::SUB8rr_ND_REV)
  .value("SUB8rr_NF", LIEF::assembly::x86::OPCODE::SUB8rr_NF)
  .value("SUB8rr_NF_ND", LIEF::assembly::x86::OPCODE::SUB8rr_NF_ND)
  .value("SUB8rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::SUB8rr_NF_ND_REV)
  .value("SUB8rr_NF_REV", LIEF::assembly::x86::OPCODE::SUB8rr_NF_REV)
  .value("SUB8rr_REV", LIEF::assembly::x86::OPCODE::SUB8rr_REV)
  .value("SUBPDrm", LIEF::assembly::x86::OPCODE::SUBPDrm)
  .value("SUBPDrr", LIEF::assembly::x86::OPCODE::SUBPDrr)
  .value("SUBPSrm", LIEF::assembly::x86::OPCODE::SUBPSrm)
  .value("SUBPSrr", LIEF::assembly::x86::OPCODE::SUBPSrr)
  .value("SUBR_F32m", LIEF::assembly::x86::OPCODE::SUBR_F32m)
  .value("SUBR_F64m", LIEF::assembly::x86::OPCODE::SUBR_F64m)
  .value("SUBR_FI16m", LIEF::assembly::x86::OPCODE::SUBR_FI16m)
  .value("SUBR_FI32m", LIEF::assembly::x86::OPCODE::SUBR_FI32m)
  .value("SUBR_FPrST0", LIEF::assembly::x86::OPCODE::SUBR_FPrST0)
  .value("SUBR_FST0r", LIEF::assembly::x86::OPCODE::SUBR_FST0r)
  .value("SUBR_Fp32m", LIEF::assembly::x86::OPCODE::SUBR_Fp32m)
  .value("SUBR_Fp64m", LIEF::assembly::x86::OPCODE::SUBR_Fp64m)
  .value("SUBR_Fp64m32", LIEF::assembly::x86::OPCODE::SUBR_Fp64m32)
  .value("SUBR_Fp80m32", LIEF::assembly::x86::OPCODE::SUBR_Fp80m32);
  opcodes.value("SUBR_Fp80m64", LIEF::assembly::x86::OPCODE::SUBR_Fp80m64)
  .value("SUBR_FpI16m32", LIEF::assembly::x86::OPCODE::SUBR_FpI16m32)
  .value("SUBR_FpI16m64", LIEF::assembly::x86::OPCODE::SUBR_FpI16m64)
  .value("SUBR_FpI16m80", LIEF::assembly::x86::OPCODE::SUBR_FpI16m80)
  .value("SUBR_FpI32m32", LIEF::assembly::x86::OPCODE::SUBR_FpI32m32)
  .value("SUBR_FpI32m64", LIEF::assembly::x86::OPCODE::SUBR_FpI32m64)
  .value("SUBR_FpI32m80", LIEF::assembly::x86::OPCODE::SUBR_FpI32m80)
  .value("SUBR_FrST0", LIEF::assembly::x86::OPCODE::SUBR_FrST0)
  .value("SUBSDrm", LIEF::assembly::x86::OPCODE::SUBSDrm)
  .value("SUBSDrm_Int", LIEF::assembly::x86::OPCODE::SUBSDrm_Int)
  .value("SUBSDrr", LIEF::assembly::x86::OPCODE::SUBSDrr)
  .value("SUBSDrr_Int", LIEF::assembly::x86::OPCODE::SUBSDrr_Int)
  .value("SUBSSrm", LIEF::assembly::x86::OPCODE::SUBSSrm)
  .value("SUBSSrm_Int", LIEF::assembly::x86::OPCODE::SUBSSrm_Int)
  .value("SUBSSrr", LIEF::assembly::x86::OPCODE::SUBSSrr)
  .value("SUBSSrr_Int", LIEF::assembly::x86::OPCODE::SUBSSrr_Int)
  .value("SUB_F32m", LIEF::assembly::x86::OPCODE::SUB_F32m)
  .value("SUB_F64m", LIEF::assembly::x86::OPCODE::SUB_F64m)
  .value("SUB_FI16m", LIEF::assembly::x86::OPCODE::SUB_FI16m)
  .value("SUB_FI32m", LIEF::assembly::x86::OPCODE::SUB_FI32m)
  .value("SUB_FPrST0", LIEF::assembly::x86::OPCODE::SUB_FPrST0)
  .value("SUB_FST0r", LIEF::assembly::x86::OPCODE::SUB_FST0r)
  .value("SUB_Fp32", LIEF::assembly::x86::OPCODE::SUB_Fp32)
  .value("SUB_Fp32m", LIEF::assembly::x86::OPCODE::SUB_Fp32m)
  .value("SUB_Fp64", LIEF::assembly::x86::OPCODE::SUB_Fp64)
  .value("SUB_Fp64m", LIEF::assembly::x86::OPCODE::SUB_Fp64m)
  .value("SUB_Fp64m32", LIEF::assembly::x86::OPCODE::SUB_Fp64m32)
  .value("SUB_Fp80", LIEF::assembly::x86::OPCODE::SUB_Fp80)
  .value("SUB_Fp80m32", LIEF::assembly::x86::OPCODE::SUB_Fp80m32)
  .value("SUB_Fp80m64", LIEF::assembly::x86::OPCODE::SUB_Fp80m64)
  .value("SUB_FpI16m32", LIEF::assembly::x86::OPCODE::SUB_FpI16m32)
  .value("SUB_FpI16m64", LIEF::assembly::x86::OPCODE::SUB_FpI16m64)
  .value("SUB_FpI16m80", LIEF::assembly::x86::OPCODE::SUB_FpI16m80)
  .value("SUB_FpI32m32", LIEF::assembly::x86::OPCODE::SUB_FpI32m32)
  .value("SUB_FpI32m64", LIEF::assembly::x86::OPCODE::SUB_FpI32m64)
  .value("SUB_FpI32m80", LIEF::assembly::x86::OPCODE::SUB_FpI32m80)
  .value("SUB_FrST0", LIEF::assembly::x86::OPCODE::SUB_FrST0)
  .value("SWAPGS", LIEF::assembly::x86::OPCODE::SWAPGS)
  .value("SYSCALL", LIEF::assembly::x86::OPCODE::SYSCALL)
  .value("SYSENTER", LIEF::assembly::x86::OPCODE::SYSENTER)
  .value("SYSEXIT", LIEF::assembly::x86::OPCODE::SYSEXIT)
  .value("SYSEXIT64", LIEF::assembly::x86::OPCODE::SYSEXIT64)
  .value("SYSRET", LIEF::assembly::x86::OPCODE::SYSRET)
  .value("SYSRET64", LIEF::assembly::x86::OPCODE::SYSRET64)
  .value("T1MSKC32rm", LIEF::assembly::x86::OPCODE::T1MSKC32rm)
  .value("T1MSKC32rr", LIEF::assembly::x86::OPCODE::T1MSKC32rr)
  .value("T1MSKC64rm", LIEF::assembly::x86::OPCODE::T1MSKC64rm)
  .value("T1MSKC64rr", LIEF::assembly::x86::OPCODE::T1MSKC64rr)
  .value("TAILJMPd", LIEF::assembly::x86::OPCODE::TAILJMPd)
  .value("TAILJMPd64", LIEF::assembly::x86::OPCODE::TAILJMPd64)
  .value("TAILJMPd64_CC", LIEF::assembly::x86::OPCODE::TAILJMPd64_CC)
  .value("TAILJMPd_CC", LIEF::assembly::x86::OPCODE::TAILJMPd_CC)
  .value("TAILJMPm", LIEF::assembly::x86::OPCODE::TAILJMPm)
  .value("TAILJMPm64", LIEF::assembly::x86::OPCODE::TAILJMPm64)
  .value("TAILJMPm64_REX", LIEF::assembly::x86::OPCODE::TAILJMPm64_REX)
  .value("TAILJMPr", LIEF::assembly::x86::OPCODE::TAILJMPr)
  .value("TAILJMPr64", LIEF::assembly::x86::OPCODE::TAILJMPr64)
  .value("TAILJMPr64_REX", LIEF::assembly::x86::OPCODE::TAILJMPr64_REX)
  .value("TCMMIMFP16PS", LIEF::assembly::x86::OPCODE::TCMMIMFP16PS)
  .value("TCMMRLFP16PS", LIEF::assembly::x86::OPCODE::TCMMRLFP16PS)
  .value("TCRETURNdi", LIEF::assembly::x86::OPCODE::TCRETURNdi)
  .value("TCRETURNdi64", LIEF::assembly::x86::OPCODE::TCRETURNdi64)
  .value("TCRETURNdi64cc", LIEF::assembly::x86::OPCODE::TCRETURNdi64cc)
  .value("TCRETURNdicc", LIEF::assembly::x86::OPCODE::TCRETURNdicc)
  .value("TCRETURNmi", LIEF::assembly::x86::OPCODE::TCRETURNmi)
  .value("TCRETURNmi64", LIEF::assembly::x86::OPCODE::TCRETURNmi64)
  .value("TCRETURNri", LIEF::assembly::x86::OPCODE::TCRETURNri)
  .value("TCRETURNri64", LIEF::assembly::x86::OPCODE::TCRETURNri64)
  .value("TDCALL", LIEF::assembly::x86::OPCODE::TDCALL)
  .value("TDPBF16PS", LIEF::assembly::x86::OPCODE::TDPBF16PS)
  .value("TDPBSSD", LIEF::assembly::x86::OPCODE::TDPBSSD)
  .value("TDPBSUD", LIEF::assembly::x86::OPCODE::TDPBSUD)
  .value("TDPBUSD", LIEF::assembly::x86::OPCODE::TDPBUSD)
  .value("TDPBUUD", LIEF::assembly::x86::OPCODE::TDPBUUD)
  .value("TDPFP16PS", LIEF::assembly::x86::OPCODE::TDPFP16PS)
  .value("TEST16i16", LIEF::assembly::x86::OPCODE::TEST16i16)
  .value("TEST16mi", LIEF::assembly::x86::OPCODE::TEST16mi)
  .value("TEST16mr", LIEF::assembly::x86::OPCODE::TEST16mr)
  .value("TEST16ri", LIEF::assembly::x86::OPCODE::TEST16ri)
  .value("TEST16rr", LIEF::assembly::x86::OPCODE::TEST16rr)
  .value("TEST32i32", LIEF::assembly::x86::OPCODE::TEST32i32)
  .value("TEST32mi", LIEF::assembly::x86::OPCODE::TEST32mi)
  .value("TEST32mr", LIEF::assembly::x86::OPCODE::TEST32mr)
  .value("TEST32ri", LIEF::assembly::x86::OPCODE::TEST32ri)
  .value("TEST32rr", LIEF::assembly::x86::OPCODE::TEST32rr)
  .value("TEST64i32", LIEF::assembly::x86::OPCODE::TEST64i32)
  .value("TEST64mi32", LIEF::assembly::x86::OPCODE::TEST64mi32)
  .value("TEST64mr", LIEF::assembly::x86::OPCODE::TEST64mr)
  .value("TEST64ri32", LIEF::assembly::x86::OPCODE::TEST64ri32)
  .value("TEST64rr", LIEF::assembly::x86::OPCODE::TEST64rr)
  .value("TEST8i8", LIEF::assembly::x86::OPCODE::TEST8i8)
  .value("TEST8mi", LIEF::assembly::x86::OPCODE::TEST8mi)
  .value("TEST8mr", LIEF::assembly::x86::OPCODE::TEST8mr)
  .value("TEST8ri", LIEF::assembly::x86::OPCODE::TEST8ri)
  .value("TEST8rr", LIEF::assembly::x86::OPCODE::TEST8rr)
  .value("TESTUI", LIEF::assembly::x86::OPCODE::TESTUI)
  .value("TILELOADD", LIEF::assembly::x86::OPCODE::TILELOADD)
  .value("TILELOADDT1", LIEF::assembly::x86::OPCODE::TILELOADDT1)
  .value("TILELOADDT1_EVEX", LIEF::assembly::x86::OPCODE::TILELOADDT1_EVEX)
  .value("TILELOADD_EVEX", LIEF::assembly::x86::OPCODE::TILELOADD_EVEX)
  .value("TILERELEASE", LIEF::assembly::x86::OPCODE::TILERELEASE)
  .value("TILESTORED", LIEF::assembly::x86::OPCODE::TILESTORED)
  .value("TILESTORED_EVEX", LIEF::assembly::x86::OPCODE::TILESTORED_EVEX)
  .value("TILEZERO", LIEF::assembly::x86::OPCODE::TILEZERO)
  .value("TLBSYNC", LIEF::assembly::x86::OPCODE::TLBSYNC)
  .value("TLSCall_32", LIEF::assembly::x86::OPCODE::TLSCall_32)
  .value("TLSCall_64", LIEF::assembly::x86::OPCODE::TLSCall_64)
  .value("TLS_addr32", LIEF::assembly::x86::OPCODE::TLS_addr32)
  .value("TLS_addr64", LIEF::assembly::x86::OPCODE::TLS_addr64)
  .value("TLS_addrX32", LIEF::assembly::x86::OPCODE::TLS_addrX32)
  .value("TLS_base_addr32", LIEF::assembly::x86::OPCODE::TLS_base_addr32)
  .value("TLS_base_addr64", LIEF::assembly::x86::OPCODE::TLS_base_addr64)
  .value("TLS_base_addrX32", LIEF::assembly::x86::OPCODE::TLS_base_addrX32)
  .value("TLS_desc32", LIEF::assembly::x86::OPCODE::TLS_desc32)
  .value("TLS_desc64", LIEF::assembly::x86::OPCODE::TLS_desc64)
  .value("TPAUSE", LIEF::assembly::x86::OPCODE::TPAUSE)
  .value("TRAP", LIEF::assembly::x86::OPCODE::TRAP)
  .value("TST_F", LIEF::assembly::x86::OPCODE::TST_F)
  .value("TST_Fp32", LIEF::assembly::x86::OPCODE::TST_Fp32)
  .value("TST_Fp64", LIEF::assembly::x86::OPCODE::TST_Fp64)
  .value("TST_Fp80", LIEF::assembly::x86::OPCODE::TST_Fp80)
  .value("TZCNT16rm", LIEF::assembly::x86::OPCODE::TZCNT16rm)
  .value("TZCNT16rm_EVEX", LIEF::assembly::x86::OPCODE::TZCNT16rm_EVEX)
  .value("TZCNT16rm_NF", LIEF::assembly::x86::OPCODE::TZCNT16rm_NF)
  .value("TZCNT16rr", LIEF::assembly::x86::OPCODE::TZCNT16rr)
  .value("TZCNT16rr_EVEX", LIEF::assembly::x86::OPCODE::TZCNT16rr_EVEX)
  .value("TZCNT16rr_NF", LIEF::assembly::x86::OPCODE::TZCNT16rr_NF)
  .value("TZCNT32rm", LIEF::assembly::x86::OPCODE::TZCNT32rm)
  .value("TZCNT32rm_EVEX", LIEF::assembly::x86::OPCODE::TZCNT32rm_EVEX)
  .value("TZCNT32rm_NF", LIEF::assembly::x86::OPCODE::TZCNT32rm_NF)
  .value("TZCNT32rr", LIEF::assembly::x86::OPCODE::TZCNT32rr)
  .value("TZCNT32rr_EVEX", LIEF::assembly::x86::OPCODE::TZCNT32rr_EVEX)
  .value("TZCNT32rr_NF", LIEF::assembly::x86::OPCODE::TZCNT32rr_NF)
  .value("TZCNT64rm", LIEF::assembly::x86::OPCODE::TZCNT64rm)
  .value("TZCNT64rm_EVEX", LIEF::assembly::x86::OPCODE::TZCNT64rm_EVEX)
  .value("TZCNT64rm_NF", LIEF::assembly::x86::OPCODE::TZCNT64rm_NF)
  .value("TZCNT64rr", LIEF::assembly::x86::OPCODE::TZCNT64rr)
  .value("TZCNT64rr_EVEX", LIEF::assembly::x86::OPCODE::TZCNT64rr_EVEX)
  .value("TZCNT64rr_NF", LIEF::assembly::x86::OPCODE::TZCNT64rr_NF)
  .value("TZMSK32rm", LIEF::assembly::x86::OPCODE::TZMSK32rm)
  .value("TZMSK32rr", LIEF::assembly::x86::OPCODE::TZMSK32rr)
  .value("TZMSK64rm", LIEF::assembly::x86::OPCODE::TZMSK64rm)
  .value("TZMSK64rr", LIEF::assembly::x86::OPCODE::TZMSK64rr)
  .value("UBSAN_UD1", LIEF::assembly::x86::OPCODE::UBSAN_UD1)
  .value("UCOMISDrm", LIEF::assembly::x86::OPCODE::UCOMISDrm)
  .value("UCOMISDrm_Int", LIEF::assembly::x86::OPCODE::UCOMISDrm_Int)
  .value("UCOMISDrr", LIEF::assembly::x86::OPCODE::UCOMISDrr)
  .value("UCOMISDrr_Int", LIEF::assembly::x86::OPCODE::UCOMISDrr_Int)
  .value("UCOMISSrm", LIEF::assembly::x86::OPCODE::UCOMISSrm)
  .value("UCOMISSrm_Int", LIEF::assembly::x86::OPCODE::UCOMISSrm_Int)
  .value("UCOMISSrr", LIEF::assembly::x86::OPCODE::UCOMISSrr)
  .value("UCOMISSrr_Int", LIEF::assembly::x86::OPCODE::UCOMISSrr_Int)
  .value("UCOM_FIPr", LIEF::assembly::x86::OPCODE::UCOM_FIPr)
  .value("UCOM_FIr", LIEF::assembly::x86::OPCODE::UCOM_FIr)
  .value("UCOM_FPPr", LIEF::assembly::x86::OPCODE::UCOM_FPPr)
  .value("UCOM_FPr", LIEF::assembly::x86::OPCODE::UCOM_FPr)
  .value("UCOM_FpIr32", LIEF::assembly::x86::OPCODE::UCOM_FpIr32)
  .value("UCOM_FpIr64", LIEF::assembly::x86::OPCODE::UCOM_FpIr64)
  .value("UCOM_FpIr80", LIEF::assembly::x86::OPCODE::UCOM_FpIr80)
  .value("UCOM_Fpr32", LIEF::assembly::x86::OPCODE::UCOM_Fpr32)
  .value("UCOM_Fpr64", LIEF::assembly::x86::OPCODE::UCOM_Fpr64)
  .value("UCOM_Fpr80", LIEF::assembly::x86::OPCODE::UCOM_Fpr80)
  .value("UCOM_Fr", LIEF::assembly::x86::OPCODE::UCOM_Fr)
  .value("UD1Lm", LIEF::assembly::x86::OPCODE::UD1Lm)
  .value("UD1Lr", LIEF::assembly::x86::OPCODE::UD1Lr)
  .value("UD1Qm", LIEF::assembly::x86::OPCODE::UD1Qm)
  .value("UD1Qr", LIEF::assembly::x86::OPCODE::UD1Qr)
  .value("UD1Wm", LIEF::assembly::x86::OPCODE::UD1Wm)
  .value("UD1Wr", LIEF::assembly::x86::OPCODE::UD1Wr)
  .value("UIRET", LIEF::assembly::x86::OPCODE::UIRET)
  .value("UMONITOR16", LIEF::assembly::x86::OPCODE::UMONITOR16)
  .value("UMONITOR32", LIEF::assembly::x86::OPCODE::UMONITOR32)
  .value("UMONITOR64", LIEF::assembly::x86::OPCODE::UMONITOR64)
  .value("UMWAIT", LIEF::assembly::x86::OPCODE::UMWAIT)
  .value("UNPCKHPDrm", LIEF::assembly::x86::OPCODE::UNPCKHPDrm)
  .value("UNPCKHPDrr", LIEF::assembly::x86::OPCODE::UNPCKHPDrr)
  .value("UNPCKHPSrm", LIEF::assembly::x86::OPCODE::UNPCKHPSrm)
  .value("UNPCKHPSrr", LIEF::assembly::x86::OPCODE::UNPCKHPSrr)
  .value("UNPCKLPDrm", LIEF::assembly::x86::OPCODE::UNPCKLPDrm)
  .value("UNPCKLPDrr", LIEF::assembly::x86::OPCODE::UNPCKLPDrr)
  .value("UNPCKLPSrm", LIEF::assembly::x86::OPCODE::UNPCKLPSrm)
  .value("UNPCKLPSrr", LIEF::assembly::x86::OPCODE::UNPCKLPSrr)
  .value("URDMSRri", LIEF::assembly::x86::OPCODE::URDMSRri)
  .value("URDMSRri_EVEX", LIEF::assembly::x86::OPCODE::URDMSRri_EVEX)
  .value("URDMSRrr", LIEF::assembly::x86::OPCODE::URDMSRrr)
  .value("URDMSRrr_EVEX", LIEF::assembly::x86::OPCODE::URDMSRrr_EVEX)
  .value("UWRMSRir", LIEF::assembly::x86::OPCODE::UWRMSRir)
  .value("UWRMSRir_EVEX", LIEF::assembly::x86::OPCODE::UWRMSRir_EVEX)
  .value("UWRMSRrr", LIEF::assembly::x86::OPCODE::UWRMSRrr)
  .value("UWRMSRrr_EVEX", LIEF::assembly::x86::OPCODE::UWRMSRrr_EVEX)
  .value("V4FMADDPSrm", LIEF::assembly::x86::OPCODE::V4FMADDPSrm)
  .value("V4FMADDPSrmk", LIEF::assembly::x86::OPCODE::V4FMADDPSrmk)
  .value("V4FMADDPSrmkz", LIEF::assembly::x86::OPCODE::V4FMADDPSrmkz)
  .value("V4FMADDSSrm", LIEF::assembly::x86::OPCODE::V4FMADDSSrm)
  .value("V4FMADDSSrmk", LIEF::assembly::x86::OPCODE::V4FMADDSSrmk)
  .value("V4FMADDSSrmkz", LIEF::assembly::x86::OPCODE::V4FMADDSSrmkz)
  .value("V4FNMADDPSrm", LIEF::assembly::x86::OPCODE::V4FNMADDPSrm)
  .value("V4FNMADDPSrmk", LIEF::assembly::x86::OPCODE::V4FNMADDPSrmk)
  .value("V4FNMADDPSrmkz", LIEF::assembly::x86::OPCODE::V4FNMADDPSrmkz)
  .value("V4FNMADDSSrm", LIEF::assembly::x86::OPCODE::V4FNMADDSSrm)
  .value("V4FNMADDSSrmk", LIEF::assembly::x86::OPCODE::V4FNMADDSSrmk)
  .value("V4FNMADDSSrmkz", LIEF::assembly::x86::OPCODE::V4FNMADDSSrmkz)
  .value("VAARG_64", LIEF::assembly::x86::OPCODE::VAARG_64)
  .value("VAARG_X32", LIEF::assembly::x86::OPCODE::VAARG_X32)
  .value("VADDPDYrm", LIEF::assembly::x86::OPCODE::VADDPDYrm)
  .value("VADDPDYrr", LIEF::assembly::x86::OPCODE::VADDPDYrr)
  .value("VADDPDZ128rm", LIEF::assembly::x86::OPCODE::VADDPDZ128rm)
  .value("VADDPDZ128rmb", LIEF::assembly::x86::OPCODE::VADDPDZ128rmb)
  .value("VADDPDZ128rmbk", LIEF::assembly::x86::OPCODE::VADDPDZ128rmbk)
  .value("VADDPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VADDPDZ128rmbkz)
  .value("VADDPDZ128rmk", LIEF::assembly::x86::OPCODE::VADDPDZ128rmk)
  .value("VADDPDZ128rmkz", LIEF::assembly::x86::OPCODE::VADDPDZ128rmkz)
  .value("VADDPDZ128rr", LIEF::assembly::x86::OPCODE::VADDPDZ128rr)
  .value("VADDPDZ128rrk", LIEF::assembly::x86::OPCODE::VADDPDZ128rrk)
  .value("VADDPDZ128rrkz", LIEF::assembly::x86::OPCODE::VADDPDZ128rrkz)
  .value("VADDPDZ256rm", LIEF::assembly::x86::OPCODE::VADDPDZ256rm)
  .value("VADDPDZ256rmb", LIEF::assembly::x86::OPCODE::VADDPDZ256rmb)
  .value("VADDPDZ256rmbk", LIEF::assembly::x86::OPCODE::VADDPDZ256rmbk)
  .value("VADDPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VADDPDZ256rmbkz)
  .value("VADDPDZ256rmk", LIEF::assembly::x86::OPCODE::VADDPDZ256rmk)
  .value("VADDPDZ256rmkz", LIEF::assembly::x86::OPCODE::VADDPDZ256rmkz)
  .value("VADDPDZ256rr", LIEF::assembly::x86::OPCODE::VADDPDZ256rr)
  .value("VADDPDZ256rrk", LIEF::assembly::x86::OPCODE::VADDPDZ256rrk)
  .value("VADDPDZ256rrkz", LIEF::assembly::x86::OPCODE::VADDPDZ256rrkz)
  .value("VADDPDZrm", LIEF::assembly::x86::OPCODE::VADDPDZrm)
  .value("VADDPDZrmb", LIEF::assembly::x86::OPCODE::VADDPDZrmb)
  .value("VADDPDZrmbk", LIEF::assembly::x86::OPCODE::VADDPDZrmbk)
  .value("VADDPDZrmbkz", LIEF::assembly::x86::OPCODE::VADDPDZrmbkz)
  .value("VADDPDZrmk", LIEF::assembly::x86::OPCODE::VADDPDZrmk)
  .value("VADDPDZrmkz", LIEF::assembly::x86::OPCODE::VADDPDZrmkz)
  .value("VADDPDZrr", LIEF::assembly::x86::OPCODE::VADDPDZrr)
  .value("VADDPDZrrb", LIEF::assembly::x86::OPCODE::VADDPDZrrb)
  .value("VADDPDZrrbk", LIEF::assembly::x86::OPCODE::VADDPDZrrbk)
  .value("VADDPDZrrbkz", LIEF::assembly::x86::OPCODE::VADDPDZrrbkz)
  .value("VADDPDZrrk", LIEF::assembly::x86::OPCODE::VADDPDZrrk)
  .value("VADDPDZrrkz", LIEF::assembly::x86::OPCODE::VADDPDZrrkz)
  .value("VADDPDrm", LIEF::assembly::x86::OPCODE::VADDPDrm)
  .value("VADDPDrr", LIEF::assembly::x86::OPCODE::VADDPDrr)
  .value("VADDPHZ128rm", LIEF::assembly::x86::OPCODE::VADDPHZ128rm)
  .value("VADDPHZ128rmb", LIEF::assembly::x86::OPCODE::VADDPHZ128rmb)
  .value("VADDPHZ128rmbk", LIEF::assembly::x86::OPCODE::VADDPHZ128rmbk)
  .value("VADDPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VADDPHZ128rmbkz)
  .value("VADDPHZ128rmk", LIEF::assembly::x86::OPCODE::VADDPHZ128rmk)
  .value("VADDPHZ128rmkz", LIEF::assembly::x86::OPCODE::VADDPHZ128rmkz)
  .value("VADDPHZ128rr", LIEF::assembly::x86::OPCODE::VADDPHZ128rr)
  .value("VADDPHZ128rrk", LIEF::assembly::x86::OPCODE::VADDPHZ128rrk)
  .value("VADDPHZ128rrkz", LIEF::assembly::x86::OPCODE::VADDPHZ128rrkz)
  .value("VADDPHZ256rm", LIEF::assembly::x86::OPCODE::VADDPHZ256rm)
  .value("VADDPHZ256rmb", LIEF::assembly::x86::OPCODE::VADDPHZ256rmb)
  .value("VADDPHZ256rmbk", LIEF::assembly::x86::OPCODE::VADDPHZ256rmbk)
  .value("VADDPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VADDPHZ256rmbkz)
  .value("VADDPHZ256rmk", LIEF::assembly::x86::OPCODE::VADDPHZ256rmk)
  .value("VADDPHZ256rmkz", LIEF::assembly::x86::OPCODE::VADDPHZ256rmkz)
  .value("VADDPHZ256rr", LIEF::assembly::x86::OPCODE::VADDPHZ256rr)
  .value("VADDPHZ256rrk", LIEF::assembly::x86::OPCODE::VADDPHZ256rrk)
  .value("VADDPHZ256rrkz", LIEF::assembly::x86::OPCODE::VADDPHZ256rrkz)
  .value("VADDPHZrm", LIEF::assembly::x86::OPCODE::VADDPHZrm)
  .value("VADDPHZrmb", LIEF::assembly::x86::OPCODE::VADDPHZrmb)
  .value("VADDPHZrmbk", LIEF::assembly::x86::OPCODE::VADDPHZrmbk)
  .value("VADDPHZrmbkz", LIEF::assembly::x86::OPCODE::VADDPHZrmbkz)
  .value("VADDPHZrmk", LIEF::assembly::x86::OPCODE::VADDPHZrmk)
  .value("VADDPHZrmkz", LIEF::assembly::x86::OPCODE::VADDPHZrmkz)
  .value("VADDPHZrr", LIEF::assembly::x86::OPCODE::VADDPHZrr)
  .value("VADDPHZrrb", LIEF::assembly::x86::OPCODE::VADDPHZrrb)
  .value("VADDPHZrrbk", LIEF::assembly::x86::OPCODE::VADDPHZrrbk)
  .value("VADDPHZrrbkz", LIEF::assembly::x86::OPCODE::VADDPHZrrbkz)
  .value("VADDPHZrrk", LIEF::assembly::x86::OPCODE::VADDPHZrrk)
  .value("VADDPHZrrkz", LIEF::assembly::x86::OPCODE::VADDPHZrrkz)
  .value("VADDPSYrm", LIEF::assembly::x86::OPCODE::VADDPSYrm)
  .value("VADDPSYrr", LIEF::assembly::x86::OPCODE::VADDPSYrr)
  .value("VADDPSZ128rm", LIEF::assembly::x86::OPCODE::VADDPSZ128rm)
  .value("VADDPSZ128rmb", LIEF::assembly::x86::OPCODE::VADDPSZ128rmb)
  .value("VADDPSZ128rmbk", LIEF::assembly::x86::OPCODE::VADDPSZ128rmbk)
  .value("VADDPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VADDPSZ128rmbkz)
  .value("VADDPSZ128rmk", LIEF::assembly::x86::OPCODE::VADDPSZ128rmk)
  .value("VADDPSZ128rmkz", LIEF::assembly::x86::OPCODE::VADDPSZ128rmkz)
  .value("VADDPSZ128rr", LIEF::assembly::x86::OPCODE::VADDPSZ128rr)
  .value("VADDPSZ128rrk", LIEF::assembly::x86::OPCODE::VADDPSZ128rrk)
  .value("VADDPSZ128rrkz", LIEF::assembly::x86::OPCODE::VADDPSZ128rrkz)
  .value("VADDPSZ256rm", LIEF::assembly::x86::OPCODE::VADDPSZ256rm)
  .value("VADDPSZ256rmb", LIEF::assembly::x86::OPCODE::VADDPSZ256rmb)
  .value("VADDPSZ256rmbk", LIEF::assembly::x86::OPCODE::VADDPSZ256rmbk)
  .value("VADDPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VADDPSZ256rmbkz)
  .value("VADDPSZ256rmk", LIEF::assembly::x86::OPCODE::VADDPSZ256rmk)
  .value("VADDPSZ256rmkz", LIEF::assembly::x86::OPCODE::VADDPSZ256rmkz)
  .value("VADDPSZ256rr", LIEF::assembly::x86::OPCODE::VADDPSZ256rr)
  .value("VADDPSZ256rrk", LIEF::assembly::x86::OPCODE::VADDPSZ256rrk)
  .value("VADDPSZ256rrkz", LIEF::assembly::x86::OPCODE::VADDPSZ256rrkz)
  .value("VADDPSZrm", LIEF::assembly::x86::OPCODE::VADDPSZrm)
  .value("VADDPSZrmb", LIEF::assembly::x86::OPCODE::VADDPSZrmb)
  .value("VADDPSZrmbk", LIEF::assembly::x86::OPCODE::VADDPSZrmbk)
  .value("VADDPSZrmbkz", LIEF::assembly::x86::OPCODE::VADDPSZrmbkz)
  .value("VADDPSZrmk", LIEF::assembly::x86::OPCODE::VADDPSZrmk)
  .value("VADDPSZrmkz", LIEF::assembly::x86::OPCODE::VADDPSZrmkz)
  .value("VADDPSZrr", LIEF::assembly::x86::OPCODE::VADDPSZrr)
  .value("VADDPSZrrb", LIEF::assembly::x86::OPCODE::VADDPSZrrb)
  .value("VADDPSZrrbk", LIEF::assembly::x86::OPCODE::VADDPSZrrbk)
  .value("VADDPSZrrbkz", LIEF::assembly::x86::OPCODE::VADDPSZrrbkz)
  .value("VADDPSZrrk", LIEF::assembly::x86::OPCODE::VADDPSZrrk)
  .value("VADDPSZrrkz", LIEF::assembly::x86::OPCODE::VADDPSZrrkz);
  opcodes.value("VADDPSrm", LIEF::assembly::x86::OPCODE::VADDPSrm)
  .value("VADDPSrr", LIEF::assembly::x86::OPCODE::VADDPSrr)
  .value("VADDSDZrm", LIEF::assembly::x86::OPCODE::VADDSDZrm)
  .value("VADDSDZrm_Int", LIEF::assembly::x86::OPCODE::VADDSDZrm_Int)
  .value("VADDSDZrm_Intk", LIEF::assembly::x86::OPCODE::VADDSDZrm_Intk)
  .value("VADDSDZrm_Intkz", LIEF::assembly::x86::OPCODE::VADDSDZrm_Intkz)
  .value("VADDSDZrr", LIEF::assembly::x86::OPCODE::VADDSDZrr)
  .value("VADDSDZrr_Int", LIEF::assembly::x86::OPCODE::VADDSDZrr_Int)
  .value("VADDSDZrr_Intk", LIEF::assembly::x86::OPCODE::VADDSDZrr_Intk)
  .value("VADDSDZrr_Intkz", LIEF::assembly::x86::OPCODE::VADDSDZrr_Intkz)
  .value("VADDSDZrrb_Int", LIEF::assembly::x86::OPCODE::VADDSDZrrb_Int)
  .value("VADDSDZrrb_Intk", LIEF::assembly::x86::OPCODE::VADDSDZrrb_Intk)
  .value("VADDSDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VADDSDZrrb_Intkz)
  .value("VADDSDrm", LIEF::assembly::x86::OPCODE::VADDSDrm)
  .value("VADDSDrm_Int", LIEF::assembly::x86::OPCODE::VADDSDrm_Int)
  .value("VADDSDrr", LIEF::assembly::x86::OPCODE::VADDSDrr)
  .value("VADDSDrr_Int", LIEF::assembly::x86::OPCODE::VADDSDrr_Int)
  .value("VADDSHZrm", LIEF::assembly::x86::OPCODE::VADDSHZrm)
  .value("VADDSHZrm_Int", LIEF::assembly::x86::OPCODE::VADDSHZrm_Int)
  .value("VADDSHZrm_Intk", LIEF::assembly::x86::OPCODE::VADDSHZrm_Intk)
  .value("VADDSHZrm_Intkz", LIEF::assembly::x86::OPCODE::VADDSHZrm_Intkz)
  .value("VADDSHZrr", LIEF::assembly::x86::OPCODE::VADDSHZrr)
  .value("VADDSHZrr_Int", LIEF::assembly::x86::OPCODE::VADDSHZrr_Int)
  .value("VADDSHZrr_Intk", LIEF::assembly::x86::OPCODE::VADDSHZrr_Intk)
  .value("VADDSHZrr_Intkz", LIEF::assembly::x86::OPCODE::VADDSHZrr_Intkz)
  .value("VADDSHZrrb_Int", LIEF::assembly::x86::OPCODE::VADDSHZrrb_Int)
  .value("VADDSHZrrb_Intk", LIEF::assembly::x86::OPCODE::VADDSHZrrb_Intk)
  .value("VADDSHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VADDSHZrrb_Intkz)
  .value("VADDSSZrm", LIEF::assembly::x86::OPCODE::VADDSSZrm)
  .value("VADDSSZrm_Int", LIEF::assembly::x86::OPCODE::VADDSSZrm_Int)
  .value("VADDSSZrm_Intk", LIEF::assembly::x86::OPCODE::VADDSSZrm_Intk)
  .value("VADDSSZrm_Intkz", LIEF::assembly::x86::OPCODE::VADDSSZrm_Intkz)
  .value("VADDSSZrr", LIEF::assembly::x86::OPCODE::VADDSSZrr)
  .value("VADDSSZrr_Int", LIEF::assembly::x86::OPCODE::VADDSSZrr_Int)
  .value("VADDSSZrr_Intk", LIEF::assembly::x86::OPCODE::VADDSSZrr_Intk)
  .value("VADDSSZrr_Intkz", LIEF::assembly::x86::OPCODE::VADDSSZrr_Intkz)
  .value("VADDSSZrrb_Int", LIEF::assembly::x86::OPCODE::VADDSSZrrb_Int)
  .value("VADDSSZrrb_Intk", LIEF::assembly::x86::OPCODE::VADDSSZrrb_Intk)
  .value("VADDSSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VADDSSZrrb_Intkz)
  .value("VADDSSrm", LIEF::assembly::x86::OPCODE::VADDSSrm)
  .value("VADDSSrm_Int", LIEF::assembly::x86::OPCODE::VADDSSrm_Int)
  .value("VADDSSrr", LIEF::assembly::x86::OPCODE::VADDSSrr)
  .value("VADDSSrr_Int", LIEF::assembly::x86::OPCODE::VADDSSrr_Int)
  .value("VADDSUBPDYrm", LIEF::assembly::x86::OPCODE::VADDSUBPDYrm)
  .value("VADDSUBPDYrr", LIEF::assembly::x86::OPCODE::VADDSUBPDYrr)
  .value("VADDSUBPDrm", LIEF::assembly::x86::OPCODE::VADDSUBPDrm)
  .value("VADDSUBPDrr", LIEF::assembly::x86::OPCODE::VADDSUBPDrr)
  .value("VADDSUBPSYrm", LIEF::assembly::x86::OPCODE::VADDSUBPSYrm)
  .value("VADDSUBPSYrr", LIEF::assembly::x86::OPCODE::VADDSUBPSYrr)
  .value("VADDSUBPSrm", LIEF::assembly::x86::OPCODE::VADDSUBPSrm)
  .value("VADDSUBPSrr", LIEF::assembly::x86::OPCODE::VADDSUBPSrr)
  .value("VAESDECLASTYrm", LIEF::assembly::x86::OPCODE::VAESDECLASTYrm)
  .value("VAESDECLASTYrr", LIEF::assembly::x86::OPCODE::VAESDECLASTYrr)
  .value("VAESDECLASTZ128rm", LIEF::assembly::x86::OPCODE::VAESDECLASTZ128rm)
  .value("VAESDECLASTZ128rr", LIEF::assembly::x86::OPCODE::VAESDECLASTZ128rr)
  .value("VAESDECLASTZ256rm", LIEF::assembly::x86::OPCODE::VAESDECLASTZ256rm)
  .value("VAESDECLASTZ256rr", LIEF::assembly::x86::OPCODE::VAESDECLASTZ256rr)
  .value("VAESDECLASTZrm", LIEF::assembly::x86::OPCODE::VAESDECLASTZrm)
  .value("VAESDECLASTZrr", LIEF::assembly::x86::OPCODE::VAESDECLASTZrr)
  .value("VAESDECLASTrm", LIEF::assembly::x86::OPCODE::VAESDECLASTrm)
  .value("VAESDECLASTrr", LIEF::assembly::x86::OPCODE::VAESDECLASTrr)
  .value("VAESDECYrm", LIEF::assembly::x86::OPCODE::VAESDECYrm)
  .value("VAESDECYrr", LIEF::assembly::x86::OPCODE::VAESDECYrr)
  .value("VAESDECZ128rm", LIEF::assembly::x86::OPCODE::VAESDECZ128rm)
  .value("VAESDECZ128rr", LIEF::assembly::x86::OPCODE::VAESDECZ128rr)
  .value("VAESDECZ256rm", LIEF::assembly::x86::OPCODE::VAESDECZ256rm)
  .value("VAESDECZ256rr", LIEF::assembly::x86::OPCODE::VAESDECZ256rr)
  .value("VAESDECZrm", LIEF::assembly::x86::OPCODE::VAESDECZrm)
  .value("VAESDECZrr", LIEF::assembly::x86::OPCODE::VAESDECZrr)
  .value("VAESDECrm", LIEF::assembly::x86::OPCODE::VAESDECrm)
  .value("VAESDECrr", LIEF::assembly::x86::OPCODE::VAESDECrr)
  .value("VAESENCLASTYrm", LIEF::assembly::x86::OPCODE::VAESENCLASTYrm)
  .value("VAESENCLASTYrr", LIEF::assembly::x86::OPCODE::VAESENCLASTYrr)
  .value("VAESENCLASTZ128rm", LIEF::assembly::x86::OPCODE::VAESENCLASTZ128rm)
  .value("VAESENCLASTZ128rr", LIEF::assembly::x86::OPCODE::VAESENCLASTZ128rr)
  .value("VAESENCLASTZ256rm", LIEF::assembly::x86::OPCODE::VAESENCLASTZ256rm)
  .value("VAESENCLASTZ256rr", LIEF::assembly::x86::OPCODE::VAESENCLASTZ256rr)
  .value("VAESENCLASTZrm", LIEF::assembly::x86::OPCODE::VAESENCLASTZrm)
  .value("VAESENCLASTZrr", LIEF::assembly::x86::OPCODE::VAESENCLASTZrr)
  .value("VAESENCLASTrm", LIEF::assembly::x86::OPCODE::VAESENCLASTrm)
  .value("VAESENCLASTrr", LIEF::assembly::x86::OPCODE::VAESENCLASTrr)
  .value("VAESENCYrm", LIEF::assembly::x86::OPCODE::VAESENCYrm)
  .value("VAESENCYrr", LIEF::assembly::x86::OPCODE::VAESENCYrr)
  .value("VAESENCZ128rm", LIEF::assembly::x86::OPCODE::VAESENCZ128rm)
  .value("VAESENCZ128rr", LIEF::assembly::x86::OPCODE::VAESENCZ128rr)
  .value("VAESENCZ256rm", LIEF::assembly::x86::OPCODE::VAESENCZ256rm)
  .value("VAESENCZ256rr", LIEF::assembly::x86::OPCODE::VAESENCZ256rr)
  .value("VAESENCZrm", LIEF::assembly::x86::OPCODE::VAESENCZrm)
  .value("VAESENCZrr", LIEF::assembly::x86::OPCODE::VAESENCZrr)
  .value("VAESENCrm", LIEF::assembly::x86::OPCODE::VAESENCrm)
  .value("VAESENCrr", LIEF::assembly::x86::OPCODE::VAESENCrr)
  .value("VAESIMCrm", LIEF::assembly::x86::OPCODE::VAESIMCrm)
  .value("VAESIMCrr", LIEF::assembly::x86::OPCODE::VAESIMCrr)
  .value("VAESKEYGENASSIST128rm", LIEF::assembly::x86::OPCODE::VAESKEYGENASSIST128rm)
  .value("VAESKEYGENASSIST128rr", LIEF::assembly::x86::OPCODE::VAESKEYGENASSIST128rr)
  .value("VALIGNDZ128rmbi", LIEF::assembly::x86::OPCODE::VALIGNDZ128rmbi)
  .value("VALIGNDZ128rmbik", LIEF::assembly::x86::OPCODE::VALIGNDZ128rmbik)
  .value("VALIGNDZ128rmbikz", LIEF::assembly::x86::OPCODE::VALIGNDZ128rmbikz)
  .value("VALIGNDZ128rmi", LIEF::assembly::x86::OPCODE::VALIGNDZ128rmi)
  .value("VALIGNDZ128rmik", LIEF::assembly::x86::OPCODE::VALIGNDZ128rmik)
  .value("VALIGNDZ128rmikz", LIEF::assembly::x86::OPCODE::VALIGNDZ128rmikz)
  .value("VALIGNDZ128rri", LIEF::assembly::x86::OPCODE::VALIGNDZ128rri)
  .value("VALIGNDZ128rrik", LIEF::assembly::x86::OPCODE::VALIGNDZ128rrik)
  .value("VALIGNDZ128rrikz", LIEF::assembly::x86::OPCODE::VALIGNDZ128rrikz)
  .value("VALIGNDZ256rmbi", LIEF::assembly::x86::OPCODE::VALIGNDZ256rmbi)
  .value("VALIGNDZ256rmbik", LIEF::assembly::x86::OPCODE::VALIGNDZ256rmbik)
  .value("VALIGNDZ256rmbikz", LIEF::assembly::x86::OPCODE::VALIGNDZ256rmbikz)
  .value("VALIGNDZ256rmi", LIEF::assembly::x86::OPCODE::VALIGNDZ256rmi)
  .value("VALIGNDZ256rmik", LIEF::assembly::x86::OPCODE::VALIGNDZ256rmik)
  .value("VALIGNDZ256rmikz", LIEF::assembly::x86::OPCODE::VALIGNDZ256rmikz)
  .value("VALIGNDZ256rri", LIEF::assembly::x86::OPCODE::VALIGNDZ256rri)
  .value("VALIGNDZ256rrik", LIEF::assembly::x86::OPCODE::VALIGNDZ256rrik)
  .value("VALIGNDZ256rrikz", LIEF::assembly::x86::OPCODE::VALIGNDZ256rrikz)
  .value("VALIGNDZrmbi", LIEF::assembly::x86::OPCODE::VALIGNDZrmbi)
  .value("VALIGNDZrmbik", LIEF::assembly::x86::OPCODE::VALIGNDZrmbik)
  .value("VALIGNDZrmbikz", LIEF::assembly::x86::OPCODE::VALIGNDZrmbikz)
  .value("VALIGNDZrmi", LIEF::assembly::x86::OPCODE::VALIGNDZrmi)
  .value("VALIGNDZrmik", LIEF::assembly::x86::OPCODE::VALIGNDZrmik)
  .value("VALIGNDZrmikz", LIEF::assembly::x86::OPCODE::VALIGNDZrmikz)
  .value("VALIGNDZrri", LIEF::assembly::x86::OPCODE::VALIGNDZrri)
  .value("VALIGNDZrrik", LIEF::assembly::x86::OPCODE::VALIGNDZrrik)
  .value("VALIGNDZrrikz", LIEF::assembly::x86::OPCODE::VALIGNDZrrikz)
  .value("VALIGNQZ128rmbi", LIEF::assembly::x86::OPCODE::VALIGNQZ128rmbi)
  .value("VALIGNQZ128rmbik", LIEF::assembly::x86::OPCODE::VALIGNQZ128rmbik)
  .value("VALIGNQZ128rmbikz", LIEF::assembly::x86::OPCODE::VALIGNQZ128rmbikz)
  .value("VALIGNQZ128rmi", LIEF::assembly::x86::OPCODE::VALIGNQZ128rmi)
  .value("VALIGNQZ128rmik", LIEF::assembly::x86::OPCODE::VALIGNQZ128rmik)
  .value("VALIGNQZ128rmikz", LIEF::assembly::x86::OPCODE::VALIGNQZ128rmikz)
  .value("VALIGNQZ128rri", LIEF::assembly::x86::OPCODE::VALIGNQZ128rri)
  .value("VALIGNQZ128rrik", LIEF::assembly::x86::OPCODE::VALIGNQZ128rrik)
  .value("VALIGNQZ128rrikz", LIEF::assembly::x86::OPCODE::VALIGNQZ128rrikz)
  .value("VALIGNQZ256rmbi", LIEF::assembly::x86::OPCODE::VALIGNQZ256rmbi)
  .value("VALIGNQZ256rmbik", LIEF::assembly::x86::OPCODE::VALIGNQZ256rmbik)
  .value("VALIGNQZ256rmbikz", LIEF::assembly::x86::OPCODE::VALIGNQZ256rmbikz)
  .value("VALIGNQZ256rmi", LIEF::assembly::x86::OPCODE::VALIGNQZ256rmi)
  .value("VALIGNQZ256rmik", LIEF::assembly::x86::OPCODE::VALIGNQZ256rmik)
  .value("VALIGNQZ256rmikz", LIEF::assembly::x86::OPCODE::VALIGNQZ256rmikz)
  .value("VALIGNQZ256rri", LIEF::assembly::x86::OPCODE::VALIGNQZ256rri)
  .value("VALIGNQZ256rrik", LIEF::assembly::x86::OPCODE::VALIGNQZ256rrik)
  .value("VALIGNQZ256rrikz", LIEF::assembly::x86::OPCODE::VALIGNQZ256rrikz)
  .value("VALIGNQZrmbi", LIEF::assembly::x86::OPCODE::VALIGNQZrmbi)
  .value("VALIGNQZrmbik", LIEF::assembly::x86::OPCODE::VALIGNQZrmbik)
  .value("VALIGNQZrmbikz", LIEF::assembly::x86::OPCODE::VALIGNQZrmbikz)
  .value("VALIGNQZrmi", LIEF::assembly::x86::OPCODE::VALIGNQZrmi)
  .value("VALIGNQZrmik", LIEF::assembly::x86::OPCODE::VALIGNQZrmik)
  .value("VALIGNQZrmikz", LIEF::assembly::x86::OPCODE::VALIGNQZrmikz)
  .value("VALIGNQZrri", LIEF::assembly::x86::OPCODE::VALIGNQZrri)
  .value("VALIGNQZrrik", LIEF::assembly::x86::OPCODE::VALIGNQZrrik)
  .value("VALIGNQZrrikz", LIEF::assembly::x86::OPCODE::VALIGNQZrrikz)
  .value("VANDNPDYrm", LIEF::assembly::x86::OPCODE::VANDNPDYrm)
  .value("VANDNPDYrr", LIEF::assembly::x86::OPCODE::VANDNPDYrr)
  .value("VANDNPDZ128rm", LIEF::assembly::x86::OPCODE::VANDNPDZ128rm)
  .value("VANDNPDZ128rmb", LIEF::assembly::x86::OPCODE::VANDNPDZ128rmb)
  .value("VANDNPDZ128rmbk", LIEF::assembly::x86::OPCODE::VANDNPDZ128rmbk)
  .value("VANDNPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VANDNPDZ128rmbkz)
  .value("VANDNPDZ128rmk", LIEF::assembly::x86::OPCODE::VANDNPDZ128rmk)
  .value("VANDNPDZ128rmkz", LIEF::assembly::x86::OPCODE::VANDNPDZ128rmkz)
  .value("VANDNPDZ128rr", LIEF::assembly::x86::OPCODE::VANDNPDZ128rr)
  .value("VANDNPDZ128rrk", LIEF::assembly::x86::OPCODE::VANDNPDZ128rrk)
  .value("VANDNPDZ128rrkz", LIEF::assembly::x86::OPCODE::VANDNPDZ128rrkz)
  .value("VANDNPDZ256rm", LIEF::assembly::x86::OPCODE::VANDNPDZ256rm)
  .value("VANDNPDZ256rmb", LIEF::assembly::x86::OPCODE::VANDNPDZ256rmb)
  .value("VANDNPDZ256rmbk", LIEF::assembly::x86::OPCODE::VANDNPDZ256rmbk)
  .value("VANDNPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VANDNPDZ256rmbkz)
  .value("VANDNPDZ256rmk", LIEF::assembly::x86::OPCODE::VANDNPDZ256rmk)
  .value("VANDNPDZ256rmkz", LIEF::assembly::x86::OPCODE::VANDNPDZ256rmkz)
  .value("VANDNPDZ256rr", LIEF::assembly::x86::OPCODE::VANDNPDZ256rr)
  .value("VANDNPDZ256rrk", LIEF::assembly::x86::OPCODE::VANDNPDZ256rrk)
  .value("VANDNPDZ256rrkz", LIEF::assembly::x86::OPCODE::VANDNPDZ256rrkz)
  .value("VANDNPDZrm", LIEF::assembly::x86::OPCODE::VANDNPDZrm)
  .value("VANDNPDZrmb", LIEF::assembly::x86::OPCODE::VANDNPDZrmb)
  .value("VANDNPDZrmbk", LIEF::assembly::x86::OPCODE::VANDNPDZrmbk)
  .value("VANDNPDZrmbkz", LIEF::assembly::x86::OPCODE::VANDNPDZrmbkz)
  .value("VANDNPDZrmk", LIEF::assembly::x86::OPCODE::VANDNPDZrmk)
  .value("VANDNPDZrmkz", LIEF::assembly::x86::OPCODE::VANDNPDZrmkz)
  .value("VANDNPDZrr", LIEF::assembly::x86::OPCODE::VANDNPDZrr)
  .value("VANDNPDZrrk", LIEF::assembly::x86::OPCODE::VANDNPDZrrk)
  .value("VANDNPDZrrkz", LIEF::assembly::x86::OPCODE::VANDNPDZrrkz)
  .value("VANDNPDrm", LIEF::assembly::x86::OPCODE::VANDNPDrm)
  .value("VANDNPDrr", LIEF::assembly::x86::OPCODE::VANDNPDrr)
  .value("VANDNPSYrm", LIEF::assembly::x86::OPCODE::VANDNPSYrm)
  .value("VANDNPSYrr", LIEF::assembly::x86::OPCODE::VANDNPSYrr)
  .value("VANDNPSZ128rm", LIEF::assembly::x86::OPCODE::VANDNPSZ128rm)
  .value("VANDNPSZ128rmb", LIEF::assembly::x86::OPCODE::VANDNPSZ128rmb)
  .value("VANDNPSZ128rmbk", LIEF::assembly::x86::OPCODE::VANDNPSZ128rmbk)
  .value("VANDNPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VANDNPSZ128rmbkz)
  .value("VANDNPSZ128rmk", LIEF::assembly::x86::OPCODE::VANDNPSZ128rmk)
  .value("VANDNPSZ128rmkz", LIEF::assembly::x86::OPCODE::VANDNPSZ128rmkz)
  .value("VANDNPSZ128rr", LIEF::assembly::x86::OPCODE::VANDNPSZ128rr)
  .value("VANDNPSZ128rrk", LIEF::assembly::x86::OPCODE::VANDNPSZ128rrk)
  .value("VANDNPSZ128rrkz", LIEF::assembly::x86::OPCODE::VANDNPSZ128rrkz)
  .value("VANDNPSZ256rm", LIEF::assembly::x86::OPCODE::VANDNPSZ256rm)
  .value("VANDNPSZ256rmb", LIEF::assembly::x86::OPCODE::VANDNPSZ256rmb)
  .value("VANDNPSZ256rmbk", LIEF::assembly::x86::OPCODE::VANDNPSZ256rmbk)
  .value("VANDNPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VANDNPSZ256rmbkz)
  .value("VANDNPSZ256rmk", LIEF::assembly::x86::OPCODE::VANDNPSZ256rmk)
  .value("VANDNPSZ256rmkz", LIEF::assembly::x86::OPCODE::VANDNPSZ256rmkz)
  .value("VANDNPSZ256rr", LIEF::assembly::x86::OPCODE::VANDNPSZ256rr)
  .value("VANDNPSZ256rrk", LIEF::assembly::x86::OPCODE::VANDNPSZ256rrk)
  .value("VANDNPSZ256rrkz", LIEF::assembly::x86::OPCODE::VANDNPSZ256rrkz)
  .value("VANDNPSZrm", LIEF::assembly::x86::OPCODE::VANDNPSZrm)
  .value("VANDNPSZrmb", LIEF::assembly::x86::OPCODE::VANDNPSZrmb)
  .value("VANDNPSZrmbk", LIEF::assembly::x86::OPCODE::VANDNPSZrmbk)
  .value("VANDNPSZrmbkz", LIEF::assembly::x86::OPCODE::VANDNPSZrmbkz)
  .value("VANDNPSZrmk", LIEF::assembly::x86::OPCODE::VANDNPSZrmk)
  .value("VANDNPSZrmkz", LIEF::assembly::x86::OPCODE::VANDNPSZrmkz)
  .value("VANDNPSZrr", LIEF::assembly::x86::OPCODE::VANDNPSZrr)
  .value("VANDNPSZrrk", LIEF::assembly::x86::OPCODE::VANDNPSZrrk)
  .value("VANDNPSZrrkz", LIEF::assembly::x86::OPCODE::VANDNPSZrrkz)
  .value("VANDNPSrm", LIEF::assembly::x86::OPCODE::VANDNPSrm)
  .value("VANDNPSrr", LIEF::assembly::x86::OPCODE::VANDNPSrr)
  .value("VANDPDYrm", LIEF::assembly::x86::OPCODE::VANDPDYrm)
  .value("VANDPDYrr", LIEF::assembly::x86::OPCODE::VANDPDYrr)
  .value("VANDPDZ128rm", LIEF::assembly::x86::OPCODE::VANDPDZ128rm)
  .value("VANDPDZ128rmb", LIEF::assembly::x86::OPCODE::VANDPDZ128rmb)
  .value("VANDPDZ128rmbk", LIEF::assembly::x86::OPCODE::VANDPDZ128rmbk)
  .value("VANDPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VANDPDZ128rmbkz)
  .value("VANDPDZ128rmk", LIEF::assembly::x86::OPCODE::VANDPDZ128rmk)
  .value("VANDPDZ128rmkz", LIEF::assembly::x86::OPCODE::VANDPDZ128rmkz)
  .value("VANDPDZ128rr", LIEF::assembly::x86::OPCODE::VANDPDZ128rr)
  .value("VANDPDZ128rrk", LIEF::assembly::x86::OPCODE::VANDPDZ128rrk)
  .value("VANDPDZ128rrkz", LIEF::assembly::x86::OPCODE::VANDPDZ128rrkz)
  .value("VANDPDZ256rm", LIEF::assembly::x86::OPCODE::VANDPDZ256rm)
  .value("VANDPDZ256rmb", LIEF::assembly::x86::OPCODE::VANDPDZ256rmb)
  .value("VANDPDZ256rmbk", LIEF::assembly::x86::OPCODE::VANDPDZ256rmbk)
  .value("VANDPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VANDPDZ256rmbkz)
  .value("VANDPDZ256rmk", LIEF::assembly::x86::OPCODE::VANDPDZ256rmk)
  .value("VANDPDZ256rmkz", LIEF::assembly::x86::OPCODE::VANDPDZ256rmkz)
  .value("VANDPDZ256rr", LIEF::assembly::x86::OPCODE::VANDPDZ256rr)
  .value("VANDPDZ256rrk", LIEF::assembly::x86::OPCODE::VANDPDZ256rrk)
  .value("VANDPDZ256rrkz", LIEF::assembly::x86::OPCODE::VANDPDZ256rrkz)
  .value("VANDPDZrm", LIEF::assembly::x86::OPCODE::VANDPDZrm)
  .value("VANDPDZrmb", LIEF::assembly::x86::OPCODE::VANDPDZrmb)
  .value("VANDPDZrmbk", LIEF::assembly::x86::OPCODE::VANDPDZrmbk)
  .value("VANDPDZrmbkz", LIEF::assembly::x86::OPCODE::VANDPDZrmbkz)
  .value("VANDPDZrmk", LIEF::assembly::x86::OPCODE::VANDPDZrmk)
  .value("VANDPDZrmkz", LIEF::assembly::x86::OPCODE::VANDPDZrmkz)
  .value("VANDPDZrr", LIEF::assembly::x86::OPCODE::VANDPDZrr)
  .value("VANDPDZrrk", LIEF::assembly::x86::OPCODE::VANDPDZrrk)
  .value("VANDPDZrrkz", LIEF::assembly::x86::OPCODE::VANDPDZrrkz)
  .value("VANDPDrm", LIEF::assembly::x86::OPCODE::VANDPDrm)
  .value("VANDPDrr", LIEF::assembly::x86::OPCODE::VANDPDrr)
  .value("VANDPSYrm", LIEF::assembly::x86::OPCODE::VANDPSYrm)
  .value("VANDPSYrr", LIEF::assembly::x86::OPCODE::VANDPSYrr)
  .value("VANDPSZ128rm", LIEF::assembly::x86::OPCODE::VANDPSZ128rm)
  .value("VANDPSZ128rmb", LIEF::assembly::x86::OPCODE::VANDPSZ128rmb)
  .value("VANDPSZ128rmbk", LIEF::assembly::x86::OPCODE::VANDPSZ128rmbk)
  .value("VANDPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VANDPSZ128rmbkz)
  .value("VANDPSZ128rmk", LIEF::assembly::x86::OPCODE::VANDPSZ128rmk)
  .value("VANDPSZ128rmkz", LIEF::assembly::x86::OPCODE::VANDPSZ128rmkz)
  .value("VANDPSZ128rr", LIEF::assembly::x86::OPCODE::VANDPSZ128rr)
  .value("VANDPSZ128rrk", LIEF::assembly::x86::OPCODE::VANDPSZ128rrk)
  .value("VANDPSZ128rrkz", LIEF::assembly::x86::OPCODE::VANDPSZ128rrkz)
  .value("VANDPSZ256rm", LIEF::assembly::x86::OPCODE::VANDPSZ256rm)
  .value("VANDPSZ256rmb", LIEF::assembly::x86::OPCODE::VANDPSZ256rmb)
  .value("VANDPSZ256rmbk", LIEF::assembly::x86::OPCODE::VANDPSZ256rmbk)
  .value("VANDPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VANDPSZ256rmbkz)
  .value("VANDPSZ256rmk", LIEF::assembly::x86::OPCODE::VANDPSZ256rmk)
  .value("VANDPSZ256rmkz", LIEF::assembly::x86::OPCODE::VANDPSZ256rmkz)
  .value("VANDPSZ256rr", LIEF::assembly::x86::OPCODE::VANDPSZ256rr)
  .value("VANDPSZ256rrk", LIEF::assembly::x86::OPCODE::VANDPSZ256rrk)
  .value("VANDPSZ256rrkz", LIEF::assembly::x86::OPCODE::VANDPSZ256rrkz)
  .value("VANDPSZrm", LIEF::assembly::x86::OPCODE::VANDPSZrm)
  .value("VANDPSZrmb", LIEF::assembly::x86::OPCODE::VANDPSZrmb)
  .value("VANDPSZrmbk", LIEF::assembly::x86::OPCODE::VANDPSZrmbk)
  .value("VANDPSZrmbkz", LIEF::assembly::x86::OPCODE::VANDPSZrmbkz)
  .value("VANDPSZrmk", LIEF::assembly::x86::OPCODE::VANDPSZrmk)
  .value("VANDPSZrmkz", LIEF::assembly::x86::OPCODE::VANDPSZrmkz)
  .value("VANDPSZrr", LIEF::assembly::x86::OPCODE::VANDPSZrr)
  .value("VANDPSZrrk", LIEF::assembly::x86::OPCODE::VANDPSZrrk)
  .value("VANDPSZrrkz", LIEF::assembly::x86::OPCODE::VANDPSZrrkz)
  .value("VANDPSrm", LIEF::assembly::x86::OPCODE::VANDPSrm)
  .value("VANDPSrr", LIEF::assembly::x86::OPCODE::VANDPSrr)
  .value("VASTART_SAVE_XMM_REGS", LIEF::assembly::x86::OPCODE::VASTART_SAVE_XMM_REGS)
  .value("VBCSTNEBF162PSYrm", LIEF::assembly::x86::OPCODE::VBCSTNEBF162PSYrm)
  .value("VBCSTNEBF162PSrm", LIEF::assembly::x86::OPCODE::VBCSTNEBF162PSrm)
  .value("VBCSTNESH2PSYrm", LIEF::assembly::x86::OPCODE::VBCSTNESH2PSYrm)
  .value("VBCSTNESH2PSrm", LIEF::assembly::x86::OPCODE::VBCSTNESH2PSrm)
  .value("VBLENDMPDZ128rm", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rm)
  .value("VBLENDMPDZ128rmb", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rmb)
  .value("VBLENDMPDZ128rmbk", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rmbk)
  .value("VBLENDMPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rmbkz)
  .value("VBLENDMPDZ128rmk", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rmk)
  .value("VBLENDMPDZ128rmkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rmkz)
  .value("VBLENDMPDZ128rr", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rr)
  .value("VBLENDMPDZ128rrk", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rrk)
  .value("VBLENDMPDZ128rrkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZ128rrkz)
  .value("VBLENDMPDZ256rm", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rm)
  .value("VBLENDMPDZ256rmb", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rmb)
  .value("VBLENDMPDZ256rmbk", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rmbk)
  .value("VBLENDMPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rmbkz)
  .value("VBLENDMPDZ256rmk", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rmk)
  .value("VBLENDMPDZ256rmkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rmkz)
  .value("VBLENDMPDZ256rr", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rr)
  .value("VBLENDMPDZ256rrk", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rrk)
  .value("VBLENDMPDZ256rrkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZ256rrkz)
  .value("VBLENDMPDZrm", LIEF::assembly::x86::OPCODE::VBLENDMPDZrm)
  .value("VBLENDMPDZrmb", LIEF::assembly::x86::OPCODE::VBLENDMPDZrmb)
  .value("VBLENDMPDZrmbk", LIEF::assembly::x86::OPCODE::VBLENDMPDZrmbk)
  .value("VBLENDMPDZrmbkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZrmbkz);
  opcodes.value("VBLENDMPDZrmk", LIEF::assembly::x86::OPCODE::VBLENDMPDZrmk)
  .value("VBLENDMPDZrmkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZrmkz)
  .value("VBLENDMPDZrr", LIEF::assembly::x86::OPCODE::VBLENDMPDZrr)
  .value("VBLENDMPDZrrk", LIEF::assembly::x86::OPCODE::VBLENDMPDZrrk)
  .value("VBLENDMPDZrrkz", LIEF::assembly::x86::OPCODE::VBLENDMPDZrrkz)
  .value("VBLENDMPSZ128rm", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rm)
  .value("VBLENDMPSZ128rmb", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rmb)
  .value("VBLENDMPSZ128rmbk", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rmbk)
  .value("VBLENDMPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rmbkz)
  .value("VBLENDMPSZ128rmk", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rmk)
  .value("VBLENDMPSZ128rmkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rmkz)
  .value("VBLENDMPSZ128rr", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rr)
  .value("VBLENDMPSZ128rrk", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rrk)
  .value("VBLENDMPSZ128rrkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZ128rrkz)
  .value("VBLENDMPSZ256rm", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rm)
  .value("VBLENDMPSZ256rmb", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rmb)
  .value("VBLENDMPSZ256rmbk", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rmbk)
  .value("VBLENDMPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rmbkz)
  .value("VBLENDMPSZ256rmk", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rmk)
  .value("VBLENDMPSZ256rmkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rmkz)
  .value("VBLENDMPSZ256rr", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rr)
  .value("VBLENDMPSZ256rrk", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rrk)
  .value("VBLENDMPSZ256rrkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZ256rrkz)
  .value("VBLENDMPSZrm", LIEF::assembly::x86::OPCODE::VBLENDMPSZrm)
  .value("VBLENDMPSZrmb", LIEF::assembly::x86::OPCODE::VBLENDMPSZrmb)
  .value("VBLENDMPSZrmbk", LIEF::assembly::x86::OPCODE::VBLENDMPSZrmbk)
  .value("VBLENDMPSZrmbkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZrmbkz)
  .value("VBLENDMPSZrmk", LIEF::assembly::x86::OPCODE::VBLENDMPSZrmk)
  .value("VBLENDMPSZrmkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZrmkz)
  .value("VBLENDMPSZrr", LIEF::assembly::x86::OPCODE::VBLENDMPSZrr)
  .value("VBLENDMPSZrrk", LIEF::assembly::x86::OPCODE::VBLENDMPSZrrk)
  .value("VBLENDMPSZrrkz", LIEF::assembly::x86::OPCODE::VBLENDMPSZrrkz)
  .value("VBLENDPDYrmi", LIEF::assembly::x86::OPCODE::VBLENDPDYrmi)
  .value("VBLENDPDYrri", LIEF::assembly::x86::OPCODE::VBLENDPDYrri)
  .value("VBLENDPDrmi", LIEF::assembly::x86::OPCODE::VBLENDPDrmi)
  .value("VBLENDPDrri", LIEF::assembly::x86::OPCODE::VBLENDPDrri)
  .value("VBLENDPSYrmi", LIEF::assembly::x86::OPCODE::VBLENDPSYrmi)
  .value("VBLENDPSYrri", LIEF::assembly::x86::OPCODE::VBLENDPSYrri)
  .value("VBLENDPSrmi", LIEF::assembly::x86::OPCODE::VBLENDPSrmi)
  .value("VBLENDPSrri", LIEF::assembly::x86::OPCODE::VBLENDPSrri)
  .value("VBLENDVPDYrmr", LIEF::assembly::x86::OPCODE::VBLENDVPDYrmr)
  .value("VBLENDVPDYrrr", LIEF::assembly::x86::OPCODE::VBLENDVPDYrrr)
  .value("VBLENDVPDrmr", LIEF::assembly::x86::OPCODE::VBLENDVPDrmr)
  .value("VBLENDVPDrrr", LIEF::assembly::x86::OPCODE::VBLENDVPDrrr)
  .value("VBLENDVPSYrmr", LIEF::assembly::x86::OPCODE::VBLENDVPSYrmr)
  .value("VBLENDVPSYrrr", LIEF::assembly::x86::OPCODE::VBLENDVPSYrrr)
  .value("VBLENDVPSrmr", LIEF::assembly::x86::OPCODE::VBLENDVPSrmr)
  .value("VBLENDVPSrrr", LIEF::assembly::x86::OPCODE::VBLENDVPSrrr)
  .value("VBROADCASTF128rm", LIEF::assembly::x86::OPCODE::VBROADCASTF128rm)
  .value("VBROADCASTF32X2Z256rm", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Z256rm)
  .value("VBROADCASTF32X2Z256rmk", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Z256rmk)
  .value("VBROADCASTF32X2Z256rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Z256rmkz)
  .value("VBROADCASTF32X2Z256rr", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Z256rr)
  .value("VBROADCASTF32X2Z256rrk", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Z256rrk)
  .value("VBROADCASTF32X2Z256rrkz", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Z256rrkz)
  .value("VBROADCASTF32X2Zrm", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Zrm)
  .value("VBROADCASTF32X2Zrmk", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Zrmk)
  .value("VBROADCASTF32X2Zrmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Zrmkz)
  .value("VBROADCASTF32X2Zrr", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Zrr)
  .value("VBROADCASTF32X2Zrrk", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Zrrk)
  .value("VBROADCASTF32X2Zrrkz", LIEF::assembly::x86::OPCODE::VBROADCASTF32X2Zrrkz)
  .value("VBROADCASTF32X4Z256rm", LIEF::assembly::x86::OPCODE::VBROADCASTF32X4Z256rm)
  .value("VBROADCASTF32X4Z256rmk", LIEF::assembly::x86::OPCODE::VBROADCASTF32X4Z256rmk)
  .value("VBROADCASTF32X4Z256rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF32X4Z256rmkz)
  .value("VBROADCASTF32X4rm", LIEF::assembly::x86::OPCODE::VBROADCASTF32X4rm)
  .value("VBROADCASTF32X4rmk", LIEF::assembly::x86::OPCODE::VBROADCASTF32X4rmk)
  .value("VBROADCASTF32X4rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF32X4rmkz)
  .value("VBROADCASTF32X8rm", LIEF::assembly::x86::OPCODE::VBROADCASTF32X8rm)
  .value("VBROADCASTF32X8rmk", LIEF::assembly::x86::OPCODE::VBROADCASTF32X8rmk)
  .value("VBROADCASTF32X8rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF32X8rmkz)
  .value("VBROADCASTF64X2Z128rm", LIEF::assembly::x86::OPCODE::VBROADCASTF64X2Z128rm)
  .value("VBROADCASTF64X2Z128rmk", LIEF::assembly::x86::OPCODE::VBROADCASTF64X2Z128rmk)
  .value("VBROADCASTF64X2Z128rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF64X2Z128rmkz)
  .value("VBROADCASTF64X2rm", LIEF::assembly::x86::OPCODE::VBROADCASTF64X2rm)
  .value("VBROADCASTF64X2rmk", LIEF::assembly::x86::OPCODE::VBROADCASTF64X2rmk)
  .value("VBROADCASTF64X2rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF64X2rmkz)
  .value("VBROADCASTF64X4rm", LIEF::assembly::x86::OPCODE::VBROADCASTF64X4rm)
  .value("VBROADCASTF64X4rmk", LIEF::assembly::x86::OPCODE::VBROADCASTF64X4rmk)
  .value("VBROADCASTF64X4rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTF64X4rmkz)
  .value("VBROADCASTI128rm", LIEF::assembly::x86::OPCODE::VBROADCASTI128rm)
  .value("VBROADCASTI32X2Z128rm", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z128rm)
  .value("VBROADCASTI32X2Z128rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z128rmk)
  .value("VBROADCASTI32X2Z128rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z128rmkz)
  .value("VBROADCASTI32X2Z128rr", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z128rr)
  .value("VBROADCASTI32X2Z128rrk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z128rrk)
  .value("VBROADCASTI32X2Z128rrkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z128rrkz)
  .value("VBROADCASTI32X2Z256rm", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z256rm)
  .value("VBROADCASTI32X2Z256rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z256rmk)
  .value("VBROADCASTI32X2Z256rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z256rmkz)
  .value("VBROADCASTI32X2Z256rr", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z256rr)
  .value("VBROADCASTI32X2Z256rrk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z256rrk)
  .value("VBROADCASTI32X2Z256rrkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Z256rrkz)
  .value("VBROADCASTI32X2Zrm", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Zrm)
  .value("VBROADCASTI32X2Zrmk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Zrmk)
  .value("VBROADCASTI32X2Zrmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Zrmkz)
  .value("VBROADCASTI32X2Zrr", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Zrr)
  .value("VBROADCASTI32X2Zrrk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Zrrk)
  .value("VBROADCASTI32X2Zrrkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X2Zrrkz)
  .value("VBROADCASTI32X4Z256rm", LIEF::assembly::x86::OPCODE::VBROADCASTI32X4Z256rm)
  .value("VBROADCASTI32X4Z256rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X4Z256rmk)
  .value("VBROADCASTI32X4Z256rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X4Z256rmkz)
  .value("VBROADCASTI32X4rm", LIEF::assembly::x86::OPCODE::VBROADCASTI32X4rm)
  .value("VBROADCASTI32X4rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X4rmk)
  .value("VBROADCASTI32X4rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X4rmkz)
  .value("VBROADCASTI32X8rm", LIEF::assembly::x86::OPCODE::VBROADCASTI32X8rm)
  .value("VBROADCASTI32X8rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI32X8rmk)
  .value("VBROADCASTI32X8rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI32X8rmkz)
  .value("VBROADCASTI64X2Z128rm", LIEF::assembly::x86::OPCODE::VBROADCASTI64X2Z128rm)
  .value("VBROADCASTI64X2Z128rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI64X2Z128rmk)
  .value("VBROADCASTI64X2Z128rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI64X2Z128rmkz)
  .value("VBROADCASTI64X2rm", LIEF::assembly::x86::OPCODE::VBROADCASTI64X2rm)
  .value("VBROADCASTI64X2rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI64X2rmk)
  .value("VBROADCASTI64X2rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI64X2rmkz)
  .value("VBROADCASTI64X4rm", LIEF::assembly::x86::OPCODE::VBROADCASTI64X4rm)
  .value("VBROADCASTI64X4rmk", LIEF::assembly::x86::OPCODE::VBROADCASTI64X4rmk)
  .value("VBROADCASTI64X4rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTI64X4rmkz)
  .value("VBROADCASTSDYrm", LIEF::assembly::x86::OPCODE::VBROADCASTSDYrm)
  .value("VBROADCASTSDYrr", LIEF::assembly::x86::OPCODE::VBROADCASTSDYrr)
  .value("VBROADCASTSDZ256rm", LIEF::assembly::x86::OPCODE::VBROADCASTSDZ256rm)
  .value("VBROADCASTSDZ256rmk", LIEF::assembly::x86::OPCODE::VBROADCASTSDZ256rmk)
  .value("VBROADCASTSDZ256rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTSDZ256rmkz)
  .value("VBROADCASTSDZ256rr", LIEF::assembly::x86::OPCODE::VBROADCASTSDZ256rr)
  .value("VBROADCASTSDZ256rrk", LIEF::assembly::x86::OPCODE::VBROADCASTSDZ256rrk)
  .value("VBROADCASTSDZ256rrkz", LIEF::assembly::x86::OPCODE::VBROADCASTSDZ256rrkz)
  .value("VBROADCASTSDZrm", LIEF::assembly::x86::OPCODE::VBROADCASTSDZrm)
  .value("VBROADCASTSDZrmk", LIEF::assembly::x86::OPCODE::VBROADCASTSDZrmk)
  .value("VBROADCASTSDZrmkz", LIEF::assembly::x86::OPCODE::VBROADCASTSDZrmkz)
  .value("VBROADCASTSDZrr", LIEF::assembly::x86::OPCODE::VBROADCASTSDZrr)
  .value("VBROADCASTSDZrrk", LIEF::assembly::x86::OPCODE::VBROADCASTSDZrrk)
  .value("VBROADCASTSDZrrkz", LIEF::assembly::x86::OPCODE::VBROADCASTSDZrrkz)
  .value("VBROADCASTSSYrm", LIEF::assembly::x86::OPCODE::VBROADCASTSSYrm)
  .value("VBROADCASTSSYrr", LIEF::assembly::x86::OPCODE::VBROADCASTSSYrr)
  .value("VBROADCASTSSZ128rm", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ128rm)
  .value("VBROADCASTSSZ128rmk", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ128rmk)
  .value("VBROADCASTSSZ128rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ128rmkz)
  .value("VBROADCASTSSZ128rr", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ128rr)
  .value("VBROADCASTSSZ128rrk", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ128rrk)
  .value("VBROADCASTSSZ128rrkz", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ128rrkz)
  .value("VBROADCASTSSZ256rm", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ256rm)
  .value("VBROADCASTSSZ256rmk", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ256rmk)
  .value("VBROADCASTSSZ256rmkz", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ256rmkz)
  .value("VBROADCASTSSZ256rr", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ256rr)
  .value("VBROADCASTSSZ256rrk", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ256rrk)
  .value("VBROADCASTSSZ256rrkz", LIEF::assembly::x86::OPCODE::VBROADCASTSSZ256rrkz)
  .value("VBROADCASTSSZrm", LIEF::assembly::x86::OPCODE::VBROADCASTSSZrm)
  .value("VBROADCASTSSZrmk", LIEF::assembly::x86::OPCODE::VBROADCASTSSZrmk)
  .value("VBROADCASTSSZrmkz", LIEF::assembly::x86::OPCODE::VBROADCASTSSZrmkz)
  .value("VBROADCASTSSZrr", LIEF::assembly::x86::OPCODE::VBROADCASTSSZrr)
  .value("VBROADCASTSSZrrk", LIEF::assembly::x86::OPCODE::VBROADCASTSSZrrk)
  .value("VBROADCASTSSZrrkz", LIEF::assembly::x86::OPCODE::VBROADCASTSSZrrkz)
  .value("VBROADCASTSSrm", LIEF::assembly::x86::OPCODE::VBROADCASTSSrm)
  .value("VBROADCASTSSrr", LIEF::assembly::x86::OPCODE::VBROADCASTSSrr)
  .value("VCMPPDYrmi", LIEF::assembly::x86::OPCODE::VCMPPDYrmi)
  .value("VCMPPDYrri", LIEF::assembly::x86::OPCODE::VCMPPDYrri)
  .value("VCMPPDZ128rmbi", LIEF::assembly::x86::OPCODE::VCMPPDZ128rmbi)
  .value("VCMPPDZ128rmbik", LIEF::assembly::x86::OPCODE::VCMPPDZ128rmbik)
  .value("VCMPPDZ128rmi", LIEF::assembly::x86::OPCODE::VCMPPDZ128rmi)
  .value("VCMPPDZ128rmik", LIEF::assembly::x86::OPCODE::VCMPPDZ128rmik)
  .value("VCMPPDZ128rri", LIEF::assembly::x86::OPCODE::VCMPPDZ128rri)
  .value("VCMPPDZ128rrik", LIEF::assembly::x86::OPCODE::VCMPPDZ128rrik)
  .value("VCMPPDZ256rmbi", LIEF::assembly::x86::OPCODE::VCMPPDZ256rmbi)
  .value("VCMPPDZ256rmbik", LIEF::assembly::x86::OPCODE::VCMPPDZ256rmbik)
  .value("VCMPPDZ256rmi", LIEF::assembly::x86::OPCODE::VCMPPDZ256rmi)
  .value("VCMPPDZ256rmik", LIEF::assembly::x86::OPCODE::VCMPPDZ256rmik)
  .value("VCMPPDZ256rri", LIEF::assembly::x86::OPCODE::VCMPPDZ256rri)
  .value("VCMPPDZ256rrik", LIEF::assembly::x86::OPCODE::VCMPPDZ256rrik)
  .value("VCMPPDZrmbi", LIEF::assembly::x86::OPCODE::VCMPPDZrmbi)
  .value("VCMPPDZrmbik", LIEF::assembly::x86::OPCODE::VCMPPDZrmbik)
  .value("VCMPPDZrmi", LIEF::assembly::x86::OPCODE::VCMPPDZrmi)
  .value("VCMPPDZrmik", LIEF::assembly::x86::OPCODE::VCMPPDZrmik)
  .value("VCMPPDZrri", LIEF::assembly::x86::OPCODE::VCMPPDZrri)
  .value("VCMPPDZrrib", LIEF::assembly::x86::OPCODE::VCMPPDZrrib)
  .value("VCMPPDZrribk", LIEF::assembly::x86::OPCODE::VCMPPDZrribk)
  .value("VCMPPDZrrik", LIEF::assembly::x86::OPCODE::VCMPPDZrrik)
  .value("VCMPPDrmi", LIEF::assembly::x86::OPCODE::VCMPPDrmi)
  .value("VCMPPDrri", LIEF::assembly::x86::OPCODE::VCMPPDrri)
  .value("VCMPPHZ128rmbi", LIEF::assembly::x86::OPCODE::VCMPPHZ128rmbi)
  .value("VCMPPHZ128rmbik", LIEF::assembly::x86::OPCODE::VCMPPHZ128rmbik)
  .value("VCMPPHZ128rmi", LIEF::assembly::x86::OPCODE::VCMPPHZ128rmi)
  .value("VCMPPHZ128rmik", LIEF::assembly::x86::OPCODE::VCMPPHZ128rmik)
  .value("VCMPPHZ128rri", LIEF::assembly::x86::OPCODE::VCMPPHZ128rri)
  .value("VCMPPHZ128rrik", LIEF::assembly::x86::OPCODE::VCMPPHZ128rrik)
  .value("VCMPPHZ256rmbi", LIEF::assembly::x86::OPCODE::VCMPPHZ256rmbi)
  .value("VCMPPHZ256rmbik", LIEF::assembly::x86::OPCODE::VCMPPHZ256rmbik)
  .value("VCMPPHZ256rmi", LIEF::assembly::x86::OPCODE::VCMPPHZ256rmi)
  .value("VCMPPHZ256rmik", LIEF::assembly::x86::OPCODE::VCMPPHZ256rmik)
  .value("VCMPPHZ256rri", LIEF::assembly::x86::OPCODE::VCMPPHZ256rri)
  .value("VCMPPHZ256rrik", LIEF::assembly::x86::OPCODE::VCMPPHZ256rrik)
  .value("VCMPPHZrmbi", LIEF::assembly::x86::OPCODE::VCMPPHZrmbi)
  .value("VCMPPHZrmbik", LIEF::assembly::x86::OPCODE::VCMPPHZrmbik)
  .value("VCMPPHZrmi", LIEF::assembly::x86::OPCODE::VCMPPHZrmi)
  .value("VCMPPHZrmik", LIEF::assembly::x86::OPCODE::VCMPPHZrmik)
  .value("VCMPPHZrri", LIEF::assembly::x86::OPCODE::VCMPPHZrri)
  .value("VCMPPHZrrib", LIEF::assembly::x86::OPCODE::VCMPPHZrrib)
  .value("VCMPPHZrribk", LIEF::assembly::x86::OPCODE::VCMPPHZrribk)
  .value("VCMPPHZrrik", LIEF::assembly::x86::OPCODE::VCMPPHZrrik)
  .value("VCMPPSYrmi", LIEF::assembly::x86::OPCODE::VCMPPSYrmi)
  .value("VCMPPSYrri", LIEF::assembly::x86::OPCODE::VCMPPSYrri)
  .value("VCMPPSZ128rmbi", LIEF::assembly::x86::OPCODE::VCMPPSZ128rmbi)
  .value("VCMPPSZ128rmbik", LIEF::assembly::x86::OPCODE::VCMPPSZ128rmbik)
  .value("VCMPPSZ128rmi", LIEF::assembly::x86::OPCODE::VCMPPSZ128rmi)
  .value("VCMPPSZ128rmik", LIEF::assembly::x86::OPCODE::VCMPPSZ128rmik)
  .value("VCMPPSZ128rri", LIEF::assembly::x86::OPCODE::VCMPPSZ128rri)
  .value("VCMPPSZ128rrik", LIEF::assembly::x86::OPCODE::VCMPPSZ128rrik)
  .value("VCMPPSZ256rmbi", LIEF::assembly::x86::OPCODE::VCMPPSZ256rmbi)
  .value("VCMPPSZ256rmbik", LIEF::assembly::x86::OPCODE::VCMPPSZ256rmbik)
  .value("VCMPPSZ256rmi", LIEF::assembly::x86::OPCODE::VCMPPSZ256rmi)
  .value("VCMPPSZ256rmik", LIEF::assembly::x86::OPCODE::VCMPPSZ256rmik)
  .value("VCMPPSZ256rri", LIEF::assembly::x86::OPCODE::VCMPPSZ256rri)
  .value("VCMPPSZ256rrik", LIEF::assembly::x86::OPCODE::VCMPPSZ256rrik)
  .value("VCMPPSZrmbi", LIEF::assembly::x86::OPCODE::VCMPPSZrmbi)
  .value("VCMPPSZrmbik", LIEF::assembly::x86::OPCODE::VCMPPSZrmbik)
  .value("VCMPPSZrmi", LIEF::assembly::x86::OPCODE::VCMPPSZrmi)
  .value("VCMPPSZrmik", LIEF::assembly::x86::OPCODE::VCMPPSZrmik)
  .value("VCMPPSZrri", LIEF::assembly::x86::OPCODE::VCMPPSZrri)
  .value("VCMPPSZrrib", LIEF::assembly::x86::OPCODE::VCMPPSZrrib)
  .value("VCMPPSZrribk", LIEF::assembly::x86::OPCODE::VCMPPSZrribk)
  .value("VCMPPSZrrik", LIEF::assembly::x86::OPCODE::VCMPPSZrrik)
  .value("VCMPPSrmi", LIEF::assembly::x86::OPCODE::VCMPPSrmi)
  .value("VCMPPSrri", LIEF::assembly::x86::OPCODE::VCMPPSrri)
  .value("VCMPSDZrmi", LIEF::assembly::x86::OPCODE::VCMPSDZrmi)
  .value("VCMPSDZrmi_Int", LIEF::assembly::x86::OPCODE::VCMPSDZrmi_Int)
  .value("VCMPSDZrmi_Intk", LIEF::assembly::x86::OPCODE::VCMPSDZrmi_Intk)
  .value("VCMPSDZrri", LIEF::assembly::x86::OPCODE::VCMPSDZrri)
  .value("VCMPSDZrri_Int", LIEF::assembly::x86::OPCODE::VCMPSDZrri_Int)
  .value("VCMPSDZrri_Intk", LIEF::assembly::x86::OPCODE::VCMPSDZrri_Intk)
  .value("VCMPSDZrrib_Int", LIEF::assembly::x86::OPCODE::VCMPSDZrrib_Int)
  .value("VCMPSDZrrib_Intk", LIEF::assembly::x86::OPCODE::VCMPSDZrrib_Intk)
  .value("VCMPSDrmi", LIEF::assembly::x86::OPCODE::VCMPSDrmi)
  .value("VCMPSDrmi_Int", LIEF::assembly::x86::OPCODE::VCMPSDrmi_Int)
  .value("VCMPSDrri", LIEF::assembly::x86::OPCODE::VCMPSDrri)
  .value("VCMPSDrri_Int", LIEF::assembly::x86::OPCODE::VCMPSDrri_Int)
  .value("VCMPSHZrmi", LIEF::assembly::x86::OPCODE::VCMPSHZrmi)
  .value("VCMPSHZrmi_Int", LIEF::assembly::x86::OPCODE::VCMPSHZrmi_Int)
  .value("VCMPSHZrmi_Intk", LIEF::assembly::x86::OPCODE::VCMPSHZrmi_Intk)
  .value("VCMPSHZrri", LIEF::assembly::x86::OPCODE::VCMPSHZrri)
  .value("VCMPSHZrri_Int", LIEF::assembly::x86::OPCODE::VCMPSHZrri_Int)
  .value("VCMPSHZrri_Intk", LIEF::assembly::x86::OPCODE::VCMPSHZrri_Intk)
  .value("VCMPSHZrrib_Int", LIEF::assembly::x86::OPCODE::VCMPSHZrrib_Int)
  .value("VCMPSHZrrib_Intk", LIEF::assembly::x86::OPCODE::VCMPSHZrrib_Intk)
  .value("VCMPSSZrmi", LIEF::assembly::x86::OPCODE::VCMPSSZrmi)
  .value("VCMPSSZrmi_Int", LIEF::assembly::x86::OPCODE::VCMPSSZrmi_Int)
  .value("VCMPSSZrmi_Intk", LIEF::assembly::x86::OPCODE::VCMPSSZrmi_Intk)
  .value("VCMPSSZrri", LIEF::assembly::x86::OPCODE::VCMPSSZrri)
  .value("VCMPSSZrri_Int", LIEF::assembly::x86::OPCODE::VCMPSSZrri_Int)
  .value("VCMPSSZrri_Intk", LIEF::assembly::x86::OPCODE::VCMPSSZrri_Intk)
  .value("VCMPSSZrrib_Int", LIEF::assembly::x86::OPCODE::VCMPSSZrrib_Int)
  .value("VCMPSSZrrib_Intk", LIEF::assembly::x86::OPCODE::VCMPSSZrrib_Intk)
  .value("VCMPSSrmi", LIEF::assembly::x86::OPCODE::VCMPSSrmi)
  .value("VCMPSSrmi_Int", LIEF::assembly::x86::OPCODE::VCMPSSrmi_Int)
  .value("VCMPSSrri", LIEF::assembly::x86::OPCODE::VCMPSSrri)
  .value("VCMPSSrri_Int", LIEF::assembly::x86::OPCODE::VCMPSSrri_Int)
  .value("VCOMISDZrm", LIEF::assembly::x86::OPCODE::VCOMISDZrm)
  .value("VCOMISDZrm_Int", LIEF::assembly::x86::OPCODE::VCOMISDZrm_Int)
  .value("VCOMISDZrr", LIEF::assembly::x86::OPCODE::VCOMISDZrr)
  .value("VCOMISDZrr_Int", LIEF::assembly::x86::OPCODE::VCOMISDZrr_Int)
  .value("VCOMISDZrrb", LIEF::assembly::x86::OPCODE::VCOMISDZrrb)
  .value("VCOMISDrm", LIEF::assembly::x86::OPCODE::VCOMISDrm)
  .value("VCOMISDrm_Int", LIEF::assembly::x86::OPCODE::VCOMISDrm_Int)
  .value("VCOMISDrr", LIEF::assembly::x86::OPCODE::VCOMISDrr)
  .value("VCOMISDrr_Int", LIEF::assembly::x86::OPCODE::VCOMISDrr_Int)
  .value("VCOMISHZrm", LIEF::assembly::x86::OPCODE::VCOMISHZrm)
  .value("VCOMISHZrm_Int", LIEF::assembly::x86::OPCODE::VCOMISHZrm_Int)
  .value("VCOMISHZrr", LIEF::assembly::x86::OPCODE::VCOMISHZrr)
  .value("VCOMISHZrr_Int", LIEF::assembly::x86::OPCODE::VCOMISHZrr_Int)
  .value("VCOMISHZrrb", LIEF::assembly::x86::OPCODE::VCOMISHZrrb)
  .value("VCOMISSZrm", LIEF::assembly::x86::OPCODE::VCOMISSZrm)
  .value("VCOMISSZrm_Int", LIEF::assembly::x86::OPCODE::VCOMISSZrm_Int)
  .value("VCOMISSZrr", LIEF::assembly::x86::OPCODE::VCOMISSZrr)
  .value("VCOMISSZrr_Int", LIEF::assembly::x86::OPCODE::VCOMISSZrr_Int)
  .value("VCOMISSZrrb", LIEF::assembly::x86::OPCODE::VCOMISSZrrb)
  .value("VCOMISSrm", LIEF::assembly::x86::OPCODE::VCOMISSrm)
  .value("VCOMISSrm_Int", LIEF::assembly::x86::OPCODE::VCOMISSrm_Int)
  .value("VCOMISSrr", LIEF::assembly::x86::OPCODE::VCOMISSrr)
  .value("VCOMISSrr_Int", LIEF::assembly::x86::OPCODE::VCOMISSrr_Int)
  .value("VCOMPRESSPDZ128mr", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ128mr)
  .value("VCOMPRESSPDZ128mrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ128mrk)
  .value("VCOMPRESSPDZ128rr", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ128rr)
  .value("VCOMPRESSPDZ128rrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ128rrk)
  .value("VCOMPRESSPDZ128rrkz", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ128rrkz)
  .value("VCOMPRESSPDZ256mr", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ256mr)
  .value("VCOMPRESSPDZ256mrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ256mrk)
  .value("VCOMPRESSPDZ256rr", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ256rr)
  .value("VCOMPRESSPDZ256rrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ256rrk)
  .value("VCOMPRESSPDZ256rrkz", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZ256rrkz)
  .value("VCOMPRESSPDZmr", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZmr)
  .value("VCOMPRESSPDZmrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZmrk)
  .value("VCOMPRESSPDZrr", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZrr)
  .value("VCOMPRESSPDZrrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZrrk)
  .value("VCOMPRESSPDZrrkz", LIEF::assembly::x86::OPCODE::VCOMPRESSPDZrrkz)
  .value("VCOMPRESSPSZ128mr", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ128mr)
  .value("VCOMPRESSPSZ128mrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ128mrk)
  .value("VCOMPRESSPSZ128rr", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ128rr)
  .value("VCOMPRESSPSZ128rrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ128rrk)
  .value("VCOMPRESSPSZ128rrkz", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ128rrkz)
  .value("VCOMPRESSPSZ256mr", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ256mr)
  .value("VCOMPRESSPSZ256mrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ256mrk)
  .value("VCOMPRESSPSZ256rr", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ256rr)
  .value("VCOMPRESSPSZ256rrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ256rrk)
  .value("VCOMPRESSPSZ256rrkz", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZ256rrkz);
  opcodes.value("VCOMPRESSPSZmr", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZmr)
  .value("VCOMPRESSPSZmrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZmrk)
  .value("VCOMPRESSPSZrr", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZrr)
  .value("VCOMPRESSPSZrrk", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZrrk)
  .value("VCOMPRESSPSZrrkz", LIEF::assembly::x86::OPCODE::VCOMPRESSPSZrrkz)
  .value("VCVTDQ2PDYrm", LIEF::assembly::x86::OPCODE::VCVTDQ2PDYrm)
  .value("VCVTDQ2PDYrr", LIEF::assembly::x86::OPCODE::VCVTDQ2PDYrr)
  .value("VCVTDQ2PDZ128rm", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rm)
  .value("VCVTDQ2PDZ128rmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rmb)
  .value("VCVTDQ2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rmbk)
  .value("VCVTDQ2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rmbkz)
  .value("VCVTDQ2PDZ128rmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rmk)
  .value("VCVTDQ2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rmkz)
  .value("VCVTDQ2PDZ128rr", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rr)
  .value("VCVTDQ2PDZ128rrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rrk)
  .value("VCVTDQ2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ128rrkz)
  .value("VCVTDQ2PDZ256rm", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rm)
  .value("VCVTDQ2PDZ256rmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rmb)
  .value("VCVTDQ2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rmbk)
  .value("VCVTDQ2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rmbkz)
  .value("VCVTDQ2PDZ256rmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rmk)
  .value("VCVTDQ2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rmkz)
  .value("VCVTDQ2PDZ256rr", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rr)
  .value("VCVTDQ2PDZ256rrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rrk)
  .value("VCVTDQ2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZ256rrkz)
  .value("VCVTDQ2PDZrm", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrm)
  .value("VCVTDQ2PDZrmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrmb)
  .value("VCVTDQ2PDZrmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrmbk)
  .value("VCVTDQ2PDZrmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrmbkz)
  .value("VCVTDQ2PDZrmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrmk)
  .value("VCVTDQ2PDZrmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrmkz)
  .value("VCVTDQ2PDZrr", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrr)
  .value("VCVTDQ2PDZrrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrrk)
  .value("VCVTDQ2PDZrrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PDZrrkz)
  .value("VCVTDQ2PDrm", LIEF::assembly::x86::OPCODE::VCVTDQ2PDrm)
  .value("VCVTDQ2PDrr", LIEF::assembly::x86::OPCODE::VCVTDQ2PDrr)
  .value("VCVTDQ2PHZ128rm", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rm)
  .value("VCVTDQ2PHZ128rmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rmb)
  .value("VCVTDQ2PHZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rmbk)
  .value("VCVTDQ2PHZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rmbkz)
  .value("VCVTDQ2PHZ128rmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rmk)
  .value("VCVTDQ2PHZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rmkz)
  .value("VCVTDQ2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rr)
  .value("VCVTDQ2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rrk)
  .value("VCVTDQ2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ128rrkz)
  .value("VCVTDQ2PHZ256rm", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rm)
  .value("VCVTDQ2PHZ256rmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rmb)
  .value("VCVTDQ2PHZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rmbk)
  .value("VCVTDQ2PHZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rmbkz)
  .value("VCVTDQ2PHZ256rmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rmk)
  .value("VCVTDQ2PHZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rmkz)
  .value("VCVTDQ2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rr)
  .value("VCVTDQ2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rrk)
  .value("VCVTDQ2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZ256rrkz)
  .value("VCVTDQ2PHZrm", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrm)
  .value("VCVTDQ2PHZrmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrmb)
  .value("VCVTDQ2PHZrmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrmbk)
  .value("VCVTDQ2PHZrmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrmbkz)
  .value("VCVTDQ2PHZrmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrmk)
  .value("VCVTDQ2PHZrmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrmkz)
  .value("VCVTDQ2PHZrr", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrr)
  .value("VCVTDQ2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrrb)
  .value("VCVTDQ2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrrbk)
  .value("VCVTDQ2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrrbkz)
  .value("VCVTDQ2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrrk)
  .value("VCVTDQ2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PHZrrkz)
  .value("VCVTDQ2PSYrm", LIEF::assembly::x86::OPCODE::VCVTDQ2PSYrm)
  .value("VCVTDQ2PSYrr", LIEF::assembly::x86::OPCODE::VCVTDQ2PSYrr)
  .value("VCVTDQ2PSZ128rm", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rm)
  .value("VCVTDQ2PSZ128rmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rmb)
  .value("VCVTDQ2PSZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rmbk)
  .value("VCVTDQ2PSZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rmbkz)
  .value("VCVTDQ2PSZ128rmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rmk)
  .value("VCVTDQ2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rmkz)
  .value("VCVTDQ2PSZ128rr", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rr)
  .value("VCVTDQ2PSZ128rrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rrk)
  .value("VCVTDQ2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ128rrkz)
  .value("VCVTDQ2PSZ256rm", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rm)
  .value("VCVTDQ2PSZ256rmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rmb)
  .value("VCVTDQ2PSZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rmbk)
  .value("VCVTDQ2PSZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rmbkz)
  .value("VCVTDQ2PSZ256rmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rmk)
  .value("VCVTDQ2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rmkz)
  .value("VCVTDQ2PSZ256rr", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rr)
  .value("VCVTDQ2PSZ256rrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rrk)
  .value("VCVTDQ2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZ256rrkz)
  .value("VCVTDQ2PSZrm", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrm)
  .value("VCVTDQ2PSZrmb", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrmb)
  .value("VCVTDQ2PSZrmbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrmbk)
  .value("VCVTDQ2PSZrmbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrmbkz)
  .value("VCVTDQ2PSZrmk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrmk)
  .value("VCVTDQ2PSZrmkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrmkz)
  .value("VCVTDQ2PSZrr", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrr)
  .value("VCVTDQ2PSZrrb", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrrb)
  .value("VCVTDQ2PSZrrbk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrrbk)
  .value("VCVTDQ2PSZrrbkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrrbkz)
  .value("VCVTDQ2PSZrrk", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrrk)
  .value("VCVTDQ2PSZrrkz", LIEF::assembly::x86::OPCODE::VCVTDQ2PSZrrkz)
  .value("VCVTDQ2PSrm", LIEF::assembly::x86::OPCODE::VCVTDQ2PSrm)
  .value("VCVTDQ2PSrr", LIEF::assembly::x86::OPCODE::VCVTDQ2PSrr)
  .value("VCVTNE2PS2BF16Z128rm", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rm)
  .value("VCVTNE2PS2BF16Z128rmb", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rmb)
  .value("VCVTNE2PS2BF16Z128rmbk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rmbk)
  .value("VCVTNE2PS2BF16Z128rmbkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rmbkz)
  .value("VCVTNE2PS2BF16Z128rmk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rmk)
  .value("VCVTNE2PS2BF16Z128rmkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rmkz)
  .value("VCVTNE2PS2BF16Z128rr", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rr)
  .value("VCVTNE2PS2BF16Z128rrk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rrk)
  .value("VCVTNE2PS2BF16Z128rrkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z128rrkz)
  .value("VCVTNE2PS2BF16Z256rm", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rm)
  .value("VCVTNE2PS2BF16Z256rmb", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rmb)
  .value("VCVTNE2PS2BF16Z256rmbk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rmbk)
  .value("VCVTNE2PS2BF16Z256rmbkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rmbkz)
  .value("VCVTNE2PS2BF16Z256rmk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rmk)
  .value("VCVTNE2PS2BF16Z256rmkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rmkz)
  .value("VCVTNE2PS2BF16Z256rr", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rr)
  .value("VCVTNE2PS2BF16Z256rrk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rrk)
  .value("VCVTNE2PS2BF16Z256rrkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Z256rrkz)
  .value("VCVTNE2PS2BF16Zrm", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrm)
  .value("VCVTNE2PS2BF16Zrmb", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrmb)
  .value("VCVTNE2PS2BF16Zrmbk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrmbk)
  .value("VCVTNE2PS2BF16Zrmbkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrmbkz)
  .value("VCVTNE2PS2BF16Zrmk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrmk)
  .value("VCVTNE2PS2BF16Zrmkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrmkz)
  .value("VCVTNE2PS2BF16Zrr", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrr)
  .value("VCVTNE2PS2BF16Zrrk", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrrk)
  .value("VCVTNE2PS2BF16Zrrkz", LIEF::assembly::x86::OPCODE::VCVTNE2PS2BF16Zrrkz)
  .value("VCVTNEEBF162PSYrm", LIEF::assembly::x86::OPCODE::VCVTNEEBF162PSYrm)
  .value("VCVTNEEBF162PSrm", LIEF::assembly::x86::OPCODE::VCVTNEEBF162PSrm)
  .value("VCVTNEEPH2PSYrm", LIEF::assembly::x86::OPCODE::VCVTNEEPH2PSYrm)
  .value("VCVTNEEPH2PSrm", LIEF::assembly::x86::OPCODE::VCVTNEEPH2PSrm)
  .value("VCVTNEOBF162PSYrm", LIEF::assembly::x86::OPCODE::VCVTNEOBF162PSYrm)
  .value("VCVTNEOBF162PSrm", LIEF::assembly::x86::OPCODE::VCVTNEOBF162PSrm)
  .value("VCVTNEOPH2PSYrm", LIEF::assembly::x86::OPCODE::VCVTNEOPH2PSYrm)
  .value("VCVTNEOPH2PSrm", LIEF::assembly::x86::OPCODE::VCVTNEOPH2PSrm)
  .value("VCVTNEPS2BF16Yrm", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Yrm)
  .value("VCVTNEPS2BF16Yrr", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Yrr)
  .value("VCVTNEPS2BF16Z128rm", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rm)
  .value("VCVTNEPS2BF16Z128rmb", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rmb)
  .value("VCVTNEPS2BF16Z128rmbk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rmbk)
  .value("VCVTNEPS2BF16Z128rmbkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rmbkz)
  .value("VCVTNEPS2BF16Z128rmk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rmk)
  .value("VCVTNEPS2BF16Z128rmkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rmkz)
  .value("VCVTNEPS2BF16Z128rr", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rr)
  .value("VCVTNEPS2BF16Z128rrk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rrk)
  .value("VCVTNEPS2BF16Z128rrkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z128rrkz)
  .value("VCVTNEPS2BF16Z256rm", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rm)
  .value("VCVTNEPS2BF16Z256rmb", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rmb)
  .value("VCVTNEPS2BF16Z256rmbk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rmbk)
  .value("VCVTNEPS2BF16Z256rmbkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rmbkz)
  .value("VCVTNEPS2BF16Z256rmk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rmk)
  .value("VCVTNEPS2BF16Z256rmkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rmkz)
  .value("VCVTNEPS2BF16Z256rr", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rr)
  .value("VCVTNEPS2BF16Z256rrk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rrk)
  .value("VCVTNEPS2BF16Z256rrkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Z256rrkz)
  .value("VCVTNEPS2BF16Zrm", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrm)
  .value("VCVTNEPS2BF16Zrmb", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrmb)
  .value("VCVTNEPS2BF16Zrmbk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrmbk)
  .value("VCVTNEPS2BF16Zrmbkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrmbkz)
  .value("VCVTNEPS2BF16Zrmk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrmk)
  .value("VCVTNEPS2BF16Zrmkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrmkz)
  .value("VCVTNEPS2BF16Zrr", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrr)
  .value("VCVTNEPS2BF16Zrrk", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrrk)
  .value("VCVTNEPS2BF16Zrrkz", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16Zrrkz)
  .value("VCVTNEPS2BF16rm", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16rm)
  .value("VCVTNEPS2BF16rr", LIEF::assembly::x86::OPCODE::VCVTNEPS2BF16rr)
  .value("VCVTPD2DQYrm", LIEF::assembly::x86::OPCODE::VCVTPD2DQYrm)
  .value("VCVTPD2DQYrr", LIEF::assembly::x86::OPCODE::VCVTPD2DQYrr)
  .value("VCVTPD2DQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rm)
  .value("VCVTPD2DQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rmb)
  .value("VCVTPD2DQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rmbk)
  .value("VCVTPD2DQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rmbkz)
  .value("VCVTPD2DQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rmk)
  .value("VCVTPD2DQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rmkz)
  .value("VCVTPD2DQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rr)
  .value("VCVTPD2DQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rrk)
  .value("VCVTPD2DQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ128rrkz)
  .value("VCVTPD2DQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rm)
  .value("VCVTPD2DQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rmb)
  .value("VCVTPD2DQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rmbk)
  .value("VCVTPD2DQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rmbkz)
  .value("VCVTPD2DQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rmk)
  .value("VCVTPD2DQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rmkz)
  .value("VCVTPD2DQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rr)
  .value("VCVTPD2DQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rrk)
  .value("VCVTPD2DQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZ256rrkz)
  .value("VCVTPD2DQZrm", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrm)
  .value("VCVTPD2DQZrmb", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrmb)
  .value("VCVTPD2DQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrmbk)
  .value("VCVTPD2DQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrmbkz)
  .value("VCVTPD2DQZrmk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrmk)
  .value("VCVTPD2DQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrmkz)
  .value("VCVTPD2DQZrr", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrr)
  .value("VCVTPD2DQZrrb", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrrb)
  .value("VCVTPD2DQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrrbk)
  .value("VCVTPD2DQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrrbkz)
  .value("VCVTPD2DQZrrk", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrrk)
  .value("VCVTPD2DQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPD2DQZrrkz)
  .value("VCVTPD2DQrm", LIEF::assembly::x86::OPCODE::VCVTPD2DQrm)
  .value("VCVTPD2DQrr", LIEF::assembly::x86::OPCODE::VCVTPD2DQrr)
  .value("VCVTPD2PHZ128rm", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rm)
  .value("VCVTPD2PHZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rmb)
  .value("VCVTPD2PHZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rmbk)
  .value("VCVTPD2PHZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rmbkz)
  .value("VCVTPD2PHZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rmk)
  .value("VCVTPD2PHZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rmkz)
  .value("VCVTPD2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rr)
  .value("VCVTPD2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rrk)
  .value("VCVTPD2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ128rrkz)
  .value("VCVTPD2PHZ256rm", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rm)
  .value("VCVTPD2PHZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rmb)
  .value("VCVTPD2PHZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rmbk)
  .value("VCVTPD2PHZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rmbkz)
  .value("VCVTPD2PHZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rmk)
  .value("VCVTPD2PHZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rmkz)
  .value("VCVTPD2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rr)
  .value("VCVTPD2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rrk)
  .value("VCVTPD2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZ256rrkz)
  .value("VCVTPD2PHZrm", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrm)
  .value("VCVTPD2PHZrmb", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrmb)
  .value("VCVTPD2PHZrmbk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrmbk)
  .value("VCVTPD2PHZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrmbkz)
  .value("VCVTPD2PHZrmk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrmk)
  .value("VCVTPD2PHZrmkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrmkz)
  .value("VCVTPD2PHZrr", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrr)
  .value("VCVTPD2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrrb)
  .value("VCVTPD2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrrbk)
  .value("VCVTPD2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrrbkz)
  .value("VCVTPD2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrrk)
  .value("VCVTPD2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTPD2PHZrrkz)
  .value("VCVTPD2PSYrm", LIEF::assembly::x86::OPCODE::VCVTPD2PSYrm)
  .value("VCVTPD2PSYrr", LIEF::assembly::x86::OPCODE::VCVTPD2PSYrr)
  .value("VCVTPD2PSZ128rm", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rm)
  .value("VCVTPD2PSZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rmb)
  .value("VCVTPD2PSZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rmbk)
  .value("VCVTPD2PSZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rmbkz)
  .value("VCVTPD2PSZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rmk)
  .value("VCVTPD2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rmkz)
  .value("VCVTPD2PSZ128rr", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rr)
  .value("VCVTPD2PSZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rrk)
  .value("VCVTPD2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ128rrkz)
  .value("VCVTPD2PSZ256rm", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rm)
  .value("VCVTPD2PSZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rmb)
  .value("VCVTPD2PSZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rmbk)
  .value("VCVTPD2PSZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rmbkz)
  .value("VCVTPD2PSZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rmk)
  .value("VCVTPD2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rmkz)
  .value("VCVTPD2PSZ256rr", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rr)
  .value("VCVTPD2PSZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rrk)
  .value("VCVTPD2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZ256rrkz)
  .value("VCVTPD2PSZrm", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrm)
  .value("VCVTPD2PSZrmb", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrmb)
  .value("VCVTPD2PSZrmbk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrmbk)
  .value("VCVTPD2PSZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrmbkz)
  .value("VCVTPD2PSZrmk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrmk)
  .value("VCVTPD2PSZrmkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrmkz)
  .value("VCVTPD2PSZrr", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrr)
  .value("VCVTPD2PSZrrb", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrrb)
  .value("VCVTPD2PSZrrbk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrrbk)
  .value("VCVTPD2PSZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrrbkz)
  .value("VCVTPD2PSZrrk", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrrk)
  .value("VCVTPD2PSZrrkz", LIEF::assembly::x86::OPCODE::VCVTPD2PSZrrkz)
  .value("VCVTPD2PSrm", LIEF::assembly::x86::OPCODE::VCVTPD2PSrm)
  .value("VCVTPD2PSrr", LIEF::assembly::x86::OPCODE::VCVTPD2PSrr)
  .value("VCVTPD2QQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rm)
  .value("VCVTPD2QQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rmb)
  .value("VCVTPD2QQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rmbk)
  .value("VCVTPD2QQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rmbkz)
  .value("VCVTPD2QQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rmk)
  .value("VCVTPD2QQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rmkz)
  .value("VCVTPD2QQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rr)
  .value("VCVTPD2QQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rrk)
  .value("VCVTPD2QQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ128rrkz)
  .value("VCVTPD2QQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rm)
  .value("VCVTPD2QQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rmb)
  .value("VCVTPD2QQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rmbk)
  .value("VCVTPD2QQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rmbkz)
  .value("VCVTPD2QQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rmk)
  .value("VCVTPD2QQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rmkz)
  .value("VCVTPD2QQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rr)
  .value("VCVTPD2QQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rrk)
  .value("VCVTPD2QQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZ256rrkz)
  .value("VCVTPD2QQZrm", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrm)
  .value("VCVTPD2QQZrmb", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrmb)
  .value("VCVTPD2QQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrmbk)
  .value("VCVTPD2QQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrmbkz)
  .value("VCVTPD2QQZrmk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrmk)
  .value("VCVTPD2QQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrmkz)
  .value("VCVTPD2QQZrr", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrr)
  .value("VCVTPD2QQZrrb", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrrb)
  .value("VCVTPD2QQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrrbk)
  .value("VCVTPD2QQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrrbkz)
  .value("VCVTPD2QQZrrk", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrrk)
  .value("VCVTPD2QQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPD2QQZrrkz)
  .value("VCVTPD2UDQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rm)
  .value("VCVTPD2UDQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rmb)
  .value("VCVTPD2UDQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rmbk)
  .value("VCVTPD2UDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rmbkz)
  .value("VCVTPD2UDQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rmk)
  .value("VCVTPD2UDQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rmkz);
  opcodes.value("VCVTPD2UDQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rr)
  .value("VCVTPD2UDQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rrk)
  .value("VCVTPD2UDQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ128rrkz)
  .value("VCVTPD2UDQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rm)
  .value("VCVTPD2UDQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rmb)
  .value("VCVTPD2UDQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rmbk)
  .value("VCVTPD2UDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rmbkz)
  .value("VCVTPD2UDQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rmk)
  .value("VCVTPD2UDQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rmkz)
  .value("VCVTPD2UDQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rr)
  .value("VCVTPD2UDQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rrk)
  .value("VCVTPD2UDQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZ256rrkz)
  .value("VCVTPD2UDQZrm", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrm)
  .value("VCVTPD2UDQZrmb", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrmb)
  .value("VCVTPD2UDQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrmbk)
  .value("VCVTPD2UDQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrmbkz)
  .value("VCVTPD2UDQZrmk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrmk)
  .value("VCVTPD2UDQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrmkz)
  .value("VCVTPD2UDQZrr", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrr)
  .value("VCVTPD2UDQZrrb", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrrb)
  .value("VCVTPD2UDQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrrbk)
  .value("VCVTPD2UDQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrrbkz)
  .value("VCVTPD2UDQZrrk", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrrk)
  .value("VCVTPD2UDQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPD2UDQZrrkz)
  .value("VCVTPD2UQQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rm)
  .value("VCVTPD2UQQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rmb)
  .value("VCVTPD2UQQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rmbk)
  .value("VCVTPD2UQQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rmbkz)
  .value("VCVTPD2UQQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rmk)
  .value("VCVTPD2UQQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rmkz)
  .value("VCVTPD2UQQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rr)
  .value("VCVTPD2UQQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rrk)
  .value("VCVTPD2UQQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ128rrkz)
  .value("VCVTPD2UQQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rm)
  .value("VCVTPD2UQQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rmb)
  .value("VCVTPD2UQQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rmbk)
  .value("VCVTPD2UQQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rmbkz)
  .value("VCVTPD2UQQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rmk)
  .value("VCVTPD2UQQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rmkz)
  .value("VCVTPD2UQQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rr)
  .value("VCVTPD2UQQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rrk)
  .value("VCVTPD2UQQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZ256rrkz)
  .value("VCVTPD2UQQZrm", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrm)
  .value("VCVTPD2UQQZrmb", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrmb)
  .value("VCVTPD2UQQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrmbk)
  .value("VCVTPD2UQQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrmbkz)
  .value("VCVTPD2UQQZrmk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrmk)
  .value("VCVTPD2UQQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrmkz)
  .value("VCVTPD2UQQZrr", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrr)
  .value("VCVTPD2UQQZrrb", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrrb)
  .value("VCVTPD2UQQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrrbk)
  .value("VCVTPD2UQQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrrbkz)
  .value("VCVTPD2UQQZrrk", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrrk)
  .value("VCVTPD2UQQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPD2UQQZrrkz)
  .value("VCVTPH2DQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rm)
  .value("VCVTPH2DQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rmb)
  .value("VCVTPH2DQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rmbk)
  .value("VCVTPH2DQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rmbkz)
  .value("VCVTPH2DQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rmk)
  .value("VCVTPH2DQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rmkz)
  .value("VCVTPH2DQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rr)
  .value("VCVTPH2DQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rrk)
  .value("VCVTPH2DQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ128rrkz)
  .value("VCVTPH2DQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rm)
  .value("VCVTPH2DQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rmb)
  .value("VCVTPH2DQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rmbk)
  .value("VCVTPH2DQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rmbkz)
  .value("VCVTPH2DQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rmk)
  .value("VCVTPH2DQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rmkz)
  .value("VCVTPH2DQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rr)
  .value("VCVTPH2DQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rrk)
  .value("VCVTPH2DQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZ256rrkz)
  .value("VCVTPH2DQZrm", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrm)
  .value("VCVTPH2DQZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrmb)
  .value("VCVTPH2DQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrmbk)
  .value("VCVTPH2DQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrmbkz)
  .value("VCVTPH2DQZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrmk)
  .value("VCVTPH2DQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrmkz)
  .value("VCVTPH2DQZrr", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrr)
  .value("VCVTPH2DQZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrrb)
  .value("VCVTPH2DQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrrbk)
  .value("VCVTPH2DQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrrbkz)
  .value("VCVTPH2DQZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrrk)
  .value("VCVTPH2DQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2DQZrrkz)
  .value("VCVTPH2PDZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rm)
  .value("VCVTPH2PDZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rmb)
  .value("VCVTPH2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rmbk)
  .value("VCVTPH2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rmbkz)
  .value("VCVTPH2PDZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rmk)
  .value("VCVTPH2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rmkz)
  .value("VCVTPH2PDZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rr)
  .value("VCVTPH2PDZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rrk)
  .value("VCVTPH2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ128rrkz)
  .value("VCVTPH2PDZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rm)
  .value("VCVTPH2PDZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rmb)
  .value("VCVTPH2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rmbk)
  .value("VCVTPH2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rmbkz)
  .value("VCVTPH2PDZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rmk)
  .value("VCVTPH2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rmkz)
  .value("VCVTPH2PDZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rr)
  .value("VCVTPH2PDZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rrk)
  .value("VCVTPH2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZ256rrkz)
  .value("VCVTPH2PDZrm", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrm)
  .value("VCVTPH2PDZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrmb)
  .value("VCVTPH2PDZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrmbk)
  .value("VCVTPH2PDZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrmbkz)
  .value("VCVTPH2PDZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrmk)
  .value("VCVTPH2PDZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrmkz)
  .value("VCVTPH2PDZrr", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrr)
  .value("VCVTPH2PDZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrrb)
  .value("VCVTPH2PDZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrrbk)
  .value("VCVTPH2PDZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrrbkz)
  .value("VCVTPH2PDZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrrk)
  .value("VCVTPH2PDZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PDZrrkz)
  .value("VCVTPH2PSXZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rm)
  .value("VCVTPH2PSXZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rmb)
  .value("VCVTPH2PSXZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rmbk)
  .value("VCVTPH2PSXZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rmbkz)
  .value("VCVTPH2PSXZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rmk)
  .value("VCVTPH2PSXZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rmkz)
  .value("VCVTPH2PSXZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rr)
  .value("VCVTPH2PSXZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rrk)
  .value("VCVTPH2PSXZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ128rrkz)
  .value("VCVTPH2PSXZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rm)
  .value("VCVTPH2PSXZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rmb)
  .value("VCVTPH2PSXZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rmbk)
  .value("VCVTPH2PSXZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rmbkz)
  .value("VCVTPH2PSXZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rmk)
  .value("VCVTPH2PSXZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rmkz)
  .value("VCVTPH2PSXZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rr)
  .value("VCVTPH2PSXZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rrk)
  .value("VCVTPH2PSXZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZ256rrkz)
  .value("VCVTPH2PSXZrm", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrm)
  .value("VCVTPH2PSXZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrmb)
  .value("VCVTPH2PSXZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrmbk)
  .value("VCVTPH2PSXZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrmbkz)
  .value("VCVTPH2PSXZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrmk)
  .value("VCVTPH2PSXZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrmkz)
  .value("VCVTPH2PSXZrr", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrr)
  .value("VCVTPH2PSXZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrrb)
  .value("VCVTPH2PSXZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrrbk)
  .value("VCVTPH2PSXZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrrbkz)
  .value("VCVTPH2PSXZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrrk)
  .value("VCVTPH2PSXZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSXZrrkz)
  .value("VCVTPH2PSYrm", LIEF::assembly::x86::OPCODE::VCVTPH2PSYrm)
  .value("VCVTPH2PSYrr", LIEF::assembly::x86::OPCODE::VCVTPH2PSYrr)
  .value("VCVTPH2PSZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ128rm)
  .value("VCVTPH2PSZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ128rmk)
  .value("VCVTPH2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ128rmkz)
  .value("VCVTPH2PSZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ128rr)
  .value("VCVTPH2PSZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ128rrk)
  .value("VCVTPH2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ128rrkz)
  .value("VCVTPH2PSZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ256rm)
  .value("VCVTPH2PSZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ256rmk)
  .value("VCVTPH2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ256rmkz)
  .value("VCVTPH2PSZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ256rr)
  .value("VCVTPH2PSZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ256rrk)
  .value("VCVTPH2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSZ256rrkz)
  .value("VCVTPH2PSZrm", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrm)
  .value("VCVTPH2PSZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrmk)
  .value("VCVTPH2PSZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrmkz)
  .value("VCVTPH2PSZrr", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrr)
  .value("VCVTPH2PSZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrrb)
  .value("VCVTPH2PSZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrrbk)
  .value("VCVTPH2PSZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrrbkz)
  .value("VCVTPH2PSZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrrk)
  .value("VCVTPH2PSZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2PSZrrkz)
  .value("VCVTPH2PSrm", LIEF::assembly::x86::OPCODE::VCVTPH2PSrm)
  .value("VCVTPH2PSrr", LIEF::assembly::x86::OPCODE::VCVTPH2PSrr)
  .value("VCVTPH2QQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rm)
  .value("VCVTPH2QQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rmb)
  .value("VCVTPH2QQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rmbk)
  .value("VCVTPH2QQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rmbkz)
  .value("VCVTPH2QQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rmk)
  .value("VCVTPH2QQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rmkz)
  .value("VCVTPH2QQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rr)
  .value("VCVTPH2QQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rrk)
  .value("VCVTPH2QQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ128rrkz)
  .value("VCVTPH2QQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rm)
  .value("VCVTPH2QQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rmb)
  .value("VCVTPH2QQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rmbk)
  .value("VCVTPH2QQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rmbkz)
  .value("VCVTPH2QQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rmk)
  .value("VCVTPH2QQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rmkz)
  .value("VCVTPH2QQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rr)
  .value("VCVTPH2QQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rrk)
  .value("VCVTPH2QQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZ256rrkz)
  .value("VCVTPH2QQZrm", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrm)
  .value("VCVTPH2QQZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrmb)
  .value("VCVTPH2QQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrmbk)
  .value("VCVTPH2QQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrmbkz)
  .value("VCVTPH2QQZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrmk)
  .value("VCVTPH2QQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrmkz)
  .value("VCVTPH2QQZrr", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrr)
  .value("VCVTPH2QQZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrrb)
  .value("VCVTPH2QQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrrbk)
  .value("VCVTPH2QQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrrbkz)
  .value("VCVTPH2QQZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrrk)
  .value("VCVTPH2QQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2QQZrrkz)
  .value("VCVTPH2UDQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rm)
  .value("VCVTPH2UDQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rmb)
  .value("VCVTPH2UDQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rmbk)
  .value("VCVTPH2UDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rmbkz)
  .value("VCVTPH2UDQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rmk)
  .value("VCVTPH2UDQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rmkz)
  .value("VCVTPH2UDQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rr)
  .value("VCVTPH2UDQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rrk)
  .value("VCVTPH2UDQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ128rrkz)
  .value("VCVTPH2UDQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rm)
  .value("VCVTPH2UDQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rmb)
  .value("VCVTPH2UDQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rmbk)
  .value("VCVTPH2UDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rmbkz)
  .value("VCVTPH2UDQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rmk)
  .value("VCVTPH2UDQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rmkz)
  .value("VCVTPH2UDQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rr)
  .value("VCVTPH2UDQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rrk)
  .value("VCVTPH2UDQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZ256rrkz)
  .value("VCVTPH2UDQZrm", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrm)
  .value("VCVTPH2UDQZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrmb)
  .value("VCVTPH2UDQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrmbk)
  .value("VCVTPH2UDQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrmbkz)
  .value("VCVTPH2UDQZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrmk)
  .value("VCVTPH2UDQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrmkz)
  .value("VCVTPH2UDQZrr", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrr)
  .value("VCVTPH2UDQZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrrb)
  .value("VCVTPH2UDQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrrbk)
  .value("VCVTPH2UDQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrrbkz)
  .value("VCVTPH2UDQZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrrk)
  .value("VCVTPH2UDQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UDQZrrkz)
  .value("VCVTPH2UQQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rm)
  .value("VCVTPH2UQQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rmb)
  .value("VCVTPH2UQQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rmbk)
  .value("VCVTPH2UQQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rmbkz)
  .value("VCVTPH2UQQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rmk)
  .value("VCVTPH2UQQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rmkz)
  .value("VCVTPH2UQQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rr)
  .value("VCVTPH2UQQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rrk)
  .value("VCVTPH2UQQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ128rrkz)
  .value("VCVTPH2UQQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rm)
  .value("VCVTPH2UQQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rmb)
  .value("VCVTPH2UQQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rmbk)
  .value("VCVTPH2UQQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rmbkz)
  .value("VCVTPH2UQQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rmk)
  .value("VCVTPH2UQQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rmkz)
  .value("VCVTPH2UQQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rr)
  .value("VCVTPH2UQQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rrk)
  .value("VCVTPH2UQQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZ256rrkz)
  .value("VCVTPH2UQQZrm", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrm)
  .value("VCVTPH2UQQZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrmb)
  .value("VCVTPH2UQQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrmbk)
  .value("VCVTPH2UQQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrmbkz)
  .value("VCVTPH2UQQZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrmk)
  .value("VCVTPH2UQQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrmkz)
  .value("VCVTPH2UQQZrr", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrr)
  .value("VCVTPH2UQQZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrrb)
  .value("VCVTPH2UQQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrrbk)
  .value("VCVTPH2UQQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrrbkz)
  .value("VCVTPH2UQQZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrrk)
  .value("VCVTPH2UQQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UQQZrrkz)
  .value("VCVTPH2UWZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rm)
  .value("VCVTPH2UWZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rmb)
  .value("VCVTPH2UWZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rmbk)
  .value("VCVTPH2UWZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rmbkz)
  .value("VCVTPH2UWZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rmk)
  .value("VCVTPH2UWZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rmkz)
  .value("VCVTPH2UWZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rr)
  .value("VCVTPH2UWZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rrk)
  .value("VCVTPH2UWZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ128rrkz)
  .value("VCVTPH2UWZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rm)
  .value("VCVTPH2UWZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rmb)
  .value("VCVTPH2UWZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rmbk)
  .value("VCVTPH2UWZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rmbkz)
  .value("VCVTPH2UWZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rmk)
  .value("VCVTPH2UWZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rmkz)
  .value("VCVTPH2UWZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rr)
  .value("VCVTPH2UWZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rrk)
  .value("VCVTPH2UWZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZ256rrkz)
  .value("VCVTPH2UWZrm", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrm)
  .value("VCVTPH2UWZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrmb)
  .value("VCVTPH2UWZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrmbk)
  .value("VCVTPH2UWZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrmbkz)
  .value("VCVTPH2UWZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrmk)
  .value("VCVTPH2UWZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrmkz)
  .value("VCVTPH2UWZrr", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrr)
  .value("VCVTPH2UWZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrrb)
  .value("VCVTPH2UWZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrrbk)
  .value("VCVTPH2UWZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrrbkz)
  .value("VCVTPH2UWZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrrk)
  .value("VCVTPH2UWZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2UWZrrkz)
  .value("VCVTPH2WZ128rm", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rm)
  .value("VCVTPH2WZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rmb)
  .value("VCVTPH2WZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rmbk)
  .value("VCVTPH2WZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rmbkz)
  .value("VCVTPH2WZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rmk)
  .value("VCVTPH2WZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rmkz)
  .value("VCVTPH2WZ128rr", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rr)
  .value("VCVTPH2WZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rrk)
  .value("VCVTPH2WZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZ128rrkz)
  .value("VCVTPH2WZ256rm", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rm)
  .value("VCVTPH2WZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rmb);
  opcodes.value("VCVTPH2WZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rmbk)
  .value("VCVTPH2WZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rmbkz)
  .value("VCVTPH2WZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rmk)
  .value("VCVTPH2WZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rmkz)
  .value("VCVTPH2WZ256rr", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rr)
  .value("VCVTPH2WZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rrk)
  .value("VCVTPH2WZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZ256rrkz)
  .value("VCVTPH2WZrm", LIEF::assembly::x86::OPCODE::VCVTPH2WZrm)
  .value("VCVTPH2WZrmb", LIEF::assembly::x86::OPCODE::VCVTPH2WZrmb)
  .value("VCVTPH2WZrmbk", LIEF::assembly::x86::OPCODE::VCVTPH2WZrmbk)
  .value("VCVTPH2WZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZrmbkz)
  .value("VCVTPH2WZrmk", LIEF::assembly::x86::OPCODE::VCVTPH2WZrmk)
  .value("VCVTPH2WZrmkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZrmkz)
  .value("VCVTPH2WZrr", LIEF::assembly::x86::OPCODE::VCVTPH2WZrr)
  .value("VCVTPH2WZrrb", LIEF::assembly::x86::OPCODE::VCVTPH2WZrrb)
  .value("VCVTPH2WZrrbk", LIEF::assembly::x86::OPCODE::VCVTPH2WZrrbk)
  .value("VCVTPH2WZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZrrbkz)
  .value("VCVTPH2WZrrk", LIEF::assembly::x86::OPCODE::VCVTPH2WZrrk)
  .value("VCVTPH2WZrrkz", LIEF::assembly::x86::OPCODE::VCVTPH2WZrrkz)
  .value("VCVTPS2DQYrm", LIEF::assembly::x86::OPCODE::VCVTPS2DQYrm)
  .value("VCVTPS2DQYrr", LIEF::assembly::x86::OPCODE::VCVTPS2DQYrr)
  .value("VCVTPS2DQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rm)
  .value("VCVTPS2DQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rmb)
  .value("VCVTPS2DQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rmbk)
  .value("VCVTPS2DQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rmbkz)
  .value("VCVTPS2DQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rmk)
  .value("VCVTPS2DQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rmkz)
  .value("VCVTPS2DQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rr)
  .value("VCVTPS2DQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rrk)
  .value("VCVTPS2DQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ128rrkz)
  .value("VCVTPS2DQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rm)
  .value("VCVTPS2DQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rmb)
  .value("VCVTPS2DQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rmbk)
  .value("VCVTPS2DQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rmbkz)
  .value("VCVTPS2DQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rmk)
  .value("VCVTPS2DQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rmkz)
  .value("VCVTPS2DQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rr)
  .value("VCVTPS2DQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rrk)
  .value("VCVTPS2DQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZ256rrkz)
  .value("VCVTPS2DQZrm", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrm)
  .value("VCVTPS2DQZrmb", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrmb)
  .value("VCVTPS2DQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrmbk)
  .value("VCVTPS2DQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrmbkz)
  .value("VCVTPS2DQZrmk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrmk)
  .value("VCVTPS2DQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrmkz)
  .value("VCVTPS2DQZrr", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrr)
  .value("VCVTPS2DQZrrb", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrrb)
  .value("VCVTPS2DQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrrbk)
  .value("VCVTPS2DQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrrbkz)
  .value("VCVTPS2DQZrrk", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrrk)
  .value("VCVTPS2DQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPS2DQZrrkz)
  .value("VCVTPS2DQrm", LIEF::assembly::x86::OPCODE::VCVTPS2DQrm)
  .value("VCVTPS2DQrr", LIEF::assembly::x86::OPCODE::VCVTPS2DQrr)
  .value("VCVTPS2PDYrm", LIEF::assembly::x86::OPCODE::VCVTPS2PDYrm)
  .value("VCVTPS2PDYrr", LIEF::assembly::x86::OPCODE::VCVTPS2PDYrr)
  .value("VCVTPS2PDZ128rm", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rm)
  .value("VCVTPS2PDZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rmb)
  .value("VCVTPS2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rmbk)
  .value("VCVTPS2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rmbkz)
  .value("VCVTPS2PDZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rmk)
  .value("VCVTPS2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rmkz)
  .value("VCVTPS2PDZ128rr", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rr)
  .value("VCVTPS2PDZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rrk)
  .value("VCVTPS2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ128rrkz)
  .value("VCVTPS2PDZ256rm", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rm)
  .value("VCVTPS2PDZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rmb)
  .value("VCVTPS2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rmbk)
  .value("VCVTPS2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rmbkz)
  .value("VCVTPS2PDZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rmk)
  .value("VCVTPS2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rmkz)
  .value("VCVTPS2PDZ256rr", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rr)
  .value("VCVTPS2PDZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rrk)
  .value("VCVTPS2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZ256rrkz)
  .value("VCVTPS2PDZrm", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrm)
  .value("VCVTPS2PDZrmb", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrmb)
  .value("VCVTPS2PDZrmbk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrmbk)
  .value("VCVTPS2PDZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrmbkz)
  .value("VCVTPS2PDZrmk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrmk)
  .value("VCVTPS2PDZrmkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrmkz)
  .value("VCVTPS2PDZrr", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrr)
  .value("VCVTPS2PDZrrb", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrrb)
  .value("VCVTPS2PDZrrbk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrrbk)
  .value("VCVTPS2PDZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrrbkz)
  .value("VCVTPS2PDZrrk", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrrk)
  .value("VCVTPS2PDZrrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PDZrrkz)
  .value("VCVTPS2PDrm", LIEF::assembly::x86::OPCODE::VCVTPS2PDrm)
  .value("VCVTPS2PDrr", LIEF::assembly::x86::OPCODE::VCVTPS2PDrr)
  .value("VCVTPS2PHXZ128rm", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rm)
  .value("VCVTPS2PHXZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rmb)
  .value("VCVTPS2PHXZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rmbk)
  .value("VCVTPS2PHXZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rmbkz)
  .value("VCVTPS2PHXZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rmk)
  .value("VCVTPS2PHXZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rmkz)
  .value("VCVTPS2PHXZ128rr", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rr)
  .value("VCVTPS2PHXZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rrk)
  .value("VCVTPS2PHXZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ128rrkz)
  .value("VCVTPS2PHXZ256rm", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rm)
  .value("VCVTPS2PHXZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rmb)
  .value("VCVTPS2PHXZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rmbk)
  .value("VCVTPS2PHXZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rmbkz)
  .value("VCVTPS2PHXZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rmk)
  .value("VCVTPS2PHXZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rmkz)
  .value("VCVTPS2PHXZ256rr", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rr)
  .value("VCVTPS2PHXZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rrk)
  .value("VCVTPS2PHXZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZ256rrkz)
  .value("VCVTPS2PHXZrm", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrm)
  .value("VCVTPS2PHXZrmb", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrmb)
  .value("VCVTPS2PHXZrmbk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrmbk)
  .value("VCVTPS2PHXZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrmbkz)
  .value("VCVTPS2PHXZrmk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrmk)
  .value("VCVTPS2PHXZrmkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrmkz)
  .value("VCVTPS2PHXZrr", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrr)
  .value("VCVTPS2PHXZrrb", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrrb)
  .value("VCVTPS2PHXZrrbk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrrbk)
  .value("VCVTPS2PHXZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrrbkz)
  .value("VCVTPS2PHXZrrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrrk)
  .value("VCVTPS2PHXZrrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHXZrrkz)
  .value("VCVTPS2PHYmr", LIEF::assembly::x86::OPCODE::VCVTPS2PHYmr)
  .value("VCVTPS2PHYrr", LIEF::assembly::x86::OPCODE::VCVTPS2PHYrr)
  .value("VCVTPS2PHZ128mr", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ128mr)
  .value("VCVTPS2PHZ128mrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ128mrk)
  .value("VCVTPS2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ128rr)
  .value("VCVTPS2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ128rrk)
  .value("VCVTPS2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ128rrkz)
  .value("VCVTPS2PHZ256mr", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ256mr)
  .value("VCVTPS2PHZ256mrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ256mrk)
  .value("VCVTPS2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ256rr)
  .value("VCVTPS2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ256rrk)
  .value("VCVTPS2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHZ256rrkz)
  .value("VCVTPS2PHZmr", LIEF::assembly::x86::OPCODE::VCVTPS2PHZmr)
  .value("VCVTPS2PHZmrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHZmrk)
  .value("VCVTPS2PHZrr", LIEF::assembly::x86::OPCODE::VCVTPS2PHZrr)
  .value("VCVTPS2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTPS2PHZrrb)
  .value("VCVTPS2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTPS2PHZrrbk)
  .value("VCVTPS2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHZrrbkz)
  .value("VCVTPS2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTPS2PHZrrk)
  .value("VCVTPS2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTPS2PHZrrkz)
  .value("VCVTPS2PHmr", LIEF::assembly::x86::OPCODE::VCVTPS2PHmr)
  .value("VCVTPS2PHrr", LIEF::assembly::x86::OPCODE::VCVTPS2PHrr)
  .value("VCVTPS2QQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rm)
  .value("VCVTPS2QQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rmb)
  .value("VCVTPS2QQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rmbk)
  .value("VCVTPS2QQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rmbkz)
  .value("VCVTPS2QQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rmk)
  .value("VCVTPS2QQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rmkz)
  .value("VCVTPS2QQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rr)
  .value("VCVTPS2QQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rrk)
  .value("VCVTPS2QQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ128rrkz)
  .value("VCVTPS2QQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rm)
  .value("VCVTPS2QQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rmb)
  .value("VCVTPS2QQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rmbk)
  .value("VCVTPS2QQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rmbkz)
  .value("VCVTPS2QQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rmk)
  .value("VCVTPS2QQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rmkz)
  .value("VCVTPS2QQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rr)
  .value("VCVTPS2QQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rrk)
  .value("VCVTPS2QQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZ256rrkz)
  .value("VCVTPS2QQZrm", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrm)
  .value("VCVTPS2QQZrmb", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrmb)
  .value("VCVTPS2QQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrmbk)
  .value("VCVTPS2QQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrmbkz)
  .value("VCVTPS2QQZrmk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrmk)
  .value("VCVTPS2QQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrmkz)
  .value("VCVTPS2QQZrr", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrr)
  .value("VCVTPS2QQZrrb", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrrb)
  .value("VCVTPS2QQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrrbk)
  .value("VCVTPS2QQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrrbkz)
  .value("VCVTPS2QQZrrk", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrrk)
  .value("VCVTPS2QQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPS2QQZrrkz)
  .value("VCVTPS2UDQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rm)
  .value("VCVTPS2UDQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rmb)
  .value("VCVTPS2UDQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rmbk)
  .value("VCVTPS2UDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rmbkz)
  .value("VCVTPS2UDQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rmk)
  .value("VCVTPS2UDQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rmkz)
  .value("VCVTPS2UDQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rr)
  .value("VCVTPS2UDQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rrk)
  .value("VCVTPS2UDQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ128rrkz)
  .value("VCVTPS2UDQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rm)
  .value("VCVTPS2UDQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rmb)
  .value("VCVTPS2UDQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rmbk)
  .value("VCVTPS2UDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rmbkz)
  .value("VCVTPS2UDQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rmk)
  .value("VCVTPS2UDQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rmkz)
  .value("VCVTPS2UDQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rr)
  .value("VCVTPS2UDQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rrk)
  .value("VCVTPS2UDQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZ256rrkz)
  .value("VCVTPS2UDQZrm", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrm)
  .value("VCVTPS2UDQZrmb", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrmb)
  .value("VCVTPS2UDQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrmbk)
  .value("VCVTPS2UDQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrmbkz)
  .value("VCVTPS2UDQZrmk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrmk)
  .value("VCVTPS2UDQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrmkz)
  .value("VCVTPS2UDQZrr", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrr)
  .value("VCVTPS2UDQZrrb", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrrb)
  .value("VCVTPS2UDQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrrbk)
  .value("VCVTPS2UDQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrrbkz)
  .value("VCVTPS2UDQZrrk", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrrk)
  .value("VCVTPS2UDQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPS2UDQZrrkz)
  .value("VCVTPS2UQQZ128rm", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rm)
  .value("VCVTPS2UQQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rmb)
  .value("VCVTPS2UQQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rmbk)
  .value("VCVTPS2UQQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rmbkz)
  .value("VCVTPS2UQQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rmk)
  .value("VCVTPS2UQQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rmkz)
  .value("VCVTPS2UQQZ128rr", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rr)
  .value("VCVTPS2UQQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rrk)
  .value("VCVTPS2UQQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ128rrkz)
  .value("VCVTPS2UQQZ256rm", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rm)
  .value("VCVTPS2UQQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rmb)
  .value("VCVTPS2UQQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rmbk)
  .value("VCVTPS2UQQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rmbkz)
  .value("VCVTPS2UQQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rmk)
  .value("VCVTPS2UQQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rmkz)
  .value("VCVTPS2UQQZ256rr", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rr)
  .value("VCVTPS2UQQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rrk)
  .value("VCVTPS2UQQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZ256rrkz)
  .value("VCVTPS2UQQZrm", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrm)
  .value("VCVTPS2UQQZrmb", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrmb)
  .value("VCVTPS2UQQZrmbk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrmbk)
  .value("VCVTPS2UQQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrmbkz)
  .value("VCVTPS2UQQZrmk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrmk)
  .value("VCVTPS2UQQZrmkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrmkz)
  .value("VCVTPS2UQQZrr", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrr)
  .value("VCVTPS2UQQZrrb", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrrb)
  .value("VCVTPS2UQQZrrbk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrrbk)
  .value("VCVTPS2UQQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrrbkz)
  .value("VCVTPS2UQQZrrk", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrrk)
  .value("VCVTPS2UQQZrrkz", LIEF::assembly::x86::OPCODE::VCVTPS2UQQZrrkz)
  .value("VCVTQQ2PDZ128rm", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rm)
  .value("VCVTQQ2PDZ128rmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rmb)
  .value("VCVTQQ2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rmbk)
  .value("VCVTQQ2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rmbkz)
  .value("VCVTQQ2PDZ128rmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rmk)
  .value("VCVTQQ2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rmkz)
  .value("VCVTQQ2PDZ128rr", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rr)
  .value("VCVTQQ2PDZ128rrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rrk)
  .value("VCVTQQ2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ128rrkz)
  .value("VCVTQQ2PDZ256rm", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rm)
  .value("VCVTQQ2PDZ256rmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rmb)
  .value("VCVTQQ2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rmbk)
  .value("VCVTQQ2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rmbkz)
  .value("VCVTQQ2PDZ256rmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rmk)
  .value("VCVTQQ2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rmkz)
  .value("VCVTQQ2PDZ256rr", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rr)
  .value("VCVTQQ2PDZ256rrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rrk)
  .value("VCVTQQ2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZ256rrkz)
  .value("VCVTQQ2PDZrm", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrm)
  .value("VCVTQQ2PDZrmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrmb)
  .value("VCVTQQ2PDZrmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrmbk)
  .value("VCVTQQ2PDZrmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrmbkz)
  .value("VCVTQQ2PDZrmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrmk)
  .value("VCVTQQ2PDZrmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrmkz)
  .value("VCVTQQ2PDZrr", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrr)
  .value("VCVTQQ2PDZrrb", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrrb)
  .value("VCVTQQ2PDZrrbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrrbk)
  .value("VCVTQQ2PDZrrbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrrbkz)
  .value("VCVTQQ2PDZrrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrrk)
  .value("VCVTQQ2PDZrrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PDZrrkz)
  .value("VCVTQQ2PHZ128rm", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rm)
  .value("VCVTQQ2PHZ128rmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rmb)
  .value("VCVTQQ2PHZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rmbk)
  .value("VCVTQQ2PHZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rmbkz)
  .value("VCVTQQ2PHZ128rmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rmk)
  .value("VCVTQQ2PHZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rmkz)
  .value("VCVTQQ2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rr)
  .value("VCVTQQ2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rrk)
  .value("VCVTQQ2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ128rrkz)
  .value("VCVTQQ2PHZ256rm", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rm)
  .value("VCVTQQ2PHZ256rmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rmb)
  .value("VCVTQQ2PHZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rmbk)
  .value("VCVTQQ2PHZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rmbkz)
  .value("VCVTQQ2PHZ256rmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rmk)
  .value("VCVTQQ2PHZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rmkz)
  .value("VCVTQQ2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rr)
  .value("VCVTQQ2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rrk)
  .value("VCVTQQ2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZ256rrkz)
  .value("VCVTQQ2PHZrm", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrm)
  .value("VCVTQQ2PHZrmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrmb)
  .value("VCVTQQ2PHZrmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrmbk)
  .value("VCVTQQ2PHZrmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrmbkz)
  .value("VCVTQQ2PHZrmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrmk)
  .value("VCVTQQ2PHZrmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrmkz)
  .value("VCVTQQ2PHZrr", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrr)
  .value("VCVTQQ2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrrb)
  .value("VCVTQQ2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrrbk)
  .value("VCVTQQ2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrrbkz)
  .value("VCVTQQ2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrrk)
  .value("VCVTQQ2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PHZrrkz)
  .value("VCVTQQ2PSZ128rm", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rm)
  .value("VCVTQQ2PSZ128rmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rmb)
  .value("VCVTQQ2PSZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rmbk)
  .value("VCVTQQ2PSZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rmbkz)
  .value("VCVTQQ2PSZ128rmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rmk)
  .value("VCVTQQ2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rmkz)
  .value("VCVTQQ2PSZ128rr", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rr)
  .value("VCVTQQ2PSZ128rrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rrk)
  .value("VCVTQQ2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ128rrkz)
  .value("VCVTQQ2PSZ256rm", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rm)
  .value("VCVTQQ2PSZ256rmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rmb);
  opcodes.value("VCVTQQ2PSZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rmbk)
  .value("VCVTQQ2PSZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rmbkz)
  .value("VCVTQQ2PSZ256rmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rmk)
  .value("VCVTQQ2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rmkz)
  .value("VCVTQQ2PSZ256rr", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rr)
  .value("VCVTQQ2PSZ256rrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rrk)
  .value("VCVTQQ2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZ256rrkz)
  .value("VCVTQQ2PSZrm", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrm)
  .value("VCVTQQ2PSZrmb", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrmb)
  .value("VCVTQQ2PSZrmbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrmbk)
  .value("VCVTQQ2PSZrmbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrmbkz)
  .value("VCVTQQ2PSZrmk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrmk)
  .value("VCVTQQ2PSZrmkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrmkz)
  .value("VCVTQQ2PSZrr", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrr)
  .value("VCVTQQ2PSZrrb", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrrb)
  .value("VCVTQQ2PSZrrbk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrrbk)
  .value("VCVTQQ2PSZrrbkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrrbkz)
  .value("VCVTQQ2PSZrrk", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrrk)
  .value("VCVTQQ2PSZrrkz", LIEF::assembly::x86::OPCODE::VCVTQQ2PSZrrkz)
  .value("VCVTSD2SHZrm", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrm)
  .value("VCVTSD2SHZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrm_Int)
  .value("VCVTSD2SHZrm_Intk", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrm_Intk)
  .value("VCVTSD2SHZrm_Intkz", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrm_Intkz)
  .value("VCVTSD2SHZrr", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrr)
  .value("VCVTSD2SHZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrr_Int)
  .value("VCVTSD2SHZrr_Intk", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrr_Intk)
  .value("VCVTSD2SHZrr_Intkz", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrr_Intkz)
  .value("VCVTSD2SHZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrrb_Int)
  .value("VCVTSD2SHZrrb_Intk", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrrb_Intk)
  .value("VCVTSD2SHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VCVTSD2SHZrrb_Intkz)
  .value("VCVTSD2SI64Zrm", LIEF::assembly::x86::OPCODE::VCVTSD2SI64Zrm)
  .value("VCVTSD2SI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SI64Zrm_Int)
  .value("VCVTSD2SI64Zrr", LIEF::assembly::x86::OPCODE::VCVTSD2SI64Zrr)
  .value("VCVTSD2SI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SI64Zrr_Int)
  .value("VCVTSD2SI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SI64Zrrb_Int)
  .value("VCVTSD2SI64rm", LIEF::assembly::x86::OPCODE::VCVTSD2SI64rm)
  .value("VCVTSD2SI64rm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SI64rm_Int)
  .value("VCVTSD2SI64rr", LIEF::assembly::x86::OPCODE::VCVTSD2SI64rr)
  .value("VCVTSD2SI64rr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SI64rr_Int)
  .value("VCVTSD2SIZrm", LIEF::assembly::x86::OPCODE::VCVTSD2SIZrm)
  .value("VCVTSD2SIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SIZrm_Int)
  .value("VCVTSD2SIZrr", LIEF::assembly::x86::OPCODE::VCVTSD2SIZrr)
  .value("VCVTSD2SIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SIZrr_Int)
  .value("VCVTSD2SIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SIZrrb_Int)
  .value("VCVTSD2SIrm", LIEF::assembly::x86::OPCODE::VCVTSD2SIrm)
  .value("VCVTSD2SIrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SIrm_Int)
  .value("VCVTSD2SIrr", LIEF::assembly::x86::OPCODE::VCVTSD2SIrr)
  .value("VCVTSD2SIrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SIrr_Int)
  .value("VCVTSD2SSZrm", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrm)
  .value("VCVTSD2SSZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrm_Int)
  .value("VCVTSD2SSZrm_Intk", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrm_Intk)
  .value("VCVTSD2SSZrm_Intkz", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrm_Intkz)
  .value("VCVTSD2SSZrr", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrr)
  .value("VCVTSD2SSZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrr_Int)
  .value("VCVTSD2SSZrr_Intk", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrr_Intk)
  .value("VCVTSD2SSZrr_Intkz", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrr_Intkz)
  .value("VCVTSD2SSZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrrb_Int)
  .value("VCVTSD2SSZrrb_Intk", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrrb_Intk)
  .value("VCVTSD2SSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VCVTSD2SSZrrb_Intkz)
  .value("VCVTSD2SSrm", LIEF::assembly::x86::OPCODE::VCVTSD2SSrm)
  .value("VCVTSD2SSrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SSrm_Int)
  .value("VCVTSD2SSrr", LIEF::assembly::x86::OPCODE::VCVTSD2SSrr)
  .value("VCVTSD2SSrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2SSrr_Int)
  .value("VCVTSD2USI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2USI64Zrm_Int)
  .value("VCVTSD2USI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2USI64Zrr_Int)
  .value("VCVTSD2USI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSD2USI64Zrrb_Int)
  .value("VCVTSD2USIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSD2USIZrm_Int)
  .value("VCVTSD2USIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSD2USIZrr_Int)
  .value("VCVTSD2USIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSD2USIZrrb_Int)
  .value("VCVTSH2SDZrm", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrm)
  .value("VCVTSH2SDZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrm_Int)
  .value("VCVTSH2SDZrm_Intk", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrm_Intk)
  .value("VCVTSH2SDZrm_Intkz", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrm_Intkz)
  .value("VCVTSH2SDZrr", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrr)
  .value("VCVTSH2SDZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrr_Int)
  .value("VCVTSH2SDZrr_Intk", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrr_Intk)
  .value("VCVTSH2SDZrr_Intkz", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrr_Intkz)
  .value("VCVTSH2SDZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrrb_Int)
  .value("VCVTSH2SDZrrb_Intk", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrrb_Intk)
  .value("VCVTSH2SDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VCVTSH2SDZrrb_Intkz)
  .value("VCVTSH2SI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SI64Zrm_Int)
  .value("VCVTSH2SI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SI64Zrr_Int)
  .value("VCVTSH2SI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SI64Zrrb_Int)
  .value("VCVTSH2SIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SIZrm_Int)
  .value("VCVTSH2SIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SIZrr_Int)
  .value("VCVTSH2SIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SIZrrb_Int)
  .value("VCVTSH2SSZrm", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrm)
  .value("VCVTSH2SSZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrm_Int)
  .value("VCVTSH2SSZrm_Intk", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrm_Intk)
  .value("VCVTSH2SSZrm_Intkz", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrm_Intkz)
  .value("VCVTSH2SSZrr", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrr)
  .value("VCVTSH2SSZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrr_Int)
  .value("VCVTSH2SSZrr_Intk", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrr_Intk)
  .value("VCVTSH2SSZrr_Intkz", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrr_Intkz)
  .value("VCVTSH2SSZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrrb_Int)
  .value("VCVTSH2SSZrrb_Intk", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrrb_Intk)
  .value("VCVTSH2SSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VCVTSH2SSZrrb_Intkz)
  .value("VCVTSH2USI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTSH2USI64Zrm_Int)
  .value("VCVTSH2USI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTSH2USI64Zrr_Int)
  .value("VCVTSH2USI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSH2USI64Zrrb_Int)
  .value("VCVTSH2USIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSH2USIZrm_Int)
  .value("VCVTSH2USIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSH2USIZrr_Int)
  .value("VCVTSH2USIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSH2USIZrrb_Int)
  .value("VCVTSI2SDZrm", LIEF::assembly::x86::OPCODE::VCVTSI2SDZrm)
  .value("VCVTSI2SDZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SDZrm_Int)
  .value("VCVTSI2SDZrr", LIEF::assembly::x86::OPCODE::VCVTSI2SDZrr)
  .value("VCVTSI2SDZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SDZrr_Int)
  .value("VCVTSI2SDrm", LIEF::assembly::x86::OPCODE::VCVTSI2SDrm)
  .value("VCVTSI2SDrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SDrm_Int)
  .value("VCVTSI2SDrr", LIEF::assembly::x86::OPCODE::VCVTSI2SDrr)
  .value("VCVTSI2SDrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SDrr_Int)
  .value("VCVTSI2SHZrm", LIEF::assembly::x86::OPCODE::VCVTSI2SHZrm)
  .value("VCVTSI2SHZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SHZrm_Int)
  .value("VCVTSI2SHZrr", LIEF::assembly::x86::OPCODE::VCVTSI2SHZrr)
  .value("VCVTSI2SHZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SHZrr_Int)
  .value("VCVTSI2SHZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SHZrrb_Int)
  .value("VCVTSI2SSZrm", LIEF::assembly::x86::OPCODE::VCVTSI2SSZrm)
  .value("VCVTSI2SSZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SSZrm_Int)
  .value("VCVTSI2SSZrr", LIEF::assembly::x86::OPCODE::VCVTSI2SSZrr)
  .value("VCVTSI2SSZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SSZrr_Int)
  .value("VCVTSI2SSZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SSZrrb_Int)
  .value("VCVTSI2SSrm", LIEF::assembly::x86::OPCODE::VCVTSI2SSrm)
  .value("VCVTSI2SSrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SSrm_Int)
  .value("VCVTSI2SSrr", LIEF::assembly::x86::OPCODE::VCVTSI2SSrr)
  .value("VCVTSI2SSrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI2SSrr_Int)
  .value("VCVTSI642SDZrm", LIEF::assembly::x86::OPCODE::VCVTSI642SDZrm)
  .value("VCVTSI642SDZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SDZrm_Int)
  .value("VCVTSI642SDZrr", LIEF::assembly::x86::OPCODE::VCVTSI642SDZrr)
  .value("VCVTSI642SDZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SDZrr_Int)
  .value("VCVTSI642SDZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SDZrrb_Int)
  .value("VCVTSI642SDrm", LIEF::assembly::x86::OPCODE::VCVTSI642SDrm)
  .value("VCVTSI642SDrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SDrm_Int)
  .value("VCVTSI642SDrr", LIEF::assembly::x86::OPCODE::VCVTSI642SDrr)
  .value("VCVTSI642SDrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SDrr_Int)
  .value("VCVTSI642SHZrm", LIEF::assembly::x86::OPCODE::VCVTSI642SHZrm)
  .value("VCVTSI642SHZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SHZrm_Int)
  .value("VCVTSI642SHZrr", LIEF::assembly::x86::OPCODE::VCVTSI642SHZrr)
  .value("VCVTSI642SHZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SHZrr_Int)
  .value("VCVTSI642SHZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SHZrrb_Int)
  .value("VCVTSI642SSZrm", LIEF::assembly::x86::OPCODE::VCVTSI642SSZrm)
  .value("VCVTSI642SSZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SSZrm_Int)
  .value("VCVTSI642SSZrr", LIEF::assembly::x86::OPCODE::VCVTSI642SSZrr)
  .value("VCVTSI642SSZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SSZrr_Int)
  .value("VCVTSI642SSZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SSZrrb_Int)
  .value("VCVTSI642SSrm", LIEF::assembly::x86::OPCODE::VCVTSI642SSrm)
  .value("VCVTSI642SSrm_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SSrm_Int)
  .value("VCVTSI642SSrr", LIEF::assembly::x86::OPCODE::VCVTSI642SSrr)
  .value("VCVTSI642SSrr_Int", LIEF::assembly::x86::OPCODE::VCVTSI642SSrr_Int)
  .value("VCVTSS2SDZrm", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrm)
  .value("VCVTSS2SDZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrm_Int)
  .value("VCVTSS2SDZrm_Intk", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrm_Intk)
  .value("VCVTSS2SDZrm_Intkz", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrm_Intkz)
  .value("VCVTSS2SDZrr", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrr)
  .value("VCVTSS2SDZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrr_Int)
  .value("VCVTSS2SDZrr_Intk", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrr_Intk)
  .value("VCVTSS2SDZrr_Intkz", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrr_Intkz)
  .value("VCVTSS2SDZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrrb_Int)
  .value("VCVTSS2SDZrrb_Intk", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrrb_Intk)
  .value("VCVTSS2SDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VCVTSS2SDZrrb_Intkz)
  .value("VCVTSS2SDrm", LIEF::assembly::x86::OPCODE::VCVTSS2SDrm)
  .value("VCVTSS2SDrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SDrm_Int)
  .value("VCVTSS2SDrr", LIEF::assembly::x86::OPCODE::VCVTSS2SDrr)
  .value("VCVTSS2SDrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SDrr_Int)
  .value("VCVTSS2SHZrm", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrm)
  .value("VCVTSS2SHZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrm_Int)
  .value("VCVTSS2SHZrm_Intk", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrm_Intk)
  .value("VCVTSS2SHZrm_Intkz", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrm_Intkz)
  .value("VCVTSS2SHZrr", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrr)
  .value("VCVTSS2SHZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrr_Int)
  .value("VCVTSS2SHZrr_Intk", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrr_Intk)
  .value("VCVTSS2SHZrr_Intkz", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrr_Intkz)
  .value("VCVTSS2SHZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrrb_Int)
  .value("VCVTSS2SHZrrb_Intk", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrrb_Intk)
  .value("VCVTSS2SHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VCVTSS2SHZrrb_Intkz)
  .value("VCVTSS2SI64Zrm", LIEF::assembly::x86::OPCODE::VCVTSS2SI64Zrm)
  .value("VCVTSS2SI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SI64Zrm_Int)
  .value("VCVTSS2SI64Zrr", LIEF::assembly::x86::OPCODE::VCVTSS2SI64Zrr)
  .value("VCVTSS2SI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SI64Zrr_Int)
  .value("VCVTSS2SI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SI64Zrrb_Int)
  .value("VCVTSS2SI64rm", LIEF::assembly::x86::OPCODE::VCVTSS2SI64rm)
  .value("VCVTSS2SI64rm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SI64rm_Int)
  .value("VCVTSS2SI64rr", LIEF::assembly::x86::OPCODE::VCVTSS2SI64rr)
  .value("VCVTSS2SI64rr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SI64rr_Int)
  .value("VCVTSS2SIZrm", LIEF::assembly::x86::OPCODE::VCVTSS2SIZrm)
  .value("VCVTSS2SIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SIZrm_Int)
  .value("VCVTSS2SIZrr", LIEF::assembly::x86::OPCODE::VCVTSS2SIZrr)
  .value("VCVTSS2SIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SIZrr_Int)
  .value("VCVTSS2SIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SIZrrb_Int)
  .value("VCVTSS2SIrm", LIEF::assembly::x86::OPCODE::VCVTSS2SIrm)
  .value("VCVTSS2SIrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SIrm_Int)
  .value("VCVTSS2SIrr", LIEF::assembly::x86::OPCODE::VCVTSS2SIrr)
  .value("VCVTSS2SIrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2SIrr_Int)
  .value("VCVTSS2USI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2USI64Zrm_Int)
  .value("VCVTSS2USI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2USI64Zrr_Int)
  .value("VCVTSS2USI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSS2USI64Zrrb_Int)
  .value("VCVTSS2USIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTSS2USIZrm_Int)
  .value("VCVTSS2USIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTSS2USIZrr_Int)
  .value("VCVTSS2USIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTSS2USIZrrb_Int)
  .value("VCVTTPD2DQYrm", LIEF::assembly::x86::OPCODE::VCVTTPD2DQYrm)
  .value("VCVTTPD2DQYrr", LIEF::assembly::x86::OPCODE::VCVTTPD2DQYrr)
  .value("VCVTTPD2DQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rm)
  .value("VCVTTPD2DQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rmb)
  .value("VCVTTPD2DQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rmbk)
  .value("VCVTTPD2DQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rmbkz)
  .value("VCVTTPD2DQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rmk)
  .value("VCVTTPD2DQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rmkz)
  .value("VCVTTPD2DQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rr)
  .value("VCVTTPD2DQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rrk)
  .value("VCVTTPD2DQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ128rrkz)
  .value("VCVTTPD2DQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rm)
  .value("VCVTTPD2DQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rmb)
  .value("VCVTTPD2DQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rmbk)
  .value("VCVTTPD2DQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rmbkz)
  .value("VCVTTPD2DQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rmk)
  .value("VCVTTPD2DQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rmkz)
  .value("VCVTTPD2DQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rr)
  .value("VCVTTPD2DQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rrk)
  .value("VCVTTPD2DQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZ256rrkz)
  .value("VCVTTPD2DQZrm", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrm)
  .value("VCVTTPD2DQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrmb)
  .value("VCVTTPD2DQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrmbk)
  .value("VCVTTPD2DQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrmbkz)
  .value("VCVTTPD2DQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrmk)
  .value("VCVTTPD2DQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrmkz)
  .value("VCVTTPD2DQZrr", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrr)
  .value("VCVTTPD2DQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrrb)
  .value("VCVTTPD2DQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrrbk)
  .value("VCVTTPD2DQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrrbkz)
  .value("VCVTTPD2DQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrrk)
  .value("VCVTTPD2DQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2DQZrrkz)
  .value("VCVTTPD2DQrm", LIEF::assembly::x86::OPCODE::VCVTTPD2DQrm)
  .value("VCVTTPD2DQrr", LIEF::assembly::x86::OPCODE::VCVTTPD2DQrr)
  .value("VCVTTPD2QQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rm)
  .value("VCVTTPD2QQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rmb)
  .value("VCVTTPD2QQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rmbk)
  .value("VCVTTPD2QQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rmbkz)
  .value("VCVTTPD2QQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rmk)
  .value("VCVTTPD2QQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rmkz)
  .value("VCVTTPD2QQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rr)
  .value("VCVTTPD2QQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rrk)
  .value("VCVTTPD2QQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ128rrkz)
  .value("VCVTTPD2QQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rm)
  .value("VCVTTPD2QQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rmb)
  .value("VCVTTPD2QQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rmbk)
  .value("VCVTTPD2QQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rmbkz)
  .value("VCVTTPD2QQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rmk)
  .value("VCVTTPD2QQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rmkz)
  .value("VCVTTPD2QQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rr)
  .value("VCVTTPD2QQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rrk)
  .value("VCVTTPD2QQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZ256rrkz)
  .value("VCVTTPD2QQZrm", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrm)
  .value("VCVTTPD2QQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrmb)
  .value("VCVTTPD2QQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrmbk)
  .value("VCVTTPD2QQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrmbkz)
  .value("VCVTTPD2QQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrmk)
  .value("VCVTTPD2QQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrmkz)
  .value("VCVTTPD2QQZrr", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrr)
  .value("VCVTTPD2QQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrrb)
  .value("VCVTTPD2QQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrrbk)
  .value("VCVTTPD2QQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrrbkz)
  .value("VCVTTPD2QQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrrk)
  .value("VCVTTPD2QQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2QQZrrkz)
  .value("VCVTTPD2UDQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rm)
  .value("VCVTTPD2UDQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rmb)
  .value("VCVTTPD2UDQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rmbk)
  .value("VCVTTPD2UDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rmbkz)
  .value("VCVTTPD2UDQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rmk)
  .value("VCVTTPD2UDQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rmkz)
  .value("VCVTTPD2UDQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rr)
  .value("VCVTTPD2UDQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rrk)
  .value("VCVTTPD2UDQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ128rrkz)
  .value("VCVTTPD2UDQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rm)
  .value("VCVTTPD2UDQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rmb)
  .value("VCVTTPD2UDQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rmbk)
  .value("VCVTTPD2UDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rmbkz)
  .value("VCVTTPD2UDQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rmk)
  .value("VCVTTPD2UDQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rmkz)
  .value("VCVTTPD2UDQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rr)
  .value("VCVTTPD2UDQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rrk)
  .value("VCVTTPD2UDQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZ256rrkz)
  .value("VCVTTPD2UDQZrm", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrm)
  .value("VCVTTPD2UDQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrmb)
  .value("VCVTTPD2UDQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrmbk)
  .value("VCVTTPD2UDQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrmbkz)
  .value("VCVTTPD2UDQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrmk)
  .value("VCVTTPD2UDQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrmkz)
  .value("VCVTTPD2UDQZrr", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrr)
  .value("VCVTTPD2UDQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrrb)
  .value("VCVTTPD2UDQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrrbk)
  .value("VCVTTPD2UDQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrrbkz)
  .value("VCVTTPD2UDQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrrk)
  .value("VCVTTPD2UDQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UDQZrrkz)
  .value("VCVTTPD2UQQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rm)
  .value("VCVTTPD2UQQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rmb)
  .value("VCVTTPD2UQQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rmbk)
  .value("VCVTTPD2UQQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rmbkz)
  .value("VCVTTPD2UQQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rmk)
  .value("VCVTTPD2UQQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rmkz)
  .value("VCVTTPD2UQQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rr)
  .value("VCVTTPD2UQQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rrk);
  opcodes.value("VCVTTPD2UQQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ128rrkz)
  .value("VCVTTPD2UQQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rm)
  .value("VCVTTPD2UQQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rmb)
  .value("VCVTTPD2UQQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rmbk)
  .value("VCVTTPD2UQQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rmbkz)
  .value("VCVTTPD2UQQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rmk)
  .value("VCVTTPD2UQQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rmkz)
  .value("VCVTTPD2UQQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rr)
  .value("VCVTTPD2UQQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rrk)
  .value("VCVTTPD2UQQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZ256rrkz)
  .value("VCVTTPD2UQQZrm", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrm)
  .value("VCVTTPD2UQQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrmb)
  .value("VCVTTPD2UQQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrmbk)
  .value("VCVTTPD2UQQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrmbkz)
  .value("VCVTTPD2UQQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrmk)
  .value("VCVTTPD2UQQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrmkz)
  .value("VCVTTPD2UQQZrr", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrr)
  .value("VCVTTPD2UQQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrrb)
  .value("VCVTTPD2UQQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrrbk)
  .value("VCVTTPD2UQQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrrbkz)
  .value("VCVTTPD2UQQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrrk)
  .value("VCVTTPD2UQQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPD2UQQZrrkz)
  .value("VCVTTPH2DQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rm)
  .value("VCVTTPH2DQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rmb)
  .value("VCVTTPH2DQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rmbk)
  .value("VCVTTPH2DQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rmbkz)
  .value("VCVTTPH2DQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rmk)
  .value("VCVTTPH2DQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rmkz)
  .value("VCVTTPH2DQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rr)
  .value("VCVTTPH2DQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rrk)
  .value("VCVTTPH2DQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ128rrkz)
  .value("VCVTTPH2DQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rm)
  .value("VCVTTPH2DQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rmb)
  .value("VCVTTPH2DQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rmbk)
  .value("VCVTTPH2DQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rmbkz)
  .value("VCVTTPH2DQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rmk)
  .value("VCVTTPH2DQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rmkz)
  .value("VCVTTPH2DQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rr)
  .value("VCVTTPH2DQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rrk)
  .value("VCVTTPH2DQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZ256rrkz)
  .value("VCVTTPH2DQZrm", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrm)
  .value("VCVTTPH2DQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrmb)
  .value("VCVTTPH2DQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrmbk)
  .value("VCVTTPH2DQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrmbkz)
  .value("VCVTTPH2DQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrmk)
  .value("VCVTTPH2DQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrmkz)
  .value("VCVTTPH2DQZrr", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrr)
  .value("VCVTTPH2DQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrrb)
  .value("VCVTTPH2DQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrrbk)
  .value("VCVTTPH2DQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrrbkz)
  .value("VCVTTPH2DQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrrk)
  .value("VCVTTPH2DQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2DQZrrkz)
  .value("VCVTTPH2QQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rm)
  .value("VCVTTPH2QQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rmb)
  .value("VCVTTPH2QQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rmbk)
  .value("VCVTTPH2QQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rmbkz)
  .value("VCVTTPH2QQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rmk)
  .value("VCVTTPH2QQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rmkz)
  .value("VCVTTPH2QQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rr)
  .value("VCVTTPH2QQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rrk)
  .value("VCVTTPH2QQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ128rrkz)
  .value("VCVTTPH2QQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rm)
  .value("VCVTTPH2QQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rmb)
  .value("VCVTTPH2QQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rmbk)
  .value("VCVTTPH2QQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rmbkz)
  .value("VCVTTPH2QQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rmk)
  .value("VCVTTPH2QQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rmkz)
  .value("VCVTTPH2QQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rr)
  .value("VCVTTPH2QQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rrk)
  .value("VCVTTPH2QQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZ256rrkz)
  .value("VCVTTPH2QQZrm", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrm)
  .value("VCVTTPH2QQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrmb)
  .value("VCVTTPH2QQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrmbk)
  .value("VCVTTPH2QQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrmbkz)
  .value("VCVTTPH2QQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrmk)
  .value("VCVTTPH2QQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrmkz)
  .value("VCVTTPH2QQZrr", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrr)
  .value("VCVTTPH2QQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrrb)
  .value("VCVTTPH2QQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrrbk)
  .value("VCVTTPH2QQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrrbkz)
  .value("VCVTTPH2QQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrrk)
  .value("VCVTTPH2QQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2QQZrrkz)
  .value("VCVTTPH2UDQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rm)
  .value("VCVTTPH2UDQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rmb)
  .value("VCVTTPH2UDQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rmbk)
  .value("VCVTTPH2UDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rmbkz)
  .value("VCVTTPH2UDQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rmk)
  .value("VCVTTPH2UDQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rmkz)
  .value("VCVTTPH2UDQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rr)
  .value("VCVTTPH2UDQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rrk)
  .value("VCVTTPH2UDQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ128rrkz)
  .value("VCVTTPH2UDQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rm)
  .value("VCVTTPH2UDQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rmb)
  .value("VCVTTPH2UDQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rmbk)
  .value("VCVTTPH2UDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rmbkz)
  .value("VCVTTPH2UDQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rmk)
  .value("VCVTTPH2UDQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rmkz)
  .value("VCVTTPH2UDQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rr)
  .value("VCVTTPH2UDQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rrk)
  .value("VCVTTPH2UDQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZ256rrkz)
  .value("VCVTTPH2UDQZrm", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrm)
  .value("VCVTTPH2UDQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrmb)
  .value("VCVTTPH2UDQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrmbk)
  .value("VCVTTPH2UDQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrmbkz)
  .value("VCVTTPH2UDQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrmk)
  .value("VCVTTPH2UDQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrmkz)
  .value("VCVTTPH2UDQZrr", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrr)
  .value("VCVTTPH2UDQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrrb)
  .value("VCVTTPH2UDQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrrbk)
  .value("VCVTTPH2UDQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrrbkz)
  .value("VCVTTPH2UDQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrrk)
  .value("VCVTTPH2UDQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UDQZrrkz)
  .value("VCVTTPH2UQQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rm)
  .value("VCVTTPH2UQQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rmb)
  .value("VCVTTPH2UQQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rmbk)
  .value("VCVTTPH2UQQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rmbkz)
  .value("VCVTTPH2UQQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rmk)
  .value("VCVTTPH2UQQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rmkz)
  .value("VCVTTPH2UQQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rr)
  .value("VCVTTPH2UQQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rrk)
  .value("VCVTTPH2UQQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ128rrkz)
  .value("VCVTTPH2UQQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rm)
  .value("VCVTTPH2UQQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rmb)
  .value("VCVTTPH2UQQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rmbk)
  .value("VCVTTPH2UQQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rmbkz)
  .value("VCVTTPH2UQQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rmk)
  .value("VCVTTPH2UQQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rmkz)
  .value("VCVTTPH2UQQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rr)
  .value("VCVTTPH2UQQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rrk)
  .value("VCVTTPH2UQQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZ256rrkz)
  .value("VCVTTPH2UQQZrm", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrm)
  .value("VCVTTPH2UQQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrmb)
  .value("VCVTTPH2UQQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrmbk)
  .value("VCVTTPH2UQQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrmbkz)
  .value("VCVTTPH2UQQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrmk)
  .value("VCVTTPH2UQQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrmkz)
  .value("VCVTTPH2UQQZrr", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrr)
  .value("VCVTTPH2UQQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrrb)
  .value("VCVTTPH2UQQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrrbk)
  .value("VCVTTPH2UQQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrrbkz)
  .value("VCVTTPH2UQQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrrk)
  .value("VCVTTPH2UQQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UQQZrrkz)
  .value("VCVTTPH2UWZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rm)
  .value("VCVTTPH2UWZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rmb)
  .value("VCVTTPH2UWZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rmbk)
  .value("VCVTTPH2UWZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rmbkz)
  .value("VCVTTPH2UWZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rmk)
  .value("VCVTTPH2UWZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rmkz)
  .value("VCVTTPH2UWZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rr)
  .value("VCVTTPH2UWZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rrk)
  .value("VCVTTPH2UWZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ128rrkz)
  .value("VCVTTPH2UWZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rm)
  .value("VCVTTPH2UWZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rmb)
  .value("VCVTTPH2UWZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rmbk)
  .value("VCVTTPH2UWZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rmbkz)
  .value("VCVTTPH2UWZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rmk)
  .value("VCVTTPH2UWZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rmkz)
  .value("VCVTTPH2UWZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rr)
  .value("VCVTTPH2UWZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rrk)
  .value("VCVTTPH2UWZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZ256rrkz)
  .value("VCVTTPH2UWZrm", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrm)
  .value("VCVTTPH2UWZrmb", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrmb)
  .value("VCVTTPH2UWZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrmbk)
  .value("VCVTTPH2UWZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrmbkz)
  .value("VCVTTPH2UWZrmk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrmk)
  .value("VCVTTPH2UWZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrmkz)
  .value("VCVTTPH2UWZrr", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrr)
  .value("VCVTTPH2UWZrrb", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrrb)
  .value("VCVTTPH2UWZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrrbk)
  .value("VCVTTPH2UWZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrrbkz)
  .value("VCVTTPH2UWZrrk", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrrk)
  .value("VCVTTPH2UWZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2UWZrrkz)
  .value("VCVTTPH2WZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rm)
  .value("VCVTTPH2WZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rmb)
  .value("VCVTTPH2WZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rmbk)
  .value("VCVTTPH2WZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rmbkz)
  .value("VCVTTPH2WZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rmk)
  .value("VCVTTPH2WZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rmkz)
  .value("VCVTTPH2WZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rr)
  .value("VCVTTPH2WZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rrk)
  .value("VCVTTPH2WZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ128rrkz)
  .value("VCVTTPH2WZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rm)
  .value("VCVTTPH2WZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rmb)
  .value("VCVTTPH2WZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rmbk)
  .value("VCVTTPH2WZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rmbkz)
  .value("VCVTTPH2WZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rmk)
  .value("VCVTTPH2WZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rmkz)
  .value("VCVTTPH2WZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rr)
  .value("VCVTTPH2WZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rrk)
  .value("VCVTTPH2WZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZ256rrkz)
  .value("VCVTTPH2WZrm", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrm)
  .value("VCVTTPH2WZrmb", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrmb)
  .value("VCVTTPH2WZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrmbk)
  .value("VCVTTPH2WZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrmbkz)
  .value("VCVTTPH2WZrmk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrmk)
  .value("VCVTTPH2WZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrmkz)
  .value("VCVTTPH2WZrr", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrr)
  .value("VCVTTPH2WZrrb", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrrb)
  .value("VCVTTPH2WZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrrbk)
  .value("VCVTTPH2WZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrrbkz)
  .value("VCVTTPH2WZrrk", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrrk)
  .value("VCVTTPH2WZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPH2WZrrkz)
  .value("VCVTTPS2DQYrm", LIEF::assembly::x86::OPCODE::VCVTTPS2DQYrm)
  .value("VCVTTPS2DQYrr", LIEF::assembly::x86::OPCODE::VCVTTPS2DQYrr)
  .value("VCVTTPS2DQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rm)
  .value("VCVTTPS2DQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rmb)
  .value("VCVTTPS2DQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rmbk)
  .value("VCVTTPS2DQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rmbkz)
  .value("VCVTTPS2DQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rmk)
  .value("VCVTTPS2DQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rmkz)
  .value("VCVTTPS2DQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rr)
  .value("VCVTTPS2DQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rrk)
  .value("VCVTTPS2DQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ128rrkz)
  .value("VCVTTPS2DQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rm)
  .value("VCVTTPS2DQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rmb)
  .value("VCVTTPS2DQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rmbk)
  .value("VCVTTPS2DQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rmbkz)
  .value("VCVTTPS2DQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rmk)
  .value("VCVTTPS2DQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rmkz)
  .value("VCVTTPS2DQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rr)
  .value("VCVTTPS2DQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rrk)
  .value("VCVTTPS2DQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZ256rrkz)
  .value("VCVTTPS2DQZrm", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrm)
  .value("VCVTTPS2DQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrmb)
  .value("VCVTTPS2DQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrmbk)
  .value("VCVTTPS2DQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrmbkz)
  .value("VCVTTPS2DQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrmk)
  .value("VCVTTPS2DQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrmkz)
  .value("VCVTTPS2DQZrr", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrr)
  .value("VCVTTPS2DQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrrb)
  .value("VCVTTPS2DQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrrbk)
  .value("VCVTTPS2DQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrrbkz)
  .value("VCVTTPS2DQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrrk)
  .value("VCVTTPS2DQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2DQZrrkz)
  .value("VCVTTPS2DQrm", LIEF::assembly::x86::OPCODE::VCVTTPS2DQrm)
  .value("VCVTTPS2DQrr", LIEF::assembly::x86::OPCODE::VCVTTPS2DQrr)
  .value("VCVTTPS2QQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rm)
  .value("VCVTTPS2QQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rmb)
  .value("VCVTTPS2QQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rmbk)
  .value("VCVTTPS2QQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rmbkz)
  .value("VCVTTPS2QQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rmk)
  .value("VCVTTPS2QQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rmkz)
  .value("VCVTTPS2QQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rr)
  .value("VCVTTPS2QQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rrk)
  .value("VCVTTPS2QQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ128rrkz)
  .value("VCVTTPS2QQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rm)
  .value("VCVTTPS2QQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rmb)
  .value("VCVTTPS2QQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rmbk)
  .value("VCVTTPS2QQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rmbkz)
  .value("VCVTTPS2QQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rmk)
  .value("VCVTTPS2QQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rmkz)
  .value("VCVTTPS2QQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rr)
  .value("VCVTTPS2QQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rrk)
  .value("VCVTTPS2QQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZ256rrkz)
  .value("VCVTTPS2QQZrm", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrm)
  .value("VCVTTPS2QQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrmb)
  .value("VCVTTPS2QQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrmbk)
  .value("VCVTTPS2QQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrmbkz)
  .value("VCVTTPS2QQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrmk)
  .value("VCVTTPS2QQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrmkz)
  .value("VCVTTPS2QQZrr", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrr)
  .value("VCVTTPS2QQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrrb)
  .value("VCVTTPS2QQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrrbk)
  .value("VCVTTPS2QQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrrbkz)
  .value("VCVTTPS2QQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrrk)
  .value("VCVTTPS2QQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2QQZrrkz)
  .value("VCVTTPS2UDQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rm)
  .value("VCVTTPS2UDQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rmb)
  .value("VCVTTPS2UDQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rmbk)
  .value("VCVTTPS2UDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rmbkz)
  .value("VCVTTPS2UDQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rmk)
  .value("VCVTTPS2UDQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rmkz)
  .value("VCVTTPS2UDQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rr)
  .value("VCVTTPS2UDQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rrk)
  .value("VCVTTPS2UDQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ128rrkz)
  .value("VCVTTPS2UDQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rm)
  .value("VCVTTPS2UDQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rmb)
  .value("VCVTTPS2UDQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rmbk)
  .value("VCVTTPS2UDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rmbkz)
  .value("VCVTTPS2UDQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rmk)
  .value("VCVTTPS2UDQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rmkz)
  .value("VCVTTPS2UDQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rr)
  .value("VCVTTPS2UDQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rrk)
  .value("VCVTTPS2UDQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZ256rrkz)
  .value("VCVTTPS2UDQZrm", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrm)
  .value("VCVTTPS2UDQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrmb)
  .value("VCVTTPS2UDQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrmbk)
  .value("VCVTTPS2UDQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrmbkz)
  .value("VCVTTPS2UDQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrmk)
  .value("VCVTTPS2UDQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrmkz)
  .value("VCVTTPS2UDQZrr", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrr)
  .value("VCVTTPS2UDQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrrb)
  .value("VCVTTPS2UDQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrrbk)
  .value("VCVTTPS2UDQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrrbkz)
  .value("VCVTTPS2UDQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrrk)
  .value("VCVTTPS2UDQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UDQZrrkz)
  .value("VCVTTPS2UQQZ128rm", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rm)
  .value("VCVTTPS2UQQZ128rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rmb)
  .value("VCVTTPS2UQQZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rmbk)
  .value("VCVTTPS2UQQZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rmbkz);
  opcodes.value("VCVTTPS2UQQZ128rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rmk)
  .value("VCVTTPS2UQQZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rmkz)
  .value("VCVTTPS2UQQZ128rr", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rr)
  .value("VCVTTPS2UQQZ128rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rrk)
  .value("VCVTTPS2UQQZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ128rrkz)
  .value("VCVTTPS2UQQZ256rm", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rm)
  .value("VCVTTPS2UQQZ256rmb", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rmb)
  .value("VCVTTPS2UQQZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rmbk)
  .value("VCVTTPS2UQQZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rmbkz)
  .value("VCVTTPS2UQQZ256rmk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rmk)
  .value("VCVTTPS2UQQZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rmkz)
  .value("VCVTTPS2UQQZ256rr", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rr)
  .value("VCVTTPS2UQQZ256rrk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rrk)
  .value("VCVTTPS2UQQZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZ256rrkz)
  .value("VCVTTPS2UQQZrm", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrm)
  .value("VCVTTPS2UQQZrmb", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrmb)
  .value("VCVTTPS2UQQZrmbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrmbk)
  .value("VCVTTPS2UQQZrmbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrmbkz)
  .value("VCVTTPS2UQQZrmk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrmk)
  .value("VCVTTPS2UQQZrmkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrmkz)
  .value("VCVTTPS2UQQZrr", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrr)
  .value("VCVTTPS2UQQZrrb", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrrb)
  .value("VCVTTPS2UQQZrrbk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrrbk)
  .value("VCVTTPS2UQQZrrbkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrrbkz)
  .value("VCVTTPS2UQQZrrk", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrrk)
  .value("VCVTTPS2UQQZrrkz", LIEF::assembly::x86::OPCODE::VCVTTPS2UQQZrrkz)
  .value("VCVTTSD2SI64Zrm", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64Zrm)
  .value("VCVTTSD2SI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64Zrm_Int)
  .value("VCVTTSD2SI64Zrr", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64Zrr)
  .value("VCVTTSD2SI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64Zrr_Int)
  .value("VCVTTSD2SI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64Zrrb_Int)
  .value("VCVTTSD2SI64rm", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64rm)
  .value("VCVTTSD2SI64rm_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64rm_Int)
  .value("VCVTTSD2SI64rr", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64rr)
  .value("VCVTTSD2SI64rr_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SI64rr_Int)
  .value("VCVTTSD2SIZrm", LIEF::assembly::x86::OPCODE::VCVTTSD2SIZrm)
  .value("VCVTTSD2SIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SIZrm_Int)
  .value("VCVTTSD2SIZrr", LIEF::assembly::x86::OPCODE::VCVTTSD2SIZrr)
  .value("VCVTTSD2SIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SIZrr_Int)
  .value("VCVTTSD2SIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SIZrrb_Int)
  .value("VCVTTSD2SIrm", LIEF::assembly::x86::OPCODE::VCVTTSD2SIrm)
  .value("VCVTTSD2SIrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SIrm_Int)
  .value("VCVTTSD2SIrr", LIEF::assembly::x86::OPCODE::VCVTTSD2SIrr)
  .value("VCVTTSD2SIrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2SIrr_Int)
  .value("VCVTTSD2USI64Zrm", LIEF::assembly::x86::OPCODE::VCVTTSD2USI64Zrm)
  .value("VCVTTSD2USI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2USI64Zrm_Int)
  .value("VCVTTSD2USI64Zrr", LIEF::assembly::x86::OPCODE::VCVTTSD2USI64Zrr)
  .value("VCVTTSD2USI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2USI64Zrr_Int)
  .value("VCVTTSD2USI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2USI64Zrrb_Int)
  .value("VCVTTSD2USIZrm", LIEF::assembly::x86::OPCODE::VCVTTSD2USIZrm)
  .value("VCVTTSD2USIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2USIZrm_Int)
  .value("VCVTTSD2USIZrr", LIEF::assembly::x86::OPCODE::VCVTTSD2USIZrr)
  .value("VCVTTSD2USIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2USIZrr_Int)
  .value("VCVTTSD2USIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSD2USIZrrb_Int)
  .value("VCVTTSH2SI64Zrm", LIEF::assembly::x86::OPCODE::VCVTTSH2SI64Zrm)
  .value("VCVTTSH2SI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2SI64Zrm_Int)
  .value("VCVTTSH2SI64Zrr", LIEF::assembly::x86::OPCODE::VCVTTSH2SI64Zrr)
  .value("VCVTTSH2SI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2SI64Zrr_Int)
  .value("VCVTTSH2SI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2SI64Zrrb_Int)
  .value("VCVTTSH2SIZrm", LIEF::assembly::x86::OPCODE::VCVTTSH2SIZrm)
  .value("VCVTTSH2SIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2SIZrm_Int)
  .value("VCVTTSH2SIZrr", LIEF::assembly::x86::OPCODE::VCVTTSH2SIZrr)
  .value("VCVTTSH2SIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2SIZrr_Int)
  .value("VCVTTSH2SIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2SIZrrb_Int)
  .value("VCVTTSH2USI64Zrm", LIEF::assembly::x86::OPCODE::VCVTTSH2USI64Zrm)
  .value("VCVTTSH2USI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2USI64Zrm_Int)
  .value("VCVTTSH2USI64Zrr", LIEF::assembly::x86::OPCODE::VCVTTSH2USI64Zrr)
  .value("VCVTTSH2USI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2USI64Zrr_Int)
  .value("VCVTTSH2USI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2USI64Zrrb_Int)
  .value("VCVTTSH2USIZrm", LIEF::assembly::x86::OPCODE::VCVTTSH2USIZrm)
  .value("VCVTTSH2USIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2USIZrm_Int)
  .value("VCVTTSH2USIZrr", LIEF::assembly::x86::OPCODE::VCVTTSH2USIZrr)
  .value("VCVTTSH2USIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2USIZrr_Int)
  .value("VCVTTSH2USIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSH2USIZrrb_Int)
  .value("VCVTTSS2SI64Zrm", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64Zrm)
  .value("VCVTTSS2SI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64Zrm_Int)
  .value("VCVTTSS2SI64Zrr", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64Zrr)
  .value("VCVTTSS2SI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64Zrr_Int)
  .value("VCVTTSS2SI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64Zrrb_Int)
  .value("VCVTTSS2SI64rm", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64rm)
  .value("VCVTTSS2SI64rm_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64rm_Int)
  .value("VCVTTSS2SI64rr", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64rr)
  .value("VCVTTSS2SI64rr_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SI64rr_Int)
  .value("VCVTTSS2SIZrm", LIEF::assembly::x86::OPCODE::VCVTTSS2SIZrm)
  .value("VCVTTSS2SIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SIZrm_Int)
  .value("VCVTTSS2SIZrr", LIEF::assembly::x86::OPCODE::VCVTTSS2SIZrr)
  .value("VCVTTSS2SIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SIZrr_Int)
  .value("VCVTTSS2SIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SIZrrb_Int)
  .value("VCVTTSS2SIrm", LIEF::assembly::x86::OPCODE::VCVTTSS2SIrm)
  .value("VCVTTSS2SIrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SIrm_Int)
  .value("VCVTTSS2SIrr", LIEF::assembly::x86::OPCODE::VCVTTSS2SIrr)
  .value("VCVTTSS2SIrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2SIrr_Int)
  .value("VCVTTSS2USI64Zrm", LIEF::assembly::x86::OPCODE::VCVTTSS2USI64Zrm)
  .value("VCVTTSS2USI64Zrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2USI64Zrm_Int)
  .value("VCVTTSS2USI64Zrr", LIEF::assembly::x86::OPCODE::VCVTTSS2USI64Zrr)
  .value("VCVTTSS2USI64Zrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2USI64Zrr_Int)
  .value("VCVTTSS2USI64Zrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2USI64Zrrb_Int)
  .value("VCVTTSS2USIZrm", LIEF::assembly::x86::OPCODE::VCVTTSS2USIZrm)
  .value("VCVTTSS2USIZrm_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2USIZrm_Int)
  .value("VCVTTSS2USIZrr", LIEF::assembly::x86::OPCODE::VCVTTSS2USIZrr)
  .value("VCVTTSS2USIZrr_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2USIZrr_Int)
  .value("VCVTTSS2USIZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTTSS2USIZrrb_Int)
  .value("VCVTUDQ2PDZ128rm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rm)
  .value("VCVTUDQ2PDZ128rmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rmb)
  .value("VCVTUDQ2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rmbk)
  .value("VCVTUDQ2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rmbkz)
  .value("VCVTUDQ2PDZ128rmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rmk)
  .value("VCVTUDQ2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rmkz)
  .value("VCVTUDQ2PDZ128rr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rr)
  .value("VCVTUDQ2PDZ128rrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rrk)
  .value("VCVTUDQ2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ128rrkz)
  .value("VCVTUDQ2PDZ256rm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rm)
  .value("VCVTUDQ2PDZ256rmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rmb)
  .value("VCVTUDQ2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rmbk)
  .value("VCVTUDQ2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rmbkz)
  .value("VCVTUDQ2PDZ256rmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rmk)
  .value("VCVTUDQ2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rmkz)
  .value("VCVTUDQ2PDZ256rr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rr)
  .value("VCVTUDQ2PDZ256rrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rrk)
  .value("VCVTUDQ2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZ256rrkz)
  .value("VCVTUDQ2PDZrm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrm)
  .value("VCVTUDQ2PDZrmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrmb)
  .value("VCVTUDQ2PDZrmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrmbk)
  .value("VCVTUDQ2PDZrmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrmbkz)
  .value("VCVTUDQ2PDZrmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrmk)
  .value("VCVTUDQ2PDZrmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrmkz)
  .value("VCVTUDQ2PDZrr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrr)
  .value("VCVTUDQ2PDZrrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrrk)
  .value("VCVTUDQ2PDZrrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PDZrrkz)
  .value("VCVTUDQ2PHZ128rm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rm)
  .value("VCVTUDQ2PHZ128rmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rmb)
  .value("VCVTUDQ2PHZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rmbk)
  .value("VCVTUDQ2PHZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rmbkz)
  .value("VCVTUDQ2PHZ128rmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rmk)
  .value("VCVTUDQ2PHZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rmkz)
  .value("VCVTUDQ2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rr)
  .value("VCVTUDQ2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rrk)
  .value("VCVTUDQ2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ128rrkz)
  .value("VCVTUDQ2PHZ256rm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rm)
  .value("VCVTUDQ2PHZ256rmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rmb)
  .value("VCVTUDQ2PHZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rmbk)
  .value("VCVTUDQ2PHZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rmbkz)
  .value("VCVTUDQ2PHZ256rmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rmk)
  .value("VCVTUDQ2PHZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rmkz)
  .value("VCVTUDQ2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rr)
  .value("VCVTUDQ2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rrk)
  .value("VCVTUDQ2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZ256rrkz)
  .value("VCVTUDQ2PHZrm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrm)
  .value("VCVTUDQ2PHZrmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrmb)
  .value("VCVTUDQ2PHZrmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrmbk)
  .value("VCVTUDQ2PHZrmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrmbkz)
  .value("VCVTUDQ2PHZrmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrmk)
  .value("VCVTUDQ2PHZrmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrmkz)
  .value("VCVTUDQ2PHZrr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrr)
  .value("VCVTUDQ2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrrb)
  .value("VCVTUDQ2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrrbk)
  .value("VCVTUDQ2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrrbkz)
  .value("VCVTUDQ2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrrk)
  .value("VCVTUDQ2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PHZrrkz)
  .value("VCVTUDQ2PSZ128rm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rm)
  .value("VCVTUDQ2PSZ128rmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rmb)
  .value("VCVTUDQ2PSZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rmbk)
  .value("VCVTUDQ2PSZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rmbkz)
  .value("VCVTUDQ2PSZ128rmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rmk)
  .value("VCVTUDQ2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rmkz)
  .value("VCVTUDQ2PSZ128rr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rr)
  .value("VCVTUDQ2PSZ128rrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rrk)
  .value("VCVTUDQ2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ128rrkz)
  .value("VCVTUDQ2PSZ256rm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rm)
  .value("VCVTUDQ2PSZ256rmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rmb)
  .value("VCVTUDQ2PSZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rmbk)
  .value("VCVTUDQ2PSZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rmbkz)
  .value("VCVTUDQ2PSZ256rmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rmk)
  .value("VCVTUDQ2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rmkz)
  .value("VCVTUDQ2PSZ256rr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rr)
  .value("VCVTUDQ2PSZ256rrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rrk)
  .value("VCVTUDQ2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZ256rrkz)
  .value("VCVTUDQ2PSZrm", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrm)
  .value("VCVTUDQ2PSZrmb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrmb)
  .value("VCVTUDQ2PSZrmbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrmbk)
  .value("VCVTUDQ2PSZrmbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrmbkz)
  .value("VCVTUDQ2PSZrmk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrmk)
  .value("VCVTUDQ2PSZrmkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrmkz)
  .value("VCVTUDQ2PSZrr", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrr)
  .value("VCVTUDQ2PSZrrb", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrrb)
  .value("VCVTUDQ2PSZrrbk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrrbk)
  .value("VCVTUDQ2PSZrrbkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrrbkz)
  .value("VCVTUDQ2PSZrrk", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrrk)
  .value("VCVTUDQ2PSZrrkz", LIEF::assembly::x86::OPCODE::VCVTUDQ2PSZrrkz)
  .value("VCVTUQQ2PDZ128rm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rm)
  .value("VCVTUQQ2PDZ128rmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rmb)
  .value("VCVTUQQ2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rmbk)
  .value("VCVTUQQ2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rmbkz)
  .value("VCVTUQQ2PDZ128rmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rmk)
  .value("VCVTUQQ2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rmkz)
  .value("VCVTUQQ2PDZ128rr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rr)
  .value("VCVTUQQ2PDZ128rrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rrk)
  .value("VCVTUQQ2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ128rrkz)
  .value("VCVTUQQ2PDZ256rm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rm)
  .value("VCVTUQQ2PDZ256rmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rmb)
  .value("VCVTUQQ2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rmbk)
  .value("VCVTUQQ2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rmbkz)
  .value("VCVTUQQ2PDZ256rmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rmk)
  .value("VCVTUQQ2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rmkz)
  .value("VCVTUQQ2PDZ256rr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rr)
  .value("VCVTUQQ2PDZ256rrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rrk)
  .value("VCVTUQQ2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZ256rrkz)
  .value("VCVTUQQ2PDZrm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrm)
  .value("VCVTUQQ2PDZrmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrmb)
  .value("VCVTUQQ2PDZrmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrmbk)
  .value("VCVTUQQ2PDZrmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrmbkz)
  .value("VCVTUQQ2PDZrmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrmk)
  .value("VCVTUQQ2PDZrmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrmkz)
  .value("VCVTUQQ2PDZrr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrr)
  .value("VCVTUQQ2PDZrrb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrrb)
  .value("VCVTUQQ2PDZrrbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrrbk)
  .value("VCVTUQQ2PDZrrbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrrbkz)
  .value("VCVTUQQ2PDZrrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrrk)
  .value("VCVTUQQ2PDZrrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PDZrrkz)
  .value("VCVTUQQ2PHZ128rm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rm)
  .value("VCVTUQQ2PHZ128rmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rmb)
  .value("VCVTUQQ2PHZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rmbk)
  .value("VCVTUQQ2PHZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rmbkz)
  .value("VCVTUQQ2PHZ128rmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rmk)
  .value("VCVTUQQ2PHZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rmkz)
  .value("VCVTUQQ2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rr)
  .value("VCVTUQQ2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rrk)
  .value("VCVTUQQ2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ128rrkz)
  .value("VCVTUQQ2PHZ256rm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rm)
  .value("VCVTUQQ2PHZ256rmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rmb)
  .value("VCVTUQQ2PHZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rmbk)
  .value("VCVTUQQ2PHZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rmbkz)
  .value("VCVTUQQ2PHZ256rmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rmk)
  .value("VCVTUQQ2PHZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rmkz)
  .value("VCVTUQQ2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rr)
  .value("VCVTUQQ2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rrk)
  .value("VCVTUQQ2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZ256rrkz)
  .value("VCVTUQQ2PHZrm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrm)
  .value("VCVTUQQ2PHZrmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrmb)
  .value("VCVTUQQ2PHZrmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrmbk)
  .value("VCVTUQQ2PHZrmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrmbkz)
  .value("VCVTUQQ2PHZrmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrmk)
  .value("VCVTUQQ2PHZrmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrmkz)
  .value("VCVTUQQ2PHZrr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrr)
  .value("VCVTUQQ2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrrb)
  .value("VCVTUQQ2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrrbk)
  .value("VCVTUQQ2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrrbkz)
  .value("VCVTUQQ2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrrk)
  .value("VCVTUQQ2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PHZrrkz)
  .value("VCVTUQQ2PSZ128rm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rm)
  .value("VCVTUQQ2PSZ128rmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rmb)
  .value("VCVTUQQ2PSZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rmbk)
  .value("VCVTUQQ2PSZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rmbkz)
  .value("VCVTUQQ2PSZ128rmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rmk)
  .value("VCVTUQQ2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rmkz)
  .value("VCVTUQQ2PSZ128rr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rr)
  .value("VCVTUQQ2PSZ128rrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rrk)
  .value("VCVTUQQ2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ128rrkz)
  .value("VCVTUQQ2PSZ256rm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rm)
  .value("VCVTUQQ2PSZ256rmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rmb)
  .value("VCVTUQQ2PSZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rmbk)
  .value("VCVTUQQ2PSZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rmbkz)
  .value("VCVTUQQ2PSZ256rmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rmk)
  .value("VCVTUQQ2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rmkz)
  .value("VCVTUQQ2PSZ256rr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rr)
  .value("VCVTUQQ2PSZ256rrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rrk)
  .value("VCVTUQQ2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZ256rrkz)
  .value("VCVTUQQ2PSZrm", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrm)
  .value("VCVTUQQ2PSZrmb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrmb)
  .value("VCVTUQQ2PSZrmbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrmbk)
  .value("VCVTUQQ2PSZrmbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrmbkz)
  .value("VCVTUQQ2PSZrmk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrmk)
  .value("VCVTUQQ2PSZrmkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrmkz)
  .value("VCVTUQQ2PSZrr", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrr)
  .value("VCVTUQQ2PSZrrb", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrrb)
  .value("VCVTUQQ2PSZrrbk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrrbk)
  .value("VCVTUQQ2PSZrrbkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrrbkz)
  .value("VCVTUQQ2PSZrrk", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrrk)
  .value("VCVTUQQ2PSZrrkz", LIEF::assembly::x86::OPCODE::VCVTUQQ2PSZrrkz)
  .value("VCVTUSI2SDZrm", LIEF::assembly::x86::OPCODE::VCVTUSI2SDZrm)
  .value("VCVTUSI2SDZrm_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SDZrm_Int)
  .value("VCVTUSI2SDZrr", LIEF::assembly::x86::OPCODE::VCVTUSI2SDZrr)
  .value("VCVTUSI2SDZrr_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SDZrr_Int)
  .value("VCVTUSI2SHZrm", LIEF::assembly::x86::OPCODE::VCVTUSI2SHZrm)
  .value("VCVTUSI2SHZrm_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SHZrm_Int)
  .value("VCVTUSI2SHZrr", LIEF::assembly::x86::OPCODE::VCVTUSI2SHZrr)
  .value("VCVTUSI2SHZrr_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SHZrr_Int)
  .value("VCVTUSI2SHZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SHZrrb_Int)
  .value("VCVTUSI2SSZrm", LIEF::assembly::x86::OPCODE::VCVTUSI2SSZrm)
  .value("VCVTUSI2SSZrm_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SSZrm_Int)
  .value("VCVTUSI2SSZrr", LIEF::assembly::x86::OPCODE::VCVTUSI2SSZrr)
  .value("VCVTUSI2SSZrr_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SSZrr_Int)
  .value("VCVTUSI2SSZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTUSI2SSZrrb_Int)
  .value("VCVTUSI642SDZrm", LIEF::assembly::x86::OPCODE::VCVTUSI642SDZrm)
  .value("VCVTUSI642SDZrm_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SDZrm_Int)
  .value("VCVTUSI642SDZrr", LIEF::assembly::x86::OPCODE::VCVTUSI642SDZrr)
  .value("VCVTUSI642SDZrr_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SDZrr_Int)
  .value("VCVTUSI642SDZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SDZrrb_Int)
  .value("VCVTUSI642SHZrm", LIEF::assembly::x86::OPCODE::VCVTUSI642SHZrm)
  .value("VCVTUSI642SHZrm_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SHZrm_Int);
  opcodes.value("VCVTUSI642SHZrr", LIEF::assembly::x86::OPCODE::VCVTUSI642SHZrr)
  .value("VCVTUSI642SHZrr_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SHZrr_Int)
  .value("VCVTUSI642SHZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SHZrrb_Int)
  .value("VCVTUSI642SSZrm", LIEF::assembly::x86::OPCODE::VCVTUSI642SSZrm)
  .value("VCVTUSI642SSZrm_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SSZrm_Int)
  .value("VCVTUSI642SSZrr", LIEF::assembly::x86::OPCODE::VCVTUSI642SSZrr)
  .value("VCVTUSI642SSZrr_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SSZrr_Int)
  .value("VCVTUSI642SSZrrb_Int", LIEF::assembly::x86::OPCODE::VCVTUSI642SSZrrb_Int)
  .value("VCVTUW2PHZ128rm", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rm)
  .value("VCVTUW2PHZ128rmb", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rmb)
  .value("VCVTUW2PHZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rmbk)
  .value("VCVTUW2PHZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rmbkz)
  .value("VCVTUW2PHZ128rmk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rmk)
  .value("VCVTUW2PHZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rmkz)
  .value("VCVTUW2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rr)
  .value("VCVTUW2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rrk)
  .value("VCVTUW2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ128rrkz)
  .value("VCVTUW2PHZ256rm", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rm)
  .value("VCVTUW2PHZ256rmb", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rmb)
  .value("VCVTUW2PHZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rmbk)
  .value("VCVTUW2PHZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rmbkz)
  .value("VCVTUW2PHZ256rmk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rmk)
  .value("VCVTUW2PHZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rmkz)
  .value("VCVTUW2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rr)
  .value("VCVTUW2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rrk)
  .value("VCVTUW2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZ256rrkz)
  .value("VCVTUW2PHZrm", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrm)
  .value("VCVTUW2PHZrmb", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrmb)
  .value("VCVTUW2PHZrmbk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrmbk)
  .value("VCVTUW2PHZrmbkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrmbkz)
  .value("VCVTUW2PHZrmk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrmk)
  .value("VCVTUW2PHZrmkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrmkz)
  .value("VCVTUW2PHZrr", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrr)
  .value("VCVTUW2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrrb)
  .value("VCVTUW2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrrbk)
  .value("VCVTUW2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrrbkz)
  .value("VCVTUW2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrrk)
  .value("VCVTUW2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTUW2PHZrrkz)
  .value("VCVTW2PHZ128rm", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rm)
  .value("VCVTW2PHZ128rmb", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rmb)
  .value("VCVTW2PHZ128rmbk", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rmbk)
  .value("VCVTW2PHZ128rmbkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rmbkz)
  .value("VCVTW2PHZ128rmk", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rmk)
  .value("VCVTW2PHZ128rmkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rmkz)
  .value("VCVTW2PHZ128rr", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rr)
  .value("VCVTW2PHZ128rrk", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rrk)
  .value("VCVTW2PHZ128rrkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZ128rrkz)
  .value("VCVTW2PHZ256rm", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rm)
  .value("VCVTW2PHZ256rmb", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rmb)
  .value("VCVTW2PHZ256rmbk", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rmbk)
  .value("VCVTW2PHZ256rmbkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rmbkz)
  .value("VCVTW2PHZ256rmk", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rmk)
  .value("VCVTW2PHZ256rmkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rmkz)
  .value("VCVTW2PHZ256rr", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rr)
  .value("VCVTW2PHZ256rrk", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rrk)
  .value("VCVTW2PHZ256rrkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZ256rrkz)
  .value("VCVTW2PHZrm", LIEF::assembly::x86::OPCODE::VCVTW2PHZrm)
  .value("VCVTW2PHZrmb", LIEF::assembly::x86::OPCODE::VCVTW2PHZrmb)
  .value("VCVTW2PHZrmbk", LIEF::assembly::x86::OPCODE::VCVTW2PHZrmbk)
  .value("VCVTW2PHZrmbkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZrmbkz)
  .value("VCVTW2PHZrmk", LIEF::assembly::x86::OPCODE::VCVTW2PHZrmk)
  .value("VCVTW2PHZrmkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZrmkz)
  .value("VCVTW2PHZrr", LIEF::assembly::x86::OPCODE::VCVTW2PHZrr)
  .value("VCVTW2PHZrrb", LIEF::assembly::x86::OPCODE::VCVTW2PHZrrb)
  .value("VCVTW2PHZrrbk", LIEF::assembly::x86::OPCODE::VCVTW2PHZrrbk)
  .value("VCVTW2PHZrrbkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZrrbkz)
  .value("VCVTW2PHZrrk", LIEF::assembly::x86::OPCODE::VCVTW2PHZrrk)
  .value("VCVTW2PHZrrkz", LIEF::assembly::x86::OPCODE::VCVTW2PHZrrkz)
  .value("VDBPSADBWZ128rmi", LIEF::assembly::x86::OPCODE::VDBPSADBWZ128rmi)
  .value("VDBPSADBWZ128rmik", LIEF::assembly::x86::OPCODE::VDBPSADBWZ128rmik)
  .value("VDBPSADBWZ128rmikz", LIEF::assembly::x86::OPCODE::VDBPSADBWZ128rmikz)
  .value("VDBPSADBWZ128rri", LIEF::assembly::x86::OPCODE::VDBPSADBWZ128rri)
  .value("VDBPSADBWZ128rrik", LIEF::assembly::x86::OPCODE::VDBPSADBWZ128rrik)
  .value("VDBPSADBWZ128rrikz", LIEF::assembly::x86::OPCODE::VDBPSADBWZ128rrikz)
  .value("VDBPSADBWZ256rmi", LIEF::assembly::x86::OPCODE::VDBPSADBWZ256rmi)
  .value("VDBPSADBWZ256rmik", LIEF::assembly::x86::OPCODE::VDBPSADBWZ256rmik)
  .value("VDBPSADBWZ256rmikz", LIEF::assembly::x86::OPCODE::VDBPSADBWZ256rmikz)
  .value("VDBPSADBWZ256rri", LIEF::assembly::x86::OPCODE::VDBPSADBWZ256rri)
  .value("VDBPSADBWZ256rrik", LIEF::assembly::x86::OPCODE::VDBPSADBWZ256rrik)
  .value("VDBPSADBWZ256rrikz", LIEF::assembly::x86::OPCODE::VDBPSADBWZ256rrikz)
  .value("VDBPSADBWZrmi", LIEF::assembly::x86::OPCODE::VDBPSADBWZrmi)
  .value("VDBPSADBWZrmik", LIEF::assembly::x86::OPCODE::VDBPSADBWZrmik)
  .value("VDBPSADBWZrmikz", LIEF::assembly::x86::OPCODE::VDBPSADBWZrmikz)
  .value("VDBPSADBWZrri", LIEF::assembly::x86::OPCODE::VDBPSADBWZrri)
  .value("VDBPSADBWZrrik", LIEF::assembly::x86::OPCODE::VDBPSADBWZrrik)
  .value("VDBPSADBWZrrikz", LIEF::assembly::x86::OPCODE::VDBPSADBWZrrikz)
  .value("VDIVPDYrm", LIEF::assembly::x86::OPCODE::VDIVPDYrm)
  .value("VDIVPDYrr", LIEF::assembly::x86::OPCODE::VDIVPDYrr)
  .value("VDIVPDZ128rm", LIEF::assembly::x86::OPCODE::VDIVPDZ128rm)
  .value("VDIVPDZ128rmb", LIEF::assembly::x86::OPCODE::VDIVPDZ128rmb)
  .value("VDIVPDZ128rmbk", LIEF::assembly::x86::OPCODE::VDIVPDZ128rmbk)
  .value("VDIVPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VDIVPDZ128rmbkz)
  .value("VDIVPDZ128rmk", LIEF::assembly::x86::OPCODE::VDIVPDZ128rmk)
  .value("VDIVPDZ128rmkz", LIEF::assembly::x86::OPCODE::VDIVPDZ128rmkz)
  .value("VDIVPDZ128rr", LIEF::assembly::x86::OPCODE::VDIVPDZ128rr)
  .value("VDIVPDZ128rrk", LIEF::assembly::x86::OPCODE::VDIVPDZ128rrk)
  .value("VDIVPDZ128rrkz", LIEF::assembly::x86::OPCODE::VDIVPDZ128rrkz)
  .value("VDIVPDZ256rm", LIEF::assembly::x86::OPCODE::VDIVPDZ256rm)
  .value("VDIVPDZ256rmb", LIEF::assembly::x86::OPCODE::VDIVPDZ256rmb)
  .value("VDIVPDZ256rmbk", LIEF::assembly::x86::OPCODE::VDIVPDZ256rmbk)
  .value("VDIVPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VDIVPDZ256rmbkz)
  .value("VDIVPDZ256rmk", LIEF::assembly::x86::OPCODE::VDIVPDZ256rmk)
  .value("VDIVPDZ256rmkz", LIEF::assembly::x86::OPCODE::VDIVPDZ256rmkz)
  .value("VDIVPDZ256rr", LIEF::assembly::x86::OPCODE::VDIVPDZ256rr)
  .value("VDIVPDZ256rrk", LIEF::assembly::x86::OPCODE::VDIVPDZ256rrk)
  .value("VDIVPDZ256rrkz", LIEF::assembly::x86::OPCODE::VDIVPDZ256rrkz)
  .value("VDIVPDZrm", LIEF::assembly::x86::OPCODE::VDIVPDZrm)
  .value("VDIVPDZrmb", LIEF::assembly::x86::OPCODE::VDIVPDZrmb)
  .value("VDIVPDZrmbk", LIEF::assembly::x86::OPCODE::VDIVPDZrmbk)
  .value("VDIVPDZrmbkz", LIEF::assembly::x86::OPCODE::VDIVPDZrmbkz)
  .value("VDIVPDZrmk", LIEF::assembly::x86::OPCODE::VDIVPDZrmk)
  .value("VDIVPDZrmkz", LIEF::assembly::x86::OPCODE::VDIVPDZrmkz)
  .value("VDIVPDZrr", LIEF::assembly::x86::OPCODE::VDIVPDZrr)
  .value("VDIVPDZrrb", LIEF::assembly::x86::OPCODE::VDIVPDZrrb)
  .value("VDIVPDZrrbk", LIEF::assembly::x86::OPCODE::VDIVPDZrrbk)
  .value("VDIVPDZrrbkz", LIEF::assembly::x86::OPCODE::VDIVPDZrrbkz)
  .value("VDIVPDZrrk", LIEF::assembly::x86::OPCODE::VDIVPDZrrk)
  .value("VDIVPDZrrkz", LIEF::assembly::x86::OPCODE::VDIVPDZrrkz)
  .value("VDIVPDrm", LIEF::assembly::x86::OPCODE::VDIVPDrm)
  .value("VDIVPDrr", LIEF::assembly::x86::OPCODE::VDIVPDrr)
  .value("VDIVPHZ128rm", LIEF::assembly::x86::OPCODE::VDIVPHZ128rm)
  .value("VDIVPHZ128rmb", LIEF::assembly::x86::OPCODE::VDIVPHZ128rmb)
  .value("VDIVPHZ128rmbk", LIEF::assembly::x86::OPCODE::VDIVPHZ128rmbk)
  .value("VDIVPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VDIVPHZ128rmbkz)
  .value("VDIVPHZ128rmk", LIEF::assembly::x86::OPCODE::VDIVPHZ128rmk)
  .value("VDIVPHZ128rmkz", LIEF::assembly::x86::OPCODE::VDIVPHZ128rmkz)
  .value("VDIVPHZ128rr", LIEF::assembly::x86::OPCODE::VDIVPHZ128rr)
  .value("VDIVPHZ128rrk", LIEF::assembly::x86::OPCODE::VDIVPHZ128rrk)
  .value("VDIVPHZ128rrkz", LIEF::assembly::x86::OPCODE::VDIVPHZ128rrkz)
  .value("VDIVPHZ256rm", LIEF::assembly::x86::OPCODE::VDIVPHZ256rm)
  .value("VDIVPHZ256rmb", LIEF::assembly::x86::OPCODE::VDIVPHZ256rmb)
  .value("VDIVPHZ256rmbk", LIEF::assembly::x86::OPCODE::VDIVPHZ256rmbk)
  .value("VDIVPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VDIVPHZ256rmbkz)
  .value("VDIVPHZ256rmk", LIEF::assembly::x86::OPCODE::VDIVPHZ256rmk)
  .value("VDIVPHZ256rmkz", LIEF::assembly::x86::OPCODE::VDIVPHZ256rmkz)
  .value("VDIVPHZ256rr", LIEF::assembly::x86::OPCODE::VDIVPHZ256rr)
  .value("VDIVPHZ256rrk", LIEF::assembly::x86::OPCODE::VDIVPHZ256rrk)
  .value("VDIVPHZ256rrkz", LIEF::assembly::x86::OPCODE::VDIVPHZ256rrkz)
  .value("VDIVPHZrm", LIEF::assembly::x86::OPCODE::VDIVPHZrm)
  .value("VDIVPHZrmb", LIEF::assembly::x86::OPCODE::VDIVPHZrmb)
  .value("VDIVPHZrmbk", LIEF::assembly::x86::OPCODE::VDIVPHZrmbk)
  .value("VDIVPHZrmbkz", LIEF::assembly::x86::OPCODE::VDIVPHZrmbkz)
  .value("VDIVPHZrmk", LIEF::assembly::x86::OPCODE::VDIVPHZrmk)
  .value("VDIVPHZrmkz", LIEF::assembly::x86::OPCODE::VDIVPHZrmkz)
  .value("VDIVPHZrr", LIEF::assembly::x86::OPCODE::VDIVPHZrr)
  .value("VDIVPHZrrb", LIEF::assembly::x86::OPCODE::VDIVPHZrrb)
  .value("VDIVPHZrrbk", LIEF::assembly::x86::OPCODE::VDIVPHZrrbk)
  .value("VDIVPHZrrbkz", LIEF::assembly::x86::OPCODE::VDIVPHZrrbkz)
  .value("VDIVPHZrrk", LIEF::assembly::x86::OPCODE::VDIVPHZrrk)
  .value("VDIVPHZrrkz", LIEF::assembly::x86::OPCODE::VDIVPHZrrkz)
  .value("VDIVPSYrm", LIEF::assembly::x86::OPCODE::VDIVPSYrm)
  .value("VDIVPSYrr", LIEF::assembly::x86::OPCODE::VDIVPSYrr)
  .value("VDIVPSZ128rm", LIEF::assembly::x86::OPCODE::VDIVPSZ128rm)
  .value("VDIVPSZ128rmb", LIEF::assembly::x86::OPCODE::VDIVPSZ128rmb)
  .value("VDIVPSZ128rmbk", LIEF::assembly::x86::OPCODE::VDIVPSZ128rmbk)
  .value("VDIVPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VDIVPSZ128rmbkz)
  .value("VDIVPSZ128rmk", LIEF::assembly::x86::OPCODE::VDIVPSZ128rmk)
  .value("VDIVPSZ128rmkz", LIEF::assembly::x86::OPCODE::VDIVPSZ128rmkz)
  .value("VDIVPSZ128rr", LIEF::assembly::x86::OPCODE::VDIVPSZ128rr)
  .value("VDIVPSZ128rrk", LIEF::assembly::x86::OPCODE::VDIVPSZ128rrk)
  .value("VDIVPSZ128rrkz", LIEF::assembly::x86::OPCODE::VDIVPSZ128rrkz)
  .value("VDIVPSZ256rm", LIEF::assembly::x86::OPCODE::VDIVPSZ256rm)
  .value("VDIVPSZ256rmb", LIEF::assembly::x86::OPCODE::VDIVPSZ256rmb)
  .value("VDIVPSZ256rmbk", LIEF::assembly::x86::OPCODE::VDIVPSZ256rmbk)
  .value("VDIVPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VDIVPSZ256rmbkz)
  .value("VDIVPSZ256rmk", LIEF::assembly::x86::OPCODE::VDIVPSZ256rmk)
  .value("VDIVPSZ256rmkz", LIEF::assembly::x86::OPCODE::VDIVPSZ256rmkz)
  .value("VDIVPSZ256rr", LIEF::assembly::x86::OPCODE::VDIVPSZ256rr)
  .value("VDIVPSZ256rrk", LIEF::assembly::x86::OPCODE::VDIVPSZ256rrk)
  .value("VDIVPSZ256rrkz", LIEF::assembly::x86::OPCODE::VDIVPSZ256rrkz)
  .value("VDIVPSZrm", LIEF::assembly::x86::OPCODE::VDIVPSZrm)
  .value("VDIVPSZrmb", LIEF::assembly::x86::OPCODE::VDIVPSZrmb)
  .value("VDIVPSZrmbk", LIEF::assembly::x86::OPCODE::VDIVPSZrmbk)
  .value("VDIVPSZrmbkz", LIEF::assembly::x86::OPCODE::VDIVPSZrmbkz)
  .value("VDIVPSZrmk", LIEF::assembly::x86::OPCODE::VDIVPSZrmk)
  .value("VDIVPSZrmkz", LIEF::assembly::x86::OPCODE::VDIVPSZrmkz)
  .value("VDIVPSZrr", LIEF::assembly::x86::OPCODE::VDIVPSZrr)
  .value("VDIVPSZrrb", LIEF::assembly::x86::OPCODE::VDIVPSZrrb)
  .value("VDIVPSZrrbk", LIEF::assembly::x86::OPCODE::VDIVPSZrrbk)
  .value("VDIVPSZrrbkz", LIEF::assembly::x86::OPCODE::VDIVPSZrrbkz)
  .value("VDIVPSZrrk", LIEF::assembly::x86::OPCODE::VDIVPSZrrk)
  .value("VDIVPSZrrkz", LIEF::assembly::x86::OPCODE::VDIVPSZrrkz)
  .value("VDIVPSrm", LIEF::assembly::x86::OPCODE::VDIVPSrm)
  .value("VDIVPSrr", LIEF::assembly::x86::OPCODE::VDIVPSrr)
  .value("VDIVSDZrm", LIEF::assembly::x86::OPCODE::VDIVSDZrm)
  .value("VDIVSDZrm_Int", LIEF::assembly::x86::OPCODE::VDIVSDZrm_Int)
  .value("VDIVSDZrm_Intk", LIEF::assembly::x86::OPCODE::VDIVSDZrm_Intk)
  .value("VDIVSDZrm_Intkz", LIEF::assembly::x86::OPCODE::VDIVSDZrm_Intkz)
  .value("VDIVSDZrr", LIEF::assembly::x86::OPCODE::VDIVSDZrr)
  .value("VDIVSDZrr_Int", LIEF::assembly::x86::OPCODE::VDIVSDZrr_Int)
  .value("VDIVSDZrr_Intk", LIEF::assembly::x86::OPCODE::VDIVSDZrr_Intk)
  .value("VDIVSDZrr_Intkz", LIEF::assembly::x86::OPCODE::VDIVSDZrr_Intkz)
  .value("VDIVSDZrrb_Int", LIEF::assembly::x86::OPCODE::VDIVSDZrrb_Int)
  .value("VDIVSDZrrb_Intk", LIEF::assembly::x86::OPCODE::VDIVSDZrrb_Intk)
  .value("VDIVSDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VDIVSDZrrb_Intkz)
  .value("VDIVSDrm", LIEF::assembly::x86::OPCODE::VDIVSDrm)
  .value("VDIVSDrm_Int", LIEF::assembly::x86::OPCODE::VDIVSDrm_Int)
  .value("VDIVSDrr", LIEF::assembly::x86::OPCODE::VDIVSDrr)
  .value("VDIVSDrr_Int", LIEF::assembly::x86::OPCODE::VDIVSDrr_Int)
  .value("VDIVSHZrm", LIEF::assembly::x86::OPCODE::VDIVSHZrm)
  .value("VDIVSHZrm_Int", LIEF::assembly::x86::OPCODE::VDIVSHZrm_Int)
  .value("VDIVSHZrm_Intk", LIEF::assembly::x86::OPCODE::VDIVSHZrm_Intk)
  .value("VDIVSHZrm_Intkz", LIEF::assembly::x86::OPCODE::VDIVSHZrm_Intkz)
  .value("VDIVSHZrr", LIEF::assembly::x86::OPCODE::VDIVSHZrr)
  .value("VDIVSHZrr_Int", LIEF::assembly::x86::OPCODE::VDIVSHZrr_Int)
  .value("VDIVSHZrr_Intk", LIEF::assembly::x86::OPCODE::VDIVSHZrr_Intk)
  .value("VDIVSHZrr_Intkz", LIEF::assembly::x86::OPCODE::VDIVSHZrr_Intkz)
  .value("VDIVSHZrrb_Int", LIEF::assembly::x86::OPCODE::VDIVSHZrrb_Int)
  .value("VDIVSHZrrb_Intk", LIEF::assembly::x86::OPCODE::VDIVSHZrrb_Intk)
  .value("VDIVSHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VDIVSHZrrb_Intkz)
  .value("VDIVSSZrm", LIEF::assembly::x86::OPCODE::VDIVSSZrm)
  .value("VDIVSSZrm_Int", LIEF::assembly::x86::OPCODE::VDIVSSZrm_Int)
  .value("VDIVSSZrm_Intk", LIEF::assembly::x86::OPCODE::VDIVSSZrm_Intk)
  .value("VDIVSSZrm_Intkz", LIEF::assembly::x86::OPCODE::VDIVSSZrm_Intkz)
  .value("VDIVSSZrr", LIEF::assembly::x86::OPCODE::VDIVSSZrr)
  .value("VDIVSSZrr_Int", LIEF::assembly::x86::OPCODE::VDIVSSZrr_Int)
  .value("VDIVSSZrr_Intk", LIEF::assembly::x86::OPCODE::VDIVSSZrr_Intk)
  .value("VDIVSSZrr_Intkz", LIEF::assembly::x86::OPCODE::VDIVSSZrr_Intkz)
  .value("VDIVSSZrrb_Int", LIEF::assembly::x86::OPCODE::VDIVSSZrrb_Int)
  .value("VDIVSSZrrb_Intk", LIEF::assembly::x86::OPCODE::VDIVSSZrrb_Intk)
  .value("VDIVSSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VDIVSSZrrb_Intkz)
  .value("VDIVSSrm", LIEF::assembly::x86::OPCODE::VDIVSSrm)
  .value("VDIVSSrm_Int", LIEF::assembly::x86::OPCODE::VDIVSSrm_Int)
  .value("VDIVSSrr", LIEF::assembly::x86::OPCODE::VDIVSSrr)
  .value("VDIVSSrr_Int", LIEF::assembly::x86::OPCODE::VDIVSSrr_Int)
  .value("VDPBF16PSZ128m", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128m)
  .value("VDPBF16PSZ128mb", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128mb)
  .value("VDPBF16PSZ128mbk", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128mbk)
  .value("VDPBF16PSZ128mbkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128mbkz)
  .value("VDPBF16PSZ128mk", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128mk)
  .value("VDPBF16PSZ128mkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128mkz)
  .value("VDPBF16PSZ128r", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128r)
  .value("VDPBF16PSZ128rk", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128rk)
  .value("VDPBF16PSZ128rkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZ128rkz)
  .value("VDPBF16PSZ256m", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256m)
  .value("VDPBF16PSZ256mb", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256mb)
  .value("VDPBF16PSZ256mbk", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256mbk)
  .value("VDPBF16PSZ256mbkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256mbkz)
  .value("VDPBF16PSZ256mk", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256mk)
  .value("VDPBF16PSZ256mkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256mkz)
  .value("VDPBF16PSZ256r", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256r)
  .value("VDPBF16PSZ256rk", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256rk)
  .value("VDPBF16PSZ256rkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZ256rkz)
  .value("VDPBF16PSZm", LIEF::assembly::x86::OPCODE::VDPBF16PSZm)
  .value("VDPBF16PSZmb", LIEF::assembly::x86::OPCODE::VDPBF16PSZmb)
  .value("VDPBF16PSZmbk", LIEF::assembly::x86::OPCODE::VDPBF16PSZmbk)
  .value("VDPBF16PSZmbkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZmbkz)
  .value("VDPBF16PSZmk", LIEF::assembly::x86::OPCODE::VDPBF16PSZmk)
  .value("VDPBF16PSZmkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZmkz)
  .value("VDPBF16PSZr", LIEF::assembly::x86::OPCODE::VDPBF16PSZr)
  .value("VDPBF16PSZrk", LIEF::assembly::x86::OPCODE::VDPBF16PSZrk)
  .value("VDPBF16PSZrkz", LIEF::assembly::x86::OPCODE::VDPBF16PSZrkz)
  .value("VDPPDrmi", LIEF::assembly::x86::OPCODE::VDPPDrmi)
  .value("VDPPDrri", LIEF::assembly::x86::OPCODE::VDPPDrri)
  .value("VDPPSYrmi", LIEF::assembly::x86::OPCODE::VDPPSYrmi)
  .value("VDPPSYrri", LIEF::assembly::x86::OPCODE::VDPPSYrri)
  .value("VDPPSrmi", LIEF::assembly::x86::OPCODE::VDPPSrmi)
  .value("VDPPSrri", LIEF::assembly::x86::OPCODE::VDPPSrri)
  .value("VERRm", LIEF::assembly::x86::OPCODE::VERRm)
  .value("VERRr", LIEF::assembly::x86::OPCODE::VERRr)
  .value("VERWm", LIEF::assembly::x86::OPCODE::VERWm)
  .value("VERWr", LIEF::assembly::x86::OPCODE::VERWr)
  .value("VEXP2PDZm", LIEF::assembly::x86::OPCODE::VEXP2PDZm)
  .value("VEXP2PDZmb", LIEF::assembly::x86::OPCODE::VEXP2PDZmb)
  .value("VEXP2PDZmbk", LIEF::assembly::x86::OPCODE::VEXP2PDZmbk)
  .value("VEXP2PDZmbkz", LIEF::assembly::x86::OPCODE::VEXP2PDZmbkz)
  .value("VEXP2PDZmk", LIEF::assembly::x86::OPCODE::VEXP2PDZmk)
  .value("VEXP2PDZmkz", LIEF::assembly::x86::OPCODE::VEXP2PDZmkz)
  .value("VEXP2PDZr", LIEF::assembly::x86::OPCODE::VEXP2PDZr)
  .value("VEXP2PDZrb", LIEF::assembly::x86::OPCODE::VEXP2PDZrb)
  .value("VEXP2PDZrbk", LIEF::assembly::x86::OPCODE::VEXP2PDZrbk)
  .value("VEXP2PDZrbkz", LIEF::assembly::x86::OPCODE::VEXP2PDZrbkz)
  .value("VEXP2PDZrk", LIEF::assembly::x86::OPCODE::VEXP2PDZrk)
  .value("VEXP2PDZrkz", LIEF::assembly::x86::OPCODE::VEXP2PDZrkz)
  .value("VEXP2PSZm", LIEF::assembly::x86::OPCODE::VEXP2PSZm)
  .value("VEXP2PSZmb", LIEF::assembly::x86::OPCODE::VEXP2PSZmb)
  .value("VEXP2PSZmbk", LIEF::assembly::x86::OPCODE::VEXP2PSZmbk)
  .value("VEXP2PSZmbkz", LIEF::assembly::x86::OPCODE::VEXP2PSZmbkz)
  .value("VEXP2PSZmk", LIEF::assembly::x86::OPCODE::VEXP2PSZmk)
  .value("VEXP2PSZmkz", LIEF::assembly::x86::OPCODE::VEXP2PSZmkz)
  .value("VEXP2PSZr", LIEF::assembly::x86::OPCODE::VEXP2PSZr)
  .value("VEXP2PSZrb", LIEF::assembly::x86::OPCODE::VEXP2PSZrb)
  .value("VEXP2PSZrbk", LIEF::assembly::x86::OPCODE::VEXP2PSZrbk)
  .value("VEXP2PSZrbkz", LIEF::assembly::x86::OPCODE::VEXP2PSZrbkz)
  .value("VEXP2PSZrk", LIEF::assembly::x86::OPCODE::VEXP2PSZrk)
  .value("VEXP2PSZrkz", LIEF::assembly::x86::OPCODE::VEXP2PSZrkz)
  .value("VEXPANDPDZ128rm", LIEF::assembly::x86::OPCODE::VEXPANDPDZ128rm)
  .value("VEXPANDPDZ128rmk", LIEF::assembly::x86::OPCODE::VEXPANDPDZ128rmk)
  .value("VEXPANDPDZ128rmkz", LIEF::assembly::x86::OPCODE::VEXPANDPDZ128rmkz)
  .value("VEXPANDPDZ128rr", LIEF::assembly::x86::OPCODE::VEXPANDPDZ128rr)
  .value("VEXPANDPDZ128rrk", LIEF::assembly::x86::OPCODE::VEXPANDPDZ128rrk)
  .value("VEXPANDPDZ128rrkz", LIEF::assembly::x86::OPCODE::VEXPANDPDZ128rrkz)
  .value("VEXPANDPDZ256rm", LIEF::assembly::x86::OPCODE::VEXPANDPDZ256rm)
  .value("VEXPANDPDZ256rmk", LIEF::assembly::x86::OPCODE::VEXPANDPDZ256rmk)
  .value("VEXPANDPDZ256rmkz", LIEF::assembly::x86::OPCODE::VEXPANDPDZ256rmkz)
  .value("VEXPANDPDZ256rr", LIEF::assembly::x86::OPCODE::VEXPANDPDZ256rr)
  .value("VEXPANDPDZ256rrk", LIEF::assembly::x86::OPCODE::VEXPANDPDZ256rrk)
  .value("VEXPANDPDZ256rrkz", LIEF::assembly::x86::OPCODE::VEXPANDPDZ256rrkz)
  .value("VEXPANDPDZrm", LIEF::assembly::x86::OPCODE::VEXPANDPDZrm)
  .value("VEXPANDPDZrmk", LIEF::assembly::x86::OPCODE::VEXPANDPDZrmk);
  opcodes.value("VEXPANDPDZrmkz", LIEF::assembly::x86::OPCODE::VEXPANDPDZrmkz)
  .value("VEXPANDPDZrr", LIEF::assembly::x86::OPCODE::VEXPANDPDZrr)
  .value("VEXPANDPDZrrk", LIEF::assembly::x86::OPCODE::VEXPANDPDZrrk)
  .value("VEXPANDPDZrrkz", LIEF::assembly::x86::OPCODE::VEXPANDPDZrrkz)
  .value("VEXPANDPSZ128rm", LIEF::assembly::x86::OPCODE::VEXPANDPSZ128rm)
  .value("VEXPANDPSZ128rmk", LIEF::assembly::x86::OPCODE::VEXPANDPSZ128rmk)
  .value("VEXPANDPSZ128rmkz", LIEF::assembly::x86::OPCODE::VEXPANDPSZ128rmkz)
  .value("VEXPANDPSZ128rr", LIEF::assembly::x86::OPCODE::VEXPANDPSZ128rr)
  .value("VEXPANDPSZ128rrk", LIEF::assembly::x86::OPCODE::VEXPANDPSZ128rrk)
  .value("VEXPANDPSZ128rrkz", LIEF::assembly::x86::OPCODE::VEXPANDPSZ128rrkz)
  .value("VEXPANDPSZ256rm", LIEF::assembly::x86::OPCODE::VEXPANDPSZ256rm)
  .value("VEXPANDPSZ256rmk", LIEF::assembly::x86::OPCODE::VEXPANDPSZ256rmk)
  .value("VEXPANDPSZ256rmkz", LIEF::assembly::x86::OPCODE::VEXPANDPSZ256rmkz)
  .value("VEXPANDPSZ256rr", LIEF::assembly::x86::OPCODE::VEXPANDPSZ256rr)
  .value("VEXPANDPSZ256rrk", LIEF::assembly::x86::OPCODE::VEXPANDPSZ256rrk)
  .value("VEXPANDPSZ256rrkz", LIEF::assembly::x86::OPCODE::VEXPANDPSZ256rrkz)
  .value("VEXPANDPSZrm", LIEF::assembly::x86::OPCODE::VEXPANDPSZrm)
  .value("VEXPANDPSZrmk", LIEF::assembly::x86::OPCODE::VEXPANDPSZrmk)
  .value("VEXPANDPSZrmkz", LIEF::assembly::x86::OPCODE::VEXPANDPSZrmkz)
  .value("VEXPANDPSZrr", LIEF::assembly::x86::OPCODE::VEXPANDPSZrr)
  .value("VEXPANDPSZrrk", LIEF::assembly::x86::OPCODE::VEXPANDPSZrrk)
  .value("VEXPANDPSZrrkz", LIEF::assembly::x86::OPCODE::VEXPANDPSZrrkz)
  .value("VEXTRACTF128mr", LIEF::assembly::x86::OPCODE::VEXTRACTF128mr)
  .value("VEXTRACTF128rr", LIEF::assembly::x86::OPCODE::VEXTRACTF128rr)
  .value("VEXTRACTF32x4Z256mr", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Z256mr)
  .value("VEXTRACTF32x4Z256mrk", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Z256mrk)
  .value("VEXTRACTF32x4Z256rr", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Z256rr)
  .value("VEXTRACTF32x4Z256rrk", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Z256rrk)
  .value("VEXTRACTF32x4Z256rrkz", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Z256rrkz)
  .value("VEXTRACTF32x4Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Zmr)
  .value("VEXTRACTF32x4Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Zmrk)
  .value("VEXTRACTF32x4Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Zrr)
  .value("VEXTRACTF32x4Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Zrrk)
  .value("VEXTRACTF32x4Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTF32x4Zrrkz)
  .value("VEXTRACTF32x8Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTF32x8Zmr)
  .value("VEXTRACTF32x8Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTF32x8Zmrk)
  .value("VEXTRACTF32x8Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTF32x8Zrr)
  .value("VEXTRACTF32x8Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTF32x8Zrrk)
  .value("VEXTRACTF32x8Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTF32x8Zrrkz)
  .value("VEXTRACTF64x2Z256mr", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Z256mr)
  .value("VEXTRACTF64x2Z256mrk", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Z256mrk)
  .value("VEXTRACTF64x2Z256rr", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Z256rr)
  .value("VEXTRACTF64x2Z256rrk", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Z256rrk)
  .value("VEXTRACTF64x2Z256rrkz", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Z256rrkz)
  .value("VEXTRACTF64x2Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Zmr)
  .value("VEXTRACTF64x2Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Zmrk)
  .value("VEXTRACTF64x2Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Zrr)
  .value("VEXTRACTF64x2Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Zrrk)
  .value("VEXTRACTF64x2Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTF64x2Zrrkz)
  .value("VEXTRACTF64x4Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTF64x4Zmr)
  .value("VEXTRACTF64x4Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTF64x4Zmrk)
  .value("VEXTRACTF64x4Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTF64x4Zrr)
  .value("VEXTRACTF64x4Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTF64x4Zrrk)
  .value("VEXTRACTF64x4Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTF64x4Zrrkz)
  .value("VEXTRACTI128mr", LIEF::assembly::x86::OPCODE::VEXTRACTI128mr)
  .value("VEXTRACTI128rr", LIEF::assembly::x86::OPCODE::VEXTRACTI128rr)
  .value("VEXTRACTI32x4Z256mr", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Z256mr)
  .value("VEXTRACTI32x4Z256mrk", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Z256mrk)
  .value("VEXTRACTI32x4Z256rr", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Z256rr)
  .value("VEXTRACTI32x4Z256rrk", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Z256rrk)
  .value("VEXTRACTI32x4Z256rrkz", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Z256rrkz)
  .value("VEXTRACTI32x4Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Zmr)
  .value("VEXTRACTI32x4Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Zmrk)
  .value("VEXTRACTI32x4Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Zrr)
  .value("VEXTRACTI32x4Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Zrrk)
  .value("VEXTRACTI32x4Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTI32x4Zrrkz)
  .value("VEXTRACTI32x8Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTI32x8Zmr)
  .value("VEXTRACTI32x8Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTI32x8Zmrk)
  .value("VEXTRACTI32x8Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTI32x8Zrr)
  .value("VEXTRACTI32x8Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTI32x8Zrrk)
  .value("VEXTRACTI32x8Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTI32x8Zrrkz)
  .value("VEXTRACTI64x2Z256mr", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Z256mr)
  .value("VEXTRACTI64x2Z256mrk", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Z256mrk)
  .value("VEXTRACTI64x2Z256rr", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Z256rr)
  .value("VEXTRACTI64x2Z256rrk", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Z256rrk)
  .value("VEXTRACTI64x2Z256rrkz", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Z256rrkz)
  .value("VEXTRACTI64x2Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Zmr)
  .value("VEXTRACTI64x2Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Zmrk)
  .value("VEXTRACTI64x2Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Zrr)
  .value("VEXTRACTI64x2Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Zrrk)
  .value("VEXTRACTI64x2Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTI64x2Zrrkz)
  .value("VEXTRACTI64x4Zmr", LIEF::assembly::x86::OPCODE::VEXTRACTI64x4Zmr)
  .value("VEXTRACTI64x4Zmrk", LIEF::assembly::x86::OPCODE::VEXTRACTI64x4Zmrk)
  .value("VEXTRACTI64x4Zrr", LIEF::assembly::x86::OPCODE::VEXTRACTI64x4Zrr)
  .value("VEXTRACTI64x4Zrrk", LIEF::assembly::x86::OPCODE::VEXTRACTI64x4Zrrk)
  .value("VEXTRACTI64x4Zrrkz", LIEF::assembly::x86::OPCODE::VEXTRACTI64x4Zrrkz)
  .value("VEXTRACTPSZmr", LIEF::assembly::x86::OPCODE::VEXTRACTPSZmr)
  .value("VEXTRACTPSZrr", LIEF::assembly::x86::OPCODE::VEXTRACTPSZrr)
  .value("VEXTRACTPSmr", LIEF::assembly::x86::OPCODE::VEXTRACTPSmr)
  .value("VEXTRACTPSrr", LIEF::assembly::x86::OPCODE::VEXTRACTPSrr)
  .value("VFCMADDCPHZ128m", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128m)
  .value("VFCMADDCPHZ128mb", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128mb)
  .value("VFCMADDCPHZ128mbk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128mbk)
  .value("VFCMADDCPHZ128mbkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128mbkz)
  .value("VFCMADDCPHZ128mk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128mk)
  .value("VFCMADDCPHZ128mkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128mkz)
  .value("VFCMADDCPHZ128r", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128r)
  .value("VFCMADDCPHZ128rk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128rk)
  .value("VFCMADDCPHZ128rkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ128rkz)
  .value("VFCMADDCPHZ256m", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256m)
  .value("VFCMADDCPHZ256mb", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256mb)
  .value("VFCMADDCPHZ256mbk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256mbk)
  .value("VFCMADDCPHZ256mbkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256mbkz)
  .value("VFCMADDCPHZ256mk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256mk)
  .value("VFCMADDCPHZ256mkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256mkz)
  .value("VFCMADDCPHZ256r", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256r)
  .value("VFCMADDCPHZ256rk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256rk)
  .value("VFCMADDCPHZ256rkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZ256rkz)
  .value("VFCMADDCPHZm", LIEF::assembly::x86::OPCODE::VFCMADDCPHZm)
  .value("VFCMADDCPHZmb", LIEF::assembly::x86::OPCODE::VFCMADDCPHZmb)
  .value("VFCMADDCPHZmbk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZmbk)
  .value("VFCMADDCPHZmbkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZmbkz)
  .value("VFCMADDCPHZmk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZmk)
  .value("VFCMADDCPHZmkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZmkz)
  .value("VFCMADDCPHZr", LIEF::assembly::x86::OPCODE::VFCMADDCPHZr)
  .value("VFCMADDCPHZrb", LIEF::assembly::x86::OPCODE::VFCMADDCPHZrb)
  .value("VFCMADDCPHZrbk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZrbk)
  .value("VFCMADDCPHZrbkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZrbkz)
  .value("VFCMADDCPHZrk", LIEF::assembly::x86::OPCODE::VFCMADDCPHZrk)
  .value("VFCMADDCPHZrkz", LIEF::assembly::x86::OPCODE::VFCMADDCPHZrkz)
  .value("VFCMADDCSHZm", LIEF::assembly::x86::OPCODE::VFCMADDCSHZm)
  .value("VFCMADDCSHZmk", LIEF::assembly::x86::OPCODE::VFCMADDCSHZmk)
  .value("VFCMADDCSHZmkz", LIEF::assembly::x86::OPCODE::VFCMADDCSHZmkz)
  .value("VFCMADDCSHZr", LIEF::assembly::x86::OPCODE::VFCMADDCSHZr)
  .value("VFCMADDCSHZrb", LIEF::assembly::x86::OPCODE::VFCMADDCSHZrb)
  .value("VFCMADDCSHZrbk", LIEF::assembly::x86::OPCODE::VFCMADDCSHZrbk)
  .value("VFCMADDCSHZrbkz", LIEF::assembly::x86::OPCODE::VFCMADDCSHZrbkz)
  .value("VFCMADDCSHZrk", LIEF::assembly::x86::OPCODE::VFCMADDCSHZrk)
  .value("VFCMADDCSHZrkz", LIEF::assembly::x86::OPCODE::VFCMADDCSHZrkz)
  .value("VFCMULCPHZ128rm", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rm)
  .value("VFCMULCPHZ128rmb", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rmb)
  .value("VFCMULCPHZ128rmbk", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rmbk)
  .value("VFCMULCPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rmbkz)
  .value("VFCMULCPHZ128rmk", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rmk)
  .value("VFCMULCPHZ128rmkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rmkz)
  .value("VFCMULCPHZ128rr", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rr)
  .value("VFCMULCPHZ128rrk", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rrk)
  .value("VFCMULCPHZ128rrkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZ128rrkz)
  .value("VFCMULCPHZ256rm", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rm)
  .value("VFCMULCPHZ256rmb", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rmb)
  .value("VFCMULCPHZ256rmbk", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rmbk)
  .value("VFCMULCPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rmbkz)
  .value("VFCMULCPHZ256rmk", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rmk)
  .value("VFCMULCPHZ256rmkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rmkz)
  .value("VFCMULCPHZ256rr", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rr)
  .value("VFCMULCPHZ256rrk", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rrk)
  .value("VFCMULCPHZ256rrkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZ256rrkz)
  .value("VFCMULCPHZrm", LIEF::assembly::x86::OPCODE::VFCMULCPHZrm)
  .value("VFCMULCPHZrmb", LIEF::assembly::x86::OPCODE::VFCMULCPHZrmb)
  .value("VFCMULCPHZrmbk", LIEF::assembly::x86::OPCODE::VFCMULCPHZrmbk)
  .value("VFCMULCPHZrmbkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZrmbkz)
  .value("VFCMULCPHZrmk", LIEF::assembly::x86::OPCODE::VFCMULCPHZrmk)
  .value("VFCMULCPHZrmkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZrmkz)
  .value("VFCMULCPHZrr", LIEF::assembly::x86::OPCODE::VFCMULCPHZrr)
  .value("VFCMULCPHZrrb", LIEF::assembly::x86::OPCODE::VFCMULCPHZrrb)
  .value("VFCMULCPHZrrbk", LIEF::assembly::x86::OPCODE::VFCMULCPHZrrbk)
  .value("VFCMULCPHZrrbkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZrrbkz)
  .value("VFCMULCPHZrrk", LIEF::assembly::x86::OPCODE::VFCMULCPHZrrk)
  .value("VFCMULCPHZrrkz", LIEF::assembly::x86::OPCODE::VFCMULCPHZrrkz)
  .value("VFCMULCSHZrm", LIEF::assembly::x86::OPCODE::VFCMULCSHZrm)
  .value("VFCMULCSHZrmk", LIEF::assembly::x86::OPCODE::VFCMULCSHZrmk)
  .value("VFCMULCSHZrmkz", LIEF::assembly::x86::OPCODE::VFCMULCSHZrmkz)
  .value("VFCMULCSHZrr", LIEF::assembly::x86::OPCODE::VFCMULCSHZrr)
  .value("VFCMULCSHZrrb", LIEF::assembly::x86::OPCODE::VFCMULCSHZrrb)
  .value("VFCMULCSHZrrbk", LIEF::assembly::x86::OPCODE::VFCMULCSHZrrbk)
  .value("VFCMULCSHZrrbkz", LIEF::assembly::x86::OPCODE::VFCMULCSHZrrbkz)
  .value("VFCMULCSHZrrk", LIEF::assembly::x86::OPCODE::VFCMULCSHZrrk)
  .value("VFCMULCSHZrrkz", LIEF::assembly::x86::OPCODE::VFCMULCSHZrrkz)
  .value("VFIXUPIMMPDZ128rmbi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rmbi)
  .value("VFIXUPIMMPDZ128rmbik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rmbik)
  .value("VFIXUPIMMPDZ128rmbikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rmbikz)
  .value("VFIXUPIMMPDZ128rmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rmi)
  .value("VFIXUPIMMPDZ128rmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rmik)
  .value("VFIXUPIMMPDZ128rmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rmikz)
  .value("VFIXUPIMMPDZ128rri", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rri)
  .value("VFIXUPIMMPDZ128rrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rrik)
  .value("VFIXUPIMMPDZ128rrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ128rrikz)
  .value("VFIXUPIMMPDZ256rmbi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rmbi)
  .value("VFIXUPIMMPDZ256rmbik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rmbik)
  .value("VFIXUPIMMPDZ256rmbikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rmbikz)
  .value("VFIXUPIMMPDZ256rmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rmi)
  .value("VFIXUPIMMPDZ256rmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rmik)
  .value("VFIXUPIMMPDZ256rmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rmikz)
  .value("VFIXUPIMMPDZ256rri", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rri)
  .value("VFIXUPIMMPDZ256rrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rrik)
  .value("VFIXUPIMMPDZ256rrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZ256rrikz)
  .value("VFIXUPIMMPDZrmbi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrmbi)
  .value("VFIXUPIMMPDZrmbik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrmbik)
  .value("VFIXUPIMMPDZrmbikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrmbikz)
  .value("VFIXUPIMMPDZrmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrmi)
  .value("VFIXUPIMMPDZrmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrmik)
  .value("VFIXUPIMMPDZrmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrmikz)
  .value("VFIXUPIMMPDZrri", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrri)
  .value("VFIXUPIMMPDZrrib", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrrib)
  .value("VFIXUPIMMPDZrribk", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrribk)
  .value("VFIXUPIMMPDZrribkz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrribkz)
  .value("VFIXUPIMMPDZrrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrrik)
  .value("VFIXUPIMMPDZrrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPDZrrikz)
  .value("VFIXUPIMMPSZ128rmbi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rmbi)
  .value("VFIXUPIMMPSZ128rmbik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rmbik)
  .value("VFIXUPIMMPSZ128rmbikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rmbikz)
  .value("VFIXUPIMMPSZ128rmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rmi)
  .value("VFIXUPIMMPSZ128rmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rmik)
  .value("VFIXUPIMMPSZ128rmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rmikz)
  .value("VFIXUPIMMPSZ128rri", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rri)
  .value("VFIXUPIMMPSZ128rrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rrik)
  .value("VFIXUPIMMPSZ128rrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ128rrikz)
  .value("VFIXUPIMMPSZ256rmbi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rmbi)
  .value("VFIXUPIMMPSZ256rmbik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rmbik)
  .value("VFIXUPIMMPSZ256rmbikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rmbikz)
  .value("VFIXUPIMMPSZ256rmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rmi)
  .value("VFIXUPIMMPSZ256rmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rmik)
  .value("VFIXUPIMMPSZ256rmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rmikz)
  .value("VFIXUPIMMPSZ256rri", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rri)
  .value("VFIXUPIMMPSZ256rrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rrik)
  .value("VFIXUPIMMPSZ256rrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZ256rrikz)
  .value("VFIXUPIMMPSZrmbi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrmbi)
  .value("VFIXUPIMMPSZrmbik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrmbik)
  .value("VFIXUPIMMPSZrmbikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrmbikz)
  .value("VFIXUPIMMPSZrmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrmi)
  .value("VFIXUPIMMPSZrmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrmik)
  .value("VFIXUPIMMPSZrmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrmikz)
  .value("VFIXUPIMMPSZrri", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrri)
  .value("VFIXUPIMMPSZrrib", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrrib)
  .value("VFIXUPIMMPSZrribk", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrribk)
  .value("VFIXUPIMMPSZrribkz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrribkz)
  .value("VFIXUPIMMPSZrrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrrik)
  .value("VFIXUPIMMPSZrrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMPSZrrikz)
  .value("VFIXUPIMMSDZrmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrmi)
  .value("VFIXUPIMMSDZrmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrmik)
  .value("VFIXUPIMMSDZrmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrmikz)
  .value("VFIXUPIMMSDZrri", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrri)
  .value("VFIXUPIMMSDZrrib", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrrib)
  .value("VFIXUPIMMSDZrribk", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrribk)
  .value("VFIXUPIMMSDZrribkz", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrribkz)
  .value("VFIXUPIMMSDZrrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrrik)
  .value("VFIXUPIMMSDZrrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMSDZrrikz)
  .value("VFIXUPIMMSSZrmi", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrmi)
  .value("VFIXUPIMMSSZrmik", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrmik)
  .value("VFIXUPIMMSSZrmikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrmikz)
  .value("VFIXUPIMMSSZrri", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrri)
  .value("VFIXUPIMMSSZrrib", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrrib)
  .value("VFIXUPIMMSSZrribk", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrribk)
  .value("VFIXUPIMMSSZrribkz", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrribkz)
  .value("VFIXUPIMMSSZrrik", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrrik)
  .value("VFIXUPIMMSSZrrikz", LIEF::assembly::x86::OPCODE::VFIXUPIMMSSZrrikz)
  .value("VFMADD132PDYm", LIEF::assembly::x86::OPCODE::VFMADD132PDYm)
  .value("VFMADD132PDYr", LIEF::assembly::x86::OPCODE::VFMADD132PDYr)
  .value("VFMADD132PDZ128m", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128m)
  .value("VFMADD132PDZ128mb", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128mb)
  .value("VFMADD132PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128mbk)
  .value("VFMADD132PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128mbkz)
  .value("VFMADD132PDZ128mk", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128mk)
  .value("VFMADD132PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128mkz)
  .value("VFMADD132PDZ128r", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128r)
  .value("VFMADD132PDZ128rk", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128rk)
  .value("VFMADD132PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZ128rkz)
  .value("VFMADD132PDZ256m", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256m)
  .value("VFMADD132PDZ256mb", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256mb)
  .value("VFMADD132PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256mbk)
  .value("VFMADD132PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256mbkz)
  .value("VFMADD132PDZ256mk", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256mk)
  .value("VFMADD132PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256mkz)
  .value("VFMADD132PDZ256r", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256r)
  .value("VFMADD132PDZ256rk", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256rk)
  .value("VFMADD132PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZ256rkz)
  .value("VFMADD132PDZm", LIEF::assembly::x86::OPCODE::VFMADD132PDZm)
  .value("VFMADD132PDZmb", LIEF::assembly::x86::OPCODE::VFMADD132PDZmb)
  .value("VFMADD132PDZmbk", LIEF::assembly::x86::OPCODE::VFMADD132PDZmbk)
  .value("VFMADD132PDZmbkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZmbkz)
  .value("VFMADD132PDZmk", LIEF::assembly::x86::OPCODE::VFMADD132PDZmk)
  .value("VFMADD132PDZmkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZmkz)
  .value("VFMADD132PDZr", LIEF::assembly::x86::OPCODE::VFMADD132PDZr)
  .value("VFMADD132PDZrb", LIEF::assembly::x86::OPCODE::VFMADD132PDZrb)
  .value("VFMADD132PDZrbk", LIEF::assembly::x86::OPCODE::VFMADD132PDZrbk)
  .value("VFMADD132PDZrbkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZrbkz)
  .value("VFMADD132PDZrk", LIEF::assembly::x86::OPCODE::VFMADD132PDZrk)
  .value("VFMADD132PDZrkz", LIEF::assembly::x86::OPCODE::VFMADD132PDZrkz)
  .value("VFMADD132PDm", LIEF::assembly::x86::OPCODE::VFMADD132PDm)
  .value("VFMADD132PDr", LIEF::assembly::x86::OPCODE::VFMADD132PDr)
  .value("VFMADD132PHZ128m", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128m)
  .value("VFMADD132PHZ128mb", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128mb)
  .value("VFMADD132PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128mbk)
  .value("VFMADD132PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128mbkz)
  .value("VFMADD132PHZ128mk", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128mk)
  .value("VFMADD132PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128mkz)
  .value("VFMADD132PHZ128r", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128r)
  .value("VFMADD132PHZ128rk", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128rk)
  .value("VFMADD132PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZ128rkz)
  .value("VFMADD132PHZ256m", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256m)
  .value("VFMADD132PHZ256mb", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256mb)
  .value("VFMADD132PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256mbk)
  .value("VFMADD132PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256mbkz)
  .value("VFMADD132PHZ256mk", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256mk)
  .value("VFMADD132PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256mkz)
  .value("VFMADD132PHZ256r", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256r)
  .value("VFMADD132PHZ256rk", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256rk)
  .value("VFMADD132PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZ256rkz)
  .value("VFMADD132PHZm", LIEF::assembly::x86::OPCODE::VFMADD132PHZm)
  .value("VFMADD132PHZmb", LIEF::assembly::x86::OPCODE::VFMADD132PHZmb);
  opcodes.value("VFMADD132PHZmbk", LIEF::assembly::x86::OPCODE::VFMADD132PHZmbk)
  .value("VFMADD132PHZmbkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZmbkz)
  .value("VFMADD132PHZmk", LIEF::assembly::x86::OPCODE::VFMADD132PHZmk)
  .value("VFMADD132PHZmkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZmkz)
  .value("VFMADD132PHZr", LIEF::assembly::x86::OPCODE::VFMADD132PHZr)
  .value("VFMADD132PHZrb", LIEF::assembly::x86::OPCODE::VFMADD132PHZrb)
  .value("VFMADD132PHZrbk", LIEF::assembly::x86::OPCODE::VFMADD132PHZrbk)
  .value("VFMADD132PHZrbkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZrbkz)
  .value("VFMADD132PHZrk", LIEF::assembly::x86::OPCODE::VFMADD132PHZrk)
  .value("VFMADD132PHZrkz", LIEF::assembly::x86::OPCODE::VFMADD132PHZrkz)
  .value("VFMADD132PSYm", LIEF::assembly::x86::OPCODE::VFMADD132PSYm)
  .value("VFMADD132PSYr", LIEF::assembly::x86::OPCODE::VFMADD132PSYr)
  .value("VFMADD132PSZ128m", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128m)
  .value("VFMADD132PSZ128mb", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128mb)
  .value("VFMADD132PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128mbk)
  .value("VFMADD132PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128mbkz)
  .value("VFMADD132PSZ128mk", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128mk)
  .value("VFMADD132PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128mkz)
  .value("VFMADD132PSZ128r", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128r)
  .value("VFMADD132PSZ128rk", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128rk)
  .value("VFMADD132PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZ128rkz)
  .value("VFMADD132PSZ256m", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256m)
  .value("VFMADD132PSZ256mb", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256mb)
  .value("VFMADD132PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256mbk)
  .value("VFMADD132PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256mbkz)
  .value("VFMADD132PSZ256mk", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256mk)
  .value("VFMADD132PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256mkz)
  .value("VFMADD132PSZ256r", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256r)
  .value("VFMADD132PSZ256rk", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256rk)
  .value("VFMADD132PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZ256rkz)
  .value("VFMADD132PSZm", LIEF::assembly::x86::OPCODE::VFMADD132PSZm)
  .value("VFMADD132PSZmb", LIEF::assembly::x86::OPCODE::VFMADD132PSZmb)
  .value("VFMADD132PSZmbk", LIEF::assembly::x86::OPCODE::VFMADD132PSZmbk)
  .value("VFMADD132PSZmbkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZmbkz)
  .value("VFMADD132PSZmk", LIEF::assembly::x86::OPCODE::VFMADD132PSZmk)
  .value("VFMADD132PSZmkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZmkz)
  .value("VFMADD132PSZr", LIEF::assembly::x86::OPCODE::VFMADD132PSZr)
  .value("VFMADD132PSZrb", LIEF::assembly::x86::OPCODE::VFMADD132PSZrb)
  .value("VFMADD132PSZrbk", LIEF::assembly::x86::OPCODE::VFMADD132PSZrbk)
  .value("VFMADD132PSZrbkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZrbkz)
  .value("VFMADD132PSZrk", LIEF::assembly::x86::OPCODE::VFMADD132PSZrk)
  .value("VFMADD132PSZrkz", LIEF::assembly::x86::OPCODE::VFMADD132PSZrkz)
  .value("VFMADD132PSm", LIEF::assembly::x86::OPCODE::VFMADD132PSm)
  .value("VFMADD132PSr", LIEF::assembly::x86::OPCODE::VFMADD132PSr)
  .value("VFMADD132SDZm", LIEF::assembly::x86::OPCODE::VFMADD132SDZm)
  .value("VFMADD132SDZm_Int", LIEF::assembly::x86::OPCODE::VFMADD132SDZm_Int)
  .value("VFMADD132SDZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SDZm_Intk)
  .value("VFMADD132SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SDZm_Intkz)
  .value("VFMADD132SDZr", LIEF::assembly::x86::OPCODE::VFMADD132SDZr)
  .value("VFMADD132SDZr_Int", LIEF::assembly::x86::OPCODE::VFMADD132SDZr_Int)
  .value("VFMADD132SDZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SDZr_Intk)
  .value("VFMADD132SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SDZr_Intkz)
  .value("VFMADD132SDZrb", LIEF::assembly::x86::OPCODE::VFMADD132SDZrb)
  .value("VFMADD132SDZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD132SDZrb_Int)
  .value("VFMADD132SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SDZrb_Intk)
  .value("VFMADD132SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SDZrb_Intkz)
  .value("VFMADD132SDm", LIEF::assembly::x86::OPCODE::VFMADD132SDm)
  .value("VFMADD132SDm_Int", LIEF::assembly::x86::OPCODE::VFMADD132SDm_Int)
  .value("VFMADD132SDr", LIEF::assembly::x86::OPCODE::VFMADD132SDr)
  .value("VFMADD132SDr_Int", LIEF::assembly::x86::OPCODE::VFMADD132SDr_Int)
  .value("VFMADD132SHZm", LIEF::assembly::x86::OPCODE::VFMADD132SHZm)
  .value("VFMADD132SHZm_Int", LIEF::assembly::x86::OPCODE::VFMADD132SHZm_Int)
  .value("VFMADD132SHZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SHZm_Intk)
  .value("VFMADD132SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SHZm_Intkz)
  .value("VFMADD132SHZr", LIEF::assembly::x86::OPCODE::VFMADD132SHZr)
  .value("VFMADD132SHZr_Int", LIEF::assembly::x86::OPCODE::VFMADD132SHZr_Int)
  .value("VFMADD132SHZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SHZr_Intk)
  .value("VFMADD132SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SHZr_Intkz)
  .value("VFMADD132SHZrb", LIEF::assembly::x86::OPCODE::VFMADD132SHZrb)
  .value("VFMADD132SHZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD132SHZrb_Int)
  .value("VFMADD132SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SHZrb_Intk)
  .value("VFMADD132SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SHZrb_Intkz)
  .value("VFMADD132SSZm", LIEF::assembly::x86::OPCODE::VFMADD132SSZm)
  .value("VFMADD132SSZm_Int", LIEF::assembly::x86::OPCODE::VFMADD132SSZm_Int)
  .value("VFMADD132SSZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SSZm_Intk)
  .value("VFMADD132SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SSZm_Intkz)
  .value("VFMADD132SSZr", LIEF::assembly::x86::OPCODE::VFMADD132SSZr)
  .value("VFMADD132SSZr_Int", LIEF::assembly::x86::OPCODE::VFMADD132SSZr_Int)
  .value("VFMADD132SSZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SSZr_Intk)
  .value("VFMADD132SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SSZr_Intkz)
  .value("VFMADD132SSZrb", LIEF::assembly::x86::OPCODE::VFMADD132SSZrb)
  .value("VFMADD132SSZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD132SSZrb_Int)
  .value("VFMADD132SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD132SSZrb_Intk)
  .value("VFMADD132SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD132SSZrb_Intkz)
  .value("VFMADD132SSm", LIEF::assembly::x86::OPCODE::VFMADD132SSm)
  .value("VFMADD132SSm_Int", LIEF::assembly::x86::OPCODE::VFMADD132SSm_Int)
  .value("VFMADD132SSr", LIEF::assembly::x86::OPCODE::VFMADD132SSr)
  .value("VFMADD132SSr_Int", LIEF::assembly::x86::OPCODE::VFMADD132SSr_Int)
  .value("VFMADD213PDYm", LIEF::assembly::x86::OPCODE::VFMADD213PDYm)
  .value("VFMADD213PDYr", LIEF::assembly::x86::OPCODE::VFMADD213PDYr)
  .value("VFMADD213PDZ128m", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128m)
  .value("VFMADD213PDZ128mb", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128mb)
  .value("VFMADD213PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128mbk)
  .value("VFMADD213PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128mbkz)
  .value("VFMADD213PDZ128mk", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128mk)
  .value("VFMADD213PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128mkz)
  .value("VFMADD213PDZ128r", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128r)
  .value("VFMADD213PDZ128rk", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128rk)
  .value("VFMADD213PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZ128rkz)
  .value("VFMADD213PDZ256m", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256m)
  .value("VFMADD213PDZ256mb", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256mb)
  .value("VFMADD213PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256mbk)
  .value("VFMADD213PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256mbkz)
  .value("VFMADD213PDZ256mk", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256mk)
  .value("VFMADD213PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256mkz)
  .value("VFMADD213PDZ256r", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256r)
  .value("VFMADD213PDZ256rk", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256rk)
  .value("VFMADD213PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZ256rkz)
  .value("VFMADD213PDZm", LIEF::assembly::x86::OPCODE::VFMADD213PDZm)
  .value("VFMADD213PDZmb", LIEF::assembly::x86::OPCODE::VFMADD213PDZmb)
  .value("VFMADD213PDZmbk", LIEF::assembly::x86::OPCODE::VFMADD213PDZmbk)
  .value("VFMADD213PDZmbkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZmbkz)
  .value("VFMADD213PDZmk", LIEF::assembly::x86::OPCODE::VFMADD213PDZmk)
  .value("VFMADD213PDZmkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZmkz)
  .value("VFMADD213PDZr", LIEF::assembly::x86::OPCODE::VFMADD213PDZr)
  .value("VFMADD213PDZrb", LIEF::assembly::x86::OPCODE::VFMADD213PDZrb)
  .value("VFMADD213PDZrbk", LIEF::assembly::x86::OPCODE::VFMADD213PDZrbk)
  .value("VFMADD213PDZrbkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZrbkz)
  .value("VFMADD213PDZrk", LIEF::assembly::x86::OPCODE::VFMADD213PDZrk)
  .value("VFMADD213PDZrkz", LIEF::assembly::x86::OPCODE::VFMADD213PDZrkz)
  .value("VFMADD213PDm", LIEF::assembly::x86::OPCODE::VFMADD213PDm)
  .value("VFMADD213PDr", LIEF::assembly::x86::OPCODE::VFMADD213PDr)
  .value("VFMADD213PHZ128m", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128m)
  .value("VFMADD213PHZ128mb", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128mb)
  .value("VFMADD213PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128mbk)
  .value("VFMADD213PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128mbkz)
  .value("VFMADD213PHZ128mk", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128mk)
  .value("VFMADD213PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128mkz)
  .value("VFMADD213PHZ128r", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128r)
  .value("VFMADD213PHZ128rk", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128rk)
  .value("VFMADD213PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZ128rkz)
  .value("VFMADD213PHZ256m", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256m)
  .value("VFMADD213PHZ256mb", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256mb)
  .value("VFMADD213PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256mbk)
  .value("VFMADD213PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256mbkz)
  .value("VFMADD213PHZ256mk", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256mk)
  .value("VFMADD213PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256mkz)
  .value("VFMADD213PHZ256r", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256r)
  .value("VFMADD213PHZ256rk", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256rk)
  .value("VFMADD213PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZ256rkz)
  .value("VFMADD213PHZm", LIEF::assembly::x86::OPCODE::VFMADD213PHZm)
  .value("VFMADD213PHZmb", LIEF::assembly::x86::OPCODE::VFMADD213PHZmb)
  .value("VFMADD213PHZmbk", LIEF::assembly::x86::OPCODE::VFMADD213PHZmbk)
  .value("VFMADD213PHZmbkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZmbkz)
  .value("VFMADD213PHZmk", LIEF::assembly::x86::OPCODE::VFMADD213PHZmk)
  .value("VFMADD213PHZmkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZmkz)
  .value("VFMADD213PHZr", LIEF::assembly::x86::OPCODE::VFMADD213PHZr)
  .value("VFMADD213PHZrb", LIEF::assembly::x86::OPCODE::VFMADD213PHZrb)
  .value("VFMADD213PHZrbk", LIEF::assembly::x86::OPCODE::VFMADD213PHZrbk)
  .value("VFMADD213PHZrbkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZrbkz)
  .value("VFMADD213PHZrk", LIEF::assembly::x86::OPCODE::VFMADD213PHZrk)
  .value("VFMADD213PHZrkz", LIEF::assembly::x86::OPCODE::VFMADD213PHZrkz)
  .value("VFMADD213PSYm", LIEF::assembly::x86::OPCODE::VFMADD213PSYm)
  .value("VFMADD213PSYr", LIEF::assembly::x86::OPCODE::VFMADD213PSYr)
  .value("VFMADD213PSZ128m", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128m)
  .value("VFMADD213PSZ128mb", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128mb)
  .value("VFMADD213PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128mbk)
  .value("VFMADD213PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128mbkz)
  .value("VFMADD213PSZ128mk", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128mk)
  .value("VFMADD213PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128mkz)
  .value("VFMADD213PSZ128r", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128r)
  .value("VFMADD213PSZ128rk", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128rk)
  .value("VFMADD213PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZ128rkz)
  .value("VFMADD213PSZ256m", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256m)
  .value("VFMADD213PSZ256mb", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256mb)
  .value("VFMADD213PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256mbk)
  .value("VFMADD213PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256mbkz)
  .value("VFMADD213PSZ256mk", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256mk)
  .value("VFMADD213PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256mkz)
  .value("VFMADD213PSZ256r", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256r)
  .value("VFMADD213PSZ256rk", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256rk)
  .value("VFMADD213PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZ256rkz)
  .value("VFMADD213PSZm", LIEF::assembly::x86::OPCODE::VFMADD213PSZm)
  .value("VFMADD213PSZmb", LIEF::assembly::x86::OPCODE::VFMADD213PSZmb)
  .value("VFMADD213PSZmbk", LIEF::assembly::x86::OPCODE::VFMADD213PSZmbk)
  .value("VFMADD213PSZmbkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZmbkz)
  .value("VFMADD213PSZmk", LIEF::assembly::x86::OPCODE::VFMADD213PSZmk)
  .value("VFMADD213PSZmkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZmkz)
  .value("VFMADD213PSZr", LIEF::assembly::x86::OPCODE::VFMADD213PSZr)
  .value("VFMADD213PSZrb", LIEF::assembly::x86::OPCODE::VFMADD213PSZrb)
  .value("VFMADD213PSZrbk", LIEF::assembly::x86::OPCODE::VFMADD213PSZrbk)
  .value("VFMADD213PSZrbkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZrbkz)
  .value("VFMADD213PSZrk", LIEF::assembly::x86::OPCODE::VFMADD213PSZrk)
  .value("VFMADD213PSZrkz", LIEF::assembly::x86::OPCODE::VFMADD213PSZrkz)
  .value("VFMADD213PSm", LIEF::assembly::x86::OPCODE::VFMADD213PSm)
  .value("VFMADD213PSr", LIEF::assembly::x86::OPCODE::VFMADD213PSr)
  .value("VFMADD213SDZm", LIEF::assembly::x86::OPCODE::VFMADD213SDZm)
  .value("VFMADD213SDZm_Int", LIEF::assembly::x86::OPCODE::VFMADD213SDZm_Int)
  .value("VFMADD213SDZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SDZm_Intk)
  .value("VFMADD213SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SDZm_Intkz)
  .value("VFMADD213SDZr", LIEF::assembly::x86::OPCODE::VFMADD213SDZr)
  .value("VFMADD213SDZr_Int", LIEF::assembly::x86::OPCODE::VFMADD213SDZr_Int)
  .value("VFMADD213SDZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SDZr_Intk)
  .value("VFMADD213SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SDZr_Intkz)
  .value("VFMADD213SDZrb", LIEF::assembly::x86::OPCODE::VFMADD213SDZrb)
  .value("VFMADD213SDZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD213SDZrb_Int)
  .value("VFMADD213SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SDZrb_Intk)
  .value("VFMADD213SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SDZrb_Intkz)
  .value("VFMADD213SDm", LIEF::assembly::x86::OPCODE::VFMADD213SDm)
  .value("VFMADD213SDm_Int", LIEF::assembly::x86::OPCODE::VFMADD213SDm_Int)
  .value("VFMADD213SDr", LIEF::assembly::x86::OPCODE::VFMADD213SDr)
  .value("VFMADD213SDr_Int", LIEF::assembly::x86::OPCODE::VFMADD213SDr_Int)
  .value("VFMADD213SHZm", LIEF::assembly::x86::OPCODE::VFMADD213SHZm)
  .value("VFMADD213SHZm_Int", LIEF::assembly::x86::OPCODE::VFMADD213SHZm_Int)
  .value("VFMADD213SHZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SHZm_Intk)
  .value("VFMADD213SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SHZm_Intkz)
  .value("VFMADD213SHZr", LIEF::assembly::x86::OPCODE::VFMADD213SHZr)
  .value("VFMADD213SHZr_Int", LIEF::assembly::x86::OPCODE::VFMADD213SHZr_Int)
  .value("VFMADD213SHZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SHZr_Intk)
  .value("VFMADD213SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SHZr_Intkz)
  .value("VFMADD213SHZrb", LIEF::assembly::x86::OPCODE::VFMADD213SHZrb)
  .value("VFMADD213SHZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD213SHZrb_Int)
  .value("VFMADD213SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SHZrb_Intk)
  .value("VFMADD213SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SHZrb_Intkz)
  .value("VFMADD213SSZm", LIEF::assembly::x86::OPCODE::VFMADD213SSZm)
  .value("VFMADD213SSZm_Int", LIEF::assembly::x86::OPCODE::VFMADD213SSZm_Int)
  .value("VFMADD213SSZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SSZm_Intk)
  .value("VFMADD213SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SSZm_Intkz)
  .value("VFMADD213SSZr", LIEF::assembly::x86::OPCODE::VFMADD213SSZr)
  .value("VFMADD213SSZr_Int", LIEF::assembly::x86::OPCODE::VFMADD213SSZr_Int)
  .value("VFMADD213SSZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SSZr_Intk)
  .value("VFMADD213SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SSZr_Intkz)
  .value("VFMADD213SSZrb", LIEF::assembly::x86::OPCODE::VFMADD213SSZrb)
  .value("VFMADD213SSZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD213SSZrb_Int)
  .value("VFMADD213SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD213SSZrb_Intk)
  .value("VFMADD213SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD213SSZrb_Intkz)
  .value("VFMADD213SSm", LIEF::assembly::x86::OPCODE::VFMADD213SSm)
  .value("VFMADD213SSm_Int", LIEF::assembly::x86::OPCODE::VFMADD213SSm_Int)
  .value("VFMADD213SSr", LIEF::assembly::x86::OPCODE::VFMADD213SSr)
  .value("VFMADD213SSr_Int", LIEF::assembly::x86::OPCODE::VFMADD213SSr_Int)
  .value("VFMADD231PDYm", LIEF::assembly::x86::OPCODE::VFMADD231PDYm)
  .value("VFMADD231PDYr", LIEF::assembly::x86::OPCODE::VFMADD231PDYr)
  .value("VFMADD231PDZ128m", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128m)
  .value("VFMADD231PDZ128mb", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128mb)
  .value("VFMADD231PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128mbk)
  .value("VFMADD231PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128mbkz)
  .value("VFMADD231PDZ128mk", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128mk)
  .value("VFMADD231PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128mkz)
  .value("VFMADD231PDZ128r", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128r)
  .value("VFMADD231PDZ128rk", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128rk)
  .value("VFMADD231PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZ128rkz)
  .value("VFMADD231PDZ256m", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256m)
  .value("VFMADD231PDZ256mb", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256mb)
  .value("VFMADD231PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256mbk)
  .value("VFMADD231PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256mbkz)
  .value("VFMADD231PDZ256mk", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256mk)
  .value("VFMADD231PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256mkz)
  .value("VFMADD231PDZ256r", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256r)
  .value("VFMADD231PDZ256rk", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256rk)
  .value("VFMADD231PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZ256rkz)
  .value("VFMADD231PDZm", LIEF::assembly::x86::OPCODE::VFMADD231PDZm)
  .value("VFMADD231PDZmb", LIEF::assembly::x86::OPCODE::VFMADD231PDZmb)
  .value("VFMADD231PDZmbk", LIEF::assembly::x86::OPCODE::VFMADD231PDZmbk)
  .value("VFMADD231PDZmbkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZmbkz)
  .value("VFMADD231PDZmk", LIEF::assembly::x86::OPCODE::VFMADD231PDZmk)
  .value("VFMADD231PDZmkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZmkz)
  .value("VFMADD231PDZr", LIEF::assembly::x86::OPCODE::VFMADD231PDZr)
  .value("VFMADD231PDZrb", LIEF::assembly::x86::OPCODE::VFMADD231PDZrb)
  .value("VFMADD231PDZrbk", LIEF::assembly::x86::OPCODE::VFMADD231PDZrbk)
  .value("VFMADD231PDZrbkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZrbkz)
  .value("VFMADD231PDZrk", LIEF::assembly::x86::OPCODE::VFMADD231PDZrk)
  .value("VFMADD231PDZrkz", LIEF::assembly::x86::OPCODE::VFMADD231PDZrkz)
  .value("VFMADD231PDm", LIEF::assembly::x86::OPCODE::VFMADD231PDm)
  .value("VFMADD231PDr", LIEF::assembly::x86::OPCODE::VFMADD231PDr)
  .value("VFMADD231PHZ128m", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128m)
  .value("VFMADD231PHZ128mb", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128mb)
  .value("VFMADD231PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128mbk)
  .value("VFMADD231PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128mbkz)
  .value("VFMADD231PHZ128mk", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128mk)
  .value("VFMADD231PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128mkz)
  .value("VFMADD231PHZ128r", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128r)
  .value("VFMADD231PHZ128rk", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128rk)
  .value("VFMADD231PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZ128rkz)
  .value("VFMADD231PHZ256m", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256m)
  .value("VFMADD231PHZ256mb", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256mb)
  .value("VFMADD231PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256mbk)
  .value("VFMADD231PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256mbkz)
  .value("VFMADD231PHZ256mk", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256mk)
  .value("VFMADD231PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256mkz)
  .value("VFMADD231PHZ256r", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256r)
  .value("VFMADD231PHZ256rk", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256rk)
  .value("VFMADD231PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZ256rkz)
  .value("VFMADD231PHZm", LIEF::assembly::x86::OPCODE::VFMADD231PHZm)
  .value("VFMADD231PHZmb", LIEF::assembly::x86::OPCODE::VFMADD231PHZmb)
  .value("VFMADD231PHZmbk", LIEF::assembly::x86::OPCODE::VFMADD231PHZmbk)
  .value("VFMADD231PHZmbkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZmbkz)
  .value("VFMADD231PHZmk", LIEF::assembly::x86::OPCODE::VFMADD231PHZmk)
  .value("VFMADD231PHZmkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZmkz)
  .value("VFMADD231PHZr", LIEF::assembly::x86::OPCODE::VFMADD231PHZr)
  .value("VFMADD231PHZrb", LIEF::assembly::x86::OPCODE::VFMADD231PHZrb)
  .value("VFMADD231PHZrbk", LIEF::assembly::x86::OPCODE::VFMADD231PHZrbk)
  .value("VFMADD231PHZrbkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZrbkz)
  .value("VFMADD231PHZrk", LIEF::assembly::x86::OPCODE::VFMADD231PHZrk)
  .value("VFMADD231PHZrkz", LIEF::assembly::x86::OPCODE::VFMADD231PHZrkz)
  .value("VFMADD231PSYm", LIEF::assembly::x86::OPCODE::VFMADD231PSYm)
  .value("VFMADD231PSYr", LIEF::assembly::x86::OPCODE::VFMADD231PSYr)
  .value("VFMADD231PSZ128m", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128m)
  .value("VFMADD231PSZ128mb", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128mb)
  .value("VFMADD231PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128mbk)
  .value("VFMADD231PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128mbkz);
  opcodes.value("VFMADD231PSZ128mk", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128mk)
  .value("VFMADD231PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128mkz)
  .value("VFMADD231PSZ128r", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128r)
  .value("VFMADD231PSZ128rk", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128rk)
  .value("VFMADD231PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZ128rkz)
  .value("VFMADD231PSZ256m", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256m)
  .value("VFMADD231PSZ256mb", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256mb)
  .value("VFMADD231PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256mbk)
  .value("VFMADD231PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256mbkz)
  .value("VFMADD231PSZ256mk", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256mk)
  .value("VFMADD231PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256mkz)
  .value("VFMADD231PSZ256r", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256r)
  .value("VFMADD231PSZ256rk", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256rk)
  .value("VFMADD231PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZ256rkz)
  .value("VFMADD231PSZm", LIEF::assembly::x86::OPCODE::VFMADD231PSZm)
  .value("VFMADD231PSZmb", LIEF::assembly::x86::OPCODE::VFMADD231PSZmb)
  .value("VFMADD231PSZmbk", LIEF::assembly::x86::OPCODE::VFMADD231PSZmbk)
  .value("VFMADD231PSZmbkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZmbkz)
  .value("VFMADD231PSZmk", LIEF::assembly::x86::OPCODE::VFMADD231PSZmk)
  .value("VFMADD231PSZmkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZmkz)
  .value("VFMADD231PSZr", LIEF::assembly::x86::OPCODE::VFMADD231PSZr)
  .value("VFMADD231PSZrb", LIEF::assembly::x86::OPCODE::VFMADD231PSZrb)
  .value("VFMADD231PSZrbk", LIEF::assembly::x86::OPCODE::VFMADD231PSZrbk)
  .value("VFMADD231PSZrbkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZrbkz)
  .value("VFMADD231PSZrk", LIEF::assembly::x86::OPCODE::VFMADD231PSZrk)
  .value("VFMADD231PSZrkz", LIEF::assembly::x86::OPCODE::VFMADD231PSZrkz)
  .value("VFMADD231PSm", LIEF::assembly::x86::OPCODE::VFMADD231PSm)
  .value("VFMADD231PSr", LIEF::assembly::x86::OPCODE::VFMADD231PSr)
  .value("VFMADD231SDZm", LIEF::assembly::x86::OPCODE::VFMADD231SDZm)
  .value("VFMADD231SDZm_Int", LIEF::assembly::x86::OPCODE::VFMADD231SDZm_Int)
  .value("VFMADD231SDZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SDZm_Intk)
  .value("VFMADD231SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SDZm_Intkz)
  .value("VFMADD231SDZr", LIEF::assembly::x86::OPCODE::VFMADD231SDZr)
  .value("VFMADD231SDZr_Int", LIEF::assembly::x86::OPCODE::VFMADD231SDZr_Int)
  .value("VFMADD231SDZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SDZr_Intk)
  .value("VFMADD231SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SDZr_Intkz)
  .value("VFMADD231SDZrb", LIEF::assembly::x86::OPCODE::VFMADD231SDZrb)
  .value("VFMADD231SDZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD231SDZrb_Int)
  .value("VFMADD231SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SDZrb_Intk)
  .value("VFMADD231SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SDZrb_Intkz)
  .value("VFMADD231SDm", LIEF::assembly::x86::OPCODE::VFMADD231SDm)
  .value("VFMADD231SDm_Int", LIEF::assembly::x86::OPCODE::VFMADD231SDm_Int)
  .value("VFMADD231SDr", LIEF::assembly::x86::OPCODE::VFMADD231SDr)
  .value("VFMADD231SDr_Int", LIEF::assembly::x86::OPCODE::VFMADD231SDr_Int)
  .value("VFMADD231SHZm", LIEF::assembly::x86::OPCODE::VFMADD231SHZm)
  .value("VFMADD231SHZm_Int", LIEF::assembly::x86::OPCODE::VFMADD231SHZm_Int)
  .value("VFMADD231SHZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SHZm_Intk)
  .value("VFMADD231SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SHZm_Intkz)
  .value("VFMADD231SHZr", LIEF::assembly::x86::OPCODE::VFMADD231SHZr)
  .value("VFMADD231SHZr_Int", LIEF::assembly::x86::OPCODE::VFMADD231SHZr_Int)
  .value("VFMADD231SHZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SHZr_Intk)
  .value("VFMADD231SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SHZr_Intkz)
  .value("VFMADD231SHZrb", LIEF::assembly::x86::OPCODE::VFMADD231SHZrb)
  .value("VFMADD231SHZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD231SHZrb_Int)
  .value("VFMADD231SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SHZrb_Intk)
  .value("VFMADD231SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SHZrb_Intkz)
  .value("VFMADD231SSZm", LIEF::assembly::x86::OPCODE::VFMADD231SSZm)
  .value("VFMADD231SSZm_Int", LIEF::assembly::x86::OPCODE::VFMADD231SSZm_Int)
  .value("VFMADD231SSZm_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SSZm_Intk)
  .value("VFMADD231SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SSZm_Intkz)
  .value("VFMADD231SSZr", LIEF::assembly::x86::OPCODE::VFMADD231SSZr)
  .value("VFMADD231SSZr_Int", LIEF::assembly::x86::OPCODE::VFMADD231SSZr_Int)
  .value("VFMADD231SSZr_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SSZr_Intk)
  .value("VFMADD231SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SSZr_Intkz)
  .value("VFMADD231SSZrb", LIEF::assembly::x86::OPCODE::VFMADD231SSZrb)
  .value("VFMADD231SSZrb_Int", LIEF::assembly::x86::OPCODE::VFMADD231SSZrb_Int)
  .value("VFMADD231SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFMADD231SSZrb_Intk)
  .value("VFMADD231SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMADD231SSZrb_Intkz)
  .value("VFMADD231SSm", LIEF::assembly::x86::OPCODE::VFMADD231SSm)
  .value("VFMADD231SSm_Int", LIEF::assembly::x86::OPCODE::VFMADD231SSm_Int)
  .value("VFMADD231SSr", LIEF::assembly::x86::OPCODE::VFMADD231SSr)
  .value("VFMADD231SSr_Int", LIEF::assembly::x86::OPCODE::VFMADD231SSr_Int)
  .value("VFMADDCPHZ128m", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128m)
  .value("VFMADDCPHZ128mb", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128mb)
  .value("VFMADDCPHZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128mbk)
  .value("VFMADDCPHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128mbkz)
  .value("VFMADDCPHZ128mk", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128mk)
  .value("VFMADDCPHZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128mkz)
  .value("VFMADDCPHZ128r", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128r)
  .value("VFMADDCPHZ128rk", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128rk)
  .value("VFMADDCPHZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZ128rkz)
  .value("VFMADDCPHZ256m", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256m)
  .value("VFMADDCPHZ256mb", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256mb)
  .value("VFMADDCPHZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256mbk)
  .value("VFMADDCPHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256mbkz)
  .value("VFMADDCPHZ256mk", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256mk)
  .value("VFMADDCPHZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256mkz)
  .value("VFMADDCPHZ256r", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256r)
  .value("VFMADDCPHZ256rk", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256rk)
  .value("VFMADDCPHZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZ256rkz)
  .value("VFMADDCPHZm", LIEF::assembly::x86::OPCODE::VFMADDCPHZm)
  .value("VFMADDCPHZmb", LIEF::assembly::x86::OPCODE::VFMADDCPHZmb)
  .value("VFMADDCPHZmbk", LIEF::assembly::x86::OPCODE::VFMADDCPHZmbk)
  .value("VFMADDCPHZmbkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZmbkz)
  .value("VFMADDCPHZmk", LIEF::assembly::x86::OPCODE::VFMADDCPHZmk)
  .value("VFMADDCPHZmkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZmkz)
  .value("VFMADDCPHZr", LIEF::assembly::x86::OPCODE::VFMADDCPHZr)
  .value("VFMADDCPHZrb", LIEF::assembly::x86::OPCODE::VFMADDCPHZrb)
  .value("VFMADDCPHZrbk", LIEF::assembly::x86::OPCODE::VFMADDCPHZrbk)
  .value("VFMADDCPHZrbkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZrbkz)
  .value("VFMADDCPHZrk", LIEF::assembly::x86::OPCODE::VFMADDCPHZrk)
  .value("VFMADDCPHZrkz", LIEF::assembly::x86::OPCODE::VFMADDCPHZrkz)
  .value("VFMADDCSHZm", LIEF::assembly::x86::OPCODE::VFMADDCSHZm)
  .value("VFMADDCSHZmk", LIEF::assembly::x86::OPCODE::VFMADDCSHZmk)
  .value("VFMADDCSHZmkz", LIEF::assembly::x86::OPCODE::VFMADDCSHZmkz)
  .value("VFMADDCSHZr", LIEF::assembly::x86::OPCODE::VFMADDCSHZr)
  .value("VFMADDCSHZrb", LIEF::assembly::x86::OPCODE::VFMADDCSHZrb)
  .value("VFMADDCSHZrbk", LIEF::assembly::x86::OPCODE::VFMADDCSHZrbk)
  .value("VFMADDCSHZrbkz", LIEF::assembly::x86::OPCODE::VFMADDCSHZrbkz)
  .value("VFMADDCSHZrk", LIEF::assembly::x86::OPCODE::VFMADDCSHZrk)
  .value("VFMADDCSHZrkz", LIEF::assembly::x86::OPCODE::VFMADDCSHZrkz)
  .value("VFMADDPD4Ymr", LIEF::assembly::x86::OPCODE::VFMADDPD4Ymr)
  .value("VFMADDPD4Yrm", LIEF::assembly::x86::OPCODE::VFMADDPD4Yrm)
  .value("VFMADDPD4Yrr", LIEF::assembly::x86::OPCODE::VFMADDPD4Yrr)
  .value("VFMADDPD4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMADDPD4Yrr_REV)
  .value("VFMADDPD4mr", LIEF::assembly::x86::OPCODE::VFMADDPD4mr)
  .value("VFMADDPD4rm", LIEF::assembly::x86::OPCODE::VFMADDPD4rm)
  .value("VFMADDPD4rr", LIEF::assembly::x86::OPCODE::VFMADDPD4rr)
  .value("VFMADDPD4rr_REV", LIEF::assembly::x86::OPCODE::VFMADDPD4rr_REV)
  .value("VFMADDPS4Ymr", LIEF::assembly::x86::OPCODE::VFMADDPS4Ymr)
  .value("VFMADDPS4Yrm", LIEF::assembly::x86::OPCODE::VFMADDPS4Yrm)
  .value("VFMADDPS4Yrr", LIEF::assembly::x86::OPCODE::VFMADDPS4Yrr)
  .value("VFMADDPS4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMADDPS4Yrr_REV)
  .value("VFMADDPS4mr", LIEF::assembly::x86::OPCODE::VFMADDPS4mr)
  .value("VFMADDPS4rm", LIEF::assembly::x86::OPCODE::VFMADDPS4rm)
  .value("VFMADDPS4rr", LIEF::assembly::x86::OPCODE::VFMADDPS4rr)
  .value("VFMADDPS4rr_REV", LIEF::assembly::x86::OPCODE::VFMADDPS4rr_REV)
  .value("VFMADDSD4mr", LIEF::assembly::x86::OPCODE::VFMADDSD4mr)
  .value("VFMADDSD4mr_Int", LIEF::assembly::x86::OPCODE::VFMADDSD4mr_Int)
  .value("VFMADDSD4rm", LIEF::assembly::x86::OPCODE::VFMADDSD4rm)
  .value("VFMADDSD4rm_Int", LIEF::assembly::x86::OPCODE::VFMADDSD4rm_Int)
  .value("VFMADDSD4rr", LIEF::assembly::x86::OPCODE::VFMADDSD4rr)
  .value("VFMADDSD4rr_Int", LIEF::assembly::x86::OPCODE::VFMADDSD4rr_Int)
  .value("VFMADDSD4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFMADDSD4rr_Int_REV)
  .value("VFMADDSD4rr_REV", LIEF::assembly::x86::OPCODE::VFMADDSD4rr_REV)
  .value("VFMADDSS4mr", LIEF::assembly::x86::OPCODE::VFMADDSS4mr)
  .value("VFMADDSS4mr_Int", LIEF::assembly::x86::OPCODE::VFMADDSS4mr_Int)
  .value("VFMADDSS4rm", LIEF::assembly::x86::OPCODE::VFMADDSS4rm)
  .value("VFMADDSS4rm_Int", LIEF::assembly::x86::OPCODE::VFMADDSS4rm_Int)
  .value("VFMADDSS4rr", LIEF::assembly::x86::OPCODE::VFMADDSS4rr)
  .value("VFMADDSS4rr_Int", LIEF::assembly::x86::OPCODE::VFMADDSS4rr_Int)
  .value("VFMADDSS4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFMADDSS4rr_Int_REV)
  .value("VFMADDSS4rr_REV", LIEF::assembly::x86::OPCODE::VFMADDSS4rr_REV)
  .value("VFMADDSUB132PDYm", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDYm)
  .value("VFMADDSUB132PDYr", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDYr)
  .value("VFMADDSUB132PDZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128m)
  .value("VFMADDSUB132PDZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128mb)
  .value("VFMADDSUB132PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128mbk)
  .value("VFMADDSUB132PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128mbkz)
  .value("VFMADDSUB132PDZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128mk)
  .value("VFMADDSUB132PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128mkz)
  .value("VFMADDSUB132PDZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128r)
  .value("VFMADDSUB132PDZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128rk)
  .value("VFMADDSUB132PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ128rkz)
  .value("VFMADDSUB132PDZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256m)
  .value("VFMADDSUB132PDZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256mb)
  .value("VFMADDSUB132PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256mbk)
  .value("VFMADDSUB132PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256mbkz)
  .value("VFMADDSUB132PDZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256mk)
  .value("VFMADDSUB132PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256mkz)
  .value("VFMADDSUB132PDZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256r)
  .value("VFMADDSUB132PDZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256rk)
  .value("VFMADDSUB132PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZ256rkz)
  .value("VFMADDSUB132PDZm", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZm)
  .value("VFMADDSUB132PDZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZmb)
  .value("VFMADDSUB132PDZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZmbk)
  .value("VFMADDSUB132PDZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZmbkz)
  .value("VFMADDSUB132PDZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZmk)
  .value("VFMADDSUB132PDZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZmkz)
  .value("VFMADDSUB132PDZr", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZr)
  .value("VFMADDSUB132PDZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZrb)
  .value("VFMADDSUB132PDZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZrbk)
  .value("VFMADDSUB132PDZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZrbkz)
  .value("VFMADDSUB132PDZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZrk)
  .value("VFMADDSUB132PDZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDZrkz)
  .value("VFMADDSUB132PDm", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDm)
  .value("VFMADDSUB132PDr", LIEF::assembly::x86::OPCODE::VFMADDSUB132PDr)
  .value("VFMADDSUB132PHZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128m)
  .value("VFMADDSUB132PHZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128mb)
  .value("VFMADDSUB132PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128mbk)
  .value("VFMADDSUB132PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128mbkz)
  .value("VFMADDSUB132PHZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128mk)
  .value("VFMADDSUB132PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128mkz)
  .value("VFMADDSUB132PHZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128r)
  .value("VFMADDSUB132PHZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128rk)
  .value("VFMADDSUB132PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ128rkz)
  .value("VFMADDSUB132PHZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256m)
  .value("VFMADDSUB132PHZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256mb)
  .value("VFMADDSUB132PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256mbk)
  .value("VFMADDSUB132PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256mbkz)
  .value("VFMADDSUB132PHZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256mk)
  .value("VFMADDSUB132PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256mkz)
  .value("VFMADDSUB132PHZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256r)
  .value("VFMADDSUB132PHZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256rk)
  .value("VFMADDSUB132PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZ256rkz)
  .value("VFMADDSUB132PHZm", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZm)
  .value("VFMADDSUB132PHZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZmb)
  .value("VFMADDSUB132PHZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZmbk)
  .value("VFMADDSUB132PHZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZmbkz)
  .value("VFMADDSUB132PHZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZmk)
  .value("VFMADDSUB132PHZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZmkz)
  .value("VFMADDSUB132PHZr", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZr)
  .value("VFMADDSUB132PHZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZrb)
  .value("VFMADDSUB132PHZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZrbk)
  .value("VFMADDSUB132PHZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZrbkz)
  .value("VFMADDSUB132PHZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZrk)
  .value("VFMADDSUB132PHZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PHZrkz)
  .value("VFMADDSUB132PSYm", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSYm)
  .value("VFMADDSUB132PSYr", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSYr)
  .value("VFMADDSUB132PSZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128m)
  .value("VFMADDSUB132PSZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128mb)
  .value("VFMADDSUB132PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128mbk)
  .value("VFMADDSUB132PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128mbkz)
  .value("VFMADDSUB132PSZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128mk)
  .value("VFMADDSUB132PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128mkz)
  .value("VFMADDSUB132PSZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128r)
  .value("VFMADDSUB132PSZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128rk)
  .value("VFMADDSUB132PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ128rkz)
  .value("VFMADDSUB132PSZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256m)
  .value("VFMADDSUB132PSZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256mb)
  .value("VFMADDSUB132PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256mbk)
  .value("VFMADDSUB132PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256mbkz)
  .value("VFMADDSUB132PSZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256mk)
  .value("VFMADDSUB132PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256mkz)
  .value("VFMADDSUB132PSZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256r)
  .value("VFMADDSUB132PSZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256rk)
  .value("VFMADDSUB132PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZ256rkz)
  .value("VFMADDSUB132PSZm", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZm)
  .value("VFMADDSUB132PSZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZmb)
  .value("VFMADDSUB132PSZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZmbk)
  .value("VFMADDSUB132PSZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZmbkz)
  .value("VFMADDSUB132PSZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZmk)
  .value("VFMADDSUB132PSZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZmkz)
  .value("VFMADDSUB132PSZr", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZr)
  .value("VFMADDSUB132PSZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZrb)
  .value("VFMADDSUB132PSZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZrbk)
  .value("VFMADDSUB132PSZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZrbkz)
  .value("VFMADDSUB132PSZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZrk)
  .value("VFMADDSUB132PSZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSZrkz)
  .value("VFMADDSUB132PSm", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSm)
  .value("VFMADDSUB132PSr", LIEF::assembly::x86::OPCODE::VFMADDSUB132PSr)
  .value("VFMADDSUB213PDYm", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDYm)
  .value("VFMADDSUB213PDYr", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDYr)
  .value("VFMADDSUB213PDZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128m)
  .value("VFMADDSUB213PDZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128mb)
  .value("VFMADDSUB213PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128mbk)
  .value("VFMADDSUB213PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128mbkz)
  .value("VFMADDSUB213PDZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128mk)
  .value("VFMADDSUB213PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128mkz)
  .value("VFMADDSUB213PDZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128r)
  .value("VFMADDSUB213PDZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128rk)
  .value("VFMADDSUB213PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ128rkz)
  .value("VFMADDSUB213PDZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256m)
  .value("VFMADDSUB213PDZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256mb)
  .value("VFMADDSUB213PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256mbk)
  .value("VFMADDSUB213PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256mbkz)
  .value("VFMADDSUB213PDZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256mk)
  .value("VFMADDSUB213PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256mkz)
  .value("VFMADDSUB213PDZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256r)
  .value("VFMADDSUB213PDZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256rk)
  .value("VFMADDSUB213PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZ256rkz)
  .value("VFMADDSUB213PDZm", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZm)
  .value("VFMADDSUB213PDZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZmb)
  .value("VFMADDSUB213PDZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZmbk)
  .value("VFMADDSUB213PDZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZmbkz)
  .value("VFMADDSUB213PDZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZmk)
  .value("VFMADDSUB213PDZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZmkz)
  .value("VFMADDSUB213PDZr", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZr)
  .value("VFMADDSUB213PDZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZrb)
  .value("VFMADDSUB213PDZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZrbk)
  .value("VFMADDSUB213PDZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZrbkz)
  .value("VFMADDSUB213PDZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZrk)
  .value("VFMADDSUB213PDZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDZrkz)
  .value("VFMADDSUB213PDm", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDm)
  .value("VFMADDSUB213PDr", LIEF::assembly::x86::OPCODE::VFMADDSUB213PDr)
  .value("VFMADDSUB213PHZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128m)
  .value("VFMADDSUB213PHZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128mb)
  .value("VFMADDSUB213PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128mbk)
  .value("VFMADDSUB213PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128mbkz)
  .value("VFMADDSUB213PHZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128mk)
  .value("VFMADDSUB213PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128mkz)
  .value("VFMADDSUB213PHZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128r)
  .value("VFMADDSUB213PHZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128rk)
  .value("VFMADDSUB213PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ128rkz)
  .value("VFMADDSUB213PHZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256m)
  .value("VFMADDSUB213PHZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256mb)
  .value("VFMADDSUB213PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256mbk)
  .value("VFMADDSUB213PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256mbkz)
  .value("VFMADDSUB213PHZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256mk)
  .value("VFMADDSUB213PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256mkz)
  .value("VFMADDSUB213PHZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256r)
  .value("VFMADDSUB213PHZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256rk)
  .value("VFMADDSUB213PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZ256rkz)
  .value("VFMADDSUB213PHZm", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZm)
  .value("VFMADDSUB213PHZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZmb)
  .value("VFMADDSUB213PHZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZmbk)
  .value("VFMADDSUB213PHZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZmbkz)
  .value("VFMADDSUB213PHZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZmk)
  .value("VFMADDSUB213PHZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZmkz)
  .value("VFMADDSUB213PHZr", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZr);
  opcodes.value("VFMADDSUB213PHZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZrb)
  .value("VFMADDSUB213PHZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZrbk)
  .value("VFMADDSUB213PHZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZrbkz)
  .value("VFMADDSUB213PHZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZrk)
  .value("VFMADDSUB213PHZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PHZrkz)
  .value("VFMADDSUB213PSYm", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSYm)
  .value("VFMADDSUB213PSYr", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSYr)
  .value("VFMADDSUB213PSZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128m)
  .value("VFMADDSUB213PSZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128mb)
  .value("VFMADDSUB213PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128mbk)
  .value("VFMADDSUB213PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128mbkz)
  .value("VFMADDSUB213PSZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128mk)
  .value("VFMADDSUB213PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128mkz)
  .value("VFMADDSUB213PSZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128r)
  .value("VFMADDSUB213PSZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128rk)
  .value("VFMADDSUB213PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ128rkz)
  .value("VFMADDSUB213PSZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256m)
  .value("VFMADDSUB213PSZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256mb)
  .value("VFMADDSUB213PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256mbk)
  .value("VFMADDSUB213PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256mbkz)
  .value("VFMADDSUB213PSZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256mk)
  .value("VFMADDSUB213PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256mkz)
  .value("VFMADDSUB213PSZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256r)
  .value("VFMADDSUB213PSZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256rk)
  .value("VFMADDSUB213PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZ256rkz)
  .value("VFMADDSUB213PSZm", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZm)
  .value("VFMADDSUB213PSZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZmb)
  .value("VFMADDSUB213PSZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZmbk)
  .value("VFMADDSUB213PSZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZmbkz)
  .value("VFMADDSUB213PSZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZmk)
  .value("VFMADDSUB213PSZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZmkz)
  .value("VFMADDSUB213PSZr", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZr)
  .value("VFMADDSUB213PSZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZrb)
  .value("VFMADDSUB213PSZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZrbk)
  .value("VFMADDSUB213PSZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZrbkz)
  .value("VFMADDSUB213PSZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZrk)
  .value("VFMADDSUB213PSZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSZrkz)
  .value("VFMADDSUB213PSm", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSm)
  .value("VFMADDSUB213PSr", LIEF::assembly::x86::OPCODE::VFMADDSUB213PSr)
  .value("VFMADDSUB231PDYm", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDYm)
  .value("VFMADDSUB231PDYr", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDYr)
  .value("VFMADDSUB231PDZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128m)
  .value("VFMADDSUB231PDZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128mb)
  .value("VFMADDSUB231PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128mbk)
  .value("VFMADDSUB231PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128mbkz)
  .value("VFMADDSUB231PDZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128mk)
  .value("VFMADDSUB231PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128mkz)
  .value("VFMADDSUB231PDZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128r)
  .value("VFMADDSUB231PDZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128rk)
  .value("VFMADDSUB231PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ128rkz)
  .value("VFMADDSUB231PDZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256m)
  .value("VFMADDSUB231PDZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256mb)
  .value("VFMADDSUB231PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256mbk)
  .value("VFMADDSUB231PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256mbkz)
  .value("VFMADDSUB231PDZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256mk)
  .value("VFMADDSUB231PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256mkz)
  .value("VFMADDSUB231PDZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256r)
  .value("VFMADDSUB231PDZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256rk)
  .value("VFMADDSUB231PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZ256rkz)
  .value("VFMADDSUB231PDZm", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZm)
  .value("VFMADDSUB231PDZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZmb)
  .value("VFMADDSUB231PDZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZmbk)
  .value("VFMADDSUB231PDZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZmbkz)
  .value("VFMADDSUB231PDZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZmk)
  .value("VFMADDSUB231PDZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZmkz)
  .value("VFMADDSUB231PDZr", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZr)
  .value("VFMADDSUB231PDZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZrb)
  .value("VFMADDSUB231PDZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZrbk)
  .value("VFMADDSUB231PDZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZrbkz)
  .value("VFMADDSUB231PDZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZrk)
  .value("VFMADDSUB231PDZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDZrkz)
  .value("VFMADDSUB231PDm", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDm)
  .value("VFMADDSUB231PDr", LIEF::assembly::x86::OPCODE::VFMADDSUB231PDr)
  .value("VFMADDSUB231PHZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128m)
  .value("VFMADDSUB231PHZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128mb)
  .value("VFMADDSUB231PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128mbk)
  .value("VFMADDSUB231PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128mbkz)
  .value("VFMADDSUB231PHZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128mk)
  .value("VFMADDSUB231PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128mkz)
  .value("VFMADDSUB231PHZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128r)
  .value("VFMADDSUB231PHZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128rk)
  .value("VFMADDSUB231PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ128rkz)
  .value("VFMADDSUB231PHZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256m)
  .value("VFMADDSUB231PHZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256mb)
  .value("VFMADDSUB231PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256mbk)
  .value("VFMADDSUB231PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256mbkz)
  .value("VFMADDSUB231PHZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256mk)
  .value("VFMADDSUB231PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256mkz)
  .value("VFMADDSUB231PHZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256r)
  .value("VFMADDSUB231PHZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256rk)
  .value("VFMADDSUB231PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZ256rkz)
  .value("VFMADDSUB231PHZm", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZm)
  .value("VFMADDSUB231PHZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZmb)
  .value("VFMADDSUB231PHZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZmbk)
  .value("VFMADDSUB231PHZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZmbkz)
  .value("VFMADDSUB231PHZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZmk)
  .value("VFMADDSUB231PHZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZmkz)
  .value("VFMADDSUB231PHZr", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZr)
  .value("VFMADDSUB231PHZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZrb)
  .value("VFMADDSUB231PHZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZrbk)
  .value("VFMADDSUB231PHZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZrbkz)
  .value("VFMADDSUB231PHZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZrk)
  .value("VFMADDSUB231PHZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PHZrkz)
  .value("VFMADDSUB231PSYm", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSYm)
  .value("VFMADDSUB231PSYr", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSYr)
  .value("VFMADDSUB231PSZ128m", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128m)
  .value("VFMADDSUB231PSZ128mb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128mb)
  .value("VFMADDSUB231PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128mbk)
  .value("VFMADDSUB231PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128mbkz)
  .value("VFMADDSUB231PSZ128mk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128mk)
  .value("VFMADDSUB231PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128mkz)
  .value("VFMADDSUB231PSZ128r", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128r)
  .value("VFMADDSUB231PSZ128rk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128rk)
  .value("VFMADDSUB231PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ128rkz)
  .value("VFMADDSUB231PSZ256m", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256m)
  .value("VFMADDSUB231PSZ256mb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256mb)
  .value("VFMADDSUB231PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256mbk)
  .value("VFMADDSUB231PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256mbkz)
  .value("VFMADDSUB231PSZ256mk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256mk)
  .value("VFMADDSUB231PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256mkz)
  .value("VFMADDSUB231PSZ256r", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256r)
  .value("VFMADDSUB231PSZ256rk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256rk)
  .value("VFMADDSUB231PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZ256rkz)
  .value("VFMADDSUB231PSZm", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZm)
  .value("VFMADDSUB231PSZmb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZmb)
  .value("VFMADDSUB231PSZmbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZmbk)
  .value("VFMADDSUB231PSZmbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZmbkz)
  .value("VFMADDSUB231PSZmk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZmk)
  .value("VFMADDSUB231PSZmkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZmkz)
  .value("VFMADDSUB231PSZr", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZr)
  .value("VFMADDSUB231PSZrb", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZrb)
  .value("VFMADDSUB231PSZrbk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZrbk)
  .value("VFMADDSUB231PSZrbkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZrbkz)
  .value("VFMADDSUB231PSZrk", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZrk)
  .value("VFMADDSUB231PSZrkz", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSZrkz)
  .value("VFMADDSUB231PSm", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSm)
  .value("VFMADDSUB231PSr", LIEF::assembly::x86::OPCODE::VFMADDSUB231PSr)
  .value("VFMADDSUBPD4Ymr", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4Ymr)
  .value("VFMADDSUBPD4Yrm", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4Yrm)
  .value("VFMADDSUBPD4Yrr", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4Yrr)
  .value("VFMADDSUBPD4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4Yrr_REV)
  .value("VFMADDSUBPD4mr", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4mr)
  .value("VFMADDSUBPD4rm", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4rm)
  .value("VFMADDSUBPD4rr", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4rr)
  .value("VFMADDSUBPD4rr_REV", LIEF::assembly::x86::OPCODE::VFMADDSUBPD4rr_REV)
  .value("VFMADDSUBPS4Ymr", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4Ymr)
  .value("VFMADDSUBPS4Yrm", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4Yrm)
  .value("VFMADDSUBPS4Yrr", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4Yrr)
  .value("VFMADDSUBPS4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4Yrr_REV)
  .value("VFMADDSUBPS4mr", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4mr)
  .value("VFMADDSUBPS4rm", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4rm)
  .value("VFMADDSUBPS4rr", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4rr)
  .value("VFMADDSUBPS4rr_REV", LIEF::assembly::x86::OPCODE::VFMADDSUBPS4rr_REV)
  .value("VFMSUB132PDYm", LIEF::assembly::x86::OPCODE::VFMSUB132PDYm)
  .value("VFMSUB132PDYr", LIEF::assembly::x86::OPCODE::VFMSUB132PDYr)
  .value("VFMSUB132PDZ128m", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128m)
  .value("VFMSUB132PDZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128mb)
  .value("VFMSUB132PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128mbk)
  .value("VFMSUB132PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128mbkz)
  .value("VFMSUB132PDZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128mk)
  .value("VFMSUB132PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128mkz)
  .value("VFMSUB132PDZ128r", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128r)
  .value("VFMSUB132PDZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128rk)
  .value("VFMSUB132PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ128rkz)
  .value("VFMSUB132PDZ256m", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256m)
  .value("VFMSUB132PDZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256mb)
  .value("VFMSUB132PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256mbk)
  .value("VFMSUB132PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256mbkz)
  .value("VFMSUB132PDZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256mk)
  .value("VFMSUB132PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256mkz)
  .value("VFMSUB132PDZ256r", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256r)
  .value("VFMSUB132PDZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256rk)
  .value("VFMSUB132PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZ256rkz)
  .value("VFMSUB132PDZm", LIEF::assembly::x86::OPCODE::VFMSUB132PDZm)
  .value("VFMSUB132PDZmb", LIEF::assembly::x86::OPCODE::VFMSUB132PDZmb)
  .value("VFMSUB132PDZmbk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZmbk)
  .value("VFMSUB132PDZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZmbkz)
  .value("VFMSUB132PDZmk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZmk)
  .value("VFMSUB132PDZmkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZmkz)
  .value("VFMSUB132PDZr", LIEF::assembly::x86::OPCODE::VFMSUB132PDZr)
  .value("VFMSUB132PDZrb", LIEF::assembly::x86::OPCODE::VFMSUB132PDZrb)
  .value("VFMSUB132PDZrbk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZrbk)
  .value("VFMSUB132PDZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZrbkz)
  .value("VFMSUB132PDZrk", LIEF::assembly::x86::OPCODE::VFMSUB132PDZrk)
  .value("VFMSUB132PDZrkz", LIEF::assembly::x86::OPCODE::VFMSUB132PDZrkz)
  .value("VFMSUB132PDm", LIEF::assembly::x86::OPCODE::VFMSUB132PDm)
  .value("VFMSUB132PDr", LIEF::assembly::x86::OPCODE::VFMSUB132PDr)
  .value("VFMSUB132PHZ128m", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128m)
  .value("VFMSUB132PHZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128mb)
  .value("VFMSUB132PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128mbk)
  .value("VFMSUB132PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128mbkz)
  .value("VFMSUB132PHZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128mk)
  .value("VFMSUB132PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128mkz)
  .value("VFMSUB132PHZ128r", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128r)
  .value("VFMSUB132PHZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128rk)
  .value("VFMSUB132PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ128rkz)
  .value("VFMSUB132PHZ256m", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256m)
  .value("VFMSUB132PHZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256mb)
  .value("VFMSUB132PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256mbk)
  .value("VFMSUB132PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256mbkz)
  .value("VFMSUB132PHZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256mk)
  .value("VFMSUB132PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256mkz)
  .value("VFMSUB132PHZ256r", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256r)
  .value("VFMSUB132PHZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256rk)
  .value("VFMSUB132PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZ256rkz)
  .value("VFMSUB132PHZm", LIEF::assembly::x86::OPCODE::VFMSUB132PHZm)
  .value("VFMSUB132PHZmb", LIEF::assembly::x86::OPCODE::VFMSUB132PHZmb)
  .value("VFMSUB132PHZmbk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZmbk)
  .value("VFMSUB132PHZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZmbkz)
  .value("VFMSUB132PHZmk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZmk)
  .value("VFMSUB132PHZmkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZmkz)
  .value("VFMSUB132PHZr", LIEF::assembly::x86::OPCODE::VFMSUB132PHZr)
  .value("VFMSUB132PHZrb", LIEF::assembly::x86::OPCODE::VFMSUB132PHZrb)
  .value("VFMSUB132PHZrbk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZrbk)
  .value("VFMSUB132PHZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZrbkz)
  .value("VFMSUB132PHZrk", LIEF::assembly::x86::OPCODE::VFMSUB132PHZrk)
  .value("VFMSUB132PHZrkz", LIEF::assembly::x86::OPCODE::VFMSUB132PHZrkz)
  .value("VFMSUB132PSYm", LIEF::assembly::x86::OPCODE::VFMSUB132PSYm)
  .value("VFMSUB132PSYr", LIEF::assembly::x86::OPCODE::VFMSUB132PSYr)
  .value("VFMSUB132PSZ128m", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128m)
  .value("VFMSUB132PSZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128mb)
  .value("VFMSUB132PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128mbk)
  .value("VFMSUB132PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128mbkz)
  .value("VFMSUB132PSZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128mk)
  .value("VFMSUB132PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128mkz)
  .value("VFMSUB132PSZ128r", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128r)
  .value("VFMSUB132PSZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128rk)
  .value("VFMSUB132PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ128rkz)
  .value("VFMSUB132PSZ256m", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256m)
  .value("VFMSUB132PSZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256mb)
  .value("VFMSUB132PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256mbk)
  .value("VFMSUB132PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256mbkz)
  .value("VFMSUB132PSZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256mk)
  .value("VFMSUB132PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256mkz)
  .value("VFMSUB132PSZ256r", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256r)
  .value("VFMSUB132PSZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256rk)
  .value("VFMSUB132PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZ256rkz)
  .value("VFMSUB132PSZm", LIEF::assembly::x86::OPCODE::VFMSUB132PSZm)
  .value("VFMSUB132PSZmb", LIEF::assembly::x86::OPCODE::VFMSUB132PSZmb)
  .value("VFMSUB132PSZmbk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZmbk)
  .value("VFMSUB132PSZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZmbkz)
  .value("VFMSUB132PSZmk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZmk)
  .value("VFMSUB132PSZmkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZmkz)
  .value("VFMSUB132PSZr", LIEF::assembly::x86::OPCODE::VFMSUB132PSZr)
  .value("VFMSUB132PSZrb", LIEF::assembly::x86::OPCODE::VFMSUB132PSZrb)
  .value("VFMSUB132PSZrbk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZrbk)
  .value("VFMSUB132PSZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZrbkz)
  .value("VFMSUB132PSZrk", LIEF::assembly::x86::OPCODE::VFMSUB132PSZrk)
  .value("VFMSUB132PSZrkz", LIEF::assembly::x86::OPCODE::VFMSUB132PSZrkz)
  .value("VFMSUB132PSm", LIEF::assembly::x86::OPCODE::VFMSUB132PSm)
  .value("VFMSUB132PSr", LIEF::assembly::x86::OPCODE::VFMSUB132PSr)
  .value("VFMSUB132SDZm", LIEF::assembly::x86::OPCODE::VFMSUB132SDZm)
  .value("VFMSUB132SDZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SDZm_Int)
  .value("VFMSUB132SDZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SDZm_Intk)
  .value("VFMSUB132SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SDZm_Intkz)
  .value("VFMSUB132SDZr", LIEF::assembly::x86::OPCODE::VFMSUB132SDZr)
  .value("VFMSUB132SDZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SDZr_Int)
  .value("VFMSUB132SDZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SDZr_Intk)
  .value("VFMSUB132SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SDZr_Intkz)
  .value("VFMSUB132SDZrb", LIEF::assembly::x86::OPCODE::VFMSUB132SDZrb)
  .value("VFMSUB132SDZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SDZrb_Int)
  .value("VFMSUB132SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SDZrb_Intk)
  .value("VFMSUB132SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SDZrb_Intkz)
  .value("VFMSUB132SDm", LIEF::assembly::x86::OPCODE::VFMSUB132SDm)
  .value("VFMSUB132SDm_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SDm_Int)
  .value("VFMSUB132SDr", LIEF::assembly::x86::OPCODE::VFMSUB132SDr)
  .value("VFMSUB132SDr_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SDr_Int)
  .value("VFMSUB132SHZm", LIEF::assembly::x86::OPCODE::VFMSUB132SHZm)
  .value("VFMSUB132SHZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SHZm_Int)
  .value("VFMSUB132SHZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SHZm_Intk)
  .value("VFMSUB132SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SHZm_Intkz)
  .value("VFMSUB132SHZr", LIEF::assembly::x86::OPCODE::VFMSUB132SHZr)
  .value("VFMSUB132SHZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SHZr_Int)
  .value("VFMSUB132SHZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SHZr_Intk)
  .value("VFMSUB132SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SHZr_Intkz)
  .value("VFMSUB132SHZrb", LIEF::assembly::x86::OPCODE::VFMSUB132SHZrb)
  .value("VFMSUB132SHZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SHZrb_Int)
  .value("VFMSUB132SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SHZrb_Intk)
  .value("VFMSUB132SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SHZrb_Intkz)
  .value("VFMSUB132SSZm", LIEF::assembly::x86::OPCODE::VFMSUB132SSZm)
  .value("VFMSUB132SSZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SSZm_Int)
  .value("VFMSUB132SSZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SSZm_Intk)
  .value("VFMSUB132SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SSZm_Intkz)
  .value("VFMSUB132SSZr", LIEF::assembly::x86::OPCODE::VFMSUB132SSZr)
  .value("VFMSUB132SSZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SSZr_Int)
  .value("VFMSUB132SSZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SSZr_Intk)
  .value("VFMSUB132SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SSZr_Intkz)
  .value("VFMSUB132SSZrb", LIEF::assembly::x86::OPCODE::VFMSUB132SSZrb)
  .value("VFMSUB132SSZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SSZrb_Int)
  .value("VFMSUB132SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB132SSZrb_Intk)
  .value("VFMSUB132SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB132SSZrb_Intkz)
  .value("VFMSUB132SSm", LIEF::assembly::x86::OPCODE::VFMSUB132SSm)
  .value("VFMSUB132SSm_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SSm_Int)
  .value("VFMSUB132SSr", LIEF::assembly::x86::OPCODE::VFMSUB132SSr)
  .value("VFMSUB132SSr_Int", LIEF::assembly::x86::OPCODE::VFMSUB132SSr_Int)
  .value("VFMSUB213PDYm", LIEF::assembly::x86::OPCODE::VFMSUB213PDYm)
  .value("VFMSUB213PDYr", LIEF::assembly::x86::OPCODE::VFMSUB213PDYr)
  .value("VFMSUB213PDZ128m", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128m)
  .value("VFMSUB213PDZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128mb)
  .value("VFMSUB213PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128mbk);
  opcodes.value("VFMSUB213PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128mbkz)
  .value("VFMSUB213PDZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128mk)
  .value("VFMSUB213PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128mkz)
  .value("VFMSUB213PDZ128r", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128r)
  .value("VFMSUB213PDZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128rk)
  .value("VFMSUB213PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ128rkz)
  .value("VFMSUB213PDZ256m", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256m)
  .value("VFMSUB213PDZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256mb)
  .value("VFMSUB213PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256mbk)
  .value("VFMSUB213PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256mbkz)
  .value("VFMSUB213PDZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256mk)
  .value("VFMSUB213PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256mkz)
  .value("VFMSUB213PDZ256r", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256r)
  .value("VFMSUB213PDZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256rk)
  .value("VFMSUB213PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZ256rkz)
  .value("VFMSUB213PDZm", LIEF::assembly::x86::OPCODE::VFMSUB213PDZm)
  .value("VFMSUB213PDZmb", LIEF::assembly::x86::OPCODE::VFMSUB213PDZmb)
  .value("VFMSUB213PDZmbk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZmbk)
  .value("VFMSUB213PDZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZmbkz)
  .value("VFMSUB213PDZmk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZmk)
  .value("VFMSUB213PDZmkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZmkz)
  .value("VFMSUB213PDZr", LIEF::assembly::x86::OPCODE::VFMSUB213PDZr)
  .value("VFMSUB213PDZrb", LIEF::assembly::x86::OPCODE::VFMSUB213PDZrb)
  .value("VFMSUB213PDZrbk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZrbk)
  .value("VFMSUB213PDZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZrbkz)
  .value("VFMSUB213PDZrk", LIEF::assembly::x86::OPCODE::VFMSUB213PDZrk)
  .value("VFMSUB213PDZrkz", LIEF::assembly::x86::OPCODE::VFMSUB213PDZrkz)
  .value("VFMSUB213PDm", LIEF::assembly::x86::OPCODE::VFMSUB213PDm)
  .value("VFMSUB213PDr", LIEF::assembly::x86::OPCODE::VFMSUB213PDr)
  .value("VFMSUB213PHZ128m", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128m)
  .value("VFMSUB213PHZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128mb)
  .value("VFMSUB213PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128mbk)
  .value("VFMSUB213PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128mbkz)
  .value("VFMSUB213PHZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128mk)
  .value("VFMSUB213PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128mkz)
  .value("VFMSUB213PHZ128r", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128r)
  .value("VFMSUB213PHZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128rk)
  .value("VFMSUB213PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ128rkz)
  .value("VFMSUB213PHZ256m", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256m)
  .value("VFMSUB213PHZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256mb)
  .value("VFMSUB213PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256mbk)
  .value("VFMSUB213PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256mbkz)
  .value("VFMSUB213PHZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256mk)
  .value("VFMSUB213PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256mkz)
  .value("VFMSUB213PHZ256r", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256r)
  .value("VFMSUB213PHZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256rk)
  .value("VFMSUB213PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZ256rkz)
  .value("VFMSUB213PHZm", LIEF::assembly::x86::OPCODE::VFMSUB213PHZm)
  .value("VFMSUB213PHZmb", LIEF::assembly::x86::OPCODE::VFMSUB213PHZmb)
  .value("VFMSUB213PHZmbk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZmbk)
  .value("VFMSUB213PHZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZmbkz)
  .value("VFMSUB213PHZmk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZmk)
  .value("VFMSUB213PHZmkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZmkz)
  .value("VFMSUB213PHZr", LIEF::assembly::x86::OPCODE::VFMSUB213PHZr)
  .value("VFMSUB213PHZrb", LIEF::assembly::x86::OPCODE::VFMSUB213PHZrb)
  .value("VFMSUB213PHZrbk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZrbk)
  .value("VFMSUB213PHZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZrbkz)
  .value("VFMSUB213PHZrk", LIEF::assembly::x86::OPCODE::VFMSUB213PHZrk)
  .value("VFMSUB213PHZrkz", LIEF::assembly::x86::OPCODE::VFMSUB213PHZrkz)
  .value("VFMSUB213PSYm", LIEF::assembly::x86::OPCODE::VFMSUB213PSYm)
  .value("VFMSUB213PSYr", LIEF::assembly::x86::OPCODE::VFMSUB213PSYr)
  .value("VFMSUB213PSZ128m", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128m)
  .value("VFMSUB213PSZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128mb)
  .value("VFMSUB213PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128mbk)
  .value("VFMSUB213PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128mbkz)
  .value("VFMSUB213PSZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128mk)
  .value("VFMSUB213PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128mkz)
  .value("VFMSUB213PSZ128r", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128r)
  .value("VFMSUB213PSZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128rk)
  .value("VFMSUB213PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ128rkz)
  .value("VFMSUB213PSZ256m", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256m)
  .value("VFMSUB213PSZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256mb)
  .value("VFMSUB213PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256mbk)
  .value("VFMSUB213PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256mbkz)
  .value("VFMSUB213PSZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256mk)
  .value("VFMSUB213PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256mkz)
  .value("VFMSUB213PSZ256r", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256r)
  .value("VFMSUB213PSZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256rk)
  .value("VFMSUB213PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZ256rkz)
  .value("VFMSUB213PSZm", LIEF::assembly::x86::OPCODE::VFMSUB213PSZm)
  .value("VFMSUB213PSZmb", LIEF::assembly::x86::OPCODE::VFMSUB213PSZmb)
  .value("VFMSUB213PSZmbk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZmbk)
  .value("VFMSUB213PSZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZmbkz)
  .value("VFMSUB213PSZmk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZmk)
  .value("VFMSUB213PSZmkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZmkz)
  .value("VFMSUB213PSZr", LIEF::assembly::x86::OPCODE::VFMSUB213PSZr)
  .value("VFMSUB213PSZrb", LIEF::assembly::x86::OPCODE::VFMSUB213PSZrb)
  .value("VFMSUB213PSZrbk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZrbk)
  .value("VFMSUB213PSZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZrbkz)
  .value("VFMSUB213PSZrk", LIEF::assembly::x86::OPCODE::VFMSUB213PSZrk)
  .value("VFMSUB213PSZrkz", LIEF::assembly::x86::OPCODE::VFMSUB213PSZrkz)
  .value("VFMSUB213PSm", LIEF::assembly::x86::OPCODE::VFMSUB213PSm)
  .value("VFMSUB213PSr", LIEF::assembly::x86::OPCODE::VFMSUB213PSr)
  .value("VFMSUB213SDZm", LIEF::assembly::x86::OPCODE::VFMSUB213SDZm)
  .value("VFMSUB213SDZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SDZm_Int)
  .value("VFMSUB213SDZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SDZm_Intk)
  .value("VFMSUB213SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SDZm_Intkz)
  .value("VFMSUB213SDZr", LIEF::assembly::x86::OPCODE::VFMSUB213SDZr)
  .value("VFMSUB213SDZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SDZr_Int)
  .value("VFMSUB213SDZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SDZr_Intk)
  .value("VFMSUB213SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SDZr_Intkz)
  .value("VFMSUB213SDZrb", LIEF::assembly::x86::OPCODE::VFMSUB213SDZrb)
  .value("VFMSUB213SDZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SDZrb_Int)
  .value("VFMSUB213SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SDZrb_Intk)
  .value("VFMSUB213SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SDZrb_Intkz)
  .value("VFMSUB213SDm", LIEF::assembly::x86::OPCODE::VFMSUB213SDm)
  .value("VFMSUB213SDm_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SDm_Int)
  .value("VFMSUB213SDr", LIEF::assembly::x86::OPCODE::VFMSUB213SDr)
  .value("VFMSUB213SDr_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SDr_Int)
  .value("VFMSUB213SHZm", LIEF::assembly::x86::OPCODE::VFMSUB213SHZm)
  .value("VFMSUB213SHZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SHZm_Int)
  .value("VFMSUB213SHZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SHZm_Intk)
  .value("VFMSUB213SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SHZm_Intkz)
  .value("VFMSUB213SHZr", LIEF::assembly::x86::OPCODE::VFMSUB213SHZr)
  .value("VFMSUB213SHZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SHZr_Int)
  .value("VFMSUB213SHZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SHZr_Intk)
  .value("VFMSUB213SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SHZr_Intkz)
  .value("VFMSUB213SHZrb", LIEF::assembly::x86::OPCODE::VFMSUB213SHZrb)
  .value("VFMSUB213SHZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SHZrb_Int)
  .value("VFMSUB213SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SHZrb_Intk)
  .value("VFMSUB213SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SHZrb_Intkz)
  .value("VFMSUB213SSZm", LIEF::assembly::x86::OPCODE::VFMSUB213SSZm)
  .value("VFMSUB213SSZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SSZm_Int)
  .value("VFMSUB213SSZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SSZm_Intk)
  .value("VFMSUB213SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SSZm_Intkz)
  .value("VFMSUB213SSZr", LIEF::assembly::x86::OPCODE::VFMSUB213SSZr)
  .value("VFMSUB213SSZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SSZr_Int)
  .value("VFMSUB213SSZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SSZr_Intk)
  .value("VFMSUB213SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SSZr_Intkz)
  .value("VFMSUB213SSZrb", LIEF::assembly::x86::OPCODE::VFMSUB213SSZrb)
  .value("VFMSUB213SSZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SSZrb_Int)
  .value("VFMSUB213SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB213SSZrb_Intk)
  .value("VFMSUB213SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB213SSZrb_Intkz)
  .value("VFMSUB213SSm", LIEF::assembly::x86::OPCODE::VFMSUB213SSm)
  .value("VFMSUB213SSm_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SSm_Int)
  .value("VFMSUB213SSr", LIEF::assembly::x86::OPCODE::VFMSUB213SSr)
  .value("VFMSUB213SSr_Int", LIEF::assembly::x86::OPCODE::VFMSUB213SSr_Int)
  .value("VFMSUB231PDYm", LIEF::assembly::x86::OPCODE::VFMSUB231PDYm)
  .value("VFMSUB231PDYr", LIEF::assembly::x86::OPCODE::VFMSUB231PDYr)
  .value("VFMSUB231PDZ128m", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128m)
  .value("VFMSUB231PDZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128mb)
  .value("VFMSUB231PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128mbk)
  .value("VFMSUB231PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128mbkz)
  .value("VFMSUB231PDZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128mk)
  .value("VFMSUB231PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128mkz)
  .value("VFMSUB231PDZ128r", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128r)
  .value("VFMSUB231PDZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128rk)
  .value("VFMSUB231PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ128rkz)
  .value("VFMSUB231PDZ256m", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256m)
  .value("VFMSUB231PDZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256mb)
  .value("VFMSUB231PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256mbk)
  .value("VFMSUB231PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256mbkz)
  .value("VFMSUB231PDZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256mk)
  .value("VFMSUB231PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256mkz)
  .value("VFMSUB231PDZ256r", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256r)
  .value("VFMSUB231PDZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256rk)
  .value("VFMSUB231PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZ256rkz)
  .value("VFMSUB231PDZm", LIEF::assembly::x86::OPCODE::VFMSUB231PDZm)
  .value("VFMSUB231PDZmb", LIEF::assembly::x86::OPCODE::VFMSUB231PDZmb)
  .value("VFMSUB231PDZmbk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZmbk)
  .value("VFMSUB231PDZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZmbkz)
  .value("VFMSUB231PDZmk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZmk)
  .value("VFMSUB231PDZmkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZmkz)
  .value("VFMSUB231PDZr", LIEF::assembly::x86::OPCODE::VFMSUB231PDZr)
  .value("VFMSUB231PDZrb", LIEF::assembly::x86::OPCODE::VFMSUB231PDZrb)
  .value("VFMSUB231PDZrbk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZrbk)
  .value("VFMSUB231PDZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZrbkz)
  .value("VFMSUB231PDZrk", LIEF::assembly::x86::OPCODE::VFMSUB231PDZrk)
  .value("VFMSUB231PDZrkz", LIEF::assembly::x86::OPCODE::VFMSUB231PDZrkz)
  .value("VFMSUB231PDm", LIEF::assembly::x86::OPCODE::VFMSUB231PDm)
  .value("VFMSUB231PDr", LIEF::assembly::x86::OPCODE::VFMSUB231PDr)
  .value("VFMSUB231PHZ128m", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128m)
  .value("VFMSUB231PHZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128mb)
  .value("VFMSUB231PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128mbk)
  .value("VFMSUB231PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128mbkz)
  .value("VFMSUB231PHZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128mk)
  .value("VFMSUB231PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128mkz)
  .value("VFMSUB231PHZ128r", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128r)
  .value("VFMSUB231PHZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128rk)
  .value("VFMSUB231PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ128rkz)
  .value("VFMSUB231PHZ256m", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256m)
  .value("VFMSUB231PHZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256mb)
  .value("VFMSUB231PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256mbk)
  .value("VFMSUB231PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256mbkz)
  .value("VFMSUB231PHZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256mk)
  .value("VFMSUB231PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256mkz)
  .value("VFMSUB231PHZ256r", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256r)
  .value("VFMSUB231PHZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256rk)
  .value("VFMSUB231PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZ256rkz)
  .value("VFMSUB231PHZm", LIEF::assembly::x86::OPCODE::VFMSUB231PHZm)
  .value("VFMSUB231PHZmb", LIEF::assembly::x86::OPCODE::VFMSUB231PHZmb)
  .value("VFMSUB231PHZmbk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZmbk)
  .value("VFMSUB231PHZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZmbkz)
  .value("VFMSUB231PHZmk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZmk)
  .value("VFMSUB231PHZmkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZmkz)
  .value("VFMSUB231PHZr", LIEF::assembly::x86::OPCODE::VFMSUB231PHZr)
  .value("VFMSUB231PHZrb", LIEF::assembly::x86::OPCODE::VFMSUB231PHZrb)
  .value("VFMSUB231PHZrbk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZrbk)
  .value("VFMSUB231PHZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZrbkz)
  .value("VFMSUB231PHZrk", LIEF::assembly::x86::OPCODE::VFMSUB231PHZrk)
  .value("VFMSUB231PHZrkz", LIEF::assembly::x86::OPCODE::VFMSUB231PHZrkz)
  .value("VFMSUB231PSYm", LIEF::assembly::x86::OPCODE::VFMSUB231PSYm)
  .value("VFMSUB231PSYr", LIEF::assembly::x86::OPCODE::VFMSUB231PSYr)
  .value("VFMSUB231PSZ128m", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128m)
  .value("VFMSUB231PSZ128mb", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128mb)
  .value("VFMSUB231PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128mbk)
  .value("VFMSUB231PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128mbkz)
  .value("VFMSUB231PSZ128mk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128mk)
  .value("VFMSUB231PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128mkz)
  .value("VFMSUB231PSZ128r", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128r)
  .value("VFMSUB231PSZ128rk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128rk)
  .value("VFMSUB231PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ128rkz)
  .value("VFMSUB231PSZ256m", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256m)
  .value("VFMSUB231PSZ256mb", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256mb)
  .value("VFMSUB231PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256mbk)
  .value("VFMSUB231PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256mbkz)
  .value("VFMSUB231PSZ256mk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256mk)
  .value("VFMSUB231PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256mkz)
  .value("VFMSUB231PSZ256r", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256r)
  .value("VFMSUB231PSZ256rk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256rk)
  .value("VFMSUB231PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZ256rkz)
  .value("VFMSUB231PSZm", LIEF::assembly::x86::OPCODE::VFMSUB231PSZm)
  .value("VFMSUB231PSZmb", LIEF::assembly::x86::OPCODE::VFMSUB231PSZmb)
  .value("VFMSUB231PSZmbk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZmbk)
  .value("VFMSUB231PSZmbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZmbkz)
  .value("VFMSUB231PSZmk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZmk)
  .value("VFMSUB231PSZmkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZmkz)
  .value("VFMSUB231PSZr", LIEF::assembly::x86::OPCODE::VFMSUB231PSZr)
  .value("VFMSUB231PSZrb", LIEF::assembly::x86::OPCODE::VFMSUB231PSZrb)
  .value("VFMSUB231PSZrbk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZrbk)
  .value("VFMSUB231PSZrbkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZrbkz)
  .value("VFMSUB231PSZrk", LIEF::assembly::x86::OPCODE::VFMSUB231PSZrk)
  .value("VFMSUB231PSZrkz", LIEF::assembly::x86::OPCODE::VFMSUB231PSZrkz)
  .value("VFMSUB231PSm", LIEF::assembly::x86::OPCODE::VFMSUB231PSm)
  .value("VFMSUB231PSr", LIEF::assembly::x86::OPCODE::VFMSUB231PSr)
  .value("VFMSUB231SDZm", LIEF::assembly::x86::OPCODE::VFMSUB231SDZm)
  .value("VFMSUB231SDZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SDZm_Int)
  .value("VFMSUB231SDZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SDZm_Intk)
  .value("VFMSUB231SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SDZm_Intkz)
  .value("VFMSUB231SDZr", LIEF::assembly::x86::OPCODE::VFMSUB231SDZr)
  .value("VFMSUB231SDZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SDZr_Int)
  .value("VFMSUB231SDZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SDZr_Intk)
  .value("VFMSUB231SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SDZr_Intkz)
  .value("VFMSUB231SDZrb", LIEF::assembly::x86::OPCODE::VFMSUB231SDZrb)
  .value("VFMSUB231SDZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SDZrb_Int)
  .value("VFMSUB231SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SDZrb_Intk)
  .value("VFMSUB231SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SDZrb_Intkz)
  .value("VFMSUB231SDm", LIEF::assembly::x86::OPCODE::VFMSUB231SDm)
  .value("VFMSUB231SDm_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SDm_Int)
  .value("VFMSUB231SDr", LIEF::assembly::x86::OPCODE::VFMSUB231SDr)
  .value("VFMSUB231SDr_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SDr_Int)
  .value("VFMSUB231SHZm", LIEF::assembly::x86::OPCODE::VFMSUB231SHZm)
  .value("VFMSUB231SHZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SHZm_Int)
  .value("VFMSUB231SHZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SHZm_Intk)
  .value("VFMSUB231SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SHZm_Intkz)
  .value("VFMSUB231SHZr", LIEF::assembly::x86::OPCODE::VFMSUB231SHZr)
  .value("VFMSUB231SHZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SHZr_Int)
  .value("VFMSUB231SHZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SHZr_Intk)
  .value("VFMSUB231SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SHZr_Intkz)
  .value("VFMSUB231SHZrb", LIEF::assembly::x86::OPCODE::VFMSUB231SHZrb)
  .value("VFMSUB231SHZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SHZrb_Int)
  .value("VFMSUB231SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SHZrb_Intk)
  .value("VFMSUB231SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SHZrb_Intkz)
  .value("VFMSUB231SSZm", LIEF::assembly::x86::OPCODE::VFMSUB231SSZm)
  .value("VFMSUB231SSZm_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SSZm_Int)
  .value("VFMSUB231SSZm_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SSZm_Intk)
  .value("VFMSUB231SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SSZm_Intkz)
  .value("VFMSUB231SSZr", LIEF::assembly::x86::OPCODE::VFMSUB231SSZr)
  .value("VFMSUB231SSZr_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SSZr_Int)
  .value("VFMSUB231SSZr_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SSZr_Intk)
  .value("VFMSUB231SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SSZr_Intkz)
  .value("VFMSUB231SSZrb", LIEF::assembly::x86::OPCODE::VFMSUB231SSZrb)
  .value("VFMSUB231SSZrb_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SSZrb_Int)
  .value("VFMSUB231SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFMSUB231SSZrb_Intk)
  .value("VFMSUB231SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFMSUB231SSZrb_Intkz)
  .value("VFMSUB231SSm", LIEF::assembly::x86::OPCODE::VFMSUB231SSm)
  .value("VFMSUB231SSm_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SSm_Int)
  .value("VFMSUB231SSr", LIEF::assembly::x86::OPCODE::VFMSUB231SSr)
  .value("VFMSUB231SSr_Int", LIEF::assembly::x86::OPCODE::VFMSUB231SSr_Int)
  .value("VFMSUBADD132PDYm", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDYm)
  .value("VFMSUBADD132PDYr", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDYr)
  .value("VFMSUBADD132PDZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128m)
  .value("VFMSUBADD132PDZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128mb)
  .value("VFMSUBADD132PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128mbk)
  .value("VFMSUBADD132PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128mbkz)
  .value("VFMSUBADD132PDZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128mk)
  .value("VFMSUBADD132PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128mkz)
  .value("VFMSUBADD132PDZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128r)
  .value("VFMSUBADD132PDZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128rk)
  .value("VFMSUBADD132PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ128rkz)
  .value("VFMSUBADD132PDZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256m)
  .value("VFMSUBADD132PDZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256mb)
  .value("VFMSUBADD132PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256mbk)
  .value("VFMSUBADD132PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256mbkz)
  .value("VFMSUBADD132PDZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256mk)
  .value("VFMSUBADD132PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256mkz)
  .value("VFMSUBADD132PDZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256r)
  .value("VFMSUBADD132PDZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256rk)
  .value("VFMSUBADD132PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZ256rkz)
  .value("VFMSUBADD132PDZm", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZm);
  opcodes.value("VFMSUBADD132PDZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZmb)
  .value("VFMSUBADD132PDZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZmbk)
  .value("VFMSUBADD132PDZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZmbkz)
  .value("VFMSUBADD132PDZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZmk)
  .value("VFMSUBADD132PDZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZmkz)
  .value("VFMSUBADD132PDZr", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZr)
  .value("VFMSUBADD132PDZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZrb)
  .value("VFMSUBADD132PDZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZrbk)
  .value("VFMSUBADD132PDZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZrbkz)
  .value("VFMSUBADD132PDZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZrk)
  .value("VFMSUBADD132PDZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDZrkz)
  .value("VFMSUBADD132PDm", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDm)
  .value("VFMSUBADD132PDr", LIEF::assembly::x86::OPCODE::VFMSUBADD132PDr)
  .value("VFMSUBADD132PHZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128m)
  .value("VFMSUBADD132PHZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128mb)
  .value("VFMSUBADD132PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128mbk)
  .value("VFMSUBADD132PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128mbkz)
  .value("VFMSUBADD132PHZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128mk)
  .value("VFMSUBADD132PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128mkz)
  .value("VFMSUBADD132PHZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128r)
  .value("VFMSUBADD132PHZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128rk)
  .value("VFMSUBADD132PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ128rkz)
  .value("VFMSUBADD132PHZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256m)
  .value("VFMSUBADD132PHZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256mb)
  .value("VFMSUBADD132PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256mbk)
  .value("VFMSUBADD132PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256mbkz)
  .value("VFMSUBADD132PHZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256mk)
  .value("VFMSUBADD132PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256mkz)
  .value("VFMSUBADD132PHZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256r)
  .value("VFMSUBADD132PHZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256rk)
  .value("VFMSUBADD132PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZ256rkz)
  .value("VFMSUBADD132PHZm", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZm)
  .value("VFMSUBADD132PHZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZmb)
  .value("VFMSUBADD132PHZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZmbk)
  .value("VFMSUBADD132PHZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZmbkz)
  .value("VFMSUBADD132PHZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZmk)
  .value("VFMSUBADD132PHZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZmkz)
  .value("VFMSUBADD132PHZr", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZr)
  .value("VFMSUBADD132PHZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZrb)
  .value("VFMSUBADD132PHZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZrbk)
  .value("VFMSUBADD132PHZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZrbkz)
  .value("VFMSUBADD132PHZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZrk)
  .value("VFMSUBADD132PHZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PHZrkz)
  .value("VFMSUBADD132PSYm", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSYm)
  .value("VFMSUBADD132PSYr", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSYr)
  .value("VFMSUBADD132PSZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128m)
  .value("VFMSUBADD132PSZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128mb)
  .value("VFMSUBADD132PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128mbk)
  .value("VFMSUBADD132PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128mbkz)
  .value("VFMSUBADD132PSZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128mk)
  .value("VFMSUBADD132PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128mkz)
  .value("VFMSUBADD132PSZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128r)
  .value("VFMSUBADD132PSZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128rk)
  .value("VFMSUBADD132PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ128rkz)
  .value("VFMSUBADD132PSZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256m)
  .value("VFMSUBADD132PSZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256mb)
  .value("VFMSUBADD132PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256mbk)
  .value("VFMSUBADD132PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256mbkz)
  .value("VFMSUBADD132PSZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256mk)
  .value("VFMSUBADD132PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256mkz)
  .value("VFMSUBADD132PSZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256r)
  .value("VFMSUBADD132PSZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256rk)
  .value("VFMSUBADD132PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZ256rkz)
  .value("VFMSUBADD132PSZm", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZm)
  .value("VFMSUBADD132PSZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZmb)
  .value("VFMSUBADD132PSZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZmbk)
  .value("VFMSUBADD132PSZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZmbkz)
  .value("VFMSUBADD132PSZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZmk)
  .value("VFMSUBADD132PSZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZmkz)
  .value("VFMSUBADD132PSZr", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZr)
  .value("VFMSUBADD132PSZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZrb)
  .value("VFMSUBADD132PSZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZrbk)
  .value("VFMSUBADD132PSZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZrbkz)
  .value("VFMSUBADD132PSZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZrk)
  .value("VFMSUBADD132PSZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSZrkz)
  .value("VFMSUBADD132PSm", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSm)
  .value("VFMSUBADD132PSr", LIEF::assembly::x86::OPCODE::VFMSUBADD132PSr)
  .value("VFMSUBADD213PDYm", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDYm)
  .value("VFMSUBADD213PDYr", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDYr)
  .value("VFMSUBADD213PDZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128m)
  .value("VFMSUBADD213PDZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128mb)
  .value("VFMSUBADD213PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128mbk)
  .value("VFMSUBADD213PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128mbkz)
  .value("VFMSUBADD213PDZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128mk)
  .value("VFMSUBADD213PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128mkz)
  .value("VFMSUBADD213PDZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128r)
  .value("VFMSUBADD213PDZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128rk)
  .value("VFMSUBADD213PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ128rkz)
  .value("VFMSUBADD213PDZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256m)
  .value("VFMSUBADD213PDZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256mb)
  .value("VFMSUBADD213PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256mbk)
  .value("VFMSUBADD213PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256mbkz)
  .value("VFMSUBADD213PDZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256mk)
  .value("VFMSUBADD213PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256mkz)
  .value("VFMSUBADD213PDZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256r)
  .value("VFMSUBADD213PDZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256rk)
  .value("VFMSUBADD213PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZ256rkz)
  .value("VFMSUBADD213PDZm", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZm)
  .value("VFMSUBADD213PDZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZmb)
  .value("VFMSUBADD213PDZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZmbk)
  .value("VFMSUBADD213PDZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZmbkz)
  .value("VFMSUBADD213PDZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZmk)
  .value("VFMSUBADD213PDZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZmkz)
  .value("VFMSUBADD213PDZr", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZr)
  .value("VFMSUBADD213PDZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZrb)
  .value("VFMSUBADD213PDZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZrbk)
  .value("VFMSUBADD213PDZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZrbkz)
  .value("VFMSUBADD213PDZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZrk)
  .value("VFMSUBADD213PDZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDZrkz)
  .value("VFMSUBADD213PDm", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDm)
  .value("VFMSUBADD213PDr", LIEF::assembly::x86::OPCODE::VFMSUBADD213PDr)
  .value("VFMSUBADD213PHZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128m)
  .value("VFMSUBADD213PHZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128mb)
  .value("VFMSUBADD213PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128mbk)
  .value("VFMSUBADD213PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128mbkz)
  .value("VFMSUBADD213PHZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128mk)
  .value("VFMSUBADD213PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128mkz)
  .value("VFMSUBADD213PHZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128r)
  .value("VFMSUBADD213PHZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128rk)
  .value("VFMSUBADD213PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ128rkz)
  .value("VFMSUBADD213PHZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256m)
  .value("VFMSUBADD213PHZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256mb)
  .value("VFMSUBADD213PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256mbk)
  .value("VFMSUBADD213PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256mbkz)
  .value("VFMSUBADD213PHZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256mk)
  .value("VFMSUBADD213PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256mkz)
  .value("VFMSUBADD213PHZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256r)
  .value("VFMSUBADD213PHZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256rk)
  .value("VFMSUBADD213PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZ256rkz)
  .value("VFMSUBADD213PHZm", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZm)
  .value("VFMSUBADD213PHZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZmb)
  .value("VFMSUBADD213PHZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZmbk)
  .value("VFMSUBADD213PHZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZmbkz)
  .value("VFMSUBADD213PHZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZmk)
  .value("VFMSUBADD213PHZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZmkz)
  .value("VFMSUBADD213PHZr", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZr)
  .value("VFMSUBADD213PHZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZrb)
  .value("VFMSUBADD213PHZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZrbk)
  .value("VFMSUBADD213PHZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZrbkz)
  .value("VFMSUBADD213PHZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZrk)
  .value("VFMSUBADD213PHZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PHZrkz)
  .value("VFMSUBADD213PSYm", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSYm)
  .value("VFMSUBADD213PSYr", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSYr)
  .value("VFMSUBADD213PSZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128m)
  .value("VFMSUBADD213PSZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128mb)
  .value("VFMSUBADD213PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128mbk)
  .value("VFMSUBADD213PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128mbkz)
  .value("VFMSUBADD213PSZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128mk)
  .value("VFMSUBADD213PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128mkz)
  .value("VFMSUBADD213PSZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128r)
  .value("VFMSUBADD213PSZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128rk)
  .value("VFMSUBADD213PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ128rkz)
  .value("VFMSUBADD213PSZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256m)
  .value("VFMSUBADD213PSZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256mb)
  .value("VFMSUBADD213PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256mbk)
  .value("VFMSUBADD213PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256mbkz)
  .value("VFMSUBADD213PSZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256mk)
  .value("VFMSUBADD213PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256mkz)
  .value("VFMSUBADD213PSZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256r)
  .value("VFMSUBADD213PSZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256rk)
  .value("VFMSUBADD213PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZ256rkz)
  .value("VFMSUBADD213PSZm", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZm)
  .value("VFMSUBADD213PSZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZmb)
  .value("VFMSUBADD213PSZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZmbk)
  .value("VFMSUBADD213PSZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZmbkz)
  .value("VFMSUBADD213PSZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZmk)
  .value("VFMSUBADD213PSZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZmkz)
  .value("VFMSUBADD213PSZr", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZr)
  .value("VFMSUBADD213PSZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZrb)
  .value("VFMSUBADD213PSZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZrbk)
  .value("VFMSUBADD213PSZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZrbkz)
  .value("VFMSUBADD213PSZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZrk)
  .value("VFMSUBADD213PSZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSZrkz)
  .value("VFMSUBADD213PSm", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSm)
  .value("VFMSUBADD213PSr", LIEF::assembly::x86::OPCODE::VFMSUBADD213PSr)
  .value("VFMSUBADD231PDYm", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDYm)
  .value("VFMSUBADD231PDYr", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDYr)
  .value("VFMSUBADD231PDZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128m)
  .value("VFMSUBADD231PDZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128mb)
  .value("VFMSUBADD231PDZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128mbk)
  .value("VFMSUBADD231PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128mbkz)
  .value("VFMSUBADD231PDZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128mk)
  .value("VFMSUBADD231PDZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128mkz)
  .value("VFMSUBADD231PDZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128r)
  .value("VFMSUBADD231PDZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128rk)
  .value("VFMSUBADD231PDZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ128rkz)
  .value("VFMSUBADD231PDZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256m)
  .value("VFMSUBADD231PDZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256mb)
  .value("VFMSUBADD231PDZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256mbk)
  .value("VFMSUBADD231PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256mbkz)
  .value("VFMSUBADD231PDZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256mk)
  .value("VFMSUBADD231PDZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256mkz)
  .value("VFMSUBADD231PDZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256r)
  .value("VFMSUBADD231PDZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256rk)
  .value("VFMSUBADD231PDZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZ256rkz)
  .value("VFMSUBADD231PDZm", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZm)
  .value("VFMSUBADD231PDZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZmb)
  .value("VFMSUBADD231PDZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZmbk)
  .value("VFMSUBADD231PDZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZmbkz)
  .value("VFMSUBADD231PDZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZmk)
  .value("VFMSUBADD231PDZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZmkz)
  .value("VFMSUBADD231PDZr", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZr)
  .value("VFMSUBADD231PDZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZrb)
  .value("VFMSUBADD231PDZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZrbk)
  .value("VFMSUBADD231PDZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZrbkz)
  .value("VFMSUBADD231PDZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZrk)
  .value("VFMSUBADD231PDZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDZrkz)
  .value("VFMSUBADD231PDm", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDm)
  .value("VFMSUBADD231PDr", LIEF::assembly::x86::OPCODE::VFMSUBADD231PDr)
  .value("VFMSUBADD231PHZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128m)
  .value("VFMSUBADD231PHZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128mb)
  .value("VFMSUBADD231PHZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128mbk)
  .value("VFMSUBADD231PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128mbkz)
  .value("VFMSUBADD231PHZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128mk)
  .value("VFMSUBADD231PHZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128mkz)
  .value("VFMSUBADD231PHZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128r)
  .value("VFMSUBADD231PHZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128rk)
  .value("VFMSUBADD231PHZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ128rkz)
  .value("VFMSUBADD231PHZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256m)
  .value("VFMSUBADD231PHZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256mb)
  .value("VFMSUBADD231PHZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256mbk)
  .value("VFMSUBADD231PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256mbkz)
  .value("VFMSUBADD231PHZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256mk)
  .value("VFMSUBADD231PHZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256mkz)
  .value("VFMSUBADD231PHZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256r)
  .value("VFMSUBADD231PHZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256rk)
  .value("VFMSUBADD231PHZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZ256rkz)
  .value("VFMSUBADD231PHZm", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZm)
  .value("VFMSUBADD231PHZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZmb)
  .value("VFMSUBADD231PHZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZmbk)
  .value("VFMSUBADD231PHZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZmbkz)
  .value("VFMSUBADD231PHZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZmk)
  .value("VFMSUBADD231PHZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZmkz)
  .value("VFMSUBADD231PHZr", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZr)
  .value("VFMSUBADD231PHZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZrb)
  .value("VFMSUBADD231PHZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZrbk)
  .value("VFMSUBADD231PHZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZrbkz)
  .value("VFMSUBADD231PHZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZrk)
  .value("VFMSUBADD231PHZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PHZrkz)
  .value("VFMSUBADD231PSYm", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSYm)
  .value("VFMSUBADD231PSYr", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSYr)
  .value("VFMSUBADD231PSZ128m", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128m)
  .value("VFMSUBADD231PSZ128mb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128mb)
  .value("VFMSUBADD231PSZ128mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128mbk)
  .value("VFMSUBADD231PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128mbkz)
  .value("VFMSUBADD231PSZ128mk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128mk)
  .value("VFMSUBADD231PSZ128mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128mkz)
  .value("VFMSUBADD231PSZ128r", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128r)
  .value("VFMSUBADD231PSZ128rk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128rk)
  .value("VFMSUBADD231PSZ128rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ128rkz)
  .value("VFMSUBADD231PSZ256m", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256m)
  .value("VFMSUBADD231PSZ256mb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256mb)
  .value("VFMSUBADD231PSZ256mbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256mbk)
  .value("VFMSUBADD231PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256mbkz)
  .value("VFMSUBADD231PSZ256mk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256mk)
  .value("VFMSUBADD231PSZ256mkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256mkz)
  .value("VFMSUBADD231PSZ256r", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256r)
  .value("VFMSUBADD231PSZ256rk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256rk)
  .value("VFMSUBADD231PSZ256rkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZ256rkz)
  .value("VFMSUBADD231PSZm", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZm)
  .value("VFMSUBADD231PSZmb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZmb)
  .value("VFMSUBADD231PSZmbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZmbk)
  .value("VFMSUBADD231PSZmbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZmbkz)
  .value("VFMSUBADD231PSZmk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZmk)
  .value("VFMSUBADD231PSZmkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZmkz)
  .value("VFMSUBADD231PSZr", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZr)
  .value("VFMSUBADD231PSZrb", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZrb)
  .value("VFMSUBADD231PSZrbk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZrbk)
  .value("VFMSUBADD231PSZrbkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZrbkz)
  .value("VFMSUBADD231PSZrk", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZrk)
  .value("VFMSUBADD231PSZrkz", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSZrkz)
  .value("VFMSUBADD231PSm", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSm)
  .value("VFMSUBADD231PSr", LIEF::assembly::x86::OPCODE::VFMSUBADD231PSr)
  .value("VFMSUBADDPD4Ymr", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4Ymr)
  .value("VFMSUBADDPD4Yrm", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4Yrm)
  .value("VFMSUBADDPD4Yrr", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4Yrr)
  .value("VFMSUBADDPD4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4Yrr_REV)
  .value("VFMSUBADDPD4mr", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4mr)
  .value("VFMSUBADDPD4rm", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4rm)
  .value("VFMSUBADDPD4rr", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4rr)
  .value("VFMSUBADDPD4rr_REV", LIEF::assembly::x86::OPCODE::VFMSUBADDPD4rr_REV)
  .value("VFMSUBADDPS4Ymr", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4Ymr)
  .value("VFMSUBADDPS4Yrm", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4Yrm)
  .value("VFMSUBADDPS4Yrr", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4Yrr)
  .value("VFMSUBADDPS4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4Yrr_REV)
  .value("VFMSUBADDPS4mr", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4mr)
  .value("VFMSUBADDPS4rm", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4rm)
  .value("VFMSUBADDPS4rr", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4rr)
  .value("VFMSUBADDPS4rr_REV", LIEF::assembly::x86::OPCODE::VFMSUBADDPS4rr_REV)
  .value("VFMSUBPD4Ymr", LIEF::assembly::x86::OPCODE::VFMSUBPD4Ymr)
  .value("VFMSUBPD4Yrm", LIEF::assembly::x86::OPCODE::VFMSUBPD4Yrm)
  .value("VFMSUBPD4Yrr", LIEF::assembly::x86::OPCODE::VFMSUBPD4Yrr)
  .value("VFMSUBPD4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMSUBPD4Yrr_REV)
  .value("VFMSUBPD4mr", LIEF::assembly::x86::OPCODE::VFMSUBPD4mr)
  .value("VFMSUBPD4rm", LIEF::assembly::x86::OPCODE::VFMSUBPD4rm)
  .value("VFMSUBPD4rr", LIEF::assembly::x86::OPCODE::VFMSUBPD4rr)
  .value("VFMSUBPD4rr_REV", LIEF::assembly::x86::OPCODE::VFMSUBPD4rr_REV)
  .value("VFMSUBPS4Ymr", LIEF::assembly::x86::OPCODE::VFMSUBPS4Ymr)
  .value("VFMSUBPS4Yrm", LIEF::assembly::x86::OPCODE::VFMSUBPS4Yrm)
  .value("VFMSUBPS4Yrr", LIEF::assembly::x86::OPCODE::VFMSUBPS4Yrr);
  opcodes.value("VFMSUBPS4Yrr_REV", LIEF::assembly::x86::OPCODE::VFMSUBPS4Yrr_REV)
  .value("VFMSUBPS4mr", LIEF::assembly::x86::OPCODE::VFMSUBPS4mr)
  .value("VFMSUBPS4rm", LIEF::assembly::x86::OPCODE::VFMSUBPS4rm)
  .value("VFMSUBPS4rr", LIEF::assembly::x86::OPCODE::VFMSUBPS4rr)
  .value("VFMSUBPS4rr_REV", LIEF::assembly::x86::OPCODE::VFMSUBPS4rr_REV)
  .value("VFMSUBSD4mr", LIEF::assembly::x86::OPCODE::VFMSUBSD4mr)
  .value("VFMSUBSD4mr_Int", LIEF::assembly::x86::OPCODE::VFMSUBSD4mr_Int)
  .value("VFMSUBSD4rm", LIEF::assembly::x86::OPCODE::VFMSUBSD4rm)
  .value("VFMSUBSD4rm_Int", LIEF::assembly::x86::OPCODE::VFMSUBSD4rm_Int)
  .value("VFMSUBSD4rr", LIEF::assembly::x86::OPCODE::VFMSUBSD4rr)
  .value("VFMSUBSD4rr_Int", LIEF::assembly::x86::OPCODE::VFMSUBSD4rr_Int)
  .value("VFMSUBSD4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFMSUBSD4rr_Int_REV)
  .value("VFMSUBSD4rr_REV", LIEF::assembly::x86::OPCODE::VFMSUBSD4rr_REV)
  .value("VFMSUBSS4mr", LIEF::assembly::x86::OPCODE::VFMSUBSS4mr)
  .value("VFMSUBSS4mr_Int", LIEF::assembly::x86::OPCODE::VFMSUBSS4mr_Int)
  .value("VFMSUBSS4rm", LIEF::assembly::x86::OPCODE::VFMSUBSS4rm)
  .value("VFMSUBSS4rm_Int", LIEF::assembly::x86::OPCODE::VFMSUBSS4rm_Int)
  .value("VFMSUBSS4rr", LIEF::assembly::x86::OPCODE::VFMSUBSS4rr)
  .value("VFMSUBSS4rr_Int", LIEF::assembly::x86::OPCODE::VFMSUBSS4rr_Int)
  .value("VFMSUBSS4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFMSUBSS4rr_Int_REV)
  .value("VFMSUBSS4rr_REV", LIEF::assembly::x86::OPCODE::VFMSUBSS4rr_REV)
  .value("VFMULCPHZ128rm", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rm)
  .value("VFMULCPHZ128rmb", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rmb)
  .value("VFMULCPHZ128rmbk", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rmbk)
  .value("VFMULCPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rmbkz)
  .value("VFMULCPHZ128rmk", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rmk)
  .value("VFMULCPHZ128rmkz", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rmkz)
  .value("VFMULCPHZ128rr", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rr)
  .value("VFMULCPHZ128rrk", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rrk)
  .value("VFMULCPHZ128rrkz", LIEF::assembly::x86::OPCODE::VFMULCPHZ128rrkz)
  .value("VFMULCPHZ256rm", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rm)
  .value("VFMULCPHZ256rmb", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rmb)
  .value("VFMULCPHZ256rmbk", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rmbk)
  .value("VFMULCPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rmbkz)
  .value("VFMULCPHZ256rmk", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rmk)
  .value("VFMULCPHZ256rmkz", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rmkz)
  .value("VFMULCPHZ256rr", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rr)
  .value("VFMULCPHZ256rrk", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rrk)
  .value("VFMULCPHZ256rrkz", LIEF::assembly::x86::OPCODE::VFMULCPHZ256rrkz)
  .value("VFMULCPHZrm", LIEF::assembly::x86::OPCODE::VFMULCPHZrm)
  .value("VFMULCPHZrmb", LIEF::assembly::x86::OPCODE::VFMULCPHZrmb)
  .value("VFMULCPHZrmbk", LIEF::assembly::x86::OPCODE::VFMULCPHZrmbk)
  .value("VFMULCPHZrmbkz", LIEF::assembly::x86::OPCODE::VFMULCPHZrmbkz)
  .value("VFMULCPHZrmk", LIEF::assembly::x86::OPCODE::VFMULCPHZrmk)
  .value("VFMULCPHZrmkz", LIEF::assembly::x86::OPCODE::VFMULCPHZrmkz)
  .value("VFMULCPHZrr", LIEF::assembly::x86::OPCODE::VFMULCPHZrr)
  .value("VFMULCPHZrrb", LIEF::assembly::x86::OPCODE::VFMULCPHZrrb)
  .value("VFMULCPHZrrbk", LIEF::assembly::x86::OPCODE::VFMULCPHZrrbk)
  .value("VFMULCPHZrrbkz", LIEF::assembly::x86::OPCODE::VFMULCPHZrrbkz)
  .value("VFMULCPHZrrk", LIEF::assembly::x86::OPCODE::VFMULCPHZrrk)
  .value("VFMULCPHZrrkz", LIEF::assembly::x86::OPCODE::VFMULCPHZrrkz)
  .value("VFMULCSHZrm", LIEF::assembly::x86::OPCODE::VFMULCSHZrm)
  .value("VFMULCSHZrmk", LIEF::assembly::x86::OPCODE::VFMULCSHZrmk)
  .value("VFMULCSHZrmkz", LIEF::assembly::x86::OPCODE::VFMULCSHZrmkz)
  .value("VFMULCSHZrr", LIEF::assembly::x86::OPCODE::VFMULCSHZrr)
  .value("VFMULCSHZrrb", LIEF::assembly::x86::OPCODE::VFMULCSHZrrb)
  .value("VFMULCSHZrrbk", LIEF::assembly::x86::OPCODE::VFMULCSHZrrbk)
  .value("VFMULCSHZrrbkz", LIEF::assembly::x86::OPCODE::VFMULCSHZrrbkz)
  .value("VFMULCSHZrrk", LIEF::assembly::x86::OPCODE::VFMULCSHZrrk)
  .value("VFMULCSHZrrkz", LIEF::assembly::x86::OPCODE::VFMULCSHZrrkz)
  .value("VFNMADD132PDYm", LIEF::assembly::x86::OPCODE::VFNMADD132PDYm)
  .value("VFNMADD132PDYr", LIEF::assembly::x86::OPCODE::VFNMADD132PDYr)
  .value("VFNMADD132PDZ128m", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128m)
  .value("VFNMADD132PDZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128mb)
  .value("VFNMADD132PDZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128mbk)
  .value("VFNMADD132PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128mbkz)
  .value("VFNMADD132PDZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128mk)
  .value("VFNMADD132PDZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128mkz)
  .value("VFNMADD132PDZ128r", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128r)
  .value("VFNMADD132PDZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128rk)
  .value("VFNMADD132PDZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ128rkz)
  .value("VFNMADD132PDZ256m", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256m)
  .value("VFNMADD132PDZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256mb)
  .value("VFNMADD132PDZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256mbk)
  .value("VFNMADD132PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256mbkz)
  .value("VFNMADD132PDZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256mk)
  .value("VFNMADD132PDZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256mkz)
  .value("VFNMADD132PDZ256r", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256r)
  .value("VFNMADD132PDZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256rk)
  .value("VFNMADD132PDZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZ256rkz)
  .value("VFNMADD132PDZm", LIEF::assembly::x86::OPCODE::VFNMADD132PDZm)
  .value("VFNMADD132PDZmb", LIEF::assembly::x86::OPCODE::VFNMADD132PDZmb)
  .value("VFNMADD132PDZmbk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZmbk)
  .value("VFNMADD132PDZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZmbkz)
  .value("VFNMADD132PDZmk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZmk)
  .value("VFNMADD132PDZmkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZmkz)
  .value("VFNMADD132PDZr", LIEF::assembly::x86::OPCODE::VFNMADD132PDZr)
  .value("VFNMADD132PDZrb", LIEF::assembly::x86::OPCODE::VFNMADD132PDZrb)
  .value("VFNMADD132PDZrbk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZrbk)
  .value("VFNMADD132PDZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZrbkz)
  .value("VFNMADD132PDZrk", LIEF::assembly::x86::OPCODE::VFNMADD132PDZrk)
  .value("VFNMADD132PDZrkz", LIEF::assembly::x86::OPCODE::VFNMADD132PDZrkz)
  .value("VFNMADD132PDm", LIEF::assembly::x86::OPCODE::VFNMADD132PDm)
  .value("VFNMADD132PDr", LIEF::assembly::x86::OPCODE::VFNMADD132PDr)
  .value("VFNMADD132PHZ128m", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128m)
  .value("VFNMADD132PHZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128mb)
  .value("VFNMADD132PHZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128mbk)
  .value("VFNMADD132PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128mbkz)
  .value("VFNMADD132PHZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128mk)
  .value("VFNMADD132PHZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128mkz)
  .value("VFNMADD132PHZ128r", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128r)
  .value("VFNMADD132PHZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128rk)
  .value("VFNMADD132PHZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ128rkz)
  .value("VFNMADD132PHZ256m", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256m)
  .value("VFNMADD132PHZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256mb)
  .value("VFNMADD132PHZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256mbk)
  .value("VFNMADD132PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256mbkz)
  .value("VFNMADD132PHZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256mk)
  .value("VFNMADD132PHZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256mkz)
  .value("VFNMADD132PHZ256r", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256r)
  .value("VFNMADD132PHZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256rk)
  .value("VFNMADD132PHZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZ256rkz)
  .value("VFNMADD132PHZm", LIEF::assembly::x86::OPCODE::VFNMADD132PHZm)
  .value("VFNMADD132PHZmb", LIEF::assembly::x86::OPCODE::VFNMADD132PHZmb)
  .value("VFNMADD132PHZmbk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZmbk)
  .value("VFNMADD132PHZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZmbkz)
  .value("VFNMADD132PHZmk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZmk)
  .value("VFNMADD132PHZmkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZmkz)
  .value("VFNMADD132PHZr", LIEF::assembly::x86::OPCODE::VFNMADD132PHZr)
  .value("VFNMADD132PHZrb", LIEF::assembly::x86::OPCODE::VFNMADD132PHZrb)
  .value("VFNMADD132PHZrbk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZrbk)
  .value("VFNMADD132PHZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZrbkz)
  .value("VFNMADD132PHZrk", LIEF::assembly::x86::OPCODE::VFNMADD132PHZrk)
  .value("VFNMADD132PHZrkz", LIEF::assembly::x86::OPCODE::VFNMADD132PHZrkz)
  .value("VFNMADD132PSYm", LIEF::assembly::x86::OPCODE::VFNMADD132PSYm)
  .value("VFNMADD132PSYr", LIEF::assembly::x86::OPCODE::VFNMADD132PSYr)
  .value("VFNMADD132PSZ128m", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128m)
  .value("VFNMADD132PSZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128mb)
  .value("VFNMADD132PSZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128mbk)
  .value("VFNMADD132PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128mbkz)
  .value("VFNMADD132PSZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128mk)
  .value("VFNMADD132PSZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128mkz)
  .value("VFNMADD132PSZ128r", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128r)
  .value("VFNMADD132PSZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128rk)
  .value("VFNMADD132PSZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ128rkz)
  .value("VFNMADD132PSZ256m", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256m)
  .value("VFNMADD132PSZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256mb)
  .value("VFNMADD132PSZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256mbk)
  .value("VFNMADD132PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256mbkz)
  .value("VFNMADD132PSZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256mk)
  .value("VFNMADD132PSZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256mkz)
  .value("VFNMADD132PSZ256r", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256r)
  .value("VFNMADD132PSZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256rk)
  .value("VFNMADD132PSZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZ256rkz)
  .value("VFNMADD132PSZm", LIEF::assembly::x86::OPCODE::VFNMADD132PSZm)
  .value("VFNMADD132PSZmb", LIEF::assembly::x86::OPCODE::VFNMADD132PSZmb)
  .value("VFNMADD132PSZmbk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZmbk)
  .value("VFNMADD132PSZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZmbkz)
  .value("VFNMADD132PSZmk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZmk)
  .value("VFNMADD132PSZmkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZmkz)
  .value("VFNMADD132PSZr", LIEF::assembly::x86::OPCODE::VFNMADD132PSZr)
  .value("VFNMADD132PSZrb", LIEF::assembly::x86::OPCODE::VFNMADD132PSZrb)
  .value("VFNMADD132PSZrbk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZrbk)
  .value("VFNMADD132PSZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZrbkz)
  .value("VFNMADD132PSZrk", LIEF::assembly::x86::OPCODE::VFNMADD132PSZrk)
  .value("VFNMADD132PSZrkz", LIEF::assembly::x86::OPCODE::VFNMADD132PSZrkz)
  .value("VFNMADD132PSm", LIEF::assembly::x86::OPCODE::VFNMADD132PSm)
  .value("VFNMADD132PSr", LIEF::assembly::x86::OPCODE::VFNMADD132PSr)
  .value("VFNMADD132SDZm", LIEF::assembly::x86::OPCODE::VFNMADD132SDZm)
  .value("VFNMADD132SDZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SDZm_Int)
  .value("VFNMADD132SDZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SDZm_Intk)
  .value("VFNMADD132SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SDZm_Intkz)
  .value("VFNMADD132SDZr", LIEF::assembly::x86::OPCODE::VFNMADD132SDZr)
  .value("VFNMADD132SDZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SDZr_Int)
  .value("VFNMADD132SDZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SDZr_Intk)
  .value("VFNMADD132SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SDZr_Intkz)
  .value("VFNMADD132SDZrb", LIEF::assembly::x86::OPCODE::VFNMADD132SDZrb)
  .value("VFNMADD132SDZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SDZrb_Int)
  .value("VFNMADD132SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SDZrb_Intk)
  .value("VFNMADD132SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SDZrb_Intkz)
  .value("VFNMADD132SDm", LIEF::assembly::x86::OPCODE::VFNMADD132SDm)
  .value("VFNMADD132SDm_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SDm_Int)
  .value("VFNMADD132SDr", LIEF::assembly::x86::OPCODE::VFNMADD132SDr)
  .value("VFNMADD132SDr_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SDr_Int)
  .value("VFNMADD132SHZm", LIEF::assembly::x86::OPCODE::VFNMADD132SHZm)
  .value("VFNMADD132SHZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SHZm_Int)
  .value("VFNMADD132SHZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SHZm_Intk)
  .value("VFNMADD132SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SHZm_Intkz)
  .value("VFNMADD132SHZr", LIEF::assembly::x86::OPCODE::VFNMADD132SHZr)
  .value("VFNMADD132SHZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SHZr_Int)
  .value("VFNMADD132SHZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SHZr_Intk)
  .value("VFNMADD132SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SHZr_Intkz)
  .value("VFNMADD132SHZrb", LIEF::assembly::x86::OPCODE::VFNMADD132SHZrb)
  .value("VFNMADD132SHZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SHZrb_Int)
  .value("VFNMADD132SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SHZrb_Intk)
  .value("VFNMADD132SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SHZrb_Intkz)
  .value("VFNMADD132SSZm", LIEF::assembly::x86::OPCODE::VFNMADD132SSZm)
  .value("VFNMADD132SSZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SSZm_Int)
  .value("VFNMADD132SSZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SSZm_Intk)
  .value("VFNMADD132SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SSZm_Intkz)
  .value("VFNMADD132SSZr", LIEF::assembly::x86::OPCODE::VFNMADD132SSZr)
  .value("VFNMADD132SSZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SSZr_Int)
  .value("VFNMADD132SSZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SSZr_Intk)
  .value("VFNMADD132SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SSZr_Intkz)
  .value("VFNMADD132SSZrb", LIEF::assembly::x86::OPCODE::VFNMADD132SSZrb)
  .value("VFNMADD132SSZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SSZrb_Int)
  .value("VFNMADD132SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD132SSZrb_Intk)
  .value("VFNMADD132SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD132SSZrb_Intkz)
  .value("VFNMADD132SSm", LIEF::assembly::x86::OPCODE::VFNMADD132SSm)
  .value("VFNMADD132SSm_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SSm_Int)
  .value("VFNMADD132SSr", LIEF::assembly::x86::OPCODE::VFNMADD132SSr)
  .value("VFNMADD132SSr_Int", LIEF::assembly::x86::OPCODE::VFNMADD132SSr_Int)
  .value("VFNMADD213PDYm", LIEF::assembly::x86::OPCODE::VFNMADD213PDYm)
  .value("VFNMADD213PDYr", LIEF::assembly::x86::OPCODE::VFNMADD213PDYr)
  .value("VFNMADD213PDZ128m", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128m)
  .value("VFNMADD213PDZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128mb)
  .value("VFNMADD213PDZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128mbk)
  .value("VFNMADD213PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128mbkz)
  .value("VFNMADD213PDZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128mk)
  .value("VFNMADD213PDZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128mkz)
  .value("VFNMADD213PDZ128r", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128r)
  .value("VFNMADD213PDZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128rk)
  .value("VFNMADD213PDZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ128rkz)
  .value("VFNMADD213PDZ256m", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256m)
  .value("VFNMADD213PDZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256mb)
  .value("VFNMADD213PDZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256mbk)
  .value("VFNMADD213PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256mbkz)
  .value("VFNMADD213PDZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256mk)
  .value("VFNMADD213PDZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256mkz)
  .value("VFNMADD213PDZ256r", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256r)
  .value("VFNMADD213PDZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256rk)
  .value("VFNMADD213PDZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZ256rkz)
  .value("VFNMADD213PDZm", LIEF::assembly::x86::OPCODE::VFNMADD213PDZm)
  .value("VFNMADD213PDZmb", LIEF::assembly::x86::OPCODE::VFNMADD213PDZmb)
  .value("VFNMADD213PDZmbk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZmbk)
  .value("VFNMADD213PDZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZmbkz)
  .value("VFNMADD213PDZmk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZmk)
  .value("VFNMADD213PDZmkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZmkz)
  .value("VFNMADD213PDZr", LIEF::assembly::x86::OPCODE::VFNMADD213PDZr)
  .value("VFNMADD213PDZrb", LIEF::assembly::x86::OPCODE::VFNMADD213PDZrb)
  .value("VFNMADD213PDZrbk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZrbk)
  .value("VFNMADD213PDZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZrbkz)
  .value("VFNMADD213PDZrk", LIEF::assembly::x86::OPCODE::VFNMADD213PDZrk)
  .value("VFNMADD213PDZrkz", LIEF::assembly::x86::OPCODE::VFNMADD213PDZrkz)
  .value("VFNMADD213PDm", LIEF::assembly::x86::OPCODE::VFNMADD213PDm)
  .value("VFNMADD213PDr", LIEF::assembly::x86::OPCODE::VFNMADD213PDr)
  .value("VFNMADD213PHZ128m", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128m)
  .value("VFNMADD213PHZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128mb)
  .value("VFNMADD213PHZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128mbk)
  .value("VFNMADD213PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128mbkz)
  .value("VFNMADD213PHZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128mk)
  .value("VFNMADD213PHZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128mkz)
  .value("VFNMADD213PHZ128r", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128r)
  .value("VFNMADD213PHZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128rk)
  .value("VFNMADD213PHZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ128rkz)
  .value("VFNMADD213PHZ256m", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256m)
  .value("VFNMADD213PHZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256mb)
  .value("VFNMADD213PHZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256mbk)
  .value("VFNMADD213PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256mbkz)
  .value("VFNMADD213PHZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256mk)
  .value("VFNMADD213PHZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256mkz)
  .value("VFNMADD213PHZ256r", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256r)
  .value("VFNMADD213PHZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256rk)
  .value("VFNMADD213PHZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZ256rkz)
  .value("VFNMADD213PHZm", LIEF::assembly::x86::OPCODE::VFNMADD213PHZm)
  .value("VFNMADD213PHZmb", LIEF::assembly::x86::OPCODE::VFNMADD213PHZmb)
  .value("VFNMADD213PHZmbk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZmbk)
  .value("VFNMADD213PHZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZmbkz)
  .value("VFNMADD213PHZmk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZmk)
  .value("VFNMADD213PHZmkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZmkz)
  .value("VFNMADD213PHZr", LIEF::assembly::x86::OPCODE::VFNMADD213PHZr)
  .value("VFNMADD213PHZrb", LIEF::assembly::x86::OPCODE::VFNMADD213PHZrb)
  .value("VFNMADD213PHZrbk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZrbk)
  .value("VFNMADD213PHZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZrbkz)
  .value("VFNMADD213PHZrk", LIEF::assembly::x86::OPCODE::VFNMADD213PHZrk)
  .value("VFNMADD213PHZrkz", LIEF::assembly::x86::OPCODE::VFNMADD213PHZrkz)
  .value("VFNMADD213PSYm", LIEF::assembly::x86::OPCODE::VFNMADD213PSYm)
  .value("VFNMADD213PSYr", LIEF::assembly::x86::OPCODE::VFNMADD213PSYr)
  .value("VFNMADD213PSZ128m", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128m)
  .value("VFNMADD213PSZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128mb)
  .value("VFNMADD213PSZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128mbk)
  .value("VFNMADD213PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128mbkz)
  .value("VFNMADD213PSZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128mk)
  .value("VFNMADD213PSZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128mkz)
  .value("VFNMADD213PSZ128r", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128r)
  .value("VFNMADD213PSZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128rk)
  .value("VFNMADD213PSZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ128rkz)
  .value("VFNMADD213PSZ256m", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256m)
  .value("VFNMADD213PSZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256mb)
  .value("VFNMADD213PSZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256mbk)
  .value("VFNMADD213PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256mbkz)
  .value("VFNMADD213PSZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256mk)
  .value("VFNMADD213PSZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256mkz)
  .value("VFNMADD213PSZ256r", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256r)
  .value("VFNMADD213PSZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256rk)
  .value("VFNMADD213PSZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZ256rkz)
  .value("VFNMADD213PSZm", LIEF::assembly::x86::OPCODE::VFNMADD213PSZm)
  .value("VFNMADD213PSZmb", LIEF::assembly::x86::OPCODE::VFNMADD213PSZmb)
  .value("VFNMADD213PSZmbk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZmbk)
  .value("VFNMADD213PSZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZmbkz)
  .value("VFNMADD213PSZmk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZmk)
  .value("VFNMADD213PSZmkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZmkz)
  .value("VFNMADD213PSZr", LIEF::assembly::x86::OPCODE::VFNMADD213PSZr)
  .value("VFNMADD213PSZrb", LIEF::assembly::x86::OPCODE::VFNMADD213PSZrb)
  .value("VFNMADD213PSZrbk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZrbk)
  .value("VFNMADD213PSZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZrbkz)
  .value("VFNMADD213PSZrk", LIEF::assembly::x86::OPCODE::VFNMADD213PSZrk)
  .value("VFNMADD213PSZrkz", LIEF::assembly::x86::OPCODE::VFNMADD213PSZrkz)
  .value("VFNMADD213PSm", LIEF::assembly::x86::OPCODE::VFNMADD213PSm)
  .value("VFNMADD213PSr", LIEF::assembly::x86::OPCODE::VFNMADD213PSr);
  opcodes.value("VFNMADD213SDZm", LIEF::assembly::x86::OPCODE::VFNMADD213SDZm)
  .value("VFNMADD213SDZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SDZm_Int)
  .value("VFNMADD213SDZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SDZm_Intk)
  .value("VFNMADD213SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SDZm_Intkz)
  .value("VFNMADD213SDZr", LIEF::assembly::x86::OPCODE::VFNMADD213SDZr)
  .value("VFNMADD213SDZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SDZr_Int)
  .value("VFNMADD213SDZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SDZr_Intk)
  .value("VFNMADD213SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SDZr_Intkz)
  .value("VFNMADD213SDZrb", LIEF::assembly::x86::OPCODE::VFNMADD213SDZrb)
  .value("VFNMADD213SDZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SDZrb_Int)
  .value("VFNMADD213SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SDZrb_Intk)
  .value("VFNMADD213SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SDZrb_Intkz)
  .value("VFNMADD213SDm", LIEF::assembly::x86::OPCODE::VFNMADD213SDm)
  .value("VFNMADD213SDm_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SDm_Int)
  .value("VFNMADD213SDr", LIEF::assembly::x86::OPCODE::VFNMADD213SDr)
  .value("VFNMADD213SDr_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SDr_Int)
  .value("VFNMADD213SHZm", LIEF::assembly::x86::OPCODE::VFNMADD213SHZm)
  .value("VFNMADD213SHZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SHZm_Int)
  .value("VFNMADD213SHZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SHZm_Intk)
  .value("VFNMADD213SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SHZm_Intkz)
  .value("VFNMADD213SHZr", LIEF::assembly::x86::OPCODE::VFNMADD213SHZr)
  .value("VFNMADD213SHZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SHZr_Int)
  .value("VFNMADD213SHZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SHZr_Intk)
  .value("VFNMADD213SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SHZr_Intkz)
  .value("VFNMADD213SHZrb", LIEF::assembly::x86::OPCODE::VFNMADD213SHZrb)
  .value("VFNMADD213SHZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SHZrb_Int)
  .value("VFNMADD213SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SHZrb_Intk)
  .value("VFNMADD213SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SHZrb_Intkz)
  .value("VFNMADD213SSZm", LIEF::assembly::x86::OPCODE::VFNMADD213SSZm)
  .value("VFNMADD213SSZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SSZm_Int)
  .value("VFNMADD213SSZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SSZm_Intk)
  .value("VFNMADD213SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SSZm_Intkz)
  .value("VFNMADD213SSZr", LIEF::assembly::x86::OPCODE::VFNMADD213SSZr)
  .value("VFNMADD213SSZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SSZr_Int)
  .value("VFNMADD213SSZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SSZr_Intk)
  .value("VFNMADD213SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SSZr_Intkz)
  .value("VFNMADD213SSZrb", LIEF::assembly::x86::OPCODE::VFNMADD213SSZrb)
  .value("VFNMADD213SSZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SSZrb_Int)
  .value("VFNMADD213SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD213SSZrb_Intk)
  .value("VFNMADD213SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD213SSZrb_Intkz)
  .value("VFNMADD213SSm", LIEF::assembly::x86::OPCODE::VFNMADD213SSm)
  .value("VFNMADD213SSm_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SSm_Int)
  .value("VFNMADD213SSr", LIEF::assembly::x86::OPCODE::VFNMADD213SSr)
  .value("VFNMADD213SSr_Int", LIEF::assembly::x86::OPCODE::VFNMADD213SSr_Int)
  .value("VFNMADD231PDYm", LIEF::assembly::x86::OPCODE::VFNMADD231PDYm)
  .value("VFNMADD231PDYr", LIEF::assembly::x86::OPCODE::VFNMADD231PDYr)
  .value("VFNMADD231PDZ128m", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128m)
  .value("VFNMADD231PDZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128mb)
  .value("VFNMADD231PDZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128mbk)
  .value("VFNMADD231PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128mbkz)
  .value("VFNMADD231PDZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128mk)
  .value("VFNMADD231PDZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128mkz)
  .value("VFNMADD231PDZ128r", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128r)
  .value("VFNMADD231PDZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128rk)
  .value("VFNMADD231PDZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ128rkz)
  .value("VFNMADD231PDZ256m", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256m)
  .value("VFNMADD231PDZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256mb)
  .value("VFNMADD231PDZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256mbk)
  .value("VFNMADD231PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256mbkz)
  .value("VFNMADD231PDZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256mk)
  .value("VFNMADD231PDZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256mkz)
  .value("VFNMADD231PDZ256r", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256r)
  .value("VFNMADD231PDZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256rk)
  .value("VFNMADD231PDZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZ256rkz)
  .value("VFNMADD231PDZm", LIEF::assembly::x86::OPCODE::VFNMADD231PDZm)
  .value("VFNMADD231PDZmb", LIEF::assembly::x86::OPCODE::VFNMADD231PDZmb)
  .value("VFNMADD231PDZmbk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZmbk)
  .value("VFNMADD231PDZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZmbkz)
  .value("VFNMADD231PDZmk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZmk)
  .value("VFNMADD231PDZmkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZmkz)
  .value("VFNMADD231PDZr", LIEF::assembly::x86::OPCODE::VFNMADD231PDZr)
  .value("VFNMADD231PDZrb", LIEF::assembly::x86::OPCODE::VFNMADD231PDZrb)
  .value("VFNMADD231PDZrbk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZrbk)
  .value("VFNMADD231PDZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZrbkz)
  .value("VFNMADD231PDZrk", LIEF::assembly::x86::OPCODE::VFNMADD231PDZrk)
  .value("VFNMADD231PDZrkz", LIEF::assembly::x86::OPCODE::VFNMADD231PDZrkz)
  .value("VFNMADD231PDm", LIEF::assembly::x86::OPCODE::VFNMADD231PDm)
  .value("VFNMADD231PDr", LIEF::assembly::x86::OPCODE::VFNMADD231PDr)
  .value("VFNMADD231PHZ128m", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128m)
  .value("VFNMADD231PHZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128mb)
  .value("VFNMADD231PHZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128mbk)
  .value("VFNMADD231PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128mbkz)
  .value("VFNMADD231PHZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128mk)
  .value("VFNMADD231PHZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128mkz)
  .value("VFNMADD231PHZ128r", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128r)
  .value("VFNMADD231PHZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128rk)
  .value("VFNMADD231PHZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ128rkz)
  .value("VFNMADD231PHZ256m", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256m)
  .value("VFNMADD231PHZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256mb)
  .value("VFNMADD231PHZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256mbk)
  .value("VFNMADD231PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256mbkz)
  .value("VFNMADD231PHZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256mk)
  .value("VFNMADD231PHZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256mkz)
  .value("VFNMADD231PHZ256r", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256r)
  .value("VFNMADD231PHZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256rk)
  .value("VFNMADD231PHZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZ256rkz)
  .value("VFNMADD231PHZm", LIEF::assembly::x86::OPCODE::VFNMADD231PHZm)
  .value("VFNMADD231PHZmb", LIEF::assembly::x86::OPCODE::VFNMADD231PHZmb)
  .value("VFNMADD231PHZmbk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZmbk)
  .value("VFNMADD231PHZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZmbkz)
  .value("VFNMADD231PHZmk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZmk)
  .value("VFNMADD231PHZmkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZmkz)
  .value("VFNMADD231PHZr", LIEF::assembly::x86::OPCODE::VFNMADD231PHZr)
  .value("VFNMADD231PHZrb", LIEF::assembly::x86::OPCODE::VFNMADD231PHZrb)
  .value("VFNMADD231PHZrbk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZrbk)
  .value("VFNMADD231PHZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZrbkz)
  .value("VFNMADD231PHZrk", LIEF::assembly::x86::OPCODE::VFNMADD231PHZrk)
  .value("VFNMADD231PHZrkz", LIEF::assembly::x86::OPCODE::VFNMADD231PHZrkz)
  .value("VFNMADD231PSYm", LIEF::assembly::x86::OPCODE::VFNMADD231PSYm)
  .value("VFNMADD231PSYr", LIEF::assembly::x86::OPCODE::VFNMADD231PSYr)
  .value("VFNMADD231PSZ128m", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128m)
  .value("VFNMADD231PSZ128mb", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128mb)
  .value("VFNMADD231PSZ128mbk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128mbk)
  .value("VFNMADD231PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128mbkz)
  .value("VFNMADD231PSZ128mk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128mk)
  .value("VFNMADD231PSZ128mkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128mkz)
  .value("VFNMADD231PSZ128r", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128r)
  .value("VFNMADD231PSZ128rk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128rk)
  .value("VFNMADD231PSZ128rkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ128rkz)
  .value("VFNMADD231PSZ256m", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256m)
  .value("VFNMADD231PSZ256mb", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256mb)
  .value("VFNMADD231PSZ256mbk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256mbk)
  .value("VFNMADD231PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256mbkz)
  .value("VFNMADD231PSZ256mk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256mk)
  .value("VFNMADD231PSZ256mkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256mkz)
  .value("VFNMADD231PSZ256r", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256r)
  .value("VFNMADD231PSZ256rk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256rk)
  .value("VFNMADD231PSZ256rkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZ256rkz)
  .value("VFNMADD231PSZm", LIEF::assembly::x86::OPCODE::VFNMADD231PSZm)
  .value("VFNMADD231PSZmb", LIEF::assembly::x86::OPCODE::VFNMADD231PSZmb)
  .value("VFNMADD231PSZmbk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZmbk)
  .value("VFNMADD231PSZmbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZmbkz)
  .value("VFNMADD231PSZmk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZmk)
  .value("VFNMADD231PSZmkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZmkz)
  .value("VFNMADD231PSZr", LIEF::assembly::x86::OPCODE::VFNMADD231PSZr)
  .value("VFNMADD231PSZrb", LIEF::assembly::x86::OPCODE::VFNMADD231PSZrb)
  .value("VFNMADD231PSZrbk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZrbk)
  .value("VFNMADD231PSZrbkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZrbkz)
  .value("VFNMADD231PSZrk", LIEF::assembly::x86::OPCODE::VFNMADD231PSZrk)
  .value("VFNMADD231PSZrkz", LIEF::assembly::x86::OPCODE::VFNMADD231PSZrkz)
  .value("VFNMADD231PSm", LIEF::assembly::x86::OPCODE::VFNMADD231PSm)
  .value("VFNMADD231PSr", LIEF::assembly::x86::OPCODE::VFNMADD231PSr)
  .value("VFNMADD231SDZm", LIEF::assembly::x86::OPCODE::VFNMADD231SDZm)
  .value("VFNMADD231SDZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SDZm_Int)
  .value("VFNMADD231SDZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SDZm_Intk)
  .value("VFNMADD231SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SDZm_Intkz)
  .value("VFNMADD231SDZr", LIEF::assembly::x86::OPCODE::VFNMADD231SDZr)
  .value("VFNMADD231SDZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SDZr_Int)
  .value("VFNMADD231SDZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SDZr_Intk)
  .value("VFNMADD231SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SDZr_Intkz)
  .value("VFNMADD231SDZrb", LIEF::assembly::x86::OPCODE::VFNMADD231SDZrb)
  .value("VFNMADD231SDZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SDZrb_Int)
  .value("VFNMADD231SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SDZrb_Intk)
  .value("VFNMADD231SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SDZrb_Intkz)
  .value("VFNMADD231SDm", LIEF::assembly::x86::OPCODE::VFNMADD231SDm)
  .value("VFNMADD231SDm_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SDm_Int)
  .value("VFNMADD231SDr", LIEF::assembly::x86::OPCODE::VFNMADD231SDr)
  .value("VFNMADD231SDr_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SDr_Int)
  .value("VFNMADD231SHZm", LIEF::assembly::x86::OPCODE::VFNMADD231SHZm)
  .value("VFNMADD231SHZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SHZm_Int)
  .value("VFNMADD231SHZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SHZm_Intk)
  .value("VFNMADD231SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SHZm_Intkz)
  .value("VFNMADD231SHZr", LIEF::assembly::x86::OPCODE::VFNMADD231SHZr)
  .value("VFNMADD231SHZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SHZr_Int)
  .value("VFNMADD231SHZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SHZr_Intk)
  .value("VFNMADD231SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SHZr_Intkz)
  .value("VFNMADD231SHZrb", LIEF::assembly::x86::OPCODE::VFNMADD231SHZrb)
  .value("VFNMADD231SHZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SHZrb_Int)
  .value("VFNMADD231SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SHZrb_Intk)
  .value("VFNMADD231SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SHZrb_Intkz)
  .value("VFNMADD231SSZm", LIEF::assembly::x86::OPCODE::VFNMADD231SSZm)
  .value("VFNMADD231SSZm_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SSZm_Int)
  .value("VFNMADD231SSZm_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SSZm_Intk)
  .value("VFNMADD231SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SSZm_Intkz)
  .value("VFNMADD231SSZr", LIEF::assembly::x86::OPCODE::VFNMADD231SSZr)
  .value("VFNMADD231SSZr_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SSZr_Int)
  .value("VFNMADD231SSZr_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SSZr_Intk)
  .value("VFNMADD231SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SSZr_Intkz)
  .value("VFNMADD231SSZrb", LIEF::assembly::x86::OPCODE::VFNMADD231SSZrb)
  .value("VFNMADD231SSZrb_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SSZrb_Int)
  .value("VFNMADD231SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMADD231SSZrb_Intk)
  .value("VFNMADD231SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMADD231SSZrb_Intkz)
  .value("VFNMADD231SSm", LIEF::assembly::x86::OPCODE::VFNMADD231SSm)
  .value("VFNMADD231SSm_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SSm_Int)
  .value("VFNMADD231SSr", LIEF::assembly::x86::OPCODE::VFNMADD231SSr)
  .value("VFNMADD231SSr_Int", LIEF::assembly::x86::OPCODE::VFNMADD231SSr_Int)
  .value("VFNMADDPD4Ymr", LIEF::assembly::x86::OPCODE::VFNMADDPD4Ymr)
  .value("VFNMADDPD4Yrm", LIEF::assembly::x86::OPCODE::VFNMADDPD4Yrm)
  .value("VFNMADDPD4Yrr", LIEF::assembly::x86::OPCODE::VFNMADDPD4Yrr)
  .value("VFNMADDPD4Yrr_REV", LIEF::assembly::x86::OPCODE::VFNMADDPD4Yrr_REV)
  .value("VFNMADDPD4mr", LIEF::assembly::x86::OPCODE::VFNMADDPD4mr)
  .value("VFNMADDPD4rm", LIEF::assembly::x86::OPCODE::VFNMADDPD4rm)
  .value("VFNMADDPD4rr", LIEF::assembly::x86::OPCODE::VFNMADDPD4rr)
  .value("VFNMADDPD4rr_REV", LIEF::assembly::x86::OPCODE::VFNMADDPD4rr_REV)
  .value("VFNMADDPS4Ymr", LIEF::assembly::x86::OPCODE::VFNMADDPS4Ymr)
  .value("VFNMADDPS4Yrm", LIEF::assembly::x86::OPCODE::VFNMADDPS4Yrm)
  .value("VFNMADDPS4Yrr", LIEF::assembly::x86::OPCODE::VFNMADDPS4Yrr)
  .value("VFNMADDPS4Yrr_REV", LIEF::assembly::x86::OPCODE::VFNMADDPS4Yrr_REV)
  .value("VFNMADDPS4mr", LIEF::assembly::x86::OPCODE::VFNMADDPS4mr)
  .value("VFNMADDPS4rm", LIEF::assembly::x86::OPCODE::VFNMADDPS4rm)
  .value("VFNMADDPS4rr", LIEF::assembly::x86::OPCODE::VFNMADDPS4rr)
  .value("VFNMADDPS4rr_REV", LIEF::assembly::x86::OPCODE::VFNMADDPS4rr_REV)
  .value("VFNMADDSD4mr", LIEF::assembly::x86::OPCODE::VFNMADDSD4mr)
  .value("VFNMADDSD4mr_Int", LIEF::assembly::x86::OPCODE::VFNMADDSD4mr_Int)
  .value("VFNMADDSD4rm", LIEF::assembly::x86::OPCODE::VFNMADDSD4rm)
  .value("VFNMADDSD4rm_Int", LIEF::assembly::x86::OPCODE::VFNMADDSD4rm_Int)
  .value("VFNMADDSD4rr", LIEF::assembly::x86::OPCODE::VFNMADDSD4rr)
  .value("VFNMADDSD4rr_Int", LIEF::assembly::x86::OPCODE::VFNMADDSD4rr_Int)
  .value("VFNMADDSD4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFNMADDSD4rr_Int_REV)
  .value("VFNMADDSD4rr_REV", LIEF::assembly::x86::OPCODE::VFNMADDSD4rr_REV)
  .value("VFNMADDSS4mr", LIEF::assembly::x86::OPCODE::VFNMADDSS4mr)
  .value("VFNMADDSS4mr_Int", LIEF::assembly::x86::OPCODE::VFNMADDSS4mr_Int)
  .value("VFNMADDSS4rm", LIEF::assembly::x86::OPCODE::VFNMADDSS4rm)
  .value("VFNMADDSS4rm_Int", LIEF::assembly::x86::OPCODE::VFNMADDSS4rm_Int)
  .value("VFNMADDSS4rr", LIEF::assembly::x86::OPCODE::VFNMADDSS4rr)
  .value("VFNMADDSS4rr_Int", LIEF::assembly::x86::OPCODE::VFNMADDSS4rr_Int)
  .value("VFNMADDSS4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFNMADDSS4rr_Int_REV)
  .value("VFNMADDSS4rr_REV", LIEF::assembly::x86::OPCODE::VFNMADDSS4rr_REV)
  .value("VFNMSUB132PDYm", LIEF::assembly::x86::OPCODE::VFNMSUB132PDYm)
  .value("VFNMSUB132PDYr", LIEF::assembly::x86::OPCODE::VFNMSUB132PDYr)
  .value("VFNMSUB132PDZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128m)
  .value("VFNMSUB132PDZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128mb)
  .value("VFNMSUB132PDZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128mbk)
  .value("VFNMSUB132PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128mbkz)
  .value("VFNMSUB132PDZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128mk)
  .value("VFNMSUB132PDZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128mkz)
  .value("VFNMSUB132PDZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128r)
  .value("VFNMSUB132PDZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128rk)
  .value("VFNMSUB132PDZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ128rkz)
  .value("VFNMSUB132PDZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256m)
  .value("VFNMSUB132PDZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256mb)
  .value("VFNMSUB132PDZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256mbk)
  .value("VFNMSUB132PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256mbkz)
  .value("VFNMSUB132PDZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256mk)
  .value("VFNMSUB132PDZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256mkz)
  .value("VFNMSUB132PDZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256r)
  .value("VFNMSUB132PDZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256rk)
  .value("VFNMSUB132PDZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZ256rkz)
  .value("VFNMSUB132PDZm", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZm)
  .value("VFNMSUB132PDZmb", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZmb)
  .value("VFNMSUB132PDZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZmbk)
  .value("VFNMSUB132PDZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZmbkz)
  .value("VFNMSUB132PDZmk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZmk)
  .value("VFNMSUB132PDZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZmkz)
  .value("VFNMSUB132PDZr", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZr)
  .value("VFNMSUB132PDZrb", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZrb)
  .value("VFNMSUB132PDZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZrbk)
  .value("VFNMSUB132PDZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZrbkz)
  .value("VFNMSUB132PDZrk", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZrk)
  .value("VFNMSUB132PDZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PDZrkz)
  .value("VFNMSUB132PDm", LIEF::assembly::x86::OPCODE::VFNMSUB132PDm)
  .value("VFNMSUB132PDr", LIEF::assembly::x86::OPCODE::VFNMSUB132PDr)
  .value("VFNMSUB132PHZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128m)
  .value("VFNMSUB132PHZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128mb)
  .value("VFNMSUB132PHZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128mbk)
  .value("VFNMSUB132PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128mbkz)
  .value("VFNMSUB132PHZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128mk)
  .value("VFNMSUB132PHZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128mkz)
  .value("VFNMSUB132PHZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128r)
  .value("VFNMSUB132PHZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128rk)
  .value("VFNMSUB132PHZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ128rkz)
  .value("VFNMSUB132PHZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256m)
  .value("VFNMSUB132PHZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256mb)
  .value("VFNMSUB132PHZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256mbk)
  .value("VFNMSUB132PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256mbkz)
  .value("VFNMSUB132PHZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256mk)
  .value("VFNMSUB132PHZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256mkz)
  .value("VFNMSUB132PHZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256r)
  .value("VFNMSUB132PHZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256rk)
  .value("VFNMSUB132PHZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZ256rkz)
  .value("VFNMSUB132PHZm", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZm)
  .value("VFNMSUB132PHZmb", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZmb)
  .value("VFNMSUB132PHZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZmbk)
  .value("VFNMSUB132PHZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZmbkz)
  .value("VFNMSUB132PHZmk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZmk)
  .value("VFNMSUB132PHZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZmkz)
  .value("VFNMSUB132PHZr", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZr)
  .value("VFNMSUB132PHZrb", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZrb)
  .value("VFNMSUB132PHZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZrbk)
  .value("VFNMSUB132PHZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZrbkz)
  .value("VFNMSUB132PHZrk", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZrk)
  .value("VFNMSUB132PHZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PHZrkz)
  .value("VFNMSUB132PSYm", LIEF::assembly::x86::OPCODE::VFNMSUB132PSYm)
  .value("VFNMSUB132PSYr", LIEF::assembly::x86::OPCODE::VFNMSUB132PSYr)
  .value("VFNMSUB132PSZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128m)
  .value("VFNMSUB132PSZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128mb)
  .value("VFNMSUB132PSZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128mbk)
  .value("VFNMSUB132PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128mbkz)
  .value("VFNMSUB132PSZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128mk)
  .value("VFNMSUB132PSZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128mkz)
  .value("VFNMSUB132PSZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128r)
  .value("VFNMSUB132PSZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128rk)
  .value("VFNMSUB132PSZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ128rkz)
  .value("VFNMSUB132PSZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256m)
  .value("VFNMSUB132PSZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256mb)
  .value("VFNMSUB132PSZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256mbk)
  .value("VFNMSUB132PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256mbkz)
  .value("VFNMSUB132PSZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256mk)
  .value("VFNMSUB132PSZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256mkz)
  .value("VFNMSUB132PSZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256r);
  opcodes.value("VFNMSUB132PSZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256rk)
  .value("VFNMSUB132PSZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZ256rkz)
  .value("VFNMSUB132PSZm", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZm)
  .value("VFNMSUB132PSZmb", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZmb)
  .value("VFNMSUB132PSZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZmbk)
  .value("VFNMSUB132PSZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZmbkz)
  .value("VFNMSUB132PSZmk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZmk)
  .value("VFNMSUB132PSZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZmkz)
  .value("VFNMSUB132PSZr", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZr)
  .value("VFNMSUB132PSZrb", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZrb)
  .value("VFNMSUB132PSZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZrbk)
  .value("VFNMSUB132PSZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZrbkz)
  .value("VFNMSUB132PSZrk", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZrk)
  .value("VFNMSUB132PSZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB132PSZrkz)
  .value("VFNMSUB132PSm", LIEF::assembly::x86::OPCODE::VFNMSUB132PSm)
  .value("VFNMSUB132PSr", LIEF::assembly::x86::OPCODE::VFNMSUB132PSr)
  .value("VFNMSUB132SDZm", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZm)
  .value("VFNMSUB132SDZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZm_Int)
  .value("VFNMSUB132SDZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZm_Intk)
  .value("VFNMSUB132SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZm_Intkz)
  .value("VFNMSUB132SDZr", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZr)
  .value("VFNMSUB132SDZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZr_Int)
  .value("VFNMSUB132SDZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZr_Intk)
  .value("VFNMSUB132SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZr_Intkz)
  .value("VFNMSUB132SDZrb", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZrb)
  .value("VFNMSUB132SDZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZrb_Int)
  .value("VFNMSUB132SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZrb_Intk)
  .value("VFNMSUB132SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SDZrb_Intkz)
  .value("VFNMSUB132SDm", LIEF::assembly::x86::OPCODE::VFNMSUB132SDm)
  .value("VFNMSUB132SDm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SDm_Int)
  .value("VFNMSUB132SDr", LIEF::assembly::x86::OPCODE::VFNMSUB132SDr)
  .value("VFNMSUB132SDr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SDr_Int)
  .value("VFNMSUB132SHZm", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZm)
  .value("VFNMSUB132SHZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZm_Int)
  .value("VFNMSUB132SHZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZm_Intk)
  .value("VFNMSUB132SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZm_Intkz)
  .value("VFNMSUB132SHZr", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZr)
  .value("VFNMSUB132SHZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZr_Int)
  .value("VFNMSUB132SHZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZr_Intk)
  .value("VFNMSUB132SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZr_Intkz)
  .value("VFNMSUB132SHZrb", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZrb)
  .value("VFNMSUB132SHZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZrb_Int)
  .value("VFNMSUB132SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZrb_Intk)
  .value("VFNMSUB132SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SHZrb_Intkz)
  .value("VFNMSUB132SSZm", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZm)
  .value("VFNMSUB132SSZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZm_Int)
  .value("VFNMSUB132SSZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZm_Intk)
  .value("VFNMSUB132SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZm_Intkz)
  .value("VFNMSUB132SSZr", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZr)
  .value("VFNMSUB132SSZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZr_Int)
  .value("VFNMSUB132SSZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZr_Intk)
  .value("VFNMSUB132SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZr_Intkz)
  .value("VFNMSUB132SSZrb", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZrb)
  .value("VFNMSUB132SSZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZrb_Int)
  .value("VFNMSUB132SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZrb_Intk)
  .value("VFNMSUB132SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB132SSZrb_Intkz)
  .value("VFNMSUB132SSm", LIEF::assembly::x86::OPCODE::VFNMSUB132SSm)
  .value("VFNMSUB132SSm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SSm_Int)
  .value("VFNMSUB132SSr", LIEF::assembly::x86::OPCODE::VFNMSUB132SSr)
  .value("VFNMSUB132SSr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB132SSr_Int)
  .value("VFNMSUB213PDYm", LIEF::assembly::x86::OPCODE::VFNMSUB213PDYm)
  .value("VFNMSUB213PDYr", LIEF::assembly::x86::OPCODE::VFNMSUB213PDYr)
  .value("VFNMSUB213PDZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128m)
  .value("VFNMSUB213PDZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128mb)
  .value("VFNMSUB213PDZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128mbk)
  .value("VFNMSUB213PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128mbkz)
  .value("VFNMSUB213PDZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128mk)
  .value("VFNMSUB213PDZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128mkz)
  .value("VFNMSUB213PDZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128r)
  .value("VFNMSUB213PDZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128rk)
  .value("VFNMSUB213PDZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ128rkz)
  .value("VFNMSUB213PDZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256m)
  .value("VFNMSUB213PDZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256mb)
  .value("VFNMSUB213PDZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256mbk)
  .value("VFNMSUB213PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256mbkz)
  .value("VFNMSUB213PDZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256mk)
  .value("VFNMSUB213PDZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256mkz)
  .value("VFNMSUB213PDZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256r)
  .value("VFNMSUB213PDZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256rk)
  .value("VFNMSUB213PDZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZ256rkz)
  .value("VFNMSUB213PDZm", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZm)
  .value("VFNMSUB213PDZmb", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZmb)
  .value("VFNMSUB213PDZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZmbk)
  .value("VFNMSUB213PDZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZmbkz)
  .value("VFNMSUB213PDZmk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZmk)
  .value("VFNMSUB213PDZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZmkz)
  .value("VFNMSUB213PDZr", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZr)
  .value("VFNMSUB213PDZrb", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZrb)
  .value("VFNMSUB213PDZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZrbk)
  .value("VFNMSUB213PDZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZrbkz)
  .value("VFNMSUB213PDZrk", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZrk)
  .value("VFNMSUB213PDZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PDZrkz)
  .value("VFNMSUB213PDm", LIEF::assembly::x86::OPCODE::VFNMSUB213PDm)
  .value("VFNMSUB213PDr", LIEF::assembly::x86::OPCODE::VFNMSUB213PDr)
  .value("VFNMSUB213PHZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128m)
  .value("VFNMSUB213PHZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128mb)
  .value("VFNMSUB213PHZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128mbk)
  .value("VFNMSUB213PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128mbkz)
  .value("VFNMSUB213PHZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128mk)
  .value("VFNMSUB213PHZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128mkz)
  .value("VFNMSUB213PHZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128r)
  .value("VFNMSUB213PHZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128rk)
  .value("VFNMSUB213PHZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ128rkz)
  .value("VFNMSUB213PHZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256m)
  .value("VFNMSUB213PHZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256mb)
  .value("VFNMSUB213PHZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256mbk)
  .value("VFNMSUB213PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256mbkz)
  .value("VFNMSUB213PHZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256mk)
  .value("VFNMSUB213PHZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256mkz)
  .value("VFNMSUB213PHZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256r)
  .value("VFNMSUB213PHZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256rk)
  .value("VFNMSUB213PHZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZ256rkz)
  .value("VFNMSUB213PHZm", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZm)
  .value("VFNMSUB213PHZmb", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZmb)
  .value("VFNMSUB213PHZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZmbk)
  .value("VFNMSUB213PHZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZmbkz)
  .value("VFNMSUB213PHZmk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZmk)
  .value("VFNMSUB213PHZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZmkz)
  .value("VFNMSUB213PHZr", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZr)
  .value("VFNMSUB213PHZrb", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZrb)
  .value("VFNMSUB213PHZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZrbk)
  .value("VFNMSUB213PHZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZrbkz)
  .value("VFNMSUB213PHZrk", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZrk)
  .value("VFNMSUB213PHZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PHZrkz)
  .value("VFNMSUB213PSYm", LIEF::assembly::x86::OPCODE::VFNMSUB213PSYm)
  .value("VFNMSUB213PSYr", LIEF::assembly::x86::OPCODE::VFNMSUB213PSYr)
  .value("VFNMSUB213PSZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128m)
  .value("VFNMSUB213PSZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128mb)
  .value("VFNMSUB213PSZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128mbk)
  .value("VFNMSUB213PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128mbkz)
  .value("VFNMSUB213PSZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128mk)
  .value("VFNMSUB213PSZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128mkz)
  .value("VFNMSUB213PSZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128r)
  .value("VFNMSUB213PSZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128rk)
  .value("VFNMSUB213PSZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ128rkz)
  .value("VFNMSUB213PSZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256m)
  .value("VFNMSUB213PSZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256mb)
  .value("VFNMSUB213PSZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256mbk)
  .value("VFNMSUB213PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256mbkz)
  .value("VFNMSUB213PSZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256mk)
  .value("VFNMSUB213PSZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256mkz)
  .value("VFNMSUB213PSZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256r)
  .value("VFNMSUB213PSZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256rk)
  .value("VFNMSUB213PSZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZ256rkz)
  .value("VFNMSUB213PSZm", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZm)
  .value("VFNMSUB213PSZmb", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZmb)
  .value("VFNMSUB213PSZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZmbk)
  .value("VFNMSUB213PSZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZmbkz)
  .value("VFNMSUB213PSZmk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZmk)
  .value("VFNMSUB213PSZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZmkz)
  .value("VFNMSUB213PSZr", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZr)
  .value("VFNMSUB213PSZrb", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZrb)
  .value("VFNMSUB213PSZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZrbk)
  .value("VFNMSUB213PSZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZrbkz)
  .value("VFNMSUB213PSZrk", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZrk)
  .value("VFNMSUB213PSZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB213PSZrkz)
  .value("VFNMSUB213PSm", LIEF::assembly::x86::OPCODE::VFNMSUB213PSm)
  .value("VFNMSUB213PSr", LIEF::assembly::x86::OPCODE::VFNMSUB213PSr)
  .value("VFNMSUB213SDZm", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZm)
  .value("VFNMSUB213SDZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZm_Int)
  .value("VFNMSUB213SDZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZm_Intk)
  .value("VFNMSUB213SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZm_Intkz)
  .value("VFNMSUB213SDZr", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZr)
  .value("VFNMSUB213SDZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZr_Int)
  .value("VFNMSUB213SDZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZr_Intk)
  .value("VFNMSUB213SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZr_Intkz)
  .value("VFNMSUB213SDZrb", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZrb)
  .value("VFNMSUB213SDZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZrb_Int)
  .value("VFNMSUB213SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZrb_Intk)
  .value("VFNMSUB213SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SDZrb_Intkz)
  .value("VFNMSUB213SDm", LIEF::assembly::x86::OPCODE::VFNMSUB213SDm)
  .value("VFNMSUB213SDm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SDm_Int)
  .value("VFNMSUB213SDr", LIEF::assembly::x86::OPCODE::VFNMSUB213SDr)
  .value("VFNMSUB213SDr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SDr_Int)
  .value("VFNMSUB213SHZm", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZm)
  .value("VFNMSUB213SHZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZm_Int)
  .value("VFNMSUB213SHZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZm_Intk)
  .value("VFNMSUB213SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZm_Intkz)
  .value("VFNMSUB213SHZr", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZr)
  .value("VFNMSUB213SHZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZr_Int)
  .value("VFNMSUB213SHZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZr_Intk)
  .value("VFNMSUB213SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZr_Intkz)
  .value("VFNMSUB213SHZrb", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZrb)
  .value("VFNMSUB213SHZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZrb_Int)
  .value("VFNMSUB213SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZrb_Intk)
  .value("VFNMSUB213SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SHZrb_Intkz)
  .value("VFNMSUB213SSZm", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZm)
  .value("VFNMSUB213SSZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZm_Int)
  .value("VFNMSUB213SSZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZm_Intk)
  .value("VFNMSUB213SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZm_Intkz)
  .value("VFNMSUB213SSZr", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZr)
  .value("VFNMSUB213SSZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZr_Int)
  .value("VFNMSUB213SSZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZr_Intk)
  .value("VFNMSUB213SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZr_Intkz)
  .value("VFNMSUB213SSZrb", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZrb)
  .value("VFNMSUB213SSZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZrb_Int)
  .value("VFNMSUB213SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZrb_Intk)
  .value("VFNMSUB213SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB213SSZrb_Intkz)
  .value("VFNMSUB213SSm", LIEF::assembly::x86::OPCODE::VFNMSUB213SSm)
  .value("VFNMSUB213SSm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SSm_Int)
  .value("VFNMSUB213SSr", LIEF::assembly::x86::OPCODE::VFNMSUB213SSr)
  .value("VFNMSUB213SSr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB213SSr_Int)
  .value("VFNMSUB231PDYm", LIEF::assembly::x86::OPCODE::VFNMSUB231PDYm)
  .value("VFNMSUB231PDYr", LIEF::assembly::x86::OPCODE::VFNMSUB231PDYr)
  .value("VFNMSUB231PDZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128m)
  .value("VFNMSUB231PDZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128mb)
  .value("VFNMSUB231PDZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128mbk)
  .value("VFNMSUB231PDZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128mbkz)
  .value("VFNMSUB231PDZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128mk)
  .value("VFNMSUB231PDZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128mkz)
  .value("VFNMSUB231PDZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128r)
  .value("VFNMSUB231PDZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128rk)
  .value("VFNMSUB231PDZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ128rkz)
  .value("VFNMSUB231PDZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256m)
  .value("VFNMSUB231PDZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256mb)
  .value("VFNMSUB231PDZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256mbk)
  .value("VFNMSUB231PDZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256mbkz)
  .value("VFNMSUB231PDZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256mk)
  .value("VFNMSUB231PDZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256mkz)
  .value("VFNMSUB231PDZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256r)
  .value("VFNMSUB231PDZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256rk)
  .value("VFNMSUB231PDZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZ256rkz)
  .value("VFNMSUB231PDZm", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZm)
  .value("VFNMSUB231PDZmb", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZmb)
  .value("VFNMSUB231PDZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZmbk)
  .value("VFNMSUB231PDZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZmbkz)
  .value("VFNMSUB231PDZmk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZmk)
  .value("VFNMSUB231PDZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZmkz)
  .value("VFNMSUB231PDZr", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZr)
  .value("VFNMSUB231PDZrb", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZrb)
  .value("VFNMSUB231PDZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZrbk)
  .value("VFNMSUB231PDZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZrbkz)
  .value("VFNMSUB231PDZrk", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZrk)
  .value("VFNMSUB231PDZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PDZrkz)
  .value("VFNMSUB231PDm", LIEF::assembly::x86::OPCODE::VFNMSUB231PDm)
  .value("VFNMSUB231PDr", LIEF::assembly::x86::OPCODE::VFNMSUB231PDr)
  .value("VFNMSUB231PHZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128m)
  .value("VFNMSUB231PHZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128mb)
  .value("VFNMSUB231PHZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128mbk)
  .value("VFNMSUB231PHZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128mbkz)
  .value("VFNMSUB231PHZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128mk)
  .value("VFNMSUB231PHZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128mkz)
  .value("VFNMSUB231PHZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128r)
  .value("VFNMSUB231PHZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128rk)
  .value("VFNMSUB231PHZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ128rkz)
  .value("VFNMSUB231PHZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256m)
  .value("VFNMSUB231PHZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256mb)
  .value("VFNMSUB231PHZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256mbk)
  .value("VFNMSUB231PHZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256mbkz)
  .value("VFNMSUB231PHZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256mk)
  .value("VFNMSUB231PHZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256mkz)
  .value("VFNMSUB231PHZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256r)
  .value("VFNMSUB231PHZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256rk)
  .value("VFNMSUB231PHZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZ256rkz)
  .value("VFNMSUB231PHZm", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZm)
  .value("VFNMSUB231PHZmb", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZmb)
  .value("VFNMSUB231PHZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZmbk)
  .value("VFNMSUB231PHZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZmbkz)
  .value("VFNMSUB231PHZmk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZmk)
  .value("VFNMSUB231PHZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZmkz)
  .value("VFNMSUB231PHZr", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZr)
  .value("VFNMSUB231PHZrb", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZrb)
  .value("VFNMSUB231PHZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZrbk)
  .value("VFNMSUB231PHZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZrbkz)
  .value("VFNMSUB231PHZrk", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZrk)
  .value("VFNMSUB231PHZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PHZrkz)
  .value("VFNMSUB231PSYm", LIEF::assembly::x86::OPCODE::VFNMSUB231PSYm)
  .value("VFNMSUB231PSYr", LIEF::assembly::x86::OPCODE::VFNMSUB231PSYr)
  .value("VFNMSUB231PSZ128m", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128m)
  .value("VFNMSUB231PSZ128mb", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128mb)
  .value("VFNMSUB231PSZ128mbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128mbk)
  .value("VFNMSUB231PSZ128mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128mbkz)
  .value("VFNMSUB231PSZ128mk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128mk)
  .value("VFNMSUB231PSZ128mkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128mkz)
  .value("VFNMSUB231PSZ128r", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128r)
  .value("VFNMSUB231PSZ128rk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128rk)
  .value("VFNMSUB231PSZ128rkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ128rkz)
  .value("VFNMSUB231PSZ256m", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256m)
  .value("VFNMSUB231PSZ256mb", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256mb)
  .value("VFNMSUB231PSZ256mbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256mbk)
  .value("VFNMSUB231PSZ256mbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256mbkz)
  .value("VFNMSUB231PSZ256mk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256mk)
  .value("VFNMSUB231PSZ256mkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256mkz)
  .value("VFNMSUB231PSZ256r", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256r)
  .value("VFNMSUB231PSZ256rk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256rk)
  .value("VFNMSUB231PSZ256rkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZ256rkz)
  .value("VFNMSUB231PSZm", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZm)
  .value("VFNMSUB231PSZmb", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZmb)
  .value("VFNMSUB231PSZmbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZmbk)
  .value("VFNMSUB231PSZmbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZmbkz)
  .value("VFNMSUB231PSZmk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZmk)
  .value("VFNMSUB231PSZmkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZmkz)
  .value("VFNMSUB231PSZr", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZr)
  .value("VFNMSUB231PSZrb", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZrb)
  .value("VFNMSUB231PSZrbk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZrbk)
  .value("VFNMSUB231PSZrbkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZrbkz)
  .value("VFNMSUB231PSZrk", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZrk)
  .value("VFNMSUB231PSZrkz", LIEF::assembly::x86::OPCODE::VFNMSUB231PSZrkz)
  .value("VFNMSUB231PSm", LIEF::assembly::x86::OPCODE::VFNMSUB231PSm)
  .value("VFNMSUB231PSr", LIEF::assembly::x86::OPCODE::VFNMSUB231PSr);
  opcodes.value("VFNMSUB231SDZm", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZm)
  .value("VFNMSUB231SDZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZm_Int)
  .value("VFNMSUB231SDZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZm_Intk)
  .value("VFNMSUB231SDZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZm_Intkz)
  .value("VFNMSUB231SDZr", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZr)
  .value("VFNMSUB231SDZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZr_Int)
  .value("VFNMSUB231SDZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZr_Intk)
  .value("VFNMSUB231SDZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZr_Intkz)
  .value("VFNMSUB231SDZrb", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZrb)
  .value("VFNMSUB231SDZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZrb_Int)
  .value("VFNMSUB231SDZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZrb_Intk)
  .value("VFNMSUB231SDZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SDZrb_Intkz)
  .value("VFNMSUB231SDm", LIEF::assembly::x86::OPCODE::VFNMSUB231SDm)
  .value("VFNMSUB231SDm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SDm_Int)
  .value("VFNMSUB231SDr", LIEF::assembly::x86::OPCODE::VFNMSUB231SDr)
  .value("VFNMSUB231SDr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SDr_Int)
  .value("VFNMSUB231SHZm", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZm)
  .value("VFNMSUB231SHZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZm_Int)
  .value("VFNMSUB231SHZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZm_Intk)
  .value("VFNMSUB231SHZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZm_Intkz)
  .value("VFNMSUB231SHZr", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZr)
  .value("VFNMSUB231SHZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZr_Int)
  .value("VFNMSUB231SHZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZr_Intk)
  .value("VFNMSUB231SHZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZr_Intkz)
  .value("VFNMSUB231SHZrb", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZrb)
  .value("VFNMSUB231SHZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZrb_Int)
  .value("VFNMSUB231SHZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZrb_Intk)
  .value("VFNMSUB231SHZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SHZrb_Intkz)
  .value("VFNMSUB231SSZm", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZm)
  .value("VFNMSUB231SSZm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZm_Int)
  .value("VFNMSUB231SSZm_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZm_Intk)
  .value("VFNMSUB231SSZm_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZm_Intkz)
  .value("VFNMSUB231SSZr", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZr)
  .value("VFNMSUB231SSZr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZr_Int)
  .value("VFNMSUB231SSZr_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZr_Intk)
  .value("VFNMSUB231SSZr_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZr_Intkz)
  .value("VFNMSUB231SSZrb", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZrb)
  .value("VFNMSUB231SSZrb_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZrb_Int)
  .value("VFNMSUB231SSZrb_Intk", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZrb_Intk)
  .value("VFNMSUB231SSZrb_Intkz", LIEF::assembly::x86::OPCODE::VFNMSUB231SSZrb_Intkz)
  .value("VFNMSUB231SSm", LIEF::assembly::x86::OPCODE::VFNMSUB231SSm)
  .value("VFNMSUB231SSm_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SSm_Int)
  .value("VFNMSUB231SSr", LIEF::assembly::x86::OPCODE::VFNMSUB231SSr)
  .value("VFNMSUB231SSr_Int", LIEF::assembly::x86::OPCODE::VFNMSUB231SSr_Int)
  .value("VFNMSUBPD4Ymr", LIEF::assembly::x86::OPCODE::VFNMSUBPD4Ymr)
  .value("VFNMSUBPD4Yrm", LIEF::assembly::x86::OPCODE::VFNMSUBPD4Yrm)
  .value("VFNMSUBPD4Yrr", LIEF::assembly::x86::OPCODE::VFNMSUBPD4Yrr)
  .value("VFNMSUBPD4Yrr_REV", LIEF::assembly::x86::OPCODE::VFNMSUBPD4Yrr_REV)
  .value("VFNMSUBPD4mr", LIEF::assembly::x86::OPCODE::VFNMSUBPD4mr)
  .value("VFNMSUBPD4rm", LIEF::assembly::x86::OPCODE::VFNMSUBPD4rm)
  .value("VFNMSUBPD4rr", LIEF::assembly::x86::OPCODE::VFNMSUBPD4rr)
  .value("VFNMSUBPD4rr_REV", LIEF::assembly::x86::OPCODE::VFNMSUBPD4rr_REV)
  .value("VFNMSUBPS4Ymr", LIEF::assembly::x86::OPCODE::VFNMSUBPS4Ymr)
  .value("VFNMSUBPS4Yrm", LIEF::assembly::x86::OPCODE::VFNMSUBPS4Yrm)
  .value("VFNMSUBPS4Yrr", LIEF::assembly::x86::OPCODE::VFNMSUBPS4Yrr)
  .value("VFNMSUBPS4Yrr_REV", LIEF::assembly::x86::OPCODE::VFNMSUBPS4Yrr_REV)
  .value("VFNMSUBPS4mr", LIEF::assembly::x86::OPCODE::VFNMSUBPS4mr)
  .value("VFNMSUBPS4rm", LIEF::assembly::x86::OPCODE::VFNMSUBPS4rm)
  .value("VFNMSUBPS4rr", LIEF::assembly::x86::OPCODE::VFNMSUBPS4rr)
  .value("VFNMSUBPS4rr_REV", LIEF::assembly::x86::OPCODE::VFNMSUBPS4rr_REV)
  .value("VFNMSUBSD4mr", LIEF::assembly::x86::OPCODE::VFNMSUBSD4mr)
  .value("VFNMSUBSD4mr_Int", LIEF::assembly::x86::OPCODE::VFNMSUBSD4mr_Int)
  .value("VFNMSUBSD4rm", LIEF::assembly::x86::OPCODE::VFNMSUBSD4rm)
  .value("VFNMSUBSD4rm_Int", LIEF::assembly::x86::OPCODE::VFNMSUBSD4rm_Int)
  .value("VFNMSUBSD4rr", LIEF::assembly::x86::OPCODE::VFNMSUBSD4rr)
  .value("VFNMSUBSD4rr_Int", LIEF::assembly::x86::OPCODE::VFNMSUBSD4rr_Int)
  .value("VFNMSUBSD4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFNMSUBSD4rr_Int_REV)
  .value("VFNMSUBSD4rr_REV", LIEF::assembly::x86::OPCODE::VFNMSUBSD4rr_REV)
  .value("VFNMSUBSS4mr", LIEF::assembly::x86::OPCODE::VFNMSUBSS4mr)
  .value("VFNMSUBSS4mr_Int", LIEF::assembly::x86::OPCODE::VFNMSUBSS4mr_Int)
  .value("VFNMSUBSS4rm", LIEF::assembly::x86::OPCODE::VFNMSUBSS4rm)
  .value("VFNMSUBSS4rm_Int", LIEF::assembly::x86::OPCODE::VFNMSUBSS4rm_Int)
  .value("VFNMSUBSS4rr", LIEF::assembly::x86::OPCODE::VFNMSUBSS4rr)
  .value("VFNMSUBSS4rr_Int", LIEF::assembly::x86::OPCODE::VFNMSUBSS4rr_Int)
  .value("VFNMSUBSS4rr_Int_REV", LIEF::assembly::x86::OPCODE::VFNMSUBSS4rr_Int_REV)
  .value("VFNMSUBSS4rr_REV", LIEF::assembly::x86::OPCODE::VFNMSUBSS4rr_REV)
  .value("VFPCLASSPDZ128rm", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ128rm)
  .value("VFPCLASSPDZ128rmb", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ128rmb)
  .value("VFPCLASSPDZ128rmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ128rmbk)
  .value("VFPCLASSPDZ128rmk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ128rmk)
  .value("VFPCLASSPDZ128rr", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ128rr)
  .value("VFPCLASSPDZ128rrk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ128rrk)
  .value("VFPCLASSPDZ256rm", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ256rm)
  .value("VFPCLASSPDZ256rmb", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ256rmb)
  .value("VFPCLASSPDZ256rmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ256rmbk)
  .value("VFPCLASSPDZ256rmk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ256rmk)
  .value("VFPCLASSPDZ256rr", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ256rr)
  .value("VFPCLASSPDZ256rrk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZ256rrk)
  .value("VFPCLASSPDZrm", LIEF::assembly::x86::OPCODE::VFPCLASSPDZrm)
  .value("VFPCLASSPDZrmb", LIEF::assembly::x86::OPCODE::VFPCLASSPDZrmb)
  .value("VFPCLASSPDZrmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZrmbk)
  .value("VFPCLASSPDZrmk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZrmk)
  .value("VFPCLASSPDZrr", LIEF::assembly::x86::OPCODE::VFPCLASSPDZrr)
  .value("VFPCLASSPDZrrk", LIEF::assembly::x86::OPCODE::VFPCLASSPDZrrk)
  .value("VFPCLASSPHZ128rm", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ128rm)
  .value("VFPCLASSPHZ128rmb", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ128rmb)
  .value("VFPCLASSPHZ128rmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ128rmbk)
  .value("VFPCLASSPHZ128rmk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ128rmk)
  .value("VFPCLASSPHZ128rr", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ128rr)
  .value("VFPCLASSPHZ128rrk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ128rrk)
  .value("VFPCLASSPHZ256rm", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ256rm)
  .value("VFPCLASSPHZ256rmb", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ256rmb)
  .value("VFPCLASSPHZ256rmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ256rmbk)
  .value("VFPCLASSPHZ256rmk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ256rmk)
  .value("VFPCLASSPHZ256rr", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ256rr)
  .value("VFPCLASSPHZ256rrk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZ256rrk)
  .value("VFPCLASSPHZrm", LIEF::assembly::x86::OPCODE::VFPCLASSPHZrm)
  .value("VFPCLASSPHZrmb", LIEF::assembly::x86::OPCODE::VFPCLASSPHZrmb)
  .value("VFPCLASSPHZrmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZrmbk)
  .value("VFPCLASSPHZrmk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZrmk)
  .value("VFPCLASSPHZrr", LIEF::assembly::x86::OPCODE::VFPCLASSPHZrr)
  .value("VFPCLASSPHZrrk", LIEF::assembly::x86::OPCODE::VFPCLASSPHZrrk)
  .value("VFPCLASSPSZ128rm", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ128rm)
  .value("VFPCLASSPSZ128rmb", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ128rmb)
  .value("VFPCLASSPSZ128rmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ128rmbk)
  .value("VFPCLASSPSZ128rmk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ128rmk)
  .value("VFPCLASSPSZ128rr", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ128rr)
  .value("VFPCLASSPSZ128rrk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ128rrk)
  .value("VFPCLASSPSZ256rm", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ256rm)
  .value("VFPCLASSPSZ256rmb", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ256rmb)
  .value("VFPCLASSPSZ256rmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ256rmbk)
  .value("VFPCLASSPSZ256rmk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ256rmk)
  .value("VFPCLASSPSZ256rr", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ256rr)
  .value("VFPCLASSPSZ256rrk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZ256rrk)
  .value("VFPCLASSPSZrm", LIEF::assembly::x86::OPCODE::VFPCLASSPSZrm)
  .value("VFPCLASSPSZrmb", LIEF::assembly::x86::OPCODE::VFPCLASSPSZrmb)
  .value("VFPCLASSPSZrmbk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZrmbk)
  .value("VFPCLASSPSZrmk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZrmk)
  .value("VFPCLASSPSZrr", LIEF::assembly::x86::OPCODE::VFPCLASSPSZrr)
  .value("VFPCLASSPSZrrk", LIEF::assembly::x86::OPCODE::VFPCLASSPSZrrk)
  .value("VFPCLASSSDZrm", LIEF::assembly::x86::OPCODE::VFPCLASSSDZrm)
  .value("VFPCLASSSDZrmk", LIEF::assembly::x86::OPCODE::VFPCLASSSDZrmk)
  .value("VFPCLASSSDZrr", LIEF::assembly::x86::OPCODE::VFPCLASSSDZrr)
  .value("VFPCLASSSDZrrk", LIEF::assembly::x86::OPCODE::VFPCLASSSDZrrk)
  .value("VFPCLASSSHZrm", LIEF::assembly::x86::OPCODE::VFPCLASSSHZrm)
  .value("VFPCLASSSHZrmk", LIEF::assembly::x86::OPCODE::VFPCLASSSHZrmk)
  .value("VFPCLASSSHZrr", LIEF::assembly::x86::OPCODE::VFPCLASSSHZrr)
  .value("VFPCLASSSHZrrk", LIEF::assembly::x86::OPCODE::VFPCLASSSHZrrk)
  .value("VFPCLASSSSZrm", LIEF::assembly::x86::OPCODE::VFPCLASSSSZrm)
  .value("VFPCLASSSSZrmk", LIEF::assembly::x86::OPCODE::VFPCLASSSSZrmk)
  .value("VFPCLASSSSZrr", LIEF::assembly::x86::OPCODE::VFPCLASSSSZrr)
  .value("VFPCLASSSSZrrk", LIEF::assembly::x86::OPCODE::VFPCLASSSSZrrk)
  .value("VFRCZPDYrm", LIEF::assembly::x86::OPCODE::VFRCZPDYrm)
  .value("VFRCZPDYrr", LIEF::assembly::x86::OPCODE::VFRCZPDYrr)
  .value("VFRCZPDrm", LIEF::assembly::x86::OPCODE::VFRCZPDrm)
  .value("VFRCZPDrr", LIEF::assembly::x86::OPCODE::VFRCZPDrr)
  .value("VFRCZPSYrm", LIEF::assembly::x86::OPCODE::VFRCZPSYrm)
  .value("VFRCZPSYrr", LIEF::assembly::x86::OPCODE::VFRCZPSYrr)
  .value("VFRCZPSrm", LIEF::assembly::x86::OPCODE::VFRCZPSrm)
  .value("VFRCZPSrr", LIEF::assembly::x86::OPCODE::VFRCZPSrr)
  .value("VFRCZSDrm", LIEF::assembly::x86::OPCODE::VFRCZSDrm)
  .value("VFRCZSDrr", LIEF::assembly::x86::OPCODE::VFRCZSDrr)
  .value("VFRCZSSrm", LIEF::assembly::x86::OPCODE::VFRCZSSrm)
  .value("VFRCZSSrr", LIEF::assembly::x86::OPCODE::VFRCZSSrr)
  .value("VGATHERDPDYrm", LIEF::assembly::x86::OPCODE::VGATHERDPDYrm)
  .value("VGATHERDPDZ128rm", LIEF::assembly::x86::OPCODE::VGATHERDPDZ128rm)
  .value("VGATHERDPDZ256rm", LIEF::assembly::x86::OPCODE::VGATHERDPDZ256rm)
  .value("VGATHERDPDZrm", LIEF::assembly::x86::OPCODE::VGATHERDPDZrm)
  .value("VGATHERDPDrm", LIEF::assembly::x86::OPCODE::VGATHERDPDrm)
  .value("VGATHERDPSYrm", LIEF::assembly::x86::OPCODE::VGATHERDPSYrm)
  .value("VGATHERDPSZ128rm", LIEF::assembly::x86::OPCODE::VGATHERDPSZ128rm)
  .value("VGATHERDPSZ256rm", LIEF::assembly::x86::OPCODE::VGATHERDPSZ256rm)
  .value("VGATHERDPSZrm", LIEF::assembly::x86::OPCODE::VGATHERDPSZrm)
  .value("VGATHERDPSrm", LIEF::assembly::x86::OPCODE::VGATHERDPSrm)
  .value("VGATHERPF0DPDm", LIEF::assembly::x86::OPCODE::VGATHERPF0DPDm)
  .value("VGATHERPF0DPSm", LIEF::assembly::x86::OPCODE::VGATHERPF0DPSm)
  .value("VGATHERPF0QPDm", LIEF::assembly::x86::OPCODE::VGATHERPF0QPDm)
  .value("VGATHERPF0QPSm", LIEF::assembly::x86::OPCODE::VGATHERPF0QPSm)
  .value("VGATHERPF1DPDm", LIEF::assembly::x86::OPCODE::VGATHERPF1DPDm)
  .value("VGATHERPF1DPSm", LIEF::assembly::x86::OPCODE::VGATHERPF1DPSm)
  .value("VGATHERPF1QPDm", LIEF::assembly::x86::OPCODE::VGATHERPF1QPDm)
  .value("VGATHERPF1QPSm", LIEF::assembly::x86::OPCODE::VGATHERPF1QPSm)
  .value("VGATHERQPDYrm", LIEF::assembly::x86::OPCODE::VGATHERQPDYrm)
  .value("VGATHERQPDZ128rm", LIEF::assembly::x86::OPCODE::VGATHERQPDZ128rm)
  .value("VGATHERQPDZ256rm", LIEF::assembly::x86::OPCODE::VGATHERQPDZ256rm)
  .value("VGATHERQPDZrm", LIEF::assembly::x86::OPCODE::VGATHERQPDZrm)
  .value("VGATHERQPDrm", LIEF::assembly::x86::OPCODE::VGATHERQPDrm)
  .value("VGATHERQPSYrm", LIEF::assembly::x86::OPCODE::VGATHERQPSYrm)
  .value("VGATHERQPSZ128rm", LIEF::assembly::x86::OPCODE::VGATHERQPSZ128rm)
  .value("VGATHERQPSZ256rm", LIEF::assembly::x86::OPCODE::VGATHERQPSZ256rm)
  .value("VGATHERQPSZrm", LIEF::assembly::x86::OPCODE::VGATHERQPSZrm)
  .value("VGATHERQPSrm", LIEF::assembly::x86::OPCODE::VGATHERQPSrm)
  .value("VGETEXPPDZ128m", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128m)
  .value("VGETEXPPDZ128mb", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128mb)
  .value("VGETEXPPDZ128mbk", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128mbk)
  .value("VGETEXPPDZ128mbkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128mbkz)
  .value("VGETEXPPDZ128mk", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128mk)
  .value("VGETEXPPDZ128mkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128mkz)
  .value("VGETEXPPDZ128r", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128r)
  .value("VGETEXPPDZ128rk", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128rk)
  .value("VGETEXPPDZ128rkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZ128rkz)
  .value("VGETEXPPDZ256m", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256m)
  .value("VGETEXPPDZ256mb", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256mb)
  .value("VGETEXPPDZ256mbk", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256mbk)
  .value("VGETEXPPDZ256mbkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256mbkz)
  .value("VGETEXPPDZ256mk", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256mk)
  .value("VGETEXPPDZ256mkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256mkz)
  .value("VGETEXPPDZ256r", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256r)
  .value("VGETEXPPDZ256rk", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256rk)
  .value("VGETEXPPDZ256rkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZ256rkz)
  .value("VGETEXPPDZm", LIEF::assembly::x86::OPCODE::VGETEXPPDZm)
  .value("VGETEXPPDZmb", LIEF::assembly::x86::OPCODE::VGETEXPPDZmb)
  .value("VGETEXPPDZmbk", LIEF::assembly::x86::OPCODE::VGETEXPPDZmbk)
  .value("VGETEXPPDZmbkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZmbkz)
  .value("VGETEXPPDZmk", LIEF::assembly::x86::OPCODE::VGETEXPPDZmk)
  .value("VGETEXPPDZmkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZmkz)
  .value("VGETEXPPDZr", LIEF::assembly::x86::OPCODE::VGETEXPPDZr)
  .value("VGETEXPPDZrb", LIEF::assembly::x86::OPCODE::VGETEXPPDZrb)
  .value("VGETEXPPDZrbk", LIEF::assembly::x86::OPCODE::VGETEXPPDZrbk)
  .value("VGETEXPPDZrbkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZrbkz)
  .value("VGETEXPPDZrk", LIEF::assembly::x86::OPCODE::VGETEXPPDZrk)
  .value("VGETEXPPDZrkz", LIEF::assembly::x86::OPCODE::VGETEXPPDZrkz)
  .value("VGETEXPPHZ128m", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128m)
  .value("VGETEXPPHZ128mb", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128mb)
  .value("VGETEXPPHZ128mbk", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128mbk)
  .value("VGETEXPPHZ128mbkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128mbkz)
  .value("VGETEXPPHZ128mk", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128mk)
  .value("VGETEXPPHZ128mkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128mkz)
  .value("VGETEXPPHZ128r", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128r)
  .value("VGETEXPPHZ128rk", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128rk)
  .value("VGETEXPPHZ128rkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZ128rkz)
  .value("VGETEXPPHZ256m", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256m)
  .value("VGETEXPPHZ256mb", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256mb)
  .value("VGETEXPPHZ256mbk", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256mbk)
  .value("VGETEXPPHZ256mbkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256mbkz)
  .value("VGETEXPPHZ256mk", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256mk)
  .value("VGETEXPPHZ256mkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256mkz)
  .value("VGETEXPPHZ256r", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256r)
  .value("VGETEXPPHZ256rk", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256rk)
  .value("VGETEXPPHZ256rkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZ256rkz)
  .value("VGETEXPPHZm", LIEF::assembly::x86::OPCODE::VGETEXPPHZm)
  .value("VGETEXPPHZmb", LIEF::assembly::x86::OPCODE::VGETEXPPHZmb)
  .value("VGETEXPPHZmbk", LIEF::assembly::x86::OPCODE::VGETEXPPHZmbk)
  .value("VGETEXPPHZmbkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZmbkz)
  .value("VGETEXPPHZmk", LIEF::assembly::x86::OPCODE::VGETEXPPHZmk)
  .value("VGETEXPPHZmkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZmkz)
  .value("VGETEXPPHZr", LIEF::assembly::x86::OPCODE::VGETEXPPHZr)
  .value("VGETEXPPHZrb", LIEF::assembly::x86::OPCODE::VGETEXPPHZrb)
  .value("VGETEXPPHZrbk", LIEF::assembly::x86::OPCODE::VGETEXPPHZrbk)
  .value("VGETEXPPHZrbkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZrbkz)
  .value("VGETEXPPHZrk", LIEF::assembly::x86::OPCODE::VGETEXPPHZrk)
  .value("VGETEXPPHZrkz", LIEF::assembly::x86::OPCODE::VGETEXPPHZrkz)
  .value("VGETEXPPSZ128m", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128m)
  .value("VGETEXPPSZ128mb", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128mb)
  .value("VGETEXPPSZ128mbk", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128mbk)
  .value("VGETEXPPSZ128mbkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128mbkz)
  .value("VGETEXPPSZ128mk", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128mk)
  .value("VGETEXPPSZ128mkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128mkz)
  .value("VGETEXPPSZ128r", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128r)
  .value("VGETEXPPSZ128rk", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128rk)
  .value("VGETEXPPSZ128rkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZ128rkz)
  .value("VGETEXPPSZ256m", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256m)
  .value("VGETEXPPSZ256mb", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256mb)
  .value("VGETEXPPSZ256mbk", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256mbk)
  .value("VGETEXPPSZ256mbkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256mbkz)
  .value("VGETEXPPSZ256mk", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256mk)
  .value("VGETEXPPSZ256mkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256mkz)
  .value("VGETEXPPSZ256r", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256r)
  .value("VGETEXPPSZ256rk", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256rk)
  .value("VGETEXPPSZ256rkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZ256rkz)
  .value("VGETEXPPSZm", LIEF::assembly::x86::OPCODE::VGETEXPPSZm)
  .value("VGETEXPPSZmb", LIEF::assembly::x86::OPCODE::VGETEXPPSZmb)
  .value("VGETEXPPSZmbk", LIEF::assembly::x86::OPCODE::VGETEXPPSZmbk)
  .value("VGETEXPPSZmbkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZmbkz)
  .value("VGETEXPPSZmk", LIEF::assembly::x86::OPCODE::VGETEXPPSZmk)
  .value("VGETEXPPSZmkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZmkz)
  .value("VGETEXPPSZr", LIEF::assembly::x86::OPCODE::VGETEXPPSZr)
  .value("VGETEXPPSZrb", LIEF::assembly::x86::OPCODE::VGETEXPPSZrb)
  .value("VGETEXPPSZrbk", LIEF::assembly::x86::OPCODE::VGETEXPPSZrbk)
  .value("VGETEXPPSZrbkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZrbkz)
  .value("VGETEXPPSZrk", LIEF::assembly::x86::OPCODE::VGETEXPPSZrk)
  .value("VGETEXPPSZrkz", LIEF::assembly::x86::OPCODE::VGETEXPPSZrkz)
  .value("VGETEXPSDZm", LIEF::assembly::x86::OPCODE::VGETEXPSDZm)
  .value("VGETEXPSDZmk", LIEF::assembly::x86::OPCODE::VGETEXPSDZmk)
  .value("VGETEXPSDZmkz", LIEF::assembly::x86::OPCODE::VGETEXPSDZmkz)
  .value("VGETEXPSDZr", LIEF::assembly::x86::OPCODE::VGETEXPSDZr)
  .value("VGETEXPSDZrb", LIEF::assembly::x86::OPCODE::VGETEXPSDZrb)
  .value("VGETEXPSDZrbk", LIEF::assembly::x86::OPCODE::VGETEXPSDZrbk)
  .value("VGETEXPSDZrbkz", LIEF::assembly::x86::OPCODE::VGETEXPSDZrbkz)
  .value("VGETEXPSDZrk", LIEF::assembly::x86::OPCODE::VGETEXPSDZrk)
  .value("VGETEXPSDZrkz", LIEF::assembly::x86::OPCODE::VGETEXPSDZrkz)
  .value("VGETEXPSHZm", LIEF::assembly::x86::OPCODE::VGETEXPSHZm)
  .value("VGETEXPSHZmk", LIEF::assembly::x86::OPCODE::VGETEXPSHZmk)
  .value("VGETEXPSHZmkz", LIEF::assembly::x86::OPCODE::VGETEXPSHZmkz)
  .value("VGETEXPSHZr", LIEF::assembly::x86::OPCODE::VGETEXPSHZr)
  .value("VGETEXPSHZrb", LIEF::assembly::x86::OPCODE::VGETEXPSHZrb)
  .value("VGETEXPSHZrbk", LIEF::assembly::x86::OPCODE::VGETEXPSHZrbk)
  .value("VGETEXPSHZrbkz", LIEF::assembly::x86::OPCODE::VGETEXPSHZrbkz)
  .value("VGETEXPSHZrk", LIEF::assembly::x86::OPCODE::VGETEXPSHZrk)
  .value("VGETEXPSHZrkz", LIEF::assembly::x86::OPCODE::VGETEXPSHZrkz)
  .value("VGETEXPSSZm", LIEF::assembly::x86::OPCODE::VGETEXPSSZm)
  .value("VGETEXPSSZmk", LIEF::assembly::x86::OPCODE::VGETEXPSSZmk)
  .value("VGETEXPSSZmkz", LIEF::assembly::x86::OPCODE::VGETEXPSSZmkz)
  .value("VGETEXPSSZr", LIEF::assembly::x86::OPCODE::VGETEXPSSZr)
  .value("VGETEXPSSZrb", LIEF::assembly::x86::OPCODE::VGETEXPSSZrb)
  .value("VGETEXPSSZrbk", LIEF::assembly::x86::OPCODE::VGETEXPSSZrbk)
  .value("VGETEXPSSZrbkz", LIEF::assembly::x86::OPCODE::VGETEXPSSZrbkz)
  .value("VGETEXPSSZrk", LIEF::assembly::x86::OPCODE::VGETEXPSSZrk)
  .value("VGETEXPSSZrkz", LIEF::assembly::x86::OPCODE::VGETEXPSSZrkz)
  .value("VGETMANTPDZ128rmbi", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rmbi);
  opcodes.value("VGETMANTPDZ128rmbik", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rmbik)
  .value("VGETMANTPDZ128rmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rmbikz)
  .value("VGETMANTPDZ128rmi", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rmi)
  .value("VGETMANTPDZ128rmik", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rmik)
  .value("VGETMANTPDZ128rmikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rmikz)
  .value("VGETMANTPDZ128rri", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rri)
  .value("VGETMANTPDZ128rrik", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rrik)
  .value("VGETMANTPDZ128rrikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZ128rrikz)
  .value("VGETMANTPDZ256rmbi", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rmbi)
  .value("VGETMANTPDZ256rmbik", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rmbik)
  .value("VGETMANTPDZ256rmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rmbikz)
  .value("VGETMANTPDZ256rmi", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rmi)
  .value("VGETMANTPDZ256rmik", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rmik)
  .value("VGETMANTPDZ256rmikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rmikz)
  .value("VGETMANTPDZ256rri", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rri)
  .value("VGETMANTPDZ256rrik", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rrik)
  .value("VGETMANTPDZ256rrikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZ256rrikz)
  .value("VGETMANTPDZrmbi", LIEF::assembly::x86::OPCODE::VGETMANTPDZrmbi)
  .value("VGETMANTPDZrmbik", LIEF::assembly::x86::OPCODE::VGETMANTPDZrmbik)
  .value("VGETMANTPDZrmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZrmbikz)
  .value("VGETMANTPDZrmi", LIEF::assembly::x86::OPCODE::VGETMANTPDZrmi)
  .value("VGETMANTPDZrmik", LIEF::assembly::x86::OPCODE::VGETMANTPDZrmik)
  .value("VGETMANTPDZrmikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZrmikz)
  .value("VGETMANTPDZrri", LIEF::assembly::x86::OPCODE::VGETMANTPDZrri)
  .value("VGETMANTPDZrrib", LIEF::assembly::x86::OPCODE::VGETMANTPDZrrib)
  .value("VGETMANTPDZrribk", LIEF::assembly::x86::OPCODE::VGETMANTPDZrribk)
  .value("VGETMANTPDZrribkz", LIEF::assembly::x86::OPCODE::VGETMANTPDZrribkz)
  .value("VGETMANTPDZrrik", LIEF::assembly::x86::OPCODE::VGETMANTPDZrrik)
  .value("VGETMANTPDZrrikz", LIEF::assembly::x86::OPCODE::VGETMANTPDZrrikz)
  .value("VGETMANTPHZ128rmbi", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rmbi)
  .value("VGETMANTPHZ128rmbik", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rmbik)
  .value("VGETMANTPHZ128rmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rmbikz)
  .value("VGETMANTPHZ128rmi", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rmi)
  .value("VGETMANTPHZ128rmik", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rmik)
  .value("VGETMANTPHZ128rmikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rmikz)
  .value("VGETMANTPHZ128rri", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rri)
  .value("VGETMANTPHZ128rrik", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rrik)
  .value("VGETMANTPHZ128rrikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZ128rrikz)
  .value("VGETMANTPHZ256rmbi", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rmbi)
  .value("VGETMANTPHZ256rmbik", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rmbik)
  .value("VGETMANTPHZ256rmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rmbikz)
  .value("VGETMANTPHZ256rmi", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rmi)
  .value("VGETMANTPHZ256rmik", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rmik)
  .value("VGETMANTPHZ256rmikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rmikz)
  .value("VGETMANTPHZ256rri", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rri)
  .value("VGETMANTPHZ256rrik", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rrik)
  .value("VGETMANTPHZ256rrikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZ256rrikz)
  .value("VGETMANTPHZrmbi", LIEF::assembly::x86::OPCODE::VGETMANTPHZrmbi)
  .value("VGETMANTPHZrmbik", LIEF::assembly::x86::OPCODE::VGETMANTPHZrmbik)
  .value("VGETMANTPHZrmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZrmbikz)
  .value("VGETMANTPHZrmi", LIEF::assembly::x86::OPCODE::VGETMANTPHZrmi)
  .value("VGETMANTPHZrmik", LIEF::assembly::x86::OPCODE::VGETMANTPHZrmik)
  .value("VGETMANTPHZrmikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZrmikz)
  .value("VGETMANTPHZrri", LIEF::assembly::x86::OPCODE::VGETMANTPHZrri)
  .value("VGETMANTPHZrrib", LIEF::assembly::x86::OPCODE::VGETMANTPHZrrib)
  .value("VGETMANTPHZrribk", LIEF::assembly::x86::OPCODE::VGETMANTPHZrribk)
  .value("VGETMANTPHZrribkz", LIEF::assembly::x86::OPCODE::VGETMANTPHZrribkz)
  .value("VGETMANTPHZrrik", LIEF::assembly::x86::OPCODE::VGETMANTPHZrrik)
  .value("VGETMANTPHZrrikz", LIEF::assembly::x86::OPCODE::VGETMANTPHZrrikz)
  .value("VGETMANTPSZ128rmbi", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rmbi)
  .value("VGETMANTPSZ128rmbik", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rmbik)
  .value("VGETMANTPSZ128rmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rmbikz)
  .value("VGETMANTPSZ128rmi", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rmi)
  .value("VGETMANTPSZ128rmik", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rmik)
  .value("VGETMANTPSZ128rmikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rmikz)
  .value("VGETMANTPSZ128rri", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rri)
  .value("VGETMANTPSZ128rrik", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rrik)
  .value("VGETMANTPSZ128rrikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZ128rrikz)
  .value("VGETMANTPSZ256rmbi", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rmbi)
  .value("VGETMANTPSZ256rmbik", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rmbik)
  .value("VGETMANTPSZ256rmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rmbikz)
  .value("VGETMANTPSZ256rmi", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rmi)
  .value("VGETMANTPSZ256rmik", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rmik)
  .value("VGETMANTPSZ256rmikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rmikz)
  .value("VGETMANTPSZ256rri", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rri)
  .value("VGETMANTPSZ256rrik", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rrik)
  .value("VGETMANTPSZ256rrikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZ256rrikz)
  .value("VGETMANTPSZrmbi", LIEF::assembly::x86::OPCODE::VGETMANTPSZrmbi)
  .value("VGETMANTPSZrmbik", LIEF::assembly::x86::OPCODE::VGETMANTPSZrmbik)
  .value("VGETMANTPSZrmbikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZrmbikz)
  .value("VGETMANTPSZrmi", LIEF::assembly::x86::OPCODE::VGETMANTPSZrmi)
  .value("VGETMANTPSZrmik", LIEF::assembly::x86::OPCODE::VGETMANTPSZrmik)
  .value("VGETMANTPSZrmikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZrmikz)
  .value("VGETMANTPSZrri", LIEF::assembly::x86::OPCODE::VGETMANTPSZrri)
  .value("VGETMANTPSZrrib", LIEF::assembly::x86::OPCODE::VGETMANTPSZrrib)
  .value("VGETMANTPSZrribk", LIEF::assembly::x86::OPCODE::VGETMANTPSZrribk)
  .value("VGETMANTPSZrribkz", LIEF::assembly::x86::OPCODE::VGETMANTPSZrribkz)
  .value("VGETMANTPSZrrik", LIEF::assembly::x86::OPCODE::VGETMANTPSZrrik)
  .value("VGETMANTPSZrrikz", LIEF::assembly::x86::OPCODE::VGETMANTPSZrrikz)
  .value("VGETMANTSDZrmi", LIEF::assembly::x86::OPCODE::VGETMANTSDZrmi)
  .value("VGETMANTSDZrmik", LIEF::assembly::x86::OPCODE::VGETMANTSDZrmik)
  .value("VGETMANTSDZrmikz", LIEF::assembly::x86::OPCODE::VGETMANTSDZrmikz)
  .value("VGETMANTSDZrri", LIEF::assembly::x86::OPCODE::VGETMANTSDZrri)
  .value("VGETMANTSDZrrib", LIEF::assembly::x86::OPCODE::VGETMANTSDZrrib)
  .value("VGETMANTSDZrribk", LIEF::assembly::x86::OPCODE::VGETMANTSDZrribk)
  .value("VGETMANTSDZrribkz", LIEF::assembly::x86::OPCODE::VGETMANTSDZrribkz)
  .value("VGETMANTSDZrrik", LIEF::assembly::x86::OPCODE::VGETMANTSDZrrik)
  .value("VGETMANTSDZrrikz", LIEF::assembly::x86::OPCODE::VGETMANTSDZrrikz)
  .value("VGETMANTSHZrmi", LIEF::assembly::x86::OPCODE::VGETMANTSHZrmi)
  .value("VGETMANTSHZrmik", LIEF::assembly::x86::OPCODE::VGETMANTSHZrmik)
  .value("VGETMANTSHZrmikz", LIEF::assembly::x86::OPCODE::VGETMANTSHZrmikz)
  .value("VGETMANTSHZrri", LIEF::assembly::x86::OPCODE::VGETMANTSHZrri)
  .value("VGETMANTSHZrrib", LIEF::assembly::x86::OPCODE::VGETMANTSHZrrib)
  .value("VGETMANTSHZrribk", LIEF::assembly::x86::OPCODE::VGETMANTSHZrribk)
  .value("VGETMANTSHZrribkz", LIEF::assembly::x86::OPCODE::VGETMANTSHZrribkz)
  .value("VGETMANTSHZrrik", LIEF::assembly::x86::OPCODE::VGETMANTSHZrrik)
  .value("VGETMANTSHZrrikz", LIEF::assembly::x86::OPCODE::VGETMANTSHZrrikz)
  .value("VGETMANTSSZrmi", LIEF::assembly::x86::OPCODE::VGETMANTSSZrmi)
  .value("VGETMANTSSZrmik", LIEF::assembly::x86::OPCODE::VGETMANTSSZrmik)
  .value("VGETMANTSSZrmikz", LIEF::assembly::x86::OPCODE::VGETMANTSSZrmikz)
  .value("VGETMANTSSZrri", LIEF::assembly::x86::OPCODE::VGETMANTSSZrri)
  .value("VGETMANTSSZrrib", LIEF::assembly::x86::OPCODE::VGETMANTSSZrrib)
  .value("VGETMANTSSZrribk", LIEF::assembly::x86::OPCODE::VGETMANTSSZrribk)
  .value("VGETMANTSSZrribkz", LIEF::assembly::x86::OPCODE::VGETMANTSSZrribkz)
  .value("VGETMANTSSZrrik", LIEF::assembly::x86::OPCODE::VGETMANTSSZrrik)
  .value("VGETMANTSSZrrikz", LIEF::assembly::x86::OPCODE::VGETMANTSSZrrikz)
  .value("VGF2P8AFFINEINVQBYrmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBYrmi)
  .value("VGF2P8AFFINEINVQBYrri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBYrri)
  .value("VGF2P8AFFINEINVQBZ128rmbi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rmbi)
  .value("VGF2P8AFFINEINVQBZ128rmbik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rmbik)
  .value("VGF2P8AFFINEINVQBZ128rmbikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rmbikz)
  .value("VGF2P8AFFINEINVQBZ128rmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rmi)
  .value("VGF2P8AFFINEINVQBZ128rmik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rmik)
  .value("VGF2P8AFFINEINVQBZ128rmikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rmikz)
  .value("VGF2P8AFFINEINVQBZ128rri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rri)
  .value("VGF2P8AFFINEINVQBZ128rrik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rrik)
  .value("VGF2P8AFFINEINVQBZ128rrikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ128rrikz)
  .value("VGF2P8AFFINEINVQBZ256rmbi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rmbi)
  .value("VGF2P8AFFINEINVQBZ256rmbik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rmbik)
  .value("VGF2P8AFFINEINVQBZ256rmbikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rmbikz)
  .value("VGF2P8AFFINEINVQBZ256rmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rmi)
  .value("VGF2P8AFFINEINVQBZ256rmik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rmik)
  .value("VGF2P8AFFINEINVQBZ256rmikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rmikz)
  .value("VGF2P8AFFINEINVQBZ256rri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rri)
  .value("VGF2P8AFFINEINVQBZ256rrik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rrik)
  .value("VGF2P8AFFINEINVQBZ256rrikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZ256rrikz)
  .value("VGF2P8AFFINEINVQBZrmbi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrmbi)
  .value("VGF2P8AFFINEINVQBZrmbik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrmbik)
  .value("VGF2P8AFFINEINVQBZrmbikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrmbikz)
  .value("VGF2P8AFFINEINVQBZrmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrmi)
  .value("VGF2P8AFFINEINVQBZrmik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrmik)
  .value("VGF2P8AFFINEINVQBZrmikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrmikz)
  .value("VGF2P8AFFINEINVQBZrri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrri)
  .value("VGF2P8AFFINEINVQBZrrik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrrik)
  .value("VGF2P8AFFINEINVQBZrrikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBZrrikz)
  .value("VGF2P8AFFINEINVQBrmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBrmi)
  .value("VGF2P8AFFINEINVQBrri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEINVQBrri)
  .value("VGF2P8AFFINEQBYrmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBYrmi)
  .value("VGF2P8AFFINEQBYrri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBYrri)
  .value("VGF2P8AFFINEQBZ128rmbi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rmbi)
  .value("VGF2P8AFFINEQBZ128rmbik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rmbik)
  .value("VGF2P8AFFINEQBZ128rmbikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rmbikz)
  .value("VGF2P8AFFINEQBZ128rmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rmi)
  .value("VGF2P8AFFINEQBZ128rmik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rmik)
  .value("VGF2P8AFFINEQBZ128rmikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rmikz)
  .value("VGF2P8AFFINEQBZ128rri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rri)
  .value("VGF2P8AFFINEQBZ128rrik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rrik)
  .value("VGF2P8AFFINEQBZ128rrikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ128rrikz)
  .value("VGF2P8AFFINEQBZ256rmbi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rmbi)
  .value("VGF2P8AFFINEQBZ256rmbik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rmbik)
  .value("VGF2P8AFFINEQBZ256rmbikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rmbikz)
  .value("VGF2P8AFFINEQBZ256rmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rmi)
  .value("VGF2P8AFFINEQBZ256rmik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rmik)
  .value("VGF2P8AFFINEQBZ256rmikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rmikz)
  .value("VGF2P8AFFINEQBZ256rri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rri)
  .value("VGF2P8AFFINEQBZ256rrik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rrik)
  .value("VGF2P8AFFINEQBZ256rrikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZ256rrikz)
  .value("VGF2P8AFFINEQBZrmbi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrmbi)
  .value("VGF2P8AFFINEQBZrmbik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrmbik)
  .value("VGF2P8AFFINEQBZrmbikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrmbikz)
  .value("VGF2P8AFFINEQBZrmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrmi)
  .value("VGF2P8AFFINEQBZrmik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrmik)
  .value("VGF2P8AFFINEQBZrmikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrmikz)
  .value("VGF2P8AFFINEQBZrri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrri)
  .value("VGF2P8AFFINEQBZrrik", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrrik)
  .value("VGF2P8AFFINEQBZrrikz", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBZrrikz)
  .value("VGF2P8AFFINEQBrmi", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBrmi)
  .value("VGF2P8AFFINEQBrri", LIEF::assembly::x86::OPCODE::VGF2P8AFFINEQBrri)
  .value("VGF2P8MULBYrm", LIEF::assembly::x86::OPCODE::VGF2P8MULBYrm)
  .value("VGF2P8MULBYrr", LIEF::assembly::x86::OPCODE::VGF2P8MULBYrr)
  .value("VGF2P8MULBZ128rm", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ128rm)
  .value("VGF2P8MULBZ128rmk", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ128rmk)
  .value("VGF2P8MULBZ128rmkz", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ128rmkz)
  .value("VGF2P8MULBZ128rr", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ128rr)
  .value("VGF2P8MULBZ128rrk", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ128rrk)
  .value("VGF2P8MULBZ128rrkz", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ128rrkz)
  .value("VGF2P8MULBZ256rm", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ256rm)
  .value("VGF2P8MULBZ256rmk", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ256rmk)
  .value("VGF2P8MULBZ256rmkz", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ256rmkz)
  .value("VGF2P8MULBZ256rr", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ256rr)
  .value("VGF2P8MULBZ256rrk", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ256rrk)
  .value("VGF2P8MULBZ256rrkz", LIEF::assembly::x86::OPCODE::VGF2P8MULBZ256rrkz)
  .value("VGF2P8MULBZrm", LIEF::assembly::x86::OPCODE::VGF2P8MULBZrm)
  .value("VGF2P8MULBZrmk", LIEF::assembly::x86::OPCODE::VGF2P8MULBZrmk)
  .value("VGF2P8MULBZrmkz", LIEF::assembly::x86::OPCODE::VGF2P8MULBZrmkz)
  .value("VGF2P8MULBZrr", LIEF::assembly::x86::OPCODE::VGF2P8MULBZrr)
  .value("VGF2P8MULBZrrk", LIEF::assembly::x86::OPCODE::VGF2P8MULBZrrk)
  .value("VGF2P8MULBZrrkz", LIEF::assembly::x86::OPCODE::VGF2P8MULBZrrkz)
  .value("VGF2P8MULBrm", LIEF::assembly::x86::OPCODE::VGF2P8MULBrm)
  .value("VGF2P8MULBrr", LIEF::assembly::x86::OPCODE::VGF2P8MULBrr)
  .value("VHADDPDYrm", LIEF::assembly::x86::OPCODE::VHADDPDYrm)
  .value("VHADDPDYrr", LIEF::assembly::x86::OPCODE::VHADDPDYrr)
  .value("VHADDPDrm", LIEF::assembly::x86::OPCODE::VHADDPDrm)
  .value("VHADDPDrr", LIEF::assembly::x86::OPCODE::VHADDPDrr)
  .value("VHADDPSYrm", LIEF::assembly::x86::OPCODE::VHADDPSYrm)
  .value("VHADDPSYrr", LIEF::assembly::x86::OPCODE::VHADDPSYrr)
  .value("VHADDPSrm", LIEF::assembly::x86::OPCODE::VHADDPSrm)
  .value("VHADDPSrr", LIEF::assembly::x86::OPCODE::VHADDPSrr)
  .value("VHSUBPDYrm", LIEF::assembly::x86::OPCODE::VHSUBPDYrm)
  .value("VHSUBPDYrr", LIEF::assembly::x86::OPCODE::VHSUBPDYrr)
  .value("VHSUBPDrm", LIEF::assembly::x86::OPCODE::VHSUBPDrm)
  .value("VHSUBPDrr", LIEF::assembly::x86::OPCODE::VHSUBPDrr)
  .value("VHSUBPSYrm", LIEF::assembly::x86::OPCODE::VHSUBPSYrm)
  .value("VHSUBPSYrr", LIEF::assembly::x86::OPCODE::VHSUBPSYrr)
  .value("VHSUBPSrm", LIEF::assembly::x86::OPCODE::VHSUBPSrm)
  .value("VHSUBPSrr", LIEF::assembly::x86::OPCODE::VHSUBPSrr)
  .value("VINSERTF128rm", LIEF::assembly::x86::OPCODE::VINSERTF128rm)
  .value("VINSERTF128rr", LIEF::assembly::x86::OPCODE::VINSERTF128rr)
  .value("VINSERTF32x4Z256rm", LIEF::assembly::x86::OPCODE::VINSERTF32x4Z256rm)
  .value("VINSERTF32x4Z256rmk", LIEF::assembly::x86::OPCODE::VINSERTF32x4Z256rmk)
  .value("VINSERTF32x4Z256rmkz", LIEF::assembly::x86::OPCODE::VINSERTF32x4Z256rmkz)
  .value("VINSERTF32x4Z256rr", LIEF::assembly::x86::OPCODE::VINSERTF32x4Z256rr)
  .value("VINSERTF32x4Z256rrk", LIEF::assembly::x86::OPCODE::VINSERTF32x4Z256rrk)
  .value("VINSERTF32x4Z256rrkz", LIEF::assembly::x86::OPCODE::VINSERTF32x4Z256rrkz)
  .value("VINSERTF32x4Zrm", LIEF::assembly::x86::OPCODE::VINSERTF32x4Zrm)
  .value("VINSERTF32x4Zrmk", LIEF::assembly::x86::OPCODE::VINSERTF32x4Zrmk)
  .value("VINSERTF32x4Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTF32x4Zrmkz)
  .value("VINSERTF32x4Zrr", LIEF::assembly::x86::OPCODE::VINSERTF32x4Zrr)
  .value("VINSERTF32x4Zrrk", LIEF::assembly::x86::OPCODE::VINSERTF32x4Zrrk)
  .value("VINSERTF32x4Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTF32x4Zrrkz)
  .value("VINSERTF32x8Zrm", LIEF::assembly::x86::OPCODE::VINSERTF32x8Zrm)
  .value("VINSERTF32x8Zrmk", LIEF::assembly::x86::OPCODE::VINSERTF32x8Zrmk)
  .value("VINSERTF32x8Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTF32x8Zrmkz)
  .value("VINSERTF32x8Zrr", LIEF::assembly::x86::OPCODE::VINSERTF32x8Zrr)
  .value("VINSERTF32x8Zrrk", LIEF::assembly::x86::OPCODE::VINSERTF32x8Zrrk)
  .value("VINSERTF32x8Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTF32x8Zrrkz)
  .value("VINSERTF64x2Z256rm", LIEF::assembly::x86::OPCODE::VINSERTF64x2Z256rm)
  .value("VINSERTF64x2Z256rmk", LIEF::assembly::x86::OPCODE::VINSERTF64x2Z256rmk)
  .value("VINSERTF64x2Z256rmkz", LIEF::assembly::x86::OPCODE::VINSERTF64x2Z256rmkz)
  .value("VINSERTF64x2Z256rr", LIEF::assembly::x86::OPCODE::VINSERTF64x2Z256rr)
  .value("VINSERTF64x2Z256rrk", LIEF::assembly::x86::OPCODE::VINSERTF64x2Z256rrk)
  .value("VINSERTF64x2Z256rrkz", LIEF::assembly::x86::OPCODE::VINSERTF64x2Z256rrkz)
  .value("VINSERTF64x2Zrm", LIEF::assembly::x86::OPCODE::VINSERTF64x2Zrm)
  .value("VINSERTF64x2Zrmk", LIEF::assembly::x86::OPCODE::VINSERTF64x2Zrmk)
  .value("VINSERTF64x2Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTF64x2Zrmkz)
  .value("VINSERTF64x2Zrr", LIEF::assembly::x86::OPCODE::VINSERTF64x2Zrr)
  .value("VINSERTF64x2Zrrk", LIEF::assembly::x86::OPCODE::VINSERTF64x2Zrrk)
  .value("VINSERTF64x2Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTF64x2Zrrkz)
  .value("VINSERTF64x4Zrm", LIEF::assembly::x86::OPCODE::VINSERTF64x4Zrm)
  .value("VINSERTF64x4Zrmk", LIEF::assembly::x86::OPCODE::VINSERTF64x4Zrmk)
  .value("VINSERTF64x4Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTF64x4Zrmkz)
  .value("VINSERTF64x4Zrr", LIEF::assembly::x86::OPCODE::VINSERTF64x4Zrr)
  .value("VINSERTF64x4Zrrk", LIEF::assembly::x86::OPCODE::VINSERTF64x4Zrrk)
  .value("VINSERTF64x4Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTF64x4Zrrkz)
  .value("VINSERTI128rm", LIEF::assembly::x86::OPCODE::VINSERTI128rm)
  .value("VINSERTI128rr", LIEF::assembly::x86::OPCODE::VINSERTI128rr)
  .value("VINSERTI32x4Z256rm", LIEF::assembly::x86::OPCODE::VINSERTI32x4Z256rm)
  .value("VINSERTI32x4Z256rmk", LIEF::assembly::x86::OPCODE::VINSERTI32x4Z256rmk)
  .value("VINSERTI32x4Z256rmkz", LIEF::assembly::x86::OPCODE::VINSERTI32x4Z256rmkz)
  .value("VINSERTI32x4Z256rr", LIEF::assembly::x86::OPCODE::VINSERTI32x4Z256rr)
  .value("VINSERTI32x4Z256rrk", LIEF::assembly::x86::OPCODE::VINSERTI32x4Z256rrk)
  .value("VINSERTI32x4Z256rrkz", LIEF::assembly::x86::OPCODE::VINSERTI32x4Z256rrkz)
  .value("VINSERTI32x4Zrm", LIEF::assembly::x86::OPCODE::VINSERTI32x4Zrm)
  .value("VINSERTI32x4Zrmk", LIEF::assembly::x86::OPCODE::VINSERTI32x4Zrmk)
  .value("VINSERTI32x4Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTI32x4Zrmkz)
  .value("VINSERTI32x4Zrr", LIEF::assembly::x86::OPCODE::VINSERTI32x4Zrr)
  .value("VINSERTI32x4Zrrk", LIEF::assembly::x86::OPCODE::VINSERTI32x4Zrrk)
  .value("VINSERTI32x4Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTI32x4Zrrkz)
  .value("VINSERTI32x8Zrm", LIEF::assembly::x86::OPCODE::VINSERTI32x8Zrm)
  .value("VINSERTI32x8Zrmk", LIEF::assembly::x86::OPCODE::VINSERTI32x8Zrmk)
  .value("VINSERTI32x8Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTI32x8Zrmkz)
  .value("VINSERTI32x8Zrr", LIEF::assembly::x86::OPCODE::VINSERTI32x8Zrr)
  .value("VINSERTI32x8Zrrk", LIEF::assembly::x86::OPCODE::VINSERTI32x8Zrrk)
  .value("VINSERTI32x8Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTI32x8Zrrkz)
  .value("VINSERTI64x2Z256rm", LIEF::assembly::x86::OPCODE::VINSERTI64x2Z256rm)
  .value("VINSERTI64x2Z256rmk", LIEF::assembly::x86::OPCODE::VINSERTI64x2Z256rmk)
  .value("VINSERTI64x2Z256rmkz", LIEF::assembly::x86::OPCODE::VINSERTI64x2Z256rmkz)
  .value("VINSERTI64x2Z256rr", LIEF::assembly::x86::OPCODE::VINSERTI64x2Z256rr)
  .value("VINSERTI64x2Z256rrk", LIEF::assembly::x86::OPCODE::VINSERTI64x2Z256rrk)
  .value("VINSERTI64x2Z256rrkz", LIEF::assembly::x86::OPCODE::VINSERTI64x2Z256rrkz)
  .value("VINSERTI64x2Zrm", LIEF::assembly::x86::OPCODE::VINSERTI64x2Zrm)
  .value("VINSERTI64x2Zrmk", LIEF::assembly::x86::OPCODE::VINSERTI64x2Zrmk)
  .value("VINSERTI64x2Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTI64x2Zrmkz)
  .value("VINSERTI64x2Zrr", LIEF::assembly::x86::OPCODE::VINSERTI64x2Zrr)
  .value("VINSERTI64x2Zrrk", LIEF::assembly::x86::OPCODE::VINSERTI64x2Zrrk)
  .value("VINSERTI64x2Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTI64x2Zrrkz)
  .value("VINSERTI64x4Zrm", LIEF::assembly::x86::OPCODE::VINSERTI64x4Zrm)
  .value("VINSERTI64x4Zrmk", LIEF::assembly::x86::OPCODE::VINSERTI64x4Zrmk)
  .value("VINSERTI64x4Zrmkz", LIEF::assembly::x86::OPCODE::VINSERTI64x4Zrmkz)
  .value("VINSERTI64x4Zrr", LIEF::assembly::x86::OPCODE::VINSERTI64x4Zrr)
  .value("VINSERTI64x4Zrrk", LIEF::assembly::x86::OPCODE::VINSERTI64x4Zrrk)
  .value("VINSERTI64x4Zrrkz", LIEF::assembly::x86::OPCODE::VINSERTI64x4Zrrkz)
  .value("VINSERTPSZrm", LIEF::assembly::x86::OPCODE::VINSERTPSZrm)
  .value("VINSERTPSZrr", LIEF::assembly::x86::OPCODE::VINSERTPSZrr)
  .value("VINSERTPSrm", LIEF::assembly::x86::OPCODE::VINSERTPSrm)
  .value("VINSERTPSrr", LIEF::assembly::x86::OPCODE::VINSERTPSrr)
  .value("VLDDQUYrm", LIEF::assembly::x86::OPCODE::VLDDQUYrm)
  .value("VLDDQUrm", LIEF::assembly::x86::OPCODE::VLDDQUrm)
  .value("VLDMXCSR", LIEF::assembly::x86::OPCODE::VLDMXCSR)
  .value("VMASKMOVDQU", LIEF::assembly::x86::OPCODE::VMASKMOVDQU);
  opcodes.value("VMASKMOVDQU64", LIEF::assembly::x86::OPCODE::VMASKMOVDQU64)
  .value("VMASKMOVPDYmr", LIEF::assembly::x86::OPCODE::VMASKMOVPDYmr)
  .value("VMASKMOVPDYrm", LIEF::assembly::x86::OPCODE::VMASKMOVPDYrm)
  .value("VMASKMOVPDmr", LIEF::assembly::x86::OPCODE::VMASKMOVPDmr)
  .value("VMASKMOVPDrm", LIEF::assembly::x86::OPCODE::VMASKMOVPDrm)
  .value("VMASKMOVPSYmr", LIEF::assembly::x86::OPCODE::VMASKMOVPSYmr)
  .value("VMASKMOVPSYrm", LIEF::assembly::x86::OPCODE::VMASKMOVPSYrm)
  .value("VMASKMOVPSmr", LIEF::assembly::x86::OPCODE::VMASKMOVPSmr)
  .value("VMASKMOVPSrm", LIEF::assembly::x86::OPCODE::VMASKMOVPSrm)
  .value("VMAXCPDYrm", LIEF::assembly::x86::OPCODE::VMAXCPDYrm)
  .value("VMAXCPDYrr", LIEF::assembly::x86::OPCODE::VMAXCPDYrr)
  .value("VMAXCPDZ128rm", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rm)
  .value("VMAXCPDZ128rmb", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rmb)
  .value("VMAXCPDZ128rmbk", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rmbk)
  .value("VMAXCPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rmbkz)
  .value("VMAXCPDZ128rmk", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rmk)
  .value("VMAXCPDZ128rmkz", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rmkz)
  .value("VMAXCPDZ128rr", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rr)
  .value("VMAXCPDZ128rrk", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rrk)
  .value("VMAXCPDZ128rrkz", LIEF::assembly::x86::OPCODE::VMAXCPDZ128rrkz)
  .value("VMAXCPDZ256rm", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rm)
  .value("VMAXCPDZ256rmb", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rmb)
  .value("VMAXCPDZ256rmbk", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rmbk)
  .value("VMAXCPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rmbkz)
  .value("VMAXCPDZ256rmk", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rmk)
  .value("VMAXCPDZ256rmkz", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rmkz)
  .value("VMAXCPDZ256rr", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rr)
  .value("VMAXCPDZ256rrk", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rrk)
  .value("VMAXCPDZ256rrkz", LIEF::assembly::x86::OPCODE::VMAXCPDZ256rrkz)
  .value("VMAXCPDZrm", LIEF::assembly::x86::OPCODE::VMAXCPDZrm)
  .value("VMAXCPDZrmb", LIEF::assembly::x86::OPCODE::VMAXCPDZrmb)
  .value("VMAXCPDZrmbk", LIEF::assembly::x86::OPCODE::VMAXCPDZrmbk)
  .value("VMAXCPDZrmbkz", LIEF::assembly::x86::OPCODE::VMAXCPDZrmbkz)
  .value("VMAXCPDZrmk", LIEF::assembly::x86::OPCODE::VMAXCPDZrmk)
  .value("VMAXCPDZrmkz", LIEF::assembly::x86::OPCODE::VMAXCPDZrmkz)
  .value("VMAXCPDZrr", LIEF::assembly::x86::OPCODE::VMAXCPDZrr)
  .value("VMAXCPDZrrk", LIEF::assembly::x86::OPCODE::VMAXCPDZrrk)
  .value("VMAXCPDZrrkz", LIEF::assembly::x86::OPCODE::VMAXCPDZrrkz)
  .value("VMAXCPDrm", LIEF::assembly::x86::OPCODE::VMAXCPDrm)
  .value("VMAXCPDrr", LIEF::assembly::x86::OPCODE::VMAXCPDrr)
  .value("VMAXCPHZ128rm", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rm)
  .value("VMAXCPHZ128rmb", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rmb)
  .value("VMAXCPHZ128rmbk", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rmbk)
  .value("VMAXCPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rmbkz)
  .value("VMAXCPHZ128rmk", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rmk)
  .value("VMAXCPHZ128rmkz", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rmkz)
  .value("VMAXCPHZ128rr", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rr)
  .value("VMAXCPHZ128rrk", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rrk)
  .value("VMAXCPHZ128rrkz", LIEF::assembly::x86::OPCODE::VMAXCPHZ128rrkz)
  .value("VMAXCPHZ256rm", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rm)
  .value("VMAXCPHZ256rmb", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rmb)
  .value("VMAXCPHZ256rmbk", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rmbk)
  .value("VMAXCPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rmbkz)
  .value("VMAXCPHZ256rmk", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rmk)
  .value("VMAXCPHZ256rmkz", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rmkz)
  .value("VMAXCPHZ256rr", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rr)
  .value("VMAXCPHZ256rrk", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rrk)
  .value("VMAXCPHZ256rrkz", LIEF::assembly::x86::OPCODE::VMAXCPHZ256rrkz)
  .value("VMAXCPHZrm", LIEF::assembly::x86::OPCODE::VMAXCPHZrm)
  .value("VMAXCPHZrmb", LIEF::assembly::x86::OPCODE::VMAXCPHZrmb)
  .value("VMAXCPHZrmbk", LIEF::assembly::x86::OPCODE::VMAXCPHZrmbk)
  .value("VMAXCPHZrmbkz", LIEF::assembly::x86::OPCODE::VMAXCPHZrmbkz)
  .value("VMAXCPHZrmk", LIEF::assembly::x86::OPCODE::VMAXCPHZrmk)
  .value("VMAXCPHZrmkz", LIEF::assembly::x86::OPCODE::VMAXCPHZrmkz)
  .value("VMAXCPHZrr", LIEF::assembly::x86::OPCODE::VMAXCPHZrr)
  .value("VMAXCPHZrrk", LIEF::assembly::x86::OPCODE::VMAXCPHZrrk)
  .value("VMAXCPHZrrkz", LIEF::assembly::x86::OPCODE::VMAXCPHZrrkz)
  .value("VMAXCPSYrm", LIEF::assembly::x86::OPCODE::VMAXCPSYrm)
  .value("VMAXCPSYrr", LIEF::assembly::x86::OPCODE::VMAXCPSYrr)
  .value("VMAXCPSZ128rm", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rm)
  .value("VMAXCPSZ128rmb", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rmb)
  .value("VMAXCPSZ128rmbk", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rmbk)
  .value("VMAXCPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rmbkz)
  .value("VMAXCPSZ128rmk", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rmk)
  .value("VMAXCPSZ128rmkz", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rmkz)
  .value("VMAXCPSZ128rr", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rr)
  .value("VMAXCPSZ128rrk", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rrk)
  .value("VMAXCPSZ128rrkz", LIEF::assembly::x86::OPCODE::VMAXCPSZ128rrkz)
  .value("VMAXCPSZ256rm", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rm)
  .value("VMAXCPSZ256rmb", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rmb)
  .value("VMAXCPSZ256rmbk", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rmbk)
  .value("VMAXCPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rmbkz)
  .value("VMAXCPSZ256rmk", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rmk)
  .value("VMAXCPSZ256rmkz", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rmkz)
  .value("VMAXCPSZ256rr", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rr)
  .value("VMAXCPSZ256rrk", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rrk)
  .value("VMAXCPSZ256rrkz", LIEF::assembly::x86::OPCODE::VMAXCPSZ256rrkz)
  .value("VMAXCPSZrm", LIEF::assembly::x86::OPCODE::VMAXCPSZrm)
  .value("VMAXCPSZrmb", LIEF::assembly::x86::OPCODE::VMAXCPSZrmb)
  .value("VMAXCPSZrmbk", LIEF::assembly::x86::OPCODE::VMAXCPSZrmbk)
  .value("VMAXCPSZrmbkz", LIEF::assembly::x86::OPCODE::VMAXCPSZrmbkz)
  .value("VMAXCPSZrmk", LIEF::assembly::x86::OPCODE::VMAXCPSZrmk)
  .value("VMAXCPSZrmkz", LIEF::assembly::x86::OPCODE::VMAXCPSZrmkz)
  .value("VMAXCPSZrr", LIEF::assembly::x86::OPCODE::VMAXCPSZrr)
  .value("VMAXCPSZrrk", LIEF::assembly::x86::OPCODE::VMAXCPSZrrk)
  .value("VMAXCPSZrrkz", LIEF::assembly::x86::OPCODE::VMAXCPSZrrkz)
  .value("VMAXCPSrm", LIEF::assembly::x86::OPCODE::VMAXCPSrm)
  .value("VMAXCPSrr", LIEF::assembly::x86::OPCODE::VMAXCPSrr)
  .value("VMAXCSDZrm", LIEF::assembly::x86::OPCODE::VMAXCSDZrm)
  .value("VMAXCSDZrr", LIEF::assembly::x86::OPCODE::VMAXCSDZrr)
  .value("VMAXCSDrm", LIEF::assembly::x86::OPCODE::VMAXCSDrm)
  .value("VMAXCSDrr", LIEF::assembly::x86::OPCODE::VMAXCSDrr)
  .value("VMAXCSHZrm", LIEF::assembly::x86::OPCODE::VMAXCSHZrm)
  .value("VMAXCSHZrr", LIEF::assembly::x86::OPCODE::VMAXCSHZrr)
  .value("VMAXCSSZrm", LIEF::assembly::x86::OPCODE::VMAXCSSZrm)
  .value("VMAXCSSZrr", LIEF::assembly::x86::OPCODE::VMAXCSSZrr)
  .value("VMAXCSSrm", LIEF::assembly::x86::OPCODE::VMAXCSSrm)
  .value("VMAXCSSrr", LIEF::assembly::x86::OPCODE::VMAXCSSrr)
  .value("VMAXPDYrm", LIEF::assembly::x86::OPCODE::VMAXPDYrm)
  .value("VMAXPDYrr", LIEF::assembly::x86::OPCODE::VMAXPDYrr)
  .value("VMAXPDZ128rm", LIEF::assembly::x86::OPCODE::VMAXPDZ128rm)
  .value("VMAXPDZ128rmb", LIEF::assembly::x86::OPCODE::VMAXPDZ128rmb)
  .value("VMAXPDZ128rmbk", LIEF::assembly::x86::OPCODE::VMAXPDZ128rmbk)
  .value("VMAXPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VMAXPDZ128rmbkz)
  .value("VMAXPDZ128rmk", LIEF::assembly::x86::OPCODE::VMAXPDZ128rmk)
  .value("VMAXPDZ128rmkz", LIEF::assembly::x86::OPCODE::VMAXPDZ128rmkz)
  .value("VMAXPDZ128rr", LIEF::assembly::x86::OPCODE::VMAXPDZ128rr)
  .value("VMAXPDZ128rrk", LIEF::assembly::x86::OPCODE::VMAXPDZ128rrk)
  .value("VMAXPDZ128rrkz", LIEF::assembly::x86::OPCODE::VMAXPDZ128rrkz)
  .value("VMAXPDZ256rm", LIEF::assembly::x86::OPCODE::VMAXPDZ256rm)
  .value("VMAXPDZ256rmb", LIEF::assembly::x86::OPCODE::VMAXPDZ256rmb)
  .value("VMAXPDZ256rmbk", LIEF::assembly::x86::OPCODE::VMAXPDZ256rmbk)
  .value("VMAXPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VMAXPDZ256rmbkz)
  .value("VMAXPDZ256rmk", LIEF::assembly::x86::OPCODE::VMAXPDZ256rmk)
  .value("VMAXPDZ256rmkz", LIEF::assembly::x86::OPCODE::VMAXPDZ256rmkz)
  .value("VMAXPDZ256rr", LIEF::assembly::x86::OPCODE::VMAXPDZ256rr)
  .value("VMAXPDZ256rrk", LIEF::assembly::x86::OPCODE::VMAXPDZ256rrk)
  .value("VMAXPDZ256rrkz", LIEF::assembly::x86::OPCODE::VMAXPDZ256rrkz)
  .value("VMAXPDZrm", LIEF::assembly::x86::OPCODE::VMAXPDZrm)
  .value("VMAXPDZrmb", LIEF::assembly::x86::OPCODE::VMAXPDZrmb)
  .value("VMAXPDZrmbk", LIEF::assembly::x86::OPCODE::VMAXPDZrmbk)
  .value("VMAXPDZrmbkz", LIEF::assembly::x86::OPCODE::VMAXPDZrmbkz)
  .value("VMAXPDZrmk", LIEF::assembly::x86::OPCODE::VMAXPDZrmk)
  .value("VMAXPDZrmkz", LIEF::assembly::x86::OPCODE::VMAXPDZrmkz)
  .value("VMAXPDZrr", LIEF::assembly::x86::OPCODE::VMAXPDZrr)
  .value("VMAXPDZrrb", LIEF::assembly::x86::OPCODE::VMAXPDZrrb)
  .value("VMAXPDZrrbk", LIEF::assembly::x86::OPCODE::VMAXPDZrrbk)
  .value("VMAXPDZrrbkz", LIEF::assembly::x86::OPCODE::VMAXPDZrrbkz)
  .value("VMAXPDZrrk", LIEF::assembly::x86::OPCODE::VMAXPDZrrk)
  .value("VMAXPDZrrkz", LIEF::assembly::x86::OPCODE::VMAXPDZrrkz)
  .value("VMAXPDrm", LIEF::assembly::x86::OPCODE::VMAXPDrm)
  .value("VMAXPDrr", LIEF::assembly::x86::OPCODE::VMAXPDrr)
  .value("VMAXPHZ128rm", LIEF::assembly::x86::OPCODE::VMAXPHZ128rm)
  .value("VMAXPHZ128rmb", LIEF::assembly::x86::OPCODE::VMAXPHZ128rmb)
  .value("VMAXPHZ128rmbk", LIEF::assembly::x86::OPCODE::VMAXPHZ128rmbk)
  .value("VMAXPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VMAXPHZ128rmbkz)
  .value("VMAXPHZ128rmk", LIEF::assembly::x86::OPCODE::VMAXPHZ128rmk)
  .value("VMAXPHZ128rmkz", LIEF::assembly::x86::OPCODE::VMAXPHZ128rmkz)
  .value("VMAXPHZ128rr", LIEF::assembly::x86::OPCODE::VMAXPHZ128rr)
  .value("VMAXPHZ128rrk", LIEF::assembly::x86::OPCODE::VMAXPHZ128rrk)
  .value("VMAXPHZ128rrkz", LIEF::assembly::x86::OPCODE::VMAXPHZ128rrkz)
  .value("VMAXPHZ256rm", LIEF::assembly::x86::OPCODE::VMAXPHZ256rm)
  .value("VMAXPHZ256rmb", LIEF::assembly::x86::OPCODE::VMAXPHZ256rmb)
  .value("VMAXPHZ256rmbk", LIEF::assembly::x86::OPCODE::VMAXPHZ256rmbk)
  .value("VMAXPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VMAXPHZ256rmbkz)
  .value("VMAXPHZ256rmk", LIEF::assembly::x86::OPCODE::VMAXPHZ256rmk)
  .value("VMAXPHZ256rmkz", LIEF::assembly::x86::OPCODE::VMAXPHZ256rmkz)
  .value("VMAXPHZ256rr", LIEF::assembly::x86::OPCODE::VMAXPHZ256rr)
  .value("VMAXPHZ256rrk", LIEF::assembly::x86::OPCODE::VMAXPHZ256rrk)
  .value("VMAXPHZ256rrkz", LIEF::assembly::x86::OPCODE::VMAXPHZ256rrkz)
  .value("VMAXPHZrm", LIEF::assembly::x86::OPCODE::VMAXPHZrm)
  .value("VMAXPHZrmb", LIEF::assembly::x86::OPCODE::VMAXPHZrmb)
  .value("VMAXPHZrmbk", LIEF::assembly::x86::OPCODE::VMAXPHZrmbk)
  .value("VMAXPHZrmbkz", LIEF::assembly::x86::OPCODE::VMAXPHZrmbkz)
  .value("VMAXPHZrmk", LIEF::assembly::x86::OPCODE::VMAXPHZrmk)
  .value("VMAXPHZrmkz", LIEF::assembly::x86::OPCODE::VMAXPHZrmkz)
  .value("VMAXPHZrr", LIEF::assembly::x86::OPCODE::VMAXPHZrr)
  .value("VMAXPHZrrb", LIEF::assembly::x86::OPCODE::VMAXPHZrrb)
  .value("VMAXPHZrrbk", LIEF::assembly::x86::OPCODE::VMAXPHZrrbk)
  .value("VMAXPHZrrbkz", LIEF::assembly::x86::OPCODE::VMAXPHZrrbkz)
  .value("VMAXPHZrrk", LIEF::assembly::x86::OPCODE::VMAXPHZrrk)
  .value("VMAXPHZrrkz", LIEF::assembly::x86::OPCODE::VMAXPHZrrkz)
  .value("VMAXPSYrm", LIEF::assembly::x86::OPCODE::VMAXPSYrm)
  .value("VMAXPSYrr", LIEF::assembly::x86::OPCODE::VMAXPSYrr)
  .value("VMAXPSZ128rm", LIEF::assembly::x86::OPCODE::VMAXPSZ128rm)
  .value("VMAXPSZ128rmb", LIEF::assembly::x86::OPCODE::VMAXPSZ128rmb)
  .value("VMAXPSZ128rmbk", LIEF::assembly::x86::OPCODE::VMAXPSZ128rmbk)
  .value("VMAXPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VMAXPSZ128rmbkz)
  .value("VMAXPSZ128rmk", LIEF::assembly::x86::OPCODE::VMAXPSZ128rmk)
  .value("VMAXPSZ128rmkz", LIEF::assembly::x86::OPCODE::VMAXPSZ128rmkz)
  .value("VMAXPSZ128rr", LIEF::assembly::x86::OPCODE::VMAXPSZ128rr)
  .value("VMAXPSZ128rrk", LIEF::assembly::x86::OPCODE::VMAXPSZ128rrk)
  .value("VMAXPSZ128rrkz", LIEF::assembly::x86::OPCODE::VMAXPSZ128rrkz)
  .value("VMAXPSZ256rm", LIEF::assembly::x86::OPCODE::VMAXPSZ256rm)
  .value("VMAXPSZ256rmb", LIEF::assembly::x86::OPCODE::VMAXPSZ256rmb)
  .value("VMAXPSZ256rmbk", LIEF::assembly::x86::OPCODE::VMAXPSZ256rmbk)
  .value("VMAXPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VMAXPSZ256rmbkz)
  .value("VMAXPSZ256rmk", LIEF::assembly::x86::OPCODE::VMAXPSZ256rmk)
  .value("VMAXPSZ256rmkz", LIEF::assembly::x86::OPCODE::VMAXPSZ256rmkz)
  .value("VMAXPSZ256rr", LIEF::assembly::x86::OPCODE::VMAXPSZ256rr)
  .value("VMAXPSZ256rrk", LIEF::assembly::x86::OPCODE::VMAXPSZ256rrk)
  .value("VMAXPSZ256rrkz", LIEF::assembly::x86::OPCODE::VMAXPSZ256rrkz)
  .value("VMAXPSZrm", LIEF::assembly::x86::OPCODE::VMAXPSZrm)
  .value("VMAXPSZrmb", LIEF::assembly::x86::OPCODE::VMAXPSZrmb)
  .value("VMAXPSZrmbk", LIEF::assembly::x86::OPCODE::VMAXPSZrmbk)
  .value("VMAXPSZrmbkz", LIEF::assembly::x86::OPCODE::VMAXPSZrmbkz)
  .value("VMAXPSZrmk", LIEF::assembly::x86::OPCODE::VMAXPSZrmk)
  .value("VMAXPSZrmkz", LIEF::assembly::x86::OPCODE::VMAXPSZrmkz)
  .value("VMAXPSZrr", LIEF::assembly::x86::OPCODE::VMAXPSZrr)
  .value("VMAXPSZrrb", LIEF::assembly::x86::OPCODE::VMAXPSZrrb)
  .value("VMAXPSZrrbk", LIEF::assembly::x86::OPCODE::VMAXPSZrrbk)
  .value("VMAXPSZrrbkz", LIEF::assembly::x86::OPCODE::VMAXPSZrrbkz)
  .value("VMAXPSZrrk", LIEF::assembly::x86::OPCODE::VMAXPSZrrk)
  .value("VMAXPSZrrkz", LIEF::assembly::x86::OPCODE::VMAXPSZrrkz)
  .value("VMAXPSrm", LIEF::assembly::x86::OPCODE::VMAXPSrm)
  .value("VMAXPSrr", LIEF::assembly::x86::OPCODE::VMAXPSrr)
  .value("VMAXSDZrm", LIEF::assembly::x86::OPCODE::VMAXSDZrm)
  .value("VMAXSDZrm_Int", LIEF::assembly::x86::OPCODE::VMAXSDZrm_Int)
  .value("VMAXSDZrm_Intk", LIEF::assembly::x86::OPCODE::VMAXSDZrm_Intk)
  .value("VMAXSDZrm_Intkz", LIEF::assembly::x86::OPCODE::VMAXSDZrm_Intkz)
  .value("VMAXSDZrr", LIEF::assembly::x86::OPCODE::VMAXSDZrr)
  .value("VMAXSDZrr_Int", LIEF::assembly::x86::OPCODE::VMAXSDZrr_Int)
  .value("VMAXSDZrr_Intk", LIEF::assembly::x86::OPCODE::VMAXSDZrr_Intk)
  .value("VMAXSDZrr_Intkz", LIEF::assembly::x86::OPCODE::VMAXSDZrr_Intkz)
  .value("VMAXSDZrrb_Int", LIEF::assembly::x86::OPCODE::VMAXSDZrrb_Int)
  .value("VMAXSDZrrb_Intk", LIEF::assembly::x86::OPCODE::VMAXSDZrrb_Intk)
  .value("VMAXSDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMAXSDZrrb_Intkz)
  .value("VMAXSDrm", LIEF::assembly::x86::OPCODE::VMAXSDrm)
  .value("VMAXSDrm_Int", LIEF::assembly::x86::OPCODE::VMAXSDrm_Int)
  .value("VMAXSDrr", LIEF::assembly::x86::OPCODE::VMAXSDrr)
  .value("VMAXSDrr_Int", LIEF::assembly::x86::OPCODE::VMAXSDrr_Int)
  .value("VMAXSHZrm", LIEF::assembly::x86::OPCODE::VMAXSHZrm)
  .value("VMAXSHZrm_Int", LIEF::assembly::x86::OPCODE::VMAXSHZrm_Int)
  .value("VMAXSHZrm_Intk", LIEF::assembly::x86::OPCODE::VMAXSHZrm_Intk)
  .value("VMAXSHZrm_Intkz", LIEF::assembly::x86::OPCODE::VMAXSHZrm_Intkz)
  .value("VMAXSHZrr", LIEF::assembly::x86::OPCODE::VMAXSHZrr)
  .value("VMAXSHZrr_Int", LIEF::assembly::x86::OPCODE::VMAXSHZrr_Int)
  .value("VMAXSHZrr_Intk", LIEF::assembly::x86::OPCODE::VMAXSHZrr_Intk)
  .value("VMAXSHZrr_Intkz", LIEF::assembly::x86::OPCODE::VMAXSHZrr_Intkz)
  .value("VMAXSHZrrb_Int", LIEF::assembly::x86::OPCODE::VMAXSHZrrb_Int)
  .value("VMAXSHZrrb_Intk", LIEF::assembly::x86::OPCODE::VMAXSHZrrb_Intk)
  .value("VMAXSHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMAXSHZrrb_Intkz)
  .value("VMAXSSZrm", LIEF::assembly::x86::OPCODE::VMAXSSZrm)
  .value("VMAXSSZrm_Int", LIEF::assembly::x86::OPCODE::VMAXSSZrm_Int)
  .value("VMAXSSZrm_Intk", LIEF::assembly::x86::OPCODE::VMAXSSZrm_Intk)
  .value("VMAXSSZrm_Intkz", LIEF::assembly::x86::OPCODE::VMAXSSZrm_Intkz)
  .value("VMAXSSZrr", LIEF::assembly::x86::OPCODE::VMAXSSZrr)
  .value("VMAXSSZrr_Int", LIEF::assembly::x86::OPCODE::VMAXSSZrr_Int)
  .value("VMAXSSZrr_Intk", LIEF::assembly::x86::OPCODE::VMAXSSZrr_Intk)
  .value("VMAXSSZrr_Intkz", LIEF::assembly::x86::OPCODE::VMAXSSZrr_Intkz)
  .value("VMAXSSZrrb_Int", LIEF::assembly::x86::OPCODE::VMAXSSZrrb_Int)
  .value("VMAXSSZrrb_Intk", LIEF::assembly::x86::OPCODE::VMAXSSZrrb_Intk)
  .value("VMAXSSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMAXSSZrrb_Intkz)
  .value("VMAXSSrm", LIEF::assembly::x86::OPCODE::VMAXSSrm)
  .value("VMAXSSrm_Int", LIEF::assembly::x86::OPCODE::VMAXSSrm_Int)
  .value("VMAXSSrr", LIEF::assembly::x86::OPCODE::VMAXSSrr)
  .value("VMAXSSrr_Int", LIEF::assembly::x86::OPCODE::VMAXSSrr_Int)
  .value("VMCALL", LIEF::assembly::x86::OPCODE::VMCALL)
  .value("VMCLEARm", LIEF::assembly::x86::OPCODE::VMCLEARm)
  .value("VMFUNC", LIEF::assembly::x86::OPCODE::VMFUNC)
  .value("VMINCPDYrm", LIEF::assembly::x86::OPCODE::VMINCPDYrm)
  .value("VMINCPDYrr", LIEF::assembly::x86::OPCODE::VMINCPDYrr)
  .value("VMINCPDZ128rm", LIEF::assembly::x86::OPCODE::VMINCPDZ128rm)
  .value("VMINCPDZ128rmb", LIEF::assembly::x86::OPCODE::VMINCPDZ128rmb)
  .value("VMINCPDZ128rmbk", LIEF::assembly::x86::OPCODE::VMINCPDZ128rmbk)
  .value("VMINCPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VMINCPDZ128rmbkz)
  .value("VMINCPDZ128rmk", LIEF::assembly::x86::OPCODE::VMINCPDZ128rmk)
  .value("VMINCPDZ128rmkz", LIEF::assembly::x86::OPCODE::VMINCPDZ128rmkz)
  .value("VMINCPDZ128rr", LIEF::assembly::x86::OPCODE::VMINCPDZ128rr)
  .value("VMINCPDZ128rrk", LIEF::assembly::x86::OPCODE::VMINCPDZ128rrk)
  .value("VMINCPDZ128rrkz", LIEF::assembly::x86::OPCODE::VMINCPDZ128rrkz)
  .value("VMINCPDZ256rm", LIEF::assembly::x86::OPCODE::VMINCPDZ256rm)
  .value("VMINCPDZ256rmb", LIEF::assembly::x86::OPCODE::VMINCPDZ256rmb)
  .value("VMINCPDZ256rmbk", LIEF::assembly::x86::OPCODE::VMINCPDZ256rmbk)
  .value("VMINCPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VMINCPDZ256rmbkz)
  .value("VMINCPDZ256rmk", LIEF::assembly::x86::OPCODE::VMINCPDZ256rmk)
  .value("VMINCPDZ256rmkz", LIEF::assembly::x86::OPCODE::VMINCPDZ256rmkz)
  .value("VMINCPDZ256rr", LIEF::assembly::x86::OPCODE::VMINCPDZ256rr)
  .value("VMINCPDZ256rrk", LIEF::assembly::x86::OPCODE::VMINCPDZ256rrk)
  .value("VMINCPDZ256rrkz", LIEF::assembly::x86::OPCODE::VMINCPDZ256rrkz)
  .value("VMINCPDZrm", LIEF::assembly::x86::OPCODE::VMINCPDZrm)
  .value("VMINCPDZrmb", LIEF::assembly::x86::OPCODE::VMINCPDZrmb)
  .value("VMINCPDZrmbk", LIEF::assembly::x86::OPCODE::VMINCPDZrmbk)
  .value("VMINCPDZrmbkz", LIEF::assembly::x86::OPCODE::VMINCPDZrmbkz)
  .value("VMINCPDZrmk", LIEF::assembly::x86::OPCODE::VMINCPDZrmk)
  .value("VMINCPDZrmkz", LIEF::assembly::x86::OPCODE::VMINCPDZrmkz)
  .value("VMINCPDZrr", LIEF::assembly::x86::OPCODE::VMINCPDZrr)
  .value("VMINCPDZrrk", LIEF::assembly::x86::OPCODE::VMINCPDZrrk)
  .value("VMINCPDZrrkz", LIEF::assembly::x86::OPCODE::VMINCPDZrrkz)
  .value("VMINCPDrm", LIEF::assembly::x86::OPCODE::VMINCPDrm)
  .value("VMINCPDrr", LIEF::assembly::x86::OPCODE::VMINCPDrr)
  .value("VMINCPHZ128rm", LIEF::assembly::x86::OPCODE::VMINCPHZ128rm)
  .value("VMINCPHZ128rmb", LIEF::assembly::x86::OPCODE::VMINCPHZ128rmb)
  .value("VMINCPHZ128rmbk", LIEF::assembly::x86::OPCODE::VMINCPHZ128rmbk)
  .value("VMINCPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VMINCPHZ128rmbkz)
  .value("VMINCPHZ128rmk", LIEF::assembly::x86::OPCODE::VMINCPHZ128rmk)
  .value("VMINCPHZ128rmkz", LIEF::assembly::x86::OPCODE::VMINCPHZ128rmkz)
  .value("VMINCPHZ128rr", LIEF::assembly::x86::OPCODE::VMINCPHZ128rr)
  .value("VMINCPHZ128rrk", LIEF::assembly::x86::OPCODE::VMINCPHZ128rrk)
  .value("VMINCPHZ128rrkz", LIEF::assembly::x86::OPCODE::VMINCPHZ128rrkz)
  .value("VMINCPHZ256rm", LIEF::assembly::x86::OPCODE::VMINCPHZ256rm)
  .value("VMINCPHZ256rmb", LIEF::assembly::x86::OPCODE::VMINCPHZ256rmb)
  .value("VMINCPHZ256rmbk", LIEF::assembly::x86::OPCODE::VMINCPHZ256rmbk)
  .value("VMINCPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VMINCPHZ256rmbkz)
  .value("VMINCPHZ256rmk", LIEF::assembly::x86::OPCODE::VMINCPHZ256rmk)
  .value("VMINCPHZ256rmkz", LIEF::assembly::x86::OPCODE::VMINCPHZ256rmkz)
  .value("VMINCPHZ256rr", LIEF::assembly::x86::OPCODE::VMINCPHZ256rr)
  .value("VMINCPHZ256rrk", LIEF::assembly::x86::OPCODE::VMINCPHZ256rrk)
  .value("VMINCPHZ256rrkz", LIEF::assembly::x86::OPCODE::VMINCPHZ256rrkz)
  .value("VMINCPHZrm", LIEF::assembly::x86::OPCODE::VMINCPHZrm);
  opcodes.value("VMINCPHZrmb", LIEF::assembly::x86::OPCODE::VMINCPHZrmb)
  .value("VMINCPHZrmbk", LIEF::assembly::x86::OPCODE::VMINCPHZrmbk)
  .value("VMINCPHZrmbkz", LIEF::assembly::x86::OPCODE::VMINCPHZrmbkz)
  .value("VMINCPHZrmk", LIEF::assembly::x86::OPCODE::VMINCPHZrmk)
  .value("VMINCPHZrmkz", LIEF::assembly::x86::OPCODE::VMINCPHZrmkz)
  .value("VMINCPHZrr", LIEF::assembly::x86::OPCODE::VMINCPHZrr)
  .value("VMINCPHZrrk", LIEF::assembly::x86::OPCODE::VMINCPHZrrk)
  .value("VMINCPHZrrkz", LIEF::assembly::x86::OPCODE::VMINCPHZrrkz)
  .value("VMINCPSYrm", LIEF::assembly::x86::OPCODE::VMINCPSYrm)
  .value("VMINCPSYrr", LIEF::assembly::x86::OPCODE::VMINCPSYrr)
  .value("VMINCPSZ128rm", LIEF::assembly::x86::OPCODE::VMINCPSZ128rm)
  .value("VMINCPSZ128rmb", LIEF::assembly::x86::OPCODE::VMINCPSZ128rmb)
  .value("VMINCPSZ128rmbk", LIEF::assembly::x86::OPCODE::VMINCPSZ128rmbk)
  .value("VMINCPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VMINCPSZ128rmbkz)
  .value("VMINCPSZ128rmk", LIEF::assembly::x86::OPCODE::VMINCPSZ128rmk)
  .value("VMINCPSZ128rmkz", LIEF::assembly::x86::OPCODE::VMINCPSZ128rmkz)
  .value("VMINCPSZ128rr", LIEF::assembly::x86::OPCODE::VMINCPSZ128rr)
  .value("VMINCPSZ128rrk", LIEF::assembly::x86::OPCODE::VMINCPSZ128rrk)
  .value("VMINCPSZ128rrkz", LIEF::assembly::x86::OPCODE::VMINCPSZ128rrkz)
  .value("VMINCPSZ256rm", LIEF::assembly::x86::OPCODE::VMINCPSZ256rm)
  .value("VMINCPSZ256rmb", LIEF::assembly::x86::OPCODE::VMINCPSZ256rmb)
  .value("VMINCPSZ256rmbk", LIEF::assembly::x86::OPCODE::VMINCPSZ256rmbk)
  .value("VMINCPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VMINCPSZ256rmbkz)
  .value("VMINCPSZ256rmk", LIEF::assembly::x86::OPCODE::VMINCPSZ256rmk)
  .value("VMINCPSZ256rmkz", LIEF::assembly::x86::OPCODE::VMINCPSZ256rmkz)
  .value("VMINCPSZ256rr", LIEF::assembly::x86::OPCODE::VMINCPSZ256rr)
  .value("VMINCPSZ256rrk", LIEF::assembly::x86::OPCODE::VMINCPSZ256rrk)
  .value("VMINCPSZ256rrkz", LIEF::assembly::x86::OPCODE::VMINCPSZ256rrkz)
  .value("VMINCPSZrm", LIEF::assembly::x86::OPCODE::VMINCPSZrm)
  .value("VMINCPSZrmb", LIEF::assembly::x86::OPCODE::VMINCPSZrmb)
  .value("VMINCPSZrmbk", LIEF::assembly::x86::OPCODE::VMINCPSZrmbk)
  .value("VMINCPSZrmbkz", LIEF::assembly::x86::OPCODE::VMINCPSZrmbkz)
  .value("VMINCPSZrmk", LIEF::assembly::x86::OPCODE::VMINCPSZrmk)
  .value("VMINCPSZrmkz", LIEF::assembly::x86::OPCODE::VMINCPSZrmkz)
  .value("VMINCPSZrr", LIEF::assembly::x86::OPCODE::VMINCPSZrr)
  .value("VMINCPSZrrk", LIEF::assembly::x86::OPCODE::VMINCPSZrrk)
  .value("VMINCPSZrrkz", LIEF::assembly::x86::OPCODE::VMINCPSZrrkz)
  .value("VMINCPSrm", LIEF::assembly::x86::OPCODE::VMINCPSrm)
  .value("VMINCPSrr", LIEF::assembly::x86::OPCODE::VMINCPSrr)
  .value("VMINCSDZrm", LIEF::assembly::x86::OPCODE::VMINCSDZrm)
  .value("VMINCSDZrr", LIEF::assembly::x86::OPCODE::VMINCSDZrr)
  .value("VMINCSDrm", LIEF::assembly::x86::OPCODE::VMINCSDrm)
  .value("VMINCSDrr", LIEF::assembly::x86::OPCODE::VMINCSDrr)
  .value("VMINCSHZrm", LIEF::assembly::x86::OPCODE::VMINCSHZrm)
  .value("VMINCSHZrr", LIEF::assembly::x86::OPCODE::VMINCSHZrr)
  .value("VMINCSSZrm", LIEF::assembly::x86::OPCODE::VMINCSSZrm)
  .value("VMINCSSZrr", LIEF::assembly::x86::OPCODE::VMINCSSZrr)
  .value("VMINCSSrm", LIEF::assembly::x86::OPCODE::VMINCSSrm)
  .value("VMINCSSrr", LIEF::assembly::x86::OPCODE::VMINCSSrr)
  .value("VMINPDYrm", LIEF::assembly::x86::OPCODE::VMINPDYrm)
  .value("VMINPDYrr", LIEF::assembly::x86::OPCODE::VMINPDYrr)
  .value("VMINPDZ128rm", LIEF::assembly::x86::OPCODE::VMINPDZ128rm)
  .value("VMINPDZ128rmb", LIEF::assembly::x86::OPCODE::VMINPDZ128rmb)
  .value("VMINPDZ128rmbk", LIEF::assembly::x86::OPCODE::VMINPDZ128rmbk)
  .value("VMINPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VMINPDZ128rmbkz)
  .value("VMINPDZ128rmk", LIEF::assembly::x86::OPCODE::VMINPDZ128rmk)
  .value("VMINPDZ128rmkz", LIEF::assembly::x86::OPCODE::VMINPDZ128rmkz)
  .value("VMINPDZ128rr", LIEF::assembly::x86::OPCODE::VMINPDZ128rr)
  .value("VMINPDZ128rrk", LIEF::assembly::x86::OPCODE::VMINPDZ128rrk)
  .value("VMINPDZ128rrkz", LIEF::assembly::x86::OPCODE::VMINPDZ128rrkz)
  .value("VMINPDZ256rm", LIEF::assembly::x86::OPCODE::VMINPDZ256rm)
  .value("VMINPDZ256rmb", LIEF::assembly::x86::OPCODE::VMINPDZ256rmb)
  .value("VMINPDZ256rmbk", LIEF::assembly::x86::OPCODE::VMINPDZ256rmbk)
  .value("VMINPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VMINPDZ256rmbkz)
  .value("VMINPDZ256rmk", LIEF::assembly::x86::OPCODE::VMINPDZ256rmk)
  .value("VMINPDZ256rmkz", LIEF::assembly::x86::OPCODE::VMINPDZ256rmkz)
  .value("VMINPDZ256rr", LIEF::assembly::x86::OPCODE::VMINPDZ256rr)
  .value("VMINPDZ256rrk", LIEF::assembly::x86::OPCODE::VMINPDZ256rrk)
  .value("VMINPDZ256rrkz", LIEF::assembly::x86::OPCODE::VMINPDZ256rrkz)
  .value("VMINPDZrm", LIEF::assembly::x86::OPCODE::VMINPDZrm)
  .value("VMINPDZrmb", LIEF::assembly::x86::OPCODE::VMINPDZrmb)
  .value("VMINPDZrmbk", LIEF::assembly::x86::OPCODE::VMINPDZrmbk)
  .value("VMINPDZrmbkz", LIEF::assembly::x86::OPCODE::VMINPDZrmbkz)
  .value("VMINPDZrmk", LIEF::assembly::x86::OPCODE::VMINPDZrmk)
  .value("VMINPDZrmkz", LIEF::assembly::x86::OPCODE::VMINPDZrmkz)
  .value("VMINPDZrr", LIEF::assembly::x86::OPCODE::VMINPDZrr)
  .value("VMINPDZrrb", LIEF::assembly::x86::OPCODE::VMINPDZrrb)
  .value("VMINPDZrrbk", LIEF::assembly::x86::OPCODE::VMINPDZrrbk)
  .value("VMINPDZrrbkz", LIEF::assembly::x86::OPCODE::VMINPDZrrbkz)
  .value("VMINPDZrrk", LIEF::assembly::x86::OPCODE::VMINPDZrrk)
  .value("VMINPDZrrkz", LIEF::assembly::x86::OPCODE::VMINPDZrrkz)
  .value("VMINPDrm", LIEF::assembly::x86::OPCODE::VMINPDrm)
  .value("VMINPDrr", LIEF::assembly::x86::OPCODE::VMINPDrr)
  .value("VMINPHZ128rm", LIEF::assembly::x86::OPCODE::VMINPHZ128rm)
  .value("VMINPHZ128rmb", LIEF::assembly::x86::OPCODE::VMINPHZ128rmb)
  .value("VMINPHZ128rmbk", LIEF::assembly::x86::OPCODE::VMINPHZ128rmbk)
  .value("VMINPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VMINPHZ128rmbkz)
  .value("VMINPHZ128rmk", LIEF::assembly::x86::OPCODE::VMINPHZ128rmk)
  .value("VMINPHZ128rmkz", LIEF::assembly::x86::OPCODE::VMINPHZ128rmkz)
  .value("VMINPHZ128rr", LIEF::assembly::x86::OPCODE::VMINPHZ128rr)
  .value("VMINPHZ128rrk", LIEF::assembly::x86::OPCODE::VMINPHZ128rrk)
  .value("VMINPHZ128rrkz", LIEF::assembly::x86::OPCODE::VMINPHZ128rrkz)
  .value("VMINPHZ256rm", LIEF::assembly::x86::OPCODE::VMINPHZ256rm)
  .value("VMINPHZ256rmb", LIEF::assembly::x86::OPCODE::VMINPHZ256rmb)
  .value("VMINPHZ256rmbk", LIEF::assembly::x86::OPCODE::VMINPHZ256rmbk)
  .value("VMINPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VMINPHZ256rmbkz)
  .value("VMINPHZ256rmk", LIEF::assembly::x86::OPCODE::VMINPHZ256rmk)
  .value("VMINPHZ256rmkz", LIEF::assembly::x86::OPCODE::VMINPHZ256rmkz)
  .value("VMINPHZ256rr", LIEF::assembly::x86::OPCODE::VMINPHZ256rr)
  .value("VMINPHZ256rrk", LIEF::assembly::x86::OPCODE::VMINPHZ256rrk)
  .value("VMINPHZ256rrkz", LIEF::assembly::x86::OPCODE::VMINPHZ256rrkz)
  .value("VMINPHZrm", LIEF::assembly::x86::OPCODE::VMINPHZrm)
  .value("VMINPHZrmb", LIEF::assembly::x86::OPCODE::VMINPHZrmb)
  .value("VMINPHZrmbk", LIEF::assembly::x86::OPCODE::VMINPHZrmbk)
  .value("VMINPHZrmbkz", LIEF::assembly::x86::OPCODE::VMINPHZrmbkz)
  .value("VMINPHZrmk", LIEF::assembly::x86::OPCODE::VMINPHZrmk)
  .value("VMINPHZrmkz", LIEF::assembly::x86::OPCODE::VMINPHZrmkz)
  .value("VMINPHZrr", LIEF::assembly::x86::OPCODE::VMINPHZrr)
  .value("VMINPHZrrb", LIEF::assembly::x86::OPCODE::VMINPHZrrb)
  .value("VMINPHZrrbk", LIEF::assembly::x86::OPCODE::VMINPHZrrbk)
  .value("VMINPHZrrbkz", LIEF::assembly::x86::OPCODE::VMINPHZrrbkz)
  .value("VMINPHZrrk", LIEF::assembly::x86::OPCODE::VMINPHZrrk)
  .value("VMINPHZrrkz", LIEF::assembly::x86::OPCODE::VMINPHZrrkz)
  .value("VMINPSYrm", LIEF::assembly::x86::OPCODE::VMINPSYrm)
  .value("VMINPSYrr", LIEF::assembly::x86::OPCODE::VMINPSYrr)
  .value("VMINPSZ128rm", LIEF::assembly::x86::OPCODE::VMINPSZ128rm)
  .value("VMINPSZ128rmb", LIEF::assembly::x86::OPCODE::VMINPSZ128rmb)
  .value("VMINPSZ128rmbk", LIEF::assembly::x86::OPCODE::VMINPSZ128rmbk)
  .value("VMINPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VMINPSZ128rmbkz)
  .value("VMINPSZ128rmk", LIEF::assembly::x86::OPCODE::VMINPSZ128rmk)
  .value("VMINPSZ128rmkz", LIEF::assembly::x86::OPCODE::VMINPSZ128rmkz)
  .value("VMINPSZ128rr", LIEF::assembly::x86::OPCODE::VMINPSZ128rr)
  .value("VMINPSZ128rrk", LIEF::assembly::x86::OPCODE::VMINPSZ128rrk)
  .value("VMINPSZ128rrkz", LIEF::assembly::x86::OPCODE::VMINPSZ128rrkz)
  .value("VMINPSZ256rm", LIEF::assembly::x86::OPCODE::VMINPSZ256rm)
  .value("VMINPSZ256rmb", LIEF::assembly::x86::OPCODE::VMINPSZ256rmb)
  .value("VMINPSZ256rmbk", LIEF::assembly::x86::OPCODE::VMINPSZ256rmbk)
  .value("VMINPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VMINPSZ256rmbkz)
  .value("VMINPSZ256rmk", LIEF::assembly::x86::OPCODE::VMINPSZ256rmk)
  .value("VMINPSZ256rmkz", LIEF::assembly::x86::OPCODE::VMINPSZ256rmkz)
  .value("VMINPSZ256rr", LIEF::assembly::x86::OPCODE::VMINPSZ256rr)
  .value("VMINPSZ256rrk", LIEF::assembly::x86::OPCODE::VMINPSZ256rrk)
  .value("VMINPSZ256rrkz", LIEF::assembly::x86::OPCODE::VMINPSZ256rrkz)
  .value("VMINPSZrm", LIEF::assembly::x86::OPCODE::VMINPSZrm)
  .value("VMINPSZrmb", LIEF::assembly::x86::OPCODE::VMINPSZrmb)
  .value("VMINPSZrmbk", LIEF::assembly::x86::OPCODE::VMINPSZrmbk)
  .value("VMINPSZrmbkz", LIEF::assembly::x86::OPCODE::VMINPSZrmbkz)
  .value("VMINPSZrmk", LIEF::assembly::x86::OPCODE::VMINPSZrmk)
  .value("VMINPSZrmkz", LIEF::assembly::x86::OPCODE::VMINPSZrmkz)
  .value("VMINPSZrr", LIEF::assembly::x86::OPCODE::VMINPSZrr)
  .value("VMINPSZrrb", LIEF::assembly::x86::OPCODE::VMINPSZrrb)
  .value("VMINPSZrrbk", LIEF::assembly::x86::OPCODE::VMINPSZrrbk)
  .value("VMINPSZrrbkz", LIEF::assembly::x86::OPCODE::VMINPSZrrbkz)
  .value("VMINPSZrrk", LIEF::assembly::x86::OPCODE::VMINPSZrrk)
  .value("VMINPSZrrkz", LIEF::assembly::x86::OPCODE::VMINPSZrrkz)
  .value("VMINPSrm", LIEF::assembly::x86::OPCODE::VMINPSrm)
  .value("VMINPSrr", LIEF::assembly::x86::OPCODE::VMINPSrr)
  .value("VMINSDZrm", LIEF::assembly::x86::OPCODE::VMINSDZrm)
  .value("VMINSDZrm_Int", LIEF::assembly::x86::OPCODE::VMINSDZrm_Int)
  .value("VMINSDZrm_Intk", LIEF::assembly::x86::OPCODE::VMINSDZrm_Intk)
  .value("VMINSDZrm_Intkz", LIEF::assembly::x86::OPCODE::VMINSDZrm_Intkz)
  .value("VMINSDZrr", LIEF::assembly::x86::OPCODE::VMINSDZrr)
  .value("VMINSDZrr_Int", LIEF::assembly::x86::OPCODE::VMINSDZrr_Int)
  .value("VMINSDZrr_Intk", LIEF::assembly::x86::OPCODE::VMINSDZrr_Intk)
  .value("VMINSDZrr_Intkz", LIEF::assembly::x86::OPCODE::VMINSDZrr_Intkz)
  .value("VMINSDZrrb_Int", LIEF::assembly::x86::OPCODE::VMINSDZrrb_Int)
  .value("VMINSDZrrb_Intk", LIEF::assembly::x86::OPCODE::VMINSDZrrb_Intk)
  .value("VMINSDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMINSDZrrb_Intkz)
  .value("VMINSDrm", LIEF::assembly::x86::OPCODE::VMINSDrm)
  .value("VMINSDrm_Int", LIEF::assembly::x86::OPCODE::VMINSDrm_Int)
  .value("VMINSDrr", LIEF::assembly::x86::OPCODE::VMINSDrr)
  .value("VMINSDrr_Int", LIEF::assembly::x86::OPCODE::VMINSDrr_Int)
  .value("VMINSHZrm", LIEF::assembly::x86::OPCODE::VMINSHZrm)
  .value("VMINSHZrm_Int", LIEF::assembly::x86::OPCODE::VMINSHZrm_Int)
  .value("VMINSHZrm_Intk", LIEF::assembly::x86::OPCODE::VMINSHZrm_Intk)
  .value("VMINSHZrm_Intkz", LIEF::assembly::x86::OPCODE::VMINSHZrm_Intkz)
  .value("VMINSHZrr", LIEF::assembly::x86::OPCODE::VMINSHZrr)
  .value("VMINSHZrr_Int", LIEF::assembly::x86::OPCODE::VMINSHZrr_Int)
  .value("VMINSHZrr_Intk", LIEF::assembly::x86::OPCODE::VMINSHZrr_Intk)
  .value("VMINSHZrr_Intkz", LIEF::assembly::x86::OPCODE::VMINSHZrr_Intkz)
  .value("VMINSHZrrb_Int", LIEF::assembly::x86::OPCODE::VMINSHZrrb_Int)
  .value("VMINSHZrrb_Intk", LIEF::assembly::x86::OPCODE::VMINSHZrrb_Intk)
  .value("VMINSHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMINSHZrrb_Intkz)
  .value("VMINSSZrm", LIEF::assembly::x86::OPCODE::VMINSSZrm)
  .value("VMINSSZrm_Int", LIEF::assembly::x86::OPCODE::VMINSSZrm_Int)
  .value("VMINSSZrm_Intk", LIEF::assembly::x86::OPCODE::VMINSSZrm_Intk)
  .value("VMINSSZrm_Intkz", LIEF::assembly::x86::OPCODE::VMINSSZrm_Intkz)
  .value("VMINSSZrr", LIEF::assembly::x86::OPCODE::VMINSSZrr)
  .value("VMINSSZrr_Int", LIEF::assembly::x86::OPCODE::VMINSSZrr_Int)
  .value("VMINSSZrr_Intk", LIEF::assembly::x86::OPCODE::VMINSSZrr_Intk)
  .value("VMINSSZrr_Intkz", LIEF::assembly::x86::OPCODE::VMINSSZrr_Intkz)
  .value("VMINSSZrrb_Int", LIEF::assembly::x86::OPCODE::VMINSSZrrb_Int)
  .value("VMINSSZrrb_Intk", LIEF::assembly::x86::OPCODE::VMINSSZrrb_Intk)
  .value("VMINSSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMINSSZrrb_Intkz)
  .value("VMINSSrm", LIEF::assembly::x86::OPCODE::VMINSSrm)
  .value("VMINSSrm_Int", LIEF::assembly::x86::OPCODE::VMINSSrm_Int)
  .value("VMINSSrr", LIEF::assembly::x86::OPCODE::VMINSSrr)
  .value("VMINSSrr_Int", LIEF::assembly::x86::OPCODE::VMINSSrr_Int)
  .value("VMLAUNCH", LIEF::assembly::x86::OPCODE::VMLAUNCH)
  .value("VMLOAD32", LIEF::assembly::x86::OPCODE::VMLOAD32)
  .value("VMLOAD64", LIEF::assembly::x86::OPCODE::VMLOAD64)
  .value("VMMCALL", LIEF::assembly::x86::OPCODE::VMMCALL)
  .value("VMOV64toPQIZrm", LIEF::assembly::x86::OPCODE::VMOV64toPQIZrm)
  .value("VMOV64toPQIZrr", LIEF::assembly::x86::OPCODE::VMOV64toPQIZrr)
  .value("VMOV64toPQIrm", LIEF::assembly::x86::OPCODE::VMOV64toPQIrm)
  .value("VMOV64toPQIrr", LIEF::assembly::x86::OPCODE::VMOV64toPQIrr)
  .value("VMOV64toSDZrr", LIEF::assembly::x86::OPCODE::VMOV64toSDZrr)
  .value("VMOV64toSDrr", LIEF::assembly::x86::OPCODE::VMOV64toSDrr)
  .value("VMOVAPDYmr", LIEF::assembly::x86::OPCODE::VMOVAPDYmr)
  .value("VMOVAPDYrm", LIEF::assembly::x86::OPCODE::VMOVAPDYrm)
  .value("VMOVAPDYrr", LIEF::assembly::x86::OPCODE::VMOVAPDYrr)
  .value("VMOVAPDYrr_REV", LIEF::assembly::x86::OPCODE::VMOVAPDYrr_REV)
  .value("VMOVAPDZ128mr", LIEF::assembly::x86::OPCODE::VMOVAPDZ128mr)
  .value("VMOVAPDZ128mrk", LIEF::assembly::x86::OPCODE::VMOVAPDZ128mrk)
  .value("VMOVAPDZ128rm", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rm)
  .value("VMOVAPDZ128rmk", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rmk)
  .value("VMOVAPDZ128rmkz", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rmkz)
  .value("VMOVAPDZ128rr", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rr)
  .value("VMOVAPDZ128rr_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rr_REV)
  .value("VMOVAPDZ128rrk", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rrk)
  .value("VMOVAPDZ128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rrk_REV)
  .value("VMOVAPDZ128rrkz", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rrkz)
  .value("VMOVAPDZ128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZ128rrkz_REV)
  .value("VMOVAPDZ256mr", LIEF::assembly::x86::OPCODE::VMOVAPDZ256mr)
  .value("VMOVAPDZ256mrk", LIEF::assembly::x86::OPCODE::VMOVAPDZ256mrk)
  .value("VMOVAPDZ256rm", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rm)
  .value("VMOVAPDZ256rmk", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rmk)
  .value("VMOVAPDZ256rmkz", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rmkz)
  .value("VMOVAPDZ256rr", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rr)
  .value("VMOVAPDZ256rr_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rr_REV)
  .value("VMOVAPDZ256rrk", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rrk)
  .value("VMOVAPDZ256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rrk_REV)
  .value("VMOVAPDZ256rrkz", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rrkz)
  .value("VMOVAPDZ256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZ256rrkz_REV)
  .value("VMOVAPDZmr", LIEF::assembly::x86::OPCODE::VMOVAPDZmr)
  .value("VMOVAPDZmrk", LIEF::assembly::x86::OPCODE::VMOVAPDZmrk)
  .value("VMOVAPDZrm", LIEF::assembly::x86::OPCODE::VMOVAPDZrm)
  .value("VMOVAPDZrmk", LIEF::assembly::x86::OPCODE::VMOVAPDZrmk)
  .value("VMOVAPDZrmkz", LIEF::assembly::x86::OPCODE::VMOVAPDZrmkz)
  .value("VMOVAPDZrr", LIEF::assembly::x86::OPCODE::VMOVAPDZrr)
  .value("VMOVAPDZrr_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZrr_REV)
  .value("VMOVAPDZrrk", LIEF::assembly::x86::OPCODE::VMOVAPDZrrk)
  .value("VMOVAPDZrrk_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZrrk_REV)
  .value("VMOVAPDZrrkz", LIEF::assembly::x86::OPCODE::VMOVAPDZrrkz)
  .value("VMOVAPDZrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVAPDZrrkz_REV)
  .value("VMOVAPDmr", LIEF::assembly::x86::OPCODE::VMOVAPDmr)
  .value("VMOVAPDrm", LIEF::assembly::x86::OPCODE::VMOVAPDrm)
  .value("VMOVAPDrr", LIEF::assembly::x86::OPCODE::VMOVAPDrr)
  .value("VMOVAPDrr_REV", LIEF::assembly::x86::OPCODE::VMOVAPDrr_REV)
  .value("VMOVAPSYmr", LIEF::assembly::x86::OPCODE::VMOVAPSYmr)
  .value("VMOVAPSYrm", LIEF::assembly::x86::OPCODE::VMOVAPSYrm)
  .value("VMOVAPSYrr", LIEF::assembly::x86::OPCODE::VMOVAPSYrr)
  .value("VMOVAPSYrr_REV", LIEF::assembly::x86::OPCODE::VMOVAPSYrr_REV)
  .value("VMOVAPSZ128mr", LIEF::assembly::x86::OPCODE::VMOVAPSZ128mr)
  .value("VMOVAPSZ128mrk", LIEF::assembly::x86::OPCODE::VMOVAPSZ128mrk)
  .value("VMOVAPSZ128rm", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rm)
  .value("VMOVAPSZ128rmk", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rmk)
  .value("VMOVAPSZ128rmkz", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rmkz)
  .value("VMOVAPSZ128rr", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rr)
  .value("VMOVAPSZ128rr_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rr_REV)
  .value("VMOVAPSZ128rrk", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rrk)
  .value("VMOVAPSZ128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rrk_REV)
  .value("VMOVAPSZ128rrkz", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rrkz)
  .value("VMOVAPSZ128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZ128rrkz_REV)
  .value("VMOVAPSZ256mr", LIEF::assembly::x86::OPCODE::VMOVAPSZ256mr)
  .value("VMOVAPSZ256mrk", LIEF::assembly::x86::OPCODE::VMOVAPSZ256mrk)
  .value("VMOVAPSZ256rm", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rm)
  .value("VMOVAPSZ256rmk", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rmk)
  .value("VMOVAPSZ256rmkz", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rmkz)
  .value("VMOVAPSZ256rr", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rr)
  .value("VMOVAPSZ256rr_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rr_REV)
  .value("VMOVAPSZ256rrk", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rrk)
  .value("VMOVAPSZ256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rrk_REV)
  .value("VMOVAPSZ256rrkz", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rrkz)
  .value("VMOVAPSZ256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZ256rrkz_REV)
  .value("VMOVAPSZmr", LIEF::assembly::x86::OPCODE::VMOVAPSZmr)
  .value("VMOVAPSZmrk", LIEF::assembly::x86::OPCODE::VMOVAPSZmrk)
  .value("VMOVAPSZrm", LIEF::assembly::x86::OPCODE::VMOVAPSZrm)
  .value("VMOVAPSZrmk", LIEF::assembly::x86::OPCODE::VMOVAPSZrmk)
  .value("VMOVAPSZrmkz", LIEF::assembly::x86::OPCODE::VMOVAPSZrmkz)
  .value("VMOVAPSZrr", LIEF::assembly::x86::OPCODE::VMOVAPSZrr)
  .value("VMOVAPSZrr_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZrr_REV)
  .value("VMOVAPSZrrk", LIEF::assembly::x86::OPCODE::VMOVAPSZrrk)
  .value("VMOVAPSZrrk_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZrrk_REV)
  .value("VMOVAPSZrrkz", LIEF::assembly::x86::OPCODE::VMOVAPSZrrkz)
  .value("VMOVAPSZrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVAPSZrrkz_REV)
  .value("VMOVAPSmr", LIEF::assembly::x86::OPCODE::VMOVAPSmr)
  .value("VMOVAPSrm", LIEF::assembly::x86::OPCODE::VMOVAPSrm)
  .value("VMOVAPSrr", LIEF::assembly::x86::OPCODE::VMOVAPSrr)
  .value("VMOVAPSrr_REV", LIEF::assembly::x86::OPCODE::VMOVAPSrr_REV)
  .value("VMOVDDUPYrm", LIEF::assembly::x86::OPCODE::VMOVDDUPYrm)
  .value("VMOVDDUPYrr", LIEF::assembly::x86::OPCODE::VMOVDDUPYrr)
  .value("VMOVDDUPZ128rm", LIEF::assembly::x86::OPCODE::VMOVDDUPZ128rm)
  .value("VMOVDDUPZ128rmk", LIEF::assembly::x86::OPCODE::VMOVDDUPZ128rmk)
  .value("VMOVDDUPZ128rmkz", LIEF::assembly::x86::OPCODE::VMOVDDUPZ128rmkz)
  .value("VMOVDDUPZ128rr", LIEF::assembly::x86::OPCODE::VMOVDDUPZ128rr)
  .value("VMOVDDUPZ128rrk", LIEF::assembly::x86::OPCODE::VMOVDDUPZ128rrk)
  .value("VMOVDDUPZ128rrkz", LIEF::assembly::x86::OPCODE::VMOVDDUPZ128rrkz)
  .value("VMOVDDUPZ256rm", LIEF::assembly::x86::OPCODE::VMOVDDUPZ256rm)
  .value("VMOVDDUPZ256rmk", LIEF::assembly::x86::OPCODE::VMOVDDUPZ256rmk)
  .value("VMOVDDUPZ256rmkz", LIEF::assembly::x86::OPCODE::VMOVDDUPZ256rmkz)
  .value("VMOVDDUPZ256rr", LIEF::assembly::x86::OPCODE::VMOVDDUPZ256rr)
  .value("VMOVDDUPZ256rrk", LIEF::assembly::x86::OPCODE::VMOVDDUPZ256rrk)
  .value("VMOVDDUPZ256rrkz", LIEF::assembly::x86::OPCODE::VMOVDDUPZ256rrkz)
  .value("VMOVDDUPZrm", LIEF::assembly::x86::OPCODE::VMOVDDUPZrm)
  .value("VMOVDDUPZrmk", LIEF::assembly::x86::OPCODE::VMOVDDUPZrmk)
  .value("VMOVDDUPZrmkz", LIEF::assembly::x86::OPCODE::VMOVDDUPZrmkz)
  .value("VMOVDDUPZrr", LIEF::assembly::x86::OPCODE::VMOVDDUPZrr)
  .value("VMOVDDUPZrrk", LIEF::assembly::x86::OPCODE::VMOVDDUPZrrk)
  .value("VMOVDDUPZrrkz", LIEF::assembly::x86::OPCODE::VMOVDDUPZrrkz);
  opcodes.value("VMOVDDUPrm", LIEF::assembly::x86::OPCODE::VMOVDDUPrm)
  .value("VMOVDDUPrr", LIEF::assembly::x86::OPCODE::VMOVDDUPrr)
  .value("VMOVDI2PDIZrm", LIEF::assembly::x86::OPCODE::VMOVDI2PDIZrm)
  .value("VMOVDI2PDIZrr", LIEF::assembly::x86::OPCODE::VMOVDI2PDIZrr)
  .value("VMOVDI2PDIrm", LIEF::assembly::x86::OPCODE::VMOVDI2PDIrm)
  .value("VMOVDI2PDIrr", LIEF::assembly::x86::OPCODE::VMOVDI2PDIrr)
  .value("VMOVDI2SSZrr", LIEF::assembly::x86::OPCODE::VMOVDI2SSZrr)
  .value("VMOVDI2SSrr", LIEF::assembly::x86::OPCODE::VMOVDI2SSrr)
  .value("VMOVDQA32Z128mr", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128mr)
  .value("VMOVDQA32Z128mrk", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128mrk)
  .value("VMOVDQA32Z128rm", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rm)
  .value("VMOVDQA32Z128rmk", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rmk)
  .value("VMOVDQA32Z128rmkz", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rmkz)
  .value("VMOVDQA32Z128rr", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rr)
  .value("VMOVDQA32Z128rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rr_REV)
  .value("VMOVDQA32Z128rrk", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rrk)
  .value("VMOVDQA32Z128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rrk_REV)
  .value("VMOVDQA32Z128rrkz", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rrkz)
  .value("VMOVDQA32Z128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Z128rrkz_REV)
  .value("VMOVDQA32Z256mr", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256mr)
  .value("VMOVDQA32Z256mrk", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256mrk)
  .value("VMOVDQA32Z256rm", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rm)
  .value("VMOVDQA32Z256rmk", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rmk)
  .value("VMOVDQA32Z256rmkz", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rmkz)
  .value("VMOVDQA32Z256rr", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rr)
  .value("VMOVDQA32Z256rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rr_REV)
  .value("VMOVDQA32Z256rrk", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rrk)
  .value("VMOVDQA32Z256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rrk_REV)
  .value("VMOVDQA32Z256rrkz", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rrkz)
  .value("VMOVDQA32Z256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Z256rrkz_REV)
  .value("VMOVDQA32Zmr", LIEF::assembly::x86::OPCODE::VMOVDQA32Zmr)
  .value("VMOVDQA32Zmrk", LIEF::assembly::x86::OPCODE::VMOVDQA32Zmrk)
  .value("VMOVDQA32Zrm", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrm)
  .value("VMOVDQA32Zrmk", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrmk)
  .value("VMOVDQA32Zrmkz", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrmkz)
  .value("VMOVDQA32Zrr", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrr)
  .value("VMOVDQA32Zrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrr_REV)
  .value("VMOVDQA32Zrrk", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrrk)
  .value("VMOVDQA32Zrrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrrk_REV)
  .value("VMOVDQA32Zrrkz", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrrkz)
  .value("VMOVDQA32Zrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQA32Zrrkz_REV)
  .value("VMOVDQA64Z128mr", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128mr)
  .value("VMOVDQA64Z128mrk", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128mrk)
  .value("VMOVDQA64Z128rm", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rm)
  .value("VMOVDQA64Z128rmk", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rmk)
  .value("VMOVDQA64Z128rmkz", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rmkz)
  .value("VMOVDQA64Z128rr", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rr)
  .value("VMOVDQA64Z128rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rr_REV)
  .value("VMOVDQA64Z128rrk", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rrk)
  .value("VMOVDQA64Z128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rrk_REV)
  .value("VMOVDQA64Z128rrkz", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rrkz)
  .value("VMOVDQA64Z128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Z128rrkz_REV)
  .value("VMOVDQA64Z256mr", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256mr)
  .value("VMOVDQA64Z256mrk", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256mrk)
  .value("VMOVDQA64Z256rm", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rm)
  .value("VMOVDQA64Z256rmk", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rmk)
  .value("VMOVDQA64Z256rmkz", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rmkz)
  .value("VMOVDQA64Z256rr", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rr)
  .value("VMOVDQA64Z256rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rr_REV)
  .value("VMOVDQA64Z256rrk", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rrk)
  .value("VMOVDQA64Z256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rrk_REV)
  .value("VMOVDQA64Z256rrkz", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rrkz)
  .value("VMOVDQA64Z256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Z256rrkz_REV)
  .value("VMOVDQA64Zmr", LIEF::assembly::x86::OPCODE::VMOVDQA64Zmr)
  .value("VMOVDQA64Zmrk", LIEF::assembly::x86::OPCODE::VMOVDQA64Zmrk)
  .value("VMOVDQA64Zrm", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrm)
  .value("VMOVDQA64Zrmk", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrmk)
  .value("VMOVDQA64Zrmkz", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrmkz)
  .value("VMOVDQA64Zrr", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrr)
  .value("VMOVDQA64Zrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrr_REV)
  .value("VMOVDQA64Zrrk", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrrk)
  .value("VMOVDQA64Zrrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrrk_REV)
  .value("VMOVDQA64Zrrkz", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrrkz)
  .value("VMOVDQA64Zrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQA64Zrrkz_REV)
  .value("VMOVDQAYmr", LIEF::assembly::x86::OPCODE::VMOVDQAYmr)
  .value("VMOVDQAYrm", LIEF::assembly::x86::OPCODE::VMOVDQAYrm)
  .value("VMOVDQAYrr", LIEF::assembly::x86::OPCODE::VMOVDQAYrr)
  .value("VMOVDQAYrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQAYrr_REV)
  .value("VMOVDQAmr", LIEF::assembly::x86::OPCODE::VMOVDQAmr)
  .value("VMOVDQArm", LIEF::assembly::x86::OPCODE::VMOVDQArm)
  .value("VMOVDQArr", LIEF::assembly::x86::OPCODE::VMOVDQArr)
  .value("VMOVDQArr_REV", LIEF::assembly::x86::OPCODE::VMOVDQArr_REV)
  .value("VMOVDQU16Z128mr", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128mr)
  .value("VMOVDQU16Z128mrk", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128mrk)
  .value("VMOVDQU16Z128rm", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rm)
  .value("VMOVDQU16Z128rmk", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rmk)
  .value("VMOVDQU16Z128rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rmkz)
  .value("VMOVDQU16Z128rr", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rr)
  .value("VMOVDQU16Z128rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rr_REV)
  .value("VMOVDQU16Z128rrk", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rrk)
  .value("VMOVDQU16Z128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rrk_REV)
  .value("VMOVDQU16Z128rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rrkz)
  .value("VMOVDQU16Z128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Z128rrkz_REV)
  .value("VMOVDQU16Z256mr", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256mr)
  .value("VMOVDQU16Z256mrk", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256mrk)
  .value("VMOVDQU16Z256rm", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rm)
  .value("VMOVDQU16Z256rmk", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rmk)
  .value("VMOVDQU16Z256rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rmkz)
  .value("VMOVDQU16Z256rr", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rr)
  .value("VMOVDQU16Z256rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rr_REV)
  .value("VMOVDQU16Z256rrk", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rrk)
  .value("VMOVDQU16Z256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rrk_REV)
  .value("VMOVDQU16Z256rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rrkz)
  .value("VMOVDQU16Z256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Z256rrkz_REV)
  .value("VMOVDQU16Zmr", LIEF::assembly::x86::OPCODE::VMOVDQU16Zmr)
  .value("VMOVDQU16Zmrk", LIEF::assembly::x86::OPCODE::VMOVDQU16Zmrk)
  .value("VMOVDQU16Zrm", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrm)
  .value("VMOVDQU16Zrmk", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrmk)
  .value("VMOVDQU16Zrmkz", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrmkz)
  .value("VMOVDQU16Zrr", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrr)
  .value("VMOVDQU16Zrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrr_REV)
  .value("VMOVDQU16Zrrk", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrrk)
  .value("VMOVDQU16Zrrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrrk_REV)
  .value("VMOVDQU16Zrrkz", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrrkz)
  .value("VMOVDQU16Zrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU16Zrrkz_REV)
  .value("VMOVDQU32Z128mr", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128mr)
  .value("VMOVDQU32Z128mrk", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128mrk)
  .value("VMOVDQU32Z128rm", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rm)
  .value("VMOVDQU32Z128rmk", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rmk)
  .value("VMOVDQU32Z128rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rmkz)
  .value("VMOVDQU32Z128rr", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rr)
  .value("VMOVDQU32Z128rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rr_REV)
  .value("VMOVDQU32Z128rrk", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rrk)
  .value("VMOVDQU32Z128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rrk_REV)
  .value("VMOVDQU32Z128rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rrkz)
  .value("VMOVDQU32Z128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Z128rrkz_REV)
  .value("VMOVDQU32Z256mr", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256mr)
  .value("VMOVDQU32Z256mrk", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256mrk)
  .value("VMOVDQU32Z256rm", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rm)
  .value("VMOVDQU32Z256rmk", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rmk)
  .value("VMOVDQU32Z256rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rmkz)
  .value("VMOVDQU32Z256rr", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rr)
  .value("VMOVDQU32Z256rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rr_REV)
  .value("VMOVDQU32Z256rrk", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rrk)
  .value("VMOVDQU32Z256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rrk_REV)
  .value("VMOVDQU32Z256rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rrkz)
  .value("VMOVDQU32Z256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Z256rrkz_REV)
  .value("VMOVDQU32Zmr", LIEF::assembly::x86::OPCODE::VMOVDQU32Zmr)
  .value("VMOVDQU32Zmrk", LIEF::assembly::x86::OPCODE::VMOVDQU32Zmrk)
  .value("VMOVDQU32Zrm", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrm)
  .value("VMOVDQU32Zrmk", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrmk)
  .value("VMOVDQU32Zrmkz", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrmkz)
  .value("VMOVDQU32Zrr", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrr)
  .value("VMOVDQU32Zrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrr_REV)
  .value("VMOVDQU32Zrrk", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrrk)
  .value("VMOVDQU32Zrrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrrk_REV)
  .value("VMOVDQU32Zrrkz", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrrkz)
  .value("VMOVDQU32Zrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU32Zrrkz_REV)
  .value("VMOVDQU64Z128mr", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128mr)
  .value("VMOVDQU64Z128mrk", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128mrk)
  .value("VMOVDQU64Z128rm", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rm)
  .value("VMOVDQU64Z128rmk", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rmk)
  .value("VMOVDQU64Z128rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rmkz)
  .value("VMOVDQU64Z128rr", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rr)
  .value("VMOVDQU64Z128rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rr_REV)
  .value("VMOVDQU64Z128rrk", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rrk)
  .value("VMOVDQU64Z128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rrk_REV)
  .value("VMOVDQU64Z128rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rrkz)
  .value("VMOVDQU64Z128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Z128rrkz_REV)
  .value("VMOVDQU64Z256mr", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256mr)
  .value("VMOVDQU64Z256mrk", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256mrk)
  .value("VMOVDQU64Z256rm", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rm)
  .value("VMOVDQU64Z256rmk", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rmk)
  .value("VMOVDQU64Z256rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rmkz)
  .value("VMOVDQU64Z256rr", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rr)
  .value("VMOVDQU64Z256rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rr_REV)
  .value("VMOVDQU64Z256rrk", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rrk)
  .value("VMOVDQU64Z256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rrk_REV)
  .value("VMOVDQU64Z256rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rrkz)
  .value("VMOVDQU64Z256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Z256rrkz_REV)
  .value("VMOVDQU64Zmr", LIEF::assembly::x86::OPCODE::VMOVDQU64Zmr)
  .value("VMOVDQU64Zmrk", LIEF::assembly::x86::OPCODE::VMOVDQU64Zmrk)
  .value("VMOVDQU64Zrm", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrm)
  .value("VMOVDQU64Zrmk", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrmk)
  .value("VMOVDQU64Zrmkz", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrmkz)
  .value("VMOVDQU64Zrr", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrr)
  .value("VMOVDQU64Zrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrr_REV)
  .value("VMOVDQU64Zrrk", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrrk)
  .value("VMOVDQU64Zrrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrrk_REV)
  .value("VMOVDQU64Zrrkz", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrrkz)
  .value("VMOVDQU64Zrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU64Zrrkz_REV)
  .value("VMOVDQU8Z128mr", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128mr)
  .value("VMOVDQU8Z128mrk", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128mrk)
  .value("VMOVDQU8Z128rm", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rm)
  .value("VMOVDQU8Z128rmk", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rmk)
  .value("VMOVDQU8Z128rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rmkz)
  .value("VMOVDQU8Z128rr", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rr)
  .value("VMOVDQU8Z128rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rr_REV)
  .value("VMOVDQU8Z128rrk", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rrk)
  .value("VMOVDQU8Z128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rrk_REV)
  .value("VMOVDQU8Z128rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rrkz)
  .value("VMOVDQU8Z128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Z128rrkz_REV)
  .value("VMOVDQU8Z256mr", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256mr)
  .value("VMOVDQU8Z256mrk", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256mrk)
  .value("VMOVDQU8Z256rm", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rm)
  .value("VMOVDQU8Z256rmk", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rmk)
  .value("VMOVDQU8Z256rmkz", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rmkz)
  .value("VMOVDQU8Z256rr", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rr)
  .value("VMOVDQU8Z256rr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rr_REV)
  .value("VMOVDQU8Z256rrk", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rrk)
  .value("VMOVDQU8Z256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rrk_REV)
  .value("VMOVDQU8Z256rrkz", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rrkz)
  .value("VMOVDQU8Z256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Z256rrkz_REV)
  .value("VMOVDQU8Zmr", LIEF::assembly::x86::OPCODE::VMOVDQU8Zmr)
  .value("VMOVDQU8Zmrk", LIEF::assembly::x86::OPCODE::VMOVDQU8Zmrk)
  .value("VMOVDQU8Zrm", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrm)
  .value("VMOVDQU8Zrmk", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrmk)
  .value("VMOVDQU8Zrmkz", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrmkz)
  .value("VMOVDQU8Zrr", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrr)
  .value("VMOVDQU8Zrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrr_REV)
  .value("VMOVDQU8Zrrk", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrrk)
  .value("VMOVDQU8Zrrk_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrrk_REV)
  .value("VMOVDQU8Zrrkz", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrrkz)
  .value("VMOVDQU8Zrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVDQU8Zrrkz_REV)
  .value("VMOVDQUYmr", LIEF::assembly::x86::OPCODE::VMOVDQUYmr)
  .value("VMOVDQUYrm", LIEF::assembly::x86::OPCODE::VMOVDQUYrm)
  .value("VMOVDQUYrr", LIEF::assembly::x86::OPCODE::VMOVDQUYrr)
  .value("VMOVDQUYrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQUYrr_REV)
  .value("VMOVDQUmr", LIEF::assembly::x86::OPCODE::VMOVDQUmr)
  .value("VMOVDQUrm", LIEF::assembly::x86::OPCODE::VMOVDQUrm)
  .value("VMOVDQUrr", LIEF::assembly::x86::OPCODE::VMOVDQUrr)
  .value("VMOVDQUrr_REV", LIEF::assembly::x86::OPCODE::VMOVDQUrr_REV)
  .value("VMOVHLPSZrr", LIEF::assembly::x86::OPCODE::VMOVHLPSZrr)
  .value("VMOVHLPSrr", LIEF::assembly::x86::OPCODE::VMOVHLPSrr)
  .value("VMOVHPDZ128mr", LIEF::assembly::x86::OPCODE::VMOVHPDZ128mr)
  .value("VMOVHPDZ128rm", LIEF::assembly::x86::OPCODE::VMOVHPDZ128rm)
  .value("VMOVHPDmr", LIEF::assembly::x86::OPCODE::VMOVHPDmr)
  .value("VMOVHPDrm", LIEF::assembly::x86::OPCODE::VMOVHPDrm)
  .value("VMOVHPSZ128mr", LIEF::assembly::x86::OPCODE::VMOVHPSZ128mr)
  .value("VMOVHPSZ128rm", LIEF::assembly::x86::OPCODE::VMOVHPSZ128rm)
  .value("VMOVHPSmr", LIEF::assembly::x86::OPCODE::VMOVHPSmr)
  .value("VMOVHPSrm", LIEF::assembly::x86::OPCODE::VMOVHPSrm)
  .value("VMOVLHPSZrr", LIEF::assembly::x86::OPCODE::VMOVLHPSZrr)
  .value("VMOVLHPSrr", LIEF::assembly::x86::OPCODE::VMOVLHPSrr)
  .value("VMOVLPDZ128mr", LIEF::assembly::x86::OPCODE::VMOVLPDZ128mr)
  .value("VMOVLPDZ128rm", LIEF::assembly::x86::OPCODE::VMOVLPDZ128rm)
  .value("VMOVLPDmr", LIEF::assembly::x86::OPCODE::VMOVLPDmr)
  .value("VMOVLPDrm", LIEF::assembly::x86::OPCODE::VMOVLPDrm)
  .value("VMOVLPSZ128mr", LIEF::assembly::x86::OPCODE::VMOVLPSZ128mr)
  .value("VMOVLPSZ128rm", LIEF::assembly::x86::OPCODE::VMOVLPSZ128rm)
  .value("VMOVLPSmr", LIEF::assembly::x86::OPCODE::VMOVLPSmr)
  .value("VMOVLPSrm", LIEF::assembly::x86::OPCODE::VMOVLPSrm)
  .value("VMOVMSKPDYrr", LIEF::assembly::x86::OPCODE::VMOVMSKPDYrr)
  .value("VMOVMSKPDrr", LIEF::assembly::x86::OPCODE::VMOVMSKPDrr)
  .value("VMOVMSKPSYrr", LIEF::assembly::x86::OPCODE::VMOVMSKPSYrr)
  .value("VMOVMSKPSrr", LIEF::assembly::x86::OPCODE::VMOVMSKPSrr)
  .value("VMOVNTDQAYrm", LIEF::assembly::x86::OPCODE::VMOVNTDQAYrm)
  .value("VMOVNTDQAZ128rm", LIEF::assembly::x86::OPCODE::VMOVNTDQAZ128rm)
  .value("VMOVNTDQAZ256rm", LIEF::assembly::x86::OPCODE::VMOVNTDQAZ256rm)
  .value("VMOVNTDQAZrm", LIEF::assembly::x86::OPCODE::VMOVNTDQAZrm)
  .value("VMOVNTDQArm", LIEF::assembly::x86::OPCODE::VMOVNTDQArm)
  .value("VMOVNTDQYmr", LIEF::assembly::x86::OPCODE::VMOVNTDQYmr)
  .value("VMOVNTDQZ128mr", LIEF::assembly::x86::OPCODE::VMOVNTDQZ128mr)
  .value("VMOVNTDQZ256mr", LIEF::assembly::x86::OPCODE::VMOVNTDQZ256mr)
  .value("VMOVNTDQZmr", LIEF::assembly::x86::OPCODE::VMOVNTDQZmr)
  .value("VMOVNTDQmr", LIEF::assembly::x86::OPCODE::VMOVNTDQmr)
  .value("VMOVNTPDYmr", LIEF::assembly::x86::OPCODE::VMOVNTPDYmr)
  .value("VMOVNTPDZ128mr", LIEF::assembly::x86::OPCODE::VMOVNTPDZ128mr)
  .value("VMOVNTPDZ256mr", LIEF::assembly::x86::OPCODE::VMOVNTPDZ256mr)
  .value("VMOVNTPDZmr", LIEF::assembly::x86::OPCODE::VMOVNTPDZmr)
  .value("VMOVNTPDmr", LIEF::assembly::x86::OPCODE::VMOVNTPDmr)
  .value("VMOVNTPSYmr", LIEF::assembly::x86::OPCODE::VMOVNTPSYmr)
  .value("VMOVNTPSZ128mr", LIEF::assembly::x86::OPCODE::VMOVNTPSZ128mr)
  .value("VMOVNTPSZ256mr", LIEF::assembly::x86::OPCODE::VMOVNTPSZ256mr)
  .value("VMOVNTPSZmr", LIEF::assembly::x86::OPCODE::VMOVNTPSZmr)
  .value("VMOVNTPSmr", LIEF::assembly::x86::OPCODE::VMOVNTPSmr)
  .value("VMOVPDI2DIZmr", LIEF::assembly::x86::OPCODE::VMOVPDI2DIZmr)
  .value("VMOVPDI2DIZrr", LIEF::assembly::x86::OPCODE::VMOVPDI2DIZrr)
  .value("VMOVPDI2DImr", LIEF::assembly::x86::OPCODE::VMOVPDI2DImr)
  .value("VMOVPDI2DIrr", LIEF::assembly::x86::OPCODE::VMOVPDI2DIrr)
  .value("VMOVPQI2QIZmr", LIEF::assembly::x86::OPCODE::VMOVPQI2QIZmr)
  .value("VMOVPQI2QIZrr", LIEF::assembly::x86::OPCODE::VMOVPQI2QIZrr)
  .value("VMOVPQI2QImr", LIEF::assembly::x86::OPCODE::VMOVPQI2QImr)
  .value("VMOVPQI2QIrr", LIEF::assembly::x86::OPCODE::VMOVPQI2QIrr)
  .value("VMOVPQIto64Zmr", LIEF::assembly::x86::OPCODE::VMOVPQIto64Zmr)
  .value("VMOVPQIto64Zrr", LIEF::assembly::x86::OPCODE::VMOVPQIto64Zrr)
  .value("VMOVPQIto64mr", LIEF::assembly::x86::OPCODE::VMOVPQIto64mr)
  .value("VMOVPQIto64rr", LIEF::assembly::x86::OPCODE::VMOVPQIto64rr)
  .value("VMOVQI2PQIZrm", LIEF::assembly::x86::OPCODE::VMOVQI2PQIZrm)
  .value("VMOVQI2PQIrm", LIEF::assembly::x86::OPCODE::VMOVQI2PQIrm)
  .value("VMOVSDZmr", LIEF::assembly::x86::OPCODE::VMOVSDZmr)
  .value("VMOVSDZmrk", LIEF::assembly::x86::OPCODE::VMOVSDZmrk)
  .value("VMOVSDZrm", LIEF::assembly::x86::OPCODE::VMOVSDZrm)
  .value("VMOVSDZrm_alt", LIEF::assembly::x86::OPCODE::VMOVSDZrm_alt)
  .value("VMOVSDZrmk", LIEF::assembly::x86::OPCODE::VMOVSDZrmk)
  .value("VMOVSDZrmkz", LIEF::assembly::x86::OPCODE::VMOVSDZrmkz)
  .value("VMOVSDZrr", LIEF::assembly::x86::OPCODE::VMOVSDZrr)
  .value("VMOVSDZrr_REV", LIEF::assembly::x86::OPCODE::VMOVSDZrr_REV)
  .value("VMOVSDZrrk", LIEF::assembly::x86::OPCODE::VMOVSDZrrk)
  .value("VMOVSDZrrk_REV", LIEF::assembly::x86::OPCODE::VMOVSDZrrk_REV)
  .value("VMOVSDZrrkz", LIEF::assembly::x86::OPCODE::VMOVSDZrrkz)
  .value("VMOVSDZrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVSDZrrkz_REV)
  .value("VMOVSDmr", LIEF::assembly::x86::OPCODE::VMOVSDmr)
  .value("VMOVSDrm", LIEF::assembly::x86::OPCODE::VMOVSDrm)
  .value("VMOVSDrm_alt", LIEF::assembly::x86::OPCODE::VMOVSDrm_alt)
  .value("VMOVSDrr", LIEF::assembly::x86::OPCODE::VMOVSDrr)
  .value("VMOVSDrr_REV", LIEF::assembly::x86::OPCODE::VMOVSDrr_REV)
  .value("VMOVSDto64Zrr", LIEF::assembly::x86::OPCODE::VMOVSDto64Zrr)
  .value("VMOVSDto64rr", LIEF::assembly::x86::OPCODE::VMOVSDto64rr)
  .value("VMOVSH2Wrr", LIEF::assembly::x86::OPCODE::VMOVSH2Wrr);
  opcodes.value("VMOVSHDUPYrm", LIEF::assembly::x86::OPCODE::VMOVSHDUPYrm)
  .value("VMOVSHDUPYrr", LIEF::assembly::x86::OPCODE::VMOVSHDUPYrr)
  .value("VMOVSHDUPZ128rm", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ128rm)
  .value("VMOVSHDUPZ128rmk", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ128rmk)
  .value("VMOVSHDUPZ128rmkz", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ128rmkz)
  .value("VMOVSHDUPZ128rr", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ128rr)
  .value("VMOVSHDUPZ128rrk", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ128rrk)
  .value("VMOVSHDUPZ128rrkz", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ128rrkz)
  .value("VMOVSHDUPZ256rm", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ256rm)
  .value("VMOVSHDUPZ256rmk", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ256rmk)
  .value("VMOVSHDUPZ256rmkz", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ256rmkz)
  .value("VMOVSHDUPZ256rr", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ256rr)
  .value("VMOVSHDUPZ256rrk", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ256rrk)
  .value("VMOVSHDUPZ256rrkz", LIEF::assembly::x86::OPCODE::VMOVSHDUPZ256rrkz)
  .value("VMOVSHDUPZrm", LIEF::assembly::x86::OPCODE::VMOVSHDUPZrm)
  .value("VMOVSHDUPZrmk", LIEF::assembly::x86::OPCODE::VMOVSHDUPZrmk)
  .value("VMOVSHDUPZrmkz", LIEF::assembly::x86::OPCODE::VMOVSHDUPZrmkz)
  .value("VMOVSHDUPZrr", LIEF::assembly::x86::OPCODE::VMOVSHDUPZrr)
  .value("VMOVSHDUPZrrk", LIEF::assembly::x86::OPCODE::VMOVSHDUPZrrk)
  .value("VMOVSHDUPZrrkz", LIEF::assembly::x86::OPCODE::VMOVSHDUPZrrkz)
  .value("VMOVSHDUPrm", LIEF::assembly::x86::OPCODE::VMOVSHDUPrm)
  .value("VMOVSHDUPrr", LIEF::assembly::x86::OPCODE::VMOVSHDUPrr)
  .value("VMOVSHZmr", LIEF::assembly::x86::OPCODE::VMOVSHZmr)
  .value("VMOVSHZmrk", LIEF::assembly::x86::OPCODE::VMOVSHZmrk)
  .value("VMOVSHZrm", LIEF::assembly::x86::OPCODE::VMOVSHZrm)
  .value("VMOVSHZrm_alt", LIEF::assembly::x86::OPCODE::VMOVSHZrm_alt)
  .value("VMOVSHZrmk", LIEF::assembly::x86::OPCODE::VMOVSHZrmk)
  .value("VMOVSHZrmkz", LIEF::assembly::x86::OPCODE::VMOVSHZrmkz)
  .value("VMOVSHZrr", LIEF::assembly::x86::OPCODE::VMOVSHZrr)
  .value("VMOVSHZrr_REV", LIEF::assembly::x86::OPCODE::VMOVSHZrr_REV)
  .value("VMOVSHZrrk", LIEF::assembly::x86::OPCODE::VMOVSHZrrk)
  .value("VMOVSHZrrk_REV", LIEF::assembly::x86::OPCODE::VMOVSHZrrk_REV)
  .value("VMOVSHZrrkz", LIEF::assembly::x86::OPCODE::VMOVSHZrrkz)
  .value("VMOVSHZrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVSHZrrkz_REV)
  .value("VMOVSHtoW64rr", LIEF::assembly::x86::OPCODE::VMOVSHtoW64rr)
  .value("VMOVSLDUPYrm", LIEF::assembly::x86::OPCODE::VMOVSLDUPYrm)
  .value("VMOVSLDUPYrr", LIEF::assembly::x86::OPCODE::VMOVSLDUPYrr)
  .value("VMOVSLDUPZ128rm", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ128rm)
  .value("VMOVSLDUPZ128rmk", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ128rmk)
  .value("VMOVSLDUPZ128rmkz", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ128rmkz)
  .value("VMOVSLDUPZ128rr", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ128rr)
  .value("VMOVSLDUPZ128rrk", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ128rrk)
  .value("VMOVSLDUPZ128rrkz", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ128rrkz)
  .value("VMOVSLDUPZ256rm", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ256rm)
  .value("VMOVSLDUPZ256rmk", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ256rmk)
  .value("VMOVSLDUPZ256rmkz", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ256rmkz)
  .value("VMOVSLDUPZ256rr", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ256rr)
  .value("VMOVSLDUPZ256rrk", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ256rrk)
  .value("VMOVSLDUPZ256rrkz", LIEF::assembly::x86::OPCODE::VMOVSLDUPZ256rrkz)
  .value("VMOVSLDUPZrm", LIEF::assembly::x86::OPCODE::VMOVSLDUPZrm)
  .value("VMOVSLDUPZrmk", LIEF::assembly::x86::OPCODE::VMOVSLDUPZrmk)
  .value("VMOVSLDUPZrmkz", LIEF::assembly::x86::OPCODE::VMOVSLDUPZrmkz)
  .value("VMOVSLDUPZrr", LIEF::assembly::x86::OPCODE::VMOVSLDUPZrr)
  .value("VMOVSLDUPZrrk", LIEF::assembly::x86::OPCODE::VMOVSLDUPZrrk)
  .value("VMOVSLDUPZrrkz", LIEF::assembly::x86::OPCODE::VMOVSLDUPZrrkz)
  .value("VMOVSLDUPrm", LIEF::assembly::x86::OPCODE::VMOVSLDUPrm)
  .value("VMOVSLDUPrr", LIEF::assembly::x86::OPCODE::VMOVSLDUPrr)
  .value("VMOVSS2DIZrr", LIEF::assembly::x86::OPCODE::VMOVSS2DIZrr)
  .value("VMOVSS2DIrr", LIEF::assembly::x86::OPCODE::VMOVSS2DIrr)
  .value("VMOVSSZmr", LIEF::assembly::x86::OPCODE::VMOVSSZmr)
  .value("VMOVSSZmrk", LIEF::assembly::x86::OPCODE::VMOVSSZmrk)
  .value("VMOVSSZrm", LIEF::assembly::x86::OPCODE::VMOVSSZrm)
  .value("VMOVSSZrm_alt", LIEF::assembly::x86::OPCODE::VMOVSSZrm_alt)
  .value("VMOVSSZrmk", LIEF::assembly::x86::OPCODE::VMOVSSZrmk)
  .value("VMOVSSZrmkz", LIEF::assembly::x86::OPCODE::VMOVSSZrmkz)
  .value("VMOVSSZrr", LIEF::assembly::x86::OPCODE::VMOVSSZrr)
  .value("VMOVSSZrr_REV", LIEF::assembly::x86::OPCODE::VMOVSSZrr_REV)
  .value("VMOVSSZrrk", LIEF::assembly::x86::OPCODE::VMOVSSZrrk)
  .value("VMOVSSZrrk_REV", LIEF::assembly::x86::OPCODE::VMOVSSZrrk_REV)
  .value("VMOVSSZrrkz", LIEF::assembly::x86::OPCODE::VMOVSSZrrkz)
  .value("VMOVSSZrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVSSZrrkz_REV)
  .value("VMOVSSmr", LIEF::assembly::x86::OPCODE::VMOVSSmr)
  .value("VMOVSSrm", LIEF::assembly::x86::OPCODE::VMOVSSrm)
  .value("VMOVSSrm_alt", LIEF::assembly::x86::OPCODE::VMOVSSrm_alt)
  .value("VMOVSSrr", LIEF::assembly::x86::OPCODE::VMOVSSrr)
  .value("VMOVSSrr_REV", LIEF::assembly::x86::OPCODE::VMOVSSrr_REV)
  .value("VMOVUPDYmr", LIEF::assembly::x86::OPCODE::VMOVUPDYmr)
  .value("VMOVUPDYrm", LIEF::assembly::x86::OPCODE::VMOVUPDYrm)
  .value("VMOVUPDYrr", LIEF::assembly::x86::OPCODE::VMOVUPDYrr)
  .value("VMOVUPDYrr_REV", LIEF::assembly::x86::OPCODE::VMOVUPDYrr_REV)
  .value("VMOVUPDZ128mr", LIEF::assembly::x86::OPCODE::VMOVUPDZ128mr)
  .value("VMOVUPDZ128mrk", LIEF::assembly::x86::OPCODE::VMOVUPDZ128mrk)
  .value("VMOVUPDZ128rm", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rm)
  .value("VMOVUPDZ128rmk", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rmk)
  .value("VMOVUPDZ128rmkz", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rmkz)
  .value("VMOVUPDZ128rr", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rr)
  .value("VMOVUPDZ128rr_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rr_REV)
  .value("VMOVUPDZ128rrk", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rrk)
  .value("VMOVUPDZ128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rrk_REV)
  .value("VMOVUPDZ128rrkz", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rrkz)
  .value("VMOVUPDZ128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZ128rrkz_REV)
  .value("VMOVUPDZ256mr", LIEF::assembly::x86::OPCODE::VMOVUPDZ256mr)
  .value("VMOVUPDZ256mrk", LIEF::assembly::x86::OPCODE::VMOVUPDZ256mrk)
  .value("VMOVUPDZ256rm", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rm)
  .value("VMOVUPDZ256rmk", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rmk)
  .value("VMOVUPDZ256rmkz", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rmkz)
  .value("VMOVUPDZ256rr", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rr)
  .value("VMOVUPDZ256rr_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rr_REV)
  .value("VMOVUPDZ256rrk", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rrk)
  .value("VMOVUPDZ256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rrk_REV)
  .value("VMOVUPDZ256rrkz", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rrkz)
  .value("VMOVUPDZ256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZ256rrkz_REV)
  .value("VMOVUPDZmr", LIEF::assembly::x86::OPCODE::VMOVUPDZmr)
  .value("VMOVUPDZmrk", LIEF::assembly::x86::OPCODE::VMOVUPDZmrk)
  .value("VMOVUPDZrm", LIEF::assembly::x86::OPCODE::VMOVUPDZrm)
  .value("VMOVUPDZrmk", LIEF::assembly::x86::OPCODE::VMOVUPDZrmk)
  .value("VMOVUPDZrmkz", LIEF::assembly::x86::OPCODE::VMOVUPDZrmkz)
  .value("VMOVUPDZrr", LIEF::assembly::x86::OPCODE::VMOVUPDZrr)
  .value("VMOVUPDZrr_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZrr_REV)
  .value("VMOVUPDZrrk", LIEF::assembly::x86::OPCODE::VMOVUPDZrrk)
  .value("VMOVUPDZrrk_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZrrk_REV)
  .value("VMOVUPDZrrkz", LIEF::assembly::x86::OPCODE::VMOVUPDZrrkz)
  .value("VMOVUPDZrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVUPDZrrkz_REV)
  .value("VMOVUPDmr", LIEF::assembly::x86::OPCODE::VMOVUPDmr)
  .value("VMOVUPDrm", LIEF::assembly::x86::OPCODE::VMOVUPDrm)
  .value("VMOVUPDrr", LIEF::assembly::x86::OPCODE::VMOVUPDrr)
  .value("VMOVUPDrr_REV", LIEF::assembly::x86::OPCODE::VMOVUPDrr_REV)
  .value("VMOVUPSYmr", LIEF::assembly::x86::OPCODE::VMOVUPSYmr)
  .value("VMOVUPSYrm", LIEF::assembly::x86::OPCODE::VMOVUPSYrm)
  .value("VMOVUPSYrr", LIEF::assembly::x86::OPCODE::VMOVUPSYrr)
  .value("VMOVUPSYrr_REV", LIEF::assembly::x86::OPCODE::VMOVUPSYrr_REV)
  .value("VMOVUPSZ128mr", LIEF::assembly::x86::OPCODE::VMOVUPSZ128mr)
  .value("VMOVUPSZ128mrk", LIEF::assembly::x86::OPCODE::VMOVUPSZ128mrk)
  .value("VMOVUPSZ128rm", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rm)
  .value("VMOVUPSZ128rmk", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rmk)
  .value("VMOVUPSZ128rmkz", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rmkz)
  .value("VMOVUPSZ128rr", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rr)
  .value("VMOVUPSZ128rr_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rr_REV)
  .value("VMOVUPSZ128rrk", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rrk)
  .value("VMOVUPSZ128rrk_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rrk_REV)
  .value("VMOVUPSZ128rrkz", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rrkz)
  .value("VMOVUPSZ128rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZ128rrkz_REV)
  .value("VMOVUPSZ256mr", LIEF::assembly::x86::OPCODE::VMOVUPSZ256mr)
  .value("VMOVUPSZ256mrk", LIEF::assembly::x86::OPCODE::VMOVUPSZ256mrk)
  .value("VMOVUPSZ256rm", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rm)
  .value("VMOVUPSZ256rmk", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rmk)
  .value("VMOVUPSZ256rmkz", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rmkz)
  .value("VMOVUPSZ256rr", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rr)
  .value("VMOVUPSZ256rr_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rr_REV)
  .value("VMOVUPSZ256rrk", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rrk)
  .value("VMOVUPSZ256rrk_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rrk_REV)
  .value("VMOVUPSZ256rrkz", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rrkz)
  .value("VMOVUPSZ256rrkz_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZ256rrkz_REV)
  .value("VMOVUPSZmr", LIEF::assembly::x86::OPCODE::VMOVUPSZmr)
  .value("VMOVUPSZmrk", LIEF::assembly::x86::OPCODE::VMOVUPSZmrk)
  .value("VMOVUPSZrm", LIEF::assembly::x86::OPCODE::VMOVUPSZrm)
  .value("VMOVUPSZrmk", LIEF::assembly::x86::OPCODE::VMOVUPSZrmk)
  .value("VMOVUPSZrmkz", LIEF::assembly::x86::OPCODE::VMOVUPSZrmkz)
  .value("VMOVUPSZrr", LIEF::assembly::x86::OPCODE::VMOVUPSZrr)
  .value("VMOVUPSZrr_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZrr_REV)
  .value("VMOVUPSZrrk", LIEF::assembly::x86::OPCODE::VMOVUPSZrrk)
  .value("VMOVUPSZrrk_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZrrk_REV)
  .value("VMOVUPSZrrkz", LIEF::assembly::x86::OPCODE::VMOVUPSZrrkz)
  .value("VMOVUPSZrrkz_REV", LIEF::assembly::x86::OPCODE::VMOVUPSZrrkz_REV)
  .value("VMOVUPSmr", LIEF::assembly::x86::OPCODE::VMOVUPSmr)
  .value("VMOVUPSrm", LIEF::assembly::x86::OPCODE::VMOVUPSrm)
  .value("VMOVUPSrr", LIEF::assembly::x86::OPCODE::VMOVUPSrr)
  .value("VMOVUPSrr_REV", LIEF::assembly::x86::OPCODE::VMOVUPSrr_REV)
  .value("VMOVW2SHrr", LIEF::assembly::x86::OPCODE::VMOVW2SHrr)
  .value("VMOVW64toSHrr", LIEF::assembly::x86::OPCODE::VMOVW64toSHrr)
  .value("VMOVWmr", LIEF::assembly::x86::OPCODE::VMOVWmr)
  .value("VMOVWrm", LIEF::assembly::x86::OPCODE::VMOVWrm)
  .value("VMOVZPQILo2PQIZrr", LIEF::assembly::x86::OPCODE::VMOVZPQILo2PQIZrr)
  .value("VMOVZPQILo2PQIrr", LIEF::assembly::x86::OPCODE::VMOVZPQILo2PQIrr)
  .value("VMPSADBWYrmi", LIEF::assembly::x86::OPCODE::VMPSADBWYrmi)
  .value("VMPSADBWYrri", LIEF::assembly::x86::OPCODE::VMPSADBWYrri)
  .value("VMPSADBWrmi", LIEF::assembly::x86::OPCODE::VMPSADBWrmi)
  .value("VMPSADBWrri", LIEF::assembly::x86::OPCODE::VMPSADBWrri)
  .value("VMPTRLDm", LIEF::assembly::x86::OPCODE::VMPTRLDm)
  .value("VMPTRSTm", LIEF::assembly::x86::OPCODE::VMPTRSTm)
  .value("VMREAD32mr", LIEF::assembly::x86::OPCODE::VMREAD32mr)
  .value("VMREAD32rr", LIEF::assembly::x86::OPCODE::VMREAD32rr)
  .value("VMREAD64mr", LIEF::assembly::x86::OPCODE::VMREAD64mr)
  .value("VMREAD64rr", LIEF::assembly::x86::OPCODE::VMREAD64rr)
  .value("VMRESUME", LIEF::assembly::x86::OPCODE::VMRESUME)
  .value("VMRUN32", LIEF::assembly::x86::OPCODE::VMRUN32)
  .value("VMRUN64", LIEF::assembly::x86::OPCODE::VMRUN64)
  .value("VMSAVE32", LIEF::assembly::x86::OPCODE::VMSAVE32)
  .value("VMSAVE64", LIEF::assembly::x86::OPCODE::VMSAVE64)
  .value("VMULPDYrm", LIEF::assembly::x86::OPCODE::VMULPDYrm)
  .value("VMULPDYrr", LIEF::assembly::x86::OPCODE::VMULPDYrr)
  .value("VMULPDZ128rm", LIEF::assembly::x86::OPCODE::VMULPDZ128rm)
  .value("VMULPDZ128rmb", LIEF::assembly::x86::OPCODE::VMULPDZ128rmb)
  .value("VMULPDZ128rmbk", LIEF::assembly::x86::OPCODE::VMULPDZ128rmbk)
  .value("VMULPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VMULPDZ128rmbkz)
  .value("VMULPDZ128rmk", LIEF::assembly::x86::OPCODE::VMULPDZ128rmk)
  .value("VMULPDZ128rmkz", LIEF::assembly::x86::OPCODE::VMULPDZ128rmkz)
  .value("VMULPDZ128rr", LIEF::assembly::x86::OPCODE::VMULPDZ128rr)
  .value("VMULPDZ128rrk", LIEF::assembly::x86::OPCODE::VMULPDZ128rrk)
  .value("VMULPDZ128rrkz", LIEF::assembly::x86::OPCODE::VMULPDZ128rrkz)
  .value("VMULPDZ256rm", LIEF::assembly::x86::OPCODE::VMULPDZ256rm)
  .value("VMULPDZ256rmb", LIEF::assembly::x86::OPCODE::VMULPDZ256rmb)
  .value("VMULPDZ256rmbk", LIEF::assembly::x86::OPCODE::VMULPDZ256rmbk)
  .value("VMULPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VMULPDZ256rmbkz)
  .value("VMULPDZ256rmk", LIEF::assembly::x86::OPCODE::VMULPDZ256rmk)
  .value("VMULPDZ256rmkz", LIEF::assembly::x86::OPCODE::VMULPDZ256rmkz)
  .value("VMULPDZ256rr", LIEF::assembly::x86::OPCODE::VMULPDZ256rr)
  .value("VMULPDZ256rrk", LIEF::assembly::x86::OPCODE::VMULPDZ256rrk)
  .value("VMULPDZ256rrkz", LIEF::assembly::x86::OPCODE::VMULPDZ256rrkz)
  .value("VMULPDZrm", LIEF::assembly::x86::OPCODE::VMULPDZrm)
  .value("VMULPDZrmb", LIEF::assembly::x86::OPCODE::VMULPDZrmb)
  .value("VMULPDZrmbk", LIEF::assembly::x86::OPCODE::VMULPDZrmbk)
  .value("VMULPDZrmbkz", LIEF::assembly::x86::OPCODE::VMULPDZrmbkz)
  .value("VMULPDZrmk", LIEF::assembly::x86::OPCODE::VMULPDZrmk)
  .value("VMULPDZrmkz", LIEF::assembly::x86::OPCODE::VMULPDZrmkz)
  .value("VMULPDZrr", LIEF::assembly::x86::OPCODE::VMULPDZrr)
  .value("VMULPDZrrb", LIEF::assembly::x86::OPCODE::VMULPDZrrb)
  .value("VMULPDZrrbk", LIEF::assembly::x86::OPCODE::VMULPDZrrbk)
  .value("VMULPDZrrbkz", LIEF::assembly::x86::OPCODE::VMULPDZrrbkz)
  .value("VMULPDZrrk", LIEF::assembly::x86::OPCODE::VMULPDZrrk)
  .value("VMULPDZrrkz", LIEF::assembly::x86::OPCODE::VMULPDZrrkz)
  .value("VMULPDrm", LIEF::assembly::x86::OPCODE::VMULPDrm)
  .value("VMULPDrr", LIEF::assembly::x86::OPCODE::VMULPDrr)
  .value("VMULPHZ128rm", LIEF::assembly::x86::OPCODE::VMULPHZ128rm)
  .value("VMULPHZ128rmb", LIEF::assembly::x86::OPCODE::VMULPHZ128rmb)
  .value("VMULPHZ128rmbk", LIEF::assembly::x86::OPCODE::VMULPHZ128rmbk)
  .value("VMULPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VMULPHZ128rmbkz)
  .value("VMULPHZ128rmk", LIEF::assembly::x86::OPCODE::VMULPHZ128rmk)
  .value("VMULPHZ128rmkz", LIEF::assembly::x86::OPCODE::VMULPHZ128rmkz)
  .value("VMULPHZ128rr", LIEF::assembly::x86::OPCODE::VMULPHZ128rr)
  .value("VMULPHZ128rrk", LIEF::assembly::x86::OPCODE::VMULPHZ128rrk)
  .value("VMULPHZ128rrkz", LIEF::assembly::x86::OPCODE::VMULPHZ128rrkz)
  .value("VMULPHZ256rm", LIEF::assembly::x86::OPCODE::VMULPHZ256rm)
  .value("VMULPHZ256rmb", LIEF::assembly::x86::OPCODE::VMULPHZ256rmb)
  .value("VMULPHZ256rmbk", LIEF::assembly::x86::OPCODE::VMULPHZ256rmbk)
  .value("VMULPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VMULPHZ256rmbkz)
  .value("VMULPHZ256rmk", LIEF::assembly::x86::OPCODE::VMULPHZ256rmk)
  .value("VMULPHZ256rmkz", LIEF::assembly::x86::OPCODE::VMULPHZ256rmkz)
  .value("VMULPHZ256rr", LIEF::assembly::x86::OPCODE::VMULPHZ256rr)
  .value("VMULPHZ256rrk", LIEF::assembly::x86::OPCODE::VMULPHZ256rrk)
  .value("VMULPHZ256rrkz", LIEF::assembly::x86::OPCODE::VMULPHZ256rrkz)
  .value("VMULPHZrm", LIEF::assembly::x86::OPCODE::VMULPHZrm)
  .value("VMULPHZrmb", LIEF::assembly::x86::OPCODE::VMULPHZrmb)
  .value("VMULPHZrmbk", LIEF::assembly::x86::OPCODE::VMULPHZrmbk)
  .value("VMULPHZrmbkz", LIEF::assembly::x86::OPCODE::VMULPHZrmbkz)
  .value("VMULPHZrmk", LIEF::assembly::x86::OPCODE::VMULPHZrmk)
  .value("VMULPHZrmkz", LIEF::assembly::x86::OPCODE::VMULPHZrmkz)
  .value("VMULPHZrr", LIEF::assembly::x86::OPCODE::VMULPHZrr)
  .value("VMULPHZrrb", LIEF::assembly::x86::OPCODE::VMULPHZrrb)
  .value("VMULPHZrrbk", LIEF::assembly::x86::OPCODE::VMULPHZrrbk)
  .value("VMULPHZrrbkz", LIEF::assembly::x86::OPCODE::VMULPHZrrbkz)
  .value("VMULPHZrrk", LIEF::assembly::x86::OPCODE::VMULPHZrrk)
  .value("VMULPHZrrkz", LIEF::assembly::x86::OPCODE::VMULPHZrrkz)
  .value("VMULPSYrm", LIEF::assembly::x86::OPCODE::VMULPSYrm)
  .value("VMULPSYrr", LIEF::assembly::x86::OPCODE::VMULPSYrr)
  .value("VMULPSZ128rm", LIEF::assembly::x86::OPCODE::VMULPSZ128rm)
  .value("VMULPSZ128rmb", LIEF::assembly::x86::OPCODE::VMULPSZ128rmb)
  .value("VMULPSZ128rmbk", LIEF::assembly::x86::OPCODE::VMULPSZ128rmbk)
  .value("VMULPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VMULPSZ128rmbkz)
  .value("VMULPSZ128rmk", LIEF::assembly::x86::OPCODE::VMULPSZ128rmk)
  .value("VMULPSZ128rmkz", LIEF::assembly::x86::OPCODE::VMULPSZ128rmkz)
  .value("VMULPSZ128rr", LIEF::assembly::x86::OPCODE::VMULPSZ128rr)
  .value("VMULPSZ128rrk", LIEF::assembly::x86::OPCODE::VMULPSZ128rrk)
  .value("VMULPSZ128rrkz", LIEF::assembly::x86::OPCODE::VMULPSZ128rrkz)
  .value("VMULPSZ256rm", LIEF::assembly::x86::OPCODE::VMULPSZ256rm)
  .value("VMULPSZ256rmb", LIEF::assembly::x86::OPCODE::VMULPSZ256rmb)
  .value("VMULPSZ256rmbk", LIEF::assembly::x86::OPCODE::VMULPSZ256rmbk)
  .value("VMULPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VMULPSZ256rmbkz)
  .value("VMULPSZ256rmk", LIEF::assembly::x86::OPCODE::VMULPSZ256rmk)
  .value("VMULPSZ256rmkz", LIEF::assembly::x86::OPCODE::VMULPSZ256rmkz)
  .value("VMULPSZ256rr", LIEF::assembly::x86::OPCODE::VMULPSZ256rr)
  .value("VMULPSZ256rrk", LIEF::assembly::x86::OPCODE::VMULPSZ256rrk)
  .value("VMULPSZ256rrkz", LIEF::assembly::x86::OPCODE::VMULPSZ256rrkz)
  .value("VMULPSZrm", LIEF::assembly::x86::OPCODE::VMULPSZrm)
  .value("VMULPSZrmb", LIEF::assembly::x86::OPCODE::VMULPSZrmb)
  .value("VMULPSZrmbk", LIEF::assembly::x86::OPCODE::VMULPSZrmbk)
  .value("VMULPSZrmbkz", LIEF::assembly::x86::OPCODE::VMULPSZrmbkz)
  .value("VMULPSZrmk", LIEF::assembly::x86::OPCODE::VMULPSZrmk)
  .value("VMULPSZrmkz", LIEF::assembly::x86::OPCODE::VMULPSZrmkz)
  .value("VMULPSZrr", LIEF::assembly::x86::OPCODE::VMULPSZrr)
  .value("VMULPSZrrb", LIEF::assembly::x86::OPCODE::VMULPSZrrb)
  .value("VMULPSZrrbk", LIEF::assembly::x86::OPCODE::VMULPSZrrbk)
  .value("VMULPSZrrbkz", LIEF::assembly::x86::OPCODE::VMULPSZrrbkz)
  .value("VMULPSZrrk", LIEF::assembly::x86::OPCODE::VMULPSZrrk)
  .value("VMULPSZrrkz", LIEF::assembly::x86::OPCODE::VMULPSZrrkz)
  .value("VMULPSrm", LIEF::assembly::x86::OPCODE::VMULPSrm)
  .value("VMULPSrr", LIEF::assembly::x86::OPCODE::VMULPSrr)
  .value("VMULSDZrm", LIEF::assembly::x86::OPCODE::VMULSDZrm)
  .value("VMULSDZrm_Int", LIEF::assembly::x86::OPCODE::VMULSDZrm_Int)
  .value("VMULSDZrm_Intk", LIEF::assembly::x86::OPCODE::VMULSDZrm_Intk)
  .value("VMULSDZrm_Intkz", LIEF::assembly::x86::OPCODE::VMULSDZrm_Intkz)
  .value("VMULSDZrr", LIEF::assembly::x86::OPCODE::VMULSDZrr)
  .value("VMULSDZrr_Int", LIEF::assembly::x86::OPCODE::VMULSDZrr_Int)
  .value("VMULSDZrr_Intk", LIEF::assembly::x86::OPCODE::VMULSDZrr_Intk)
  .value("VMULSDZrr_Intkz", LIEF::assembly::x86::OPCODE::VMULSDZrr_Intkz)
  .value("VMULSDZrrb_Int", LIEF::assembly::x86::OPCODE::VMULSDZrrb_Int)
  .value("VMULSDZrrb_Intk", LIEF::assembly::x86::OPCODE::VMULSDZrrb_Intk)
  .value("VMULSDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMULSDZrrb_Intkz)
  .value("VMULSDrm", LIEF::assembly::x86::OPCODE::VMULSDrm)
  .value("VMULSDrm_Int", LIEF::assembly::x86::OPCODE::VMULSDrm_Int)
  .value("VMULSDrr", LIEF::assembly::x86::OPCODE::VMULSDrr)
  .value("VMULSDrr_Int", LIEF::assembly::x86::OPCODE::VMULSDrr_Int)
  .value("VMULSHZrm", LIEF::assembly::x86::OPCODE::VMULSHZrm)
  .value("VMULSHZrm_Int", LIEF::assembly::x86::OPCODE::VMULSHZrm_Int)
  .value("VMULSHZrm_Intk", LIEF::assembly::x86::OPCODE::VMULSHZrm_Intk)
  .value("VMULSHZrm_Intkz", LIEF::assembly::x86::OPCODE::VMULSHZrm_Intkz)
  .value("VMULSHZrr", LIEF::assembly::x86::OPCODE::VMULSHZrr)
  .value("VMULSHZrr_Int", LIEF::assembly::x86::OPCODE::VMULSHZrr_Int)
  .value("VMULSHZrr_Intk", LIEF::assembly::x86::OPCODE::VMULSHZrr_Intk)
  .value("VMULSHZrr_Intkz", LIEF::assembly::x86::OPCODE::VMULSHZrr_Intkz);
  opcodes.value("VMULSHZrrb_Int", LIEF::assembly::x86::OPCODE::VMULSHZrrb_Int)
  .value("VMULSHZrrb_Intk", LIEF::assembly::x86::OPCODE::VMULSHZrrb_Intk)
  .value("VMULSHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMULSHZrrb_Intkz)
  .value("VMULSSZrm", LIEF::assembly::x86::OPCODE::VMULSSZrm)
  .value("VMULSSZrm_Int", LIEF::assembly::x86::OPCODE::VMULSSZrm_Int)
  .value("VMULSSZrm_Intk", LIEF::assembly::x86::OPCODE::VMULSSZrm_Intk)
  .value("VMULSSZrm_Intkz", LIEF::assembly::x86::OPCODE::VMULSSZrm_Intkz)
  .value("VMULSSZrr", LIEF::assembly::x86::OPCODE::VMULSSZrr)
  .value("VMULSSZrr_Int", LIEF::assembly::x86::OPCODE::VMULSSZrr_Int)
  .value("VMULSSZrr_Intk", LIEF::assembly::x86::OPCODE::VMULSSZrr_Intk)
  .value("VMULSSZrr_Intkz", LIEF::assembly::x86::OPCODE::VMULSSZrr_Intkz)
  .value("VMULSSZrrb_Int", LIEF::assembly::x86::OPCODE::VMULSSZrrb_Int)
  .value("VMULSSZrrb_Intk", LIEF::assembly::x86::OPCODE::VMULSSZrrb_Intk)
  .value("VMULSSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VMULSSZrrb_Intkz)
  .value("VMULSSrm", LIEF::assembly::x86::OPCODE::VMULSSrm)
  .value("VMULSSrm_Int", LIEF::assembly::x86::OPCODE::VMULSSrm_Int)
  .value("VMULSSrr", LIEF::assembly::x86::OPCODE::VMULSSrr)
  .value("VMULSSrr_Int", LIEF::assembly::x86::OPCODE::VMULSSrr_Int)
  .value("VMWRITE32rm", LIEF::assembly::x86::OPCODE::VMWRITE32rm)
  .value("VMWRITE32rr", LIEF::assembly::x86::OPCODE::VMWRITE32rr)
  .value("VMWRITE64rm", LIEF::assembly::x86::OPCODE::VMWRITE64rm)
  .value("VMWRITE64rr", LIEF::assembly::x86::OPCODE::VMWRITE64rr)
  .value("VMXOFF", LIEF::assembly::x86::OPCODE::VMXOFF)
  .value("VMXON", LIEF::assembly::x86::OPCODE::VMXON)
  .value("VORPDYrm", LIEF::assembly::x86::OPCODE::VORPDYrm)
  .value("VORPDYrr", LIEF::assembly::x86::OPCODE::VORPDYrr)
  .value("VORPDZ128rm", LIEF::assembly::x86::OPCODE::VORPDZ128rm)
  .value("VORPDZ128rmb", LIEF::assembly::x86::OPCODE::VORPDZ128rmb)
  .value("VORPDZ128rmbk", LIEF::assembly::x86::OPCODE::VORPDZ128rmbk)
  .value("VORPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VORPDZ128rmbkz)
  .value("VORPDZ128rmk", LIEF::assembly::x86::OPCODE::VORPDZ128rmk)
  .value("VORPDZ128rmkz", LIEF::assembly::x86::OPCODE::VORPDZ128rmkz)
  .value("VORPDZ128rr", LIEF::assembly::x86::OPCODE::VORPDZ128rr)
  .value("VORPDZ128rrk", LIEF::assembly::x86::OPCODE::VORPDZ128rrk)
  .value("VORPDZ128rrkz", LIEF::assembly::x86::OPCODE::VORPDZ128rrkz)
  .value("VORPDZ256rm", LIEF::assembly::x86::OPCODE::VORPDZ256rm)
  .value("VORPDZ256rmb", LIEF::assembly::x86::OPCODE::VORPDZ256rmb)
  .value("VORPDZ256rmbk", LIEF::assembly::x86::OPCODE::VORPDZ256rmbk)
  .value("VORPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VORPDZ256rmbkz)
  .value("VORPDZ256rmk", LIEF::assembly::x86::OPCODE::VORPDZ256rmk)
  .value("VORPDZ256rmkz", LIEF::assembly::x86::OPCODE::VORPDZ256rmkz)
  .value("VORPDZ256rr", LIEF::assembly::x86::OPCODE::VORPDZ256rr)
  .value("VORPDZ256rrk", LIEF::assembly::x86::OPCODE::VORPDZ256rrk)
  .value("VORPDZ256rrkz", LIEF::assembly::x86::OPCODE::VORPDZ256rrkz)
  .value("VORPDZrm", LIEF::assembly::x86::OPCODE::VORPDZrm)
  .value("VORPDZrmb", LIEF::assembly::x86::OPCODE::VORPDZrmb)
  .value("VORPDZrmbk", LIEF::assembly::x86::OPCODE::VORPDZrmbk)
  .value("VORPDZrmbkz", LIEF::assembly::x86::OPCODE::VORPDZrmbkz)
  .value("VORPDZrmk", LIEF::assembly::x86::OPCODE::VORPDZrmk)
  .value("VORPDZrmkz", LIEF::assembly::x86::OPCODE::VORPDZrmkz)
  .value("VORPDZrr", LIEF::assembly::x86::OPCODE::VORPDZrr)
  .value("VORPDZrrk", LIEF::assembly::x86::OPCODE::VORPDZrrk)
  .value("VORPDZrrkz", LIEF::assembly::x86::OPCODE::VORPDZrrkz)
  .value("VORPDrm", LIEF::assembly::x86::OPCODE::VORPDrm)
  .value("VORPDrr", LIEF::assembly::x86::OPCODE::VORPDrr)
  .value("VORPSYrm", LIEF::assembly::x86::OPCODE::VORPSYrm)
  .value("VORPSYrr", LIEF::assembly::x86::OPCODE::VORPSYrr)
  .value("VORPSZ128rm", LIEF::assembly::x86::OPCODE::VORPSZ128rm)
  .value("VORPSZ128rmb", LIEF::assembly::x86::OPCODE::VORPSZ128rmb)
  .value("VORPSZ128rmbk", LIEF::assembly::x86::OPCODE::VORPSZ128rmbk)
  .value("VORPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VORPSZ128rmbkz)
  .value("VORPSZ128rmk", LIEF::assembly::x86::OPCODE::VORPSZ128rmk)
  .value("VORPSZ128rmkz", LIEF::assembly::x86::OPCODE::VORPSZ128rmkz)
  .value("VORPSZ128rr", LIEF::assembly::x86::OPCODE::VORPSZ128rr)
  .value("VORPSZ128rrk", LIEF::assembly::x86::OPCODE::VORPSZ128rrk)
  .value("VORPSZ128rrkz", LIEF::assembly::x86::OPCODE::VORPSZ128rrkz)
  .value("VORPSZ256rm", LIEF::assembly::x86::OPCODE::VORPSZ256rm)
  .value("VORPSZ256rmb", LIEF::assembly::x86::OPCODE::VORPSZ256rmb)
  .value("VORPSZ256rmbk", LIEF::assembly::x86::OPCODE::VORPSZ256rmbk)
  .value("VORPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VORPSZ256rmbkz)
  .value("VORPSZ256rmk", LIEF::assembly::x86::OPCODE::VORPSZ256rmk)
  .value("VORPSZ256rmkz", LIEF::assembly::x86::OPCODE::VORPSZ256rmkz)
  .value("VORPSZ256rr", LIEF::assembly::x86::OPCODE::VORPSZ256rr)
  .value("VORPSZ256rrk", LIEF::assembly::x86::OPCODE::VORPSZ256rrk)
  .value("VORPSZ256rrkz", LIEF::assembly::x86::OPCODE::VORPSZ256rrkz)
  .value("VORPSZrm", LIEF::assembly::x86::OPCODE::VORPSZrm)
  .value("VORPSZrmb", LIEF::assembly::x86::OPCODE::VORPSZrmb)
  .value("VORPSZrmbk", LIEF::assembly::x86::OPCODE::VORPSZrmbk)
  .value("VORPSZrmbkz", LIEF::assembly::x86::OPCODE::VORPSZrmbkz)
  .value("VORPSZrmk", LIEF::assembly::x86::OPCODE::VORPSZrmk)
  .value("VORPSZrmkz", LIEF::assembly::x86::OPCODE::VORPSZrmkz)
  .value("VORPSZrr", LIEF::assembly::x86::OPCODE::VORPSZrr)
  .value("VORPSZrrk", LIEF::assembly::x86::OPCODE::VORPSZrrk)
  .value("VORPSZrrkz", LIEF::assembly::x86::OPCODE::VORPSZrrkz)
  .value("VORPSrm", LIEF::assembly::x86::OPCODE::VORPSrm)
  .value("VORPSrr", LIEF::assembly::x86::OPCODE::VORPSrr)
  .value("VP2INTERSECTDZ128rm", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZ128rm)
  .value("VP2INTERSECTDZ128rmb", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZ128rmb)
  .value("VP2INTERSECTDZ128rr", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZ128rr)
  .value("VP2INTERSECTDZ256rm", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZ256rm)
  .value("VP2INTERSECTDZ256rmb", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZ256rmb)
  .value("VP2INTERSECTDZ256rr", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZ256rr)
  .value("VP2INTERSECTDZrm", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZrm)
  .value("VP2INTERSECTDZrmb", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZrmb)
  .value("VP2INTERSECTDZrr", LIEF::assembly::x86::OPCODE::VP2INTERSECTDZrr)
  .value("VP2INTERSECTQZ128rm", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZ128rm)
  .value("VP2INTERSECTQZ128rmb", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZ128rmb)
  .value("VP2INTERSECTQZ128rr", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZ128rr)
  .value("VP2INTERSECTQZ256rm", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZ256rm)
  .value("VP2INTERSECTQZ256rmb", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZ256rmb)
  .value("VP2INTERSECTQZ256rr", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZ256rr)
  .value("VP2INTERSECTQZrm", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZrm)
  .value("VP2INTERSECTQZrmb", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZrmb)
  .value("VP2INTERSECTQZrr", LIEF::assembly::x86::OPCODE::VP2INTERSECTQZrr)
  .value("VP4DPWSSDSrm", LIEF::assembly::x86::OPCODE::VP4DPWSSDSrm)
  .value("VP4DPWSSDSrmk", LIEF::assembly::x86::OPCODE::VP4DPWSSDSrmk)
  .value("VP4DPWSSDSrmkz", LIEF::assembly::x86::OPCODE::VP4DPWSSDSrmkz)
  .value("VP4DPWSSDrm", LIEF::assembly::x86::OPCODE::VP4DPWSSDrm)
  .value("VP4DPWSSDrmk", LIEF::assembly::x86::OPCODE::VP4DPWSSDrmk)
  .value("VP4DPWSSDrmkz", LIEF::assembly::x86::OPCODE::VP4DPWSSDrmkz)
  .value("VPABSBYrm", LIEF::assembly::x86::OPCODE::VPABSBYrm)
  .value("VPABSBYrr", LIEF::assembly::x86::OPCODE::VPABSBYrr)
  .value("VPABSBZ128rm", LIEF::assembly::x86::OPCODE::VPABSBZ128rm)
  .value("VPABSBZ128rmk", LIEF::assembly::x86::OPCODE::VPABSBZ128rmk)
  .value("VPABSBZ128rmkz", LIEF::assembly::x86::OPCODE::VPABSBZ128rmkz)
  .value("VPABSBZ128rr", LIEF::assembly::x86::OPCODE::VPABSBZ128rr)
  .value("VPABSBZ128rrk", LIEF::assembly::x86::OPCODE::VPABSBZ128rrk)
  .value("VPABSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPABSBZ128rrkz)
  .value("VPABSBZ256rm", LIEF::assembly::x86::OPCODE::VPABSBZ256rm)
  .value("VPABSBZ256rmk", LIEF::assembly::x86::OPCODE::VPABSBZ256rmk)
  .value("VPABSBZ256rmkz", LIEF::assembly::x86::OPCODE::VPABSBZ256rmkz)
  .value("VPABSBZ256rr", LIEF::assembly::x86::OPCODE::VPABSBZ256rr)
  .value("VPABSBZ256rrk", LIEF::assembly::x86::OPCODE::VPABSBZ256rrk)
  .value("VPABSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPABSBZ256rrkz)
  .value("VPABSBZrm", LIEF::assembly::x86::OPCODE::VPABSBZrm)
  .value("VPABSBZrmk", LIEF::assembly::x86::OPCODE::VPABSBZrmk)
  .value("VPABSBZrmkz", LIEF::assembly::x86::OPCODE::VPABSBZrmkz)
  .value("VPABSBZrr", LIEF::assembly::x86::OPCODE::VPABSBZrr)
  .value("VPABSBZrrk", LIEF::assembly::x86::OPCODE::VPABSBZrrk)
  .value("VPABSBZrrkz", LIEF::assembly::x86::OPCODE::VPABSBZrrkz)
  .value("VPABSBrm", LIEF::assembly::x86::OPCODE::VPABSBrm)
  .value("VPABSBrr", LIEF::assembly::x86::OPCODE::VPABSBrr)
  .value("VPABSDYrm", LIEF::assembly::x86::OPCODE::VPABSDYrm)
  .value("VPABSDYrr", LIEF::assembly::x86::OPCODE::VPABSDYrr)
  .value("VPABSDZ128rm", LIEF::assembly::x86::OPCODE::VPABSDZ128rm)
  .value("VPABSDZ128rmb", LIEF::assembly::x86::OPCODE::VPABSDZ128rmb)
  .value("VPABSDZ128rmbk", LIEF::assembly::x86::OPCODE::VPABSDZ128rmbk)
  .value("VPABSDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPABSDZ128rmbkz)
  .value("VPABSDZ128rmk", LIEF::assembly::x86::OPCODE::VPABSDZ128rmk)
  .value("VPABSDZ128rmkz", LIEF::assembly::x86::OPCODE::VPABSDZ128rmkz)
  .value("VPABSDZ128rr", LIEF::assembly::x86::OPCODE::VPABSDZ128rr)
  .value("VPABSDZ128rrk", LIEF::assembly::x86::OPCODE::VPABSDZ128rrk)
  .value("VPABSDZ128rrkz", LIEF::assembly::x86::OPCODE::VPABSDZ128rrkz)
  .value("VPABSDZ256rm", LIEF::assembly::x86::OPCODE::VPABSDZ256rm)
  .value("VPABSDZ256rmb", LIEF::assembly::x86::OPCODE::VPABSDZ256rmb)
  .value("VPABSDZ256rmbk", LIEF::assembly::x86::OPCODE::VPABSDZ256rmbk)
  .value("VPABSDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPABSDZ256rmbkz)
  .value("VPABSDZ256rmk", LIEF::assembly::x86::OPCODE::VPABSDZ256rmk)
  .value("VPABSDZ256rmkz", LIEF::assembly::x86::OPCODE::VPABSDZ256rmkz)
  .value("VPABSDZ256rr", LIEF::assembly::x86::OPCODE::VPABSDZ256rr)
  .value("VPABSDZ256rrk", LIEF::assembly::x86::OPCODE::VPABSDZ256rrk)
  .value("VPABSDZ256rrkz", LIEF::assembly::x86::OPCODE::VPABSDZ256rrkz)
  .value("VPABSDZrm", LIEF::assembly::x86::OPCODE::VPABSDZrm)
  .value("VPABSDZrmb", LIEF::assembly::x86::OPCODE::VPABSDZrmb)
  .value("VPABSDZrmbk", LIEF::assembly::x86::OPCODE::VPABSDZrmbk)
  .value("VPABSDZrmbkz", LIEF::assembly::x86::OPCODE::VPABSDZrmbkz)
  .value("VPABSDZrmk", LIEF::assembly::x86::OPCODE::VPABSDZrmk)
  .value("VPABSDZrmkz", LIEF::assembly::x86::OPCODE::VPABSDZrmkz)
  .value("VPABSDZrr", LIEF::assembly::x86::OPCODE::VPABSDZrr)
  .value("VPABSDZrrk", LIEF::assembly::x86::OPCODE::VPABSDZrrk)
  .value("VPABSDZrrkz", LIEF::assembly::x86::OPCODE::VPABSDZrrkz)
  .value("VPABSDrm", LIEF::assembly::x86::OPCODE::VPABSDrm)
  .value("VPABSDrr", LIEF::assembly::x86::OPCODE::VPABSDrr)
  .value("VPABSQZ128rm", LIEF::assembly::x86::OPCODE::VPABSQZ128rm)
  .value("VPABSQZ128rmb", LIEF::assembly::x86::OPCODE::VPABSQZ128rmb)
  .value("VPABSQZ128rmbk", LIEF::assembly::x86::OPCODE::VPABSQZ128rmbk)
  .value("VPABSQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPABSQZ128rmbkz)
  .value("VPABSQZ128rmk", LIEF::assembly::x86::OPCODE::VPABSQZ128rmk)
  .value("VPABSQZ128rmkz", LIEF::assembly::x86::OPCODE::VPABSQZ128rmkz)
  .value("VPABSQZ128rr", LIEF::assembly::x86::OPCODE::VPABSQZ128rr)
  .value("VPABSQZ128rrk", LIEF::assembly::x86::OPCODE::VPABSQZ128rrk)
  .value("VPABSQZ128rrkz", LIEF::assembly::x86::OPCODE::VPABSQZ128rrkz)
  .value("VPABSQZ256rm", LIEF::assembly::x86::OPCODE::VPABSQZ256rm)
  .value("VPABSQZ256rmb", LIEF::assembly::x86::OPCODE::VPABSQZ256rmb)
  .value("VPABSQZ256rmbk", LIEF::assembly::x86::OPCODE::VPABSQZ256rmbk)
  .value("VPABSQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPABSQZ256rmbkz)
  .value("VPABSQZ256rmk", LIEF::assembly::x86::OPCODE::VPABSQZ256rmk)
  .value("VPABSQZ256rmkz", LIEF::assembly::x86::OPCODE::VPABSQZ256rmkz)
  .value("VPABSQZ256rr", LIEF::assembly::x86::OPCODE::VPABSQZ256rr)
  .value("VPABSQZ256rrk", LIEF::assembly::x86::OPCODE::VPABSQZ256rrk)
  .value("VPABSQZ256rrkz", LIEF::assembly::x86::OPCODE::VPABSQZ256rrkz)
  .value("VPABSQZrm", LIEF::assembly::x86::OPCODE::VPABSQZrm)
  .value("VPABSQZrmb", LIEF::assembly::x86::OPCODE::VPABSQZrmb)
  .value("VPABSQZrmbk", LIEF::assembly::x86::OPCODE::VPABSQZrmbk)
  .value("VPABSQZrmbkz", LIEF::assembly::x86::OPCODE::VPABSQZrmbkz)
  .value("VPABSQZrmk", LIEF::assembly::x86::OPCODE::VPABSQZrmk)
  .value("VPABSQZrmkz", LIEF::assembly::x86::OPCODE::VPABSQZrmkz)
  .value("VPABSQZrr", LIEF::assembly::x86::OPCODE::VPABSQZrr)
  .value("VPABSQZrrk", LIEF::assembly::x86::OPCODE::VPABSQZrrk)
  .value("VPABSQZrrkz", LIEF::assembly::x86::OPCODE::VPABSQZrrkz)
  .value("VPABSWYrm", LIEF::assembly::x86::OPCODE::VPABSWYrm)
  .value("VPABSWYrr", LIEF::assembly::x86::OPCODE::VPABSWYrr)
  .value("VPABSWZ128rm", LIEF::assembly::x86::OPCODE::VPABSWZ128rm)
  .value("VPABSWZ128rmk", LIEF::assembly::x86::OPCODE::VPABSWZ128rmk)
  .value("VPABSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPABSWZ128rmkz)
  .value("VPABSWZ128rr", LIEF::assembly::x86::OPCODE::VPABSWZ128rr)
  .value("VPABSWZ128rrk", LIEF::assembly::x86::OPCODE::VPABSWZ128rrk)
  .value("VPABSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPABSWZ128rrkz)
  .value("VPABSWZ256rm", LIEF::assembly::x86::OPCODE::VPABSWZ256rm)
  .value("VPABSWZ256rmk", LIEF::assembly::x86::OPCODE::VPABSWZ256rmk)
  .value("VPABSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPABSWZ256rmkz)
  .value("VPABSWZ256rr", LIEF::assembly::x86::OPCODE::VPABSWZ256rr)
  .value("VPABSWZ256rrk", LIEF::assembly::x86::OPCODE::VPABSWZ256rrk)
  .value("VPABSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPABSWZ256rrkz)
  .value("VPABSWZrm", LIEF::assembly::x86::OPCODE::VPABSWZrm)
  .value("VPABSWZrmk", LIEF::assembly::x86::OPCODE::VPABSWZrmk)
  .value("VPABSWZrmkz", LIEF::assembly::x86::OPCODE::VPABSWZrmkz)
  .value("VPABSWZrr", LIEF::assembly::x86::OPCODE::VPABSWZrr)
  .value("VPABSWZrrk", LIEF::assembly::x86::OPCODE::VPABSWZrrk)
  .value("VPABSWZrrkz", LIEF::assembly::x86::OPCODE::VPABSWZrrkz)
  .value("VPABSWrm", LIEF::assembly::x86::OPCODE::VPABSWrm)
  .value("VPABSWrr", LIEF::assembly::x86::OPCODE::VPABSWrr)
  .value("VPACKSSDWYrm", LIEF::assembly::x86::OPCODE::VPACKSSDWYrm)
  .value("VPACKSSDWYrr", LIEF::assembly::x86::OPCODE::VPACKSSDWYrr)
  .value("VPACKSSDWZ128rm", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rm)
  .value("VPACKSSDWZ128rmb", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rmb)
  .value("VPACKSSDWZ128rmbk", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rmbk)
  .value("VPACKSSDWZ128rmbkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rmbkz)
  .value("VPACKSSDWZ128rmk", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rmk)
  .value("VPACKSSDWZ128rmkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rmkz)
  .value("VPACKSSDWZ128rr", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rr)
  .value("VPACKSSDWZ128rrk", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rrk)
  .value("VPACKSSDWZ128rrkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZ128rrkz)
  .value("VPACKSSDWZ256rm", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rm)
  .value("VPACKSSDWZ256rmb", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rmb)
  .value("VPACKSSDWZ256rmbk", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rmbk)
  .value("VPACKSSDWZ256rmbkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rmbkz)
  .value("VPACKSSDWZ256rmk", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rmk)
  .value("VPACKSSDWZ256rmkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rmkz)
  .value("VPACKSSDWZ256rr", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rr)
  .value("VPACKSSDWZ256rrk", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rrk)
  .value("VPACKSSDWZ256rrkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZ256rrkz)
  .value("VPACKSSDWZrm", LIEF::assembly::x86::OPCODE::VPACKSSDWZrm)
  .value("VPACKSSDWZrmb", LIEF::assembly::x86::OPCODE::VPACKSSDWZrmb)
  .value("VPACKSSDWZrmbk", LIEF::assembly::x86::OPCODE::VPACKSSDWZrmbk)
  .value("VPACKSSDWZrmbkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZrmbkz)
  .value("VPACKSSDWZrmk", LIEF::assembly::x86::OPCODE::VPACKSSDWZrmk)
  .value("VPACKSSDWZrmkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZrmkz)
  .value("VPACKSSDWZrr", LIEF::assembly::x86::OPCODE::VPACKSSDWZrr)
  .value("VPACKSSDWZrrk", LIEF::assembly::x86::OPCODE::VPACKSSDWZrrk)
  .value("VPACKSSDWZrrkz", LIEF::assembly::x86::OPCODE::VPACKSSDWZrrkz)
  .value("VPACKSSDWrm", LIEF::assembly::x86::OPCODE::VPACKSSDWrm)
  .value("VPACKSSDWrr", LIEF::assembly::x86::OPCODE::VPACKSSDWrr)
  .value("VPACKSSWBYrm", LIEF::assembly::x86::OPCODE::VPACKSSWBYrm)
  .value("VPACKSSWBYrr", LIEF::assembly::x86::OPCODE::VPACKSSWBYrr)
  .value("VPACKSSWBZ128rm", LIEF::assembly::x86::OPCODE::VPACKSSWBZ128rm)
  .value("VPACKSSWBZ128rmk", LIEF::assembly::x86::OPCODE::VPACKSSWBZ128rmk)
  .value("VPACKSSWBZ128rmkz", LIEF::assembly::x86::OPCODE::VPACKSSWBZ128rmkz)
  .value("VPACKSSWBZ128rr", LIEF::assembly::x86::OPCODE::VPACKSSWBZ128rr)
  .value("VPACKSSWBZ128rrk", LIEF::assembly::x86::OPCODE::VPACKSSWBZ128rrk)
  .value("VPACKSSWBZ128rrkz", LIEF::assembly::x86::OPCODE::VPACKSSWBZ128rrkz)
  .value("VPACKSSWBZ256rm", LIEF::assembly::x86::OPCODE::VPACKSSWBZ256rm)
  .value("VPACKSSWBZ256rmk", LIEF::assembly::x86::OPCODE::VPACKSSWBZ256rmk)
  .value("VPACKSSWBZ256rmkz", LIEF::assembly::x86::OPCODE::VPACKSSWBZ256rmkz)
  .value("VPACKSSWBZ256rr", LIEF::assembly::x86::OPCODE::VPACKSSWBZ256rr)
  .value("VPACKSSWBZ256rrk", LIEF::assembly::x86::OPCODE::VPACKSSWBZ256rrk)
  .value("VPACKSSWBZ256rrkz", LIEF::assembly::x86::OPCODE::VPACKSSWBZ256rrkz)
  .value("VPACKSSWBZrm", LIEF::assembly::x86::OPCODE::VPACKSSWBZrm)
  .value("VPACKSSWBZrmk", LIEF::assembly::x86::OPCODE::VPACKSSWBZrmk)
  .value("VPACKSSWBZrmkz", LIEF::assembly::x86::OPCODE::VPACKSSWBZrmkz)
  .value("VPACKSSWBZrr", LIEF::assembly::x86::OPCODE::VPACKSSWBZrr)
  .value("VPACKSSWBZrrk", LIEF::assembly::x86::OPCODE::VPACKSSWBZrrk)
  .value("VPACKSSWBZrrkz", LIEF::assembly::x86::OPCODE::VPACKSSWBZrrkz)
  .value("VPACKSSWBrm", LIEF::assembly::x86::OPCODE::VPACKSSWBrm)
  .value("VPACKSSWBrr", LIEF::assembly::x86::OPCODE::VPACKSSWBrr)
  .value("VPACKUSDWYrm", LIEF::assembly::x86::OPCODE::VPACKUSDWYrm)
  .value("VPACKUSDWYrr", LIEF::assembly::x86::OPCODE::VPACKUSDWYrr)
  .value("VPACKUSDWZ128rm", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rm)
  .value("VPACKUSDWZ128rmb", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rmb)
  .value("VPACKUSDWZ128rmbk", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rmbk)
  .value("VPACKUSDWZ128rmbkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rmbkz)
  .value("VPACKUSDWZ128rmk", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rmk)
  .value("VPACKUSDWZ128rmkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rmkz)
  .value("VPACKUSDWZ128rr", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rr)
  .value("VPACKUSDWZ128rrk", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rrk)
  .value("VPACKUSDWZ128rrkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZ128rrkz)
  .value("VPACKUSDWZ256rm", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rm)
  .value("VPACKUSDWZ256rmb", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rmb)
  .value("VPACKUSDWZ256rmbk", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rmbk)
  .value("VPACKUSDWZ256rmbkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rmbkz)
  .value("VPACKUSDWZ256rmk", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rmk)
  .value("VPACKUSDWZ256rmkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rmkz)
  .value("VPACKUSDWZ256rr", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rr)
  .value("VPACKUSDWZ256rrk", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rrk)
  .value("VPACKUSDWZ256rrkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZ256rrkz)
  .value("VPACKUSDWZrm", LIEF::assembly::x86::OPCODE::VPACKUSDWZrm)
  .value("VPACKUSDWZrmb", LIEF::assembly::x86::OPCODE::VPACKUSDWZrmb)
  .value("VPACKUSDWZrmbk", LIEF::assembly::x86::OPCODE::VPACKUSDWZrmbk)
  .value("VPACKUSDWZrmbkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZrmbkz)
  .value("VPACKUSDWZrmk", LIEF::assembly::x86::OPCODE::VPACKUSDWZrmk)
  .value("VPACKUSDWZrmkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZrmkz)
  .value("VPACKUSDWZrr", LIEF::assembly::x86::OPCODE::VPACKUSDWZrr)
  .value("VPACKUSDWZrrk", LIEF::assembly::x86::OPCODE::VPACKUSDWZrrk)
  .value("VPACKUSDWZrrkz", LIEF::assembly::x86::OPCODE::VPACKUSDWZrrkz)
  .value("VPACKUSDWrm", LIEF::assembly::x86::OPCODE::VPACKUSDWrm)
  .value("VPACKUSDWrr", LIEF::assembly::x86::OPCODE::VPACKUSDWrr)
  .value("VPACKUSWBYrm", LIEF::assembly::x86::OPCODE::VPACKUSWBYrm)
  .value("VPACKUSWBYrr", LIEF::assembly::x86::OPCODE::VPACKUSWBYrr)
  .value("VPACKUSWBZ128rm", LIEF::assembly::x86::OPCODE::VPACKUSWBZ128rm)
  .value("VPACKUSWBZ128rmk", LIEF::assembly::x86::OPCODE::VPACKUSWBZ128rmk);
  opcodes.value("VPACKUSWBZ128rmkz", LIEF::assembly::x86::OPCODE::VPACKUSWBZ128rmkz)
  .value("VPACKUSWBZ128rr", LIEF::assembly::x86::OPCODE::VPACKUSWBZ128rr)
  .value("VPACKUSWBZ128rrk", LIEF::assembly::x86::OPCODE::VPACKUSWBZ128rrk)
  .value("VPACKUSWBZ128rrkz", LIEF::assembly::x86::OPCODE::VPACKUSWBZ128rrkz)
  .value("VPACKUSWBZ256rm", LIEF::assembly::x86::OPCODE::VPACKUSWBZ256rm)
  .value("VPACKUSWBZ256rmk", LIEF::assembly::x86::OPCODE::VPACKUSWBZ256rmk)
  .value("VPACKUSWBZ256rmkz", LIEF::assembly::x86::OPCODE::VPACKUSWBZ256rmkz)
  .value("VPACKUSWBZ256rr", LIEF::assembly::x86::OPCODE::VPACKUSWBZ256rr)
  .value("VPACKUSWBZ256rrk", LIEF::assembly::x86::OPCODE::VPACKUSWBZ256rrk)
  .value("VPACKUSWBZ256rrkz", LIEF::assembly::x86::OPCODE::VPACKUSWBZ256rrkz)
  .value("VPACKUSWBZrm", LIEF::assembly::x86::OPCODE::VPACKUSWBZrm)
  .value("VPACKUSWBZrmk", LIEF::assembly::x86::OPCODE::VPACKUSWBZrmk)
  .value("VPACKUSWBZrmkz", LIEF::assembly::x86::OPCODE::VPACKUSWBZrmkz)
  .value("VPACKUSWBZrr", LIEF::assembly::x86::OPCODE::VPACKUSWBZrr)
  .value("VPACKUSWBZrrk", LIEF::assembly::x86::OPCODE::VPACKUSWBZrrk)
  .value("VPACKUSWBZrrkz", LIEF::assembly::x86::OPCODE::VPACKUSWBZrrkz)
  .value("VPACKUSWBrm", LIEF::assembly::x86::OPCODE::VPACKUSWBrm)
  .value("VPACKUSWBrr", LIEF::assembly::x86::OPCODE::VPACKUSWBrr)
  .value("VPADDBYrm", LIEF::assembly::x86::OPCODE::VPADDBYrm)
  .value("VPADDBYrr", LIEF::assembly::x86::OPCODE::VPADDBYrr)
  .value("VPADDBZ128rm", LIEF::assembly::x86::OPCODE::VPADDBZ128rm)
  .value("VPADDBZ128rmk", LIEF::assembly::x86::OPCODE::VPADDBZ128rmk)
  .value("VPADDBZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDBZ128rmkz)
  .value("VPADDBZ128rr", LIEF::assembly::x86::OPCODE::VPADDBZ128rr)
  .value("VPADDBZ128rrk", LIEF::assembly::x86::OPCODE::VPADDBZ128rrk)
  .value("VPADDBZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDBZ128rrkz)
  .value("VPADDBZ256rm", LIEF::assembly::x86::OPCODE::VPADDBZ256rm)
  .value("VPADDBZ256rmk", LIEF::assembly::x86::OPCODE::VPADDBZ256rmk)
  .value("VPADDBZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDBZ256rmkz)
  .value("VPADDBZ256rr", LIEF::assembly::x86::OPCODE::VPADDBZ256rr)
  .value("VPADDBZ256rrk", LIEF::assembly::x86::OPCODE::VPADDBZ256rrk)
  .value("VPADDBZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDBZ256rrkz)
  .value("VPADDBZrm", LIEF::assembly::x86::OPCODE::VPADDBZrm)
  .value("VPADDBZrmk", LIEF::assembly::x86::OPCODE::VPADDBZrmk)
  .value("VPADDBZrmkz", LIEF::assembly::x86::OPCODE::VPADDBZrmkz)
  .value("VPADDBZrr", LIEF::assembly::x86::OPCODE::VPADDBZrr)
  .value("VPADDBZrrk", LIEF::assembly::x86::OPCODE::VPADDBZrrk)
  .value("VPADDBZrrkz", LIEF::assembly::x86::OPCODE::VPADDBZrrkz)
  .value("VPADDBrm", LIEF::assembly::x86::OPCODE::VPADDBrm)
  .value("VPADDBrr", LIEF::assembly::x86::OPCODE::VPADDBrr)
  .value("VPADDDYrm", LIEF::assembly::x86::OPCODE::VPADDDYrm)
  .value("VPADDDYrr", LIEF::assembly::x86::OPCODE::VPADDDYrr)
  .value("VPADDDZ128rm", LIEF::assembly::x86::OPCODE::VPADDDZ128rm)
  .value("VPADDDZ128rmb", LIEF::assembly::x86::OPCODE::VPADDDZ128rmb)
  .value("VPADDDZ128rmbk", LIEF::assembly::x86::OPCODE::VPADDDZ128rmbk)
  .value("VPADDDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPADDDZ128rmbkz)
  .value("VPADDDZ128rmk", LIEF::assembly::x86::OPCODE::VPADDDZ128rmk)
  .value("VPADDDZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDDZ128rmkz)
  .value("VPADDDZ128rr", LIEF::assembly::x86::OPCODE::VPADDDZ128rr)
  .value("VPADDDZ128rrk", LIEF::assembly::x86::OPCODE::VPADDDZ128rrk)
  .value("VPADDDZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDDZ128rrkz)
  .value("VPADDDZ256rm", LIEF::assembly::x86::OPCODE::VPADDDZ256rm)
  .value("VPADDDZ256rmb", LIEF::assembly::x86::OPCODE::VPADDDZ256rmb)
  .value("VPADDDZ256rmbk", LIEF::assembly::x86::OPCODE::VPADDDZ256rmbk)
  .value("VPADDDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPADDDZ256rmbkz)
  .value("VPADDDZ256rmk", LIEF::assembly::x86::OPCODE::VPADDDZ256rmk)
  .value("VPADDDZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDDZ256rmkz)
  .value("VPADDDZ256rr", LIEF::assembly::x86::OPCODE::VPADDDZ256rr)
  .value("VPADDDZ256rrk", LIEF::assembly::x86::OPCODE::VPADDDZ256rrk)
  .value("VPADDDZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDDZ256rrkz)
  .value("VPADDDZrm", LIEF::assembly::x86::OPCODE::VPADDDZrm)
  .value("VPADDDZrmb", LIEF::assembly::x86::OPCODE::VPADDDZrmb)
  .value("VPADDDZrmbk", LIEF::assembly::x86::OPCODE::VPADDDZrmbk)
  .value("VPADDDZrmbkz", LIEF::assembly::x86::OPCODE::VPADDDZrmbkz)
  .value("VPADDDZrmk", LIEF::assembly::x86::OPCODE::VPADDDZrmk)
  .value("VPADDDZrmkz", LIEF::assembly::x86::OPCODE::VPADDDZrmkz)
  .value("VPADDDZrr", LIEF::assembly::x86::OPCODE::VPADDDZrr)
  .value("VPADDDZrrk", LIEF::assembly::x86::OPCODE::VPADDDZrrk)
  .value("VPADDDZrrkz", LIEF::assembly::x86::OPCODE::VPADDDZrrkz)
  .value("VPADDDrm", LIEF::assembly::x86::OPCODE::VPADDDrm)
  .value("VPADDDrr", LIEF::assembly::x86::OPCODE::VPADDDrr)
  .value("VPADDQYrm", LIEF::assembly::x86::OPCODE::VPADDQYrm)
  .value("VPADDQYrr", LIEF::assembly::x86::OPCODE::VPADDQYrr)
  .value("VPADDQZ128rm", LIEF::assembly::x86::OPCODE::VPADDQZ128rm)
  .value("VPADDQZ128rmb", LIEF::assembly::x86::OPCODE::VPADDQZ128rmb)
  .value("VPADDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPADDQZ128rmbk)
  .value("VPADDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPADDQZ128rmbkz)
  .value("VPADDQZ128rmk", LIEF::assembly::x86::OPCODE::VPADDQZ128rmk)
  .value("VPADDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDQZ128rmkz)
  .value("VPADDQZ128rr", LIEF::assembly::x86::OPCODE::VPADDQZ128rr)
  .value("VPADDQZ128rrk", LIEF::assembly::x86::OPCODE::VPADDQZ128rrk)
  .value("VPADDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDQZ128rrkz)
  .value("VPADDQZ256rm", LIEF::assembly::x86::OPCODE::VPADDQZ256rm)
  .value("VPADDQZ256rmb", LIEF::assembly::x86::OPCODE::VPADDQZ256rmb)
  .value("VPADDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPADDQZ256rmbk)
  .value("VPADDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPADDQZ256rmbkz)
  .value("VPADDQZ256rmk", LIEF::assembly::x86::OPCODE::VPADDQZ256rmk)
  .value("VPADDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDQZ256rmkz)
  .value("VPADDQZ256rr", LIEF::assembly::x86::OPCODE::VPADDQZ256rr)
  .value("VPADDQZ256rrk", LIEF::assembly::x86::OPCODE::VPADDQZ256rrk)
  .value("VPADDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDQZ256rrkz)
  .value("VPADDQZrm", LIEF::assembly::x86::OPCODE::VPADDQZrm)
  .value("VPADDQZrmb", LIEF::assembly::x86::OPCODE::VPADDQZrmb)
  .value("VPADDQZrmbk", LIEF::assembly::x86::OPCODE::VPADDQZrmbk)
  .value("VPADDQZrmbkz", LIEF::assembly::x86::OPCODE::VPADDQZrmbkz)
  .value("VPADDQZrmk", LIEF::assembly::x86::OPCODE::VPADDQZrmk)
  .value("VPADDQZrmkz", LIEF::assembly::x86::OPCODE::VPADDQZrmkz)
  .value("VPADDQZrr", LIEF::assembly::x86::OPCODE::VPADDQZrr)
  .value("VPADDQZrrk", LIEF::assembly::x86::OPCODE::VPADDQZrrk)
  .value("VPADDQZrrkz", LIEF::assembly::x86::OPCODE::VPADDQZrrkz)
  .value("VPADDQrm", LIEF::assembly::x86::OPCODE::VPADDQrm)
  .value("VPADDQrr", LIEF::assembly::x86::OPCODE::VPADDQrr)
  .value("VPADDSBYrm", LIEF::assembly::x86::OPCODE::VPADDSBYrm)
  .value("VPADDSBYrr", LIEF::assembly::x86::OPCODE::VPADDSBYrr)
  .value("VPADDSBZ128rm", LIEF::assembly::x86::OPCODE::VPADDSBZ128rm)
  .value("VPADDSBZ128rmk", LIEF::assembly::x86::OPCODE::VPADDSBZ128rmk)
  .value("VPADDSBZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDSBZ128rmkz)
  .value("VPADDSBZ128rr", LIEF::assembly::x86::OPCODE::VPADDSBZ128rr)
  .value("VPADDSBZ128rrk", LIEF::assembly::x86::OPCODE::VPADDSBZ128rrk)
  .value("VPADDSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDSBZ128rrkz)
  .value("VPADDSBZ256rm", LIEF::assembly::x86::OPCODE::VPADDSBZ256rm)
  .value("VPADDSBZ256rmk", LIEF::assembly::x86::OPCODE::VPADDSBZ256rmk)
  .value("VPADDSBZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDSBZ256rmkz)
  .value("VPADDSBZ256rr", LIEF::assembly::x86::OPCODE::VPADDSBZ256rr)
  .value("VPADDSBZ256rrk", LIEF::assembly::x86::OPCODE::VPADDSBZ256rrk)
  .value("VPADDSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDSBZ256rrkz)
  .value("VPADDSBZrm", LIEF::assembly::x86::OPCODE::VPADDSBZrm)
  .value("VPADDSBZrmk", LIEF::assembly::x86::OPCODE::VPADDSBZrmk)
  .value("VPADDSBZrmkz", LIEF::assembly::x86::OPCODE::VPADDSBZrmkz)
  .value("VPADDSBZrr", LIEF::assembly::x86::OPCODE::VPADDSBZrr)
  .value("VPADDSBZrrk", LIEF::assembly::x86::OPCODE::VPADDSBZrrk)
  .value("VPADDSBZrrkz", LIEF::assembly::x86::OPCODE::VPADDSBZrrkz)
  .value("VPADDSBrm", LIEF::assembly::x86::OPCODE::VPADDSBrm)
  .value("VPADDSBrr", LIEF::assembly::x86::OPCODE::VPADDSBrr)
  .value("VPADDSWYrm", LIEF::assembly::x86::OPCODE::VPADDSWYrm)
  .value("VPADDSWYrr", LIEF::assembly::x86::OPCODE::VPADDSWYrr)
  .value("VPADDSWZ128rm", LIEF::assembly::x86::OPCODE::VPADDSWZ128rm)
  .value("VPADDSWZ128rmk", LIEF::assembly::x86::OPCODE::VPADDSWZ128rmk)
  .value("VPADDSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDSWZ128rmkz)
  .value("VPADDSWZ128rr", LIEF::assembly::x86::OPCODE::VPADDSWZ128rr)
  .value("VPADDSWZ128rrk", LIEF::assembly::x86::OPCODE::VPADDSWZ128rrk)
  .value("VPADDSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDSWZ128rrkz)
  .value("VPADDSWZ256rm", LIEF::assembly::x86::OPCODE::VPADDSWZ256rm)
  .value("VPADDSWZ256rmk", LIEF::assembly::x86::OPCODE::VPADDSWZ256rmk)
  .value("VPADDSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDSWZ256rmkz)
  .value("VPADDSWZ256rr", LIEF::assembly::x86::OPCODE::VPADDSWZ256rr)
  .value("VPADDSWZ256rrk", LIEF::assembly::x86::OPCODE::VPADDSWZ256rrk)
  .value("VPADDSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDSWZ256rrkz)
  .value("VPADDSWZrm", LIEF::assembly::x86::OPCODE::VPADDSWZrm)
  .value("VPADDSWZrmk", LIEF::assembly::x86::OPCODE::VPADDSWZrmk)
  .value("VPADDSWZrmkz", LIEF::assembly::x86::OPCODE::VPADDSWZrmkz)
  .value("VPADDSWZrr", LIEF::assembly::x86::OPCODE::VPADDSWZrr)
  .value("VPADDSWZrrk", LIEF::assembly::x86::OPCODE::VPADDSWZrrk)
  .value("VPADDSWZrrkz", LIEF::assembly::x86::OPCODE::VPADDSWZrrkz)
  .value("VPADDSWrm", LIEF::assembly::x86::OPCODE::VPADDSWrm)
  .value("VPADDSWrr", LIEF::assembly::x86::OPCODE::VPADDSWrr)
  .value("VPADDUSBYrm", LIEF::assembly::x86::OPCODE::VPADDUSBYrm)
  .value("VPADDUSBYrr", LIEF::assembly::x86::OPCODE::VPADDUSBYrr)
  .value("VPADDUSBZ128rm", LIEF::assembly::x86::OPCODE::VPADDUSBZ128rm)
  .value("VPADDUSBZ128rmk", LIEF::assembly::x86::OPCODE::VPADDUSBZ128rmk)
  .value("VPADDUSBZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDUSBZ128rmkz)
  .value("VPADDUSBZ128rr", LIEF::assembly::x86::OPCODE::VPADDUSBZ128rr)
  .value("VPADDUSBZ128rrk", LIEF::assembly::x86::OPCODE::VPADDUSBZ128rrk)
  .value("VPADDUSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDUSBZ128rrkz)
  .value("VPADDUSBZ256rm", LIEF::assembly::x86::OPCODE::VPADDUSBZ256rm)
  .value("VPADDUSBZ256rmk", LIEF::assembly::x86::OPCODE::VPADDUSBZ256rmk)
  .value("VPADDUSBZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDUSBZ256rmkz)
  .value("VPADDUSBZ256rr", LIEF::assembly::x86::OPCODE::VPADDUSBZ256rr)
  .value("VPADDUSBZ256rrk", LIEF::assembly::x86::OPCODE::VPADDUSBZ256rrk)
  .value("VPADDUSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDUSBZ256rrkz)
  .value("VPADDUSBZrm", LIEF::assembly::x86::OPCODE::VPADDUSBZrm)
  .value("VPADDUSBZrmk", LIEF::assembly::x86::OPCODE::VPADDUSBZrmk)
  .value("VPADDUSBZrmkz", LIEF::assembly::x86::OPCODE::VPADDUSBZrmkz)
  .value("VPADDUSBZrr", LIEF::assembly::x86::OPCODE::VPADDUSBZrr)
  .value("VPADDUSBZrrk", LIEF::assembly::x86::OPCODE::VPADDUSBZrrk)
  .value("VPADDUSBZrrkz", LIEF::assembly::x86::OPCODE::VPADDUSBZrrkz)
  .value("VPADDUSBrm", LIEF::assembly::x86::OPCODE::VPADDUSBrm)
  .value("VPADDUSBrr", LIEF::assembly::x86::OPCODE::VPADDUSBrr)
  .value("VPADDUSWYrm", LIEF::assembly::x86::OPCODE::VPADDUSWYrm)
  .value("VPADDUSWYrr", LIEF::assembly::x86::OPCODE::VPADDUSWYrr)
  .value("VPADDUSWZ128rm", LIEF::assembly::x86::OPCODE::VPADDUSWZ128rm)
  .value("VPADDUSWZ128rmk", LIEF::assembly::x86::OPCODE::VPADDUSWZ128rmk)
  .value("VPADDUSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDUSWZ128rmkz)
  .value("VPADDUSWZ128rr", LIEF::assembly::x86::OPCODE::VPADDUSWZ128rr)
  .value("VPADDUSWZ128rrk", LIEF::assembly::x86::OPCODE::VPADDUSWZ128rrk)
  .value("VPADDUSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDUSWZ128rrkz)
  .value("VPADDUSWZ256rm", LIEF::assembly::x86::OPCODE::VPADDUSWZ256rm)
  .value("VPADDUSWZ256rmk", LIEF::assembly::x86::OPCODE::VPADDUSWZ256rmk)
  .value("VPADDUSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDUSWZ256rmkz)
  .value("VPADDUSWZ256rr", LIEF::assembly::x86::OPCODE::VPADDUSWZ256rr)
  .value("VPADDUSWZ256rrk", LIEF::assembly::x86::OPCODE::VPADDUSWZ256rrk)
  .value("VPADDUSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDUSWZ256rrkz)
  .value("VPADDUSWZrm", LIEF::assembly::x86::OPCODE::VPADDUSWZrm)
  .value("VPADDUSWZrmk", LIEF::assembly::x86::OPCODE::VPADDUSWZrmk)
  .value("VPADDUSWZrmkz", LIEF::assembly::x86::OPCODE::VPADDUSWZrmkz)
  .value("VPADDUSWZrr", LIEF::assembly::x86::OPCODE::VPADDUSWZrr)
  .value("VPADDUSWZrrk", LIEF::assembly::x86::OPCODE::VPADDUSWZrrk)
  .value("VPADDUSWZrrkz", LIEF::assembly::x86::OPCODE::VPADDUSWZrrkz)
  .value("VPADDUSWrm", LIEF::assembly::x86::OPCODE::VPADDUSWrm)
  .value("VPADDUSWrr", LIEF::assembly::x86::OPCODE::VPADDUSWrr)
  .value("VPADDWYrm", LIEF::assembly::x86::OPCODE::VPADDWYrm)
  .value("VPADDWYrr", LIEF::assembly::x86::OPCODE::VPADDWYrr)
  .value("VPADDWZ128rm", LIEF::assembly::x86::OPCODE::VPADDWZ128rm)
  .value("VPADDWZ128rmk", LIEF::assembly::x86::OPCODE::VPADDWZ128rmk)
  .value("VPADDWZ128rmkz", LIEF::assembly::x86::OPCODE::VPADDWZ128rmkz)
  .value("VPADDWZ128rr", LIEF::assembly::x86::OPCODE::VPADDWZ128rr)
  .value("VPADDWZ128rrk", LIEF::assembly::x86::OPCODE::VPADDWZ128rrk)
  .value("VPADDWZ128rrkz", LIEF::assembly::x86::OPCODE::VPADDWZ128rrkz)
  .value("VPADDWZ256rm", LIEF::assembly::x86::OPCODE::VPADDWZ256rm)
  .value("VPADDWZ256rmk", LIEF::assembly::x86::OPCODE::VPADDWZ256rmk)
  .value("VPADDWZ256rmkz", LIEF::assembly::x86::OPCODE::VPADDWZ256rmkz)
  .value("VPADDWZ256rr", LIEF::assembly::x86::OPCODE::VPADDWZ256rr)
  .value("VPADDWZ256rrk", LIEF::assembly::x86::OPCODE::VPADDWZ256rrk)
  .value("VPADDWZ256rrkz", LIEF::assembly::x86::OPCODE::VPADDWZ256rrkz)
  .value("VPADDWZrm", LIEF::assembly::x86::OPCODE::VPADDWZrm)
  .value("VPADDWZrmk", LIEF::assembly::x86::OPCODE::VPADDWZrmk)
  .value("VPADDWZrmkz", LIEF::assembly::x86::OPCODE::VPADDWZrmkz)
  .value("VPADDWZrr", LIEF::assembly::x86::OPCODE::VPADDWZrr)
  .value("VPADDWZrrk", LIEF::assembly::x86::OPCODE::VPADDWZrrk)
  .value("VPADDWZrrkz", LIEF::assembly::x86::OPCODE::VPADDWZrrkz)
  .value("VPADDWrm", LIEF::assembly::x86::OPCODE::VPADDWrm)
  .value("VPADDWrr", LIEF::assembly::x86::OPCODE::VPADDWrr)
  .value("VPALIGNRYrmi", LIEF::assembly::x86::OPCODE::VPALIGNRYrmi)
  .value("VPALIGNRYrri", LIEF::assembly::x86::OPCODE::VPALIGNRYrri)
  .value("VPALIGNRZ128rmi", LIEF::assembly::x86::OPCODE::VPALIGNRZ128rmi)
  .value("VPALIGNRZ128rmik", LIEF::assembly::x86::OPCODE::VPALIGNRZ128rmik)
  .value("VPALIGNRZ128rmikz", LIEF::assembly::x86::OPCODE::VPALIGNRZ128rmikz)
  .value("VPALIGNRZ128rri", LIEF::assembly::x86::OPCODE::VPALIGNRZ128rri)
  .value("VPALIGNRZ128rrik", LIEF::assembly::x86::OPCODE::VPALIGNRZ128rrik)
  .value("VPALIGNRZ128rrikz", LIEF::assembly::x86::OPCODE::VPALIGNRZ128rrikz)
  .value("VPALIGNRZ256rmi", LIEF::assembly::x86::OPCODE::VPALIGNRZ256rmi)
  .value("VPALIGNRZ256rmik", LIEF::assembly::x86::OPCODE::VPALIGNRZ256rmik)
  .value("VPALIGNRZ256rmikz", LIEF::assembly::x86::OPCODE::VPALIGNRZ256rmikz)
  .value("VPALIGNRZ256rri", LIEF::assembly::x86::OPCODE::VPALIGNRZ256rri)
  .value("VPALIGNRZ256rrik", LIEF::assembly::x86::OPCODE::VPALIGNRZ256rrik)
  .value("VPALIGNRZ256rrikz", LIEF::assembly::x86::OPCODE::VPALIGNRZ256rrikz)
  .value("VPALIGNRZrmi", LIEF::assembly::x86::OPCODE::VPALIGNRZrmi)
  .value("VPALIGNRZrmik", LIEF::assembly::x86::OPCODE::VPALIGNRZrmik)
  .value("VPALIGNRZrmikz", LIEF::assembly::x86::OPCODE::VPALIGNRZrmikz)
  .value("VPALIGNRZrri", LIEF::assembly::x86::OPCODE::VPALIGNRZrri)
  .value("VPALIGNRZrrik", LIEF::assembly::x86::OPCODE::VPALIGNRZrrik)
  .value("VPALIGNRZrrikz", LIEF::assembly::x86::OPCODE::VPALIGNRZrrikz)
  .value("VPALIGNRrmi", LIEF::assembly::x86::OPCODE::VPALIGNRrmi)
  .value("VPALIGNRrri", LIEF::assembly::x86::OPCODE::VPALIGNRrri)
  .value("VPANDDZ128rm", LIEF::assembly::x86::OPCODE::VPANDDZ128rm)
  .value("VPANDDZ128rmb", LIEF::assembly::x86::OPCODE::VPANDDZ128rmb)
  .value("VPANDDZ128rmbk", LIEF::assembly::x86::OPCODE::VPANDDZ128rmbk)
  .value("VPANDDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPANDDZ128rmbkz)
  .value("VPANDDZ128rmk", LIEF::assembly::x86::OPCODE::VPANDDZ128rmk)
  .value("VPANDDZ128rmkz", LIEF::assembly::x86::OPCODE::VPANDDZ128rmkz)
  .value("VPANDDZ128rr", LIEF::assembly::x86::OPCODE::VPANDDZ128rr)
  .value("VPANDDZ128rrk", LIEF::assembly::x86::OPCODE::VPANDDZ128rrk)
  .value("VPANDDZ128rrkz", LIEF::assembly::x86::OPCODE::VPANDDZ128rrkz)
  .value("VPANDDZ256rm", LIEF::assembly::x86::OPCODE::VPANDDZ256rm)
  .value("VPANDDZ256rmb", LIEF::assembly::x86::OPCODE::VPANDDZ256rmb)
  .value("VPANDDZ256rmbk", LIEF::assembly::x86::OPCODE::VPANDDZ256rmbk)
  .value("VPANDDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPANDDZ256rmbkz)
  .value("VPANDDZ256rmk", LIEF::assembly::x86::OPCODE::VPANDDZ256rmk)
  .value("VPANDDZ256rmkz", LIEF::assembly::x86::OPCODE::VPANDDZ256rmkz)
  .value("VPANDDZ256rr", LIEF::assembly::x86::OPCODE::VPANDDZ256rr)
  .value("VPANDDZ256rrk", LIEF::assembly::x86::OPCODE::VPANDDZ256rrk)
  .value("VPANDDZ256rrkz", LIEF::assembly::x86::OPCODE::VPANDDZ256rrkz)
  .value("VPANDDZrm", LIEF::assembly::x86::OPCODE::VPANDDZrm)
  .value("VPANDDZrmb", LIEF::assembly::x86::OPCODE::VPANDDZrmb)
  .value("VPANDDZrmbk", LIEF::assembly::x86::OPCODE::VPANDDZrmbk)
  .value("VPANDDZrmbkz", LIEF::assembly::x86::OPCODE::VPANDDZrmbkz)
  .value("VPANDDZrmk", LIEF::assembly::x86::OPCODE::VPANDDZrmk)
  .value("VPANDDZrmkz", LIEF::assembly::x86::OPCODE::VPANDDZrmkz)
  .value("VPANDDZrr", LIEF::assembly::x86::OPCODE::VPANDDZrr)
  .value("VPANDDZrrk", LIEF::assembly::x86::OPCODE::VPANDDZrrk)
  .value("VPANDDZrrkz", LIEF::assembly::x86::OPCODE::VPANDDZrrkz)
  .value("VPANDNDZ128rm", LIEF::assembly::x86::OPCODE::VPANDNDZ128rm)
  .value("VPANDNDZ128rmb", LIEF::assembly::x86::OPCODE::VPANDNDZ128rmb)
  .value("VPANDNDZ128rmbk", LIEF::assembly::x86::OPCODE::VPANDNDZ128rmbk)
  .value("VPANDNDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPANDNDZ128rmbkz)
  .value("VPANDNDZ128rmk", LIEF::assembly::x86::OPCODE::VPANDNDZ128rmk)
  .value("VPANDNDZ128rmkz", LIEF::assembly::x86::OPCODE::VPANDNDZ128rmkz)
  .value("VPANDNDZ128rr", LIEF::assembly::x86::OPCODE::VPANDNDZ128rr)
  .value("VPANDNDZ128rrk", LIEF::assembly::x86::OPCODE::VPANDNDZ128rrk)
  .value("VPANDNDZ128rrkz", LIEF::assembly::x86::OPCODE::VPANDNDZ128rrkz)
  .value("VPANDNDZ256rm", LIEF::assembly::x86::OPCODE::VPANDNDZ256rm)
  .value("VPANDNDZ256rmb", LIEF::assembly::x86::OPCODE::VPANDNDZ256rmb)
  .value("VPANDNDZ256rmbk", LIEF::assembly::x86::OPCODE::VPANDNDZ256rmbk)
  .value("VPANDNDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPANDNDZ256rmbkz)
  .value("VPANDNDZ256rmk", LIEF::assembly::x86::OPCODE::VPANDNDZ256rmk)
  .value("VPANDNDZ256rmkz", LIEF::assembly::x86::OPCODE::VPANDNDZ256rmkz)
  .value("VPANDNDZ256rr", LIEF::assembly::x86::OPCODE::VPANDNDZ256rr)
  .value("VPANDNDZ256rrk", LIEF::assembly::x86::OPCODE::VPANDNDZ256rrk)
  .value("VPANDNDZ256rrkz", LIEF::assembly::x86::OPCODE::VPANDNDZ256rrkz)
  .value("VPANDNDZrm", LIEF::assembly::x86::OPCODE::VPANDNDZrm)
  .value("VPANDNDZrmb", LIEF::assembly::x86::OPCODE::VPANDNDZrmb)
  .value("VPANDNDZrmbk", LIEF::assembly::x86::OPCODE::VPANDNDZrmbk)
  .value("VPANDNDZrmbkz", LIEF::assembly::x86::OPCODE::VPANDNDZrmbkz)
  .value("VPANDNDZrmk", LIEF::assembly::x86::OPCODE::VPANDNDZrmk)
  .value("VPANDNDZrmkz", LIEF::assembly::x86::OPCODE::VPANDNDZrmkz)
  .value("VPANDNDZrr", LIEF::assembly::x86::OPCODE::VPANDNDZrr)
  .value("VPANDNDZrrk", LIEF::assembly::x86::OPCODE::VPANDNDZrrk)
  .value("VPANDNDZrrkz", LIEF::assembly::x86::OPCODE::VPANDNDZrrkz)
  .value("VPANDNQZ128rm", LIEF::assembly::x86::OPCODE::VPANDNQZ128rm)
  .value("VPANDNQZ128rmb", LIEF::assembly::x86::OPCODE::VPANDNQZ128rmb)
  .value("VPANDNQZ128rmbk", LIEF::assembly::x86::OPCODE::VPANDNQZ128rmbk)
  .value("VPANDNQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPANDNQZ128rmbkz)
  .value("VPANDNQZ128rmk", LIEF::assembly::x86::OPCODE::VPANDNQZ128rmk)
  .value("VPANDNQZ128rmkz", LIEF::assembly::x86::OPCODE::VPANDNQZ128rmkz)
  .value("VPANDNQZ128rr", LIEF::assembly::x86::OPCODE::VPANDNQZ128rr)
  .value("VPANDNQZ128rrk", LIEF::assembly::x86::OPCODE::VPANDNQZ128rrk)
  .value("VPANDNQZ128rrkz", LIEF::assembly::x86::OPCODE::VPANDNQZ128rrkz)
  .value("VPANDNQZ256rm", LIEF::assembly::x86::OPCODE::VPANDNQZ256rm)
  .value("VPANDNQZ256rmb", LIEF::assembly::x86::OPCODE::VPANDNQZ256rmb)
  .value("VPANDNQZ256rmbk", LIEF::assembly::x86::OPCODE::VPANDNQZ256rmbk);
  opcodes.value("VPANDNQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPANDNQZ256rmbkz)
  .value("VPANDNQZ256rmk", LIEF::assembly::x86::OPCODE::VPANDNQZ256rmk)
  .value("VPANDNQZ256rmkz", LIEF::assembly::x86::OPCODE::VPANDNQZ256rmkz)
  .value("VPANDNQZ256rr", LIEF::assembly::x86::OPCODE::VPANDNQZ256rr)
  .value("VPANDNQZ256rrk", LIEF::assembly::x86::OPCODE::VPANDNQZ256rrk)
  .value("VPANDNQZ256rrkz", LIEF::assembly::x86::OPCODE::VPANDNQZ256rrkz)
  .value("VPANDNQZrm", LIEF::assembly::x86::OPCODE::VPANDNQZrm)
  .value("VPANDNQZrmb", LIEF::assembly::x86::OPCODE::VPANDNQZrmb)
  .value("VPANDNQZrmbk", LIEF::assembly::x86::OPCODE::VPANDNQZrmbk)
  .value("VPANDNQZrmbkz", LIEF::assembly::x86::OPCODE::VPANDNQZrmbkz)
  .value("VPANDNQZrmk", LIEF::assembly::x86::OPCODE::VPANDNQZrmk)
  .value("VPANDNQZrmkz", LIEF::assembly::x86::OPCODE::VPANDNQZrmkz)
  .value("VPANDNQZrr", LIEF::assembly::x86::OPCODE::VPANDNQZrr)
  .value("VPANDNQZrrk", LIEF::assembly::x86::OPCODE::VPANDNQZrrk)
  .value("VPANDNQZrrkz", LIEF::assembly::x86::OPCODE::VPANDNQZrrkz)
  .value("VPANDNYrm", LIEF::assembly::x86::OPCODE::VPANDNYrm)
  .value("VPANDNYrr", LIEF::assembly::x86::OPCODE::VPANDNYrr)
  .value("VPANDNrm", LIEF::assembly::x86::OPCODE::VPANDNrm)
  .value("VPANDNrr", LIEF::assembly::x86::OPCODE::VPANDNrr)
  .value("VPANDQZ128rm", LIEF::assembly::x86::OPCODE::VPANDQZ128rm)
  .value("VPANDQZ128rmb", LIEF::assembly::x86::OPCODE::VPANDQZ128rmb)
  .value("VPANDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPANDQZ128rmbk)
  .value("VPANDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPANDQZ128rmbkz)
  .value("VPANDQZ128rmk", LIEF::assembly::x86::OPCODE::VPANDQZ128rmk)
  .value("VPANDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPANDQZ128rmkz)
  .value("VPANDQZ128rr", LIEF::assembly::x86::OPCODE::VPANDQZ128rr)
  .value("VPANDQZ128rrk", LIEF::assembly::x86::OPCODE::VPANDQZ128rrk)
  .value("VPANDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPANDQZ128rrkz)
  .value("VPANDQZ256rm", LIEF::assembly::x86::OPCODE::VPANDQZ256rm)
  .value("VPANDQZ256rmb", LIEF::assembly::x86::OPCODE::VPANDQZ256rmb)
  .value("VPANDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPANDQZ256rmbk)
  .value("VPANDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPANDQZ256rmbkz)
  .value("VPANDQZ256rmk", LIEF::assembly::x86::OPCODE::VPANDQZ256rmk)
  .value("VPANDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPANDQZ256rmkz)
  .value("VPANDQZ256rr", LIEF::assembly::x86::OPCODE::VPANDQZ256rr)
  .value("VPANDQZ256rrk", LIEF::assembly::x86::OPCODE::VPANDQZ256rrk)
  .value("VPANDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPANDQZ256rrkz)
  .value("VPANDQZrm", LIEF::assembly::x86::OPCODE::VPANDQZrm)
  .value("VPANDQZrmb", LIEF::assembly::x86::OPCODE::VPANDQZrmb)
  .value("VPANDQZrmbk", LIEF::assembly::x86::OPCODE::VPANDQZrmbk)
  .value("VPANDQZrmbkz", LIEF::assembly::x86::OPCODE::VPANDQZrmbkz)
  .value("VPANDQZrmk", LIEF::assembly::x86::OPCODE::VPANDQZrmk)
  .value("VPANDQZrmkz", LIEF::assembly::x86::OPCODE::VPANDQZrmkz)
  .value("VPANDQZrr", LIEF::assembly::x86::OPCODE::VPANDQZrr)
  .value("VPANDQZrrk", LIEF::assembly::x86::OPCODE::VPANDQZrrk)
  .value("VPANDQZrrkz", LIEF::assembly::x86::OPCODE::VPANDQZrrkz)
  .value("VPANDYrm", LIEF::assembly::x86::OPCODE::VPANDYrm)
  .value("VPANDYrr", LIEF::assembly::x86::OPCODE::VPANDYrr)
  .value("VPANDrm", LIEF::assembly::x86::OPCODE::VPANDrm)
  .value("VPANDrr", LIEF::assembly::x86::OPCODE::VPANDrr)
  .value("VPAVGBYrm", LIEF::assembly::x86::OPCODE::VPAVGBYrm)
  .value("VPAVGBYrr", LIEF::assembly::x86::OPCODE::VPAVGBYrr)
  .value("VPAVGBZ128rm", LIEF::assembly::x86::OPCODE::VPAVGBZ128rm)
  .value("VPAVGBZ128rmk", LIEF::assembly::x86::OPCODE::VPAVGBZ128rmk)
  .value("VPAVGBZ128rmkz", LIEF::assembly::x86::OPCODE::VPAVGBZ128rmkz)
  .value("VPAVGBZ128rr", LIEF::assembly::x86::OPCODE::VPAVGBZ128rr)
  .value("VPAVGBZ128rrk", LIEF::assembly::x86::OPCODE::VPAVGBZ128rrk)
  .value("VPAVGBZ128rrkz", LIEF::assembly::x86::OPCODE::VPAVGBZ128rrkz)
  .value("VPAVGBZ256rm", LIEF::assembly::x86::OPCODE::VPAVGBZ256rm)
  .value("VPAVGBZ256rmk", LIEF::assembly::x86::OPCODE::VPAVGBZ256rmk)
  .value("VPAVGBZ256rmkz", LIEF::assembly::x86::OPCODE::VPAVGBZ256rmkz)
  .value("VPAVGBZ256rr", LIEF::assembly::x86::OPCODE::VPAVGBZ256rr)
  .value("VPAVGBZ256rrk", LIEF::assembly::x86::OPCODE::VPAVGBZ256rrk)
  .value("VPAVGBZ256rrkz", LIEF::assembly::x86::OPCODE::VPAVGBZ256rrkz)
  .value("VPAVGBZrm", LIEF::assembly::x86::OPCODE::VPAVGBZrm)
  .value("VPAVGBZrmk", LIEF::assembly::x86::OPCODE::VPAVGBZrmk)
  .value("VPAVGBZrmkz", LIEF::assembly::x86::OPCODE::VPAVGBZrmkz)
  .value("VPAVGBZrr", LIEF::assembly::x86::OPCODE::VPAVGBZrr)
  .value("VPAVGBZrrk", LIEF::assembly::x86::OPCODE::VPAVGBZrrk)
  .value("VPAVGBZrrkz", LIEF::assembly::x86::OPCODE::VPAVGBZrrkz)
  .value("VPAVGBrm", LIEF::assembly::x86::OPCODE::VPAVGBrm)
  .value("VPAVGBrr", LIEF::assembly::x86::OPCODE::VPAVGBrr)
  .value("VPAVGWYrm", LIEF::assembly::x86::OPCODE::VPAVGWYrm)
  .value("VPAVGWYrr", LIEF::assembly::x86::OPCODE::VPAVGWYrr)
  .value("VPAVGWZ128rm", LIEF::assembly::x86::OPCODE::VPAVGWZ128rm)
  .value("VPAVGWZ128rmk", LIEF::assembly::x86::OPCODE::VPAVGWZ128rmk)
  .value("VPAVGWZ128rmkz", LIEF::assembly::x86::OPCODE::VPAVGWZ128rmkz)
  .value("VPAVGWZ128rr", LIEF::assembly::x86::OPCODE::VPAVGWZ128rr)
  .value("VPAVGWZ128rrk", LIEF::assembly::x86::OPCODE::VPAVGWZ128rrk)
  .value("VPAVGWZ128rrkz", LIEF::assembly::x86::OPCODE::VPAVGWZ128rrkz)
  .value("VPAVGWZ256rm", LIEF::assembly::x86::OPCODE::VPAVGWZ256rm)
  .value("VPAVGWZ256rmk", LIEF::assembly::x86::OPCODE::VPAVGWZ256rmk)
  .value("VPAVGWZ256rmkz", LIEF::assembly::x86::OPCODE::VPAVGWZ256rmkz)
  .value("VPAVGWZ256rr", LIEF::assembly::x86::OPCODE::VPAVGWZ256rr)
  .value("VPAVGWZ256rrk", LIEF::assembly::x86::OPCODE::VPAVGWZ256rrk)
  .value("VPAVGWZ256rrkz", LIEF::assembly::x86::OPCODE::VPAVGWZ256rrkz)
  .value("VPAVGWZrm", LIEF::assembly::x86::OPCODE::VPAVGWZrm)
  .value("VPAVGWZrmk", LIEF::assembly::x86::OPCODE::VPAVGWZrmk)
  .value("VPAVGWZrmkz", LIEF::assembly::x86::OPCODE::VPAVGWZrmkz)
  .value("VPAVGWZrr", LIEF::assembly::x86::OPCODE::VPAVGWZrr)
  .value("VPAVGWZrrk", LIEF::assembly::x86::OPCODE::VPAVGWZrrk)
  .value("VPAVGWZrrkz", LIEF::assembly::x86::OPCODE::VPAVGWZrrkz)
  .value("VPAVGWrm", LIEF::assembly::x86::OPCODE::VPAVGWrm)
  .value("VPAVGWrr", LIEF::assembly::x86::OPCODE::VPAVGWrr)
  .value("VPBLENDDYrmi", LIEF::assembly::x86::OPCODE::VPBLENDDYrmi)
  .value("VPBLENDDYrri", LIEF::assembly::x86::OPCODE::VPBLENDDYrri)
  .value("VPBLENDDrmi", LIEF::assembly::x86::OPCODE::VPBLENDDrmi)
  .value("VPBLENDDrri", LIEF::assembly::x86::OPCODE::VPBLENDDrri)
  .value("VPBLENDMBZ128rm", LIEF::assembly::x86::OPCODE::VPBLENDMBZ128rm)
  .value("VPBLENDMBZ128rmk", LIEF::assembly::x86::OPCODE::VPBLENDMBZ128rmk)
  .value("VPBLENDMBZ128rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMBZ128rmkz)
  .value("VPBLENDMBZ128rr", LIEF::assembly::x86::OPCODE::VPBLENDMBZ128rr)
  .value("VPBLENDMBZ128rrk", LIEF::assembly::x86::OPCODE::VPBLENDMBZ128rrk)
  .value("VPBLENDMBZ128rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMBZ128rrkz)
  .value("VPBLENDMBZ256rm", LIEF::assembly::x86::OPCODE::VPBLENDMBZ256rm)
  .value("VPBLENDMBZ256rmk", LIEF::assembly::x86::OPCODE::VPBLENDMBZ256rmk)
  .value("VPBLENDMBZ256rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMBZ256rmkz)
  .value("VPBLENDMBZ256rr", LIEF::assembly::x86::OPCODE::VPBLENDMBZ256rr)
  .value("VPBLENDMBZ256rrk", LIEF::assembly::x86::OPCODE::VPBLENDMBZ256rrk)
  .value("VPBLENDMBZ256rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMBZ256rrkz)
  .value("VPBLENDMBZrm", LIEF::assembly::x86::OPCODE::VPBLENDMBZrm)
  .value("VPBLENDMBZrmk", LIEF::assembly::x86::OPCODE::VPBLENDMBZrmk)
  .value("VPBLENDMBZrmkz", LIEF::assembly::x86::OPCODE::VPBLENDMBZrmkz)
  .value("VPBLENDMBZrr", LIEF::assembly::x86::OPCODE::VPBLENDMBZrr)
  .value("VPBLENDMBZrrk", LIEF::assembly::x86::OPCODE::VPBLENDMBZrrk)
  .value("VPBLENDMBZrrkz", LIEF::assembly::x86::OPCODE::VPBLENDMBZrrkz)
  .value("VPBLENDMDZ128rm", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rm)
  .value("VPBLENDMDZ128rmb", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rmb)
  .value("VPBLENDMDZ128rmbk", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rmbk)
  .value("VPBLENDMDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rmbkz)
  .value("VPBLENDMDZ128rmk", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rmk)
  .value("VPBLENDMDZ128rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rmkz)
  .value("VPBLENDMDZ128rr", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rr)
  .value("VPBLENDMDZ128rrk", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rrk)
  .value("VPBLENDMDZ128rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZ128rrkz)
  .value("VPBLENDMDZ256rm", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rm)
  .value("VPBLENDMDZ256rmb", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rmb)
  .value("VPBLENDMDZ256rmbk", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rmbk)
  .value("VPBLENDMDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rmbkz)
  .value("VPBLENDMDZ256rmk", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rmk)
  .value("VPBLENDMDZ256rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rmkz)
  .value("VPBLENDMDZ256rr", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rr)
  .value("VPBLENDMDZ256rrk", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rrk)
  .value("VPBLENDMDZ256rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZ256rrkz)
  .value("VPBLENDMDZrm", LIEF::assembly::x86::OPCODE::VPBLENDMDZrm)
  .value("VPBLENDMDZrmb", LIEF::assembly::x86::OPCODE::VPBLENDMDZrmb)
  .value("VPBLENDMDZrmbk", LIEF::assembly::x86::OPCODE::VPBLENDMDZrmbk)
  .value("VPBLENDMDZrmbkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZrmbkz)
  .value("VPBLENDMDZrmk", LIEF::assembly::x86::OPCODE::VPBLENDMDZrmk)
  .value("VPBLENDMDZrmkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZrmkz)
  .value("VPBLENDMDZrr", LIEF::assembly::x86::OPCODE::VPBLENDMDZrr)
  .value("VPBLENDMDZrrk", LIEF::assembly::x86::OPCODE::VPBLENDMDZrrk)
  .value("VPBLENDMDZrrkz", LIEF::assembly::x86::OPCODE::VPBLENDMDZrrkz)
  .value("VPBLENDMQZ128rm", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rm)
  .value("VPBLENDMQZ128rmb", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rmb)
  .value("VPBLENDMQZ128rmbk", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rmbk)
  .value("VPBLENDMQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rmbkz)
  .value("VPBLENDMQZ128rmk", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rmk)
  .value("VPBLENDMQZ128rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rmkz)
  .value("VPBLENDMQZ128rr", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rr)
  .value("VPBLENDMQZ128rrk", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rrk)
  .value("VPBLENDMQZ128rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZ128rrkz)
  .value("VPBLENDMQZ256rm", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rm)
  .value("VPBLENDMQZ256rmb", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rmb)
  .value("VPBLENDMQZ256rmbk", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rmbk)
  .value("VPBLENDMQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rmbkz)
  .value("VPBLENDMQZ256rmk", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rmk)
  .value("VPBLENDMQZ256rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rmkz)
  .value("VPBLENDMQZ256rr", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rr)
  .value("VPBLENDMQZ256rrk", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rrk)
  .value("VPBLENDMQZ256rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZ256rrkz)
  .value("VPBLENDMQZrm", LIEF::assembly::x86::OPCODE::VPBLENDMQZrm)
  .value("VPBLENDMQZrmb", LIEF::assembly::x86::OPCODE::VPBLENDMQZrmb)
  .value("VPBLENDMQZrmbk", LIEF::assembly::x86::OPCODE::VPBLENDMQZrmbk)
  .value("VPBLENDMQZrmbkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZrmbkz)
  .value("VPBLENDMQZrmk", LIEF::assembly::x86::OPCODE::VPBLENDMQZrmk)
  .value("VPBLENDMQZrmkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZrmkz)
  .value("VPBLENDMQZrr", LIEF::assembly::x86::OPCODE::VPBLENDMQZrr)
  .value("VPBLENDMQZrrk", LIEF::assembly::x86::OPCODE::VPBLENDMQZrrk)
  .value("VPBLENDMQZrrkz", LIEF::assembly::x86::OPCODE::VPBLENDMQZrrkz)
  .value("VPBLENDMWZ128rm", LIEF::assembly::x86::OPCODE::VPBLENDMWZ128rm)
  .value("VPBLENDMWZ128rmk", LIEF::assembly::x86::OPCODE::VPBLENDMWZ128rmk)
  .value("VPBLENDMWZ128rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMWZ128rmkz)
  .value("VPBLENDMWZ128rr", LIEF::assembly::x86::OPCODE::VPBLENDMWZ128rr)
  .value("VPBLENDMWZ128rrk", LIEF::assembly::x86::OPCODE::VPBLENDMWZ128rrk)
  .value("VPBLENDMWZ128rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMWZ128rrkz)
  .value("VPBLENDMWZ256rm", LIEF::assembly::x86::OPCODE::VPBLENDMWZ256rm)
  .value("VPBLENDMWZ256rmk", LIEF::assembly::x86::OPCODE::VPBLENDMWZ256rmk)
  .value("VPBLENDMWZ256rmkz", LIEF::assembly::x86::OPCODE::VPBLENDMWZ256rmkz)
  .value("VPBLENDMWZ256rr", LIEF::assembly::x86::OPCODE::VPBLENDMWZ256rr)
  .value("VPBLENDMWZ256rrk", LIEF::assembly::x86::OPCODE::VPBLENDMWZ256rrk)
  .value("VPBLENDMWZ256rrkz", LIEF::assembly::x86::OPCODE::VPBLENDMWZ256rrkz)
  .value("VPBLENDMWZrm", LIEF::assembly::x86::OPCODE::VPBLENDMWZrm)
  .value("VPBLENDMWZrmk", LIEF::assembly::x86::OPCODE::VPBLENDMWZrmk)
  .value("VPBLENDMWZrmkz", LIEF::assembly::x86::OPCODE::VPBLENDMWZrmkz)
  .value("VPBLENDMWZrr", LIEF::assembly::x86::OPCODE::VPBLENDMWZrr)
  .value("VPBLENDMWZrrk", LIEF::assembly::x86::OPCODE::VPBLENDMWZrrk)
  .value("VPBLENDMWZrrkz", LIEF::assembly::x86::OPCODE::VPBLENDMWZrrkz)
  .value("VPBLENDVBYrmr", LIEF::assembly::x86::OPCODE::VPBLENDVBYrmr)
  .value("VPBLENDVBYrrr", LIEF::assembly::x86::OPCODE::VPBLENDVBYrrr)
  .value("VPBLENDVBrmr", LIEF::assembly::x86::OPCODE::VPBLENDVBrmr)
  .value("VPBLENDVBrrr", LIEF::assembly::x86::OPCODE::VPBLENDVBrrr)
  .value("VPBLENDWYrmi", LIEF::assembly::x86::OPCODE::VPBLENDWYrmi)
  .value("VPBLENDWYrri", LIEF::assembly::x86::OPCODE::VPBLENDWYrri)
  .value("VPBLENDWrmi", LIEF::assembly::x86::OPCODE::VPBLENDWrmi)
  .value("VPBLENDWrri", LIEF::assembly::x86::OPCODE::VPBLENDWrri)
  .value("VPBROADCASTBYrm", LIEF::assembly::x86::OPCODE::VPBROADCASTBYrm)
  .value("VPBROADCASTBYrr", LIEF::assembly::x86::OPCODE::VPBROADCASTBYrr)
  .value("VPBROADCASTBZ128rm", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ128rm)
  .value("VPBROADCASTBZ128rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ128rmk)
  .value("VPBROADCASTBZ128rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ128rmkz)
  .value("VPBROADCASTBZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ128rr)
  .value("VPBROADCASTBZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ128rrk)
  .value("VPBROADCASTBZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ128rrkz)
  .value("VPBROADCASTBZ256rm", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ256rm)
  .value("VPBROADCASTBZ256rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ256rmk)
  .value("VPBROADCASTBZ256rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ256rmkz)
  .value("VPBROADCASTBZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ256rr)
  .value("VPBROADCASTBZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ256rrk)
  .value("VPBROADCASTBZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBZ256rrkz)
  .value("VPBROADCASTBZrm", LIEF::assembly::x86::OPCODE::VPBROADCASTBZrm)
  .value("VPBROADCASTBZrmk", LIEF::assembly::x86::OPCODE::VPBROADCASTBZrmk)
  .value("VPBROADCASTBZrmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBZrmkz)
  .value("VPBROADCASTBZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTBZrr)
  .value("VPBROADCASTBZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTBZrrk)
  .value("VPBROADCASTBZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBZrrkz)
  .value("VPBROADCASTBrZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZ128rr)
  .value("VPBROADCASTBrZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZ128rrk)
  .value("VPBROADCASTBrZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZ128rrkz)
  .value("VPBROADCASTBrZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZ256rr)
  .value("VPBROADCASTBrZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZ256rrk)
  .value("VPBROADCASTBrZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZ256rrkz)
  .value("VPBROADCASTBrZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZrr)
  .value("VPBROADCASTBrZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZrrk)
  .value("VPBROADCASTBrZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTBrZrrkz)
  .value("VPBROADCASTBrm", LIEF::assembly::x86::OPCODE::VPBROADCASTBrm)
  .value("VPBROADCASTBrr", LIEF::assembly::x86::OPCODE::VPBROADCASTBrr)
  .value("VPBROADCASTDYrm", LIEF::assembly::x86::OPCODE::VPBROADCASTDYrm)
  .value("VPBROADCASTDYrr", LIEF::assembly::x86::OPCODE::VPBROADCASTDYrr)
  .value("VPBROADCASTDZ128rm", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ128rm)
  .value("VPBROADCASTDZ128rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ128rmk)
  .value("VPBROADCASTDZ128rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ128rmkz)
  .value("VPBROADCASTDZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ128rr)
  .value("VPBROADCASTDZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ128rrk)
  .value("VPBROADCASTDZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ128rrkz)
  .value("VPBROADCASTDZ256rm", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ256rm)
  .value("VPBROADCASTDZ256rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ256rmk)
  .value("VPBROADCASTDZ256rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ256rmkz)
  .value("VPBROADCASTDZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ256rr)
  .value("VPBROADCASTDZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ256rrk)
  .value("VPBROADCASTDZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDZ256rrkz)
  .value("VPBROADCASTDZrm", LIEF::assembly::x86::OPCODE::VPBROADCASTDZrm)
  .value("VPBROADCASTDZrmk", LIEF::assembly::x86::OPCODE::VPBROADCASTDZrmk)
  .value("VPBROADCASTDZrmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDZrmkz)
  .value("VPBROADCASTDZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTDZrr)
  .value("VPBROADCASTDZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTDZrrk)
  .value("VPBROADCASTDZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDZrrkz)
  .value("VPBROADCASTDrZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZ128rr)
  .value("VPBROADCASTDrZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZ128rrk)
  .value("VPBROADCASTDrZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZ128rrkz)
  .value("VPBROADCASTDrZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZ256rr)
  .value("VPBROADCASTDrZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZ256rrk)
  .value("VPBROADCASTDrZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZ256rrkz)
  .value("VPBROADCASTDrZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZrr)
  .value("VPBROADCASTDrZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZrrk)
  .value("VPBROADCASTDrZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTDrZrrkz)
  .value("VPBROADCASTDrm", LIEF::assembly::x86::OPCODE::VPBROADCASTDrm)
  .value("VPBROADCASTDrr", LIEF::assembly::x86::OPCODE::VPBROADCASTDrr)
  .value("VPBROADCASTMB2QZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTMB2QZ128rr)
  .value("VPBROADCASTMB2QZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTMB2QZ256rr)
  .value("VPBROADCASTMB2QZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTMB2QZrr)
  .value("VPBROADCASTMW2DZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTMW2DZ128rr)
  .value("VPBROADCASTMW2DZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTMW2DZ256rr)
  .value("VPBROADCASTMW2DZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTMW2DZrr)
  .value("VPBROADCASTQYrm", LIEF::assembly::x86::OPCODE::VPBROADCASTQYrm)
  .value("VPBROADCASTQYrr", LIEF::assembly::x86::OPCODE::VPBROADCASTQYrr)
  .value("VPBROADCASTQZ128rm", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ128rm)
  .value("VPBROADCASTQZ128rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ128rmk)
  .value("VPBROADCASTQZ128rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ128rmkz)
  .value("VPBROADCASTQZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ128rr)
  .value("VPBROADCASTQZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ128rrk)
  .value("VPBROADCASTQZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ128rrkz)
  .value("VPBROADCASTQZ256rm", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ256rm)
  .value("VPBROADCASTQZ256rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ256rmk)
  .value("VPBROADCASTQZ256rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ256rmkz)
  .value("VPBROADCASTQZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ256rr)
  .value("VPBROADCASTQZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ256rrk)
  .value("VPBROADCASTQZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQZ256rrkz)
  .value("VPBROADCASTQZrm", LIEF::assembly::x86::OPCODE::VPBROADCASTQZrm)
  .value("VPBROADCASTQZrmk", LIEF::assembly::x86::OPCODE::VPBROADCASTQZrmk)
  .value("VPBROADCASTQZrmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQZrmkz)
  .value("VPBROADCASTQZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTQZrr)
  .value("VPBROADCASTQZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTQZrrk)
  .value("VPBROADCASTQZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQZrrkz)
  .value("VPBROADCASTQrZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZ128rr)
  .value("VPBROADCASTQrZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZ128rrk)
  .value("VPBROADCASTQrZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZ128rrkz)
  .value("VPBROADCASTQrZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZ256rr)
  .value("VPBROADCASTQrZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZ256rrk)
  .value("VPBROADCASTQrZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZ256rrkz)
  .value("VPBROADCASTQrZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZrr)
  .value("VPBROADCASTQrZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZrrk)
  .value("VPBROADCASTQrZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTQrZrrkz)
  .value("VPBROADCASTQrm", LIEF::assembly::x86::OPCODE::VPBROADCASTQrm)
  .value("VPBROADCASTQrr", LIEF::assembly::x86::OPCODE::VPBROADCASTQrr)
  .value("VPBROADCASTWYrm", LIEF::assembly::x86::OPCODE::VPBROADCASTWYrm)
  .value("VPBROADCASTWYrr", LIEF::assembly::x86::OPCODE::VPBROADCASTWYrr)
  .value("VPBROADCASTWZ128rm", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ128rm)
  .value("VPBROADCASTWZ128rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ128rmk)
  .value("VPBROADCASTWZ128rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ128rmkz);
  opcodes.value("VPBROADCASTWZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ128rr)
  .value("VPBROADCASTWZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ128rrk)
  .value("VPBROADCASTWZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ128rrkz)
  .value("VPBROADCASTWZ256rm", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ256rm)
  .value("VPBROADCASTWZ256rmk", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ256rmk)
  .value("VPBROADCASTWZ256rmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ256rmkz)
  .value("VPBROADCASTWZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ256rr)
  .value("VPBROADCASTWZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ256rrk)
  .value("VPBROADCASTWZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWZ256rrkz)
  .value("VPBROADCASTWZrm", LIEF::assembly::x86::OPCODE::VPBROADCASTWZrm)
  .value("VPBROADCASTWZrmk", LIEF::assembly::x86::OPCODE::VPBROADCASTWZrmk)
  .value("VPBROADCASTWZrmkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWZrmkz)
  .value("VPBROADCASTWZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTWZrr)
  .value("VPBROADCASTWZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTWZrrk)
  .value("VPBROADCASTWZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWZrrkz)
  .value("VPBROADCASTWrZ128rr", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZ128rr)
  .value("VPBROADCASTWrZ128rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZ128rrk)
  .value("VPBROADCASTWrZ128rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZ128rrkz)
  .value("VPBROADCASTWrZ256rr", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZ256rr)
  .value("VPBROADCASTWrZ256rrk", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZ256rrk)
  .value("VPBROADCASTWrZ256rrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZ256rrkz)
  .value("VPBROADCASTWrZrr", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZrr)
  .value("VPBROADCASTWrZrrk", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZrrk)
  .value("VPBROADCASTWrZrrkz", LIEF::assembly::x86::OPCODE::VPBROADCASTWrZrrkz)
  .value("VPBROADCASTWrm", LIEF::assembly::x86::OPCODE::VPBROADCASTWrm)
  .value("VPBROADCASTWrr", LIEF::assembly::x86::OPCODE::VPBROADCASTWrr)
  .value("VPCLMULQDQYrmi", LIEF::assembly::x86::OPCODE::VPCLMULQDQYrmi)
  .value("VPCLMULQDQYrri", LIEF::assembly::x86::OPCODE::VPCLMULQDQYrri)
  .value("VPCLMULQDQZ128rmi", LIEF::assembly::x86::OPCODE::VPCLMULQDQZ128rmi)
  .value("VPCLMULQDQZ128rri", LIEF::assembly::x86::OPCODE::VPCLMULQDQZ128rri)
  .value("VPCLMULQDQZ256rmi", LIEF::assembly::x86::OPCODE::VPCLMULQDQZ256rmi)
  .value("VPCLMULQDQZ256rri", LIEF::assembly::x86::OPCODE::VPCLMULQDQZ256rri)
  .value("VPCLMULQDQZrmi", LIEF::assembly::x86::OPCODE::VPCLMULQDQZrmi)
  .value("VPCLMULQDQZrri", LIEF::assembly::x86::OPCODE::VPCLMULQDQZrri)
  .value("VPCLMULQDQrmi", LIEF::assembly::x86::OPCODE::VPCLMULQDQrmi)
  .value("VPCLMULQDQrri", LIEF::assembly::x86::OPCODE::VPCLMULQDQrri)
  .value("VPCMOVYrmr", LIEF::assembly::x86::OPCODE::VPCMOVYrmr)
  .value("VPCMOVYrrm", LIEF::assembly::x86::OPCODE::VPCMOVYrrm)
  .value("VPCMOVYrrr", LIEF::assembly::x86::OPCODE::VPCMOVYrrr)
  .value("VPCMOVYrrr_REV", LIEF::assembly::x86::OPCODE::VPCMOVYrrr_REV)
  .value("VPCMOVrmr", LIEF::assembly::x86::OPCODE::VPCMOVrmr)
  .value("VPCMOVrrm", LIEF::assembly::x86::OPCODE::VPCMOVrrm)
  .value("VPCMOVrrr", LIEF::assembly::x86::OPCODE::VPCMOVrrr)
  .value("VPCMOVrrr_REV", LIEF::assembly::x86::OPCODE::VPCMOVrrr_REV)
  .value("VPCMPBZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPBZ128rmi)
  .value("VPCMPBZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPBZ128rmik)
  .value("VPCMPBZ128rri", LIEF::assembly::x86::OPCODE::VPCMPBZ128rri)
  .value("VPCMPBZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPBZ128rrik)
  .value("VPCMPBZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPBZ256rmi)
  .value("VPCMPBZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPBZ256rmik)
  .value("VPCMPBZ256rri", LIEF::assembly::x86::OPCODE::VPCMPBZ256rri)
  .value("VPCMPBZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPBZ256rrik)
  .value("VPCMPBZrmi", LIEF::assembly::x86::OPCODE::VPCMPBZrmi)
  .value("VPCMPBZrmik", LIEF::assembly::x86::OPCODE::VPCMPBZrmik)
  .value("VPCMPBZrri", LIEF::assembly::x86::OPCODE::VPCMPBZrri)
  .value("VPCMPBZrrik", LIEF::assembly::x86::OPCODE::VPCMPBZrrik)
  .value("VPCMPDZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPDZ128rmi)
  .value("VPCMPDZ128rmib", LIEF::assembly::x86::OPCODE::VPCMPDZ128rmib)
  .value("VPCMPDZ128rmibk", LIEF::assembly::x86::OPCODE::VPCMPDZ128rmibk)
  .value("VPCMPDZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPDZ128rmik)
  .value("VPCMPDZ128rri", LIEF::assembly::x86::OPCODE::VPCMPDZ128rri)
  .value("VPCMPDZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPDZ128rrik)
  .value("VPCMPDZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPDZ256rmi)
  .value("VPCMPDZ256rmib", LIEF::assembly::x86::OPCODE::VPCMPDZ256rmib)
  .value("VPCMPDZ256rmibk", LIEF::assembly::x86::OPCODE::VPCMPDZ256rmibk)
  .value("VPCMPDZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPDZ256rmik)
  .value("VPCMPDZ256rri", LIEF::assembly::x86::OPCODE::VPCMPDZ256rri)
  .value("VPCMPDZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPDZ256rrik)
  .value("VPCMPDZrmi", LIEF::assembly::x86::OPCODE::VPCMPDZrmi)
  .value("VPCMPDZrmib", LIEF::assembly::x86::OPCODE::VPCMPDZrmib)
  .value("VPCMPDZrmibk", LIEF::assembly::x86::OPCODE::VPCMPDZrmibk)
  .value("VPCMPDZrmik", LIEF::assembly::x86::OPCODE::VPCMPDZrmik)
  .value("VPCMPDZrri", LIEF::assembly::x86::OPCODE::VPCMPDZrri)
  .value("VPCMPDZrrik", LIEF::assembly::x86::OPCODE::VPCMPDZrrik)
  .value("VPCMPEQBYrm", LIEF::assembly::x86::OPCODE::VPCMPEQBYrm)
  .value("VPCMPEQBYrr", LIEF::assembly::x86::OPCODE::VPCMPEQBYrr)
  .value("VPCMPEQBZ128rm", LIEF::assembly::x86::OPCODE::VPCMPEQBZ128rm)
  .value("VPCMPEQBZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPEQBZ128rmk)
  .value("VPCMPEQBZ128rr", LIEF::assembly::x86::OPCODE::VPCMPEQBZ128rr)
  .value("VPCMPEQBZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPEQBZ128rrk)
  .value("VPCMPEQBZ256rm", LIEF::assembly::x86::OPCODE::VPCMPEQBZ256rm)
  .value("VPCMPEQBZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPEQBZ256rmk)
  .value("VPCMPEQBZ256rr", LIEF::assembly::x86::OPCODE::VPCMPEQBZ256rr)
  .value("VPCMPEQBZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPEQBZ256rrk)
  .value("VPCMPEQBZrm", LIEF::assembly::x86::OPCODE::VPCMPEQBZrm)
  .value("VPCMPEQBZrmk", LIEF::assembly::x86::OPCODE::VPCMPEQBZrmk)
  .value("VPCMPEQBZrr", LIEF::assembly::x86::OPCODE::VPCMPEQBZrr)
  .value("VPCMPEQBZrrk", LIEF::assembly::x86::OPCODE::VPCMPEQBZrrk)
  .value("VPCMPEQBrm", LIEF::assembly::x86::OPCODE::VPCMPEQBrm)
  .value("VPCMPEQBrr", LIEF::assembly::x86::OPCODE::VPCMPEQBrr)
  .value("VPCMPEQDYrm", LIEF::assembly::x86::OPCODE::VPCMPEQDYrm)
  .value("VPCMPEQDYrr", LIEF::assembly::x86::OPCODE::VPCMPEQDYrr)
  .value("VPCMPEQDZ128rm", LIEF::assembly::x86::OPCODE::VPCMPEQDZ128rm)
  .value("VPCMPEQDZ128rmb", LIEF::assembly::x86::OPCODE::VPCMPEQDZ128rmb)
  .value("VPCMPEQDZ128rmbk", LIEF::assembly::x86::OPCODE::VPCMPEQDZ128rmbk)
  .value("VPCMPEQDZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPEQDZ128rmk)
  .value("VPCMPEQDZ128rr", LIEF::assembly::x86::OPCODE::VPCMPEQDZ128rr)
  .value("VPCMPEQDZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPEQDZ128rrk)
  .value("VPCMPEQDZ256rm", LIEF::assembly::x86::OPCODE::VPCMPEQDZ256rm)
  .value("VPCMPEQDZ256rmb", LIEF::assembly::x86::OPCODE::VPCMPEQDZ256rmb)
  .value("VPCMPEQDZ256rmbk", LIEF::assembly::x86::OPCODE::VPCMPEQDZ256rmbk)
  .value("VPCMPEQDZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPEQDZ256rmk)
  .value("VPCMPEQDZ256rr", LIEF::assembly::x86::OPCODE::VPCMPEQDZ256rr)
  .value("VPCMPEQDZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPEQDZ256rrk)
  .value("VPCMPEQDZrm", LIEF::assembly::x86::OPCODE::VPCMPEQDZrm)
  .value("VPCMPEQDZrmb", LIEF::assembly::x86::OPCODE::VPCMPEQDZrmb)
  .value("VPCMPEQDZrmbk", LIEF::assembly::x86::OPCODE::VPCMPEQDZrmbk)
  .value("VPCMPEQDZrmk", LIEF::assembly::x86::OPCODE::VPCMPEQDZrmk)
  .value("VPCMPEQDZrr", LIEF::assembly::x86::OPCODE::VPCMPEQDZrr)
  .value("VPCMPEQDZrrk", LIEF::assembly::x86::OPCODE::VPCMPEQDZrrk)
  .value("VPCMPEQDrm", LIEF::assembly::x86::OPCODE::VPCMPEQDrm)
  .value("VPCMPEQDrr", LIEF::assembly::x86::OPCODE::VPCMPEQDrr)
  .value("VPCMPEQQYrm", LIEF::assembly::x86::OPCODE::VPCMPEQQYrm)
  .value("VPCMPEQQYrr", LIEF::assembly::x86::OPCODE::VPCMPEQQYrr)
  .value("VPCMPEQQZ128rm", LIEF::assembly::x86::OPCODE::VPCMPEQQZ128rm)
  .value("VPCMPEQQZ128rmb", LIEF::assembly::x86::OPCODE::VPCMPEQQZ128rmb)
  .value("VPCMPEQQZ128rmbk", LIEF::assembly::x86::OPCODE::VPCMPEQQZ128rmbk)
  .value("VPCMPEQQZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPEQQZ128rmk)
  .value("VPCMPEQQZ128rr", LIEF::assembly::x86::OPCODE::VPCMPEQQZ128rr)
  .value("VPCMPEQQZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPEQQZ128rrk)
  .value("VPCMPEQQZ256rm", LIEF::assembly::x86::OPCODE::VPCMPEQQZ256rm)
  .value("VPCMPEQQZ256rmb", LIEF::assembly::x86::OPCODE::VPCMPEQQZ256rmb)
  .value("VPCMPEQQZ256rmbk", LIEF::assembly::x86::OPCODE::VPCMPEQQZ256rmbk)
  .value("VPCMPEQQZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPEQQZ256rmk)
  .value("VPCMPEQQZ256rr", LIEF::assembly::x86::OPCODE::VPCMPEQQZ256rr)
  .value("VPCMPEQQZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPEQQZ256rrk)
  .value("VPCMPEQQZrm", LIEF::assembly::x86::OPCODE::VPCMPEQQZrm)
  .value("VPCMPEQQZrmb", LIEF::assembly::x86::OPCODE::VPCMPEQQZrmb)
  .value("VPCMPEQQZrmbk", LIEF::assembly::x86::OPCODE::VPCMPEQQZrmbk)
  .value("VPCMPEQQZrmk", LIEF::assembly::x86::OPCODE::VPCMPEQQZrmk)
  .value("VPCMPEQQZrr", LIEF::assembly::x86::OPCODE::VPCMPEQQZrr)
  .value("VPCMPEQQZrrk", LIEF::assembly::x86::OPCODE::VPCMPEQQZrrk)
  .value("VPCMPEQQrm", LIEF::assembly::x86::OPCODE::VPCMPEQQrm)
  .value("VPCMPEQQrr", LIEF::assembly::x86::OPCODE::VPCMPEQQrr)
  .value("VPCMPEQWYrm", LIEF::assembly::x86::OPCODE::VPCMPEQWYrm)
  .value("VPCMPEQWYrr", LIEF::assembly::x86::OPCODE::VPCMPEQWYrr)
  .value("VPCMPEQWZ128rm", LIEF::assembly::x86::OPCODE::VPCMPEQWZ128rm)
  .value("VPCMPEQWZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPEQWZ128rmk)
  .value("VPCMPEQWZ128rr", LIEF::assembly::x86::OPCODE::VPCMPEQWZ128rr)
  .value("VPCMPEQWZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPEQWZ128rrk)
  .value("VPCMPEQWZ256rm", LIEF::assembly::x86::OPCODE::VPCMPEQWZ256rm)
  .value("VPCMPEQWZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPEQWZ256rmk)
  .value("VPCMPEQWZ256rr", LIEF::assembly::x86::OPCODE::VPCMPEQWZ256rr)
  .value("VPCMPEQWZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPEQWZ256rrk)
  .value("VPCMPEQWZrm", LIEF::assembly::x86::OPCODE::VPCMPEQWZrm)
  .value("VPCMPEQWZrmk", LIEF::assembly::x86::OPCODE::VPCMPEQWZrmk)
  .value("VPCMPEQWZrr", LIEF::assembly::x86::OPCODE::VPCMPEQWZrr)
  .value("VPCMPEQWZrrk", LIEF::assembly::x86::OPCODE::VPCMPEQWZrrk)
  .value("VPCMPEQWrm", LIEF::assembly::x86::OPCODE::VPCMPEQWrm)
  .value("VPCMPEQWrr", LIEF::assembly::x86::OPCODE::VPCMPEQWrr)
  .value("VPCMPESTRIrmi", LIEF::assembly::x86::OPCODE::VPCMPESTRIrmi)
  .value("VPCMPESTRIrri", LIEF::assembly::x86::OPCODE::VPCMPESTRIrri)
  .value("VPCMPESTRMrmi", LIEF::assembly::x86::OPCODE::VPCMPESTRMrmi)
  .value("VPCMPESTRMrri", LIEF::assembly::x86::OPCODE::VPCMPESTRMrri)
  .value("VPCMPGTBYrm", LIEF::assembly::x86::OPCODE::VPCMPGTBYrm)
  .value("VPCMPGTBYrr", LIEF::assembly::x86::OPCODE::VPCMPGTBYrr)
  .value("VPCMPGTBZ128rm", LIEF::assembly::x86::OPCODE::VPCMPGTBZ128rm)
  .value("VPCMPGTBZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPGTBZ128rmk)
  .value("VPCMPGTBZ128rr", LIEF::assembly::x86::OPCODE::VPCMPGTBZ128rr)
  .value("VPCMPGTBZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPGTBZ128rrk)
  .value("VPCMPGTBZ256rm", LIEF::assembly::x86::OPCODE::VPCMPGTBZ256rm)
  .value("VPCMPGTBZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPGTBZ256rmk)
  .value("VPCMPGTBZ256rr", LIEF::assembly::x86::OPCODE::VPCMPGTBZ256rr)
  .value("VPCMPGTBZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPGTBZ256rrk)
  .value("VPCMPGTBZrm", LIEF::assembly::x86::OPCODE::VPCMPGTBZrm)
  .value("VPCMPGTBZrmk", LIEF::assembly::x86::OPCODE::VPCMPGTBZrmk)
  .value("VPCMPGTBZrr", LIEF::assembly::x86::OPCODE::VPCMPGTBZrr)
  .value("VPCMPGTBZrrk", LIEF::assembly::x86::OPCODE::VPCMPGTBZrrk)
  .value("VPCMPGTBrm", LIEF::assembly::x86::OPCODE::VPCMPGTBrm)
  .value("VPCMPGTBrr", LIEF::assembly::x86::OPCODE::VPCMPGTBrr)
  .value("VPCMPGTDYrm", LIEF::assembly::x86::OPCODE::VPCMPGTDYrm)
  .value("VPCMPGTDYrr", LIEF::assembly::x86::OPCODE::VPCMPGTDYrr)
  .value("VPCMPGTDZ128rm", LIEF::assembly::x86::OPCODE::VPCMPGTDZ128rm)
  .value("VPCMPGTDZ128rmb", LIEF::assembly::x86::OPCODE::VPCMPGTDZ128rmb)
  .value("VPCMPGTDZ128rmbk", LIEF::assembly::x86::OPCODE::VPCMPGTDZ128rmbk)
  .value("VPCMPGTDZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPGTDZ128rmk)
  .value("VPCMPGTDZ128rr", LIEF::assembly::x86::OPCODE::VPCMPGTDZ128rr)
  .value("VPCMPGTDZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPGTDZ128rrk)
  .value("VPCMPGTDZ256rm", LIEF::assembly::x86::OPCODE::VPCMPGTDZ256rm)
  .value("VPCMPGTDZ256rmb", LIEF::assembly::x86::OPCODE::VPCMPGTDZ256rmb)
  .value("VPCMPGTDZ256rmbk", LIEF::assembly::x86::OPCODE::VPCMPGTDZ256rmbk)
  .value("VPCMPGTDZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPGTDZ256rmk)
  .value("VPCMPGTDZ256rr", LIEF::assembly::x86::OPCODE::VPCMPGTDZ256rr)
  .value("VPCMPGTDZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPGTDZ256rrk)
  .value("VPCMPGTDZrm", LIEF::assembly::x86::OPCODE::VPCMPGTDZrm)
  .value("VPCMPGTDZrmb", LIEF::assembly::x86::OPCODE::VPCMPGTDZrmb)
  .value("VPCMPGTDZrmbk", LIEF::assembly::x86::OPCODE::VPCMPGTDZrmbk)
  .value("VPCMPGTDZrmk", LIEF::assembly::x86::OPCODE::VPCMPGTDZrmk)
  .value("VPCMPGTDZrr", LIEF::assembly::x86::OPCODE::VPCMPGTDZrr)
  .value("VPCMPGTDZrrk", LIEF::assembly::x86::OPCODE::VPCMPGTDZrrk)
  .value("VPCMPGTDrm", LIEF::assembly::x86::OPCODE::VPCMPGTDrm)
  .value("VPCMPGTDrr", LIEF::assembly::x86::OPCODE::VPCMPGTDrr)
  .value("VPCMPGTQYrm", LIEF::assembly::x86::OPCODE::VPCMPGTQYrm)
  .value("VPCMPGTQYrr", LIEF::assembly::x86::OPCODE::VPCMPGTQYrr)
  .value("VPCMPGTQZ128rm", LIEF::assembly::x86::OPCODE::VPCMPGTQZ128rm)
  .value("VPCMPGTQZ128rmb", LIEF::assembly::x86::OPCODE::VPCMPGTQZ128rmb)
  .value("VPCMPGTQZ128rmbk", LIEF::assembly::x86::OPCODE::VPCMPGTQZ128rmbk)
  .value("VPCMPGTQZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPGTQZ128rmk)
  .value("VPCMPGTQZ128rr", LIEF::assembly::x86::OPCODE::VPCMPGTQZ128rr)
  .value("VPCMPGTQZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPGTQZ128rrk)
  .value("VPCMPGTQZ256rm", LIEF::assembly::x86::OPCODE::VPCMPGTQZ256rm)
  .value("VPCMPGTQZ256rmb", LIEF::assembly::x86::OPCODE::VPCMPGTQZ256rmb)
  .value("VPCMPGTQZ256rmbk", LIEF::assembly::x86::OPCODE::VPCMPGTQZ256rmbk)
  .value("VPCMPGTQZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPGTQZ256rmk)
  .value("VPCMPGTQZ256rr", LIEF::assembly::x86::OPCODE::VPCMPGTQZ256rr)
  .value("VPCMPGTQZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPGTQZ256rrk)
  .value("VPCMPGTQZrm", LIEF::assembly::x86::OPCODE::VPCMPGTQZrm)
  .value("VPCMPGTQZrmb", LIEF::assembly::x86::OPCODE::VPCMPGTQZrmb)
  .value("VPCMPGTQZrmbk", LIEF::assembly::x86::OPCODE::VPCMPGTQZrmbk)
  .value("VPCMPGTQZrmk", LIEF::assembly::x86::OPCODE::VPCMPGTQZrmk)
  .value("VPCMPGTQZrr", LIEF::assembly::x86::OPCODE::VPCMPGTQZrr)
  .value("VPCMPGTQZrrk", LIEF::assembly::x86::OPCODE::VPCMPGTQZrrk)
  .value("VPCMPGTQrm", LIEF::assembly::x86::OPCODE::VPCMPGTQrm)
  .value("VPCMPGTQrr", LIEF::assembly::x86::OPCODE::VPCMPGTQrr)
  .value("VPCMPGTWYrm", LIEF::assembly::x86::OPCODE::VPCMPGTWYrm)
  .value("VPCMPGTWYrr", LIEF::assembly::x86::OPCODE::VPCMPGTWYrr)
  .value("VPCMPGTWZ128rm", LIEF::assembly::x86::OPCODE::VPCMPGTWZ128rm)
  .value("VPCMPGTWZ128rmk", LIEF::assembly::x86::OPCODE::VPCMPGTWZ128rmk)
  .value("VPCMPGTWZ128rr", LIEF::assembly::x86::OPCODE::VPCMPGTWZ128rr)
  .value("VPCMPGTWZ128rrk", LIEF::assembly::x86::OPCODE::VPCMPGTWZ128rrk)
  .value("VPCMPGTWZ256rm", LIEF::assembly::x86::OPCODE::VPCMPGTWZ256rm)
  .value("VPCMPGTWZ256rmk", LIEF::assembly::x86::OPCODE::VPCMPGTWZ256rmk)
  .value("VPCMPGTWZ256rr", LIEF::assembly::x86::OPCODE::VPCMPGTWZ256rr)
  .value("VPCMPGTWZ256rrk", LIEF::assembly::x86::OPCODE::VPCMPGTWZ256rrk)
  .value("VPCMPGTWZrm", LIEF::assembly::x86::OPCODE::VPCMPGTWZrm)
  .value("VPCMPGTWZrmk", LIEF::assembly::x86::OPCODE::VPCMPGTWZrmk)
  .value("VPCMPGTWZrr", LIEF::assembly::x86::OPCODE::VPCMPGTWZrr)
  .value("VPCMPGTWZrrk", LIEF::assembly::x86::OPCODE::VPCMPGTWZrrk)
  .value("VPCMPGTWrm", LIEF::assembly::x86::OPCODE::VPCMPGTWrm)
  .value("VPCMPGTWrr", LIEF::assembly::x86::OPCODE::VPCMPGTWrr)
  .value("VPCMPISTRIrmi", LIEF::assembly::x86::OPCODE::VPCMPISTRIrmi)
  .value("VPCMPISTRIrri", LIEF::assembly::x86::OPCODE::VPCMPISTRIrri)
  .value("VPCMPISTRMrmi", LIEF::assembly::x86::OPCODE::VPCMPISTRMrmi)
  .value("VPCMPISTRMrri", LIEF::assembly::x86::OPCODE::VPCMPISTRMrri)
  .value("VPCMPQZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPQZ128rmi)
  .value("VPCMPQZ128rmib", LIEF::assembly::x86::OPCODE::VPCMPQZ128rmib)
  .value("VPCMPQZ128rmibk", LIEF::assembly::x86::OPCODE::VPCMPQZ128rmibk)
  .value("VPCMPQZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPQZ128rmik)
  .value("VPCMPQZ128rri", LIEF::assembly::x86::OPCODE::VPCMPQZ128rri)
  .value("VPCMPQZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPQZ128rrik)
  .value("VPCMPQZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPQZ256rmi)
  .value("VPCMPQZ256rmib", LIEF::assembly::x86::OPCODE::VPCMPQZ256rmib)
  .value("VPCMPQZ256rmibk", LIEF::assembly::x86::OPCODE::VPCMPQZ256rmibk)
  .value("VPCMPQZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPQZ256rmik)
  .value("VPCMPQZ256rri", LIEF::assembly::x86::OPCODE::VPCMPQZ256rri)
  .value("VPCMPQZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPQZ256rrik)
  .value("VPCMPQZrmi", LIEF::assembly::x86::OPCODE::VPCMPQZrmi)
  .value("VPCMPQZrmib", LIEF::assembly::x86::OPCODE::VPCMPQZrmib)
  .value("VPCMPQZrmibk", LIEF::assembly::x86::OPCODE::VPCMPQZrmibk)
  .value("VPCMPQZrmik", LIEF::assembly::x86::OPCODE::VPCMPQZrmik)
  .value("VPCMPQZrri", LIEF::assembly::x86::OPCODE::VPCMPQZrri)
  .value("VPCMPQZrrik", LIEF::assembly::x86::OPCODE::VPCMPQZrrik)
  .value("VPCMPUBZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPUBZ128rmi)
  .value("VPCMPUBZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPUBZ128rmik)
  .value("VPCMPUBZ128rri", LIEF::assembly::x86::OPCODE::VPCMPUBZ128rri)
  .value("VPCMPUBZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPUBZ128rrik)
  .value("VPCMPUBZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPUBZ256rmi)
  .value("VPCMPUBZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPUBZ256rmik)
  .value("VPCMPUBZ256rri", LIEF::assembly::x86::OPCODE::VPCMPUBZ256rri)
  .value("VPCMPUBZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPUBZ256rrik)
  .value("VPCMPUBZrmi", LIEF::assembly::x86::OPCODE::VPCMPUBZrmi)
  .value("VPCMPUBZrmik", LIEF::assembly::x86::OPCODE::VPCMPUBZrmik)
  .value("VPCMPUBZrri", LIEF::assembly::x86::OPCODE::VPCMPUBZrri)
  .value("VPCMPUBZrrik", LIEF::assembly::x86::OPCODE::VPCMPUBZrrik)
  .value("VPCMPUDZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPUDZ128rmi)
  .value("VPCMPUDZ128rmib", LIEF::assembly::x86::OPCODE::VPCMPUDZ128rmib)
  .value("VPCMPUDZ128rmibk", LIEF::assembly::x86::OPCODE::VPCMPUDZ128rmibk)
  .value("VPCMPUDZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPUDZ128rmik)
  .value("VPCMPUDZ128rri", LIEF::assembly::x86::OPCODE::VPCMPUDZ128rri)
  .value("VPCMPUDZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPUDZ128rrik)
  .value("VPCMPUDZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPUDZ256rmi)
  .value("VPCMPUDZ256rmib", LIEF::assembly::x86::OPCODE::VPCMPUDZ256rmib)
  .value("VPCMPUDZ256rmibk", LIEF::assembly::x86::OPCODE::VPCMPUDZ256rmibk)
  .value("VPCMPUDZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPUDZ256rmik)
  .value("VPCMPUDZ256rri", LIEF::assembly::x86::OPCODE::VPCMPUDZ256rri)
  .value("VPCMPUDZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPUDZ256rrik)
  .value("VPCMPUDZrmi", LIEF::assembly::x86::OPCODE::VPCMPUDZrmi)
  .value("VPCMPUDZrmib", LIEF::assembly::x86::OPCODE::VPCMPUDZrmib)
  .value("VPCMPUDZrmibk", LIEF::assembly::x86::OPCODE::VPCMPUDZrmibk)
  .value("VPCMPUDZrmik", LIEF::assembly::x86::OPCODE::VPCMPUDZrmik)
  .value("VPCMPUDZrri", LIEF::assembly::x86::OPCODE::VPCMPUDZrri)
  .value("VPCMPUDZrrik", LIEF::assembly::x86::OPCODE::VPCMPUDZrrik)
  .value("VPCMPUQZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPUQZ128rmi)
  .value("VPCMPUQZ128rmib", LIEF::assembly::x86::OPCODE::VPCMPUQZ128rmib)
  .value("VPCMPUQZ128rmibk", LIEF::assembly::x86::OPCODE::VPCMPUQZ128rmibk)
  .value("VPCMPUQZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPUQZ128rmik)
  .value("VPCMPUQZ128rri", LIEF::assembly::x86::OPCODE::VPCMPUQZ128rri)
  .value("VPCMPUQZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPUQZ128rrik)
  .value("VPCMPUQZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPUQZ256rmi)
  .value("VPCMPUQZ256rmib", LIEF::assembly::x86::OPCODE::VPCMPUQZ256rmib)
  .value("VPCMPUQZ256rmibk", LIEF::assembly::x86::OPCODE::VPCMPUQZ256rmibk)
  .value("VPCMPUQZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPUQZ256rmik)
  .value("VPCMPUQZ256rri", LIEF::assembly::x86::OPCODE::VPCMPUQZ256rri)
  .value("VPCMPUQZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPUQZ256rrik)
  .value("VPCMPUQZrmi", LIEF::assembly::x86::OPCODE::VPCMPUQZrmi)
  .value("VPCMPUQZrmib", LIEF::assembly::x86::OPCODE::VPCMPUQZrmib)
  .value("VPCMPUQZrmibk", LIEF::assembly::x86::OPCODE::VPCMPUQZrmibk)
  .value("VPCMPUQZrmik", LIEF::assembly::x86::OPCODE::VPCMPUQZrmik)
  .value("VPCMPUQZrri", LIEF::assembly::x86::OPCODE::VPCMPUQZrri)
  .value("VPCMPUQZrrik", LIEF::assembly::x86::OPCODE::VPCMPUQZrrik);
  opcodes.value("VPCMPUWZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPUWZ128rmi)
  .value("VPCMPUWZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPUWZ128rmik)
  .value("VPCMPUWZ128rri", LIEF::assembly::x86::OPCODE::VPCMPUWZ128rri)
  .value("VPCMPUWZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPUWZ128rrik)
  .value("VPCMPUWZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPUWZ256rmi)
  .value("VPCMPUWZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPUWZ256rmik)
  .value("VPCMPUWZ256rri", LIEF::assembly::x86::OPCODE::VPCMPUWZ256rri)
  .value("VPCMPUWZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPUWZ256rrik)
  .value("VPCMPUWZrmi", LIEF::assembly::x86::OPCODE::VPCMPUWZrmi)
  .value("VPCMPUWZrmik", LIEF::assembly::x86::OPCODE::VPCMPUWZrmik)
  .value("VPCMPUWZrri", LIEF::assembly::x86::OPCODE::VPCMPUWZrri)
  .value("VPCMPUWZrrik", LIEF::assembly::x86::OPCODE::VPCMPUWZrrik)
  .value("VPCMPWZ128rmi", LIEF::assembly::x86::OPCODE::VPCMPWZ128rmi)
  .value("VPCMPWZ128rmik", LIEF::assembly::x86::OPCODE::VPCMPWZ128rmik)
  .value("VPCMPWZ128rri", LIEF::assembly::x86::OPCODE::VPCMPWZ128rri)
  .value("VPCMPWZ128rrik", LIEF::assembly::x86::OPCODE::VPCMPWZ128rrik)
  .value("VPCMPWZ256rmi", LIEF::assembly::x86::OPCODE::VPCMPWZ256rmi)
  .value("VPCMPWZ256rmik", LIEF::assembly::x86::OPCODE::VPCMPWZ256rmik)
  .value("VPCMPWZ256rri", LIEF::assembly::x86::OPCODE::VPCMPWZ256rri)
  .value("VPCMPWZ256rrik", LIEF::assembly::x86::OPCODE::VPCMPWZ256rrik)
  .value("VPCMPWZrmi", LIEF::assembly::x86::OPCODE::VPCMPWZrmi)
  .value("VPCMPWZrmik", LIEF::assembly::x86::OPCODE::VPCMPWZrmik)
  .value("VPCMPWZrri", LIEF::assembly::x86::OPCODE::VPCMPWZrri)
  .value("VPCMPWZrrik", LIEF::assembly::x86::OPCODE::VPCMPWZrrik)
  .value("VPCOMBmi", LIEF::assembly::x86::OPCODE::VPCOMBmi)
  .value("VPCOMBri", LIEF::assembly::x86::OPCODE::VPCOMBri)
  .value("VPCOMDmi", LIEF::assembly::x86::OPCODE::VPCOMDmi)
  .value("VPCOMDri", LIEF::assembly::x86::OPCODE::VPCOMDri)
  .value("VPCOMPRESSBZ128mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ128mr)
  .value("VPCOMPRESSBZ128mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ128mrk)
  .value("VPCOMPRESSBZ128rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ128rr)
  .value("VPCOMPRESSBZ128rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ128rrk)
  .value("VPCOMPRESSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ128rrkz)
  .value("VPCOMPRESSBZ256mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ256mr)
  .value("VPCOMPRESSBZ256mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ256mrk)
  .value("VPCOMPRESSBZ256rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ256rr)
  .value("VPCOMPRESSBZ256rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ256rrk)
  .value("VPCOMPRESSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZ256rrkz)
  .value("VPCOMPRESSBZmr", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZmr)
  .value("VPCOMPRESSBZmrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZmrk)
  .value("VPCOMPRESSBZrr", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZrr)
  .value("VPCOMPRESSBZrrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZrrk)
  .value("VPCOMPRESSBZrrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSBZrrkz)
  .value("VPCOMPRESSDZ128mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ128mr)
  .value("VPCOMPRESSDZ128mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ128mrk)
  .value("VPCOMPRESSDZ128rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ128rr)
  .value("VPCOMPRESSDZ128rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ128rrk)
  .value("VPCOMPRESSDZ128rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ128rrkz)
  .value("VPCOMPRESSDZ256mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ256mr)
  .value("VPCOMPRESSDZ256mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ256mrk)
  .value("VPCOMPRESSDZ256rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ256rr)
  .value("VPCOMPRESSDZ256rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ256rrk)
  .value("VPCOMPRESSDZ256rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZ256rrkz)
  .value("VPCOMPRESSDZmr", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZmr)
  .value("VPCOMPRESSDZmrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZmrk)
  .value("VPCOMPRESSDZrr", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZrr)
  .value("VPCOMPRESSDZrrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZrrk)
  .value("VPCOMPRESSDZrrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSDZrrkz)
  .value("VPCOMPRESSQZ128mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ128mr)
  .value("VPCOMPRESSQZ128mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ128mrk)
  .value("VPCOMPRESSQZ128rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ128rr)
  .value("VPCOMPRESSQZ128rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ128rrk)
  .value("VPCOMPRESSQZ128rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ128rrkz)
  .value("VPCOMPRESSQZ256mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ256mr)
  .value("VPCOMPRESSQZ256mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ256mrk)
  .value("VPCOMPRESSQZ256rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ256rr)
  .value("VPCOMPRESSQZ256rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ256rrk)
  .value("VPCOMPRESSQZ256rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZ256rrkz)
  .value("VPCOMPRESSQZmr", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZmr)
  .value("VPCOMPRESSQZmrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZmrk)
  .value("VPCOMPRESSQZrr", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZrr)
  .value("VPCOMPRESSQZrrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZrrk)
  .value("VPCOMPRESSQZrrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSQZrrkz)
  .value("VPCOMPRESSWZ128mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ128mr)
  .value("VPCOMPRESSWZ128mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ128mrk)
  .value("VPCOMPRESSWZ128rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ128rr)
  .value("VPCOMPRESSWZ128rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ128rrk)
  .value("VPCOMPRESSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ128rrkz)
  .value("VPCOMPRESSWZ256mr", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ256mr)
  .value("VPCOMPRESSWZ256mrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ256mrk)
  .value("VPCOMPRESSWZ256rr", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ256rr)
  .value("VPCOMPRESSWZ256rrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ256rrk)
  .value("VPCOMPRESSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZ256rrkz)
  .value("VPCOMPRESSWZmr", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZmr)
  .value("VPCOMPRESSWZmrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZmrk)
  .value("VPCOMPRESSWZrr", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZrr)
  .value("VPCOMPRESSWZrrk", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZrrk)
  .value("VPCOMPRESSWZrrkz", LIEF::assembly::x86::OPCODE::VPCOMPRESSWZrrkz)
  .value("VPCOMQmi", LIEF::assembly::x86::OPCODE::VPCOMQmi)
  .value("VPCOMQri", LIEF::assembly::x86::OPCODE::VPCOMQri)
  .value("VPCOMUBmi", LIEF::assembly::x86::OPCODE::VPCOMUBmi)
  .value("VPCOMUBri", LIEF::assembly::x86::OPCODE::VPCOMUBri)
  .value("VPCOMUDmi", LIEF::assembly::x86::OPCODE::VPCOMUDmi)
  .value("VPCOMUDri", LIEF::assembly::x86::OPCODE::VPCOMUDri)
  .value("VPCOMUQmi", LIEF::assembly::x86::OPCODE::VPCOMUQmi)
  .value("VPCOMUQri", LIEF::assembly::x86::OPCODE::VPCOMUQri)
  .value("VPCOMUWmi", LIEF::assembly::x86::OPCODE::VPCOMUWmi)
  .value("VPCOMUWri", LIEF::assembly::x86::OPCODE::VPCOMUWri)
  .value("VPCOMWmi", LIEF::assembly::x86::OPCODE::VPCOMWmi)
  .value("VPCOMWri", LIEF::assembly::x86::OPCODE::VPCOMWri)
  .value("VPCONFLICTDZ128rm", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rm)
  .value("VPCONFLICTDZ128rmb", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rmb)
  .value("VPCONFLICTDZ128rmbk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rmbk)
  .value("VPCONFLICTDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rmbkz)
  .value("VPCONFLICTDZ128rmk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rmk)
  .value("VPCONFLICTDZ128rmkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rmkz)
  .value("VPCONFLICTDZ128rr", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rr)
  .value("VPCONFLICTDZ128rrk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rrk)
  .value("VPCONFLICTDZ128rrkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ128rrkz)
  .value("VPCONFLICTDZ256rm", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rm)
  .value("VPCONFLICTDZ256rmb", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rmb)
  .value("VPCONFLICTDZ256rmbk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rmbk)
  .value("VPCONFLICTDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rmbkz)
  .value("VPCONFLICTDZ256rmk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rmk)
  .value("VPCONFLICTDZ256rmkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rmkz)
  .value("VPCONFLICTDZ256rr", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rr)
  .value("VPCONFLICTDZ256rrk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rrk)
  .value("VPCONFLICTDZ256rrkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZ256rrkz)
  .value("VPCONFLICTDZrm", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrm)
  .value("VPCONFLICTDZrmb", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrmb)
  .value("VPCONFLICTDZrmbk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrmbk)
  .value("VPCONFLICTDZrmbkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrmbkz)
  .value("VPCONFLICTDZrmk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrmk)
  .value("VPCONFLICTDZrmkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrmkz)
  .value("VPCONFLICTDZrr", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrr)
  .value("VPCONFLICTDZrrk", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrrk)
  .value("VPCONFLICTDZrrkz", LIEF::assembly::x86::OPCODE::VPCONFLICTDZrrkz)
  .value("VPCONFLICTQZ128rm", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rm)
  .value("VPCONFLICTQZ128rmb", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rmb)
  .value("VPCONFLICTQZ128rmbk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rmbk)
  .value("VPCONFLICTQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rmbkz)
  .value("VPCONFLICTQZ128rmk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rmk)
  .value("VPCONFLICTQZ128rmkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rmkz)
  .value("VPCONFLICTQZ128rr", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rr)
  .value("VPCONFLICTQZ128rrk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rrk)
  .value("VPCONFLICTQZ128rrkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ128rrkz)
  .value("VPCONFLICTQZ256rm", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rm)
  .value("VPCONFLICTQZ256rmb", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rmb)
  .value("VPCONFLICTQZ256rmbk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rmbk)
  .value("VPCONFLICTQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rmbkz)
  .value("VPCONFLICTQZ256rmk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rmk)
  .value("VPCONFLICTQZ256rmkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rmkz)
  .value("VPCONFLICTQZ256rr", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rr)
  .value("VPCONFLICTQZ256rrk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rrk)
  .value("VPCONFLICTQZ256rrkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZ256rrkz)
  .value("VPCONFLICTQZrm", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrm)
  .value("VPCONFLICTQZrmb", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrmb)
  .value("VPCONFLICTQZrmbk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrmbk)
  .value("VPCONFLICTQZrmbkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrmbkz)
  .value("VPCONFLICTQZrmk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrmk)
  .value("VPCONFLICTQZrmkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrmkz)
  .value("VPCONFLICTQZrr", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrr)
  .value("VPCONFLICTQZrrk", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrrk)
  .value("VPCONFLICTQZrrkz", LIEF::assembly::x86::OPCODE::VPCONFLICTQZrrkz)
  .value("VPDPBSSDSYrm", LIEF::assembly::x86::OPCODE::VPDPBSSDSYrm)
  .value("VPDPBSSDSYrr", LIEF::assembly::x86::OPCODE::VPDPBSSDSYrr)
  .value("VPDPBSSDSrm", LIEF::assembly::x86::OPCODE::VPDPBSSDSrm)
  .value("VPDPBSSDSrr", LIEF::assembly::x86::OPCODE::VPDPBSSDSrr)
  .value("VPDPBSSDYrm", LIEF::assembly::x86::OPCODE::VPDPBSSDYrm)
  .value("VPDPBSSDYrr", LIEF::assembly::x86::OPCODE::VPDPBSSDYrr)
  .value("VPDPBSSDrm", LIEF::assembly::x86::OPCODE::VPDPBSSDrm)
  .value("VPDPBSSDrr", LIEF::assembly::x86::OPCODE::VPDPBSSDrr)
  .value("VPDPBSUDSYrm", LIEF::assembly::x86::OPCODE::VPDPBSUDSYrm)
  .value("VPDPBSUDSYrr", LIEF::assembly::x86::OPCODE::VPDPBSUDSYrr)
  .value("VPDPBSUDSrm", LIEF::assembly::x86::OPCODE::VPDPBSUDSrm)
  .value("VPDPBSUDSrr", LIEF::assembly::x86::OPCODE::VPDPBSUDSrr)
  .value("VPDPBSUDYrm", LIEF::assembly::x86::OPCODE::VPDPBSUDYrm)
  .value("VPDPBSUDYrr", LIEF::assembly::x86::OPCODE::VPDPBSUDYrr)
  .value("VPDPBSUDrm", LIEF::assembly::x86::OPCODE::VPDPBSUDrm)
  .value("VPDPBSUDrr", LIEF::assembly::x86::OPCODE::VPDPBSUDrr)
  .value("VPDPBUSDSYrm", LIEF::assembly::x86::OPCODE::VPDPBUSDSYrm)
  .value("VPDPBUSDSYrr", LIEF::assembly::x86::OPCODE::VPDPBUSDSYrr)
  .value("VPDPBUSDSZ128m", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128m)
  .value("VPDPBUSDSZ128mb", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128mb)
  .value("VPDPBUSDSZ128mbk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128mbk)
  .value("VPDPBUSDSZ128mbkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128mbkz)
  .value("VPDPBUSDSZ128mk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128mk)
  .value("VPDPBUSDSZ128mkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128mkz)
  .value("VPDPBUSDSZ128r", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128r)
  .value("VPDPBUSDSZ128rk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128rk)
  .value("VPDPBUSDSZ128rkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ128rkz)
  .value("VPDPBUSDSZ256m", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256m)
  .value("VPDPBUSDSZ256mb", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256mb)
  .value("VPDPBUSDSZ256mbk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256mbk)
  .value("VPDPBUSDSZ256mbkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256mbkz)
  .value("VPDPBUSDSZ256mk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256mk)
  .value("VPDPBUSDSZ256mkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256mkz)
  .value("VPDPBUSDSZ256r", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256r)
  .value("VPDPBUSDSZ256rk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256rk)
  .value("VPDPBUSDSZ256rkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZ256rkz)
  .value("VPDPBUSDSZm", LIEF::assembly::x86::OPCODE::VPDPBUSDSZm)
  .value("VPDPBUSDSZmb", LIEF::assembly::x86::OPCODE::VPDPBUSDSZmb)
  .value("VPDPBUSDSZmbk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZmbk)
  .value("VPDPBUSDSZmbkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZmbkz)
  .value("VPDPBUSDSZmk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZmk)
  .value("VPDPBUSDSZmkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZmkz)
  .value("VPDPBUSDSZr", LIEF::assembly::x86::OPCODE::VPDPBUSDSZr)
  .value("VPDPBUSDSZrk", LIEF::assembly::x86::OPCODE::VPDPBUSDSZrk)
  .value("VPDPBUSDSZrkz", LIEF::assembly::x86::OPCODE::VPDPBUSDSZrkz)
  .value("VPDPBUSDSrm", LIEF::assembly::x86::OPCODE::VPDPBUSDSrm)
  .value("VPDPBUSDSrr", LIEF::assembly::x86::OPCODE::VPDPBUSDSrr)
  .value("VPDPBUSDYrm", LIEF::assembly::x86::OPCODE::VPDPBUSDYrm)
  .value("VPDPBUSDYrr", LIEF::assembly::x86::OPCODE::VPDPBUSDYrr)
  .value("VPDPBUSDZ128m", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128m)
  .value("VPDPBUSDZ128mb", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128mb)
  .value("VPDPBUSDZ128mbk", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128mbk)
  .value("VPDPBUSDZ128mbkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128mbkz)
  .value("VPDPBUSDZ128mk", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128mk)
  .value("VPDPBUSDZ128mkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128mkz)
  .value("VPDPBUSDZ128r", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128r)
  .value("VPDPBUSDZ128rk", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128rk)
  .value("VPDPBUSDZ128rkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZ128rkz)
  .value("VPDPBUSDZ256m", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256m)
  .value("VPDPBUSDZ256mb", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256mb)
  .value("VPDPBUSDZ256mbk", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256mbk)
  .value("VPDPBUSDZ256mbkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256mbkz)
  .value("VPDPBUSDZ256mk", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256mk)
  .value("VPDPBUSDZ256mkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256mkz)
  .value("VPDPBUSDZ256r", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256r)
  .value("VPDPBUSDZ256rk", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256rk)
  .value("VPDPBUSDZ256rkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZ256rkz)
  .value("VPDPBUSDZm", LIEF::assembly::x86::OPCODE::VPDPBUSDZm)
  .value("VPDPBUSDZmb", LIEF::assembly::x86::OPCODE::VPDPBUSDZmb)
  .value("VPDPBUSDZmbk", LIEF::assembly::x86::OPCODE::VPDPBUSDZmbk)
  .value("VPDPBUSDZmbkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZmbkz)
  .value("VPDPBUSDZmk", LIEF::assembly::x86::OPCODE::VPDPBUSDZmk)
  .value("VPDPBUSDZmkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZmkz)
  .value("VPDPBUSDZr", LIEF::assembly::x86::OPCODE::VPDPBUSDZr)
  .value("VPDPBUSDZrk", LIEF::assembly::x86::OPCODE::VPDPBUSDZrk)
  .value("VPDPBUSDZrkz", LIEF::assembly::x86::OPCODE::VPDPBUSDZrkz)
  .value("VPDPBUSDrm", LIEF::assembly::x86::OPCODE::VPDPBUSDrm)
  .value("VPDPBUSDrr", LIEF::assembly::x86::OPCODE::VPDPBUSDrr)
  .value("VPDPBUUDSYrm", LIEF::assembly::x86::OPCODE::VPDPBUUDSYrm)
  .value("VPDPBUUDSYrr", LIEF::assembly::x86::OPCODE::VPDPBUUDSYrr)
  .value("VPDPBUUDSrm", LIEF::assembly::x86::OPCODE::VPDPBUUDSrm)
  .value("VPDPBUUDSrr", LIEF::assembly::x86::OPCODE::VPDPBUUDSrr)
  .value("VPDPBUUDYrm", LIEF::assembly::x86::OPCODE::VPDPBUUDYrm)
  .value("VPDPBUUDYrr", LIEF::assembly::x86::OPCODE::VPDPBUUDYrr)
  .value("VPDPBUUDrm", LIEF::assembly::x86::OPCODE::VPDPBUUDrm)
  .value("VPDPBUUDrr", LIEF::assembly::x86::OPCODE::VPDPBUUDrr)
  .value("VPDPWSSDSYrm", LIEF::assembly::x86::OPCODE::VPDPWSSDSYrm)
  .value("VPDPWSSDSYrr", LIEF::assembly::x86::OPCODE::VPDPWSSDSYrr)
  .value("VPDPWSSDSZ128m", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128m)
  .value("VPDPWSSDSZ128mb", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128mb)
  .value("VPDPWSSDSZ128mbk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128mbk)
  .value("VPDPWSSDSZ128mbkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128mbkz)
  .value("VPDPWSSDSZ128mk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128mk)
  .value("VPDPWSSDSZ128mkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128mkz)
  .value("VPDPWSSDSZ128r", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128r)
  .value("VPDPWSSDSZ128rk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128rk)
  .value("VPDPWSSDSZ128rkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ128rkz)
  .value("VPDPWSSDSZ256m", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256m)
  .value("VPDPWSSDSZ256mb", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256mb)
  .value("VPDPWSSDSZ256mbk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256mbk)
  .value("VPDPWSSDSZ256mbkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256mbkz)
  .value("VPDPWSSDSZ256mk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256mk)
  .value("VPDPWSSDSZ256mkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256mkz)
  .value("VPDPWSSDSZ256r", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256r)
  .value("VPDPWSSDSZ256rk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256rk)
  .value("VPDPWSSDSZ256rkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZ256rkz)
  .value("VPDPWSSDSZm", LIEF::assembly::x86::OPCODE::VPDPWSSDSZm)
  .value("VPDPWSSDSZmb", LIEF::assembly::x86::OPCODE::VPDPWSSDSZmb)
  .value("VPDPWSSDSZmbk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZmbk)
  .value("VPDPWSSDSZmbkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZmbkz)
  .value("VPDPWSSDSZmk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZmk)
  .value("VPDPWSSDSZmkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZmkz)
  .value("VPDPWSSDSZr", LIEF::assembly::x86::OPCODE::VPDPWSSDSZr)
  .value("VPDPWSSDSZrk", LIEF::assembly::x86::OPCODE::VPDPWSSDSZrk)
  .value("VPDPWSSDSZrkz", LIEF::assembly::x86::OPCODE::VPDPWSSDSZrkz)
  .value("VPDPWSSDSrm", LIEF::assembly::x86::OPCODE::VPDPWSSDSrm)
  .value("VPDPWSSDSrr", LIEF::assembly::x86::OPCODE::VPDPWSSDSrr)
  .value("VPDPWSSDYrm", LIEF::assembly::x86::OPCODE::VPDPWSSDYrm)
  .value("VPDPWSSDYrr", LIEF::assembly::x86::OPCODE::VPDPWSSDYrr)
  .value("VPDPWSSDZ128m", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128m)
  .value("VPDPWSSDZ128mb", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128mb)
  .value("VPDPWSSDZ128mbk", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128mbk)
  .value("VPDPWSSDZ128mbkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128mbkz)
  .value("VPDPWSSDZ128mk", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128mk)
  .value("VPDPWSSDZ128mkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128mkz)
  .value("VPDPWSSDZ128r", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128r)
  .value("VPDPWSSDZ128rk", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128rk)
  .value("VPDPWSSDZ128rkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZ128rkz)
  .value("VPDPWSSDZ256m", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256m)
  .value("VPDPWSSDZ256mb", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256mb)
  .value("VPDPWSSDZ256mbk", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256mbk)
  .value("VPDPWSSDZ256mbkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256mbkz)
  .value("VPDPWSSDZ256mk", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256mk)
  .value("VPDPWSSDZ256mkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256mkz)
  .value("VPDPWSSDZ256r", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256r)
  .value("VPDPWSSDZ256rk", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256rk)
  .value("VPDPWSSDZ256rkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZ256rkz)
  .value("VPDPWSSDZm", LIEF::assembly::x86::OPCODE::VPDPWSSDZm)
  .value("VPDPWSSDZmb", LIEF::assembly::x86::OPCODE::VPDPWSSDZmb)
  .value("VPDPWSSDZmbk", LIEF::assembly::x86::OPCODE::VPDPWSSDZmbk)
  .value("VPDPWSSDZmbkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZmbkz)
  .value("VPDPWSSDZmk", LIEF::assembly::x86::OPCODE::VPDPWSSDZmk)
  .value("VPDPWSSDZmkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZmkz)
  .value("VPDPWSSDZr", LIEF::assembly::x86::OPCODE::VPDPWSSDZr)
  .value("VPDPWSSDZrk", LIEF::assembly::x86::OPCODE::VPDPWSSDZrk)
  .value("VPDPWSSDZrkz", LIEF::assembly::x86::OPCODE::VPDPWSSDZrkz);
  opcodes.value("VPDPWSSDrm", LIEF::assembly::x86::OPCODE::VPDPWSSDrm)
  .value("VPDPWSSDrr", LIEF::assembly::x86::OPCODE::VPDPWSSDrr)
  .value("VPDPWSUDSYrm", LIEF::assembly::x86::OPCODE::VPDPWSUDSYrm)
  .value("VPDPWSUDSYrr", LIEF::assembly::x86::OPCODE::VPDPWSUDSYrr)
  .value("VPDPWSUDSrm", LIEF::assembly::x86::OPCODE::VPDPWSUDSrm)
  .value("VPDPWSUDSrr", LIEF::assembly::x86::OPCODE::VPDPWSUDSrr)
  .value("VPDPWSUDYrm", LIEF::assembly::x86::OPCODE::VPDPWSUDYrm)
  .value("VPDPWSUDYrr", LIEF::assembly::x86::OPCODE::VPDPWSUDYrr)
  .value("VPDPWSUDrm", LIEF::assembly::x86::OPCODE::VPDPWSUDrm)
  .value("VPDPWSUDrr", LIEF::assembly::x86::OPCODE::VPDPWSUDrr)
  .value("VPDPWUSDSYrm", LIEF::assembly::x86::OPCODE::VPDPWUSDSYrm)
  .value("VPDPWUSDSYrr", LIEF::assembly::x86::OPCODE::VPDPWUSDSYrr)
  .value("VPDPWUSDSrm", LIEF::assembly::x86::OPCODE::VPDPWUSDSrm)
  .value("VPDPWUSDSrr", LIEF::assembly::x86::OPCODE::VPDPWUSDSrr)
  .value("VPDPWUSDYrm", LIEF::assembly::x86::OPCODE::VPDPWUSDYrm)
  .value("VPDPWUSDYrr", LIEF::assembly::x86::OPCODE::VPDPWUSDYrr)
  .value("VPDPWUSDrm", LIEF::assembly::x86::OPCODE::VPDPWUSDrm)
  .value("VPDPWUSDrr", LIEF::assembly::x86::OPCODE::VPDPWUSDrr)
  .value("VPDPWUUDSYrm", LIEF::assembly::x86::OPCODE::VPDPWUUDSYrm)
  .value("VPDPWUUDSYrr", LIEF::assembly::x86::OPCODE::VPDPWUUDSYrr)
  .value("VPDPWUUDSrm", LIEF::assembly::x86::OPCODE::VPDPWUUDSrm)
  .value("VPDPWUUDSrr", LIEF::assembly::x86::OPCODE::VPDPWUUDSrr)
  .value("VPDPWUUDYrm", LIEF::assembly::x86::OPCODE::VPDPWUUDYrm)
  .value("VPDPWUUDYrr", LIEF::assembly::x86::OPCODE::VPDPWUUDYrr)
  .value("VPDPWUUDrm", LIEF::assembly::x86::OPCODE::VPDPWUUDrm)
  .value("VPDPWUUDrr", LIEF::assembly::x86::OPCODE::VPDPWUUDrr)
  .value("VPERM2F128rm", LIEF::assembly::x86::OPCODE::VPERM2F128rm)
  .value("VPERM2F128rr", LIEF::assembly::x86::OPCODE::VPERM2F128rr)
  .value("VPERM2I128rm", LIEF::assembly::x86::OPCODE::VPERM2I128rm)
  .value("VPERM2I128rr", LIEF::assembly::x86::OPCODE::VPERM2I128rr)
  .value("VPERMBZ128rm", LIEF::assembly::x86::OPCODE::VPERMBZ128rm)
  .value("VPERMBZ128rmk", LIEF::assembly::x86::OPCODE::VPERMBZ128rmk)
  .value("VPERMBZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMBZ128rmkz)
  .value("VPERMBZ128rr", LIEF::assembly::x86::OPCODE::VPERMBZ128rr)
  .value("VPERMBZ128rrk", LIEF::assembly::x86::OPCODE::VPERMBZ128rrk)
  .value("VPERMBZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMBZ128rrkz)
  .value("VPERMBZ256rm", LIEF::assembly::x86::OPCODE::VPERMBZ256rm)
  .value("VPERMBZ256rmk", LIEF::assembly::x86::OPCODE::VPERMBZ256rmk)
  .value("VPERMBZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMBZ256rmkz)
  .value("VPERMBZ256rr", LIEF::assembly::x86::OPCODE::VPERMBZ256rr)
  .value("VPERMBZ256rrk", LIEF::assembly::x86::OPCODE::VPERMBZ256rrk)
  .value("VPERMBZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMBZ256rrkz)
  .value("VPERMBZrm", LIEF::assembly::x86::OPCODE::VPERMBZrm)
  .value("VPERMBZrmk", LIEF::assembly::x86::OPCODE::VPERMBZrmk)
  .value("VPERMBZrmkz", LIEF::assembly::x86::OPCODE::VPERMBZrmkz)
  .value("VPERMBZrr", LIEF::assembly::x86::OPCODE::VPERMBZrr)
  .value("VPERMBZrrk", LIEF::assembly::x86::OPCODE::VPERMBZrrk)
  .value("VPERMBZrrkz", LIEF::assembly::x86::OPCODE::VPERMBZrrkz)
  .value("VPERMDYrm", LIEF::assembly::x86::OPCODE::VPERMDYrm)
  .value("VPERMDYrr", LIEF::assembly::x86::OPCODE::VPERMDYrr)
  .value("VPERMDZ256rm", LIEF::assembly::x86::OPCODE::VPERMDZ256rm)
  .value("VPERMDZ256rmb", LIEF::assembly::x86::OPCODE::VPERMDZ256rmb)
  .value("VPERMDZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMDZ256rmbk)
  .value("VPERMDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMDZ256rmbkz)
  .value("VPERMDZ256rmk", LIEF::assembly::x86::OPCODE::VPERMDZ256rmk)
  .value("VPERMDZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMDZ256rmkz)
  .value("VPERMDZ256rr", LIEF::assembly::x86::OPCODE::VPERMDZ256rr)
  .value("VPERMDZ256rrk", LIEF::assembly::x86::OPCODE::VPERMDZ256rrk)
  .value("VPERMDZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMDZ256rrkz)
  .value("VPERMDZrm", LIEF::assembly::x86::OPCODE::VPERMDZrm)
  .value("VPERMDZrmb", LIEF::assembly::x86::OPCODE::VPERMDZrmb)
  .value("VPERMDZrmbk", LIEF::assembly::x86::OPCODE::VPERMDZrmbk)
  .value("VPERMDZrmbkz", LIEF::assembly::x86::OPCODE::VPERMDZrmbkz)
  .value("VPERMDZrmk", LIEF::assembly::x86::OPCODE::VPERMDZrmk)
  .value("VPERMDZrmkz", LIEF::assembly::x86::OPCODE::VPERMDZrmkz)
  .value("VPERMDZrr", LIEF::assembly::x86::OPCODE::VPERMDZrr)
  .value("VPERMDZrrk", LIEF::assembly::x86::OPCODE::VPERMDZrrk)
  .value("VPERMDZrrkz", LIEF::assembly::x86::OPCODE::VPERMDZrrkz)
  .value("VPERMI2BZ128rm", LIEF::assembly::x86::OPCODE::VPERMI2BZ128rm)
  .value("VPERMI2BZ128rmk", LIEF::assembly::x86::OPCODE::VPERMI2BZ128rmk)
  .value("VPERMI2BZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMI2BZ128rmkz)
  .value("VPERMI2BZ128rr", LIEF::assembly::x86::OPCODE::VPERMI2BZ128rr)
  .value("VPERMI2BZ128rrk", LIEF::assembly::x86::OPCODE::VPERMI2BZ128rrk)
  .value("VPERMI2BZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMI2BZ128rrkz)
  .value("VPERMI2BZ256rm", LIEF::assembly::x86::OPCODE::VPERMI2BZ256rm)
  .value("VPERMI2BZ256rmk", LIEF::assembly::x86::OPCODE::VPERMI2BZ256rmk)
  .value("VPERMI2BZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMI2BZ256rmkz)
  .value("VPERMI2BZ256rr", LIEF::assembly::x86::OPCODE::VPERMI2BZ256rr)
  .value("VPERMI2BZ256rrk", LIEF::assembly::x86::OPCODE::VPERMI2BZ256rrk)
  .value("VPERMI2BZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMI2BZ256rrkz)
  .value("VPERMI2BZrm", LIEF::assembly::x86::OPCODE::VPERMI2BZrm)
  .value("VPERMI2BZrmk", LIEF::assembly::x86::OPCODE::VPERMI2BZrmk)
  .value("VPERMI2BZrmkz", LIEF::assembly::x86::OPCODE::VPERMI2BZrmkz)
  .value("VPERMI2BZrr", LIEF::assembly::x86::OPCODE::VPERMI2BZrr)
  .value("VPERMI2BZrrk", LIEF::assembly::x86::OPCODE::VPERMI2BZrrk)
  .value("VPERMI2BZrrkz", LIEF::assembly::x86::OPCODE::VPERMI2BZrrkz)
  .value("VPERMI2DZ128rm", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rm)
  .value("VPERMI2DZ128rmb", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rmb)
  .value("VPERMI2DZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rmbk)
  .value("VPERMI2DZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rmbkz)
  .value("VPERMI2DZ128rmk", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rmk)
  .value("VPERMI2DZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rmkz)
  .value("VPERMI2DZ128rr", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rr)
  .value("VPERMI2DZ128rrk", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rrk)
  .value("VPERMI2DZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMI2DZ128rrkz)
  .value("VPERMI2DZ256rm", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rm)
  .value("VPERMI2DZ256rmb", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rmb)
  .value("VPERMI2DZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rmbk)
  .value("VPERMI2DZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rmbkz)
  .value("VPERMI2DZ256rmk", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rmk)
  .value("VPERMI2DZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rmkz)
  .value("VPERMI2DZ256rr", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rr)
  .value("VPERMI2DZ256rrk", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rrk)
  .value("VPERMI2DZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMI2DZ256rrkz)
  .value("VPERMI2DZrm", LIEF::assembly::x86::OPCODE::VPERMI2DZrm)
  .value("VPERMI2DZrmb", LIEF::assembly::x86::OPCODE::VPERMI2DZrmb)
  .value("VPERMI2DZrmbk", LIEF::assembly::x86::OPCODE::VPERMI2DZrmbk)
  .value("VPERMI2DZrmbkz", LIEF::assembly::x86::OPCODE::VPERMI2DZrmbkz)
  .value("VPERMI2DZrmk", LIEF::assembly::x86::OPCODE::VPERMI2DZrmk)
  .value("VPERMI2DZrmkz", LIEF::assembly::x86::OPCODE::VPERMI2DZrmkz)
  .value("VPERMI2DZrr", LIEF::assembly::x86::OPCODE::VPERMI2DZrr)
  .value("VPERMI2DZrrk", LIEF::assembly::x86::OPCODE::VPERMI2DZrrk)
  .value("VPERMI2DZrrkz", LIEF::assembly::x86::OPCODE::VPERMI2DZrrkz)
  .value("VPERMI2PDZ128rm", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rm)
  .value("VPERMI2PDZ128rmb", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rmb)
  .value("VPERMI2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rmbk)
  .value("VPERMI2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rmbkz)
  .value("VPERMI2PDZ128rmk", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rmk)
  .value("VPERMI2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rmkz)
  .value("VPERMI2PDZ128rr", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rr)
  .value("VPERMI2PDZ128rrk", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rrk)
  .value("VPERMI2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZ128rrkz)
  .value("VPERMI2PDZ256rm", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rm)
  .value("VPERMI2PDZ256rmb", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rmb)
  .value("VPERMI2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rmbk)
  .value("VPERMI2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rmbkz)
  .value("VPERMI2PDZ256rmk", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rmk)
  .value("VPERMI2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rmkz)
  .value("VPERMI2PDZ256rr", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rr)
  .value("VPERMI2PDZ256rrk", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rrk)
  .value("VPERMI2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZ256rrkz)
  .value("VPERMI2PDZrm", LIEF::assembly::x86::OPCODE::VPERMI2PDZrm)
  .value("VPERMI2PDZrmb", LIEF::assembly::x86::OPCODE::VPERMI2PDZrmb)
  .value("VPERMI2PDZrmbk", LIEF::assembly::x86::OPCODE::VPERMI2PDZrmbk)
  .value("VPERMI2PDZrmbkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZrmbkz)
  .value("VPERMI2PDZrmk", LIEF::assembly::x86::OPCODE::VPERMI2PDZrmk)
  .value("VPERMI2PDZrmkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZrmkz)
  .value("VPERMI2PDZrr", LIEF::assembly::x86::OPCODE::VPERMI2PDZrr)
  .value("VPERMI2PDZrrk", LIEF::assembly::x86::OPCODE::VPERMI2PDZrrk)
  .value("VPERMI2PDZrrkz", LIEF::assembly::x86::OPCODE::VPERMI2PDZrrkz)
  .value("VPERMI2PSZ128rm", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rm)
  .value("VPERMI2PSZ128rmb", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rmb)
  .value("VPERMI2PSZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rmbk)
  .value("VPERMI2PSZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rmbkz)
  .value("VPERMI2PSZ128rmk", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rmk)
  .value("VPERMI2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rmkz)
  .value("VPERMI2PSZ128rr", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rr)
  .value("VPERMI2PSZ128rrk", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rrk)
  .value("VPERMI2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZ128rrkz)
  .value("VPERMI2PSZ256rm", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rm)
  .value("VPERMI2PSZ256rmb", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rmb)
  .value("VPERMI2PSZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rmbk)
  .value("VPERMI2PSZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rmbkz)
  .value("VPERMI2PSZ256rmk", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rmk)
  .value("VPERMI2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rmkz)
  .value("VPERMI2PSZ256rr", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rr)
  .value("VPERMI2PSZ256rrk", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rrk)
  .value("VPERMI2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZ256rrkz)
  .value("VPERMI2PSZrm", LIEF::assembly::x86::OPCODE::VPERMI2PSZrm)
  .value("VPERMI2PSZrmb", LIEF::assembly::x86::OPCODE::VPERMI2PSZrmb)
  .value("VPERMI2PSZrmbk", LIEF::assembly::x86::OPCODE::VPERMI2PSZrmbk)
  .value("VPERMI2PSZrmbkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZrmbkz)
  .value("VPERMI2PSZrmk", LIEF::assembly::x86::OPCODE::VPERMI2PSZrmk)
  .value("VPERMI2PSZrmkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZrmkz)
  .value("VPERMI2PSZrr", LIEF::assembly::x86::OPCODE::VPERMI2PSZrr)
  .value("VPERMI2PSZrrk", LIEF::assembly::x86::OPCODE::VPERMI2PSZrrk)
  .value("VPERMI2PSZrrkz", LIEF::assembly::x86::OPCODE::VPERMI2PSZrrkz)
  .value("VPERMI2QZ128rm", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rm)
  .value("VPERMI2QZ128rmb", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rmb)
  .value("VPERMI2QZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rmbk)
  .value("VPERMI2QZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rmbkz)
  .value("VPERMI2QZ128rmk", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rmk)
  .value("VPERMI2QZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rmkz)
  .value("VPERMI2QZ128rr", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rr)
  .value("VPERMI2QZ128rrk", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rrk)
  .value("VPERMI2QZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMI2QZ128rrkz)
  .value("VPERMI2QZ256rm", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rm)
  .value("VPERMI2QZ256rmb", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rmb)
  .value("VPERMI2QZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rmbk)
  .value("VPERMI2QZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rmbkz)
  .value("VPERMI2QZ256rmk", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rmk)
  .value("VPERMI2QZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rmkz)
  .value("VPERMI2QZ256rr", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rr)
  .value("VPERMI2QZ256rrk", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rrk)
  .value("VPERMI2QZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMI2QZ256rrkz)
  .value("VPERMI2QZrm", LIEF::assembly::x86::OPCODE::VPERMI2QZrm)
  .value("VPERMI2QZrmb", LIEF::assembly::x86::OPCODE::VPERMI2QZrmb)
  .value("VPERMI2QZrmbk", LIEF::assembly::x86::OPCODE::VPERMI2QZrmbk)
  .value("VPERMI2QZrmbkz", LIEF::assembly::x86::OPCODE::VPERMI2QZrmbkz)
  .value("VPERMI2QZrmk", LIEF::assembly::x86::OPCODE::VPERMI2QZrmk)
  .value("VPERMI2QZrmkz", LIEF::assembly::x86::OPCODE::VPERMI2QZrmkz)
  .value("VPERMI2QZrr", LIEF::assembly::x86::OPCODE::VPERMI2QZrr)
  .value("VPERMI2QZrrk", LIEF::assembly::x86::OPCODE::VPERMI2QZrrk)
  .value("VPERMI2QZrrkz", LIEF::assembly::x86::OPCODE::VPERMI2QZrrkz)
  .value("VPERMI2WZ128rm", LIEF::assembly::x86::OPCODE::VPERMI2WZ128rm)
  .value("VPERMI2WZ128rmk", LIEF::assembly::x86::OPCODE::VPERMI2WZ128rmk)
  .value("VPERMI2WZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMI2WZ128rmkz)
  .value("VPERMI2WZ128rr", LIEF::assembly::x86::OPCODE::VPERMI2WZ128rr)
  .value("VPERMI2WZ128rrk", LIEF::assembly::x86::OPCODE::VPERMI2WZ128rrk)
  .value("VPERMI2WZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMI2WZ128rrkz)
  .value("VPERMI2WZ256rm", LIEF::assembly::x86::OPCODE::VPERMI2WZ256rm)
  .value("VPERMI2WZ256rmk", LIEF::assembly::x86::OPCODE::VPERMI2WZ256rmk)
  .value("VPERMI2WZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMI2WZ256rmkz)
  .value("VPERMI2WZ256rr", LIEF::assembly::x86::OPCODE::VPERMI2WZ256rr)
  .value("VPERMI2WZ256rrk", LIEF::assembly::x86::OPCODE::VPERMI2WZ256rrk)
  .value("VPERMI2WZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMI2WZ256rrkz)
  .value("VPERMI2WZrm", LIEF::assembly::x86::OPCODE::VPERMI2WZrm)
  .value("VPERMI2WZrmk", LIEF::assembly::x86::OPCODE::VPERMI2WZrmk)
  .value("VPERMI2WZrmkz", LIEF::assembly::x86::OPCODE::VPERMI2WZrmkz)
  .value("VPERMI2WZrr", LIEF::assembly::x86::OPCODE::VPERMI2WZrr)
  .value("VPERMI2WZrrk", LIEF::assembly::x86::OPCODE::VPERMI2WZrrk)
  .value("VPERMI2WZrrkz", LIEF::assembly::x86::OPCODE::VPERMI2WZrrkz)
  .value("VPERMIL2PDYmr", LIEF::assembly::x86::OPCODE::VPERMIL2PDYmr)
  .value("VPERMIL2PDYrm", LIEF::assembly::x86::OPCODE::VPERMIL2PDYrm)
  .value("VPERMIL2PDYrr", LIEF::assembly::x86::OPCODE::VPERMIL2PDYrr)
  .value("VPERMIL2PDYrr_REV", LIEF::assembly::x86::OPCODE::VPERMIL2PDYrr_REV)
  .value("VPERMIL2PDmr", LIEF::assembly::x86::OPCODE::VPERMIL2PDmr)
  .value("VPERMIL2PDrm", LIEF::assembly::x86::OPCODE::VPERMIL2PDrm)
  .value("VPERMIL2PDrr", LIEF::assembly::x86::OPCODE::VPERMIL2PDrr)
  .value("VPERMIL2PDrr_REV", LIEF::assembly::x86::OPCODE::VPERMIL2PDrr_REV)
  .value("VPERMIL2PSYmr", LIEF::assembly::x86::OPCODE::VPERMIL2PSYmr)
  .value("VPERMIL2PSYrm", LIEF::assembly::x86::OPCODE::VPERMIL2PSYrm)
  .value("VPERMIL2PSYrr", LIEF::assembly::x86::OPCODE::VPERMIL2PSYrr)
  .value("VPERMIL2PSYrr_REV", LIEF::assembly::x86::OPCODE::VPERMIL2PSYrr_REV)
  .value("VPERMIL2PSmr", LIEF::assembly::x86::OPCODE::VPERMIL2PSmr)
  .value("VPERMIL2PSrm", LIEF::assembly::x86::OPCODE::VPERMIL2PSrm)
  .value("VPERMIL2PSrr", LIEF::assembly::x86::OPCODE::VPERMIL2PSrr)
  .value("VPERMIL2PSrr_REV", LIEF::assembly::x86::OPCODE::VPERMIL2PSrr_REV)
  .value("VPERMILPDYmi", LIEF::assembly::x86::OPCODE::VPERMILPDYmi)
  .value("VPERMILPDYri", LIEF::assembly::x86::OPCODE::VPERMILPDYri)
  .value("VPERMILPDYrm", LIEF::assembly::x86::OPCODE::VPERMILPDYrm)
  .value("VPERMILPDYrr", LIEF::assembly::x86::OPCODE::VPERMILPDYrr)
  .value("VPERMILPDZ128mbi", LIEF::assembly::x86::OPCODE::VPERMILPDZ128mbi)
  .value("VPERMILPDZ128mbik", LIEF::assembly::x86::OPCODE::VPERMILPDZ128mbik)
  .value("VPERMILPDZ128mbikz", LIEF::assembly::x86::OPCODE::VPERMILPDZ128mbikz)
  .value("VPERMILPDZ128mi", LIEF::assembly::x86::OPCODE::VPERMILPDZ128mi)
  .value("VPERMILPDZ128mik", LIEF::assembly::x86::OPCODE::VPERMILPDZ128mik)
  .value("VPERMILPDZ128mikz", LIEF::assembly::x86::OPCODE::VPERMILPDZ128mikz)
  .value("VPERMILPDZ128ri", LIEF::assembly::x86::OPCODE::VPERMILPDZ128ri)
  .value("VPERMILPDZ128rik", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rik)
  .value("VPERMILPDZ128rikz", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rikz)
  .value("VPERMILPDZ128rm", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rm)
  .value("VPERMILPDZ128rmb", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rmb)
  .value("VPERMILPDZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rmbk)
  .value("VPERMILPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rmbkz)
  .value("VPERMILPDZ128rmk", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rmk)
  .value("VPERMILPDZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rmkz)
  .value("VPERMILPDZ128rr", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rr)
  .value("VPERMILPDZ128rrk", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rrk)
  .value("VPERMILPDZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMILPDZ128rrkz)
  .value("VPERMILPDZ256mbi", LIEF::assembly::x86::OPCODE::VPERMILPDZ256mbi)
  .value("VPERMILPDZ256mbik", LIEF::assembly::x86::OPCODE::VPERMILPDZ256mbik)
  .value("VPERMILPDZ256mbikz", LIEF::assembly::x86::OPCODE::VPERMILPDZ256mbikz)
  .value("VPERMILPDZ256mi", LIEF::assembly::x86::OPCODE::VPERMILPDZ256mi)
  .value("VPERMILPDZ256mik", LIEF::assembly::x86::OPCODE::VPERMILPDZ256mik)
  .value("VPERMILPDZ256mikz", LIEF::assembly::x86::OPCODE::VPERMILPDZ256mikz)
  .value("VPERMILPDZ256ri", LIEF::assembly::x86::OPCODE::VPERMILPDZ256ri)
  .value("VPERMILPDZ256rik", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rik)
  .value("VPERMILPDZ256rikz", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rikz)
  .value("VPERMILPDZ256rm", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rm)
  .value("VPERMILPDZ256rmb", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rmb)
  .value("VPERMILPDZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rmbk)
  .value("VPERMILPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rmbkz)
  .value("VPERMILPDZ256rmk", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rmk)
  .value("VPERMILPDZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rmkz)
  .value("VPERMILPDZ256rr", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rr)
  .value("VPERMILPDZ256rrk", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rrk)
  .value("VPERMILPDZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMILPDZ256rrkz)
  .value("VPERMILPDZmbi", LIEF::assembly::x86::OPCODE::VPERMILPDZmbi)
  .value("VPERMILPDZmbik", LIEF::assembly::x86::OPCODE::VPERMILPDZmbik)
  .value("VPERMILPDZmbikz", LIEF::assembly::x86::OPCODE::VPERMILPDZmbikz)
  .value("VPERMILPDZmi", LIEF::assembly::x86::OPCODE::VPERMILPDZmi)
  .value("VPERMILPDZmik", LIEF::assembly::x86::OPCODE::VPERMILPDZmik)
  .value("VPERMILPDZmikz", LIEF::assembly::x86::OPCODE::VPERMILPDZmikz)
  .value("VPERMILPDZri", LIEF::assembly::x86::OPCODE::VPERMILPDZri)
  .value("VPERMILPDZrik", LIEF::assembly::x86::OPCODE::VPERMILPDZrik)
  .value("VPERMILPDZrikz", LIEF::assembly::x86::OPCODE::VPERMILPDZrikz)
  .value("VPERMILPDZrm", LIEF::assembly::x86::OPCODE::VPERMILPDZrm)
  .value("VPERMILPDZrmb", LIEF::assembly::x86::OPCODE::VPERMILPDZrmb)
  .value("VPERMILPDZrmbk", LIEF::assembly::x86::OPCODE::VPERMILPDZrmbk)
  .value("VPERMILPDZrmbkz", LIEF::assembly::x86::OPCODE::VPERMILPDZrmbkz)
  .value("VPERMILPDZrmk", LIEF::assembly::x86::OPCODE::VPERMILPDZrmk)
  .value("VPERMILPDZrmkz", LIEF::assembly::x86::OPCODE::VPERMILPDZrmkz)
  .value("VPERMILPDZrr", LIEF::assembly::x86::OPCODE::VPERMILPDZrr)
  .value("VPERMILPDZrrk", LIEF::assembly::x86::OPCODE::VPERMILPDZrrk)
  .value("VPERMILPDZrrkz", LIEF::assembly::x86::OPCODE::VPERMILPDZrrkz)
  .value("VPERMILPDmi", LIEF::assembly::x86::OPCODE::VPERMILPDmi)
  .value("VPERMILPDri", LIEF::assembly::x86::OPCODE::VPERMILPDri)
  .value("VPERMILPDrm", LIEF::assembly::x86::OPCODE::VPERMILPDrm)
  .value("VPERMILPDrr", LIEF::assembly::x86::OPCODE::VPERMILPDrr)
  .value("VPERMILPSYmi", LIEF::assembly::x86::OPCODE::VPERMILPSYmi)
  .value("VPERMILPSYri", LIEF::assembly::x86::OPCODE::VPERMILPSYri)
  .value("VPERMILPSYrm", LIEF::assembly::x86::OPCODE::VPERMILPSYrm)
  .value("VPERMILPSYrr", LIEF::assembly::x86::OPCODE::VPERMILPSYrr)
  .value("VPERMILPSZ128mbi", LIEF::assembly::x86::OPCODE::VPERMILPSZ128mbi)
  .value("VPERMILPSZ128mbik", LIEF::assembly::x86::OPCODE::VPERMILPSZ128mbik)
  .value("VPERMILPSZ128mbikz", LIEF::assembly::x86::OPCODE::VPERMILPSZ128mbikz)
  .value("VPERMILPSZ128mi", LIEF::assembly::x86::OPCODE::VPERMILPSZ128mi)
  .value("VPERMILPSZ128mik", LIEF::assembly::x86::OPCODE::VPERMILPSZ128mik)
  .value("VPERMILPSZ128mikz", LIEF::assembly::x86::OPCODE::VPERMILPSZ128mikz);
  opcodes.value("VPERMILPSZ128ri", LIEF::assembly::x86::OPCODE::VPERMILPSZ128ri)
  .value("VPERMILPSZ128rik", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rik)
  .value("VPERMILPSZ128rikz", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rikz)
  .value("VPERMILPSZ128rm", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rm)
  .value("VPERMILPSZ128rmb", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rmb)
  .value("VPERMILPSZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rmbk)
  .value("VPERMILPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rmbkz)
  .value("VPERMILPSZ128rmk", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rmk)
  .value("VPERMILPSZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rmkz)
  .value("VPERMILPSZ128rr", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rr)
  .value("VPERMILPSZ128rrk", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rrk)
  .value("VPERMILPSZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMILPSZ128rrkz)
  .value("VPERMILPSZ256mbi", LIEF::assembly::x86::OPCODE::VPERMILPSZ256mbi)
  .value("VPERMILPSZ256mbik", LIEF::assembly::x86::OPCODE::VPERMILPSZ256mbik)
  .value("VPERMILPSZ256mbikz", LIEF::assembly::x86::OPCODE::VPERMILPSZ256mbikz)
  .value("VPERMILPSZ256mi", LIEF::assembly::x86::OPCODE::VPERMILPSZ256mi)
  .value("VPERMILPSZ256mik", LIEF::assembly::x86::OPCODE::VPERMILPSZ256mik)
  .value("VPERMILPSZ256mikz", LIEF::assembly::x86::OPCODE::VPERMILPSZ256mikz)
  .value("VPERMILPSZ256ri", LIEF::assembly::x86::OPCODE::VPERMILPSZ256ri)
  .value("VPERMILPSZ256rik", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rik)
  .value("VPERMILPSZ256rikz", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rikz)
  .value("VPERMILPSZ256rm", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rm)
  .value("VPERMILPSZ256rmb", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rmb)
  .value("VPERMILPSZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rmbk)
  .value("VPERMILPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rmbkz)
  .value("VPERMILPSZ256rmk", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rmk)
  .value("VPERMILPSZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rmkz)
  .value("VPERMILPSZ256rr", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rr)
  .value("VPERMILPSZ256rrk", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rrk)
  .value("VPERMILPSZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMILPSZ256rrkz)
  .value("VPERMILPSZmbi", LIEF::assembly::x86::OPCODE::VPERMILPSZmbi)
  .value("VPERMILPSZmbik", LIEF::assembly::x86::OPCODE::VPERMILPSZmbik)
  .value("VPERMILPSZmbikz", LIEF::assembly::x86::OPCODE::VPERMILPSZmbikz)
  .value("VPERMILPSZmi", LIEF::assembly::x86::OPCODE::VPERMILPSZmi)
  .value("VPERMILPSZmik", LIEF::assembly::x86::OPCODE::VPERMILPSZmik)
  .value("VPERMILPSZmikz", LIEF::assembly::x86::OPCODE::VPERMILPSZmikz)
  .value("VPERMILPSZri", LIEF::assembly::x86::OPCODE::VPERMILPSZri)
  .value("VPERMILPSZrik", LIEF::assembly::x86::OPCODE::VPERMILPSZrik)
  .value("VPERMILPSZrikz", LIEF::assembly::x86::OPCODE::VPERMILPSZrikz)
  .value("VPERMILPSZrm", LIEF::assembly::x86::OPCODE::VPERMILPSZrm)
  .value("VPERMILPSZrmb", LIEF::assembly::x86::OPCODE::VPERMILPSZrmb)
  .value("VPERMILPSZrmbk", LIEF::assembly::x86::OPCODE::VPERMILPSZrmbk)
  .value("VPERMILPSZrmbkz", LIEF::assembly::x86::OPCODE::VPERMILPSZrmbkz)
  .value("VPERMILPSZrmk", LIEF::assembly::x86::OPCODE::VPERMILPSZrmk)
  .value("VPERMILPSZrmkz", LIEF::assembly::x86::OPCODE::VPERMILPSZrmkz)
  .value("VPERMILPSZrr", LIEF::assembly::x86::OPCODE::VPERMILPSZrr)
  .value("VPERMILPSZrrk", LIEF::assembly::x86::OPCODE::VPERMILPSZrrk)
  .value("VPERMILPSZrrkz", LIEF::assembly::x86::OPCODE::VPERMILPSZrrkz)
  .value("VPERMILPSmi", LIEF::assembly::x86::OPCODE::VPERMILPSmi)
  .value("VPERMILPSri", LIEF::assembly::x86::OPCODE::VPERMILPSri)
  .value("VPERMILPSrm", LIEF::assembly::x86::OPCODE::VPERMILPSrm)
  .value("VPERMILPSrr", LIEF::assembly::x86::OPCODE::VPERMILPSrr)
  .value("VPERMPDYmi", LIEF::assembly::x86::OPCODE::VPERMPDYmi)
  .value("VPERMPDYri", LIEF::assembly::x86::OPCODE::VPERMPDYri)
  .value("VPERMPDZ256mbi", LIEF::assembly::x86::OPCODE::VPERMPDZ256mbi)
  .value("VPERMPDZ256mbik", LIEF::assembly::x86::OPCODE::VPERMPDZ256mbik)
  .value("VPERMPDZ256mbikz", LIEF::assembly::x86::OPCODE::VPERMPDZ256mbikz)
  .value("VPERMPDZ256mi", LIEF::assembly::x86::OPCODE::VPERMPDZ256mi)
  .value("VPERMPDZ256mik", LIEF::assembly::x86::OPCODE::VPERMPDZ256mik)
  .value("VPERMPDZ256mikz", LIEF::assembly::x86::OPCODE::VPERMPDZ256mikz)
  .value("VPERMPDZ256ri", LIEF::assembly::x86::OPCODE::VPERMPDZ256ri)
  .value("VPERMPDZ256rik", LIEF::assembly::x86::OPCODE::VPERMPDZ256rik)
  .value("VPERMPDZ256rikz", LIEF::assembly::x86::OPCODE::VPERMPDZ256rikz)
  .value("VPERMPDZ256rm", LIEF::assembly::x86::OPCODE::VPERMPDZ256rm)
  .value("VPERMPDZ256rmb", LIEF::assembly::x86::OPCODE::VPERMPDZ256rmb)
  .value("VPERMPDZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMPDZ256rmbk)
  .value("VPERMPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMPDZ256rmbkz)
  .value("VPERMPDZ256rmk", LIEF::assembly::x86::OPCODE::VPERMPDZ256rmk)
  .value("VPERMPDZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMPDZ256rmkz)
  .value("VPERMPDZ256rr", LIEF::assembly::x86::OPCODE::VPERMPDZ256rr)
  .value("VPERMPDZ256rrk", LIEF::assembly::x86::OPCODE::VPERMPDZ256rrk)
  .value("VPERMPDZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMPDZ256rrkz)
  .value("VPERMPDZmbi", LIEF::assembly::x86::OPCODE::VPERMPDZmbi)
  .value("VPERMPDZmbik", LIEF::assembly::x86::OPCODE::VPERMPDZmbik)
  .value("VPERMPDZmbikz", LIEF::assembly::x86::OPCODE::VPERMPDZmbikz)
  .value("VPERMPDZmi", LIEF::assembly::x86::OPCODE::VPERMPDZmi)
  .value("VPERMPDZmik", LIEF::assembly::x86::OPCODE::VPERMPDZmik)
  .value("VPERMPDZmikz", LIEF::assembly::x86::OPCODE::VPERMPDZmikz)
  .value("VPERMPDZri", LIEF::assembly::x86::OPCODE::VPERMPDZri)
  .value("VPERMPDZrik", LIEF::assembly::x86::OPCODE::VPERMPDZrik)
  .value("VPERMPDZrikz", LIEF::assembly::x86::OPCODE::VPERMPDZrikz)
  .value("VPERMPDZrm", LIEF::assembly::x86::OPCODE::VPERMPDZrm)
  .value("VPERMPDZrmb", LIEF::assembly::x86::OPCODE::VPERMPDZrmb)
  .value("VPERMPDZrmbk", LIEF::assembly::x86::OPCODE::VPERMPDZrmbk)
  .value("VPERMPDZrmbkz", LIEF::assembly::x86::OPCODE::VPERMPDZrmbkz)
  .value("VPERMPDZrmk", LIEF::assembly::x86::OPCODE::VPERMPDZrmk)
  .value("VPERMPDZrmkz", LIEF::assembly::x86::OPCODE::VPERMPDZrmkz)
  .value("VPERMPDZrr", LIEF::assembly::x86::OPCODE::VPERMPDZrr)
  .value("VPERMPDZrrk", LIEF::assembly::x86::OPCODE::VPERMPDZrrk)
  .value("VPERMPDZrrkz", LIEF::assembly::x86::OPCODE::VPERMPDZrrkz)
  .value("VPERMPSYrm", LIEF::assembly::x86::OPCODE::VPERMPSYrm)
  .value("VPERMPSYrr", LIEF::assembly::x86::OPCODE::VPERMPSYrr)
  .value("VPERMPSZ256rm", LIEF::assembly::x86::OPCODE::VPERMPSZ256rm)
  .value("VPERMPSZ256rmb", LIEF::assembly::x86::OPCODE::VPERMPSZ256rmb)
  .value("VPERMPSZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMPSZ256rmbk)
  .value("VPERMPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMPSZ256rmbkz)
  .value("VPERMPSZ256rmk", LIEF::assembly::x86::OPCODE::VPERMPSZ256rmk)
  .value("VPERMPSZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMPSZ256rmkz)
  .value("VPERMPSZ256rr", LIEF::assembly::x86::OPCODE::VPERMPSZ256rr)
  .value("VPERMPSZ256rrk", LIEF::assembly::x86::OPCODE::VPERMPSZ256rrk)
  .value("VPERMPSZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMPSZ256rrkz)
  .value("VPERMPSZrm", LIEF::assembly::x86::OPCODE::VPERMPSZrm)
  .value("VPERMPSZrmb", LIEF::assembly::x86::OPCODE::VPERMPSZrmb)
  .value("VPERMPSZrmbk", LIEF::assembly::x86::OPCODE::VPERMPSZrmbk)
  .value("VPERMPSZrmbkz", LIEF::assembly::x86::OPCODE::VPERMPSZrmbkz)
  .value("VPERMPSZrmk", LIEF::assembly::x86::OPCODE::VPERMPSZrmk)
  .value("VPERMPSZrmkz", LIEF::assembly::x86::OPCODE::VPERMPSZrmkz)
  .value("VPERMPSZrr", LIEF::assembly::x86::OPCODE::VPERMPSZrr)
  .value("VPERMPSZrrk", LIEF::assembly::x86::OPCODE::VPERMPSZrrk)
  .value("VPERMPSZrrkz", LIEF::assembly::x86::OPCODE::VPERMPSZrrkz)
  .value("VPERMQYmi", LIEF::assembly::x86::OPCODE::VPERMQYmi)
  .value("VPERMQYri", LIEF::assembly::x86::OPCODE::VPERMQYri)
  .value("VPERMQZ256mbi", LIEF::assembly::x86::OPCODE::VPERMQZ256mbi)
  .value("VPERMQZ256mbik", LIEF::assembly::x86::OPCODE::VPERMQZ256mbik)
  .value("VPERMQZ256mbikz", LIEF::assembly::x86::OPCODE::VPERMQZ256mbikz)
  .value("VPERMQZ256mi", LIEF::assembly::x86::OPCODE::VPERMQZ256mi)
  .value("VPERMQZ256mik", LIEF::assembly::x86::OPCODE::VPERMQZ256mik)
  .value("VPERMQZ256mikz", LIEF::assembly::x86::OPCODE::VPERMQZ256mikz)
  .value("VPERMQZ256ri", LIEF::assembly::x86::OPCODE::VPERMQZ256ri)
  .value("VPERMQZ256rik", LIEF::assembly::x86::OPCODE::VPERMQZ256rik)
  .value("VPERMQZ256rikz", LIEF::assembly::x86::OPCODE::VPERMQZ256rikz)
  .value("VPERMQZ256rm", LIEF::assembly::x86::OPCODE::VPERMQZ256rm)
  .value("VPERMQZ256rmb", LIEF::assembly::x86::OPCODE::VPERMQZ256rmb)
  .value("VPERMQZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMQZ256rmbk)
  .value("VPERMQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMQZ256rmbkz)
  .value("VPERMQZ256rmk", LIEF::assembly::x86::OPCODE::VPERMQZ256rmk)
  .value("VPERMQZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMQZ256rmkz)
  .value("VPERMQZ256rr", LIEF::assembly::x86::OPCODE::VPERMQZ256rr)
  .value("VPERMQZ256rrk", LIEF::assembly::x86::OPCODE::VPERMQZ256rrk)
  .value("VPERMQZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMQZ256rrkz)
  .value("VPERMQZmbi", LIEF::assembly::x86::OPCODE::VPERMQZmbi)
  .value("VPERMQZmbik", LIEF::assembly::x86::OPCODE::VPERMQZmbik)
  .value("VPERMQZmbikz", LIEF::assembly::x86::OPCODE::VPERMQZmbikz)
  .value("VPERMQZmi", LIEF::assembly::x86::OPCODE::VPERMQZmi)
  .value("VPERMQZmik", LIEF::assembly::x86::OPCODE::VPERMQZmik)
  .value("VPERMQZmikz", LIEF::assembly::x86::OPCODE::VPERMQZmikz)
  .value("VPERMQZri", LIEF::assembly::x86::OPCODE::VPERMQZri)
  .value("VPERMQZrik", LIEF::assembly::x86::OPCODE::VPERMQZrik)
  .value("VPERMQZrikz", LIEF::assembly::x86::OPCODE::VPERMQZrikz)
  .value("VPERMQZrm", LIEF::assembly::x86::OPCODE::VPERMQZrm)
  .value("VPERMQZrmb", LIEF::assembly::x86::OPCODE::VPERMQZrmb)
  .value("VPERMQZrmbk", LIEF::assembly::x86::OPCODE::VPERMQZrmbk)
  .value("VPERMQZrmbkz", LIEF::assembly::x86::OPCODE::VPERMQZrmbkz)
  .value("VPERMQZrmk", LIEF::assembly::x86::OPCODE::VPERMQZrmk)
  .value("VPERMQZrmkz", LIEF::assembly::x86::OPCODE::VPERMQZrmkz)
  .value("VPERMQZrr", LIEF::assembly::x86::OPCODE::VPERMQZrr)
  .value("VPERMQZrrk", LIEF::assembly::x86::OPCODE::VPERMQZrrk)
  .value("VPERMQZrrkz", LIEF::assembly::x86::OPCODE::VPERMQZrrkz)
  .value("VPERMT2BZ128rm", LIEF::assembly::x86::OPCODE::VPERMT2BZ128rm)
  .value("VPERMT2BZ128rmk", LIEF::assembly::x86::OPCODE::VPERMT2BZ128rmk)
  .value("VPERMT2BZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMT2BZ128rmkz)
  .value("VPERMT2BZ128rr", LIEF::assembly::x86::OPCODE::VPERMT2BZ128rr)
  .value("VPERMT2BZ128rrk", LIEF::assembly::x86::OPCODE::VPERMT2BZ128rrk)
  .value("VPERMT2BZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMT2BZ128rrkz)
  .value("VPERMT2BZ256rm", LIEF::assembly::x86::OPCODE::VPERMT2BZ256rm)
  .value("VPERMT2BZ256rmk", LIEF::assembly::x86::OPCODE::VPERMT2BZ256rmk)
  .value("VPERMT2BZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMT2BZ256rmkz)
  .value("VPERMT2BZ256rr", LIEF::assembly::x86::OPCODE::VPERMT2BZ256rr)
  .value("VPERMT2BZ256rrk", LIEF::assembly::x86::OPCODE::VPERMT2BZ256rrk)
  .value("VPERMT2BZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMT2BZ256rrkz)
  .value("VPERMT2BZrm", LIEF::assembly::x86::OPCODE::VPERMT2BZrm)
  .value("VPERMT2BZrmk", LIEF::assembly::x86::OPCODE::VPERMT2BZrmk)
  .value("VPERMT2BZrmkz", LIEF::assembly::x86::OPCODE::VPERMT2BZrmkz)
  .value("VPERMT2BZrr", LIEF::assembly::x86::OPCODE::VPERMT2BZrr)
  .value("VPERMT2BZrrk", LIEF::assembly::x86::OPCODE::VPERMT2BZrrk)
  .value("VPERMT2BZrrkz", LIEF::assembly::x86::OPCODE::VPERMT2BZrrkz)
  .value("VPERMT2DZ128rm", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rm)
  .value("VPERMT2DZ128rmb", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rmb)
  .value("VPERMT2DZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rmbk)
  .value("VPERMT2DZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rmbkz)
  .value("VPERMT2DZ128rmk", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rmk)
  .value("VPERMT2DZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rmkz)
  .value("VPERMT2DZ128rr", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rr)
  .value("VPERMT2DZ128rrk", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rrk)
  .value("VPERMT2DZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMT2DZ128rrkz)
  .value("VPERMT2DZ256rm", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rm)
  .value("VPERMT2DZ256rmb", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rmb)
  .value("VPERMT2DZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rmbk)
  .value("VPERMT2DZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rmbkz)
  .value("VPERMT2DZ256rmk", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rmk)
  .value("VPERMT2DZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rmkz)
  .value("VPERMT2DZ256rr", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rr)
  .value("VPERMT2DZ256rrk", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rrk)
  .value("VPERMT2DZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMT2DZ256rrkz)
  .value("VPERMT2DZrm", LIEF::assembly::x86::OPCODE::VPERMT2DZrm)
  .value("VPERMT2DZrmb", LIEF::assembly::x86::OPCODE::VPERMT2DZrmb)
  .value("VPERMT2DZrmbk", LIEF::assembly::x86::OPCODE::VPERMT2DZrmbk)
  .value("VPERMT2DZrmbkz", LIEF::assembly::x86::OPCODE::VPERMT2DZrmbkz)
  .value("VPERMT2DZrmk", LIEF::assembly::x86::OPCODE::VPERMT2DZrmk)
  .value("VPERMT2DZrmkz", LIEF::assembly::x86::OPCODE::VPERMT2DZrmkz)
  .value("VPERMT2DZrr", LIEF::assembly::x86::OPCODE::VPERMT2DZrr)
  .value("VPERMT2DZrrk", LIEF::assembly::x86::OPCODE::VPERMT2DZrrk)
  .value("VPERMT2DZrrkz", LIEF::assembly::x86::OPCODE::VPERMT2DZrrkz)
  .value("VPERMT2PDZ128rm", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rm)
  .value("VPERMT2PDZ128rmb", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rmb)
  .value("VPERMT2PDZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rmbk)
  .value("VPERMT2PDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rmbkz)
  .value("VPERMT2PDZ128rmk", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rmk)
  .value("VPERMT2PDZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rmkz)
  .value("VPERMT2PDZ128rr", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rr)
  .value("VPERMT2PDZ128rrk", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rrk)
  .value("VPERMT2PDZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZ128rrkz)
  .value("VPERMT2PDZ256rm", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rm)
  .value("VPERMT2PDZ256rmb", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rmb)
  .value("VPERMT2PDZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rmbk)
  .value("VPERMT2PDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rmbkz)
  .value("VPERMT2PDZ256rmk", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rmk)
  .value("VPERMT2PDZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rmkz)
  .value("VPERMT2PDZ256rr", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rr)
  .value("VPERMT2PDZ256rrk", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rrk)
  .value("VPERMT2PDZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZ256rrkz)
  .value("VPERMT2PDZrm", LIEF::assembly::x86::OPCODE::VPERMT2PDZrm)
  .value("VPERMT2PDZrmb", LIEF::assembly::x86::OPCODE::VPERMT2PDZrmb)
  .value("VPERMT2PDZrmbk", LIEF::assembly::x86::OPCODE::VPERMT2PDZrmbk)
  .value("VPERMT2PDZrmbkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZrmbkz)
  .value("VPERMT2PDZrmk", LIEF::assembly::x86::OPCODE::VPERMT2PDZrmk)
  .value("VPERMT2PDZrmkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZrmkz)
  .value("VPERMT2PDZrr", LIEF::assembly::x86::OPCODE::VPERMT2PDZrr)
  .value("VPERMT2PDZrrk", LIEF::assembly::x86::OPCODE::VPERMT2PDZrrk)
  .value("VPERMT2PDZrrkz", LIEF::assembly::x86::OPCODE::VPERMT2PDZrrkz)
  .value("VPERMT2PSZ128rm", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rm)
  .value("VPERMT2PSZ128rmb", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rmb)
  .value("VPERMT2PSZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rmbk)
  .value("VPERMT2PSZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rmbkz)
  .value("VPERMT2PSZ128rmk", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rmk)
  .value("VPERMT2PSZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rmkz)
  .value("VPERMT2PSZ128rr", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rr)
  .value("VPERMT2PSZ128rrk", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rrk)
  .value("VPERMT2PSZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZ128rrkz)
  .value("VPERMT2PSZ256rm", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rm)
  .value("VPERMT2PSZ256rmb", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rmb)
  .value("VPERMT2PSZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rmbk)
  .value("VPERMT2PSZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rmbkz)
  .value("VPERMT2PSZ256rmk", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rmk)
  .value("VPERMT2PSZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rmkz)
  .value("VPERMT2PSZ256rr", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rr)
  .value("VPERMT2PSZ256rrk", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rrk)
  .value("VPERMT2PSZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZ256rrkz)
  .value("VPERMT2PSZrm", LIEF::assembly::x86::OPCODE::VPERMT2PSZrm)
  .value("VPERMT2PSZrmb", LIEF::assembly::x86::OPCODE::VPERMT2PSZrmb)
  .value("VPERMT2PSZrmbk", LIEF::assembly::x86::OPCODE::VPERMT2PSZrmbk)
  .value("VPERMT2PSZrmbkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZrmbkz)
  .value("VPERMT2PSZrmk", LIEF::assembly::x86::OPCODE::VPERMT2PSZrmk)
  .value("VPERMT2PSZrmkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZrmkz)
  .value("VPERMT2PSZrr", LIEF::assembly::x86::OPCODE::VPERMT2PSZrr)
  .value("VPERMT2PSZrrk", LIEF::assembly::x86::OPCODE::VPERMT2PSZrrk)
  .value("VPERMT2PSZrrkz", LIEF::assembly::x86::OPCODE::VPERMT2PSZrrkz)
  .value("VPERMT2QZ128rm", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rm)
  .value("VPERMT2QZ128rmb", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rmb)
  .value("VPERMT2QZ128rmbk", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rmbk)
  .value("VPERMT2QZ128rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rmbkz)
  .value("VPERMT2QZ128rmk", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rmk)
  .value("VPERMT2QZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rmkz)
  .value("VPERMT2QZ128rr", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rr)
  .value("VPERMT2QZ128rrk", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rrk)
  .value("VPERMT2QZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMT2QZ128rrkz)
  .value("VPERMT2QZ256rm", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rm)
  .value("VPERMT2QZ256rmb", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rmb)
  .value("VPERMT2QZ256rmbk", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rmbk)
  .value("VPERMT2QZ256rmbkz", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rmbkz)
  .value("VPERMT2QZ256rmk", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rmk)
  .value("VPERMT2QZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rmkz)
  .value("VPERMT2QZ256rr", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rr)
  .value("VPERMT2QZ256rrk", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rrk)
  .value("VPERMT2QZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMT2QZ256rrkz)
  .value("VPERMT2QZrm", LIEF::assembly::x86::OPCODE::VPERMT2QZrm)
  .value("VPERMT2QZrmb", LIEF::assembly::x86::OPCODE::VPERMT2QZrmb)
  .value("VPERMT2QZrmbk", LIEF::assembly::x86::OPCODE::VPERMT2QZrmbk)
  .value("VPERMT2QZrmbkz", LIEF::assembly::x86::OPCODE::VPERMT2QZrmbkz)
  .value("VPERMT2QZrmk", LIEF::assembly::x86::OPCODE::VPERMT2QZrmk)
  .value("VPERMT2QZrmkz", LIEF::assembly::x86::OPCODE::VPERMT2QZrmkz)
  .value("VPERMT2QZrr", LIEF::assembly::x86::OPCODE::VPERMT2QZrr)
  .value("VPERMT2QZrrk", LIEF::assembly::x86::OPCODE::VPERMT2QZrrk)
  .value("VPERMT2QZrrkz", LIEF::assembly::x86::OPCODE::VPERMT2QZrrkz)
  .value("VPERMT2WZ128rm", LIEF::assembly::x86::OPCODE::VPERMT2WZ128rm)
  .value("VPERMT2WZ128rmk", LIEF::assembly::x86::OPCODE::VPERMT2WZ128rmk)
  .value("VPERMT2WZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMT2WZ128rmkz)
  .value("VPERMT2WZ128rr", LIEF::assembly::x86::OPCODE::VPERMT2WZ128rr)
  .value("VPERMT2WZ128rrk", LIEF::assembly::x86::OPCODE::VPERMT2WZ128rrk)
  .value("VPERMT2WZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMT2WZ128rrkz)
  .value("VPERMT2WZ256rm", LIEF::assembly::x86::OPCODE::VPERMT2WZ256rm)
  .value("VPERMT2WZ256rmk", LIEF::assembly::x86::OPCODE::VPERMT2WZ256rmk)
  .value("VPERMT2WZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMT2WZ256rmkz)
  .value("VPERMT2WZ256rr", LIEF::assembly::x86::OPCODE::VPERMT2WZ256rr)
  .value("VPERMT2WZ256rrk", LIEF::assembly::x86::OPCODE::VPERMT2WZ256rrk)
  .value("VPERMT2WZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMT2WZ256rrkz)
  .value("VPERMT2WZrm", LIEF::assembly::x86::OPCODE::VPERMT2WZrm)
  .value("VPERMT2WZrmk", LIEF::assembly::x86::OPCODE::VPERMT2WZrmk)
  .value("VPERMT2WZrmkz", LIEF::assembly::x86::OPCODE::VPERMT2WZrmkz)
  .value("VPERMT2WZrr", LIEF::assembly::x86::OPCODE::VPERMT2WZrr)
  .value("VPERMT2WZrrk", LIEF::assembly::x86::OPCODE::VPERMT2WZrrk)
  .value("VPERMT2WZrrkz", LIEF::assembly::x86::OPCODE::VPERMT2WZrrkz)
  .value("VPERMWZ128rm", LIEF::assembly::x86::OPCODE::VPERMWZ128rm)
  .value("VPERMWZ128rmk", LIEF::assembly::x86::OPCODE::VPERMWZ128rmk)
  .value("VPERMWZ128rmkz", LIEF::assembly::x86::OPCODE::VPERMWZ128rmkz)
  .value("VPERMWZ128rr", LIEF::assembly::x86::OPCODE::VPERMWZ128rr)
  .value("VPERMWZ128rrk", LIEF::assembly::x86::OPCODE::VPERMWZ128rrk)
  .value("VPERMWZ128rrkz", LIEF::assembly::x86::OPCODE::VPERMWZ128rrkz)
  .value("VPERMWZ256rm", LIEF::assembly::x86::OPCODE::VPERMWZ256rm)
  .value("VPERMWZ256rmk", LIEF::assembly::x86::OPCODE::VPERMWZ256rmk);
  opcodes.value("VPERMWZ256rmkz", LIEF::assembly::x86::OPCODE::VPERMWZ256rmkz)
  .value("VPERMWZ256rr", LIEF::assembly::x86::OPCODE::VPERMWZ256rr)
  .value("VPERMWZ256rrk", LIEF::assembly::x86::OPCODE::VPERMWZ256rrk)
  .value("VPERMWZ256rrkz", LIEF::assembly::x86::OPCODE::VPERMWZ256rrkz)
  .value("VPERMWZrm", LIEF::assembly::x86::OPCODE::VPERMWZrm)
  .value("VPERMWZrmk", LIEF::assembly::x86::OPCODE::VPERMWZrmk)
  .value("VPERMWZrmkz", LIEF::assembly::x86::OPCODE::VPERMWZrmkz)
  .value("VPERMWZrr", LIEF::assembly::x86::OPCODE::VPERMWZrr)
  .value("VPERMWZrrk", LIEF::assembly::x86::OPCODE::VPERMWZrrk)
  .value("VPERMWZrrkz", LIEF::assembly::x86::OPCODE::VPERMWZrrkz)
  .value("VPEXPANDBZ128rm", LIEF::assembly::x86::OPCODE::VPEXPANDBZ128rm)
  .value("VPEXPANDBZ128rmk", LIEF::assembly::x86::OPCODE::VPEXPANDBZ128rmk)
  .value("VPEXPANDBZ128rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDBZ128rmkz)
  .value("VPEXPANDBZ128rr", LIEF::assembly::x86::OPCODE::VPEXPANDBZ128rr)
  .value("VPEXPANDBZ128rrk", LIEF::assembly::x86::OPCODE::VPEXPANDBZ128rrk)
  .value("VPEXPANDBZ128rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDBZ128rrkz)
  .value("VPEXPANDBZ256rm", LIEF::assembly::x86::OPCODE::VPEXPANDBZ256rm)
  .value("VPEXPANDBZ256rmk", LIEF::assembly::x86::OPCODE::VPEXPANDBZ256rmk)
  .value("VPEXPANDBZ256rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDBZ256rmkz)
  .value("VPEXPANDBZ256rr", LIEF::assembly::x86::OPCODE::VPEXPANDBZ256rr)
  .value("VPEXPANDBZ256rrk", LIEF::assembly::x86::OPCODE::VPEXPANDBZ256rrk)
  .value("VPEXPANDBZ256rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDBZ256rrkz)
  .value("VPEXPANDBZrm", LIEF::assembly::x86::OPCODE::VPEXPANDBZrm)
  .value("VPEXPANDBZrmk", LIEF::assembly::x86::OPCODE::VPEXPANDBZrmk)
  .value("VPEXPANDBZrmkz", LIEF::assembly::x86::OPCODE::VPEXPANDBZrmkz)
  .value("VPEXPANDBZrr", LIEF::assembly::x86::OPCODE::VPEXPANDBZrr)
  .value("VPEXPANDBZrrk", LIEF::assembly::x86::OPCODE::VPEXPANDBZrrk)
  .value("VPEXPANDBZrrkz", LIEF::assembly::x86::OPCODE::VPEXPANDBZrrkz)
  .value("VPEXPANDDZ128rm", LIEF::assembly::x86::OPCODE::VPEXPANDDZ128rm)
  .value("VPEXPANDDZ128rmk", LIEF::assembly::x86::OPCODE::VPEXPANDDZ128rmk)
  .value("VPEXPANDDZ128rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDDZ128rmkz)
  .value("VPEXPANDDZ128rr", LIEF::assembly::x86::OPCODE::VPEXPANDDZ128rr)
  .value("VPEXPANDDZ128rrk", LIEF::assembly::x86::OPCODE::VPEXPANDDZ128rrk)
  .value("VPEXPANDDZ128rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDDZ128rrkz)
  .value("VPEXPANDDZ256rm", LIEF::assembly::x86::OPCODE::VPEXPANDDZ256rm)
  .value("VPEXPANDDZ256rmk", LIEF::assembly::x86::OPCODE::VPEXPANDDZ256rmk)
  .value("VPEXPANDDZ256rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDDZ256rmkz)
  .value("VPEXPANDDZ256rr", LIEF::assembly::x86::OPCODE::VPEXPANDDZ256rr)
  .value("VPEXPANDDZ256rrk", LIEF::assembly::x86::OPCODE::VPEXPANDDZ256rrk)
  .value("VPEXPANDDZ256rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDDZ256rrkz)
  .value("VPEXPANDDZrm", LIEF::assembly::x86::OPCODE::VPEXPANDDZrm)
  .value("VPEXPANDDZrmk", LIEF::assembly::x86::OPCODE::VPEXPANDDZrmk)
  .value("VPEXPANDDZrmkz", LIEF::assembly::x86::OPCODE::VPEXPANDDZrmkz)
  .value("VPEXPANDDZrr", LIEF::assembly::x86::OPCODE::VPEXPANDDZrr)
  .value("VPEXPANDDZrrk", LIEF::assembly::x86::OPCODE::VPEXPANDDZrrk)
  .value("VPEXPANDDZrrkz", LIEF::assembly::x86::OPCODE::VPEXPANDDZrrkz)
  .value("VPEXPANDQZ128rm", LIEF::assembly::x86::OPCODE::VPEXPANDQZ128rm)
  .value("VPEXPANDQZ128rmk", LIEF::assembly::x86::OPCODE::VPEXPANDQZ128rmk)
  .value("VPEXPANDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDQZ128rmkz)
  .value("VPEXPANDQZ128rr", LIEF::assembly::x86::OPCODE::VPEXPANDQZ128rr)
  .value("VPEXPANDQZ128rrk", LIEF::assembly::x86::OPCODE::VPEXPANDQZ128rrk)
  .value("VPEXPANDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDQZ128rrkz)
  .value("VPEXPANDQZ256rm", LIEF::assembly::x86::OPCODE::VPEXPANDQZ256rm)
  .value("VPEXPANDQZ256rmk", LIEF::assembly::x86::OPCODE::VPEXPANDQZ256rmk)
  .value("VPEXPANDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDQZ256rmkz)
  .value("VPEXPANDQZ256rr", LIEF::assembly::x86::OPCODE::VPEXPANDQZ256rr)
  .value("VPEXPANDQZ256rrk", LIEF::assembly::x86::OPCODE::VPEXPANDQZ256rrk)
  .value("VPEXPANDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDQZ256rrkz)
  .value("VPEXPANDQZrm", LIEF::assembly::x86::OPCODE::VPEXPANDQZrm)
  .value("VPEXPANDQZrmk", LIEF::assembly::x86::OPCODE::VPEXPANDQZrmk)
  .value("VPEXPANDQZrmkz", LIEF::assembly::x86::OPCODE::VPEXPANDQZrmkz)
  .value("VPEXPANDQZrr", LIEF::assembly::x86::OPCODE::VPEXPANDQZrr)
  .value("VPEXPANDQZrrk", LIEF::assembly::x86::OPCODE::VPEXPANDQZrrk)
  .value("VPEXPANDQZrrkz", LIEF::assembly::x86::OPCODE::VPEXPANDQZrrkz)
  .value("VPEXPANDWZ128rm", LIEF::assembly::x86::OPCODE::VPEXPANDWZ128rm)
  .value("VPEXPANDWZ128rmk", LIEF::assembly::x86::OPCODE::VPEXPANDWZ128rmk)
  .value("VPEXPANDWZ128rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDWZ128rmkz)
  .value("VPEXPANDWZ128rr", LIEF::assembly::x86::OPCODE::VPEXPANDWZ128rr)
  .value("VPEXPANDWZ128rrk", LIEF::assembly::x86::OPCODE::VPEXPANDWZ128rrk)
  .value("VPEXPANDWZ128rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDWZ128rrkz)
  .value("VPEXPANDWZ256rm", LIEF::assembly::x86::OPCODE::VPEXPANDWZ256rm)
  .value("VPEXPANDWZ256rmk", LIEF::assembly::x86::OPCODE::VPEXPANDWZ256rmk)
  .value("VPEXPANDWZ256rmkz", LIEF::assembly::x86::OPCODE::VPEXPANDWZ256rmkz)
  .value("VPEXPANDWZ256rr", LIEF::assembly::x86::OPCODE::VPEXPANDWZ256rr)
  .value("VPEXPANDWZ256rrk", LIEF::assembly::x86::OPCODE::VPEXPANDWZ256rrk)
  .value("VPEXPANDWZ256rrkz", LIEF::assembly::x86::OPCODE::VPEXPANDWZ256rrkz)
  .value("VPEXPANDWZrm", LIEF::assembly::x86::OPCODE::VPEXPANDWZrm)
  .value("VPEXPANDWZrmk", LIEF::assembly::x86::OPCODE::VPEXPANDWZrmk)
  .value("VPEXPANDWZrmkz", LIEF::assembly::x86::OPCODE::VPEXPANDWZrmkz)
  .value("VPEXPANDWZrr", LIEF::assembly::x86::OPCODE::VPEXPANDWZrr)
  .value("VPEXPANDWZrrk", LIEF::assembly::x86::OPCODE::VPEXPANDWZrrk)
  .value("VPEXPANDWZrrkz", LIEF::assembly::x86::OPCODE::VPEXPANDWZrrkz)
  .value("VPEXTRBZmr", LIEF::assembly::x86::OPCODE::VPEXTRBZmr)
  .value("VPEXTRBZrr", LIEF::assembly::x86::OPCODE::VPEXTRBZrr)
  .value("VPEXTRBmr", LIEF::assembly::x86::OPCODE::VPEXTRBmr)
  .value("VPEXTRBrr", LIEF::assembly::x86::OPCODE::VPEXTRBrr)
  .value("VPEXTRDZmr", LIEF::assembly::x86::OPCODE::VPEXTRDZmr)
  .value("VPEXTRDZrr", LIEF::assembly::x86::OPCODE::VPEXTRDZrr)
  .value("VPEXTRDmr", LIEF::assembly::x86::OPCODE::VPEXTRDmr)
  .value("VPEXTRDrr", LIEF::assembly::x86::OPCODE::VPEXTRDrr)
  .value("VPEXTRQZmr", LIEF::assembly::x86::OPCODE::VPEXTRQZmr)
  .value("VPEXTRQZrr", LIEF::assembly::x86::OPCODE::VPEXTRQZrr)
  .value("VPEXTRQmr", LIEF::assembly::x86::OPCODE::VPEXTRQmr)
  .value("VPEXTRQrr", LIEF::assembly::x86::OPCODE::VPEXTRQrr)
  .value("VPEXTRWZmr", LIEF::assembly::x86::OPCODE::VPEXTRWZmr)
  .value("VPEXTRWZrr", LIEF::assembly::x86::OPCODE::VPEXTRWZrr)
  .value("VPEXTRWZrr_REV", LIEF::assembly::x86::OPCODE::VPEXTRWZrr_REV)
  .value("VPEXTRWmr", LIEF::assembly::x86::OPCODE::VPEXTRWmr)
  .value("VPEXTRWrr", LIEF::assembly::x86::OPCODE::VPEXTRWrr)
  .value("VPEXTRWrr_REV", LIEF::assembly::x86::OPCODE::VPEXTRWrr_REV)
  .value("VPGATHERDDYrm", LIEF::assembly::x86::OPCODE::VPGATHERDDYrm)
  .value("VPGATHERDDZ128rm", LIEF::assembly::x86::OPCODE::VPGATHERDDZ128rm)
  .value("VPGATHERDDZ256rm", LIEF::assembly::x86::OPCODE::VPGATHERDDZ256rm)
  .value("VPGATHERDDZrm", LIEF::assembly::x86::OPCODE::VPGATHERDDZrm)
  .value("VPGATHERDDrm", LIEF::assembly::x86::OPCODE::VPGATHERDDrm)
  .value("VPGATHERDQYrm", LIEF::assembly::x86::OPCODE::VPGATHERDQYrm)
  .value("VPGATHERDQZ128rm", LIEF::assembly::x86::OPCODE::VPGATHERDQZ128rm)
  .value("VPGATHERDQZ256rm", LIEF::assembly::x86::OPCODE::VPGATHERDQZ256rm)
  .value("VPGATHERDQZrm", LIEF::assembly::x86::OPCODE::VPGATHERDQZrm)
  .value("VPGATHERDQrm", LIEF::assembly::x86::OPCODE::VPGATHERDQrm)
  .value("VPGATHERQDYrm", LIEF::assembly::x86::OPCODE::VPGATHERQDYrm)
  .value("VPGATHERQDZ128rm", LIEF::assembly::x86::OPCODE::VPGATHERQDZ128rm)
  .value("VPGATHERQDZ256rm", LIEF::assembly::x86::OPCODE::VPGATHERQDZ256rm)
  .value("VPGATHERQDZrm", LIEF::assembly::x86::OPCODE::VPGATHERQDZrm)
  .value("VPGATHERQDrm", LIEF::assembly::x86::OPCODE::VPGATHERQDrm)
  .value("VPGATHERQQYrm", LIEF::assembly::x86::OPCODE::VPGATHERQQYrm)
  .value("VPGATHERQQZ128rm", LIEF::assembly::x86::OPCODE::VPGATHERQQZ128rm)
  .value("VPGATHERQQZ256rm", LIEF::assembly::x86::OPCODE::VPGATHERQQZ256rm)
  .value("VPGATHERQQZrm", LIEF::assembly::x86::OPCODE::VPGATHERQQZrm)
  .value("VPGATHERQQrm", LIEF::assembly::x86::OPCODE::VPGATHERQQrm)
  .value("VPHADDBDrm", LIEF::assembly::x86::OPCODE::VPHADDBDrm)
  .value("VPHADDBDrr", LIEF::assembly::x86::OPCODE::VPHADDBDrr)
  .value("VPHADDBQrm", LIEF::assembly::x86::OPCODE::VPHADDBQrm)
  .value("VPHADDBQrr", LIEF::assembly::x86::OPCODE::VPHADDBQrr)
  .value("VPHADDBWrm", LIEF::assembly::x86::OPCODE::VPHADDBWrm)
  .value("VPHADDBWrr", LIEF::assembly::x86::OPCODE::VPHADDBWrr)
  .value("VPHADDDQrm", LIEF::assembly::x86::OPCODE::VPHADDDQrm)
  .value("VPHADDDQrr", LIEF::assembly::x86::OPCODE::VPHADDDQrr)
  .value("VPHADDDYrm", LIEF::assembly::x86::OPCODE::VPHADDDYrm)
  .value("VPHADDDYrr", LIEF::assembly::x86::OPCODE::VPHADDDYrr)
  .value("VPHADDDrm", LIEF::assembly::x86::OPCODE::VPHADDDrm)
  .value("VPHADDDrr", LIEF::assembly::x86::OPCODE::VPHADDDrr)
  .value("VPHADDSWYrm", LIEF::assembly::x86::OPCODE::VPHADDSWYrm)
  .value("VPHADDSWYrr", LIEF::assembly::x86::OPCODE::VPHADDSWYrr)
  .value("VPHADDSWrm", LIEF::assembly::x86::OPCODE::VPHADDSWrm)
  .value("VPHADDSWrr", LIEF::assembly::x86::OPCODE::VPHADDSWrr)
  .value("VPHADDUBDrm", LIEF::assembly::x86::OPCODE::VPHADDUBDrm)
  .value("VPHADDUBDrr", LIEF::assembly::x86::OPCODE::VPHADDUBDrr)
  .value("VPHADDUBQrm", LIEF::assembly::x86::OPCODE::VPHADDUBQrm)
  .value("VPHADDUBQrr", LIEF::assembly::x86::OPCODE::VPHADDUBQrr)
  .value("VPHADDUBWrm", LIEF::assembly::x86::OPCODE::VPHADDUBWrm)
  .value("VPHADDUBWrr", LIEF::assembly::x86::OPCODE::VPHADDUBWrr)
  .value("VPHADDUDQrm", LIEF::assembly::x86::OPCODE::VPHADDUDQrm)
  .value("VPHADDUDQrr", LIEF::assembly::x86::OPCODE::VPHADDUDQrr)
  .value("VPHADDUWDrm", LIEF::assembly::x86::OPCODE::VPHADDUWDrm)
  .value("VPHADDUWDrr", LIEF::assembly::x86::OPCODE::VPHADDUWDrr)
  .value("VPHADDUWQrm", LIEF::assembly::x86::OPCODE::VPHADDUWQrm)
  .value("VPHADDUWQrr", LIEF::assembly::x86::OPCODE::VPHADDUWQrr)
  .value("VPHADDWDrm", LIEF::assembly::x86::OPCODE::VPHADDWDrm)
  .value("VPHADDWDrr", LIEF::assembly::x86::OPCODE::VPHADDWDrr)
  .value("VPHADDWQrm", LIEF::assembly::x86::OPCODE::VPHADDWQrm)
  .value("VPHADDWQrr", LIEF::assembly::x86::OPCODE::VPHADDWQrr)
  .value("VPHADDWYrm", LIEF::assembly::x86::OPCODE::VPHADDWYrm)
  .value("VPHADDWYrr", LIEF::assembly::x86::OPCODE::VPHADDWYrr)
  .value("VPHADDWrm", LIEF::assembly::x86::OPCODE::VPHADDWrm)
  .value("VPHADDWrr", LIEF::assembly::x86::OPCODE::VPHADDWrr)
  .value("VPHMINPOSUWrm", LIEF::assembly::x86::OPCODE::VPHMINPOSUWrm)
  .value("VPHMINPOSUWrr", LIEF::assembly::x86::OPCODE::VPHMINPOSUWrr)
  .value("VPHSUBBWrm", LIEF::assembly::x86::OPCODE::VPHSUBBWrm)
  .value("VPHSUBBWrr", LIEF::assembly::x86::OPCODE::VPHSUBBWrr)
  .value("VPHSUBDQrm", LIEF::assembly::x86::OPCODE::VPHSUBDQrm)
  .value("VPHSUBDQrr", LIEF::assembly::x86::OPCODE::VPHSUBDQrr)
  .value("VPHSUBDYrm", LIEF::assembly::x86::OPCODE::VPHSUBDYrm)
  .value("VPHSUBDYrr", LIEF::assembly::x86::OPCODE::VPHSUBDYrr)
  .value("VPHSUBDrm", LIEF::assembly::x86::OPCODE::VPHSUBDrm)
  .value("VPHSUBDrr", LIEF::assembly::x86::OPCODE::VPHSUBDrr)
  .value("VPHSUBSWYrm", LIEF::assembly::x86::OPCODE::VPHSUBSWYrm)
  .value("VPHSUBSWYrr", LIEF::assembly::x86::OPCODE::VPHSUBSWYrr)
  .value("VPHSUBSWrm", LIEF::assembly::x86::OPCODE::VPHSUBSWrm)
  .value("VPHSUBSWrr", LIEF::assembly::x86::OPCODE::VPHSUBSWrr)
  .value("VPHSUBWDrm", LIEF::assembly::x86::OPCODE::VPHSUBWDrm)
  .value("VPHSUBWDrr", LIEF::assembly::x86::OPCODE::VPHSUBWDrr)
  .value("VPHSUBWYrm", LIEF::assembly::x86::OPCODE::VPHSUBWYrm)
  .value("VPHSUBWYrr", LIEF::assembly::x86::OPCODE::VPHSUBWYrr)
  .value("VPHSUBWrm", LIEF::assembly::x86::OPCODE::VPHSUBWrm)
  .value("VPHSUBWrr", LIEF::assembly::x86::OPCODE::VPHSUBWrr)
  .value("VPINSRBZrm", LIEF::assembly::x86::OPCODE::VPINSRBZrm)
  .value("VPINSRBZrr", LIEF::assembly::x86::OPCODE::VPINSRBZrr)
  .value("VPINSRBrm", LIEF::assembly::x86::OPCODE::VPINSRBrm)
  .value("VPINSRBrr", LIEF::assembly::x86::OPCODE::VPINSRBrr)
  .value("VPINSRDZrm", LIEF::assembly::x86::OPCODE::VPINSRDZrm)
  .value("VPINSRDZrr", LIEF::assembly::x86::OPCODE::VPINSRDZrr)
  .value("VPINSRDrm", LIEF::assembly::x86::OPCODE::VPINSRDrm)
  .value("VPINSRDrr", LIEF::assembly::x86::OPCODE::VPINSRDrr)
  .value("VPINSRQZrm", LIEF::assembly::x86::OPCODE::VPINSRQZrm)
  .value("VPINSRQZrr", LIEF::assembly::x86::OPCODE::VPINSRQZrr)
  .value("VPINSRQrm", LIEF::assembly::x86::OPCODE::VPINSRQrm)
  .value("VPINSRQrr", LIEF::assembly::x86::OPCODE::VPINSRQrr)
  .value("VPINSRWZrm", LIEF::assembly::x86::OPCODE::VPINSRWZrm)
  .value("VPINSRWZrr", LIEF::assembly::x86::OPCODE::VPINSRWZrr)
  .value("VPINSRWrm", LIEF::assembly::x86::OPCODE::VPINSRWrm)
  .value("VPINSRWrr", LIEF::assembly::x86::OPCODE::VPINSRWrr)
  .value("VPLZCNTDZ128rm", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rm)
  .value("VPLZCNTDZ128rmb", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rmb)
  .value("VPLZCNTDZ128rmbk", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rmbk)
  .value("VPLZCNTDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rmbkz)
  .value("VPLZCNTDZ128rmk", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rmk)
  .value("VPLZCNTDZ128rmkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rmkz)
  .value("VPLZCNTDZ128rr", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rr)
  .value("VPLZCNTDZ128rrk", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rrk)
  .value("VPLZCNTDZ128rrkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZ128rrkz)
  .value("VPLZCNTDZ256rm", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rm)
  .value("VPLZCNTDZ256rmb", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rmb)
  .value("VPLZCNTDZ256rmbk", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rmbk)
  .value("VPLZCNTDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rmbkz)
  .value("VPLZCNTDZ256rmk", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rmk)
  .value("VPLZCNTDZ256rmkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rmkz)
  .value("VPLZCNTDZ256rr", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rr)
  .value("VPLZCNTDZ256rrk", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rrk)
  .value("VPLZCNTDZ256rrkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZ256rrkz)
  .value("VPLZCNTDZrm", LIEF::assembly::x86::OPCODE::VPLZCNTDZrm)
  .value("VPLZCNTDZrmb", LIEF::assembly::x86::OPCODE::VPLZCNTDZrmb)
  .value("VPLZCNTDZrmbk", LIEF::assembly::x86::OPCODE::VPLZCNTDZrmbk)
  .value("VPLZCNTDZrmbkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZrmbkz)
  .value("VPLZCNTDZrmk", LIEF::assembly::x86::OPCODE::VPLZCNTDZrmk)
  .value("VPLZCNTDZrmkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZrmkz)
  .value("VPLZCNTDZrr", LIEF::assembly::x86::OPCODE::VPLZCNTDZrr)
  .value("VPLZCNTDZrrk", LIEF::assembly::x86::OPCODE::VPLZCNTDZrrk)
  .value("VPLZCNTDZrrkz", LIEF::assembly::x86::OPCODE::VPLZCNTDZrrkz)
  .value("VPLZCNTQZ128rm", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rm)
  .value("VPLZCNTQZ128rmb", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rmb)
  .value("VPLZCNTQZ128rmbk", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rmbk)
  .value("VPLZCNTQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rmbkz)
  .value("VPLZCNTQZ128rmk", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rmk)
  .value("VPLZCNTQZ128rmkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rmkz)
  .value("VPLZCNTQZ128rr", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rr)
  .value("VPLZCNTQZ128rrk", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rrk)
  .value("VPLZCNTQZ128rrkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZ128rrkz)
  .value("VPLZCNTQZ256rm", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rm)
  .value("VPLZCNTQZ256rmb", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rmb)
  .value("VPLZCNTQZ256rmbk", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rmbk)
  .value("VPLZCNTQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rmbkz)
  .value("VPLZCNTQZ256rmk", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rmk)
  .value("VPLZCNTQZ256rmkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rmkz)
  .value("VPLZCNTQZ256rr", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rr)
  .value("VPLZCNTQZ256rrk", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rrk)
  .value("VPLZCNTQZ256rrkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZ256rrkz)
  .value("VPLZCNTQZrm", LIEF::assembly::x86::OPCODE::VPLZCNTQZrm)
  .value("VPLZCNTQZrmb", LIEF::assembly::x86::OPCODE::VPLZCNTQZrmb)
  .value("VPLZCNTQZrmbk", LIEF::assembly::x86::OPCODE::VPLZCNTQZrmbk)
  .value("VPLZCNTQZrmbkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZrmbkz)
  .value("VPLZCNTQZrmk", LIEF::assembly::x86::OPCODE::VPLZCNTQZrmk)
  .value("VPLZCNTQZrmkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZrmkz)
  .value("VPLZCNTQZrr", LIEF::assembly::x86::OPCODE::VPLZCNTQZrr)
  .value("VPLZCNTQZrrk", LIEF::assembly::x86::OPCODE::VPLZCNTQZrrk)
  .value("VPLZCNTQZrrkz", LIEF::assembly::x86::OPCODE::VPLZCNTQZrrkz)
  .value("VPMACSDDrm", LIEF::assembly::x86::OPCODE::VPMACSDDrm)
  .value("VPMACSDDrr", LIEF::assembly::x86::OPCODE::VPMACSDDrr)
  .value("VPMACSDQHrm", LIEF::assembly::x86::OPCODE::VPMACSDQHrm)
  .value("VPMACSDQHrr", LIEF::assembly::x86::OPCODE::VPMACSDQHrr)
  .value("VPMACSDQLrm", LIEF::assembly::x86::OPCODE::VPMACSDQLrm)
  .value("VPMACSDQLrr", LIEF::assembly::x86::OPCODE::VPMACSDQLrr)
  .value("VPMACSSDDrm", LIEF::assembly::x86::OPCODE::VPMACSSDDrm)
  .value("VPMACSSDDrr", LIEF::assembly::x86::OPCODE::VPMACSSDDrr)
  .value("VPMACSSDQHrm", LIEF::assembly::x86::OPCODE::VPMACSSDQHrm)
  .value("VPMACSSDQHrr", LIEF::assembly::x86::OPCODE::VPMACSSDQHrr)
  .value("VPMACSSDQLrm", LIEF::assembly::x86::OPCODE::VPMACSSDQLrm)
  .value("VPMACSSDQLrr", LIEF::assembly::x86::OPCODE::VPMACSSDQLrr)
  .value("VPMACSSWDrm", LIEF::assembly::x86::OPCODE::VPMACSSWDrm)
  .value("VPMACSSWDrr", LIEF::assembly::x86::OPCODE::VPMACSSWDrr)
  .value("VPMACSSWWrm", LIEF::assembly::x86::OPCODE::VPMACSSWWrm)
  .value("VPMACSSWWrr", LIEF::assembly::x86::OPCODE::VPMACSSWWrr)
  .value("VPMACSWDrm", LIEF::assembly::x86::OPCODE::VPMACSWDrm)
  .value("VPMACSWDrr", LIEF::assembly::x86::OPCODE::VPMACSWDrr)
  .value("VPMACSWWrm", LIEF::assembly::x86::OPCODE::VPMACSWWrm)
  .value("VPMACSWWrr", LIEF::assembly::x86::OPCODE::VPMACSWWrr)
  .value("VPMADCSSWDrm", LIEF::assembly::x86::OPCODE::VPMADCSSWDrm)
  .value("VPMADCSSWDrr", LIEF::assembly::x86::OPCODE::VPMADCSSWDrr)
  .value("VPMADCSWDrm", LIEF::assembly::x86::OPCODE::VPMADCSWDrm)
  .value("VPMADCSWDrr", LIEF::assembly::x86::OPCODE::VPMADCSWDrr)
  .value("VPMADD52HUQYrm", LIEF::assembly::x86::OPCODE::VPMADD52HUQYrm)
  .value("VPMADD52HUQYrr", LIEF::assembly::x86::OPCODE::VPMADD52HUQYrr)
  .value("VPMADD52HUQZ128m", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128m)
  .value("VPMADD52HUQZ128mb", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128mb)
  .value("VPMADD52HUQZ128mbk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128mbk)
  .value("VPMADD52HUQZ128mbkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128mbkz)
  .value("VPMADD52HUQZ128mk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128mk)
  .value("VPMADD52HUQZ128mkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128mkz)
  .value("VPMADD52HUQZ128r", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128r)
  .value("VPMADD52HUQZ128rk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128rk)
  .value("VPMADD52HUQZ128rkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ128rkz)
  .value("VPMADD52HUQZ256m", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256m)
  .value("VPMADD52HUQZ256mb", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256mb)
  .value("VPMADD52HUQZ256mbk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256mbk)
  .value("VPMADD52HUQZ256mbkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256mbkz)
  .value("VPMADD52HUQZ256mk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256mk)
  .value("VPMADD52HUQZ256mkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256mkz)
  .value("VPMADD52HUQZ256r", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256r)
  .value("VPMADD52HUQZ256rk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256rk)
  .value("VPMADD52HUQZ256rkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZ256rkz)
  .value("VPMADD52HUQZm", LIEF::assembly::x86::OPCODE::VPMADD52HUQZm)
  .value("VPMADD52HUQZmb", LIEF::assembly::x86::OPCODE::VPMADD52HUQZmb)
  .value("VPMADD52HUQZmbk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZmbk)
  .value("VPMADD52HUQZmbkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZmbkz)
  .value("VPMADD52HUQZmk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZmk)
  .value("VPMADD52HUQZmkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZmkz)
  .value("VPMADD52HUQZr", LIEF::assembly::x86::OPCODE::VPMADD52HUQZr)
  .value("VPMADD52HUQZrk", LIEF::assembly::x86::OPCODE::VPMADD52HUQZrk)
  .value("VPMADD52HUQZrkz", LIEF::assembly::x86::OPCODE::VPMADD52HUQZrkz)
  .value("VPMADD52HUQrm", LIEF::assembly::x86::OPCODE::VPMADD52HUQrm);
  opcodes.value("VPMADD52HUQrr", LIEF::assembly::x86::OPCODE::VPMADD52HUQrr)
  .value("VPMADD52LUQYrm", LIEF::assembly::x86::OPCODE::VPMADD52LUQYrm)
  .value("VPMADD52LUQYrr", LIEF::assembly::x86::OPCODE::VPMADD52LUQYrr)
  .value("VPMADD52LUQZ128m", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128m)
  .value("VPMADD52LUQZ128mb", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128mb)
  .value("VPMADD52LUQZ128mbk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128mbk)
  .value("VPMADD52LUQZ128mbkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128mbkz)
  .value("VPMADD52LUQZ128mk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128mk)
  .value("VPMADD52LUQZ128mkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128mkz)
  .value("VPMADD52LUQZ128r", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128r)
  .value("VPMADD52LUQZ128rk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128rk)
  .value("VPMADD52LUQZ128rkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ128rkz)
  .value("VPMADD52LUQZ256m", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256m)
  .value("VPMADD52LUQZ256mb", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256mb)
  .value("VPMADD52LUQZ256mbk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256mbk)
  .value("VPMADD52LUQZ256mbkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256mbkz)
  .value("VPMADD52LUQZ256mk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256mk)
  .value("VPMADD52LUQZ256mkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256mkz)
  .value("VPMADD52LUQZ256r", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256r)
  .value("VPMADD52LUQZ256rk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256rk)
  .value("VPMADD52LUQZ256rkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZ256rkz)
  .value("VPMADD52LUQZm", LIEF::assembly::x86::OPCODE::VPMADD52LUQZm)
  .value("VPMADD52LUQZmb", LIEF::assembly::x86::OPCODE::VPMADD52LUQZmb)
  .value("VPMADD52LUQZmbk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZmbk)
  .value("VPMADD52LUQZmbkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZmbkz)
  .value("VPMADD52LUQZmk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZmk)
  .value("VPMADD52LUQZmkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZmkz)
  .value("VPMADD52LUQZr", LIEF::assembly::x86::OPCODE::VPMADD52LUQZr)
  .value("VPMADD52LUQZrk", LIEF::assembly::x86::OPCODE::VPMADD52LUQZrk)
  .value("VPMADD52LUQZrkz", LIEF::assembly::x86::OPCODE::VPMADD52LUQZrkz)
  .value("VPMADD52LUQrm", LIEF::assembly::x86::OPCODE::VPMADD52LUQrm)
  .value("VPMADD52LUQrr", LIEF::assembly::x86::OPCODE::VPMADD52LUQrr)
  .value("VPMADDUBSWYrm", LIEF::assembly::x86::OPCODE::VPMADDUBSWYrm)
  .value("VPMADDUBSWYrr", LIEF::assembly::x86::OPCODE::VPMADDUBSWYrr)
  .value("VPMADDUBSWZ128rm", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ128rm)
  .value("VPMADDUBSWZ128rmk", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ128rmk)
  .value("VPMADDUBSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ128rmkz)
  .value("VPMADDUBSWZ128rr", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ128rr)
  .value("VPMADDUBSWZ128rrk", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ128rrk)
  .value("VPMADDUBSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ128rrkz)
  .value("VPMADDUBSWZ256rm", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ256rm)
  .value("VPMADDUBSWZ256rmk", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ256rmk)
  .value("VPMADDUBSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ256rmkz)
  .value("VPMADDUBSWZ256rr", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ256rr)
  .value("VPMADDUBSWZ256rrk", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ256rrk)
  .value("VPMADDUBSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMADDUBSWZ256rrkz)
  .value("VPMADDUBSWZrm", LIEF::assembly::x86::OPCODE::VPMADDUBSWZrm)
  .value("VPMADDUBSWZrmk", LIEF::assembly::x86::OPCODE::VPMADDUBSWZrmk)
  .value("VPMADDUBSWZrmkz", LIEF::assembly::x86::OPCODE::VPMADDUBSWZrmkz)
  .value("VPMADDUBSWZrr", LIEF::assembly::x86::OPCODE::VPMADDUBSWZrr)
  .value("VPMADDUBSWZrrk", LIEF::assembly::x86::OPCODE::VPMADDUBSWZrrk)
  .value("VPMADDUBSWZrrkz", LIEF::assembly::x86::OPCODE::VPMADDUBSWZrrkz)
  .value("VPMADDUBSWrm", LIEF::assembly::x86::OPCODE::VPMADDUBSWrm)
  .value("VPMADDUBSWrr", LIEF::assembly::x86::OPCODE::VPMADDUBSWrr)
  .value("VPMADDWDYrm", LIEF::assembly::x86::OPCODE::VPMADDWDYrm)
  .value("VPMADDWDYrr", LIEF::assembly::x86::OPCODE::VPMADDWDYrr)
  .value("VPMADDWDZ128rm", LIEF::assembly::x86::OPCODE::VPMADDWDZ128rm)
  .value("VPMADDWDZ128rmk", LIEF::assembly::x86::OPCODE::VPMADDWDZ128rmk)
  .value("VPMADDWDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMADDWDZ128rmkz)
  .value("VPMADDWDZ128rr", LIEF::assembly::x86::OPCODE::VPMADDWDZ128rr)
  .value("VPMADDWDZ128rrk", LIEF::assembly::x86::OPCODE::VPMADDWDZ128rrk)
  .value("VPMADDWDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMADDWDZ128rrkz)
  .value("VPMADDWDZ256rm", LIEF::assembly::x86::OPCODE::VPMADDWDZ256rm)
  .value("VPMADDWDZ256rmk", LIEF::assembly::x86::OPCODE::VPMADDWDZ256rmk)
  .value("VPMADDWDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMADDWDZ256rmkz)
  .value("VPMADDWDZ256rr", LIEF::assembly::x86::OPCODE::VPMADDWDZ256rr)
  .value("VPMADDWDZ256rrk", LIEF::assembly::x86::OPCODE::VPMADDWDZ256rrk)
  .value("VPMADDWDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMADDWDZ256rrkz)
  .value("VPMADDWDZrm", LIEF::assembly::x86::OPCODE::VPMADDWDZrm)
  .value("VPMADDWDZrmk", LIEF::assembly::x86::OPCODE::VPMADDWDZrmk)
  .value("VPMADDWDZrmkz", LIEF::assembly::x86::OPCODE::VPMADDWDZrmkz)
  .value("VPMADDWDZrr", LIEF::assembly::x86::OPCODE::VPMADDWDZrr)
  .value("VPMADDWDZrrk", LIEF::assembly::x86::OPCODE::VPMADDWDZrrk)
  .value("VPMADDWDZrrkz", LIEF::assembly::x86::OPCODE::VPMADDWDZrrkz)
  .value("VPMADDWDrm", LIEF::assembly::x86::OPCODE::VPMADDWDrm)
  .value("VPMADDWDrr", LIEF::assembly::x86::OPCODE::VPMADDWDrr)
  .value("VPMASKMOVDYmr", LIEF::assembly::x86::OPCODE::VPMASKMOVDYmr)
  .value("VPMASKMOVDYrm", LIEF::assembly::x86::OPCODE::VPMASKMOVDYrm)
  .value("VPMASKMOVDmr", LIEF::assembly::x86::OPCODE::VPMASKMOVDmr)
  .value("VPMASKMOVDrm", LIEF::assembly::x86::OPCODE::VPMASKMOVDrm)
  .value("VPMASKMOVQYmr", LIEF::assembly::x86::OPCODE::VPMASKMOVQYmr)
  .value("VPMASKMOVQYrm", LIEF::assembly::x86::OPCODE::VPMASKMOVQYrm)
  .value("VPMASKMOVQmr", LIEF::assembly::x86::OPCODE::VPMASKMOVQmr)
  .value("VPMASKMOVQrm", LIEF::assembly::x86::OPCODE::VPMASKMOVQrm)
  .value("VPMAXSBYrm", LIEF::assembly::x86::OPCODE::VPMAXSBYrm)
  .value("VPMAXSBYrr", LIEF::assembly::x86::OPCODE::VPMAXSBYrr)
  .value("VPMAXSBZ128rm", LIEF::assembly::x86::OPCODE::VPMAXSBZ128rm)
  .value("VPMAXSBZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXSBZ128rmk)
  .value("VPMAXSBZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXSBZ128rmkz)
  .value("VPMAXSBZ128rr", LIEF::assembly::x86::OPCODE::VPMAXSBZ128rr)
  .value("VPMAXSBZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXSBZ128rrk)
  .value("VPMAXSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXSBZ128rrkz)
  .value("VPMAXSBZ256rm", LIEF::assembly::x86::OPCODE::VPMAXSBZ256rm)
  .value("VPMAXSBZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXSBZ256rmk)
  .value("VPMAXSBZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXSBZ256rmkz)
  .value("VPMAXSBZ256rr", LIEF::assembly::x86::OPCODE::VPMAXSBZ256rr)
  .value("VPMAXSBZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXSBZ256rrk)
  .value("VPMAXSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXSBZ256rrkz)
  .value("VPMAXSBZrm", LIEF::assembly::x86::OPCODE::VPMAXSBZrm)
  .value("VPMAXSBZrmk", LIEF::assembly::x86::OPCODE::VPMAXSBZrmk)
  .value("VPMAXSBZrmkz", LIEF::assembly::x86::OPCODE::VPMAXSBZrmkz)
  .value("VPMAXSBZrr", LIEF::assembly::x86::OPCODE::VPMAXSBZrr)
  .value("VPMAXSBZrrk", LIEF::assembly::x86::OPCODE::VPMAXSBZrrk)
  .value("VPMAXSBZrrkz", LIEF::assembly::x86::OPCODE::VPMAXSBZrrkz)
  .value("VPMAXSBrm", LIEF::assembly::x86::OPCODE::VPMAXSBrm)
  .value("VPMAXSBrr", LIEF::assembly::x86::OPCODE::VPMAXSBrr)
  .value("VPMAXSDYrm", LIEF::assembly::x86::OPCODE::VPMAXSDYrm)
  .value("VPMAXSDYrr", LIEF::assembly::x86::OPCODE::VPMAXSDYrr)
  .value("VPMAXSDZ128rm", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rm)
  .value("VPMAXSDZ128rmb", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rmb)
  .value("VPMAXSDZ128rmbk", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rmbk)
  .value("VPMAXSDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rmbkz)
  .value("VPMAXSDZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rmk)
  .value("VPMAXSDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rmkz)
  .value("VPMAXSDZ128rr", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rr)
  .value("VPMAXSDZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rrk)
  .value("VPMAXSDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXSDZ128rrkz)
  .value("VPMAXSDZ256rm", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rm)
  .value("VPMAXSDZ256rmb", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rmb)
  .value("VPMAXSDZ256rmbk", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rmbk)
  .value("VPMAXSDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rmbkz)
  .value("VPMAXSDZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rmk)
  .value("VPMAXSDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rmkz)
  .value("VPMAXSDZ256rr", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rr)
  .value("VPMAXSDZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rrk)
  .value("VPMAXSDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXSDZ256rrkz)
  .value("VPMAXSDZrm", LIEF::assembly::x86::OPCODE::VPMAXSDZrm)
  .value("VPMAXSDZrmb", LIEF::assembly::x86::OPCODE::VPMAXSDZrmb)
  .value("VPMAXSDZrmbk", LIEF::assembly::x86::OPCODE::VPMAXSDZrmbk)
  .value("VPMAXSDZrmbkz", LIEF::assembly::x86::OPCODE::VPMAXSDZrmbkz)
  .value("VPMAXSDZrmk", LIEF::assembly::x86::OPCODE::VPMAXSDZrmk)
  .value("VPMAXSDZrmkz", LIEF::assembly::x86::OPCODE::VPMAXSDZrmkz)
  .value("VPMAXSDZrr", LIEF::assembly::x86::OPCODE::VPMAXSDZrr)
  .value("VPMAXSDZrrk", LIEF::assembly::x86::OPCODE::VPMAXSDZrrk)
  .value("VPMAXSDZrrkz", LIEF::assembly::x86::OPCODE::VPMAXSDZrrkz)
  .value("VPMAXSDrm", LIEF::assembly::x86::OPCODE::VPMAXSDrm)
  .value("VPMAXSDrr", LIEF::assembly::x86::OPCODE::VPMAXSDrr)
  .value("VPMAXSQZ128rm", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rm)
  .value("VPMAXSQZ128rmb", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rmb)
  .value("VPMAXSQZ128rmbk", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rmbk)
  .value("VPMAXSQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rmbkz)
  .value("VPMAXSQZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rmk)
  .value("VPMAXSQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rmkz)
  .value("VPMAXSQZ128rr", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rr)
  .value("VPMAXSQZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rrk)
  .value("VPMAXSQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXSQZ128rrkz)
  .value("VPMAXSQZ256rm", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rm)
  .value("VPMAXSQZ256rmb", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rmb)
  .value("VPMAXSQZ256rmbk", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rmbk)
  .value("VPMAXSQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rmbkz)
  .value("VPMAXSQZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rmk)
  .value("VPMAXSQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rmkz)
  .value("VPMAXSQZ256rr", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rr)
  .value("VPMAXSQZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rrk)
  .value("VPMAXSQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXSQZ256rrkz)
  .value("VPMAXSQZrm", LIEF::assembly::x86::OPCODE::VPMAXSQZrm)
  .value("VPMAXSQZrmb", LIEF::assembly::x86::OPCODE::VPMAXSQZrmb)
  .value("VPMAXSQZrmbk", LIEF::assembly::x86::OPCODE::VPMAXSQZrmbk)
  .value("VPMAXSQZrmbkz", LIEF::assembly::x86::OPCODE::VPMAXSQZrmbkz)
  .value("VPMAXSQZrmk", LIEF::assembly::x86::OPCODE::VPMAXSQZrmk)
  .value("VPMAXSQZrmkz", LIEF::assembly::x86::OPCODE::VPMAXSQZrmkz)
  .value("VPMAXSQZrr", LIEF::assembly::x86::OPCODE::VPMAXSQZrr)
  .value("VPMAXSQZrrk", LIEF::assembly::x86::OPCODE::VPMAXSQZrrk)
  .value("VPMAXSQZrrkz", LIEF::assembly::x86::OPCODE::VPMAXSQZrrkz)
  .value("VPMAXSWYrm", LIEF::assembly::x86::OPCODE::VPMAXSWYrm)
  .value("VPMAXSWYrr", LIEF::assembly::x86::OPCODE::VPMAXSWYrr)
  .value("VPMAXSWZ128rm", LIEF::assembly::x86::OPCODE::VPMAXSWZ128rm)
  .value("VPMAXSWZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXSWZ128rmk)
  .value("VPMAXSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXSWZ128rmkz)
  .value("VPMAXSWZ128rr", LIEF::assembly::x86::OPCODE::VPMAXSWZ128rr)
  .value("VPMAXSWZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXSWZ128rrk)
  .value("VPMAXSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXSWZ128rrkz)
  .value("VPMAXSWZ256rm", LIEF::assembly::x86::OPCODE::VPMAXSWZ256rm)
  .value("VPMAXSWZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXSWZ256rmk)
  .value("VPMAXSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXSWZ256rmkz)
  .value("VPMAXSWZ256rr", LIEF::assembly::x86::OPCODE::VPMAXSWZ256rr)
  .value("VPMAXSWZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXSWZ256rrk)
  .value("VPMAXSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXSWZ256rrkz)
  .value("VPMAXSWZrm", LIEF::assembly::x86::OPCODE::VPMAXSWZrm)
  .value("VPMAXSWZrmk", LIEF::assembly::x86::OPCODE::VPMAXSWZrmk)
  .value("VPMAXSWZrmkz", LIEF::assembly::x86::OPCODE::VPMAXSWZrmkz)
  .value("VPMAXSWZrr", LIEF::assembly::x86::OPCODE::VPMAXSWZrr)
  .value("VPMAXSWZrrk", LIEF::assembly::x86::OPCODE::VPMAXSWZrrk)
  .value("VPMAXSWZrrkz", LIEF::assembly::x86::OPCODE::VPMAXSWZrrkz)
  .value("VPMAXSWrm", LIEF::assembly::x86::OPCODE::VPMAXSWrm)
  .value("VPMAXSWrr", LIEF::assembly::x86::OPCODE::VPMAXSWrr)
  .value("VPMAXUBYrm", LIEF::assembly::x86::OPCODE::VPMAXUBYrm)
  .value("VPMAXUBYrr", LIEF::assembly::x86::OPCODE::VPMAXUBYrr)
  .value("VPMAXUBZ128rm", LIEF::assembly::x86::OPCODE::VPMAXUBZ128rm)
  .value("VPMAXUBZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXUBZ128rmk)
  .value("VPMAXUBZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXUBZ128rmkz)
  .value("VPMAXUBZ128rr", LIEF::assembly::x86::OPCODE::VPMAXUBZ128rr)
  .value("VPMAXUBZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXUBZ128rrk)
  .value("VPMAXUBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXUBZ128rrkz)
  .value("VPMAXUBZ256rm", LIEF::assembly::x86::OPCODE::VPMAXUBZ256rm)
  .value("VPMAXUBZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXUBZ256rmk)
  .value("VPMAXUBZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXUBZ256rmkz)
  .value("VPMAXUBZ256rr", LIEF::assembly::x86::OPCODE::VPMAXUBZ256rr)
  .value("VPMAXUBZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXUBZ256rrk)
  .value("VPMAXUBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXUBZ256rrkz)
  .value("VPMAXUBZrm", LIEF::assembly::x86::OPCODE::VPMAXUBZrm)
  .value("VPMAXUBZrmk", LIEF::assembly::x86::OPCODE::VPMAXUBZrmk)
  .value("VPMAXUBZrmkz", LIEF::assembly::x86::OPCODE::VPMAXUBZrmkz)
  .value("VPMAXUBZrr", LIEF::assembly::x86::OPCODE::VPMAXUBZrr)
  .value("VPMAXUBZrrk", LIEF::assembly::x86::OPCODE::VPMAXUBZrrk)
  .value("VPMAXUBZrrkz", LIEF::assembly::x86::OPCODE::VPMAXUBZrrkz)
  .value("VPMAXUBrm", LIEF::assembly::x86::OPCODE::VPMAXUBrm)
  .value("VPMAXUBrr", LIEF::assembly::x86::OPCODE::VPMAXUBrr)
  .value("VPMAXUDYrm", LIEF::assembly::x86::OPCODE::VPMAXUDYrm)
  .value("VPMAXUDYrr", LIEF::assembly::x86::OPCODE::VPMAXUDYrr)
  .value("VPMAXUDZ128rm", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rm)
  .value("VPMAXUDZ128rmb", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rmb)
  .value("VPMAXUDZ128rmbk", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rmbk)
  .value("VPMAXUDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rmbkz)
  .value("VPMAXUDZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rmk)
  .value("VPMAXUDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rmkz)
  .value("VPMAXUDZ128rr", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rr)
  .value("VPMAXUDZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rrk)
  .value("VPMAXUDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXUDZ128rrkz)
  .value("VPMAXUDZ256rm", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rm)
  .value("VPMAXUDZ256rmb", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rmb)
  .value("VPMAXUDZ256rmbk", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rmbk)
  .value("VPMAXUDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rmbkz)
  .value("VPMAXUDZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rmk)
  .value("VPMAXUDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rmkz)
  .value("VPMAXUDZ256rr", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rr)
  .value("VPMAXUDZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rrk)
  .value("VPMAXUDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXUDZ256rrkz)
  .value("VPMAXUDZrm", LIEF::assembly::x86::OPCODE::VPMAXUDZrm)
  .value("VPMAXUDZrmb", LIEF::assembly::x86::OPCODE::VPMAXUDZrmb)
  .value("VPMAXUDZrmbk", LIEF::assembly::x86::OPCODE::VPMAXUDZrmbk)
  .value("VPMAXUDZrmbkz", LIEF::assembly::x86::OPCODE::VPMAXUDZrmbkz)
  .value("VPMAXUDZrmk", LIEF::assembly::x86::OPCODE::VPMAXUDZrmk)
  .value("VPMAXUDZrmkz", LIEF::assembly::x86::OPCODE::VPMAXUDZrmkz)
  .value("VPMAXUDZrr", LIEF::assembly::x86::OPCODE::VPMAXUDZrr)
  .value("VPMAXUDZrrk", LIEF::assembly::x86::OPCODE::VPMAXUDZrrk)
  .value("VPMAXUDZrrkz", LIEF::assembly::x86::OPCODE::VPMAXUDZrrkz)
  .value("VPMAXUDrm", LIEF::assembly::x86::OPCODE::VPMAXUDrm)
  .value("VPMAXUDrr", LIEF::assembly::x86::OPCODE::VPMAXUDrr)
  .value("VPMAXUQZ128rm", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rm)
  .value("VPMAXUQZ128rmb", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rmb)
  .value("VPMAXUQZ128rmbk", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rmbk)
  .value("VPMAXUQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rmbkz)
  .value("VPMAXUQZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rmk)
  .value("VPMAXUQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rmkz)
  .value("VPMAXUQZ128rr", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rr)
  .value("VPMAXUQZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rrk)
  .value("VPMAXUQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXUQZ128rrkz)
  .value("VPMAXUQZ256rm", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rm)
  .value("VPMAXUQZ256rmb", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rmb)
  .value("VPMAXUQZ256rmbk", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rmbk)
  .value("VPMAXUQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rmbkz)
  .value("VPMAXUQZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rmk)
  .value("VPMAXUQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rmkz)
  .value("VPMAXUQZ256rr", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rr)
  .value("VPMAXUQZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rrk)
  .value("VPMAXUQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXUQZ256rrkz)
  .value("VPMAXUQZrm", LIEF::assembly::x86::OPCODE::VPMAXUQZrm)
  .value("VPMAXUQZrmb", LIEF::assembly::x86::OPCODE::VPMAXUQZrmb)
  .value("VPMAXUQZrmbk", LIEF::assembly::x86::OPCODE::VPMAXUQZrmbk)
  .value("VPMAXUQZrmbkz", LIEF::assembly::x86::OPCODE::VPMAXUQZrmbkz)
  .value("VPMAXUQZrmk", LIEF::assembly::x86::OPCODE::VPMAXUQZrmk)
  .value("VPMAXUQZrmkz", LIEF::assembly::x86::OPCODE::VPMAXUQZrmkz)
  .value("VPMAXUQZrr", LIEF::assembly::x86::OPCODE::VPMAXUQZrr)
  .value("VPMAXUQZrrk", LIEF::assembly::x86::OPCODE::VPMAXUQZrrk)
  .value("VPMAXUQZrrkz", LIEF::assembly::x86::OPCODE::VPMAXUQZrrkz)
  .value("VPMAXUWYrm", LIEF::assembly::x86::OPCODE::VPMAXUWYrm)
  .value("VPMAXUWYrr", LIEF::assembly::x86::OPCODE::VPMAXUWYrr)
  .value("VPMAXUWZ128rm", LIEF::assembly::x86::OPCODE::VPMAXUWZ128rm)
  .value("VPMAXUWZ128rmk", LIEF::assembly::x86::OPCODE::VPMAXUWZ128rmk)
  .value("VPMAXUWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMAXUWZ128rmkz)
  .value("VPMAXUWZ128rr", LIEF::assembly::x86::OPCODE::VPMAXUWZ128rr)
  .value("VPMAXUWZ128rrk", LIEF::assembly::x86::OPCODE::VPMAXUWZ128rrk)
  .value("VPMAXUWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMAXUWZ128rrkz)
  .value("VPMAXUWZ256rm", LIEF::assembly::x86::OPCODE::VPMAXUWZ256rm)
  .value("VPMAXUWZ256rmk", LIEF::assembly::x86::OPCODE::VPMAXUWZ256rmk)
  .value("VPMAXUWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMAXUWZ256rmkz)
  .value("VPMAXUWZ256rr", LIEF::assembly::x86::OPCODE::VPMAXUWZ256rr)
  .value("VPMAXUWZ256rrk", LIEF::assembly::x86::OPCODE::VPMAXUWZ256rrk)
  .value("VPMAXUWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMAXUWZ256rrkz)
  .value("VPMAXUWZrm", LIEF::assembly::x86::OPCODE::VPMAXUWZrm)
  .value("VPMAXUWZrmk", LIEF::assembly::x86::OPCODE::VPMAXUWZrmk)
  .value("VPMAXUWZrmkz", LIEF::assembly::x86::OPCODE::VPMAXUWZrmkz)
  .value("VPMAXUWZrr", LIEF::assembly::x86::OPCODE::VPMAXUWZrr)
  .value("VPMAXUWZrrk", LIEF::assembly::x86::OPCODE::VPMAXUWZrrk)
  .value("VPMAXUWZrrkz", LIEF::assembly::x86::OPCODE::VPMAXUWZrrkz)
  .value("VPMAXUWrm", LIEF::assembly::x86::OPCODE::VPMAXUWrm)
  .value("VPMAXUWrr", LIEF::assembly::x86::OPCODE::VPMAXUWrr)
  .value("VPMINSBYrm", LIEF::assembly::x86::OPCODE::VPMINSBYrm)
  .value("VPMINSBYrr", LIEF::assembly::x86::OPCODE::VPMINSBYrr)
  .value("VPMINSBZ128rm", LIEF::assembly::x86::OPCODE::VPMINSBZ128rm)
  .value("VPMINSBZ128rmk", LIEF::assembly::x86::OPCODE::VPMINSBZ128rmk)
  .value("VPMINSBZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINSBZ128rmkz)
  .value("VPMINSBZ128rr", LIEF::assembly::x86::OPCODE::VPMINSBZ128rr)
  .value("VPMINSBZ128rrk", LIEF::assembly::x86::OPCODE::VPMINSBZ128rrk)
  .value("VPMINSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINSBZ128rrkz)
  .value("VPMINSBZ256rm", LIEF::assembly::x86::OPCODE::VPMINSBZ256rm)
  .value("VPMINSBZ256rmk", LIEF::assembly::x86::OPCODE::VPMINSBZ256rmk)
  .value("VPMINSBZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINSBZ256rmkz)
  .value("VPMINSBZ256rr", LIEF::assembly::x86::OPCODE::VPMINSBZ256rr);
  opcodes.value("VPMINSBZ256rrk", LIEF::assembly::x86::OPCODE::VPMINSBZ256rrk)
  .value("VPMINSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINSBZ256rrkz)
  .value("VPMINSBZrm", LIEF::assembly::x86::OPCODE::VPMINSBZrm)
  .value("VPMINSBZrmk", LIEF::assembly::x86::OPCODE::VPMINSBZrmk)
  .value("VPMINSBZrmkz", LIEF::assembly::x86::OPCODE::VPMINSBZrmkz)
  .value("VPMINSBZrr", LIEF::assembly::x86::OPCODE::VPMINSBZrr)
  .value("VPMINSBZrrk", LIEF::assembly::x86::OPCODE::VPMINSBZrrk)
  .value("VPMINSBZrrkz", LIEF::assembly::x86::OPCODE::VPMINSBZrrkz)
  .value("VPMINSBrm", LIEF::assembly::x86::OPCODE::VPMINSBrm)
  .value("VPMINSBrr", LIEF::assembly::x86::OPCODE::VPMINSBrr)
  .value("VPMINSDYrm", LIEF::assembly::x86::OPCODE::VPMINSDYrm)
  .value("VPMINSDYrr", LIEF::assembly::x86::OPCODE::VPMINSDYrr)
  .value("VPMINSDZ128rm", LIEF::assembly::x86::OPCODE::VPMINSDZ128rm)
  .value("VPMINSDZ128rmb", LIEF::assembly::x86::OPCODE::VPMINSDZ128rmb)
  .value("VPMINSDZ128rmbk", LIEF::assembly::x86::OPCODE::VPMINSDZ128rmbk)
  .value("VPMINSDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMINSDZ128rmbkz)
  .value("VPMINSDZ128rmk", LIEF::assembly::x86::OPCODE::VPMINSDZ128rmk)
  .value("VPMINSDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINSDZ128rmkz)
  .value("VPMINSDZ128rr", LIEF::assembly::x86::OPCODE::VPMINSDZ128rr)
  .value("VPMINSDZ128rrk", LIEF::assembly::x86::OPCODE::VPMINSDZ128rrk)
  .value("VPMINSDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINSDZ128rrkz)
  .value("VPMINSDZ256rm", LIEF::assembly::x86::OPCODE::VPMINSDZ256rm)
  .value("VPMINSDZ256rmb", LIEF::assembly::x86::OPCODE::VPMINSDZ256rmb)
  .value("VPMINSDZ256rmbk", LIEF::assembly::x86::OPCODE::VPMINSDZ256rmbk)
  .value("VPMINSDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMINSDZ256rmbkz)
  .value("VPMINSDZ256rmk", LIEF::assembly::x86::OPCODE::VPMINSDZ256rmk)
  .value("VPMINSDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINSDZ256rmkz)
  .value("VPMINSDZ256rr", LIEF::assembly::x86::OPCODE::VPMINSDZ256rr)
  .value("VPMINSDZ256rrk", LIEF::assembly::x86::OPCODE::VPMINSDZ256rrk)
  .value("VPMINSDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINSDZ256rrkz)
  .value("VPMINSDZrm", LIEF::assembly::x86::OPCODE::VPMINSDZrm)
  .value("VPMINSDZrmb", LIEF::assembly::x86::OPCODE::VPMINSDZrmb)
  .value("VPMINSDZrmbk", LIEF::assembly::x86::OPCODE::VPMINSDZrmbk)
  .value("VPMINSDZrmbkz", LIEF::assembly::x86::OPCODE::VPMINSDZrmbkz)
  .value("VPMINSDZrmk", LIEF::assembly::x86::OPCODE::VPMINSDZrmk)
  .value("VPMINSDZrmkz", LIEF::assembly::x86::OPCODE::VPMINSDZrmkz)
  .value("VPMINSDZrr", LIEF::assembly::x86::OPCODE::VPMINSDZrr)
  .value("VPMINSDZrrk", LIEF::assembly::x86::OPCODE::VPMINSDZrrk)
  .value("VPMINSDZrrkz", LIEF::assembly::x86::OPCODE::VPMINSDZrrkz)
  .value("VPMINSDrm", LIEF::assembly::x86::OPCODE::VPMINSDrm)
  .value("VPMINSDrr", LIEF::assembly::x86::OPCODE::VPMINSDrr)
  .value("VPMINSQZ128rm", LIEF::assembly::x86::OPCODE::VPMINSQZ128rm)
  .value("VPMINSQZ128rmb", LIEF::assembly::x86::OPCODE::VPMINSQZ128rmb)
  .value("VPMINSQZ128rmbk", LIEF::assembly::x86::OPCODE::VPMINSQZ128rmbk)
  .value("VPMINSQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMINSQZ128rmbkz)
  .value("VPMINSQZ128rmk", LIEF::assembly::x86::OPCODE::VPMINSQZ128rmk)
  .value("VPMINSQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINSQZ128rmkz)
  .value("VPMINSQZ128rr", LIEF::assembly::x86::OPCODE::VPMINSQZ128rr)
  .value("VPMINSQZ128rrk", LIEF::assembly::x86::OPCODE::VPMINSQZ128rrk)
  .value("VPMINSQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINSQZ128rrkz)
  .value("VPMINSQZ256rm", LIEF::assembly::x86::OPCODE::VPMINSQZ256rm)
  .value("VPMINSQZ256rmb", LIEF::assembly::x86::OPCODE::VPMINSQZ256rmb)
  .value("VPMINSQZ256rmbk", LIEF::assembly::x86::OPCODE::VPMINSQZ256rmbk)
  .value("VPMINSQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMINSQZ256rmbkz)
  .value("VPMINSQZ256rmk", LIEF::assembly::x86::OPCODE::VPMINSQZ256rmk)
  .value("VPMINSQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINSQZ256rmkz)
  .value("VPMINSQZ256rr", LIEF::assembly::x86::OPCODE::VPMINSQZ256rr)
  .value("VPMINSQZ256rrk", LIEF::assembly::x86::OPCODE::VPMINSQZ256rrk)
  .value("VPMINSQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINSQZ256rrkz)
  .value("VPMINSQZrm", LIEF::assembly::x86::OPCODE::VPMINSQZrm)
  .value("VPMINSQZrmb", LIEF::assembly::x86::OPCODE::VPMINSQZrmb)
  .value("VPMINSQZrmbk", LIEF::assembly::x86::OPCODE::VPMINSQZrmbk)
  .value("VPMINSQZrmbkz", LIEF::assembly::x86::OPCODE::VPMINSQZrmbkz)
  .value("VPMINSQZrmk", LIEF::assembly::x86::OPCODE::VPMINSQZrmk)
  .value("VPMINSQZrmkz", LIEF::assembly::x86::OPCODE::VPMINSQZrmkz)
  .value("VPMINSQZrr", LIEF::assembly::x86::OPCODE::VPMINSQZrr)
  .value("VPMINSQZrrk", LIEF::assembly::x86::OPCODE::VPMINSQZrrk)
  .value("VPMINSQZrrkz", LIEF::assembly::x86::OPCODE::VPMINSQZrrkz)
  .value("VPMINSWYrm", LIEF::assembly::x86::OPCODE::VPMINSWYrm)
  .value("VPMINSWYrr", LIEF::assembly::x86::OPCODE::VPMINSWYrr)
  .value("VPMINSWZ128rm", LIEF::assembly::x86::OPCODE::VPMINSWZ128rm)
  .value("VPMINSWZ128rmk", LIEF::assembly::x86::OPCODE::VPMINSWZ128rmk)
  .value("VPMINSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINSWZ128rmkz)
  .value("VPMINSWZ128rr", LIEF::assembly::x86::OPCODE::VPMINSWZ128rr)
  .value("VPMINSWZ128rrk", LIEF::assembly::x86::OPCODE::VPMINSWZ128rrk)
  .value("VPMINSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINSWZ128rrkz)
  .value("VPMINSWZ256rm", LIEF::assembly::x86::OPCODE::VPMINSWZ256rm)
  .value("VPMINSWZ256rmk", LIEF::assembly::x86::OPCODE::VPMINSWZ256rmk)
  .value("VPMINSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINSWZ256rmkz)
  .value("VPMINSWZ256rr", LIEF::assembly::x86::OPCODE::VPMINSWZ256rr)
  .value("VPMINSWZ256rrk", LIEF::assembly::x86::OPCODE::VPMINSWZ256rrk)
  .value("VPMINSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINSWZ256rrkz)
  .value("VPMINSWZrm", LIEF::assembly::x86::OPCODE::VPMINSWZrm)
  .value("VPMINSWZrmk", LIEF::assembly::x86::OPCODE::VPMINSWZrmk)
  .value("VPMINSWZrmkz", LIEF::assembly::x86::OPCODE::VPMINSWZrmkz)
  .value("VPMINSWZrr", LIEF::assembly::x86::OPCODE::VPMINSWZrr)
  .value("VPMINSWZrrk", LIEF::assembly::x86::OPCODE::VPMINSWZrrk)
  .value("VPMINSWZrrkz", LIEF::assembly::x86::OPCODE::VPMINSWZrrkz)
  .value("VPMINSWrm", LIEF::assembly::x86::OPCODE::VPMINSWrm)
  .value("VPMINSWrr", LIEF::assembly::x86::OPCODE::VPMINSWrr)
  .value("VPMINUBYrm", LIEF::assembly::x86::OPCODE::VPMINUBYrm)
  .value("VPMINUBYrr", LIEF::assembly::x86::OPCODE::VPMINUBYrr)
  .value("VPMINUBZ128rm", LIEF::assembly::x86::OPCODE::VPMINUBZ128rm)
  .value("VPMINUBZ128rmk", LIEF::assembly::x86::OPCODE::VPMINUBZ128rmk)
  .value("VPMINUBZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINUBZ128rmkz)
  .value("VPMINUBZ128rr", LIEF::assembly::x86::OPCODE::VPMINUBZ128rr)
  .value("VPMINUBZ128rrk", LIEF::assembly::x86::OPCODE::VPMINUBZ128rrk)
  .value("VPMINUBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINUBZ128rrkz)
  .value("VPMINUBZ256rm", LIEF::assembly::x86::OPCODE::VPMINUBZ256rm)
  .value("VPMINUBZ256rmk", LIEF::assembly::x86::OPCODE::VPMINUBZ256rmk)
  .value("VPMINUBZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINUBZ256rmkz)
  .value("VPMINUBZ256rr", LIEF::assembly::x86::OPCODE::VPMINUBZ256rr)
  .value("VPMINUBZ256rrk", LIEF::assembly::x86::OPCODE::VPMINUBZ256rrk)
  .value("VPMINUBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINUBZ256rrkz)
  .value("VPMINUBZrm", LIEF::assembly::x86::OPCODE::VPMINUBZrm)
  .value("VPMINUBZrmk", LIEF::assembly::x86::OPCODE::VPMINUBZrmk)
  .value("VPMINUBZrmkz", LIEF::assembly::x86::OPCODE::VPMINUBZrmkz)
  .value("VPMINUBZrr", LIEF::assembly::x86::OPCODE::VPMINUBZrr)
  .value("VPMINUBZrrk", LIEF::assembly::x86::OPCODE::VPMINUBZrrk)
  .value("VPMINUBZrrkz", LIEF::assembly::x86::OPCODE::VPMINUBZrrkz)
  .value("VPMINUBrm", LIEF::assembly::x86::OPCODE::VPMINUBrm)
  .value("VPMINUBrr", LIEF::assembly::x86::OPCODE::VPMINUBrr)
  .value("VPMINUDYrm", LIEF::assembly::x86::OPCODE::VPMINUDYrm)
  .value("VPMINUDYrr", LIEF::assembly::x86::OPCODE::VPMINUDYrr)
  .value("VPMINUDZ128rm", LIEF::assembly::x86::OPCODE::VPMINUDZ128rm)
  .value("VPMINUDZ128rmb", LIEF::assembly::x86::OPCODE::VPMINUDZ128rmb)
  .value("VPMINUDZ128rmbk", LIEF::assembly::x86::OPCODE::VPMINUDZ128rmbk)
  .value("VPMINUDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMINUDZ128rmbkz)
  .value("VPMINUDZ128rmk", LIEF::assembly::x86::OPCODE::VPMINUDZ128rmk)
  .value("VPMINUDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINUDZ128rmkz)
  .value("VPMINUDZ128rr", LIEF::assembly::x86::OPCODE::VPMINUDZ128rr)
  .value("VPMINUDZ128rrk", LIEF::assembly::x86::OPCODE::VPMINUDZ128rrk)
  .value("VPMINUDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINUDZ128rrkz)
  .value("VPMINUDZ256rm", LIEF::assembly::x86::OPCODE::VPMINUDZ256rm)
  .value("VPMINUDZ256rmb", LIEF::assembly::x86::OPCODE::VPMINUDZ256rmb)
  .value("VPMINUDZ256rmbk", LIEF::assembly::x86::OPCODE::VPMINUDZ256rmbk)
  .value("VPMINUDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMINUDZ256rmbkz)
  .value("VPMINUDZ256rmk", LIEF::assembly::x86::OPCODE::VPMINUDZ256rmk)
  .value("VPMINUDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINUDZ256rmkz)
  .value("VPMINUDZ256rr", LIEF::assembly::x86::OPCODE::VPMINUDZ256rr)
  .value("VPMINUDZ256rrk", LIEF::assembly::x86::OPCODE::VPMINUDZ256rrk)
  .value("VPMINUDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINUDZ256rrkz)
  .value("VPMINUDZrm", LIEF::assembly::x86::OPCODE::VPMINUDZrm)
  .value("VPMINUDZrmb", LIEF::assembly::x86::OPCODE::VPMINUDZrmb)
  .value("VPMINUDZrmbk", LIEF::assembly::x86::OPCODE::VPMINUDZrmbk)
  .value("VPMINUDZrmbkz", LIEF::assembly::x86::OPCODE::VPMINUDZrmbkz)
  .value("VPMINUDZrmk", LIEF::assembly::x86::OPCODE::VPMINUDZrmk)
  .value("VPMINUDZrmkz", LIEF::assembly::x86::OPCODE::VPMINUDZrmkz)
  .value("VPMINUDZrr", LIEF::assembly::x86::OPCODE::VPMINUDZrr)
  .value("VPMINUDZrrk", LIEF::assembly::x86::OPCODE::VPMINUDZrrk)
  .value("VPMINUDZrrkz", LIEF::assembly::x86::OPCODE::VPMINUDZrrkz)
  .value("VPMINUDrm", LIEF::assembly::x86::OPCODE::VPMINUDrm)
  .value("VPMINUDrr", LIEF::assembly::x86::OPCODE::VPMINUDrr)
  .value("VPMINUQZ128rm", LIEF::assembly::x86::OPCODE::VPMINUQZ128rm)
  .value("VPMINUQZ128rmb", LIEF::assembly::x86::OPCODE::VPMINUQZ128rmb)
  .value("VPMINUQZ128rmbk", LIEF::assembly::x86::OPCODE::VPMINUQZ128rmbk)
  .value("VPMINUQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMINUQZ128rmbkz)
  .value("VPMINUQZ128rmk", LIEF::assembly::x86::OPCODE::VPMINUQZ128rmk)
  .value("VPMINUQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINUQZ128rmkz)
  .value("VPMINUQZ128rr", LIEF::assembly::x86::OPCODE::VPMINUQZ128rr)
  .value("VPMINUQZ128rrk", LIEF::assembly::x86::OPCODE::VPMINUQZ128rrk)
  .value("VPMINUQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINUQZ128rrkz)
  .value("VPMINUQZ256rm", LIEF::assembly::x86::OPCODE::VPMINUQZ256rm)
  .value("VPMINUQZ256rmb", LIEF::assembly::x86::OPCODE::VPMINUQZ256rmb)
  .value("VPMINUQZ256rmbk", LIEF::assembly::x86::OPCODE::VPMINUQZ256rmbk)
  .value("VPMINUQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMINUQZ256rmbkz)
  .value("VPMINUQZ256rmk", LIEF::assembly::x86::OPCODE::VPMINUQZ256rmk)
  .value("VPMINUQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINUQZ256rmkz)
  .value("VPMINUQZ256rr", LIEF::assembly::x86::OPCODE::VPMINUQZ256rr)
  .value("VPMINUQZ256rrk", LIEF::assembly::x86::OPCODE::VPMINUQZ256rrk)
  .value("VPMINUQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINUQZ256rrkz)
  .value("VPMINUQZrm", LIEF::assembly::x86::OPCODE::VPMINUQZrm)
  .value("VPMINUQZrmb", LIEF::assembly::x86::OPCODE::VPMINUQZrmb)
  .value("VPMINUQZrmbk", LIEF::assembly::x86::OPCODE::VPMINUQZrmbk)
  .value("VPMINUQZrmbkz", LIEF::assembly::x86::OPCODE::VPMINUQZrmbkz)
  .value("VPMINUQZrmk", LIEF::assembly::x86::OPCODE::VPMINUQZrmk)
  .value("VPMINUQZrmkz", LIEF::assembly::x86::OPCODE::VPMINUQZrmkz)
  .value("VPMINUQZrr", LIEF::assembly::x86::OPCODE::VPMINUQZrr)
  .value("VPMINUQZrrk", LIEF::assembly::x86::OPCODE::VPMINUQZrrk)
  .value("VPMINUQZrrkz", LIEF::assembly::x86::OPCODE::VPMINUQZrrkz)
  .value("VPMINUWYrm", LIEF::assembly::x86::OPCODE::VPMINUWYrm)
  .value("VPMINUWYrr", LIEF::assembly::x86::OPCODE::VPMINUWYrr)
  .value("VPMINUWZ128rm", LIEF::assembly::x86::OPCODE::VPMINUWZ128rm)
  .value("VPMINUWZ128rmk", LIEF::assembly::x86::OPCODE::VPMINUWZ128rmk)
  .value("VPMINUWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMINUWZ128rmkz)
  .value("VPMINUWZ128rr", LIEF::assembly::x86::OPCODE::VPMINUWZ128rr)
  .value("VPMINUWZ128rrk", LIEF::assembly::x86::OPCODE::VPMINUWZ128rrk)
  .value("VPMINUWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMINUWZ128rrkz)
  .value("VPMINUWZ256rm", LIEF::assembly::x86::OPCODE::VPMINUWZ256rm)
  .value("VPMINUWZ256rmk", LIEF::assembly::x86::OPCODE::VPMINUWZ256rmk)
  .value("VPMINUWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMINUWZ256rmkz)
  .value("VPMINUWZ256rr", LIEF::assembly::x86::OPCODE::VPMINUWZ256rr)
  .value("VPMINUWZ256rrk", LIEF::assembly::x86::OPCODE::VPMINUWZ256rrk)
  .value("VPMINUWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMINUWZ256rrkz)
  .value("VPMINUWZrm", LIEF::assembly::x86::OPCODE::VPMINUWZrm)
  .value("VPMINUWZrmk", LIEF::assembly::x86::OPCODE::VPMINUWZrmk)
  .value("VPMINUWZrmkz", LIEF::assembly::x86::OPCODE::VPMINUWZrmkz)
  .value("VPMINUWZrr", LIEF::assembly::x86::OPCODE::VPMINUWZrr)
  .value("VPMINUWZrrk", LIEF::assembly::x86::OPCODE::VPMINUWZrrk)
  .value("VPMINUWZrrkz", LIEF::assembly::x86::OPCODE::VPMINUWZrrkz)
  .value("VPMINUWrm", LIEF::assembly::x86::OPCODE::VPMINUWrm)
  .value("VPMINUWrr", LIEF::assembly::x86::OPCODE::VPMINUWrr)
  .value("VPMOVB2MZ128rr", LIEF::assembly::x86::OPCODE::VPMOVB2MZ128rr)
  .value("VPMOVB2MZ256rr", LIEF::assembly::x86::OPCODE::VPMOVB2MZ256rr)
  .value("VPMOVB2MZrr", LIEF::assembly::x86::OPCODE::VPMOVB2MZrr)
  .value("VPMOVD2MZ128rr", LIEF::assembly::x86::OPCODE::VPMOVD2MZ128rr)
  .value("VPMOVD2MZ256rr", LIEF::assembly::x86::OPCODE::VPMOVD2MZ256rr)
  .value("VPMOVD2MZrr", LIEF::assembly::x86::OPCODE::VPMOVD2MZrr)
  .value("VPMOVDBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVDBZ128mr)
  .value("VPMOVDBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVDBZ128mrk)
  .value("VPMOVDBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVDBZ128rr)
  .value("VPMOVDBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVDBZ128rrk)
  .value("VPMOVDBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVDBZ128rrkz)
  .value("VPMOVDBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVDBZ256mr)
  .value("VPMOVDBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVDBZ256mrk)
  .value("VPMOVDBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVDBZ256rr)
  .value("VPMOVDBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVDBZ256rrk)
  .value("VPMOVDBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVDBZ256rrkz)
  .value("VPMOVDBZmr", LIEF::assembly::x86::OPCODE::VPMOVDBZmr)
  .value("VPMOVDBZmrk", LIEF::assembly::x86::OPCODE::VPMOVDBZmrk)
  .value("VPMOVDBZrr", LIEF::assembly::x86::OPCODE::VPMOVDBZrr)
  .value("VPMOVDBZrrk", LIEF::assembly::x86::OPCODE::VPMOVDBZrrk)
  .value("VPMOVDBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVDBZrrkz)
  .value("VPMOVDWZ128mr", LIEF::assembly::x86::OPCODE::VPMOVDWZ128mr)
  .value("VPMOVDWZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVDWZ128mrk)
  .value("VPMOVDWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVDWZ128rr)
  .value("VPMOVDWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVDWZ128rrk)
  .value("VPMOVDWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVDWZ128rrkz)
  .value("VPMOVDWZ256mr", LIEF::assembly::x86::OPCODE::VPMOVDWZ256mr)
  .value("VPMOVDWZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVDWZ256mrk)
  .value("VPMOVDWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVDWZ256rr)
  .value("VPMOVDWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVDWZ256rrk)
  .value("VPMOVDWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVDWZ256rrkz)
  .value("VPMOVDWZmr", LIEF::assembly::x86::OPCODE::VPMOVDWZmr)
  .value("VPMOVDWZmrk", LIEF::assembly::x86::OPCODE::VPMOVDWZmrk)
  .value("VPMOVDWZrr", LIEF::assembly::x86::OPCODE::VPMOVDWZrr)
  .value("VPMOVDWZrrk", LIEF::assembly::x86::OPCODE::VPMOVDWZrrk)
  .value("VPMOVDWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVDWZrrkz)
  .value("VPMOVM2BZ128rr", LIEF::assembly::x86::OPCODE::VPMOVM2BZ128rr)
  .value("VPMOVM2BZ256rr", LIEF::assembly::x86::OPCODE::VPMOVM2BZ256rr)
  .value("VPMOVM2BZrr", LIEF::assembly::x86::OPCODE::VPMOVM2BZrr)
  .value("VPMOVM2DZ128rr", LIEF::assembly::x86::OPCODE::VPMOVM2DZ128rr)
  .value("VPMOVM2DZ256rr", LIEF::assembly::x86::OPCODE::VPMOVM2DZ256rr)
  .value("VPMOVM2DZrr", LIEF::assembly::x86::OPCODE::VPMOVM2DZrr)
  .value("VPMOVM2QZ128rr", LIEF::assembly::x86::OPCODE::VPMOVM2QZ128rr)
  .value("VPMOVM2QZ256rr", LIEF::assembly::x86::OPCODE::VPMOVM2QZ256rr)
  .value("VPMOVM2QZrr", LIEF::assembly::x86::OPCODE::VPMOVM2QZrr)
  .value("VPMOVM2WZ128rr", LIEF::assembly::x86::OPCODE::VPMOVM2WZ128rr)
  .value("VPMOVM2WZ256rr", LIEF::assembly::x86::OPCODE::VPMOVM2WZ256rr)
  .value("VPMOVM2WZrr", LIEF::assembly::x86::OPCODE::VPMOVM2WZrr)
  .value("VPMOVMSKBYrr", LIEF::assembly::x86::OPCODE::VPMOVMSKBYrr)
  .value("VPMOVMSKBrr", LIEF::assembly::x86::OPCODE::VPMOVMSKBrr)
  .value("VPMOVQ2MZ128rr", LIEF::assembly::x86::OPCODE::VPMOVQ2MZ128rr)
  .value("VPMOVQ2MZ256rr", LIEF::assembly::x86::OPCODE::VPMOVQ2MZ256rr)
  .value("VPMOVQ2MZrr", LIEF::assembly::x86::OPCODE::VPMOVQ2MZrr)
  .value("VPMOVQBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVQBZ128mr)
  .value("VPMOVQBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVQBZ128mrk)
  .value("VPMOVQBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVQBZ128rr)
  .value("VPMOVQBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVQBZ128rrk)
  .value("VPMOVQBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVQBZ128rrkz)
  .value("VPMOVQBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVQBZ256mr)
  .value("VPMOVQBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVQBZ256mrk)
  .value("VPMOVQBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVQBZ256rr)
  .value("VPMOVQBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVQBZ256rrk)
  .value("VPMOVQBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVQBZ256rrkz)
  .value("VPMOVQBZmr", LIEF::assembly::x86::OPCODE::VPMOVQBZmr)
  .value("VPMOVQBZmrk", LIEF::assembly::x86::OPCODE::VPMOVQBZmrk)
  .value("VPMOVQBZrr", LIEF::assembly::x86::OPCODE::VPMOVQBZrr)
  .value("VPMOVQBZrrk", LIEF::assembly::x86::OPCODE::VPMOVQBZrrk)
  .value("VPMOVQBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVQBZrrkz)
  .value("VPMOVQDZ128mr", LIEF::assembly::x86::OPCODE::VPMOVQDZ128mr)
  .value("VPMOVQDZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVQDZ128mrk)
  .value("VPMOVQDZ128rr", LIEF::assembly::x86::OPCODE::VPMOVQDZ128rr)
  .value("VPMOVQDZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVQDZ128rrk)
  .value("VPMOVQDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVQDZ128rrkz)
  .value("VPMOVQDZ256mr", LIEF::assembly::x86::OPCODE::VPMOVQDZ256mr)
  .value("VPMOVQDZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVQDZ256mrk)
  .value("VPMOVQDZ256rr", LIEF::assembly::x86::OPCODE::VPMOVQDZ256rr)
  .value("VPMOVQDZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVQDZ256rrk)
  .value("VPMOVQDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVQDZ256rrkz)
  .value("VPMOVQDZmr", LIEF::assembly::x86::OPCODE::VPMOVQDZmr)
  .value("VPMOVQDZmrk", LIEF::assembly::x86::OPCODE::VPMOVQDZmrk)
  .value("VPMOVQDZrr", LIEF::assembly::x86::OPCODE::VPMOVQDZrr)
  .value("VPMOVQDZrrk", LIEF::assembly::x86::OPCODE::VPMOVQDZrrk)
  .value("VPMOVQDZrrkz", LIEF::assembly::x86::OPCODE::VPMOVQDZrrkz)
  .value("VPMOVQWZ128mr", LIEF::assembly::x86::OPCODE::VPMOVQWZ128mr)
  .value("VPMOVQWZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVQWZ128mrk)
  .value("VPMOVQWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVQWZ128rr)
  .value("VPMOVQWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVQWZ128rrk)
  .value("VPMOVQWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVQWZ128rrkz)
  .value("VPMOVQWZ256mr", LIEF::assembly::x86::OPCODE::VPMOVQWZ256mr)
  .value("VPMOVQWZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVQWZ256mrk)
  .value("VPMOVQWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVQWZ256rr)
  .value("VPMOVQWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVQWZ256rrk)
  .value("VPMOVQWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVQWZ256rrkz)
  .value("VPMOVQWZmr", LIEF::assembly::x86::OPCODE::VPMOVQWZmr)
  .value("VPMOVQWZmrk", LIEF::assembly::x86::OPCODE::VPMOVQWZmrk)
  .value("VPMOVQWZrr", LIEF::assembly::x86::OPCODE::VPMOVQWZrr)
  .value("VPMOVQWZrrk", LIEF::assembly::x86::OPCODE::VPMOVQWZrrk)
  .value("VPMOVQWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVQWZrrkz)
  .value("VPMOVSDBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVSDBZ128mr)
  .value("VPMOVSDBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVSDBZ128mrk)
  .value("VPMOVSDBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSDBZ128rr)
  .value("VPMOVSDBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSDBZ128rrk)
  .value("VPMOVSDBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSDBZ128rrkz)
  .value("VPMOVSDBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVSDBZ256mr)
  .value("VPMOVSDBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVSDBZ256mrk)
  .value("VPMOVSDBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSDBZ256rr)
  .value("VPMOVSDBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSDBZ256rrk)
  .value("VPMOVSDBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSDBZ256rrkz);
  opcodes.value("VPMOVSDBZmr", LIEF::assembly::x86::OPCODE::VPMOVSDBZmr)
  .value("VPMOVSDBZmrk", LIEF::assembly::x86::OPCODE::VPMOVSDBZmrk)
  .value("VPMOVSDBZrr", LIEF::assembly::x86::OPCODE::VPMOVSDBZrr)
  .value("VPMOVSDBZrrk", LIEF::assembly::x86::OPCODE::VPMOVSDBZrrk)
  .value("VPMOVSDBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSDBZrrkz)
  .value("VPMOVSDWZ128mr", LIEF::assembly::x86::OPCODE::VPMOVSDWZ128mr)
  .value("VPMOVSDWZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVSDWZ128mrk)
  .value("VPMOVSDWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSDWZ128rr)
  .value("VPMOVSDWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSDWZ128rrk)
  .value("VPMOVSDWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSDWZ128rrkz)
  .value("VPMOVSDWZ256mr", LIEF::assembly::x86::OPCODE::VPMOVSDWZ256mr)
  .value("VPMOVSDWZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVSDWZ256mrk)
  .value("VPMOVSDWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSDWZ256rr)
  .value("VPMOVSDWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSDWZ256rrk)
  .value("VPMOVSDWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSDWZ256rrkz)
  .value("VPMOVSDWZmr", LIEF::assembly::x86::OPCODE::VPMOVSDWZmr)
  .value("VPMOVSDWZmrk", LIEF::assembly::x86::OPCODE::VPMOVSDWZmrk)
  .value("VPMOVSDWZrr", LIEF::assembly::x86::OPCODE::VPMOVSDWZrr)
  .value("VPMOVSDWZrrk", LIEF::assembly::x86::OPCODE::VPMOVSDWZrrk)
  .value("VPMOVSDWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSDWZrrkz)
  .value("VPMOVSQBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVSQBZ128mr)
  .value("VPMOVSQBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVSQBZ128mrk)
  .value("VPMOVSQBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSQBZ128rr)
  .value("VPMOVSQBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSQBZ128rrk)
  .value("VPMOVSQBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSQBZ128rrkz)
  .value("VPMOVSQBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVSQBZ256mr)
  .value("VPMOVSQBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVSQBZ256mrk)
  .value("VPMOVSQBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSQBZ256rr)
  .value("VPMOVSQBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSQBZ256rrk)
  .value("VPMOVSQBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSQBZ256rrkz)
  .value("VPMOVSQBZmr", LIEF::assembly::x86::OPCODE::VPMOVSQBZmr)
  .value("VPMOVSQBZmrk", LIEF::assembly::x86::OPCODE::VPMOVSQBZmrk)
  .value("VPMOVSQBZrr", LIEF::assembly::x86::OPCODE::VPMOVSQBZrr)
  .value("VPMOVSQBZrrk", LIEF::assembly::x86::OPCODE::VPMOVSQBZrrk)
  .value("VPMOVSQBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSQBZrrkz)
  .value("VPMOVSQDZ128mr", LIEF::assembly::x86::OPCODE::VPMOVSQDZ128mr)
  .value("VPMOVSQDZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVSQDZ128mrk)
  .value("VPMOVSQDZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSQDZ128rr)
  .value("VPMOVSQDZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSQDZ128rrk)
  .value("VPMOVSQDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSQDZ128rrkz)
  .value("VPMOVSQDZ256mr", LIEF::assembly::x86::OPCODE::VPMOVSQDZ256mr)
  .value("VPMOVSQDZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVSQDZ256mrk)
  .value("VPMOVSQDZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSQDZ256rr)
  .value("VPMOVSQDZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSQDZ256rrk)
  .value("VPMOVSQDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSQDZ256rrkz)
  .value("VPMOVSQDZmr", LIEF::assembly::x86::OPCODE::VPMOVSQDZmr)
  .value("VPMOVSQDZmrk", LIEF::assembly::x86::OPCODE::VPMOVSQDZmrk)
  .value("VPMOVSQDZrr", LIEF::assembly::x86::OPCODE::VPMOVSQDZrr)
  .value("VPMOVSQDZrrk", LIEF::assembly::x86::OPCODE::VPMOVSQDZrrk)
  .value("VPMOVSQDZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSQDZrrkz)
  .value("VPMOVSQWZ128mr", LIEF::assembly::x86::OPCODE::VPMOVSQWZ128mr)
  .value("VPMOVSQWZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVSQWZ128mrk)
  .value("VPMOVSQWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSQWZ128rr)
  .value("VPMOVSQWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSQWZ128rrk)
  .value("VPMOVSQWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSQWZ128rrkz)
  .value("VPMOVSQWZ256mr", LIEF::assembly::x86::OPCODE::VPMOVSQWZ256mr)
  .value("VPMOVSQWZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVSQWZ256mrk)
  .value("VPMOVSQWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSQWZ256rr)
  .value("VPMOVSQWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSQWZ256rrk)
  .value("VPMOVSQWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSQWZ256rrkz)
  .value("VPMOVSQWZmr", LIEF::assembly::x86::OPCODE::VPMOVSQWZmr)
  .value("VPMOVSQWZmrk", LIEF::assembly::x86::OPCODE::VPMOVSQWZmrk)
  .value("VPMOVSQWZrr", LIEF::assembly::x86::OPCODE::VPMOVSQWZrr)
  .value("VPMOVSQWZrrk", LIEF::assembly::x86::OPCODE::VPMOVSQWZrrk)
  .value("VPMOVSQWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSQWZrrkz)
  .value("VPMOVSWBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVSWBZ128mr)
  .value("VPMOVSWBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVSWBZ128mrk)
  .value("VPMOVSWBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSWBZ128rr)
  .value("VPMOVSWBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSWBZ128rrk)
  .value("VPMOVSWBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSWBZ128rrkz)
  .value("VPMOVSWBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVSWBZ256mr)
  .value("VPMOVSWBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVSWBZ256mrk)
  .value("VPMOVSWBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSWBZ256rr)
  .value("VPMOVSWBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSWBZ256rrk)
  .value("VPMOVSWBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSWBZ256rrkz)
  .value("VPMOVSWBZmr", LIEF::assembly::x86::OPCODE::VPMOVSWBZmr)
  .value("VPMOVSWBZmrk", LIEF::assembly::x86::OPCODE::VPMOVSWBZmrk)
  .value("VPMOVSWBZrr", LIEF::assembly::x86::OPCODE::VPMOVSWBZrr)
  .value("VPMOVSWBZrrk", LIEF::assembly::x86::OPCODE::VPMOVSWBZrrk)
  .value("VPMOVSWBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSWBZrrkz)
  .value("VPMOVSXBDYrm", LIEF::assembly::x86::OPCODE::VPMOVSXBDYrm)
  .value("VPMOVSXBDYrr", LIEF::assembly::x86::OPCODE::VPMOVSXBDYrr)
  .value("VPMOVSXBDZ128rm", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ128rm)
  .value("VPMOVSXBDZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ128rmk)
  .value("VPMOVSXBDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ128rmkz)
  .value("VPMOVSXBDZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ128rr)
  .value("VPMOVSXBDZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ128rrk)
  .value("VPMOVSXBDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ128rrkz)
  .value("VPMOVSXBDZ256rm", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ256rm)
  .value("VPMOVSXBDZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ256rmk)
  .value("VPMOVSXBDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ256rmkz)
  .value("VPMOVSXBDZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ256rr)
  .value("VPMOVSXBDZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ256rrk)
  .value("VPMOVSXBDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBDZ256rrkz)
  .value("VPMOVSXBDZrm", LIEF::assembly::x86::OPCODE::VPMOVSXBDZrm)
  .value("VPMOVSXBDZrmk", LIEF::assembly::x86::OPCODE::VPMOVSXBDZrmk)
  .value("VPMOVSXBDZrmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBDZrmkz)
  .value("VPMOVSXBDZrr", LIEF::assembly::x86::OPCODE::VPMOVSXBDZrr)
  .value("VPMOVSXBDZrrk", LIEF::assembly::x86::OPCODE::VPMOVSXBDZrrk)
  .value("VPMOVSXBDZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBDZrrkz)
  .value("VPMOVSXBDrm", LIEF::assembly::x86::OPCODE::VPMOVSXBDrm)
  .value("VPMOVSXBDrr", LIEF::assembly::x86::OPCODE::VPMOVSXBDrr)
  .value("VPMOVSXBQYrm", LIEF::assembly::x86::OPCODE::VPMOVSXBQYrm)
  .value("VPMOVSXBQYrr", LIEF::assembly::x86::OPCODE::VPMOVSXBQYrr)
  .value("VPMOVSXBQZ128rm", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ128rm)
  .value("VPMOVSXBQZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ128rmk)
  .value("VPMOVSXBQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ128rmkz)
  .value("VPMOVSXBQZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ128rr)
  .value("VPMOVSXBQZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ128rrk)
  .value("VPMOVSXBQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ128rrkz)
  .value("VPMOVSXBQZ256rm", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ256rm)
  .value("VPMOVSXBQZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ256rmk)
  .value("VPMOVSXBQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ256rmkz)
  .value("VPMOVSXBQZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ256rr)
  .value("VPMOVSXBQZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ256rrk)
  .value("VPMOVSXBQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBQZ256rrkz)
  .value("VPMOVSXBQZrm", LIEF::assembly::x86::OPCODE::VPMOVSXBQZrm)
  .value("VPMOVSXBQZrmk", LIEF::assembly::x86::OPCODE::VPMOVSXBQZrmk)
  .value("VPMOVSXBQZrmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBQZrmkz)
  .value("VPMOVSXBQZrr", LIEF::assembly::x86::OPCODE::VPMOVSXBQZrr)
  .value("VPMOVSXBQZrrk", LIEF::assembly::x86::OPCODE::VPMOVSXBQZrrk)
  .value("VPMOVSXBQZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBQZrrkz)
  .value("VPMOVSXBQrm", LIEF::assembly::x86::OPCODE::VPMOVSXBQrm)
  .value("VPMOVSXBQrr", LIEF::assembly::x86::OPCODE::VPMOVSXBQrr)
  .value("VPMOVSXBWYrm", LIEF::assembly::x86::OPCODE::VPMOVSXBWYrm)
  .value("VPMOVSXBWYrr", LIEF::assembly::x86::OPCODE::VPMOVSXBWYrr)
  .value("VPMOVSXBWZ128rm", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ128rm)
  .value("VPMOVSXBWZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ128rmk)
  .value("VPMOVSXBWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ128rmkz)
  .value("VPMOVSXBWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ128rr)
  .value("VPMOVSXBWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ128rrk)
  .value("VPMOVSXBWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ128rrkz)
  .value("VPMOVSXBWZ256rm", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ256rm)
  .value("VPMOVSXBWZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ256rmk)
  .value("VPMOVSXBWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ256rmkz)
  .value("VPMOVSXBWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ256rr)
  .value("VPMOVSXBWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ256rrk)
  .value("VPMOVSXBWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBWZ256rrkz)
  .value("VPMOVSXBWZrm", LIEF::assembly::x86::OPCODE::VPMOVSXBWZrm)
  .value("VPMOVSXBWZrmk", LIEF::assembly::x86::OPCODE::VPMOVSXBWZrmk)
  .value("VPMOVSXBWZrmkz", LIEF::assembly::x86::OPCODE::VPMOVSXBWZrmkz)
  .value("VPMOVSXBWZrr", LIEF::assembly::x86::OPCODE::VPMOVSXBWZrr)
  .value("VPMOVSXBWZrrk", LIEF::assembly::x86::OPCODE::VPMOVSXBWZrrk)
  .value("VPMOVSXBWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSXBWZrrkz)
  .value("VPMOVSXBWrm", LIEF::assembly::x86::OPCODE::VPMOVSXBWrm)
  .value("VPMOVSXBWrr", LIEF::assembly::x86::OPCODE::VPMOVSXBWrr)
  .value("VPMOVSXDQYrm", LIEF::assembly::x86::OPCODE::VPMOVSXDQYrm)
  .value("VPMOVSXDQYrr", LIEF::assembly::x86::OPCODE::VPMOVSXDQYrr)
  .value("VPMOVSXDQZ128rm", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ128rm)
  .value("VPMOVSXDQZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ128rmk)
  .value("VPMOVSXDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ128rmkz)
  .value("VPMOVSXDQZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ128rr)
  .value("VPMOVSXDQZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ128rrk)
  .value("VPMOVSXDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ128rrkz)
  .value("VPMOVSXDQZ256rm", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ256rm)
  .value("VPMOVSXDQZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ256rmk)
  .value("VPMOVSXDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ256rmkz)
  .value("VPMOVSXDQZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ256rr)
  .value("VPMOVSXDQZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ256rrk)
  .value("VPMOVSXDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXDQZ256rrkz)
  .value("VPMOVSXDQZrm", LIEF::assembly::x86::OPCODE::VPMOVSXDQZrm)
  .value("VPMOVSXDQZrmk", LIEF::assembly::x86::OPCODE::VPMOVSXDQZrmk)
  .value("VPMOVSXDQZrmkz", LIEF::assembly::x86::OPCODE::VPMOVSXDQZrmkz)
  .value("VPMOVSXDQZrr", LIEF::assembly::x86::OPCODE::VPMOVSXDQZrr)
  .value("VPMOVSXDQZrrk", LIEF::assembly::x86::OPCODE::VPMOVSXDQZrrk)
  .value("VPMOVSXDQZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSXDQZrrkz)
  .value("VPMOVSXDQrm", LIEF::assembly::x86::OPCODE::VPMOVSXDQrm)
  .value("VPMOVSXDQrr", LIEF::assembly::x86::OPCODE::VPMOVSXDQrr)
  .value("VPMOVSXWDYrm", LIEF::assembly::x86::OPCODE::VPMOVSXWDYrm)
  .value("VPMOVSXWDYrr", LIEF::assembly::x86::OPCODE::VPMOVSXWDYrr)
  .value("VPMOVSXWDZ128rm", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ128rm)
  .value("VPMOVSXWDZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ128rmk)
  .value("VPMOVSXWDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ128rmkz)
  .value("VPMOVSXWDZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ128rr)
  .value("VPMOVSXWDZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ128rrk)
  .value("VPMOVSXWDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ128rrkz)
  .value("VPMOVSXWDZ256rm", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ256rm)
  .value("VPMOVSXWDZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ256rmk)
  .value("VPMOVSXWDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ256rmkz)
  .value("VPMOVSXWDZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ256rr)
  .value("VPMOVSXWDZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ256rrk)
  .value("VPMOVSXWDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXWDZ256rrkz)
  .value("VPMOVSXWDZrm", LIEF::assembly::x86::OPCODE::VPMOVSXWDZrm)
  .value("VPMOVSXWDZrmk", LIEF::assembly::x86::OPCODE::VPMOVSXWDZrmk)
  .value("VPMOVSXWDZrmkz", LIEF::assembly::x86::OPCODE::VPMOVSXWDZrmkz)
  .value("VPMOVSXWDZrr", LIEF::assembly::x86::OPCODE::VPMOVSXWDZrr)
  .value("VPMOVSXWDZrrk", LIEF::assembly::x86::OPCODE::VPMOVSXWDZrrk)
  .value("VPMOVSXWDZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSXWDZrrkz)
  .value("VPMOVSXWDrm", LIEF::assembly::x86::OPCODE::VPMOVSXWDrm)
  .value("VPMOVSXWDrr", LIEF::assembly::x86::OPCODE::VPMOVSXWDrr)
  .value("VPMOVSXWQYrm", LIEF::assembly::x86::OPCODE::VPMOVSXWQYrm)
  .value("VPMOVSXWQYrr", LIEF::assembly::x86::OPCODE::VPMOVSXWQYrr)
  .value("VPMOVSXWQZ128rm", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ128rm)
  .value("VPMOVSXWQZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ128rmk)
  .value("VPMOVSXWQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ128rmkz)
  .value("VPMOVSXWQZ128rr", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ128rr)
  .value("VPMOVSXWQZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ128rrk)
  .value("VPMOVSXWQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ128rrkz)
  .value("VPMOVSXWQZ256rm", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ256rm)
  .value("VPMOVSXWQZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ256rmk)
  .value("VPMOVSXWQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ256rmkz)
  .value("VPMOVSXWQZ256rr", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ256rr)
  .value("VPMOVSXWQZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ256rrk)
  .value("VPMOVSXWQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVSXWQZ256rrkz)
  .value("VPMOVSXWQZrm", LIEF::assembly::x86::OPCODE::VPMOVSXWQZrm)
  .value("VPMOVSXWQZrmk", LIEF::assembly::x86::OPCODE::VPMOVSXWQZrmk)
  .value("VPMOVSXWQZrmkz", LIEF::assembly::x86::OPCODE::VPMOVSXWQZrmkz)
  .value("VPMOVSXWQZrr", LIEF::assembly::x86::OPCODE::VPMOVSXWQZrr)
  .value("VPMOVSXWQZrrk", LIEF::assembly::x86::OPCODE::VPMOVSXWQZrrk)
  .value("VPMOVSXWQZrrkz", LIEF::assembly::x86::OPCODE::VPMOVSXWQZrrkz)
  .value("VPMOVSXWQrm", LIEF::assembly::x86::OPCODE::VPMOVSXWQrm)
  .value("VPMOVSXWQrr", LIEF::assembly::x86::OPCODE::VPMOVSXWQrr)
  .value("VPMOVUSDBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ128mr)
  .value("VPMOVUSDBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ128mrk)
  .value("VPMOVUSDBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ128rr)
  .value("VPMOVUSDBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ128rrk)
  .value("VPMOVUSDBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ128rrkz)
  .value("VPMOVUSDBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ256mr)
  .value("VPMOVUSDBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ256mrk)
  .value("VPMOVUSDBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ256rr)
  .value("VPMOVUSDBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ256rrk)
  .value("VPMOVUSDBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSDBZ256rrkz)
  .value("VPMOVUSDBZmr", LIEF::assembly::x86::OPCODE::VPMOVUSDBZmr)
  .value("VPMOVUSDBZmrk", LIEF::assembly::x86::OPCODE::VPMOVUSDBZmrk)
  .value("VPMOVUSDBZrr", LIEF::assembly::x86::OPCODE::VPMOVUSDBZrr)
  .value("VPMOVUSDBZrrk", LIEF::assembly::x86::OPCODE::VPMOVUSDBZrrk)
  .value("VPMOVUSDBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVUSDBZrrkz)
  .value("VPMOVUSDWZ128mr", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ128mr)
  .value("VPMOVUSDWZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ128mrk)
  .value("VPMOVUSDWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ128rr)
  .value("VPMOVUSDWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ128rrk)
  .value("VPMOVUSDWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ128rrkz)
  .value("VPMOVUSDWZ256mr", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ256mr)
  .value("VPMOVUSDWZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ256mrk)
  .value("VPMOVUSDWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ256rr)
  .value("VPMOVUSDWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ256rrk)
  .value("VPMOVUSDWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSDWZ256rrkz)
  .value("VPMOVUSDWZmr", LIEF::assembly::x86::OPCODE::VPMOVUSDWZmr)
  .value("VPMOVUSDWZmrk", LIEF::assembly::x86::OPCODE::VPMOVUSDWZmrk)
  .value("VPMOVUSDWZrr", LIEF::assembly::x86::OPCODE::VPMOVUSDWZrr)
  .value("VPMOVUSDWZrrk", LIEF::assembly::x86::OPCODE::VPMOVUSDWZrrk)
  .value("VPMOVUSDWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVUSDWZrrkz)
  .value("VPMOVUSQBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ128mr)
  .value("VPMOVUSQBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ128mrk)
  .value("VPMOVUSQBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ128rr)
  .value("VPMOVUSQBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ128rrk)
  .value("VPMOVUSQBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ128rrkz)
  .value("VPMOVUSQBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ256mr)
  .value("VPMOVUSQBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ256mrk)
  .value("VPMOVUSQBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ256rr)
  .value("VPMOVUSQBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ256rrk)
  .value("VPMOVUSQBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQBZ256rrkz)
  .value("VPMOVUSQBZmr", LIEF::assembly::x86::OPCODE::VPMOVUSQBZmr)
  .value("VPMOVUSQBZmrk", LIEF::assembly::x86::OPCODE::VPMOVUSQBZmrk)
  .value("VPMOVUSQBZrr", LIEF::assembly::x86::OPCODE::VPMOVUSQBZrr)
  .value("VPMOVUSQBZrrk", LIEF::assembly::x86::OPCODE::VPMOVUSQBZrrk)
  .value("VPMOVUSQBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQBZrrkz)
  .value("VPMOVUSQDZ128mr", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ128mr)
  .value("VPMOVUSQDZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ128mrk)
  .value("VPMOVUSQDZ128rr", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ128rr)
  .value("VPMOVUSQDZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ128rrk)
  .value("VPMOVUSQDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ128rrkz)
  .value("VPMOVUSQDZ256mr", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ256mr)
  .value("VPMOVUSQDZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ256mrk)
  .value("VPMOVUSQDZ256rr", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ256rr)
  .value("VPMOVUSQDZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ256rrk)
  .value("VPMOVUSQDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQDZ256rrkz)
  .value("VPMOVUSQDZmr", LIEF::assembly::x86::OPCODE::VPMOVUSQDZmr)
  .value("VPMOVUSQDZmrk", LIEF::assembly::x86::OPCODE::VPMOVUSQDZmrk)
  .value("VPMOVUSQDZrr", LIEF::assembly::x86::OPCODE::VPMOVUSQDZrr)
  .value("VPMOVUSQDZrrk", LIEF::assembly::x86::OPCODE::VPMOVUSQDZrrk)
  .value("VPMOVUSQDZrrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQDZrrkz)
  .value("VPMOVUSQWZ128mr", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ128mr)
  .value("VPMOVUSQWZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ128mrk)
  .value("VPMOVUSQWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ128rr)
  .value("VPMOVUSQWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ128rrk)
  .value("VPMOVUSQWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ128rrkz)
  .value("VPMOVUSQWZ256mr", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ256mr)
  .value("VPMOVUSQWZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ256mrk)
  .value("VPMOVUSQWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ256rr)
  .value("VPMOVUSQWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ256rrk)
  .value("VPMOVUSQWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQWZ256rrkz)
  .value("VPMOVUSQWZmr", LIEF::assembly::x86::OPCODE::VPMOVUSQWZmr)
  .value("VPMOVUSQWZmrk", LIEF::assembly::x86::OPCODE::VPMOVUSQWZmrk)
  .value("VPMOVUSQWZrr", LIEF::assembly::x86::OPCODE::VPMOVUSQWZrr)
  .value("VPMOVUSQWZrrk", LIEF::assembly::x86::OPCODE::VPMOVUSQWZrrk)
  .value("VPMOVUSQWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVUSQWZrrkz)
  .value("VPMOVUSWBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ128mr)
  .value("VPMOVUSWBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ128mrk)
  .value("VPMOVUSWBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ128rr)
  .value("VPMOVUSWBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ128rrk)
  .value("VPMOVUSWBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ128rrkz)
  .value("VPMOVUSWBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ256mr)
  .value("VPMOVUSWBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ256mrk)
  .value("VPMOVUSWBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ256rr)
  .value("VPMOVUSWBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ256rrk)
  .value("VPMOVUSWBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVUSWBZ256rrkz)
  .value("VPMOVUSWBZmr", LIEF::assembly::x86::OPCODE::VPMOVUSWBZmr)
  .value("VPMOVUSWBZmrk", LIEF::assembly::x86::OPCODE::VPMOVUSWBZmrk)
  .value("VPMOVUSWBZrr", LIEF::assembly::x86::OPCODE::VPMOVUSWBZrr);
  opcodes.value("VPMOVUSWBZrrk", LIEF::assembly::x86::OPCODE::VPMOVUSWBZrrk)
  .value("VPMOVUSWBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVUSWBZrrkz)
  .value("VPMOVW2MZ128rr", LIEF::assembly::x86::OPCODE::VPMOVW2MZ128rr)
  .value("VPMOVW2MZ256rr", LIEF::assembly::x86::OPCODE::VPMOVW2MZ256rr)
  .value("VPMOVW2MZrr", LIEF::assembly::x86::OPCODE::VPMOVW2MZrr)
  .value("VPMOVWBZ128mr", LIEF::assembly::x86::OPCODE::VPMOVWBZ128mr)
  .value("VPMOVWBZ128mrk", LIEF::assembly::x86::OPCODE::VPMOVWBZ128mrk)
  .value("VPMOVWBZ128rr", LIEF::assembly::x86::OPCODE::VPMOVWBZ128rr)
  .value("VPMOVWBZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVWBZ128rrk)
  .value("VPMOVWBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVWBZ128rrkz)
  .value("VPMOVWBZ256mr", LIEF::assembly::x86::OPCODE::VPMOVWBZ256mr)
  .value("VPMOVWBZ256mrk", LIEF::assembly::x86::OPCODE::VPMOVWBZ256mrk)
  .value("VPMOVWBZ256rr", LIEF::assembly::x86::OPCODE::VPMOVWBZ256rr)
  .value("VPMOVWBZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVWBZ256rrk)
  .value("VPMOVWBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVWBZ256rrkz)
  .value("VPMOVWBZmr", LIEF::assembly::x86::OPCODE::VPMOVWBZmr)
  .value("VPMOVWBZmrk", LIEF::assembly::x86::OPCODE::VPMOVWBZmrk)
  .value("VPMOVWBZrr", LIEF::assembly::x86::OPCODE::VPMOVWBZrr)
  .value("VPMOVWBZrrk", LIEF::assembly::x86::OPCODE::VPMOVWBZrrk)
  .value("VPMOVWBZrrkz", LIEF::assembly::x86::OPCODE::VPMOVWBZrrkz)
  .value("VPMOVZXBDYrm", LIEF::assembly::x86::OPCODE::VPMOVZXBDYrm)
  .value("VPMOVZXBDYrr", LIEF::assembly::x86::OPCODE::VPMOVZXBDYrr)
  .value("VPMOVZXBDZ128rm", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ128rm)
  .value("VPMOVZXBDZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ128rmk)
  .value("VPMOVZXBDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ128rmkz)
  .value("VPMOVZXBDZ128rr", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ128rr)
  .value("VPMOVZXBDZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ128rrk)
  .value("VPMOVZXBDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ128rrkz)
  .value("VPMOVZXBDZ256rm", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ256rm)
  .value("VPMOVZXBDZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ256rmk)
  .value("VPMOVZXBDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ256rmkz)
  .value("VPMOVZXBDZ256rr", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ256rr)
  .value("VPMOVZXBDZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ256rrk)
  .value("VPMOVZXBDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBDZ256rrkz)
  .value("VPMOVZXBDZrm", LIEF::assembly::x86::OPCODE::VPMOVZXBDZrm)
  .value("VPMOVZXBDZrmk", LIEF::assembly::x86::OPCODE::VPMOVZXBDZrmk)
  .value("VPMOVZXBDZrmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBDZrmkz)
  .value("VPMOVZXBDZrr", LIEF::assembly::x86::OPCODE::VPMOVZXBDZrr)
  .value("VPMOVZXBDZrrk", LIEF::assembly::x86::OPCODE::VPMOVZXBDZrrk)
  .value("VPMOVZXBDZrrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBDZrrkz)
  .value("VPMOVZXBDrm", LIEF::assembly::x86::OPCODE::VPMOVZXBDrm)
  .value("VPMOVZXBDrr", LIEF::assembly::x86::OPCODE::VPMOVZXBDrr)
  .value("VPMOVZXBQYrm", LIEF::assembly::x86::OPCODE::VPMOVZXBQYrm)
  .value("VPMOVZXBQYrr", LIEF::assembly::x86::OPCODE::VPMOVZXBQYrr)
  .value("VPMOVZXBQZ128rm", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ128rm)
  .value("VPMOVZXBQZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ128rmk)
  .value("VPMOVZXBQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ128rmkz)
  .value("VPMOVZXBQZ128rr", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ128rr)
  .value("VPMOVZXBQZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ128rrk)
  .value("VPMOVZXBQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ128rrkz)
  .value("VPMOVZXBQZ256rm", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ256rm)
  .value("VPMOVZXBQZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ256rmk)
  .value("VPMOVZXBQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ256rmkz)
  .value("VPMOVZXBQZ256rr", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ256rr)
  .value("VPMOVZXBQZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ256rrk)
  .value("VPMOVZXBQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBQZ256rrkz)
  .value("VPMOVZXBQZrm", LIEF::assembly::x86::OPCODE::VPMOVZXBQZrm)
  .value("VPMOVZXBQZrmk", LIEF::assembly::x86::OPCODE::VPMOVZXBQZrmk)
  .value("VPMOVZXBQZrmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBQZrmkz)
  .value("VPMOVZXBQZrr", LIEF::assembly::x86::OPCODE::VPMOVZXBQZrr)
  .value("VPMOVZXBQZrrk", LIEF::assembly::x86::OPCODE::VPMOVZXBQZrrk)
  .value("VPMOVZXBQZrrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBQZrrkz)
  .value("VPMOVZXBQrm", LIEF::assembly::x86::OPCODE::VPMOVZXBQrm)
  .value("VPMOVZXBQrr", LIEF::assembly::x86::OPCODE::VPMOVZXBQrr)
  .value("VPMOVZXBWYrm", LIEF::assembly::x86::OPCODE::VPMOVZXBWYrm)
  .value("VPMOVZXBWYrr", LIEF::assembly::x86::OPCODE::VPMOVZXBWYrr)
  .value("VPMOVZXBWZ128rm", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ128rm)
  .value("VPMOVZXBWZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ128rmk)
  .value("VPMOVZXBWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ128rmkz)
  .value("VPMOVZXBWZ128rr", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ128rr)
  .value("VPMOVZXBWZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ128rrk)
  .value("VPMOVZXBWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ128rrkz)
  .value("VPMOVZXBWZ256rm", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ256rm)
  .value("VPMOVZXBWZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ256rmk)
  .value("VPMOVZXBWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ256rmkz)
  .value("VPMOVZXBWZ256rr", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ256rr)
  .value("VPMOVZXBWZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ256rrk)
  .value("VPMOVZXBWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBWZ256rrkz)
  .value("VPMOVZXBWZrm", LIEF::assembly::x86::OPCODE::VPMOVZXBWZrm)
  .value("VPMOVZXBWZrmk", LIEF::assembly::x86::OPCODE::VPMOVZXBWZrmk)
  .value("VPMOVZXBWZrmkz", LIEF::assembly::x86::OPCODE::VPMOVZXBWZrmkz)
  .value("VPMOVZXBWZrr", LIEF::assembly::x86::OPCODE::VPMOVZXBWZrr)
  .value("VPMOVZXBWZrrk", LIEF::assembly::x86::OPCODE::VPMOVZXBWZrrk)
  .value("VPMOVZXBWZrrkz", LIEF::assembly::x86::OPCODE::VPMOVZXBWZrrkz)
  .value("VPMOVZXBWrm", LIEF::assembly::x86::OPCODE::VPMOVZXBWrm)
  .value("VPMOVZXBWrr", LIEF::assembly::x86::OPCODE::VPMOVZXBWrr)
  .value("VPMOVZXDQYrm", LIEF::assembly::x86::OPCODE::VPMOVZXDQYrm)
  .value("VPMOVZXDQYrr", LIEF::assembly::x86::OPCODE::VPMOVZXDQYrr)
  .value("VPMOVZXDQZ128rm", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ128rm)
  .value("VPMOVZXDQZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ128rmk)
  .value("VPMOVZXDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ128rmkz)
  .value("VPMOVZXDQZ128rr", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ128rr)
  .value("VPMOVZXDQZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ128rrk)
  .value("VPMOVZXDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ128rrkz)
  .value("VPMOVZXDQZ256rm", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ256rm)
  .value("VPMOVZXDQZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ256rmk)
  .value("VPMOVZXDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ256rmkz)
  .value("VPMOVZXDQZ256rr", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ256rr)
  .value("VPMOVZXDQZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ256rrk)
  .value("VPMOVZXDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXDQZ256rrkz)
  .value("VPMOVZXDQZrm", LIEF::assembly::x86::OPCODE::VPMOVZXDQZrm)
  .value("VPMOVZXDQZrmk", LIEF::assembly::x86::OPCODE::VPMOVZXDQZrmk)
  .value("VPMOVZXDQZrmkz", LIEF::assembly::x86::OPCODE::VPMOVZXDQZrmkz)
  .value("VPMOVZXDQZrr", LIEF::assembly::x86::OPCODE::VPMOVZXDQZrr)
  .value("VPMOVZXDQZrrk", LIEF::assembly::x86::OPCODE::VPMOVZXDQZrrk)
  .value("VPMOVZXDQZrrkz", LIEF::assembly::x86::OPCODE::VPMOVZXDQZrrkz)
  .value("VPMOVZXDQrm", LIEF::assembly::x86::OPCODE::VPMOVZXDQrm)
  .value("VPMOVZXDQrr", LIEF::assembly::x86::OPCODE::VPMOVZXDQrr)
  .value("VPMOVZXWDYrm", LIEF::assembly::x86::OPCODE::VPMOVZXWDYrm)
  .value("VPMOVZXWDYrr", LIEF::assembly::x86::OPCODE::VPMOVZXWDYrr)
  .value("VPMOVZXWDZ128rm", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ128rm)
  .value("VPMOVZXWDZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ128rmk)
  .value("VPMOVZXWDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ128rmkz)
  .value("VPMOVZXWDZ128rr", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ128rr)
  .value("VPMOVZXWDZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ128rrk)
  .value("VPMOVZXWDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ128rrkz)
  .value("VPMOVZXWDZ256rm", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ256rm)
  .value("VPMOVZXWDZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ256rmk)
  .value("VPMOVZXWDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ256rmkz)
  .value("VPMOVZXWDZ256rr", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ256rr)
  .value("VPMOVZXWDZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ256rrk)
  .value("VPMOVZXWDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXWDZ256rrkz)
  .value("VPMOVZXWDZrm", LIEF::assembly::x86::OPCODE::VPMOVZXWDZrm)
  .value("VPMOVZXWDZrmk", LIEF::assembly::x86::OPCODE::VPMOVZXWDZrmk)
  .value("VPMOVZXWDZrmkz", LIEF::assembly::x86::OPCODE::VPMOVZXWDZrmkz)
  .value("VPMOVZXWDZrr", LIEF::assembly::x86::OPCODE::VPMOVZXWDZrr)
  .value("VPMOVZXWDZrrk", LIEF::assembly::x86::OPCODE::VPMOVZXWDZrrk)
  .value("VPMOVZXWDZrrkz", LIEF::assembly::x86::OPCODE::VPMOVZXWDZrrkz)
  .value("VPMOVZXWDrm", LIEF::assembly::x86::OPCODE::VPMOVZXWDrm)
  .value("VPMOVZXWDrr", LIEF::assembly::x86::OPCODE::VPMOVZXWDrr)
  .value("VPMOVZXWQYrm", LIEF::assembly::x86::OPCODE::VPMOVZXWQYrm)
  .value("VPMOVZXWQYrr", LIEF::assembly::x86::OPCODE::VPMOVZXWQYrr)
  .value("VPMOVZXWQZ128rm", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ128rm)
  .value("VPMOVZXWQZ128rmk", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ128rmk)
  .value("VPMOVZXWQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ128rmkz)
  .value("VPMOVZXWQZ128rr", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ128rr)
  .value("VPMOVZXWQZ128rrk", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ128rrk)
  .value("VPMOVZXWQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ128rrkz)
  .value("VPMOVZXWQZ256rm", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ256rm)
  .value("VPMOVZXWQZ256rmk", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ256rmk)
  .value("VPMOVZXWQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ256rmkz)
  .value("VPMOVZXWQZ256rr", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ256rr)
  .value("VPMOVZXWQZ256rrk", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ256rrk)
  .value("VPMOVZXWQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMOVZXWQZ256rrkz)
  .value("VPMOVZXWQZrm", LIEF::assembly::x86::OPCODE::VPMOVZXWQZrm)
  .value("VPMOVZXWQZrmk", LIEF::assembly::x86::OPCODE::VPMOVZXWQZrmk)
  .value("VPMOVZXWQZrmkz", LIEF::assembly::x86::OPCODE::VPMOVZXWQZrmkz)
  .value("VPMOVZXWQZrr", LIEF::assembly::x86::OPCODE::VPMOVZXWQZrr)
  .value("VPMOVZXWQZrrk", LIEF::assembly::x86::OPCODE::VPMOVZXWQZrrk)
  .value("VPMOVZXWQZrrkz", LIEF::assembly::x86::OPCODE::VPMOVZXWQZrrkz)
  .value("VPMOVZXWQrm", LIEF::assembly::x86::OPCODE::VPMOVZXWQrm)
  .value("VPMOVZXWQrr", LIEF::assembly::x86::OPCODE::VPMOVZXWQrr)
  .value("VPMULDQYrm", LIEF::assembly::x86::OPCODE::VPMULDQYrm)
  .value("VPMULDQYrr", LIEF::assembly::x86::OPCODE::VPMULDQYrr)
  .value("VPMULDQZ128rm", LIEF::assembly::x86::OPCODE::VPMULDQZ128rm)
  .value("VPMULDQZ128rmb", LIEF::assembly::x86::OPCODE::VPMULDQZ128rmb)
  .value("VPMULDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPMULDQZ128rmbk)
  .value("VPMULDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMULDQZ128rmbkz)
  .value("VPMULDQZ128rmk", LIEF::assembly::x86::OPCODE::VPMULDQZ128rmk)
  .value("VPMULDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULDQZ128rmkz)
  .value("VPMULDQZ128rr", LIEF::assembly::x86::OPCODE::VPMULDQZ128rr)
  .value("VPMULDQZ128rrk", LIEF::assembly::x86::OPCODE::VPMULDQZ128rrk)
  .value("VPMULDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULDQZ128rrkz)
  .value("VPMULDQZ256rm", LIEF::assembly::x86::OPCODE::VPMULDQZ256rm)
  .value("VPMULDQZ256rmb", LIEF::assembly::x86::OPCODE::VPMULDQZ256rmb)
  .value("VPMULDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPMULDQZ256rmbk)
  .value("VPMULDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMULDQZ256rmbkz)
  .value("VPMULDQZ256rmk", LIEF::assembly::x86::OPCODE::VPMULDQZ256rmk)
  .value("VPMULDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULDQZ256rmkz)
  .value("VPMULDQZ256rr", LIEF::assembly::x86::OPCODE::VPMULDQZ256rr)
  .value("VPMULDQZ256rrk", LIEF::assembly::x86::OPCODE::VPMULDQZ256rrk)
  .value("VPMULDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULDQZ256rrkz)
  .value("VPMULDQZrm", LIEF::assembly::x86::OPCODE::VPMULDQZrm)
  .value("VPMULDQZrmb", LIEF::assembly::x86::OPCODE::VPMULDQZrmb)
  .value("VPMULDQZrmbk", LIEF::assembly::x86::OPCODE::VPMULDQZrmbk)
  .value("VPMULDQZrmbkz", LIEF::assembly::x86::OPCODE::VPMULDQZrmbkz)
  .value("VPMULDQZrmk", LIEF::assembly::x86::OPCODE::VPMULDQZrmk)
  .value("VPMULDQZrmkz", LIEF::assembly::x86::OPCODE::VPMULDQZrmkz)
  .value("VPMULDQZrr", LIEF::assembly::x86::OPCODE::VPMULDQZrr)
  .value("VPMULDQZrrk", LIEF::assembly::x86::OPCODE::VPMULDQZrrk)
  .value("VPMULDQZrrkz", LIEF::assembly::x86::OPCODE::VPMULDQZrrkz)
  .value("VPMULDQrm", LIEF::assembly::x86::OPCODE::VPMULDQrm)
  .value("VPMULDQrr", LIEF::assembly::x86::OPCODE::VPMULDQrr)
  .value("VPMULHRSWYrm", LIEF::assembly::x86::OPCODE::VPMULHRSWYrm)
  .value("VPMULHRSWYrr", LIEF::assembly::x86::OPCODE::VPMULHRSWYrr)
  .value("VPMULHRSWZ128rm", LIEF::assembly::x86::OPCODE::VPMULHRSWZ128rm)
  .value("VPMULHRSWZ128rmk", LIEF::assembly::x86::OPCODE::VPMULHRSWZ128rmk)
  .value("VPMULHRSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULHRSWZ128rmkz)
  .value("VPMULHRSWZ128rr", LIEF::assembly::x86::OPCODE::VPMULHRSWZ128rr)
  .value("VPMULHRSWZ128rrk", LIEF::assembly::x86::OPCODE::VPMULHRSWZ128rrk)
  .value("VPMULHRSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULHRSWZ128rrkz)
  .value("VPMULHRSWZ256rm", LIEF::assembly::x86::OPCODE::VPMULHRSWZ256rm)
  .value("VPMULHRSWZ256rmk", LIEF::assembly::x86::OPCODE::VPMULHRSWZ256rmk)
  .value("VPMULHRSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULHRSWZ256rmkz)
  .value("VPMULHRSWZ256rr", LIEF::assembly::x86::OPCODE::VPMULHRSWZ256rr)
  .value("VPMULHRSWZ256rrk", LIEF::assembly::x86::OPCODE::VPMULHRSWZ256rrk)
  .value("VPMULHRSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULHRSWZ256rrkz)
  .value("VPMULHRSWZrm", LIEF::assembly::x86::OPCODE::VPMULHRSWZrm)
  .value("VPMULHRSWZrmk", LIEF::assembly::x86::OPCODE::VPMULHRSWZrmk)
  .value("VPMULHRSWZrmkz", LIEF::assembly::x86::OPCODE::VPMULHRSWZrmkz)
  .value("VPMULHRSWZrr", LIEF::assembly::x86::OPCODE::VPMULHRSWZrr)
  .value("VPMULHRSWZrrk", LIEF::assembly::x86::OPCODE::VPMULHRSWZrrk)
  .value("VPMULHRSWZrrkz", LIEF::assembly::x86::OPCODE::VPMULHRSWZrrkz)
  .value("VPMULHRSWrm", LIEF::assembly::x86::OPCODE::VPMULHRSWrm)
  .value("VPMULHRSWrr", LIEF::assembly::x86::OPCODE::VPMULHRSWrr)
  .value("VPMULHUWYrm", LIEF::assembly::x86::OPCODE::VPMULHUWYrm)
  .value("VPMULHUWYrr", LIEF::assembly::x86::OPCODE::VPMULHUWYrr)
  .value("VPMULHUWZ128rm", LIEF::assembly::x86::OPCODE::VPMULHUWZ128rm)
  .value("VPMULHUWZ128rmk", LIEF::assembly::x86::OPCODE::VPMULHUWZ128rmk)
  .value("VPMULHUWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULHUWZ128rmkz)
  .value("VPMULHUWZ128rr", LIEF::assembly::x86::OPCODE::VPMULHUWZ128rr)
  .value("VPMULHUWZ128rrk", LIEF::assembly::x86::OPCODE::VPMULHUWZ128rrk)
  .value("VPMULHUWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULHUWZ128rrkz)
  .value("VPMULHUWZ256rm", LIEF::assembly::x86::OPCODE::VPMULHUWZ256rm)
  .value("VPMULHUWZ256rmk", LIEF::assembly::x86::OPCODE::VPMULHUWZ256rmk)
  .value("VPMULHUWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULHUWZ256rmkz)
  .value("VPMULHUWZ256rr", LIEF::assembly::x86::OPCODE::VPMULHUWZ256rr)
  .value("VPMULHUWZ256rrk", LIEF::assembly::x86::OPCODE::VPMULHUWZ256rrk)
  .value("VPMULHUWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULHUWZ256rrkz)
  .value("VPMULHUWZrm", LIEF::assembly::x86::OPCODE::VPMULHUWZrm)
  .value("VPMULHUWZrmk", LIEF::assembly::x86::OPCODE::VPMULHUWZrmk)
  .value("VPMULHUWZrmkz", LIEF::assembly::x86::OPCODE::VPMULHUWZrmkz)
  .value("VPMULHUWZrr", LIEF::assembly::x86::OPCODE::VPMULHUWZrr)
  .value("VPMULHUWZrrk", LIEF::assembly::x86::OPCODE::VPMULHUWZrrk)
  .value("VPMULHUWZrrkz", LIEF::assembly::x86::OPCODE::VPMULHUWZrrkz)
  .value("VPMULHUWrm", LIEF::assembly::x86::OPCODE::VPMULHUWrm)
  .value("VPMULHUWrr", LIEF::assembly::x86::OPCODE::VPMULHUWrr)
  .value("VPMULHWYrm", LIEF::assembly::x86::OPCODE::VPMULHWYrm)
  .value("VPMULHWYrr", LIEF::assembly::x86::OPCODE::VPMULHWYrr)
  .value("VPMULHWZ128rm", LIEF::assembly::x86::OPCODE::VPMULHWZ128rm)
  .value("VPMULHWZ128rmk", LIEF::assembly::x86::OPCODE::VPMULHWZ128rmk)
  .value("VPMULHWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULHWZ128rmkz)
  .value("VPMULHWZ128rr", LIEF::assembly::x86::OPCODE::VPMULHWZ128rr)
  .value("VPMULHWZ128rrk", LIEF::assembly::x86::OPCODE::VPMULHWZ128rrk)
  .value("VPMULHWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULHWZ128rrkz)
  .value("VPMULHWZ256rm", LIEF::assembly::x86::OPCODE::VPMULHWZ256rm)
  .value("VPMULHWZ256rmk", LIEF::assembly::x86::OPCODE::VPMULHWZ256rmk)
  .value("VPMULHWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULHWZ256rmkz)
  .value("VPMULHWZ256rr", LIEF::assembly::x86::OPCODE::VPMULHWZ256rr)
  .value("VPMULHWZ256rrk", LIEF::assembly::x86::OPCODE::VPMULHWZ256rrk)
  .value("VPMULHWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULHWZ256rrkz)
  .value("VPMULHWZrm", LIEF::assembly::x86::OPCODE::VPMULHWZrm)
  .value("VPMULHWZrmk", LIEF::assembly::x86::OPCODE::VPMULHWZrmk)
  .value("VPMULHWZrmkz", LIEF::assembly::x86::OPCODE::VPMULHWZrmkz)
  .value("VPMULHWZrr", LIEF::assembly::x86::OPCODE::VPMULHWZrr)
  .value("VPMULHWZrrk", LIEF::assembly::x86::OPCODE::VPMULHWZrrk)
  .value("VPMULHWZrrkz", LIEF::assembly::x86::OPCODE::VPMULHWZrrkz)
  .value("VPMULHWrm", LIEF::assembly::x86::OPCODE::VPMULHWrm)
  .value("VPMULHWrr", LIEF::assembly::x86::OPCODE::VPMULHWrr)
  .value("VPMULLDYrm", LIEF::assembly::x86::OPCODE::VPMULLDYrm)
  .value("VPMULLDYrr", LIEF::assembly::x86::OPCODE::VPMULLDYrr)
  .value("VPMULLDZ128rm", LIEF::assembly::x86::OPCODE::VPMULLDZ128rm)
  .value("VPMULLDZ128rmb", LIEF::assembly::x86::OPCODE::VPMULLDZ128rmb)
  .value("VPMULLDZ128rmbk", LIEF::assembly::x86::OPCODE::VPMULLDZ128rmbk)
  .value("VPMULLDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMULLDZ128rmbkz)
  .value("VPMULLDZ128rmk", LIEF::assembly::x86::OPCODE::VPMULLDZ128rmk)
  .value("VPMULLDZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULLDZ128rmkz)
  .value("VPMULLDZ128rr", LIEF::assembly::x86::OPCODE::VPMULLDZ128rr)
  .value("VPMULLDZ128rrk", LIEF::assembly::x86::OPCODE::VPMULLDZ128rrk)
  .value("VPMULLDZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULLDZ128rrkz)
  .value("VPMULLDZ256rm", LIEF::assembly::x86::OPCODE::VPMULLDZ256rm)
  .value("VPMULLDZ256rmb", LIEF::assembly::x86::OPCODE::VPMULLDZ256rmb)
  .value("VPMULLDZ256rmbk", LIEF::assembly::x86::OPCODE::VPMULLDZ256rmbk)
  .value("VPMULLDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMULLDZ256rmbkz)
  .value("VPMULLDZ256rmk", LIEF::assembly::x86::OPCODE::VPMULLDZ256rmk)
  .value("VPMULLDZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULLDZ256rmkz)
  .value("VPMULLDZ256rr", LIEF::assembly::x86::OPCODE::VPMULLDZ256rr)
  .value("VPMULLDZ256rrk", LIEF::assembly::x86::OPCODE::VPMULLDZ256rrk)
  .value("VPMULLDZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULLDZ256rrkz)
  .value("VPMULLDZrm", LIEF::assembly::x86::OPCODE::VPMULLDZrm)
  .value("VPMULLDZrmb", LIEF::assembly::x86::OPCODE::VPMULLDZrmb)
  .value("VPMULLDZrmbk", LIEF::assembly::x86::OPCODE::VPMULLDZrmbk)
  .value("VPMULLDZrmbkz", LIEF::assembly::x86::OPCODE::VPMULLDZrmbkz)
  .value("VPMULLDZrmk", LIEF::assembly::x86::OPCODE::VPMULLDZrmk)
  .value("VPMULLDZrmkz", LIEF::assembly::x86::OPCODE::VPMULLDZrmkz)
  .value("VPMULLDZrr", LIEF::assembly::x86::OPCODE::VPMULLDZrr)
  .value("VPMULLDZrrk", LIEF::assembly::x86::OPCODE::VPMULLDZrrk)
  .value("VPMULLDZrrkz", LIEF::assembly::x86::OPCODE::VPMULLDZrrkz)
  .value("VPMULLDrm", LIEF::assembly::x86::OPCODE::VPMULLDrm)
  .value("VPMULLDrr", LIEF::assembly::x86::OPCODE::VPMULLDrr)
  .value("VPMULLQZ128rm", LIEF::assembly::x86::OPCODE::VPMULLQZ128rm)
  .value("VPMULLQZ128rmb", LIEF::assembly::x86::OPCODE::VPMULLQZ128rmb)
  .value("VPMULLQZ128rmbk", LIEF::assembly::x86::OPCODE::VPMULLQZ128rmbk)
  .value("VPMULLQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMULLQZ128rmbkz)
  .value("VPMULLQZ128rmk", LIEF::assembly::x86::OPCODE::VPMULLQZ128rmk)
  .value("VPMULLQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULLQZ128rmkz)
  .value("VPMULLQZ128rr", LIEF::assembly::x86::OPCODE::VPMULLQZ128rr)
  .value("VPMULLQZ128rrk", LIEF::assembly::x86::OPCODE::VPMULLQZ128rrk)
  .value("VPMULLQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULLQZ128rrkz)
  .value("VPMULLQZ256rm", LIEF::assembly::x86::OPCODE::VPMULLQZ256rm)
  .value("VPMULLQZ256rmb", LIEF::assembly::x86::OPCODE::VPMULLQZ256rmb)
  .value("VPMULLQZ256rmbk", LIEF::assembly::x86::OPCODE::VPMULLQZ256rmbk)
  .value("VPMULLQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMULLQZ256rmbkz)
  .value("VPMULLQZ256rmk", LIEF::assembly::x86::OPCODE::VPMULLQZ256rmk)
  .value("VPMULLQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULLQZ256rmkz)
  .value("VPMULLQZ256rr", LIEF::assembly::x86::OPCODE::VPMULLQZ256rr)
  .value("VPMULLQZ256rrk", LIEF::assembly::x86::OPCODE::VPMULLQZ256rrk)
  .value("VPMULLQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULLQZ256rrkz)
  .value("VPMULLQZrm", LIEF::assembly::x86::OPCODE::VPMULLQZrm)
  .value("VPMULLQZrmb", LIEF::assembly::x86::OPCODE::VPMULLQZrmb);
  opcodes.value("VPMULLQZrmbk", LIEF::assembly::x86::OPCODE::VPMULLQZrmbk)
  .value("VPMULLQZrmbkz", LIEF::assembly::x86::OPCODE::VPMULLQZrmbkz)
  .value("VPMULLQZrmk", LIEF::assembly::x86::OPCODE::VPMULLQZrmk)
  .value("VPMULLQZrmkz", LIEF::assembly::x86::OPCODE::VPMULLQZrmkz)
  .value("VPMULLQZrr", LIEF::assembly::x86::OPCODE::VPMULLQZrr)
  .value("VPMULLQZrrk", LIEF::assembly::x86::OPCODE::VPMULLQZrrk)
  .value("VPMULLQZrrkz", LIEF::assembly::x86::OPCODE::VPMULLQZrrkz)
  .value("VPMULLWYrm", LIEF::assembly::x86::OPCODE::VPMULLWYrm)
  .value("VPMULLWYrr", LIEF::assembly::x86::OPCODE::VPMULLWYrr)
  .value("VPMULLWZ128rm", LIEF::assembly::x86::OPCODE::VPMULLWZ128rm)
  .value("VPMULLWZ128rmk", LIEF::assembly::x86::OPCODE::VPMULLWZ128rmk)
  .value("VPMULLWZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULLWZ128rmkz)
  .value("VPMULLWZ128rr", LIEF::assembly::x86::OPCODE::VPMULLWZ128rr)
  .value("VPMULLWZ128rrk", LIEF::assembly::x86::OPCODE::VPMULLWZ128rrk)
  .value("VPMULLWZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULLWZ128rrkz)
  .value("VPMULLWZ256rm", LIEF::assembly::x86::OPCODE::VPMULLWZ256rm)
  .value("VPMULLWZ256rmk", LIEF::assembly::x86::OPCODE::VPMULLWZ256rmk)
  .value("VPMULLWZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULLWZ256rmkz)
  .value("VPMULLWZ256rr", LIEF::assembly::x86::OPCODE::VPMULLWZ256rr)
  .value("VPMULLWZ256rrk", LIEF::assembly::x86::OPCODE::VPMULLWZ256rrk)
  .value("VPMULLWZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULLWZ256rrkz)
  .value("VPMULLWZrm", LIEF::assembly::x86::OPCODE::VPMULLWZrm)
  .value("VPMULLWZrmk", LIEF::assembly::x86::OPCODE::VPMULLWZrmk)
  .value("VPMULLWZrmkz", LIEF::assembly::x86::OPCODE::VPMULLWZrmkz)
  .value("VPMULLWZrr", LIEF::assembly::x86::OPCODE::VPMULLWZrr)
  .value("VPMULLWZrrk", LIEF::assembly::x86::OPCODE::VPMULLWZrrk)
  .value("VPMULLWZrrkz", LIEF::assembly::x86::OPCODE::VPMULLWZrrkz)
  .value("VPMULLWrm", LIEF::assembly::x86::OPCODE::VPMULLWrm)
  .value("VPMULLWrr", LIEF::assembly::x86::OPCODE::VPMULLWrr)
  .value("VPMULTISHIFTQBZ128rm", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rm)
  .value("VPMULTISHIFTQBZ128rmb", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rmb)
  .value("VPMULTISHIFTQBZ128rmbk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rmbk)
  .value("VPMULTISHIFTQBZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rmbkz)
  .value("VPMULTISHIFTQBZ128rmk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rmk)
  .value("VPMULTISHIFTQBZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rmkz)
  .value("VPMULTISHIFTQBZ128rr", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rr)
  .value("VPMULTISHIFTQBZ128rrk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rrk)
  .value("VPMULTISHIFTQBZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ128rrkz)
  .value("VPMULTISHIFTQBZ256rm", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rm)
  .value("VPMULTISHIFTQBZ256rmb", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rmb)
  .value("VPMULTISHIFTQBZ256rmbk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rmbk)
  .value("VPMULTISHIFTQBZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rmbkz)
  .value("VPMULTISHIFTQBZ256rmk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rmk)
  .value("VPMULTISHIFTQBZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rmkz)
  .value("VPMULTISHIFTQBZ256rr", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rr)
  .value("VPMULTISHIFTQBZ256rrk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rrk)
  .value("VPMULTISHIFTQBZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZ256rrkz)
  .value("VPMULTISHIFTQBZrm", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrm)
  .value("VPMULTISHIFTQBZrmb", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrmb)
  .value("VPMULTISHIFTQBZrmbk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrmbk)
  .value("VPMULTISHIFTQBZrmbkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrmbkz)
  .value("VPMULTISHIFTQBZrmk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrmk)
  .value("VPMULTISHIFTQBZrmkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrmkz)
  .value("VPMULTISHIFTQBZrr", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrr)
  .value("VPMULTISHIFTQBZrrk", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrrk)
  .value("VPMULTISHIFTQBZrrkz", LIEF::assembly::x86::OPCODE::VPMULTISHIFTQBZrrkz)
  .value("VPMULUDQYrm", LIEF::assembly::x86::OPCODE::VPMULUDQYrm)
  .value("VPMULUDQYrr", LIEF::assembly::x86::OPCODE::VPMULUDQYrr)
  .value("VPMULUDQZ128rm", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rm)
  .value("VPMULUDQZ128rmb", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rmb)
  .value("VPMULUDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rmbk)
  .value("VPMULUDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rmbkz)
  .value("VPMULUDQZ128rmk", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rmk)
  .value("VPMULUDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rmkz)
  .value("VPMULUDQZ128rr", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rr)
  .value("VPMULUDQZ128rrk", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rrk)
  .value("VPMULUDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPMULUDQZ128rrkz)
  .value("VPMULUDQZ256rm", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rm)
  .value("VPMULUDQZ256rmb", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rmb)
  .value("VPMULUDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rmbk)
  .value("VPMULUDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rmbkz)
  .value("VPMULUDQZ256rmk", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rmk)
  .value("VPMULUDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rmkz)
  .value("VPMULUDQZ256rr", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rr)
  .value("VPMULUDQZ256rrk", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rrk)
  .value("VPMULUDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPMULUDQZ256rrkz)
  .value("VPMULUDQZrm", LIEF::assembly::x86::OPCODE::VPMULUDQZrm)
  .value("VPMULUDQZrmb", LIEF::assembly::x86::OPCODE::VPMULUDQZrmb)
  .value("VPMULUDQZrmbk", LIEF::assembly::x86::OPCODE::VPMULUDQZrmbk)
  .value("VPMULUDQZrmbkz", LIEF::assembly::x86::OPCODE::VPMULUDQZrmbkz)
  .value("VPMULUDQZrmk", LIEF::assembly::x86::OPCODE::VPMULUDQZrmk)
  .value("VPMULUDQZrmkz", LIEF::assembly::x86::OPCODE::VPMULUDQZrmkz)
  .value("VPMULUDQZrr", LIEF::assembly::x86::OPCODE::VPMULUDQZrr)
  .value("VPMULUDQZrrk", LIEF::assembly::x86::OPCODE::VPMULUDQZrrk)
  .value("VPMULUDQZrrkz", LIEF::assembly::x86::OPCODE::VPMULUDQZrrkz)
  .value("VPMULUDQrm", LIEF::assembly::x86::OPCODE::VPMULUDQrm)
  .value("VPMULUDQrr", LIEF::assembly::x86::OPCODE::VPMULUDQrr)
  .value("VPOPCNTBZ128rm", LIEF::assembly::x86::OPCODE::VPOPCNTBZ128rm)
  .value("VPOPCNTBZ128rmk", LIEF::assembly::x86::OPCODE::VPOPCNTBZ128rmk)
  .value("VPOPCNTBZ128rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTBZ128rmkz)
  .value("VPOPCNTBZ128rr", LIEF::assembly::x86::OPCODE::VPOPCNTBZ128rr)
  .value("VPOPCNTBZ128rrk", LIEF::assembly::x86::OPCODE::VPOPCNTBZ128rrk)
  .value("VPOPCNTBZ128rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTBZ128rrkz)
  .value("VPOPCNTBZ256rm", LIEF::assembly::x86::OPCODE::VPOPCNTBZ256rm)
  .value("VPOPCNTBZ256rmk", LIEF::assembly::x86::OPCODE::VPOPCNTBZ256rmk)
  .value("VPOPCNTBZ256rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTBZ256rmkz)
  .value("VPOPCNTBZ256rr", LIEF::assembly::x86::OPCODE::VPOPCNTBZ256rr)
  .value("VPOPCNTBZ256rrk", LIEF::assembly::x86::OPCODE::VPOPCNTBZ256rrk)
  .value("VPOPCNTBZ256rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTBZ256rrkz)
  .value("VPOPCNTBZrm", LIEF::assembly::x86::OPCODE::VPOPCNTBZrm)
  .value("VPOPCNTBZrmk", LIEF::assembly::x86::OPCODE::VPOPCNTBZrmk)
  .value("VPOPCNTBZrmkz", LIEF::assembly::x86::OPCODE::VPOPCNTBZrmkz)
  .value("VPOPCNTBZrr", LIEF::assembly::x86::OPCODE::VPOPCNTBZrr)
  .value("VPOPCNTBZrrk", LIEF::assembly::x86::OPCODE::VPOPCNTBZrrk)
  .value("VPOPCNTBZrrkz", LIEF::assembly::x86::OPCODE::VPOPCNTBZrrkz)
  .value("VPOPCNTDZ128rm", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rm)
  .value("VPOPCNTDZ128rmb", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rmb)
  .value("VPOPCNTDZ128rmbk", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rmbk)
  .value("VPOPCNTDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rmbkz)
  .value("VPOPCNTDZ128rmk", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rmk)
  .value("VPOPCNTDZ128rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rmkz)
  .value("VPOPCNTDZ128rr", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rr)
  .value("VPOPCNTDZ128rrk", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rrk)
  .value("VPOPCNTDZ128rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZ128rrkz)
  .value("VPOPCNTDZ256rm", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rm)
  .value("VPOPCNTDZ256rmb", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rmb)
  .value("VPOPCNTDZ256rmbk", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rmbk)
  .value("VPOPCNTDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rmbkz)
  .value("VPOPCNTDZ256rmk", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rmk)
  .value("VPOPCNTDZ256rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rmkz)
  .value("VPOPCNTDZ256rr", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rr)
  .value("VPOPCNTDZ256rrk", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rrk)
  .value("VPOPCNTDZ256rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZ256rrkz)
  .value("VPOPCNTDZrm", LIEF::assembly::x86::OPCODE::VPOPCNTDZrm)
  .value("VPOPCNTDZrmb", LIEF::assembly::x86::OPCODE::VPOPCNTDZrmb)
  .value("VPOPCNTDZrmbk", LIEF::assembly::x86::OPCODE::VPOPCNTDZrmbk)
  .value("VPOPCNTDZrmbkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZrmbkz)
  .value("VPOPCNTDZrmk", LIEF::assembly::x86::OPCODE::VPOPCNTDZrmk)
  .value("VPOPCNTDZrmkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZrmkz)
  .value("VPOPCNTDZrr", LIEF::assembly::x86::OPCODE::VPOPCNTDZrr)
  .value("VPOPCNTDZrrk", LIEF::assembly::x86::OPCODE::VPOPCNTDZrrk)
  .value("VPOPCNTDZrrkz", LIEF::assembly::x86::OPCODE::VPOPCNTDZrrkz)
  .value("VPOPCNTQZ128rm", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rm)
  .value("VPOPCNTQZ128rmb", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rmb)
  .value("VPOPCNTQZ128rmbk", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rmbk)
  .value("VPOPCNTQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rmbkz)
  .value("VPOPCNTQZ128rmk", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rmk)
  .value("VPOPCNTQZ128rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rmkz)
  .value("VPOPCNTQZ128rr", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rr)
  .value("VPOPCNTQZ128rrk", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rrk)
  .value("VPOPCNTQZ128rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZ128rrkz)
  .value("VPOPCNTQZ256rm", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rm)
  .value("VPOPCNTQZ256rmb", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rmb)
  .value("VPOPCNTQZ256rmbk", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rmbk)
  .value("VPOPCNTQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rmbkz)
  .value("VPOPCNTQZ256rmk", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rmk)
  .value("VPOPCNTQZ256rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rmkz)
  .value("VPOPCNTQZ256rr", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rr)
  .value("VPOPCNTQZ256rrk", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rrk)
  .value("VPOPCNTQZ256rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZ256rrkz)
  .value("VPOPCNTQZrm", LIEF::assembly::x86::OPCODE::VPOPCNTQZrm)
  .value("VPOPCNTQZrmb", LIEF::assembly::x86::OPCODE::VPOPCNTQZrmb)
  .value("VPOPCNTQZrmbk", LIEF::assembly::x86::OPCODE::VPOPCNTQZrmbk)
  .value("VPOPCNTQZrmbkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZrmbkz)
  .value("VPOPCNTQZrmk", LIEF::assembly::x86::OPCODE::VPOPCNTQZrmk)
  .value("VPOPCNTQZrmkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZrmkz)
  .value("VPOPCNTQZrr", LIEF::assembly::x86::OPCODE::VPOPCNTQZrr)
  .value("VPOPCNTQZrrk", LIEF::assembly::x86::OPCODE::VPOPCNTQZrrk)
  .value("VPOPCNTQZrrkz", LIEF::assembly::x86::OPCODE::VPOPCNTQZrrkz)
  .value("VPOPCNTWZ128rm", LIEF::assembly::x86::OPCODE::VPOPCNTWZ128rm)
  .value("VPOPCNTWZ128rmk", LIEF::assembly::x86::OPCODE::VPOPCNTWZ128rmk)
  .value("VPOPCNTWZ128rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTWZ128rmkz)
  .value("VPOPCNTWZ128rr", LIEF::assembly::x86::OPCODE::VPOPCNTWZ128rr)
  .value("VPOPCNTWZ128rrk", LIEF::assembly::x86::OPCODE::VPOPCNTWZ128rrk)
  .value("VPOPCNTWZ128rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTWZ128rrkz)
  .value("VPOPCNTWZ256rm", LIEF::assembly::x86::OPCODE::VPOPCNTWZ256rm)
  .value("VPOPCNTWZ256rmk", LIEF::assembly::x86::OPCODE::VPOPCNTWZ256rmk)
  .value("VPOPCNTWZ256rmkz", LIEF::assembly::x86::OPCODE::VPOPCNTWZ256rmkz)
  .value("VPOPCNTWZ256rr", LIEF::assembly::x86::OPCODE::VPOPCNTWZ256rr)
  .value("VPOPCNTWZ256rrk", LIEF::assembly::x86::OPCODE::VPOPCNTWZ256rrk)
  .value("VPOPCNTWZ256rrkz", LIEF::assembly::x86::OPCODE::VPOPCNTWZ256rrkz)
  .value("VPOPCNTWZrm", LIEF::assembly::x86::OPCODE::VPOPCNTWZrm)
  .value("VPOPCNTWZrmk", LIEF::assembly::x86::OPCODE::VPOPCNTWZrmk)
  .value("VPOPCNTWZrmkz", LIEF::assembly::x86::OPCODE::VPOPCNTWZrmkz)
  .value("VPOPCNTWZrr", LIEF::assembly::x86::OPCODE::VPOPCNTWZrr)
  .value("VPOPCNTWZrrk", LIEF::assembly::x86::OPCODE::VPOPCNTWZrrk)
  .value("VPOPCNTWZrrkz", LIEF::assembly::x86::OPCODE::VPOPCNTWZrrkz)
  .value("VPORDZ128rm", LIEF::assembly::x86::OPCODE::VPORDZ128rm)
  .value("VPORDZ128rmb", LIEF::assembly::x86::OPCODE::VPORDZ128rmb)
  .value("VPORDZ128rmbk", LIEF::assembly::x86::OPCODE::VPORDZ128rmbk)
  .value("VPORDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPORDZ128rmbkz)
  .value("VPORDZ128rmk", LIEF::assembly::x86::OPCODE::VPORDZ128rmk)
  .value("VPORDZ128rmkz", LIEF::assembly::x86::OPCODE::VPORDZ128rmkz)
  .value("VPORDZ128rr", LIEF::assembly::x86::OPCODE::VPORDZ128rr)
  .value("VPORDZ128rrk", LIEF::assembly::x86::OPCODE::VPORDZ128rrk)
  .value("VPORDZ128rrkz", LIEF::assembly::x86::OPCODE::VPORDZ128rrkz)
  .value("VPORDZ256rm", LIEF::assembly::x86::OPCODE::VPORDZ256rm)
  .value("VPORDZ256rmb", LIEF::assembly::x86::OPCODE::VPORDZ256rmb)
  .value("VPORDZ256rmbk", LIEF::assembly::x86::OPCODE::VPORDZ256rmbk)
  .value("VPORDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPORDZ256rmbkz)
  .value("VPORDZ256rmk", LIEF::assembly::x86::OPCODE::VPORDZ256rmk)
  .value("VPORDZ256rmkz", LIEF::assembly::x86::OPCODE::VPORDZ256rmkz)
  .value("VPORDZ256rr", LIEF::assembly::x86::OPCODE::VPORDZ256rr)
  .value("VPORDZ256rrk", LIEF::assembly::x86::OPCODE::VPORDZ256rrk)
  .value("VPORDZ256rrkz", LIEF::assembly::x86::OPCODE::VPORDZ256rrkz)
  .value("VPORDZrm", LIEF::assembly::x86::OPCODE::VPORDZrm)
  .value("VPORDZrmb", LIEF::assembly::x86::OPCODE::VPORDZrmb)
  .value("VPORDZrmbk", LIEF::assembly::x86::OPCODE::VPORDZrmbk)
  .value("VPORDZrmbkz", LIEF::assembly::x86::OPCODE::VPORDZrmbkz)
  .value("VPORDZrmk", LIEF::assembly::x86::OPCODE::VPORDZrmk)
  .value("VPORDZrmkz", LIEF::assembly::x86::OPCODE::VPORDZrmkz)
  .value("VPORDZrr", LIEF::assembly::x86::OPCODE::VPORDZrr)
  .value("VPORDZrrk", LIEF::assembly::x86::OPCODE::VPORDZrrk)
  .value("VPORDZrrkz", LIEF::assembly::x86::OPCODE::VPORDZrrkz)
  .value("VPORQZ128rm", LIEF::assembly::x86::OPCODE::VPORQZ128rm)
  .value("VPORQZ128rmb", LIEF::assembly::x86::OPCODE::VPORQZ128rmb)
  .value("VPORQZ128rmbk", LIEF::assembly::x86::OPCODE::VPORQZ128rmbk)
  .value("VPORQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPORQZ128rmbkz)
  .value("VPORQZ128rmk", LIEF::assembly::x86::OPCODE::VPORQZ128rmk)
  .value("VPORQZ128rmkz", LIEF::assembly::x86::OPCODE::VPORQZ128rmkz)
  .value("VPORQZ128rr", LIEF::assembly::x86::OPCODE::VPORQZ128rr)
  .value("VPORQZ128rrk", LIEF::assembly::x86::OPCODE::VPORQZ128rrk)
  .value("VPORQZ128rrkz", LIEF::assembly::x86::OPCODE::VPORQZ128rrkz)
  .value("VPORQZ256rm", LIEF::assembly::x86::OPCODE::VPORQZ256rm)
  .value("VPORQZ256rmb", LIEF::assembly::x86::OPCODE::VPORQZ256rmb)
  .value("VPORQZ256rmbk", LIEF::assembly::x86::OPCODE::VPORQZ256rmbk)
  .value("VPORQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPORQZ256rmbkz)
  .value("VPORQZ256rmk", LIEF::assembly::x86::OPCODE::VPORQZ256rmk)
  .value("VPORQZ256rmkz", LIEF::assembly::x86::OPCODE::VPORQZ256rmkz)
  .value("VPORQZ256rr", LIEF::assembly::x86::OPCODE::VPORQZ256rr)
  .value("VPORQZ256rrk", LIEF::assembly::x86::OPCODE::VPORQZ256rrk)
  .value("VPORQZ256rrkz", LIEF::assembly::x86::OPCODE::VPORQZ256rrkz)
  .value("VPORQZrm", LIEF::assembly::x86::OPCODE::VPORQZrm)
  .value("VPORQZrmb", LIEF::assembly::x86::OPCODE::VPORQZrmb)
  .value("VPORQZrmbk", LIEF::assembly::x86::OPCODE::VPORQZrmbk)
  .value("VPORQZrmbkz", LIEF::assembly::x86::OPCODE::VPORQZrmbkz)
  .value("VPORQZrmk", LIEF::assembly::x86::OPCODE::VPORQZrmk)
  .value("VPORQZrmkz", LIEF::assembly::x86::OPCODE::VPORQZrmkz)
  .value("VPORQZrr", LIEF::assembly::x86::OPCODE::VPORQZrr)
  .value("VPORQZrrk", LIEF::assembly::x86::OPCODE::VPORQZrrk)
  .value("VPORQZrrkz", LIEF::assembly::x86::OPCODE::VPORQZrrkz)
  .value("VPORYrm", LIEF::assembly::x86::OPCODE::VPORYrm)
  .value("VPORYrr", LIEF::assembly::x86::OPCODE::VPORYrr)
  .value("VPORrm", LIEF::assembly::x86::OPCODE::VPORrm)
  .value("VPORrr", LIEF::assembly::x86::OPCODE::VPORrr)
  .value("VPPERMrmr", LIEF::assembly::x86::OPCODE::VPPERMrmr)
  .value("VPPERMrrm", LIEF::assembly::x86::OPCODE::VPPERMrrm)
  .value("VPPERMrrr", LIEF::assembly::x86::OPCODE::VPPERMrrr)
  .value("VPPERMrrr_REV", LIEF::assembly::x86::OPCODE::VPPERMrrr_REV)
  .value("VPROLDZ128mbi", LIEF::assembly::x86::OPCODE::VPROLDZ128mbi)
  .value("VPROLDZ128mbik", LIEF::assembly::x86::OPCODE::VPROLDZ128mbik)
  .value("VPROLDZ128mbikz", LIEF::assembly::x86::OPCODE::VPROLDZ128mbikz)
  .value("VPROLDZ128mi", LIEF::assembly::x86::OPCODE::VPROLDZ128mi)
  .value("VPROLDZ128mik", LIEF::assembly::x86::OPCODE::VPROLDZ128mik)
  .value("VPROLDZ128mikz", LIEF::assembly::x86::OPCODE::VPROLDZ128mikz)
  .value("VPROLDZ128ri", LIEF::assembly::x86::OPCODE::VPROLDZ128ri)
  .value("VPROLDZ128rik", LIEF::assembly::x86::OPCODE::VPROLDZ128rik)
  .value("VPROLDZ128rikz", LIEF::assembly::x86::OPCODE::VPROLDZ128rikz)
  .value("VPROLDZ256mbi", LIEF::assembly::x86::OPCODE::VPROLDZ256mbi)
  .value("VPROLDZ256mbik", LIEF::assembly::x86::OPCODE::VPROLDZ256mbik)
  .value("VPROLDZ256mbikz", LIEF::assembly::x86::OPCODE::VPROLDZ256mbikz)
  .value("VPROLDZ256mi", LIEF::assembly::x86::OPCODE::VPROLDZ256mi)
  .value("VPROLDZ256mik", LIEF::assembly::x86::OPCODE::VPROLDZ256mik)
  .value("VPROLDZ256mikz", LIEF::assembly::x86::OPCODE::VPROLDZ256mikz)
  .value("VPROLDZ256ri", LIEF::assembly::x86::OPCODE::VPROLDZ256ri)
  .value("VPROLDZ256rik", LIEF::assembly::x86::OPCODE::VPROLDZ256rik)
  .value("VPROLDZ256rikz", LIEF::assembly::x86::OPCODE::VPROLDZ256rikz)
  .value("VPROLDZmbi", LIEF::assembly::x86::OPCODE::VPROLDZmbi)
  .value("VPROLDZmbik", LIEF::assembly::x86::OPCODE::VPROLDZmbik)
  .value("VPROLDZmbikz", LIEF::assembly::x86::OPCODE::VPROLDZmbikz)
  .value("VPROLDZmi", LIEF::assembly::x86::OPCODE::VPROLDZmi)
  .value("VPROLDZmik", LIEF::assembly::x86::OPCODE::VPROLDZmik)
  .value("VPROLDZmikz", LIEF::assembly::x86::OPCODE::VPROLDZmikz)
  .value("VPROLDZri", LIEF::assembly::x86::OPCODE::VPROLDZri)
  .value("VPROLDZrik", LIEF::assembly::x86::OPCODE::VPROLDZrik)
  .value("VPROLDZrikz", LIEF::assembly::x86::OPCODE::VPROLDZrikz)
  .value("VPROLQZ128mbi", LIEF::assembly::x86::OPCODE::VPROLQZ128mbi)
  .value("VPROLQZ128mbik", LIEF::assembly::x86::OPCODE::VPROLQZ128mbik)
  .value("VPROLQZ128mbikz", LIEF::assembly::x86::OPCODE::VPROLQZ128mbikz)
  .value("VPROLQZ128mi", LIEF::assembly::x86::OPCODE::VPROLQZ128mi)
  .value("VPROLQZ128mik", LIEF::assembly::x86::OPCODE::VPROLQZ128mik)
  .value("VPROLQZ128mikz", LIEF::assembly::x86::OPCODE::VPROLQZ128mikz)
  .value("VPROLQZ128ri", LIEF::assembly::x86::OPCODE::VPROLQZ128ri)
  .value("VPROLQZ128rik", LIEF::assembly::x86::OPCODE::VPROLQZ128rik)
  .value("VPROLQZ128rikz", LIEF::assembly::x86::OPCODE::VPROLQZ128rikz)
  .value("VPROLQZ256mbi", LIEF::assembly::x86::OPCODE::VPROLQZ256mbi)
  .value("VPROLQZ256mbik", LIEF::assembly::x86::OPCODE::VPROLQZ256mbik)
  .value("VPROLQZ256mbikz", LIEF::assembly::x86::OPCODE::VPROLQZ256mbikz)
  .value("VPROLQZ256mi", LIEF::assembly::x86::OPCODE::VPROLQZ256mi)
  .value("VPROLQZ256mik", LIEF::assembly::x86::OPCODE::VPROLQZ256mik)
  .value("VPROLQZ256mikz", LIEF::assembly::x86::OPCODE::VPROLQZ256mikz)
  .value("VPROLQZ256ri", LIEF::assembly::x86::OPCODE::VPROLQZ256ri)
  .value("VPROLQZ256rik", LIEF::assembly::x86::OPCODE::VPROLQZ256rik)
  .value("VPROLQZ256rikz", LIEF::assembly::x86::OPCODE::VPROLQZ256rikz)
  .value("VPROLQZmbi", LIEF::assembly::x86::OPCODE::VPROLQZmbi)
  .value("VPROLQZmbik", LIEF::assembly::x86::OPCODE::VPROLQZmbik)
  .value("VPROLQZmbikz", LIEF::assembly::x86::OPCODE::VPROLQZmbikz)
  .value("VPROLQZmi", LIEF::assembly::x86::OPCODE::VPROLQZmi)
  .value("VPROLQZmik", LIEF::assembly::x86::OPCODE::VPROLQZmik)
  .value("VPROLQZmikz", LIEF::assembly::x86::OPCODE::VPROLQZmikz)
  .value("VPROLQZri", LIEF::assembly::x86::OPCODE::VPROLQZri)
  .value("VPROLQZrik", LIEF::assembly::x86::OPCODE::VPROLQZrik)
  .value("VPROLQZrikz", LIEF::assembly::x86::OPCODE::VPROLQZrikz)
  .value("VPROLVDZ128rm", LIEF::assembly::x86::OPCODE::VPROLVDZ128rm)
  .value("VPROLVDZ128rmb", LIEF::assembly::x86::OPCODE::VPROLVDZ128rmb)
  .value("VPROLVDZ128rmbk", LIEF::assembly::x86::OPCODE::VPROLVDZ128rmbk)
  .value("VPROLVDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPROLVDZ128rmbkz)
  .value("VPROLVDZ128rmk", LIEF::assembly::x86::OPCODE::VPROLVDZ128rmk)
  .value("VPROLVDZ128rmkz", LIEF::assembly::x86::OPCODE::VPROLVDZ128rmkz)
  .value("VPROLVDZ128rr", LIEF::assembly::x86::OPCODE::VPROLVDZ128rr);
  opcodes.value("VPROLVDZ128rrk", LIEF::assembly::x86::OPCODE::VPROLVDZ128rrk)
  .value("VPROLVDZ128rrkz", LIEF::assembly::x86::OPCODE::VPROLVDZ128rrkz)
  .value("VPROLVDZ256rm", LIEF::assembly::x86::OPCODE::VPROLVDZ256rm)
  .value("VPROLVDZ256rmb", LIEF::assembly::x86::OPCODE::VPROLVDZ256rmb)
  .value("VPROLVDZ256rmbk", LIEF::assembly::x86::OPCODE::VPROLVDZ256rmbk)
  .value("VPROLVDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPROLVDZ256rmbkz)
  .value("VPROLVDZ256rmk", LIEF::assembly::x86::OPCODE::VPROLVDZ256rmk)
  .value("VPROLVDZ256rmkz", LIEF::assembly::x86::OPCODE::VPROLVDZ256rmkz)
  .value("VPROLVDZ256rr", LIEF::assembly::x86::OPCODE::VPROLVDZ256rr)
  .value("VPROLVDZ256rrk", LIEF::assembly::x86::OPCODE::VPROLVDZ256rrk)
  .value("VPROLVDZ256rrkz", LIEF::assembly::x86::OPCODE::VPROLVDZ256rrkz)
  .value("VPROLVDZrm", LIEF::assembly::x86::OPCODE::VPROLVDZrm)
  .value("VPROLVDZrmb", LIEF::assembly::x86::OPCODE::VPROLVDZrmb)
  .value("VPROLVDZrmbk", LIEF::assembly::x86::OPCODE::VPROLVDZrmbk)
  .value("VPROLVDZrmbkz", LIEF::assembly::x86::OPCODE::VPROLVDZrmbkz)
  .value("VPROLVDZrmk", LIEF::assembly::x86::OPCODE::VPROLVDZrmk)
  .value("VPROLVDZrmkz", LIEF::assembly::x86::OPCODE::VPROLVDZrmkz)
  .value("VPROLVDZrr", LIEF::assembly::x86::OPCODE::VPROLVDZrr)
  .value("VPROLVDZrrk", LIEF::assembly::x86::OPCODE::VPROLVDZrrk)
  .value("VPROLVDZrrkz", LIEF::assembly::x86::OPCODE::VPROLVDZrrkz)
  .value("VPROLVQZ128rm", LIEF::assembly::x86::OPCODE::VPROLVQZ128rm)
  .value("VPROLVQZ128rmb", LIEF::assembly::x86::OPCODE::VPROLVQZ128rmb)
  .value("VPROLVQZ128rmbk", LIEF::assembly::x86::OPCODE::VPROLVQZ128rmbk)
  .value("VPROLVQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPROLVQZ128rmbkz)
  .value("VPROLVQZ128rmk", LIEF::assembly::x86::OPCODE::VPROLVQZ128rmk)
  .value("VPROLVQZ128rmkz", LIEF::assembly::x86::OPCODE::VPROLVQZ128rmkz)
  .value("VPROLVQZ128rr", LIEF::assembly::x86::OPCODE::VPROLVQZ128rr)
  .value("VPROLVQZ128rrk", LIEF::assembly::x86::OPCODE::VPROLVQZ128rrk)
  .value("VPROLVQZ128rrkz", LIEF::assembly::x86::OPCODE::VPROLVQZ128rrkz)
  .value("VPROLVQZ256rm", LIEF::assembly::x86::OPCODE::VPROLVQZ256rm)
  .value("VPROLVQZ256rmb", LIEF::assembly::x86::OPCODE::VPROLVQZ256rmb)
  .value("VPROLVQZ256rmbk", LIEF::assembly::x86::OPCODE::VPROLVQZ256rmbk)
  .value("VPROLVQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPROLVQZ256rmbkz)
  .value("VPROLVQZ256rmk", LIEF::assembly::x86::OPCODE::VPROLVQZ256rmk)
  .value("VPROLVQZ256rmkz", LIEF::assembly::x86::OPCODE::VPROLVQZ256rmkz)
  .value("VPROLVQZ256rr", LIEF::assembly::x86::OPCODE::VPROLVQZ256rr)
  .value("VPROLVQZ256rrk", LIEF::assembly::x86::OPCODE::VPROLVQZ256rrk)
  .value("VPROLVQZ256rrkz", LIEF::assembly::x86::OPCODE::VPROLVQZ256rrkz)
  .value("VPROLVQZrm", LIEF::assembly::x86::OPCODE::VPROLVQZrm)
  .value("VPROLVQZrmb", LIEF::assembly::x86::OPCODE::VPROLVQZrmb)
  .value("VPROLVQZrmbk", LIEF::assembly::x86::OPCODE::VPROLVQZrmbk)
  .value("VPROLVQZrmbkz", LIEF::assembly::x86::OPCODE::VPROLVQZrmbkz)
  .value("VPROLVQZrmk", LIEF::assembly::x86::OPCODE::VPROLVQZrmk)
  .value("VPROLVQZrmkz", LIEF::assembly::x86::OPCODE::VPROLVQZrmkz)
  .value("VPROLVQZrr", LIEF::assembly::x86::OPCODE::VPROLVQZrr)
  .value("VPROLVQZrrk", LIEF::assembly::x86::OPCODE::VPROLVQZrrk)
  .value("VPROLVQZrrkz", LIEF::assembly::x86::OPCODE::VPROLVQZrrkz)
  .value("VPRORDZ128mbi", LIEF::assembly::x86::OPCODE::VPRORDZ128mbi)
  .value("VPRORDZ128mbik", LIEF::assembly::x86::OPCODE::VPRORDZ128mbik)
  .value("VPRORDZ128mbikz", LIEF::assembly::x86::OPCODE::VPRORDZ128mbikz)
  .value("VPRORDZ128mi", LIEF::assembly::x86::OPCODE::VPRORDZ128mi)
  .value("VPRORDZ128mik", LIEF::assembly::x86::OPCODE::VPRORDZ128mik)
  .value("VPRORDZ128mikz", LIEF::assembly::x86::OPCODE::VPRORDZ128mikz)
  .value("VPRORDZ128ri", LIEF::assembly::x86::OPCODE::VPRORDZ128ri)
  .value("VPRORDZ128rik", LIEF::assembly::x86::OPCODE::VPRORDZ128rik)
  .value("VPRORDZ128rikz", LIEF::assembly::x86::OPCODE::VPRORDZ128rikz)
  .value("VPRORDZ256mbi", LIEF::assembly::x86::OPCODE::VPRORDZ256mbi)
  .value("VPRORDZ256mbik", LIEF::assembly::x86::OPCODE::VPRORDZ256mbik)
  .value("VPRORDZ256mbikz", LIEF::assembly::x86::OPCODE::VPRORDZ256mbikz)
  .value("VPRORDZ256mi", LIEF::assembly::x86::OPCODE::VPRORDZ256mi)
  .value("VPRORDZ256mik", LIEF::assembly::x86::OPCODE::VPRORDZ256mik)
  .value("VPRORDZ256mikz", LIEF::assembly::x86::OPCODE::VPRORDZ256mikz)
  .value("VPRORDZ256ri", LIEF::assembly::x86::OPCODE::VPRORDZ256ri)
  .value("VPRORDZ256rik", LIEF::assembly::x86::OPCODE::VPRORDZ256rik)
  .value("VPRORDZ256rikz", LIEF::assembly::x86::OPCODE::VPRORDZ256rikz)
  .value("VPRORDZmbi", LIEF::assembly::x86::OPCODE::VPRORDZmbi)
  .value("VPRORDZmbik", LIEF::assembly::x86::OPCODE::VPRORDZmbik)
  .value("VPRORDZmbikz", LIEF::assembly::x86::OPCODE::VPRORDZmbikz)
  .value("VPRORDZmi", LIEF::assembly::x86::OPCODE::VPRORDZmi)
  .value("VPRORDZmik", LIEF::assembly::x86::OPCODE::VPRORDZmik)
  .value("VPRORDZmikz", LIEF::assembly::x86::OPCODE::VPRORDZmikz)
  .value("VPRORDZri", LIEF::assembly::x86::OPCODE::VPRORDZri)
  .value("VPRORDZrik", LIEF::assembly::x86::OPCODE::VPRORDZrik)
  .value("VPRORDZrikz", LIEF::assembly::x86::OPCODE::VPRORDZrikz)
  .value("VPRORQZ128mbi", LIEF::assembly::x86::OPCODE::VPRORQZ128mbi)
  .value("VPRORQZ128mbik", LIEF::assembly::x86::OPCODE::VPRORQZ128mbik)
  .value("VPRORQZ128mbikz", LIEF::assembly::x86::OPCODE::VPRORQZ128mbikz)
  .value("VPRORQZ128mi", LIEF::assembly::x86::OPCODE::VPRORQZ128mi)
  .value("VPRORQZ128mik", LIEF::assembly::x86::OPCODE::VPRORQZ128mik)
  .value("VPRORQZ128mikz", LIEF::assembly::x86::OPCODE::VPRORQZ128mikz)
  .value("VPRORQZ128ri", LIEF::assembly::x86::OPCODE::VPRORQZ128ri)
  .value("VPRORQZ128rik", LIEF::assembly::x86::OPCODE::VPRORQZ128rik)
  .value("VPRORQZ128rikz", LIEF::assembly::x86::OPCODE::VPRORQZ128rikz)
  .value("VPRORQZ256mbi", LIEF::assembly::x86::OPCODE::VPRORQZ256mbi)
  .value("VPRORQZ256mbik", LIEF::assembly::x86::OPCODE::VPRORQZ256mbik)
  .value("VPRORQZ256mbikz", LIEF::assembly::x86::OPCODE::VPRORQZ256mbikz)
  .value("VPRORQZ256mi", LIEF::assembly::x86::OPCODE::VPRORQZ256mi)
  .value("VPRORQZ256mik", LIEF::assembly::x86::OPCODE::VPRORQZ256mik)
  .value("VPRORQZ256mikz", LIEF::assembly::x86::OPCODE::VPRORQZ256mikz)
  .value("VPRORQZ256ri", LIEF::assembly::x86::OPCODE::VPRORQZ256ri)
  .value("VPRORQZ256rik", LIEF::assembly::x86::OPCODE::VPRORQZ256rik)
  .value("VPRORQZ256rikz", LIEF::assembly::x86::OPCODE::VPRORQZ256rikz)
  .value("VPRORQZmbi", LIEF::assembly::x86::OPCODE::VPRORQZmbi)
  .value("VPRORQZmbik", LIEF::assembly::x86::OPCODE::VPRORQZmbik)
  .value("VPRORQZmbikz", LIEF::assembly::x86::OPCODE::VPRORQZmbikz)
  .value("VPRORQZmi", LIEF::assembly::x86::OPCODE::VPRORQZmi)
  .value("VPRORQZmik", LIEF::assembly::x86::OPCODE::VPRORQZmik)
  .value("VPRORQZmikz", LIEF::assembly::x86::OPCODE::VPRORQZmikz)
  .value("VPRORQZri", LIEF::assembly::x86::OPCODE::VPRORQZri)
  .value("VPRORQZrik", LIEF::assembly::x86::OPCODE::VPRORQZrik)
  .value("VPRORQZrikz", LIEF::assembly::x86::OPCODE::VPRORQZrikz)
  .value("VPRORVDZ128rm", LIEF::assembly::x86::OPCODE::VPRORVDZ128rm)
  .value("VPRORVDZ128rmb", LIEF::assembly::x86::OPCODE::VPRORVDZ128rmb)
  .value("VPRORVDZ128rmbk", LIEF::assembly::x86::OPCODE::VPRORVDZ128rmbk)
  .value("VPRORVDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPRORVDZ128rmbkz)
  .value("VPRORVDZ128rmk", LIEF::assembly::x86::OPCODE::VPRORVDZ128rmk)
  .value("VPRORVDZ128rmkz", LIEF::assembly::x86::OPCODE::VPRORVDZ128rmkz)
  .value("VPRORVDZ128rr", LIEF::assembly::x86::OPCODE::VPRORVDZ128rr)
  .value("VPRORVDZ128rrk", LIEF::assembly::x86::OPCODE::VPRORVDZ128rrk)
  .value("VPRORVDZ128rrkz", LIEF::assembly::x86::OPCODE::VPRORVDZ128rrkz)
  .value("VPRORVDZ256rm", LIEF::assembly::x86::OPCODE::VPRORVDZ256rm)
  .value("VPRORVDZ256rmb", LIEF::assembly::x86::OPCODE::VPRORVDZ256rmb)
  .value("VPRORVDZ256rmbk", LIEF::assembly::x86::OPCODE::VPRORVDZ256rmbk)
  .value("VPRORVDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPRORVDZ256rmbkz)
  .value("VPRORVDZ256rmk", LIEF::assembly::x86::OPCODE::VPRORVDZ256rmk)
  .value("VPRORVDZ256rmkz", LIEF::assembly::x86::OPCODE::VPRORVDZ256rmkz)
  .value("VPRORVDZ256rr", LIEF::assembly::x86::OPCODE::VPRORVDZ256rr)
  .value("VPRORVDZ256rrk", LIEF::assembly::x86::OPCODE::VPRORVDZ256rrk)
  .value("VPRORVDZ256rrkz", LIEF::assembly::x86::OPCODE::VPRORVDZ256rrkz)
  .value("VPRORVDZrm", LIEF::assembly::x86::OPCODE::VPRORVDZrm)
  .value("VPRORVDZrmb", LIEF::assembly::x86::OPCODE::VPRORVDZrmb)
  .value("VPRORVDZrmbk", LIEF::assembly::x86::OPCODE::VPRORVDZrmbk)
  .value("VPRORVDZrmbkz", LIEF::assembly::x86::OPCODE::VPRORVDZrmbkz)
  .value("VPRORVDZrmk", LIEF::assembly::x86::OPCODE::VPRORVDZrmk)
  .value("VPRORVDZrmkz", LIEF::assembly::x86::OPCODE::VPRORVDZrmkz)
  .value("VPRORVDZrr", LIEF::assembly::x86::OPCODE::VPRORVDZrr)
  .value("VPRORVDZrrk", LIEF::assembly::x86::OPCODE::VPRORVDZrrk)
  .value("VPRORVDZrrkz", LIEF::assembly::x86::OPCODE::VPRORVDZrrkz)
  .value("VPRORVQZ128rm", LIEF::assembly::x86::OPCODE::VPRORVQZ128rm)
  .value("VPRORVQZ128rmb", LIEF::assembly::x86::OPCODE::VPRORVQZ128rmb)
  .value("VPRORVQZ128rmbk", LIEF::assembly::x86::OPCODE::VPRORVQZ128rmbk)
  .value("VPRORVQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPRORVQZ128rmbkz)
  .value("VPRORVQZ128rmk", LIEF::assembly::x86::OPCODE::VPRORVQZ128rmk)
  .value("VPRORVQZ128rmkz", LIEF::assembly::x86::OPCODE::VPRORVQZ128rmkz)
  .value("VPRORVQZ128rr", LIEF::assembly::x86::OPCODE::VPRORVQZ128rr)
  .value("VPRORVQZ128rrk", LIEF::assembly::x86::OPCODE::VPRORVQZ128rrk)
  .value("VPRORVQZ128rrkz", LIEF::assembly::x86::OPCODE::VPRORVQZ128rrkz)
  .value("VPRORVQZ256rm", LIEF::assembly::x86::OPCODE::VPRORVQZ256rm)
  .value("VPRORVQZ256rmb", LIEF::assembly::x86::OPCODE::VPRORVQZ256rmb)
  .value("VPRORVQZ256rmbk", LIEF::assembly::x86::OPCODE::VPRORVQZ256rmbk)
  .value("VPRORVQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPRORVQZ256rmbkz)
  .value("VPRORVQZ256rmk", LIEF::assembly::x86::OPCODE::VPRORVQZ256rmk)
  .value("VPRORVQZ256rmkz", LIEF::assembly::x86::OPCODE::VPRORVQZ256rmkz)
  .value("VPRORVQZ256rr", LIEF::assembly::x86::OPCODE::VPRORVQZ256rr)
  .value("VPRORVQZ256rrk", LIEF::assembly::x86::OPCODE::VPRORVQZ256rrk)
  .value("VPRORVQZ256rrkz", LIEF::assembly::x86::OPCODE::VPRORVQZ256rrkz)
  .value("VPRORVQZrm", LIEF::assembly::x86::OPCODE::VPRORVQZrm)
  .value("VPRORVQZrmb", LIEF::assembly::x86::OPCODE::VPRORVQZrmb)
  .value("VPRORVQZrmbk", LIEF::assembly::x86::OPCODE::VPRORVQZrmbk)
  .value("VPRORVQZrmbkz", LIEF::assembly::x86::OPCODE::VPRORVQZrmbkz)
  .value("VPRORVQZrmk", LIEF::assembly::x86::OPCODE::VPRORVQZrmk)
  .value("VPRORVQZrmkz", LIEF::assembly::x86::OPCODE::VPRORVQZrmkz)
  .value("VPRORVQZrr", LIEF::assembly::x86::OPCODE::VPRORVQZrr)
  .value("VPRORVQZrrk", LIEF::assembly::x86::OPCODE::VPRORVQZrrk)
  .value("VPRORVQZrrkz", LIEF::assembly::x86::OPCODE::VPRORVQZrrkz)
  .value("VPROTBmi", LIEF::assembly::x86::OPCODE::VPROTBmi)
  .value("VPROTBmr", LIEF::assembly::x86::OPCODE::VPROTBmr)
  .value("VPROTBri", LIEF::assembly::x86::OPCODE::VPROTBri)
  .value("VPROTBrm", LIEF::assembly::x86::OPCODE::VPROTBrm)
  .value("VPROTBrr", LIEF::assembly::x86::OPCODE::VPROTBrr)
  .value("VPROTBrr_REV", LIEF::assembly::x86::OPCODE::VPROTBrr_REV)
  .value("VPROTDmi", LIEF::assembly::x86::OPCODE::VPROTDmi)
  .value("VPROTDmr", LIEF::assembly::x86::OPCODE::VPROTDmr)
  .value("VPROTDri", LIEF::assembly::x86::OPCODE::VPROTDri)
  .value("VPROTDrm", LIEF::assembly::x86::OPCODE::VPROTDrm)
  .value("VPROTDrr", LIEF::assembly::x86::OPCODE::VPROTDrr)
  .value("VPROTDrr_REV", LIEF::assembly::x86::OPCODE::VPROTDrr_REV)
  .value("VPROTQmi", LIEF::assembly::x86::OPCODE::VPROTQmi)
  .value("VPROTQmr", LIEF::assembly::x86::OPCODE::VPROTQmr)
  .value("VPROTQri", LIEF::assembly::x86::OPCODE::VPROTQri)
  .value("VPROTQrm", LIEF::assembly::x86::OPCODE::VPROTQrm)
  .value("VPROTQrr", LIEF::assembly::x86::OPCODE::VPROTQrr)
  .value("VPROTQrr_REV", LIEF::assembly::x86::OPCODE::VPROTQrr_REV)
  .value("VPROTWmi", LIEF::assembly::x86::OPCODE::VPROTWmi)
  .value("VPROTWmr", LIEF::assembly::x86::OPCODE::VPROTWmr)
  .value("VPROTWri", LIEF::assembly::x86::OPCODE::VPROTWri)
  .value("VPROTWrm", LIEF::assembly::x86::OPCODE::VPROTWrm)
  .value("VPROTWrr", LIEF::assembly::x86::OPCODE::VPROTWrr)
  .value("VPROTWrr_REV", LIEF::assembly::x86::OPCODE::VPROTWrr_REV)
  .value("VPSADBWYrm", LIEF::assembly::x86::OPCODE::VPSADBWYrm)
  .value("VPSADBWYrr", LIEF::assembly::x86::OPCODE::VPSADBWYrr)
  .value("VPSADBWZ128rm", LIEF::assembly::x86::OPCODE::VPSADBWZ128rm)
  .value("VPSADBWZ128rr", LIEF::assembly::x86::OPCODE::VPSADBWZ128rr)
  .value("VPSADBWZ256rm", LIEF::assembly::x86::OPCODE::VPSADBWZ256rm)
  .value("VPSADBWZ256rr", LIEF::assembly::x86::OPCODE::VPSADBWZ256rr)
  .value("VPSADBWZrm", LIEF::assembly::x86::OPCODE::VPSADBWZrm)
  .value("VPSADBWZrr", LIEF::assembly::x86::OPCODE::VPSADBWZrr)
  .value("VPSADBWrm", LIEF::assembly::x86::OPCODE::VPSADBWrm)
  .value("VPSADBWrr", LIEF::assembly::x86::OPCODE::VPSADBWrr)
  .value("VPSCATTERDDZ128mr", LIEF::assembly::x86::OPCODE::VPSCATTERDDZ128mr)
  .value("VPSCATTERDDZ256mr", LIEF::assembly::x86::OPCODE::VPSCATTERDDZ256mr)
  .value("VPSCATTERDDZmr", LIEF::assembly::x86::OPCODE::VPSCATTERDDZmr)
  .value("VPSCATTERDQZ128mr", LIEF::assembly::x86::OPCODE::VPSCATTERDQZ128mr)
  .value("VPSCATTERDQZ256mr", LIEF::assembly::x86::OPCODE::VPSCATTERDQZ256mr)
  .value("VPSCATTERDQZmr", LIEF::assembly::x86::OPCODE::VPSCATTERDQZmr)
  .value("VPSCATTERQDZ128mr", LIEF::assembly::x86::OPCODE::VPSCATTERQDZ128mr)
  .value("VPSCATTERQDZ256mr", LIEF::assembly::x86::OPCODE::VPSCATTERQDZ256mr)
  .value("VPSCATTERQDZmr", LIEF::assembly::x86::OPCODE::VPSCATTERQDZmr)
  .value("VPSCATTERQQZ128mr", LIEF::assembly::x86::OPCODE::VPSCATTERQQZ128mr)
  .value("VPSCATTERQQZ256mr", LIEF::assembly::x86::OPCODE::VPSCATTERQQZ256mr)
  .value("VPSCATTERQQZmr", LIEF::assembly::x86::OPCODE::VPSCATTERQQZmr)
  .value("VPSHABmr", LIEF::assembly::x86::OPCODE::VPSHABmr)
  .value("VPSHABrm", LIEF::assembly::x86::OPCODE::VPSHABrm)
  .value("VPSHABrr", LIEF::assembly::x86::OPCODE::VPSHABrr)
  .value("VPSHABrr_REV", LIEF::assembly::x86::OPCODE::VPSHABrr_REV)
  .value("VPSHADmr", LIEF::assembly::x86::OPCODE::VPSHADmr)
  .value("VPSHADrm", LIEF::assembly::x86::OPCODE::VPSHADrm)
  .value("VPSHADrr", LIEF::assembly::x86::OPCODE::VPSHADrr)
  .value("VPSHADrr_REV", LIEF::assembly::x86::OPCODE::VPSHADrr_REV)
  .value("VPSHAQmr", LIEF::assembly::x86::OPCODE::VPSHAQmr)
  .value("VPSHAQrm", LIEF::assembly::x86::OPCODE::VPSHAQrm)
  .value("VPSHAQrr", LIEF::assembly::x86::OPCODE::VPSHAQrr)
  .value("VPSHAQrr_REV", LIEF::assembly::x86::OPCODE::VPSHAQrr_REV)
  .value("VPSHAWmr", LIEF::assembly::x86::OPCODE::VPSHAWmr)
  .value("VPSHAWrm", LIEF::assembly::x86::OPCODE::VPSHAWrm)
  .value("VPSHAWrr", LIEF::assembly::x86::OPCODE::VPSHAWrr)
  .value("VPSHAWrr_REV", LIEF::assembly::x86::OPCODE::VPSHAWrr_REV)
  .value("VPSHLBmr", LIEF::assembly::x86::OPCODE::VPSHLBmr)
  .value("VPSHLBrm", LIEF::assembly::x86::OPCODE::VPSHLBrm)
  .value("VPSHLBrr", LIEF::assembly::x86::OPCODE::VPSHLBrr)
  .value("VPSHLBrr_REV", LIEF::assembly::x86::OPCODE::VPSHLBrr_REV)
  .value("VPSHLDDZ128rmbi", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rmbi)
  .value("VPSHLDDZ128rmbik", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rmbik)
  .value("VPSHLDDZ128rmbikz", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rmbikz)
  .value("VPSHLDDZ128rmi", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rmi)
  .value("VPSHLDDZ128rmik", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rmik)
  .value("VPSHLDDZ128rmikz", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rmikz)
  .value("VPSHLDDZ128rri", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rri)
  .value("VPSHLDDZ128rrik", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rrik)
  .value("VPSHLDDZ128rrikz", LIEF::assembly::x86::OPCODE::VPSHLDDZ128rrikz)
  .value("VPSHLDDZ256rmbi", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rmbi)
  .value("VPSHLDDZ256rmbik", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rmbik)
  .value("VPSHLDDZ256rmbikz", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rmbikz)
  .value("VPSHLDDZ256rmi", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rmi)
  .value("VPSHLDDZ256rmik", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rmik)
  .value("VPSHLDDZ256rmikz", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rmikz)
  .value("VPSHLDDZ256rri", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rri)
  .value("VPSHLDDZ256rrik", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rrik)
  .value("VPSHLDDZ256rrikz", LIEF::assembly::x86::OPCODE::VPSHLDDZ256rrikz)
  .value("VPSHLDDZrmbi", LIEF::assembly::x86::OPCODE::VPSHLDDZrmbi)
  .value("VPSHLDDZrmbik", LIEF::assembly::x86::OPCODE::VPSHLDDZrmbik)
  .value("VPSHLDDZrmbikz", LIEF::assembly::x86::OPCODE::VPSHLDDZrmbikz)
  .value("VPSHLDDZrmi", LIEF::assembly::x86::OPCODE::VPSHLDDZrmi)
  .value("VPSHLDDZrmik", LIEF::assembly::x86::OPCODE::VPSHLDDZrmik)
  .value("VPSHLDDZrmikz", LIEF::assembly::x86::OPCODE::VPSHLDDZrmikz)
  .value("VPSHLDDZrri", LIEF::assembly::x86::OPCODE::VPSHLDDZrri)
  .value("VPSHLDDZrrik", LIEF::assembly::x86::OPCODE::VPSHLDDZrrik)
  .value("VPSHLDDZrrikz", LIEF::assembly::x86::OPCODE::VPSHLDDZrrikz)
  .value("VPSHLDQZ128rmbi", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rmbi)
  .value("VPSHLDQZ128rmbik", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rmbik)
  .value("VPSHLDQZ128rmbikz", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rmbikz)
  .value("VPSHLDQZ128rmi", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rmi)
  .value("VPSHLDQZ128rmik", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rmik)
  .value("VPSHLDQZ128rmikz", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rmikz)
  .value("VPSHLDQZ128rri", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rri)
  .value("VPSHLDQZ128rrik", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rrik)
  .value("VPSHLDQZ128rrikz", LIEF::assembly::x86::OPCODE::VPSHLDQZ128rrikz)
  .value("VPSHLDQZ256rmbi", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rmbi)
  .value("VPSHLDQZ256rmbik", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rmbik)
  .value("VPSHLDQZ256rmbikz", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rmbikz)
  .value("VPSHLDQZ256rmi", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rmi)
  .value("VPSHLDQZ256rmik", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rmik)
  .value("VPSHLDQZ256rmikz", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rmikz)
  .value("VPSHLDQZ256rri", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rri)
  .value("VPSHLDQZ256rrik", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rrik)
  .value("VPSHLDQZ256rrikz", LIEF::assembly::x86::OPCODE::VPSHLDQZ256rrikz)
  .value("VPSHLDQZrmbi", LIEF::assembly::x86::OPCODE::VPSHLDQZrmbi)
  .value("VPSHLDQZrmbik", LIEF::assembly::x86::OPCODE::VPSHLDQZrmbik)
  .value("VPSHLDQZrmbikz", LIEF::assembly::x86::OPCODE::VPSHLDQZrmbikz)
  .value("VPSHLDQZrmi", LIEF::assembly::x86::OPCODE::VPSHLDQZrmi)
  .value("VPSHLDQZrmik", LIEF::assembly::x86::OPCODE::VPSHLDQZrmik)
  .value("VPSHLDQZrmikz", LIEF::assembly::x86::OPCODE::VPSHLDQZrmikz)
  .value("VPSHLDQZrri", LIEF::assembly::x86::OPCODE::VPSHLDQZrri)
  .value("VPSHLDQZrrik", LIEF::assembly::x86::OPCODE::VPSHLDQZrrik)
  .value("VPSHLDQZrrikz", LIEF::assembly::x86::OPCODE::VPSHLDQZrrikz)
  .value("VPSHLDVDZ128m", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128m)
  .value("VPSHLDVDZ128mb", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128mb)
  .value("VPSHLDVDZ128mbk", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128mbk)
  .value("VPSHLDVDZ128mbkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128mbkz)
  .value("VPSHLDVDZ128mk", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128mk)
  .value("VPSHLDVDZ128mkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128mkz)
  .value("VPSHLDVDZ128r", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128r)
  .value("VPSHLDVDZ128rk", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128rk)
  .value("VPSHLDVDZ128rkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZ128rkz)
  .value("VPSHLDVDZ256m", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256m)
  .value("VPSHLDVDZ256mb", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256mb)
  .value("VPSHLDVDZ256mbk", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256mbk)
  .value("VPSHLDVDZ256mbkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256mbkz)
  .value("VPSHLDVDZ256mk", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256mk)
  .value("VPSHLDVDZ256mkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256mkz)
  .value("VPSHLDVDZ256r", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256r)
  .value("VPSHLDVDZ256rk", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256rk)
  .value("VPSHLDVDZ256rkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZ256rkz)
  .value("VPSHLDVDZm", LIEF::assembly::x86::OPCODE::VPSHLDVDZm)
  .value("VPSHLDVDZmb", LIEF::assembly::x86::OPCODE::VPSHLDVDZmb)
  .value("VPSHLDVDZmbk", LIEF::assembly::x86::OPCODE::VPSHLDVDZmbk)
  .value("VPSHLDVDZmbkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZmbkz)
  .value("VPSHLDVDZmk", LIEF::assembly::x86::OPCODE::VPSHLDVDZmk)
  .value("VPSHLDVDZmkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZmkz)
  .value("VPSHLDVDZr", LIEF::assembly::x86::OPCODE::VPSHLDVDZr);
  opcodes.value("VPSHLDVDZrk", LIEF::assembly::x86::OPCODE::VPSHLDVDZrk)
  .value("VPSHLDVDZrkz", LIEF::assembly::x86::OPCODE::VPSHLDVDZrkz)
  .value("VPSHLDVQZ128m", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128m)
  .value("VPSHLDVQZ128mb", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128mb)
  .value("VPSHLDVQZ128mbk", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128mbk)
  .value("VPSHLDVQZ128mbkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128mbkz)
  .value("VPSHLDVQZ128mk", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128mk)
  .value("VPSHLDVQZ128mkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128mkz)
  .value("VPSHLDVQZ128r", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128r)
  .value("VPSHLDVQZ128rk", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128rk)
  .value("VPSHLDVQZ128rkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZ128rkz)
  .value("VPSHLDVQZ256m", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256m)
  .value("VPSHLDVQZ256mb", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256mb)
  .value("VPSHLDVQZ256mbk", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256mbk)
  .value("VPSHLDVQZ256mbkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256mbkz)
  .value("VPSHLDVQZ256mk", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256mk)
  .value("VPSHLDVQZ256mkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256mkz)
  .value("VPSHLDVQZ256r", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256r)
  .value("VPSHLDVQZ256rk", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256rk)
  .value("VPSHLDVQZ256rkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZ256rkz)
  .value("VPSHLDVQZm", LIEF::assembly::x86::OPCODE::VPSHLDVQZm)
  .value("VPSHLDVQZmb", LIEF::assembly::x86::OPCODE::VPSHLDVQZmb)
  .value("VPSHLDVQZmbk", LIEF::assembly::x86::OPCODE::VPSHLDVQZmbk)
  .value("VPSHLDVQZmbkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZmbkz)
  .value("VPSHLDVQZmk", LIEF::assembly::x86::OPCODE::VPSHLDVQZmk)
  .value("VPSHLDVQZmkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZmkz)
  .value("VPSHLDVQZr", LIEF::assembly::x86::OPCODE::VPSHLDVQZr)
  .value("VPSHLDVQZrk", LIEF::assembly::x86::OPCODE::VPSHLDVQZrk)
  .value("VPSHLDVQZrkz", LIEF::assembly::x86::OPCODE::VPSHLDVQZrkz)
  .value("VPSHLDVWZ128m", LIEF::assembly::x86::OPCODE::VPSHLDVWZ128m)
  .value("VPSHLDVWZ128mk", LIEF::assembly::x86::OPCODE::VPSHLDVWZ128mk)
  .value("VPSHLDVWZ128mkz", LIEF::assembly::x86::OPCODE::VPSHLDVWZ128mkz)
  .value("VPSHLDVWZ128r", LIEF::assembly::x86::OPCODE::VPSHLDVWZ128r)
  .value("VPSHLDVWZ128rk", LIEF::assembly::x86::OPCODE::VPSHLDVWZ128rk)
  .value("VPSHLDVWZ128rkz", LIEF::assembly::x86::OPCODE::VPSHLDVWZ128rkz)
  .value("VPSHLDVWZ256m", LIEF::assembly::x86::OPCODE::VPSHLDVWZ256m)
  .value("VPSHLDVWZ256mk", LIEF::assembly::x86::OPCODE::VPSHLDVWZ256mk)
  .value("VPSHLDVWZ256mkz", LIEF::assembly::x86::OPCODE::VPSHLDVWZ256mkz)
  .value("VPSHLDVWZ256r", LIEF::assembly::x86::OPCODE::VPSHLDVWZ256r)
  .value("VPSHLDVWZ256rk", LIEF::assembly::x86::OPCODE::VPSHLDVWZ256rk)
  .value("VPSHLDVWZ256rkz", LIEF::assembly::x86::OPCODE::VPSHLDVWZ256rkz)
  .value("VPSHLDVWZm", LIEF::assembly::x86::OPCODE::VPSHLDVWZm)
  .value("VPSHLDVWZmk", LIEF::assembly::x86::OPCODE::VPSHLDVWZmk)
  .value("VPSHLDVWZmkz", LIEF::assembly::x86::OPCODE::VPSHLDVWZmkz)
  .value("VPSHLDVWZr", LIEF::assembly::x86::OPCODE::VPSHLDVWZr)
  .value("VPSHLDVWZrk", LIEF::assembly::x86::OPCODE::VPSHLDVWZrk)
  .value("VPSHLDVWZrkz", LIEF::assembly::x86::OPCODE::VPSHLDVWZrkz)
  .value("VPSHLDWZ128rmi", LIEF::assembly::x86::OPCODE::VPSHLDWZ128rmi)
  .value("VPSHLDWZ128rmik", LIEF::assembly::x86::OPCODE::VPSHLDWZ128rmik)
  .value("VPSHLDWZ128rmikz", LIEF::assembly::x86::OPCODE::VPSHLDWZ128rmikz)
  .value("VPSHLDWZ128rri", LIEF::assembly::x86::OPCODE::VPSHLDWZ128rri)
  .value("VPSHLDWZ128rrik", LIEF::assembly::x86::OPCODE::VPSHLDWZ128rrik)
  .value("VPSHLDWZ128rrikz", LIEF::assembly::x86::OPCODE::VPSHLDWZ128rrikz)
  .value("VPSHLDWZ256rmi", LIEF::assembly::x86::OPCODE::VPSHLDWZ256rmi)
  .value("VPSHLDWZ256rmik", LIEF::assembly::x86::OPCODE::VPSHLDWZ256rmik)
  .value("VPSHLDWZ256rmikz", LIEF::assembly::x86::OPCODE::VPSHLDWZ256rmikz)
  .value("VPSHLDWZ256rri", LIEF::assembly::x86::OPCODE::VPSHLDWZ256rri)
  .value("VPSHLDWZ256rrik", LIEF::assembly::x86::OPCODE::VPSHLDWZ256rrik)
  .value("VPSHLDWZ256rrikz", LIEF::assembly::x86::OPCODE::VPSHLDWZ256rrikz)
  .value("VPSHLDWZrmi", LIEF::assembly::x86::OPCODE::VPSHLDWZrmi)
  .value("VPSHLDWZrmik", LIEF::assembly::x86::OPCODE::VPSHLDWZrmik)
  .value("VPSHLDWZrmikz", LIEF::assembly::x86::OPCODE::VPSHLDWZrmikz)
  .value("VPSHLDWZrri", LIEF::assembly::x86::OPCODE::VPSHLDWZrri)
  .value("VPSHLDWZrrik", LIEF::assembly::x86::OPCODE::VPSHLDWZrrik)
  .value("VPSHLDWZrrikz", LIEF::assembly::x86::OPCODE::VPSHLDWZrrikz)
  .value("VPSHLDmr", LIEF::assembly::x86::OPCODE::VPSHLDmr)
  .value("VPSHLDrm", LIEF::assembly::x86::OPCODE::VPSHLDrm)
  .value("VPSHLDrr", LIEF::assembly::x86::OPCODE::VPSHLDrr)
  .value("VPSHLDrr_REV", LIEF::assembly::x86::OPCODE::VPSHLDrr_REV)
  .value("VPSHLQmr", LIEF::assembly::x86::OPCODE::VPSHLQmr)
  .value("VPSHLQrm", LIEF::assembly::x86::OPCODE::VPSHLQrm)
  .value("VPSHLQrr", LIEF::assembly::x86::OPCODE::VPSHLQrr)
  .value("VPSHLQrr_REV", LIEF::assembly::x86::OPCODE::VPSHLQrr_REV)
  .value("VPSHLWmr", LIEF::assembly::x86::OPCODE::VPSHLWmr)
  .value("VPSHLWrm", LIEF::assembly::x86::OPCODE::VPSHLWrm)
  .value("VPSHLWrr", LIEF::assembly::x86::OPCODE::VPSHLWrr)
  .value("VPSHLWrr_REV", LIEF::assembly::x86::OPCODE::VPSHLWrr_REV)
  .value("VPSHRDDZ128rmbi", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rmbi)
  .value("VPSHRDDZ128rmbik", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rmbik)
  .value("VPSHRDDZ128rmbikz", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rmbikz)
  .value("VPSHRDDZ128rmi", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rmi)
  .value("VPSHRDDZ128rmik", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rmik)
  .value("VPSHRDDZ128rmikz", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rmikz)
  .value("VPSHRDDZ128rri", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rri)
  .value("VPSHRDDZ128rrik", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rrik)
  .value("VPSHRDDZ128rrikz", LIEF::assembly::x86::OPCODE::VPSHRDDZ128rrikz)
  .value("VPSHRDDZ256rmbi", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rmbi)
  .value("VPSHRDDZ256rmbik", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rmbik)
  .value("VPSHRDDZ256rmbikz", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rmbikz)
  .value("VPSHRDDZ256rmi", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rmi)
  .value("VPSHRDDZ256rmik", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rmik)
  .value("VPSHRDDZ256rmikz", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rmikz)
  .value("VPSHRDDZ256rri", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rri)
  .value("VPSHRDDZ256rrik", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rrik)
  .value("VPSHRDDZ256rrikz", LIEF::assembly::x86::OPCODE::VPSHRDDZ256rrikz)
  .value("VPSHRDDZrmbi", LIEF::assembly::x86::OPCODE::VPSHRDDZrmbi)
  .value("VPSHRDDZrmbik", LIEF::assembly::x86::OPCODE::VPSHRDDZrmbik)
  .value("VPSHRDDZrmbikz", LIEF::assembly::x86::OPCODE::VPSHRDDZrmbikz)
  .value("VPSHRDDZrmi", LIEF::assembly::x86::OPCODE::VPSHRDDZrmi)
  .value("VPSHRDDZrmik", LIEF::assembly::x86::OPCODE::VPSHRDDZrmik)
  .value("VPSHRDDZrmikz", LIEF::assembly::x86::OPCODE::VPSHRDDZrmikz)
  .value("VPSHRDDZrri", LIEF::assembly::x86::OPCODE::VPSHRDDZrri)
  .value("VPSHRDDZrrik", LIEF::assembly::x86::OPCODE::VPSHRDDZrrik)
  .value("VPSHRDDZrrikz", LIEF::assembly::x86::OPCODE::VPSHRDDZrrikz)
  .value("VPSHRDQZ128rmbi", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rmbi)
  .value("VPSHRDQZ128rmbik", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rmbik)
  .value("VPSHRDQZ128rmbikz", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rmbikz)
  .value("VPSHRDQZ128rmi", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rmi)
  .value("VPSHRDQZ128rmik", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rmik)
  .value("VPSHRDQZ128rmikz", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rmikz)
  .value("VPSHRDQZ128rri", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rri)
  .value("VPSHRDQZ128rrik", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rrik)
  .value("VPSHRDQZ128rrikz", LIEF::assembly::x86::OPCODE::VPSHRDQZ128rrikz)
  .value("VPSHRDQZ256rmbi", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rmbi)
  .value("VPSHRDQZ256rmbik", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rmbik)
  .value("VPSHRDQZ256rmbikz", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rmbikz)
  .value("VPSHRDQZ256rmi", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rmi)
  .value("VPSHRDQZ256rmik", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rmik)
  .value("VPSHRDQZ256rmikz", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rmikz)
  .value("VPSHRDQZ256rri", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rri)
  .value("VPSHRDQZ256rrik", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rrik)
  .value("VPSHRDQZ256rrikz", LIEF::assembly::x86::OPCODE::VPSHRDQZ256rrikz)
  .value("VPSHRDQZrmbi", LIEF::assembly::x86::OPCODE::VPSHRDQZrmbi)
  .value("VPSHRDQZrmbik", LIEF::assembly::x86::OPCODE::VPSHRDQZrmbik)
  .value("VPSHRDQZrmbikz", LIEF::assembly::x86::OPCODE::VPSHRDQZrmbikz)
  .value("VPSHRDQZrmi", LIEF::assembly::x86::OPCODE::VPSHRDQZrmi)
  .value("VPSHRDQZrmik", LIEF::assembly::x86::OPCODE::VPSHRDQZrmik)
  .value("VPSHRDQZrmikz", LIEF::assembly::x86::OPCODE::VPSHRDQZrmikz)
  .value("VPSHRDQZrri", LIEF::assembly::x86::OPCODE::VPSHRDQZrri)
  .value("VPSHRDQZrrik", LIEF::assembly::x86::OPCODE::VPSHRDQZrrik)
  .value("VPSHRDQZrrikz", LIEF::assembly::x86::OPCODE::VPSHRDQZrrikz)
  .value("VPSHRDVDZ128m", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128m)
  .value("VPSHRDVDZ128mb", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128mb)
  .value("VPSHRDVDZ128mbk", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128mbk)
  .value("VPSHRDVDZ128mbkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128mbkz)
  .value("VPSHRDVDZ128mk", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128mk)
  .value("VPSHRDVDZ128mkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128mkz)
  .value("VPSHRDVDZ128r", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128r)
  .value("VPSHRDVDZ128rk", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128rk)
  .value("VPSHRDVDZ128rkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZ128rkz)
  .value("VPSHRDVDZ256m", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256m)
  .value("VPSHRDVDZ256mb", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256mb)
  .value("VPSHRDVDZ256mbk", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256mbk)
  .value("VPSHRDVDZ256mbkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256mbkz)
  .value("VPSHRDVDZ256mk", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256mk)
  .value("VPSHRDVDZ256mkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256mkz)
  .value("VPSHRDVDZ256r", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256r)
  .value("VPSHRDVDZ256rk", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256rk)
  .value("VPSHRDVDZ256rkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZ256rkz)
  .value("VPSHRDVDZm", LIEF::assembly::x86::OPCODE::VPSHRDVDZm)
  .value("VPSHRDVDZmb", LIEF::assembly::x86::OPCODE::VPSHRDVDZmb)
  .value("VPSHRDVDZmbk", LIEF::assembly::x86::OPCODE::VPSHRDVDZmbk)
  .value("VPSHRDVDZmbkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZmbkz)
  .value("VPSHRDVDZmk", LIEF::assembly::x86::OPCODE::VPSHRDVDZmk)
  .value("VPSHRDVDZmkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZmkz)
  .value("VPSHRDVDZr", LIEF::assembly::x86::OPCODE::VPSHRDVDZr)
  .value("VPSHRDVDZrk", LIEF::assembly::x86::OPCODE::VPSHRDVDZrk)
  .value("VPSHRDVDZrkz", LIEF::assembly::x86::OPCODE::VPSHRDVDZrkz)
  .value("VPSHRDVQZ128m", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128m)
  .value("VPSHRDVQZ128mb", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128mb)
  .value("VPSHRDVQZ128mbk", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128mbk)
  .value("VPSHRDVQZ128mbkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128mbkz)
  .value("VPSHRDVQZ128mk", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128mk)
  .value("VPSHRDVQZ128mkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128mkz)
  .value("VPSHRDVQZ128r", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128r)
  .value("VPSHRDVQZ128rk", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128rk)
  .value("VPSHRDVQZ128rkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZ128rkz)
  .value("VPSHRDVQZ256m", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256m)
  .value("VPSHRDVQZ256mb", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256mb)
  .value("VPSHRDVQZ256mbk", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256mbk)
  .value("VPSHRDVQZ256mbkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256mbkz)
  .value("VPSHRDVQZ256mk", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256mk)
  .value("VPSHRDVQZ256mkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256mkz)
  .value("VPSHRDVQZ256r", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256r)
  .value("VPSHRDVQZ256rk", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256rk)
  .value("VPSHRDVQZ256rkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZ256rkz)
  .value("VPSHRDVQZm", LIEF::assembly::x86::OPCODE::VPSHRDVQZm)
  .value("VPSHRDVQZmb", LIEF::assembly::x86::OPCODE::VPSHRDVQZmb)
  .value("VPSHRDVQZmbk", LIEF::assembly::x86::OPCODE::VPSHRDVQZmbk)
  .value("VPSHRDVQZmbkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZmbkz)
  .value("VPSHRDVQZmk", LIEF::assembly::x86::OPCODE::VPSHRDVQZmk)
  .value("VPSHRDVQZmkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZmkz)
  .value("VPSHRDVQZr", LIEF::assembly::x86::OPCODE::VPSHRDVQZr)
  .value("VPSHRDVQZrk", LIEF::assembly::x86::OPCODE::VPSHRDVQZrk)
  .value("VPSHRDVQZrkz", LIEF::assembly::x86::OPCODE::VPSHRDVQZrkz)
  .value("VPSHRDVWZ128m", LIEF::assembly::x86::OPCODE::VPSHRDVWZ128m)
  .value("VPSHRDVWZ128mk", LIEF::assembly::x86::OPCODE::VPSHRDVWZ128mk)
  .value("VPSHRDVWZ128mkz", LIEF::assembly::x86::OPCODE::VPSHRDVWZ128mkz)
  .value("VPSHRDVWZ128r", LIEF::assembly::x86::OPCODE::VPSHRDVWZ128r)
  .value("VPSHRDVWZ128rk", LIEF::assembly::x86::OPCODE::VPSHRDVWZ128rk)
  .value("VPSHRDVWZ128rkz", LIEF::assembly::x86::OPCODE::VPSHRDVWZ128rkz)
  .value("VPSHRDVWZ256m", LIEF::assembly::x86::OPCODE::VPSHRDVWZ256m)
  .value("VPSHRDVWZ256mk", LIEF::assembly::x86::OPCODE::VPSHRDVWZ256mk)
  .value("VPSHRDVWZ256mkz", LIEF::assembly::x86::OPCODE::VPSHRDVWZ256mkz)
  .value("VPSHRDVWZ256r", LIEF::assembly::x86::OPCODE::VPSHRDVWZ256r)
  .value("VPSHRDVWZ256rk", LIEF::assembly::x86::OPCODE::VPSHRDVWZ256rk)
  .value("VPSHRDVWZ256rkz", LIEF::assembly::x86::OPCODE::VPSHRDVWZ256rkz)
  .value("VPSHRDVWZm", LIEF::assembly::x86::OPCODE::VPSHRDVWZm)
  .value("VPSHRDVWZmk", LIEF::assembly::x86::OPCODE::VPSHRDVWZmk)
  .value("VPSHRDVWZmkz", LIEF::assembly::x86::OPCODE::VPSHRDVWZmkz)
  .value("VPSHRDVWZr", LIEF::assembly::x86::OPCODE::VPSHRDVWZr)
  .value("VPSHRDVWZrk", LIEF::assembly::x86::OPCODE::VPSHRDVWZrk)
  .value("VPSHRDVWZrkz", LIEF::assembly::x86::OPCODE::VPSHRDVWZrkz)
  .value("VPSHRDWZ128rmi", LIEF::assembly::x86::OPCODE::VPSHRDWZ128rmi)
  .value("VPSHRDWZ128rmik", LIEF::assembly::x86::OPCODE::VPSHRDWZ128rmik)
  .value("VPSHRDWZ128rmikz", LIEF::assembly::x86::OPCODE::VPSHRDWZ128rmikz)
  .value("VPSHRDWZ128rri", LIEF::assembly::x86::OPCODE::VPSHRDWZ128rri)
  .value("VPSHRDWZ128rrik", LIEF::assembly::x86::OPCODE::VPSHRDWZ128rrik)
  .value("VPSHRDWZ128rrikz", LIEF::assembly::x86::OPCODE::VPSHRDWZ128rrikz)
  .value("VPSHRDWZ256rmi", LIEF::assembly::x86::OPCODE::VPSHRDWZ256rmi)
  .value("VPSHRDWZ256rmik", LIEF::assembly::x86::OPCODE::VPSHRDWZ256rmik)
  .value("VPSHRDWZ256rmikz", LIEF::assembly::x86::OPCODE::VPSHRDWZ256rmikz)
  .value("VPSHRDWZ256rri", LIEF::assembly::x86::OPCODE::VPSHRDWZ256rri)
  .value("VPSHRDWZ256rrik", LIEF::assembly::x86::OPCODE::VPSHRDWZ256rrik)
  .value("VPSHRDWZ256rrikz", LIEF::assembly::x86::OPCODE::VPSHRDWZ256rrikz)
  .value("VPSHRDWZrmi", LIEF::assembly::x86::OPCODE::VPSHRDWZrmi)
  .value("VPSHRDWZrmik", LIEF::assembly::x86::OPCODE::VPSHRDWZrmik)
  .value("VPSHRDWZrmikz", LIEF::assembly::x86::OPCODE::VPSHRDWZrmikz)
  .value("VPSHRDWZrri", LIEF::assembly::x86::OPCODE::VPSHRDWZrri)
  .value("VPSHRDWZrrik", LIEF::assembly::x86::OPCODE::VPSHRDWZrrik)
  .value("VPSHRDWZrrikz", LIEF::assembly::x86::OPCODE::VPSHRDWZrrikz)
  .value("VPSHUFBITQMBZ128rm", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ128rm)
  .value("VPSHUFBITQMBZ128rmk", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ128rmk)
  .value("VPSHUFBITQMBZ128rr", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ128rr)
  .value("VPSHUFBITQMBZ128rrk", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ128rrk)
  .value("VPSHUFBITQMBZ256rm", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ256rm)
  .value("VPSHUFBITQMBZ256rmk", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ256rmk)
  .value("VPSHUFBITQMBZ256rr", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ256rr)
  .value("VPSHUFBITQMBZ256rrk", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZ256rrk)
  .value("VPSHUFBITQMBZrm", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZrm)
  .value("VPSHUFBITQMBZrmk", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZrmk)
  .value("VPSHUFBITQMBZrr", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZrr)
  .value("VPSHUFBITQMBZrrk", LIEF::assembly::x86::OPCODE::VPSHUFBITQMBZrrk)
  .value("VPSHUFBYrm", LIEF::assembly::x86::OPCODE::VPSHUFBYrm)
  .value("VPSHUFBYrr", LIEF::assembly::x86::OPCODE::VPSHUFBYrr)
  .value("VPSHUFBZ128rm", LIEF::assembly::x86::OPCODE::VPSHUFBZ128rm)
  .value("VPSHUFBZ128rmk", LIEF::assembly::x86::OPCODE::VPSHUFBZ128rmk)
  .value("VPSHUFBZ128rmkz", LIEF::assembly::x86::OPCODE::VPSHUFBZ128rmkz)
  .value("VPSHUFBZ128rr", LIEF::assembly::x86::OPCODE::VPSHUFBZ128rr)
  .value("VPSHUFBZ128rrk", LIEF::assembly::x86::OPCODE::VPSHUFBZ128rrk)
  .value("VPSHUFBZ128rrkz", LIEF::assembly::x86::OPCODE::VPSHUFBZ128rrkz)
  .value("VPSHUFBZ256rm", LIEF::assembly::x86::OPCODE::VPSHUFBZ256rm)
  .value("VPSHUFBZ256rmk", LIEF::assembly::x86::OPCODE::VPSHUFBZ256rmk)
  .value("VPSHUFBZ256rmkz", LIEF::assembly::x86::OPCODE::VPSHUFBZ256rmkz)
  .value("VPSHUFBZ256rr", LIEF::assembly::x86::OPCODE::VPSHUFBZ256rr)
  .value("VPSHUFBZ256rrk", LIEF::assembly::x86::OPCODE::VPSHUFBZ256rrk)
  .value("VPSHUFBZ256rrkz", LIEF::assembly::x86::OPCODE::VPSHUFBZ256rrkz)
  .value("VPSHUFBZrm", LIEF::assembly::x86::OPCODE::VPSHUFBZrm)
  .value("VPSHUFBZrmk", LIEF::assembly::x86::OPCODE::VPSHUFBZrmk)
  .value("VPSHUFBZrmkz", LIEF::assembly::x86::OPCODE::VPSHUFBZrmkz)
  .value("VPSHUFBZrr", LIEF::assembly::x86::OPCODE::VPSHUFBZrr)
  .value("VPSHUFBZrrk", LIEF::assembly::x86::OPCODE::VPSHUFBZrrk)
  .value("VPSHUFBZrrkz", LIEF::assembly::x86::OPCODE::VPSHUFBZrrkz)
  .value("VPSHUFBrm", LIEF::assembly::x86::OPCODE::VPSHUFBrm)
  .value("VPSHUFBrr", LIEF::assembly::x86::OPCODE::VPSHUFBrr)
  .value("VPSHUFDYmi", LIEF::assembly::x86::OPCODE::VPSHUFDYmi)
  .value("VPSHUFDYri", LIEF::assembly::x86::OPCODE::VPSHUFDYri)
  .value("VPSHUFDZ128mbi", LIEF::assembly::x86::OPCODE::VPSHUFDZ128mbi)
  .value("VPSHUFDZ128mbik", LIEF::assembly::x86::OPCODE::VPSHUFDZ128mbik)
  .value("VPSHUFDZ128mbikz", LIEF::assembly::x86::OPCODE::VPSHUFDZ128mbikz)
  .value("VPSHUFDZ128mi", LIEF::assembly::x86::OPCODE::VPSHUFDZ128mi)
  .value("VPSHUFDZ128mik", LIEF::assembly::x86::OPCODE::VPSHUFDZ128mik)
  .value("VPSHUFDZ128mikz", LIEF::assembly::x86::OPCODE::VPSHUFDZ128mikz)
  .value("VPSHUFDZ128ri", LIEF::assembly::x86::OPCODE::VPSHUFDZ128ri)
  .value("VPSHUFDZ128rik", LIEF::assembly::x86::OPCODE::VPSHUFDZ128rik)
  .value("VPSHUFDZ128rikz", LIEF::assembly::x86::OPCODE::VPSHUFDZ128rikz)
  .value("VPSHUFDZ256mbi", LIEF::assembly::x86::OPCODE::VPSHUFDZ256mbi)
  .value("VPSHUFDZ256mbik", LIEF::assembly::x86::OPCODE::VPSHUFDZ256mbik)
  .value("VPSHUFDZ256mbikz", LIEF::assembly::x86::OPCODE::VPSHUFDZ256mbikz)
  .value("VPSHUFDZ256mi", LIEF::assembly::x86::OPCODE::VPSHUFDZ256mi)
  .value("VPSHUFDZ256mik", LIEF::assembly::x86::OPCODE::VPSHUFDZ256mik)
  .value("VPSHUFDZ256mikz", LIEF::assembly::x86::OPCODE::VPSHUFDZ256mikz)
  .value("VPSHUFDZ256ri", LIEF::assembly::x86::OPCODE::VPSHUFDZ256ri)
  .value("VPSHUFDZ256rik", LIEF::assembly::x86::OPCODE::VPSHUFDZ256rik)
  .value("VPSHUFDZ256rikz", LIEF::assembly::x86::OPCODE::VPSHUFDZ256rikz)
  .value("VPSHUFDZmbi", LIEF::assembly::x86::OPCODE::VPSHUFDZmbi)
  .value("VPSHUFDZmbik", LIEF::assembly::x86::OPCODE::VPSHUFDZmbik)
  .value("VPSHUFDZmbikz", LIEF::assembly::x86::OPCODE::VPSHUFDZmbikz)
  .value("VPSHUFDZmi", LIEF::assembly::x86::OPCODE::VPSHUFDZmi)
  .value("VPSHUFDZmik", LIEF::assembly::x86::OPCODE::VPSHUFDZmik)
  .value("VPSHUFDZmikz", LIEF::assembly::x86::OPCODE::VPSHUFDZmikz)
  .value("VPSHUFDZri", LIEF::assembly::x86::OPCODE::VPSHUFDZri)
  .value("VPSHUFDZrik", LIEF::assembly::x86::OPCODE::VPSHUFDZrik)
  .value("VPSHUFDZrikz", LIEF::assembly::x86::OPCODE::VPSHUFDZrikz)
  .value("VPSHUFDmi", LIEF::assembly::x86::OPCODE::VPSHUFDmi)
  .value("VPSHUFDri", LIEF::assembly::x86::OPCODE::VPSHUFDri)
  .value("VPSHUFHWYmi", LIEF::assembly::x86::OPCODE::VPSHUFHWYmi)
  .value("VPSHUFHWYri", LIEF::assembly::x86::OPCODE::VPSHUFHWYri)
  .value("VPSHUFHWZ128mi", LIEF::assembly::x86::OPCODE::VPSHUFHWZ128mi)
  .value("VPSHUFHWZ128mik", LIEF::assembly::x86::OPCODE::VPSHUFHWZ128mik)
  .value("VPSHUFHWZ128mikz", LIEF::assembly::x86::OPCODE::VPSHUFHWZ128mikz)
  .value("VPSHUFHWZ128ri", LIEF::assembly::x86::OPCODE::VPSHUFHWZ128ri)
  .value("VPSHUFHWZ128rik", LIEF::assembly::x86::OPCODE::VPSHUFHWZ128rik)
  .value("VPSHUFHWZ128rikz", LIEF::assembly::x86::OPCODE::VPSHUFHWZ128rikz)
  .value("VPSHUFHWZ256mi", LIEF::assembly::x86::OPCODE::VPSHUFHWZ256mi)
  .value("VPSHUFHWZ256mik", LIEF::assembly::x86::OPCODE::VPSHUFHWZ256mik)
  .value("VPSHUFHWZ256mikz", LIEF::assembly::x86::OPCODE::VPSHUFHWZ256mikz)
  .value("VPSHUFHWZ256ri", LIEF::assembly::x86::OPCODE::VPSHUFHWZ256ri)
  .value("VPSHUFHWZ256rik", LIEF::assembly::x86::OPCODE::VPSHUFHWZ256rik)
  .value("VPSHUFHWZ256rikz", LIEF::assembly::x86::OPCODE::VPSHUFHWZ256rikz);
  opcodes.value("VPSHUFHWZmi", LIEF::assembly::x86::OPCODE::VPSHUFHWZmi)
  .value("VPSHUFHWZmik", LIEF::assembly::x86::OPCODE::VPSHUFHWZmik)
  .value("VPSHUFHWZmikz", LIEF::assembly::x86::OPCODE::VPSHUFHWZmikz)
  .value("VPSHUFHWZri", LIEF::assembly::x86::OPCODE::VPSHUFHWZri)
  .value("VPSHUFHWZrik", LIEF::assembly::x86::OPCODE::VPSHUFHWZrik)
  .value("VPSHUFHWZrikz", LIEF::assembly::x86::OPCODE::VPSHUFHWZrikz)
  .value("VPSHUFHWmi", LIEF::assembly::x86::OPCODE::VPSHUFHWmi)
  .value("VPSHUFHWri", LIEF::assembly::x86::OPCODE::VPSHUFHWri)
  .value("VPSHUFLWYmi", LIEF::assembly::x86::OPCODE::VPSHUFLWYmi)
  .value("VPSHUFLWYri", LIEF::assembly::x86::OPCODE::VPSHUFLWYri)
  .value("VPSHUFLWZ128mi", LIEF::assembly::x86::OPCODE::VPSHUFLWZ128mi)
  .value("VPSHUFLWZ128mik", LIEF::assembly::x86::OPCODE::VPSHUFLWZ128mik)
  .value("VPSHUFLWZ128mikz", LIEF::assembly::x86::OPCODE::VPSHUFLWZ128mikz)
  .value("VPSHUFLWZ128ri", LIEF::assembly::x86::OPCODE::VPSHUFLWZ128ri)
  .value("VPSHUFLWZ128rik", LIEF::assembly::x86::OPCODE::VPSHUFLWZ128rik)
  .value("VPSHUFLWZ128rikz", LIEF::assembly::x86::OPCODE::VPSHUFLWZ128rikz)
  .value("VPSHUFLWZ256mi", LIEF::assembly::x86::OPCODE::VPSHUFLWZ256mi)
  .value("VPSHUFLWZ256mik", LIEF::assembly::x86::OPCODE::VPSHUFLWZ256mik)
  .value("VPSHUFLWZ256mikz", LIEF::assembly::x86::OPCODE::VPSHUFLWZ256mikz)
  .value("VPSHUFLWZ256ri", LIEF::assembly::x86::OPCODE::VPSHUFLWZ256ri)
  .value("VPSHUFLWZ256rik", LIEF::assembly::x86::OPCODE::VPSHUFLWZ256rik)
  .value("VPSHUFLWZ256rikz", LIEF::assembly::x86::OPCODE::VPSHUFLWZ256rikz)
  .value("VPSHUFLWZmi", LIEF::assembly::x86::OPCODE::VPSHUFLWZmi)
  .value("VPSHUFLWZmik", LIEF::assembly::x86::OPCODE::VPSHUFLWZmik)
  .value("VPSHUFLWZmikz", LIEF::assembly::x86::OPCODE::VPSHUFLWZmikz)
  .value("VPSHUFLWZri", LIEF::assembly::x86::OPCODE::VPSHUFLWZri)
  .value("VPSHUFLWZrik", LIEF::assembly::x86::OPCODE::VPSHUFLWZrik)
  .value("VPSHUFLWZrikz", LIEF::assembly::x86::OPCODE::VPSHUFLWZrikz)
  .value("VPSHUFLWmi", LIEF::assembly::x86::OPCODE::VPSHUFLWmi)
  .value("VPSHUFLWri", LIEF::assembly::x86::OPCODE::VPSHUFLWri)
  .value("VPSIGNBYrm", LIEF::assembly::x86::OPCODE::VPSIGNBYrm)
  .value("VPSIGNBYrr", LIEF::assembly::x86::OPCODE::VPSIGNBYrr)
  .value("VPSIGNBrm", LIEF::assembly::x86::OPCODE::VPSIGNBrm)
  .value("VPSIGNBrr", LIEF::assembly::x86::OPCODE::VPSIGNBrr)
  .value("VPSIGNDYrm", LIEF::assembly::x86::OPCODE::VPSIGNDYrm)
  .value("VPSIGNDYrr", LIEF::assembly::x86::OPCODE::VPSIGNDYrr)
  .value("VPSIGNDrm", LIEF::assembly::x86::OPCODE::VPSIGNDrm)
  .value("VPSIGNDrr", LIEF::assembly::x86::OPCODE::VPSIGNDrr)
  .value("VPSIGNWYrm", LIEF::assembly::x86::OPCODE::VPSIGNWYrm)
  .value("VPSIGNWYrr", LIEF::assembly::x86::OPCODE::VPSIGNWYrr)
  .value("VPSIGNWrm", LIEF::assembly::x86::OPCODE::VPSIGNWrm)
  .value("VPSIGNWrr", LIEF::assembly::x86::OPCODE::VPSIGNWrr)
  .value("VPSLLDQYri", LIEF::assembly::x86::OPCODE::VPSLLDQYri)
  .value("VPSLLDQZ128mi", LIEF::assembly::x86::OPCODE::VPSLLDQZ128mi)
  .value("VPSLLDQZ128ri", LIEF::assembly::x86::OPCODE::VPSLLDQZ128ri)
  .value("VPSLLDQZ256mi", LIEF::assembly::x86::OPCODE::VPSLLDQZ256mi)
  .value("VPSLLDQZ256ri", LIEF::assembly::x86::OPCODE::VPSLLDQZ256ri)
  .value("VPSLLDQZmi", LIEF::assembly::x86::OPCODE::VPSLLDQZmi)
  .value("VPSLLDQZri", LIEF::assembly::x86::OPCODE::VPSLLDQZri)
  .value("VPSLLDQri", LIEF::assembly::x86::OPCODE::VPSLLDQri)
  .value("VPSLLDYri", LIEF::assembly::x86::OPCODE::VPSLLDYri)
  .value("VPSLLDYrm", LIEF::assembly::x86::OPCODE::VPSLLDYrm)
  .value("VPSLLDYrr", LIEF::assembly::x86::OPCODE::VPSLLDYrr)
  .value("VPSLLDZ128mbi", LIEF::assembly::x86::OPCODE::VPSLLDZ128mbi)
  .value("VPSLLDZ128mbik", LIEF::assembly::x86::OPCODE::VPSLLDZ128mbik)
  .value("VPSLLDZ128mbikz", LIEF::assembly::x86::OPCODE::VPSLLDZ128mbikz)
  .value("VPSLLDZ128mi", LIEF::assembly::x86::OPCODE::VPSLLDZ128mi)
  .value("VPSLLDZ128mik", LIEF::assembly::x86::OPCODE::VPSLLDZ128mik)
  .value("VPSLLDZ128mikz", LIEF::assembly::x86::OPCODE::VPSLLDZ128mikz)
  .value("VPSLLDZ128ri", LIEF::assembly::x86::OPCODE::VPSLLDZ128ri)
  .value("VPSLLDZ128rik", LIEF::assembly::x86::OPCODE::VPSLLDZ128rik)
  .value("VPSLLDZ128rikz", LIEF::assembly::x86::OPCODE::VPSLLDZ128rikz)
  .value("VPSLLDZ128rm", LIEF::assembly::x86::OPCODE::VPSLLDZ128rm)
  .value("VPSLLDZ128rmk", LIEF::assembly::x86::OPCODE::VPSLLDZ128rmk)
  .value("VPSLLDZ128rmkz", LIEF::assembly::x86::OPCODE::VPSLLDZ128rmkz)
  .value("VPSLLDZ128rr", LIEF::assembly::x86::OPCODE::VPSLLDZ128rr)
  .value("VPSLLDZ128rrk", LIEF::assembly::x86::OPCODE::VPSLLDZ128rrk)
  .value("VPSLLDZ128rrkz", LIEF::assembly::x86::OPCODE::VPSLLDZ128rrkz)
  .value("VPSLLDZ256mbi", LIEF::assembly::x86::OPCODE::VPSLLDZ256mbi)
  .value("VPSLLDZ256mbik", LIEF::assembly::x86::OPCODE::VPSLLDZ256mbik)
  .value("VPSLLDZ256mbikz", LIEF::assembly::x86::OPCODE::VPSLLDZ256mbikz)
  .value("VPSLLDZ256mi", LIEF::assembly::x86::OPCODE::VPSLLDZ256mi)
  .value("VPSLLDZ256mik", LIEF::assembly::x86::OPCODE::VPSLLDZ256mik)
  .value("VPSLLDZ256mikz", LIEF::assembly::x86::OPCODE::VPSLLDZ256mikz)
  .value("VPSLLDZ256ri", LIEF::assembly::x86::OPCODE::VPSLLDZ256ri)
  .value("VPSLLDZ256rik", LIEF::assembly::x86::OPCODE::VPSLLDZ256rik)
  .value("VPSLLDZ256rikz", LIEF::assembly::x86::OPCODE::VPSLLDZ256rikz)
  .value("VPSLLDZ256rm", LIEF::assembly::x86::OPCODE::VPSLLDZ256rm)
  .value("VPSLLDZ256rmk", LIEF::assembly::x86::OPCODE::VPSLLDZ256rmk)
  .value("VPSLLDZ256rmkz", LIEF::assembly::x86::OPCODE::VPSLLDZ256rmkz)
  .value("VPSLLDZ256rr", LIEF::assembly::x86::OPCODE::VPSLLDZ256rr)
  .value("VPSLLDZ256rrk", LIEF::assembly::x86::OPCODE::VPSLLDZ256rrk)
  .value("VPSLLDZ256rrkz", LIEF::assembly::x86::OPCODE::VPSLLDZ256rrkz)
  .value("VPSLLDZmbi", LIEF::assembly::x86::OPCODE::VPSLLDZmbi)
  .value("VPSLLDZmbik", LIEF::assembly::x86::OPCODE::VPSLLDZmbik)
  .value("VPSLLDZmbikz", LIEF::assembly::x86::OPCODE::VPSLLDZmbikz)
  .value("VPSLLDZmi", LIEF::assembly::x86::OPCODE::VPSLLDZmi)
  .value("VPSLLDZmik", LIEF::assembly::x86::OPCODE::VPSLLDZmik)
  .value("VPSLLDZmikz", LIEF::assembly::x86::OPCODE::VPSLLDZmikz)
  .value("VPSLLDZri", LIEF::assembly::x86::OPCODE::VPSLLDZri)
  .value("VPSLLDZrik", LIEF::assembly::x86::OPCODE::VPSLLDZrik)
  .value("VPSLLDZrikz", LIEF::assembly::x86::OPCODE::VPSLLDZrikz)
  .value("VPSLLDZrm", LIEF::assembly::x86::OPCODE::VPSLLDZrm)
  .value("VPSLLDZrmk", LIEF::assembly::x86::OPCODE::VPSLLDZrmk)
  .value("VPSLLDZrmkz", LIEF::assembly::x86::OPCODE::VPSLLDZrmkz)
  .value("VPSLLDZrr", LIEF::assembly::x86::OPCODE::VPSLLDZrr)
  .value("VPSLLDZrrk", LIEF::assembly::x86::OPCODE::VPSLLDZrrk)
  .value("VPSLLDZrrkz", LIEF::assembly::x86::OPCODE::VPSLLDZrrkz)
  .value("VPSLLDri", LIEF::assembly::x86::OPCODE::VPSLLDri)
  .value("VPSLLDrm", LIEF::assembly::x86::OPCODE::VPSLLDrm)
  .value("VPSLLDrr", LIEF::assembly::x86::OPCODE::VPSLLDrr)
  .value("VPSLLQYri", LIEF::assembly::x86::OPCODE::VPSLLQYri)
  .value("VPSLLQYrm", LIEF::assembly::x86::OPCODE::VPSLLQYrm)
  .value("VPSLLQYrr", LIEF::assembly::x86::OPCODE::VPSLLQYrr)
  .value("VPSLLQZ128mbi", LIEF::assembly::x86::OPCODE::VPSLLQZ128mbi)
  .value("VPSLLQZ128mbik", LIEF::assembly::x86::OPCODE::VPSLLQZ128mbik)
  .value("VPSLLQZ128mbikz", LIEF::assembly::x86::OPCODE::VPSLLQZ128mbikz)
  .value("VPSLLQZ128mi", LIEF::assembly::x86::OPCODE::VPSLLQZ128mi)
  .value("VPSLLQZ128mik", LIEF::assembly::x86::OPCODE::VPSLLQZ128mik)
  .value("VPSLLQZ128mikz", LIEF::assembly::x86::OPCODE::VPSLLQZ128mikz)
  .value("VPSLLQZ128ri", LIEF::assembly::x86::OPCODE::VPSLLQZ128ri)
  .value("VPSLLQZ128rik", LIEF::assembly::x86::OPCODE::VPSLLQZ128rik)
  .value("VPSLLQZ128rikz", LIEF::assembly::x86::OPCODE::VPSLLQZ128rikz)
  .value("VPSLLQZ128rm", LIEF::assembly::x86::OPCODE::VPSLLQZ128rm)
  .value("VPSLLQZ128rmk", LIEF::assembly::x86::OPCODE::VPSLLQZ128rmk)
  .value("VPSLLQZ128rmkz", LIEF::assembly::x86::OPCODE::VPSLLQZ128rmkz)
  .value("VPSLLQZ128rr", LIEF::assembly::x86::OPCODE::VPSLLQZ128rr)
  .value("VPSLLQZ128rrk", LIEF::assembly::x86::OPCODE::VPSLLQZ128rrk)
  .value("VPSLLQZ128rrkz", LIEF::assembly::x86::OPCODE::VPSLLQZ128rrkz)
  .value("VPSLLQZ256mbi", LIEF::assembly::x86::OPCODE::VPSLLQZ256mbi)
  .value("VPSLLQZ256mbik", LIEF::assembly::x86::OPCODE::VPSLLQZ256mbik)
  .value("VPSLLQZ256mbikz", LIEF::assembly::x86::OPCODE::VPSLLQZ256mbikz)
  .value("VPSLLQZ256mi", LIEF::assembly::x86::OPCODE::VPSLLQZ256mi)
  .value("VPSLLQZ256mik", LIEF::assembly::x86::OPCODE::VPSLLQZ256mik)
  .value("VPSLLQZ256mikz", LIEF::assembly::x86::OPCODE::VPSLLQZ256mikz)
  .value("VPSLLQZ256ri", LIEF::assembly::x86::OPCODE::VPSLLQZ256ri)
  .value("VPSLLQZ256rik", LIEF::assembly::x86::OPCODE::VPSLLQZ256rik)
  .value("VPSLLQZ256rikz", LIEF::assembly::x86::OPCODE::VPSLLQZ256rikz)
  .value("VPSLLQZ256rm", LIEF::assembly::x86::OPCODE::VPSLLQZ256rm)
  .value("VPSLLQZ256rmk", LIEF::assembly::x86::OPCODE::VPSLLQZ256rmk)
  .value("VPSLLQZ256rmkz", LIEF::assembly::x86::OPCODE::VPSLLQZ256rmkz)
  .value("VPSLLQZ256rr", LIEF::assembly::x86::OPCODE::VPSLLQZ256rr)
  .value("VPSLLQZ256rrk", LIEF::assembly::x86::OPCODE::VPSLLQZ256rrk)
  .value("VPSLLQZ256rrkz", LIEF::assembly::x86::OPCODE::VPSLLQZ256rrkz)
  .value("VPSLLQZmbi", LIEF::assembly::x86::OPCODE::VPSLLQZmbi)
  .value("VPSLLQZmbik", LIEF::assembly::x86::OPCODE::VPSLLQZmbik)
  .value("VPSLLQZmbikz", LIEF::assembly::x86::OPCODE::VPSLLQZmbikz)
  .value("VPSLLQZmi", LIEF::assembly::x86::OPCODE::VPSLLQZmi)
  .value("VPSLLQZmik", LIEF::assembly::x86::OPCODE::VPSLLQZmik)
  .value("VPSLLQZmikz", LIEF::assembly::x86::OPCODE::VPSLLQZmikz)
  .value("VPSLLQZri", LIEF::assembly::x86::OPCODE::VPSLLQZri)
  .value("VPSLLQZrik", LIEF::assembly::x86::OPCODE::VPSLLQZrik)
  .value("VPSLLQZrikz", LIEF::assembly::x86::OPCODE::VPSLLQZrikz)
  .value("VPSLLQZrm", LIEF::assembly::x86::OPCODE::VPSLLQZrm)
  .value("VPSLLQZrmk", LIEF::assembly::x86::OPCODE::VPSLLQZrmk)
  .value("VPSLLQZrmkz", LIEF::assembly::x86::OPCODE::VPSLLQZrmkz)
  .value("VPSLLQZrr", LIEF::assembly::x86::OPCODE::VPSLLQZrr)
  .value("VPSLLQZrrk", LIEF::assembly::x86::OPCODE::VPSLLQZrrk)
  .value("VPSLLQZrrkz", LIEF::assembly::x86::OPCODE::VPSLLQZrrkz)
  .value("VPSLLQri", LIEF::assembly::x86::OPCODE::VPSLLQri)
  .value("VPSLLQrm", LIEF::assembly::x86::OPCODE::VPSLLQrm)
  .value("VPSLLQrr", LIEF::assembly::x86::OPCODE::VPSLLQrr)
  .value("VPSLLVDYrm", LIEF::assembly::x86::OPCODE::VPSLLVDYrm)
  .value("VPSLLVDYrr", LIEF::assembly::x86::OPCODE::VPSLLVDYrr)
  .value("VPSLLVDZ128rm", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rm)
  .value("VPSLLVDZ128rmb", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rmb)
  .value("VPSLLVDZ128rmbk", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rmbk)
  .value("VPSLLVDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rmbkz)
  .value("VPSLLVDZ128rmk", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rmk)
  .value("VPSLLVDZ128rmkz", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rmkz)
  .value("VPSLLVDZ128rr", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rr)
  .value("VPSLLVDZ128rrk", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rrk)
  .value("VPSLLVDZ128rrkz", LIEF::assembly::x86::OPCODE::VPSLLVDZ128rrkz)
  .value("VPSLLVDZ256rm", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rm)
  .value("VPSLLVDZ256rmb", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rmb)
  .value("VPSLLVDZ256rmbk", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rmbk)
  .value("VPSLLVDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rmbkz)
  .value("VPSLLVDZ256rmk", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rmk)
  .value("VPSLLVDZ256rmkz", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rmkz)
  .value("VPSLLVDZ256rr", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rr)
  .value("VPSLLVDZ256rrk", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rrk)
  .value("VPSLLVDZ256rrkz", LIEF::assembly::x86::OPCODE::VPSLLVDZ256rrkz)
  .value("VPSLLVDZrm", LIEF::assembly::x86::OPCODE::VPSLLVDZrm)
  .value("VPSLLVDZrmb", LIEF::assembly::x86::OPCODE::VPSLLVDZrmb)
  .value("VPSLLVDZrmbk", LIEF::assembly::x86::OPCODE::VPSLLVDZrmbk)
  .value("VPSLLVDZrmbkz", LIEF::assembly::x86::OPCODE::VPSLLVDZrmbkz)
  .value("VPSLLVDZrmk", LIEF::assembly::x86::OPCODE::VPSLLVDZrmk)
  .value("VPSLLVDZrmkz", LIEF::assembly::x86::OPCODE::VPSLLVDZrmkz)
  .value("VPSLLVDZrr", LIEF::assembly::x86::OPCODE::VPSLLVDZrr)
  .value("VPSLLVDZrrk", LIEF::assembly::x86::OPCODE::VPSLLVDZrrk)
  .value("VPSLLVDZrrkz", LIEF::assembly::x86::OPCODE::VPSLLVDZrrkz)
  .value("VPSLLVDrm", LIEF::assembly::x86::OPCODE::VPSLLVDrm)
  .value("VPSLLVDrr", LIEF::assembly::x86::OPCODE::VPSLLVDrr)
  .value("VPSLLVQYrm", LIEF::assembly::x86::OPCODE::VPSLLVQYrm)
  .value("VPSLLVQYrr", LIEF::assembly::x86::OPCODE::VPSLLVQYrr)
  .value("VPSLLVQZ128rm", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rm)
  .value("VPSLLVQZ128rmb", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rmb)
  .value("VPSLLVQZ128rmbk", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rmbk)
  .value("VPSLLVQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rmbkz)
  .value("VPSLLVQZ128rmk", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rmk)
  .value("VPSLLVQZ128rmkz", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rmkz)
  .value("VPSLLVQZ128rr", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rr)
  .value("VPSLLVQZ128rrk", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rrk)
  .value("VPSLLVQZ128rrkz", LIEF::assembly::x86::OPCODE::VPSLLVQZ128rrkz)
  .value("VPSLLVQZ256rm", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rm)
  .value("VPSLLVQZ256rmb", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rmb)
  .value("VPSLLVQZ256rmbk", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rmbk)
  .value("VPSLLVQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rmbkz)
  .value("VPSLLVQZ256rmk", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rmk)
  .value("VPSLLVQZ256rmkz", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rmkz)
  .value("VPSLLVQZ256rr", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rr)
  .value("VPSLLVQZ256rrk", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rrk)
  .value("VPSLLVQZ256rrkz", LIEF::assembly::x86::OPCODE::VPSLLVQZ256rrkz)
  .value("VPSLLVQZrm", LIEF::assembly::x86::OPCODE::VPSLLVQZrm)
  .value("VPSLLVQZrmb", LIEF::assembly::x86::OPCODE::VPSLLVQZrmb)
  .value("VPSLLVQZrmbk", LIEF::assembly::x86::OPCODE::VPSLLVQZrmbk)
  .value("VPSLLVQZrmbkz", LIEF::assembly::x86::OPCODE::VPSLLVQZrmbkz)
  .value("VPSLLVQZrmk", LIEF::assembly::x86::OPCODE::VPSLLVQZrmk)
  .value("VPSLLVQZrmkz", LIEF::assembly::x86::OPCODE::VPSLLVQZrmkz)
  .value("VPSLLVQZrr", LIEF::assembly::x86::OPCODE::VPSLLVQZrr)
  .value("VPSLLVQZrrk", LIEF::assembly::x86::OPCODE::VPSLLVQZrrk)
  .value("VPSLLVQZrrkz", LIEF::assembly::x86::OPCODE::VPSLLVQZrrkz)
  .value("VPSLLVQrm", LIEF::assembly::x86::OPCODE::VPSLLVQrm)
  .value("VPSLLVQrr", LIEF::assembly::x86::OPCODE::VPSLLVQrr)
  .value("VPSLLVWZ128rm", LIEF::assembly::x86::OPCODE::VPSLLVWZ128rm)
  .value("VPSLLVWZ128rmk", LIEF::assembly::x86::OPCODE::VPSLLVWZ128rmk)
  .value("VPSLLVWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSLLVWZ128rmkz)
  .value("VPSLLVWZ128rr", LIEF::assembly::x86::OPCODE::VPSLLVWZ128rr)
  .value("VPSLLVWZ128rrk", LIEF::assembly::x86::OPCODE::VPSLLVWZ128rrk)
  .value("VPSLLVWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSLLVWZ128rrkz)
  .value("VPSLLVWZ256rm", LIEF::assembly::x86::OPCODE::VPSLLVWZ256rm)
  .value("VPSLLVWZ256rmk", LIEF::assembly::x86::OPCODE::VPSLLVWZ256rmk)
  .value("VPSLLVWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSLLVWZ256rmkz)
  .value("VPSLLVWZ256rr", LIEF::assembly::x86::OPCODE::VPSLLVWZ256rr)
  .value("VPSLLVWZ256rrk", LIEF::assembly::x86::OPCODE::VPSLLVWZ256rrk)
  .value("VPSLLVWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSLLVWZ256rrkz)
  .value("VPSLLVWZrm", LIEF::assembly::x86::OPCODE::VPSLLVWZrm)
  .value("VPSLLVWZrmk", LIEF::assembly::x86::OPCODE::VPSLLVWZrmk)
  .value("VPSLLVWZrmkz", LIEF::assembly::x86::OPCODE::VPSLLVWZrmkz)
  .value("VPSLLVWZrr", LIEF::assembly::x86::OPCODE::VPSLLVWZrr)
  .value("VPSLLVWZrrk", LIEF::assembly::x86::OPCODE::VPSLLVWZrrk)
  .value("VPSLLVWZrrkz", LIEF::assembly::x86::OPCODE::VPSLLVWZrrkz)
  .value("VPSLLWYri", LIEF::assembly::x86::OPCODE::VPSLLWYri)
  .value("VPSLLWYrm", LIEF::assembly::x86::OPCODE::VPSLLWYrm)
  .value("VPSLLWYrr", LIEF::assembly::x86::OPCODE::VPSLLWYrr)
  .value("VPSLLWZ128mi", LIEF::assembly::x86::OPCODE::VPSLLWZ128mi)
  .value("VPSLLWZ128mik", LIEF::assembly::x86::OPCODE::VPSLLWZ128mik)
  .value("VPSLLWZ128mikz", LIEF::assembly::x86::OPCODE::VPSLLWZ128mikz)
  .value("VPSLLWZ128ri", LIEF::assembly::x86::OPCODE::VPSLLWZ128ri)
  .value("VPSLLWZ128rik", LIEF::assembly::x86::OPCODE::VPSLLWZ128rik)
  .value("VPSLLWZ128rikz", LIEF::assembly::x86::OPCODE::VPSLLWZ128rikz)
  .value("VPSLLWZ128rm", LIEF::assembly::x86::OPCODE::VPSLLWZ128rm)
  .value("VPSLLWZ128rmk", LIEF::assembly::x86::OPCODE::VPSLLWZ128rmk)
  .value("VPSLLWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSLLWZ128rmkz)
  .value("VPSLLWZ128rr", LIEF::assembly::x86::OPCODE::VPSLLWZ128rr)
  .value("VPSLLWZ128rrk", LIEF::assembly::x86::OPCODE::VPSLLWZ128rrk)
  .value("VPSLLWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSLLWZ128rrkz)
  .value("VPSLLWZ256mi", LIEF::assembly::x86::OPCODE::VPSLLWZ256mi)
  .value("VPSLLWZ256mik", LIEF::assembly::x86::OPCODE::VPSLLWZ256mik)
  .value("VPSLLWZ256mikz", LIEF::assembly::x86::OPCODE::VPSLLWZ256mikz)
  .value("VPSLLWZ256ri", LIEF::assembly::x86::OPCODE::VPSLLWZ256ri)
  .value("VPSLLWZ256rik", LIEF::assembly::x86::OPCODE::VPSLLWZ256rik)
  .value("VPSLLWZ256rikz", LIEF::assembly::x86::OPCODE::VPSLLWZ256rikz)
  .value("VPSLLWZ256rm", LIEF::assembly::x86::OPCODE::VPSLLWZ256rm)
  .value("VPSLLWZ256rmk", LIEF::assembly::x86::OPCODE::VPSLLWZ256rmk)
  .value("VPSLLWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSLLWZ256rmkz)
  .value("VPSLLWZ256rr", LIEF::assembly::x86::OPCODE::VPSLLWZ256rr)
  .value("VPSLLWZ256rrk", LIEF::assembly::x86::OPCODE::VPSLLWZ256rrk)
  .value("VPSLLWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSLLWZ256rrkz)
  .value("VPSLLWZmi", LIEF::assembly::x86::OPCODE::VPSLLWZmi)
  .value("VPSLLWZmik", LIEF::assembly::x86::OPCODE::VPSLLWZmik)
  .value("VPSLLWZmikz", LIEF::assembly::x86::OPCODE::VPSLLWZmikz)
  .value("VPSLLWZri", LIEF::assembly::x86::OPCODE::VPSLLWZri)
  .value("VPSLLWZrik", LIEF::assembly::x86::OPCODE::VPSLLWZrik)
  .value("VPSLLWZrikz", LIEF::assembly::x86::OPCODE::VPSLLWZrikz)
  .value("VPSLLWZrm", LIEF::assembly::x86::OPCODE::VPSLLWZrm)
  .value("VPSLLWZrmk", LIEF::assembly::x86::OPCODE::VPSLLWZrmk)
  .value("VPSLLWZrmkz", LIEF::assembly::x86::OPCODE::VPSLLWZrmkz)
  .value("VPSLLWZrr", LIEF::assembly::x86::OPCODE::VPSLLWZrr)
  .value("VPSLLWZrrk", LIEF::assembly::x86::OPCODE::VPSLLWZrrk)
  .value("VPSLLWZrrkz", LIEF::assembly::x86::OPCODE::VPSLLWZrrkz)
  .value("VPSLLWri", LIEF::assembly::x86::OPCODE::VPSLLWri)
  .value("VPSLLWrm", LIEF::assembly::x86::OPCODE::VPSLLWrm)
  .value("VPSLLWrr", LIEF::assembly::x86::OPCODE::VPSLLWrr)
  .value("VPSRADYri", LIEF::assembly::x86::OPCODE::VPSRADYri)
  .value("VPSRADYrm", LIEF::assembly::x86::OPCODE::VPSRADYrm)
  .value("VPSRADYrr", LIEF::assembly::x86::OPCODE::VPSRADYrr)
  .value("VPSRADZ128mbi", LIEF::assembly::x86::OPCODE::VPSRADZ128mbi)
  .value("VPSRADZ128mbik", LIEF::assembly::x86::OPCODE::VPSRADZ128mbik)
  .value("VPSRADZ128mbikz", LIEF::assembly::x86::OPCODE::VPSRADZ128mbikz)
  .value("VPSRADZ128mi", LIEF::assembly::x86::OPCODE::VPSRADZ128mi)
  .value("VPSRADZ128mik", LIEF::assembly::x86::OPCODE::VPSRADZ128mik)
  .value("VPSRADZ128mikz", LIEF::assembly::x86::OPCODE::VPSRADZ128mikz)
  .value("VPSRADZ128ri", LIEF::assembly::x86::OPCODE::VPSRADZ128ri)
  .value("VPSRADZ128rik", LIEF::assembly::x86::OPCODE::VPSRADZ128rik)
  .value("VPSRADZ128rikz", LIEF::assembly::x86::OPCODE::VPSRADZ128rikz)
  .value("VPSRADZ128rm", LIEF::assembly::x86::OPCODE::VPSRADZ128rm)
  .value("VPSRADZ128rmk", LIEF::assembly::x86::OPCODE::VPSRADZ128rmk)
  .value("VPSRADZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRADZ128rmkz)
  .value("VPSRADZ128rr", LIEF::assembly::x86::OPCODE::VPSRADZ128rr)
  .value("VPSRADZ128rrk", LIEF::assembly::x86::OPCODE::VPSRADZ128rrk)
  .value("VPSRADZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRADZ128rrkz)
  .value("VPSRADZ256mbi", LIEF::assembly::x86::OPCODE::VPSRADZ256mbi)
  .value("VPSRADZ256mbik", LIEF::assembly::x86::OPCODE::VPSRADZ256mbik)
  .value("VPSRADZ256mbikz", LIEF::assembly::x86::OPCODE::VPSRADZ256mbikz)
  .value("VPSRADZ256mi", LIEF::assembly::x86::OPCODE::VPSRADZ256mi)
  .value("VPSRADZ256mik", LIEF::assembly::x86::OPCODE::VPSRADZ256mik)
  .value("VPSRADZ256mikz", LIEF::assembly::x86::OPCODE::VPSRADZ256mikz)
  .value("VPSRADZ256ri", LIEF::assembly::x86::OPCODE::VPSRADZ256ri)
  .value("VPSRADZ256rik", LIEF::assembly::x86::OPCODE::VPSRADZ256rik);
  opcodes.value("VPSRADZ256rikz", LIEF::assembly::x86::OPCODE::VPSRADZ256rikz)
  .value("VPSRADZ256rm", LIEF::assembly::x86::OPCODE::VPSRADZ256rm)
  .value("VPSRADZ256rmk", LIEF::assembly::x86::OPCODE::VPSRADZ256rmk)
  .value("VPSRADZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRADZ256rmkz)
  .value("VPSRADZ256rr", LIEF::assembly::x86::OPCODE::VPSRADZ256rr)
  .value("VPSRADZ256rrk", LIEF::assembly::x86::OPCODE::VPSRADZ256rrk)
  .value("VPSRADZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRADZ256rrkz)
  .value("VPSRADZmbi", LIEF::assembly::x86::OPCODE::VPSRADZmbi)
  .value("VPSRADZmbik", LIEF::assembly::x86::OPCODE::VPSRADZmbik)
  .value("VPSRADZmbikz", LIEF::assembly::x86::OPCODE::VPSRADZmbikz)
  .value("VPSRADZmi", LIEF::assembly::x86::OPCODE::VPSRADZmi)
  .value("VPSRADZmik", LIEF::assembly::x86::OPCODE::VPSRADZmik)
  .value("VPSRADZmikz", LIEF::assembly::x86::OPCODE::VPSRADZmikz)
  .value("VPSRADZri", LIEF::assembly::x86::OPCODE::VPSRADZri)
  .value("VPSRADZrik", LIEF::assembly::x86::OPCODE::VPSRADZrik)
  .value("VPSRADZrikz", LIEF::assembly::x86::OPCODE::VPSRADZrikz)
  .value("VPSRADZrm", LIEF::assembly::x86::OPCODE::VPSRADZrm)
  .value("VPSRADZrmk", LIEF::assembly::x86::OPCODE::VPSRADZrmk)
  .value("VPSRADZrmkz", LIEF::assembly::x86::OPCODE::VPSRADZrmkz)
  .value("VPSRADZrr", LIEF::assembly::x86::OPCODE::VPSRADZrr)
  .value("VPSRADZrrk", LIEF::assembly::x86::OPCODE::VPSRADZrrk)
  .value("VPSRADZrrkz", LIEF::assembly::x86::OPCODE::VPSRADZrrkz)
  .value("VPSRADri", LIEF::assembly::x86::OPCODE::VPSRADri)
  .value("VPSRADrm", LIEF::assembly::x86::OPCODE::VPSRADrm)
  .value("VPSRADrr", LIEF::assembly::x86::OPCODE::VPSRADrr)
  .value("VPSRAQZ128mbi", LIEF::assembly::x86::OPCODE::VPSRAQZ128mbi)
  .value("VPSRAQZ128mbik", LIEF::assembly::x86::OPCODE::VPSRAQZ128mbik)
  .value("VPSRAQZ128mbikz", LIEF::assembly::x86::OPCODE::VPSRAQZ128mbikz)
  .value("VPSRAQZ128mi", LIEF::assembly::x86::OPCODE::VPSRAQZ128mi)
  .value("VPSRAQZ128mik", LIEF::assembly::x86::OPCODE::VPSRAQZ128mik)
  .value("VPSRAQZ128mikz", LIEF::assembly::x86::OPCODE::VPSRAQZ128mikz)
  .value("VPSRAQZ128ri", LIEF::assembly::x86::OPCODE::VPSRAQZ128ri)
  .value("VPSRAQZ128rik", LIEF::assembly::x86::OPCODE::VPSRAQZ128rik)
  .value("VPSRAQZ128rikz", LIEF::assembly::x86::OPCODE::VPSRAQZ128rikz)
  .value("VPSRAQZ128rm", LIEF::assembly::x86::OPCODE::VPSRAQZ128rm)
  .value("VPSRAQZ128rmk", LIEF::assembly::x86::OPCODE::VPSRAQZ128rmk)
  .value("VPSRAQZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRAQZ128rmkz)
  .value("VPSRAQZ128rr", LIEF::assembly::x86::OPCODE::VPSRAQZ128rr)
  .value("VPSRAQZ128rrk", LIEF::assembly::x86::OPCODE::VPSRAQZ128rrk)
  .value("VPSRAQZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRAQZ128rrkz)
  .value("VPSRAQZ256mbi", LIEF::assembly::x86::OPCODE::VPSRAQZ256mbi)
  .value("VPSRAQZ256mbik", LIEF::assembly::x86::OPCODE::VPSRAQZ256mbik)
  .value("VPSRAQZ256mbikz", LIEF::assembly::x86::OPCODE::VPSRAQZ256mbikz)
  .value("VPSRAQZ256mi", LIEF::assembly::x86::OPCODE::VPSRAQZ256mi)
  .value("VPSRAQZ256mik", LIEF::assembly::x86::OPCODE::VPSRAQZ256mik)
  .value("VPSRAQZ256mikz", LIEF::assembly::x86::OPCODE::VPSRAQZ256mikz)
  .value("VPSRAQZ256ri", LIEF::assembly::x86::OPCODE::VPSRAQZ256ri)
  .value("VPSRAQZ256rik", LIEF::assembly::x86::OPCODE::VPSRAQZ256rik)
  .value("VPSRAQZ256rikz", LIEF::assembly::x86::OPCODE::VPSRAQZ256rikz)
  .value("VPSRAQZ256rm", LIEF::assembly::x86::OPCODE::VPSRAQZ256rm)
  .value("VPSRAQZ256rmk", LIEF::assembly::x86::OPCODE::VPSRAQZ256rmk)
  .value("VPSRAQZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRAQZ256rmkz)
  .value("VPSRAQZ256rr", LIEF::assembly::x86::OPCODE::VPSRAQZ256rr)
  .value("VPSRAQZ256rrk", LIEF::assembly::x86::OPCODE::VPSRAQZ256rrk)
  .value("VPSRAQZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRAQZ256rrkz)
  .value("VPSRAQZmbi", LIEF::assembly::x86::OPCODE::VPSRAQZmbi)
  .value("VPSRAQZmbik", LIEF::assembly::x86::OPCODE::VPSRAQZmbik)
  .value("VPSRAQZmbikz", LIEF::assembly::x86::OPCODE::VPSRAQZmbikz)
  .value("VPSRAQZmi", LIEF::assembly::x86::OPCODE::VPSRAQZmi)
  .value("VPSRAQZmik", LIEF::assembly::x86::OPCODE::VPSRAQZmik)
  .value("VPSRAQZmikz", LIEF::assembly::x86::OPCODE::VPSRAQZmikz)
  .value("VPSRAQZri", LIEF::assembly::x86::OPCODE::VPSRAQZri)
  .value("VPSRAQZrik", LIEF::assembly::x86::OPCODE::VPSRAQZrik)
  .value("VPSRAQZrikz", LIEF::assembly::x86::OPCODE::VPSRAQZrikz)
  .value("VPSRAQZrm", LIEF::assembly::x86::OPCODE::VPSRAQZrm)
  .value("VPSRAQZrmk", LIEF::assembly::x86::OPCODE::VPSRAQZrmk)
  .value("VPSRAQZrmkz", LIEF::assembly::x86::OPCODE::VPSRAQZrmkz)
  .value("VPSRAQZrr", LIEF::assembly::x86::OPCODE::VPSRAQZrr)
  .value("VPSRAQZrrk", LIEF::assembly::x86::OPCODE::VPSRAQZrrk)
  .value("VPSRAQZrrkz", LIEF::assembly::x86::OPCODE::VPSRAQZrrkz)
  .value("VPSRAVDYrm", LIEF::assembly::x86::OPCODE::VPSRAVDYrm)
  .value("VPSRAVDYrr", LIEF::assembly::x86::OPCODE::VPSRAVDYrr)
  .value("VPSRAVDZ128rm", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rm)
  .value("VPSRAVDZ128rmb", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rmb)
  .value("VPSRAVDZ128rmbk", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rmbk)
  .value("VPSRAVDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rmbkz)
  .value("VPSRAVDZ128rmk", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rmk)
  .value("VPSRAVDZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rmkz)
  .value("VPSRAVDZ128rr", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rr)
  .value("VPSRAVDZ128rrk", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rrk)
  .value("VPSRAVDZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRAVDZ128rrkz)
  .value("VPSRAVDZ256rm", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rm)
  .value("VPSRAVDZ256rmb", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rmb)
  .value("VPSRAVDZ256rmbk", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rmbk)
  .value("VPSRAVDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rmbkz)
  .value("VPSRAVDZ256rmk", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rmk)
  .value("VPSRAVDZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rmkz)
  .value("VPSRAVDZ256rr", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rr)
  .value("VPSRAVDZ256rrk", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rrk)
  .value("VPSRAVDZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRAVDZ256rrkz)
  .value("VPSRAVDZrm", LIEF::assembly::x86::OPCODE::VPSRAVDZrm)
  .value("VPSRAVDZrmb", LIEF::assembly::x86::OPCODE::VPSRAVDZrmb)
  .value("VPSRAVDZrmbk", LIEF::assembly::x86::OPCODE::VPSRAVDZrmbk)
  .value("VPSRAVDZrmbkz", LIEF::assembly::x86::OPCODE::VPSRAVDZrmbkz)
  .value("VPSRAVDZrmk", LIEF::assembly::x86::OPCODE::VPSRAVDZrmk)
  .value("VPSRAVDZrmkz", LIEF::assembly::x86::OPCODE::VPSRAVDZrmkz)
  .value("VPSRAVDZrr", LIEF::assembly::x86::OPCODE::VPSRAVDZrr)
  .value("VPSRAVDZrrk", LIEF::assembly::x86::OPCODE::VPSRAVDZrrk)
  .value("VPSRAVDZrrkz", LIEF::assembly::x86::OPCODE::VPSRAVDZrrkz)
  .value("VPSRAVDrm", LIEF::assembly::x86::OPCODE::VPSRAVDrm)
  .value("VPSRAVDrr", LIEF::assembly::x86::OPCODE::VPSRAVDrr)
  .value("VPSRAVQZ128rm", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rm)
  .value("VPSRAVQZ128rmb", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rmb)
  .value("VPSRAVQZ128rmbk", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rmbk)
  .value("VPSRAVQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rmbkz)
  .value("VPSRAVQZ128rmk", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rmk)
  .value("VPSRAVQZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rmkz)
  .value("VPSRAVQZ128rr", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rr)
  .value("VPSRAVQZ128rrk", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rrk)
  .value("VPSRAVQZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRAVQZ128rrkz)
  .value("VPSRAVQZ256rm", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rm)
  .value("VPSRAVQZ256rmb", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rmb)
  .value("VPSRAVQZ256rmbk", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rmbk)
  .value("VPSRAVQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rmbkz)
  .value("VPSRAVQZ256rmk", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rmk)
  .value("VPSRAVQZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rmkz)
  .value("VPSRAVQZ256rr", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rr)
  .value("VPSRAVQZ256rrk", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rrk)
  .value("VPSRAVQZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRAVQZ256rrkz)
  .value("VPSRAVQZrm", LIEF::assembly::x86::OPCODE::VPSRAVQZrm)
  .value("VPSRAVQZrmb", LIEF::assembly::x86::OPCODE::VPSRAVQZrmb)
  .value("VPSRAVQZrmbk", LIEF::assembly::x86::OPCODE::VPSRAVQZrmbk)
  .value("VPSRAVQZrmbkz", LIEF::assembly::x86::OPCODE::VPSRAVQZrmbkz)
  .value("VPSRAVQZrmk", LIEF::assembly::x86::OPCODE::VPSRAVQZrmk)
  .value("VPSRAVQZrmkz", LIEF::assembly::x86::OPCODE::VPSRAVQZrmkz)
  .value("VPSRAVQZrr", LIEF::assembly::x86::OPCODE::VPSRAVQZrr)
  .value("VPSRAVQZrrk", LIEF::assembly::x86::OPCODE::VPSRAVQZrrk)
  .value("VPSRAVQZrrkz", LIEF::assembly::x86::OPCODE::VPSRAVQZrrkz)
  .value("VPSRAVWZ128rm", LIEF::assembly::x86::OPCODE::VPSRAVWZ128rm)
  .value("VPSRAVWZ128rmk", LIEF::assembly::x86::OPCODE::VPSRAVWZ128rmk)
  .value("VPSRAVWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRAVWZ128rmkz)
  .value("VPSRAVWZ128rr", LIEF::assembly::x86::OPCODE::VPSRAVWZ128rr)
  .value("VPSRAVWZ128rrk", LIEF::assembly::x86::OPCODE::VPSRAVWZ128rrk)
  .value("VPSRAVWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRAVWZ128rrkz)
  .value("VPSRAVWZ256rm", LIEF::assembly::x86::OPCODE::VPSRAVWZ256rm)
  .value("VPSRAVWZ256rmk", LIEF::assembly::x86::OPCODE::VPSRAVWZ256rmk)
  .value("VPSRAVWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRAVWZ256rmkz)
  .value("VPSRAVWZ256rr", LIEF::assembly::x86::OPCODE::VPSRAVWZ256rr)
  .value("VPSRAVWZ256rrk", LIEF::assembly::x86::OPCODE::VPSRAVWZ256rrk)
  .value("VPSRAVWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRAVWZ256rrkz)
  .value("VPSRAVWZrm", LIEF::assembly::x86::OPCODE::VPSRAVWZrm)
  .value("VPSRAVWZrmk", LIEF::assembly::x86::OPCODE::VPSRAVWZrmk)
  .value("VPSRAVWZrmkz", LIEF::assembly::x86::OPCODE::VPSRAVWZrmkz)
  .value("VPSRAVWZrr", LIEF::assembly::x86::OPCODE::VPSRAVWZrr)
  .value("VPSRAVWZrrk", LIEF::assembly::x86::OPCODE::VPSRAVWZrrk)
  .value("VPSRAVWZrrkz", LIEF::assembly::x86::OPCODE::VPSRAVWZrrkz)
  .value("VPSRAWYri", LIEF::assembly::x86::OPCODE::VPSRAWYri)
  .value("VPSRAWYrm", LIEF::assembly::x86::OPCODE::VPSRAWYrm)
  .value("VPSRAWYrr", LIEF::assembly::x86::OPCODE::VPSRAWYrr)
  .value("VPSRAWZ128mi", LIEF::assembly::x86::OPCODE::VPSRAWZ128mi)
  .value("VPSRAWZ128mik", LIEF::assembly::x86::OPCODE::VPSRAWZ128mik)
  .value("VPSRAWZ128mikz", LIEF::assembly::x86::OPCODE::VPSRAWZ128mikz)
  .value("VPSRAWZ128ri", LIEF::assembly::x86::OPCODE::VPSRAWZ128ri)
  .value("VPSRAWZ128rik", LIEF::assembly::x86::OPCODE::VPSRAWZ128rik)
  .value("VPSRAWZ128rikz", LIEF::assembly::x86::OPCODE::VPSRAWZ128rikz)
  .value("VPSRAWZ128rm", LIEF::assembly::x86::OPCODE::VPSRAWZ128rm)
  .value("VPSRAWZ128rmk", LIEF::assembly::x86::OPCODE::VPSRAWZ128rmk)
  .value("VPSRAWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRAWZ128rmkz)
  .value("VPSRAWZ128rr", LIEF::assembly::x86::OPCODE::VPSRAWZ128rr)
  .value("VPSRAWZ128rrk", LIEF::assembly::x86::OPCODE::VPSRAWZ128rrk)
  .value("VPSRAWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRAWZ128rrkz)
  .value("VPSRAWZ256mi", LIEF::assembly::x86::OPCODE::VPSRAWZ256mi)
  .value("VPSRAWZ256mik", LIEF::assembly::x86::OPCODE::VPSRAWZ256mik)
  .value("VPSRAWZ256mikz", LIEF::assembly::x86::OPCODE::VPSRAWZ256mikz)
  .value("VPSRAWZ256ri", LIEF::assembly::x86::OPCODE::VPSRAWZ256ri)
  .value("VPSRAWZ256rik", LIEF::assembly::x86::OPCODE::VPSRAWZ256rik)
  .value("VPSRAWZ256rikz", LIEF::assembly::x86::OPCODE::VPSRAWZ256rikz)
  .value("VPSRAWZ256rm", LIEF::assembly::x86::OPCODE::VPSRAWZ256rm)
  .value("VPSRAWZ256rmk", LIEF::assembly::x86::OPCODE::VPSRAWZ256rmk)
  .value("VPSRAWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRAWZ256rmkz)
  .value("VPSRAWZ256rr", LIEF::assembly::x86::OPCODE::VPSRAWZ256rr)
  .value("VPSRAWZ256rrk", LIEF::assembly::x86::OPCODE::VPSRAWZ256rrk)
  .value("VPSRAWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRAWZ256rrkz)
  .value("VPSRAWZmi", LIEF::assembly::x86::OPCODE::VPSRAWZmi)
  .value("VPSRAWZmik", LIEF::assembly::x86::OPCODE::VPSRAWZmik)
  .value("VPSRAWZmikz", LIEF::assembly::x86::OPCODE::VPSRAWZmikz)
  .value("VPSRAWZri", LIEF::assembly::x86::OPCODE::VPSRAWZri)
  .value("VPSRAWZrik", LIEF::assembly::x86::OPCODE::VPSRAWZrik)
  .value("VPSRAWZrikz", LIEF::assembly::x86::OPCODE::VPSRAWZrikz)
  .value("VPSRAWZrm", LIEF::assembly::x86::OPCODE::VPSRAWZrm)
  .value("VPSRAWZrmk", LIEF::assembly::x86::OPCODE::VPSRAWZrmk)
  .value("VPSRAWZrmkz", LIEF::assembly::x86::OPCODE::VPSRAWZrmkz)
  .value("VPSRAWZrr", LIEF::assembly::x86::OPCODE::VPSRAWZrr)
  .value("VPSRAWZrrk", LIEF::assembly::x86::OPCODE::VPSRAWZrrk)
  .value("VPSRAWZrrkz", LIEF::assembly::x86::OPCODE::VPSRAWZrrkz)
  .value("VPSRAWri", LIEF::assembly::x86::OPCODE::VPSRAWri)
  .value("VPSRAWrm", LIEF::assembly::x86::OPCODE::VPSRAWrm)
  .value("VPSRAWrr", LIEF::assembly::x86::OPCODE::VPSRAWrr)
  .value("VPSRLDQYri", LIEF::assembly::x86::OPCODE::VPSRLDQYri)
  .value("VPSRLDQZ128mi", LIEF::assembly::x86::OPCODE::VPSRLDQZ128mi)
  .value("VPSRLDQZ128ri", LIEF::assembly::x86::OPCODE::VPSRLDQZ128ri)
  .value("VPSRLDQZ256mi", LIEF::assembly::x86::OPCODE::VPSRLDQZ256mi)
  .value("VPSRLDQZ256ri", LIEF::assembly::x86::OPCODE::VPSRLDQZ256ri)
  .value("VPSRLDQZmi", LIEF::assembly::x86::OPCODE::VPSRLDQZmi)
  .value("VPSRLDQZri", LIEF::assembly::x86::OPCODE::VPSRLDQZri)
  .value("VPSRLDQri", LIEF::assembly::x86::OPCODE::VPSRLDQri)
  .value("VPSRLDYri", LIEF::assembly::x86::OPCODE::VPSRLDYri)
  .value("VPSRLDYrm", LIEF::assembly::x86::OPCODE::VPSRLDYrm)
  .value("VPSRLDYrr", LIEF::assembly::x86::OPCODE::VPSRLDYrr)
  .value("VPSRLDZ128mbi", LIEF::assembly::x86::OPCODE::VPSRLDZ128mbi)
  .value("VPSRLDZ128mbik", LIEF::assembly::x86::OPCODE::VPSRLDZ128mbik)
  .value("VPSRLDZ128mbikz", LIEF::assembly::x86::OPCODE::VPSRLDZ128mbikz)
  .value("VPSRLDZ128mi", LIEF::assembly::x86::OPCODE::VPSRLDZ128mi)
  .value("VPSRLDZ128mik", LIEF::assembly::x86::OPCODE::VPSRLDZ128mik)
  .value("VPSRLDZ128mikz", LIEF::assembly::x86::OPCODE::VPSRLDZ128mikz)
  .value("VPSRLDZ128ri", LIEF::assembly::x86::OPCODE::VPSRLDZ128ri)
  .value("VPSRLDZ128rik", LIEF::assembly::x86::OPCODE::VPSRLDZ128rik)
  .value("VPSRLDZ128rikz", LIEF::assembly::x86::OPCODE::VPSRLDZ128rikz)
  .value("VPSRLDZ128rm", LIEF::assembly::x86::OPCODE::VPSRLDZ128rm)
  .value("VPSRLDZ128rmk", LIEF::assembly::x86::OPCODE::VPSRLDZ128rmk)
  .value("VPSRLDZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRLDZ128rmkz)
  .value("VPSRLDZ128rr", LIEF::assembly::x86::OPCODE::VPSRLDZ128rr)
  .value("VPSRLDZ128rrk", LIEF::assembly::x86::OPCODE::VPSRLDZ128rrk)
  .value("VPSRLDZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRLDZ128rrkz)
  .value("VPSRLDZ256mbi", LIEF::assembly::x86::OPCODE::VPSRLDZ256mbi)
  .value("VPSRLDZ256mbik", LIEF::assembly::x86::OPCODE::VPSRLDZ256mbik)
  .value("VPSRLDZ256mbikz", LIEF::assembly::x86::OPCODE::VPSRLDZ256mbikz)
  .value("VPSRLDZ256mi", LIEF::assembly::x86::OPCODE::VPSRLDZ256mi)
  .value("VPSRLDZ256mik", LIEF::assembly::x86::OPCODE::VPSRLDZ256mik)
  .value("VPSRLDZ256mikz", LIEF::assembly::x86::OPCODE::VPSRLDZ256mikz)
  .value("VPSRLDZ256ri", LIEF::assembly::x86::OPCODE::VPSRLDZ256ri)
  .value("VPSRLDZ256rik", LIEF::assembly::x86::OPCODE::VPSRLDZ256rik)
  .value("VPSRLDZ256rikz", LIEF::assembly::x86::OPCODE::VPSRLDZ256rikz)
  .value("VPSRLDZ256rm", LIEF::assembly::x86::OPCODE::VPSRLDZ256rm)
  .value("VPSRLDZ256rmk", LIEF::assembly::x86::OPCODE::VPSRLDZ256rmk)
  .value("VPSRLDZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRLDZ256rmkz)
  .value("VPSRLDZ256rr", LIEF::assembly::x86::OPCODE::VPSRLDZ256rr)
  .value("VPSRLDZ256rrk", LIEF::assembly::x86::OPCODE::VPSRLDZ256rrk)
  .value("VPSRLDZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRLDZ256rrkz)
  .value("VPSRLDZmbi", LIEF::assembly::x86::OPCODE::VPSRLDZmbi)
  .value("VPSRLDZmbik", LIEF::assembly::x86::OPCODE::VPSRLDZmbik)
  .value("VPSRLDZmbikz", LIEF::assembly::x86::OPCODE::VPSRLDZmbikz)
  .value("VPSRLDZmi", LIEF::assembly::x86::OPCODE::VPSRLDZmi)
  .value("VPSRLDZmik", LIEF::assembly::x86::OPCODE::VPSRLDZmik)
  .value("VPSRLDZmikz", LIEF::assembly::x86::OPCODE::VPSRLDZmikz)
  .value("VPSRLDZri", LIEF::assembly::x86::OPCODE::VPSRLDZri)
  .value("VPSRLDZrik", LIEF::assembly::x86::OPCODE::VPSRLDZrik)
  .value("VPSRLDZrikz", LIEF::assembly::x86::OPCODE::VPSRLDZrikz)
  .value("VPSRLDZrm", LIEF::assembly::x86::OPCODE::VPSRLDZrm)
  .value("VPSRLDZrmk", LIEF::assembly::x86::OPCODE::VPSRLDZrmk)
  .value("VPSRLDZrmkz", LIEF::assembly::x86::OPCODE::VPSRLDZrmkz)
  .value("VPSRLDZrr", LIEF::assembly::x86::OPCODE::VPSRLDZrr)
  .value("VPSRLDZrrk", LIEF::assembly::x86::OPCODE::VPSRLDZrrk)
  .value("VPSRLDZrrkz", LIEF::assembly::x86::OPCODE::VPSRLDZrrkz)
  .value("VPSRLDri", LIEF::assembly::x86::OPCODE::VPSRLDri)
  .value("VPSRLDrm", LIEF::assembly::x86::OPCODE::VPSRLDrm)
  .value("VPSRLDrr", LIEF::assembly::x86::OPCODE::VPSRLDrr)
  .value("VPSRLQYri", LIEF::assembly::x86::OPCODE::VPSRLQYri)
  .value("VPSRLQYrm", LIEF::assembly::x86::OPCODE::VPSRLQYrm)
  .value("VPSRLQYrr", LIEF::assembly::x86::OPCODE::VPSRLQYrr)
  .value("VPSRLQZ128mbi", LIEF::assembly::x86::OPCODE::VPSRLQZ128mbi)
  .value("VPSRLQZ128mbik", LIEF::assembly::x86::OPCODE::VPSRLQZ128mbik)
  .value("VPSRLQZ128mbikz", LIEF::assembly::x86::OPCODE::VPSRLQZ128mbikz)
  .value("VPSRLQZ128mi", LIEF::assembly::x86::OPCODE::VPSRLQZ128mi)
  .value("VPSRLQZ128mik", LIEF::assembly::x86::OPCODE::VPSRLQZ128mik)
  .value("VPSRLQZ128mikz", LIEF::assembly::x86::OPCODE::VPSRLQZ128mikz)
  .value("VPSRLQZ128ri", LIEF::assembly::x86::OPCODE::VPSRLQZ128ri)
  .value("VPSRLQZ128rik", LIEF::assembly::x86::OPCODE::VPSRLQZ128rik)
  .value("VPSRLQZ128rikz", LIEF::assembly::x86::OPCODE::VPSRLQZ128rikz)
  .value("VPSRLQZ128rm", LIEF::assembly::x86::OPCODE::VPSRLQZ128rm)
  .value("VPSRLQZ128rmk", LIEF::assembly::x86::OPCODE::VPSRLQZ128rmk)
  .value("VPSRLQZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRLQZ128rmkz)
  .value("VPSRLQZ128rr", LIEF::assembly::x86::OPCODE::VPSRLQZ128rr)
  .value("VPSRLQZ128rrk", LIEF::assembly::x86::OPCODE::VPSRLQZ128rrk)
  .value("VPSRLQZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRLQZ128rrkz)
  .value("VPSRLQZ256mbi", LIEF::assembly::x86::OPCODE::VPSRLQZ256mbi)
  .value("VPSRLQZ256mbik", LIEF::assembly::x86::OPCODE::VPSRLQZ256mbik)
  .value("VPSRLQZ256mbikz", LIEF::assembly::x86::OPCODE::VPSRLQZ256mbikz)
  .value("VPSRLQZ256mi", LIEF::assembly::x86::OPCODE::VPSRLQZ256mi)
  .value("VPSRLQZ256mik", LIEF::assembly::x86::OPCODE::VPSRLQZ256mik)
  .value("VPSRLQZ256mikz", LIEF::assembly::x86::OPCODE::VPSRLQZ256mikz)
  .value("VPSRLQZ256ri", LIEF::assembly::x86::OPCODE::VPSRLQZ256ri)
  .value("VPSRLQZ256rik", LIEF::assembly::x86::OPCODE::VPSRLQZ256rik)
  .value("VPSRLQZ256rikz", LIEF::assembly::x86::OPCODE::VPSRLQZ256rikz)
  .value("VPSRLQZ256rm", LIEF::assembly::x86::OPCODE::VPSRLQZ256rm)
  .value("VPSRLQZ256rmk", LIEF::assembly::x86::OPCODE::VPSRLQZ256rmk)
  .value("VPSRLQZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRLQZ256rmkz)
  .value("VPSRLQZ256rr", LIEF::assembly::x86::OPCODE::VPSRLQZ256rr)
  .value("VPSRLQZ256rrk", LIEF::assembly::x86::OPCODE::VPSRLQZ256rrk)
  .value("VPSRLQZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRLQZ256rrkz)
  .value("VPSRLQZmbi", LIEF::assembly::x86::OPCODE::VPSRLQZmbi)
  .value("VPSRLQZmbik", LIEF::assembly::x86::OPCODE::VPSRLQZmbik)
  .value("VPSRLQZmbikz", LIEF::assembly::x86::OPCODE::VPSRLQZmbikz)
  .value("VPSRLQZmi", LIEF::assembly::x86::OPCODE::VPSRLQZmi)
  .value("VPSRLQZmik", LIEF::assembly::x86::OPCODE::VPSRLQZmik)
  .value("VPSRLQZmikz", LIEF::assembly::x86::OPCODE::VPSRLQZmikz)
  .value("VPSRLQZri", LIEF::assembly::x86::OPCODE::VPSRLQZri)
  .value("VPSRLQZrik", LIEF::assembly::x86::OPCODE::VPSRLQZrik)
  .value("VPSRLQZrikz", LIEF::assembly::x86::OPCODE::VPSRLQZrikz)
  .value("VPSRLQZrm", LIEF::assembly::x86::OPCODE::VPSRLQZrm)
  .value("VPSRLQZrmk", LIEF::assembly::x86::OPCODE::VPSRLQZrmk)
  .value("VPSRLQZrmkz", LIEF::assembly::x86::OPCODE::VPSRLQZrmkz)
  .value("VPSRLQZrr", LIEF::assembly::x86::OPCODE::VPSRLQZrr)
  .value("VPSRLQZrrk", LIEF::assembly::x86::OPCODE::VPSRLQZrrk)
  .value("VPSRLQZrrkz", LIEF::assembly::x86::OPCODE::VPSRLQZrrkz)
  .value("VPSRLQri", LIEF::assembly::x86::OPCODE::VPSRLQri)
  .value("VPSRLQrm", LIEF::assembly::x86::OPCODE::VPSRLQrm)
  .value("VPSRLQrr", LIEF::assembly::x86::OPCODE::VPSRLQrr)
  .value("VPSRLVDYrm", LIEF::assembly::x86::OPCODE::VPSRLVDYrm)
  .value("VPSRLVDYrr", LIEF::assembly::x86::OPCODE::VPSRLVDYrr);
  opcodes.value("VPSRLVDZ128rm", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rm)
  .value("VPSRLVDZ128rmb", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rmb)
  .value("VPSRLVDZ128rmbk", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rmbk)
  .value("VPSRLVDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rmbkz)
  .value("VPSRLVDZ128rmk", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rmk)
  .value("VPSRLVDZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rmkz)
  .value("VPSRLVDZ128rr", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rr)
  .value("VPSRLVDZ128rrk", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rrk)
  .value("VPSRLVDZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRLVDZ128rrkz)
  .value("VPSRLVDZ256rm", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rm)
  .value("VPSRLVDZ256rmb", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rmb)
  .value("VPSRLVDZ256rmbk", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rmbk)
  .value("VPSRLVDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rmbkz)
  .value("VPSRLVDZ256rmk", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rmk)
  .value("VPSRLVDZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rmkz)
  .value("VPSRLVDZ256rr", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rr)
  .value("VPSRLVDZ256rrk", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rrk)
  .value("VPSRLVDZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRLVDZ256rrkz)
  .value("VPSRLVDZrm", LIEF::assembly::x86::OPCODE::VPSRLVDZrm)
  .value("VPSRLVDZrmb", LIEF::assembly::x86::OPCODE::VPSRLVDZrmb)
  .value("VPSRLVDZrmbk", LIEF::assembly::x86::OPCODE::VPSRLVDZrmbk)
  .value("VPSRLVDZrmbkz", LIEF::assembly::x86::OPCODE::VPSRLVDZrmbkz)
  .value("VPSRLVDZrmk", LIEF::assembly::x86::OPCODE::VPSRLVDZrmk)
  .value("VPSRLVDZrmkz", LIEF::assembly::x86::OPCODE::VPSRLVDZrmkz)
  .value("VPSRLVDZrr", LIEF::assembly::x86::OPCODE::VPSRLVDZrr)
  .value("VPSRLVDZrrk", LIEF::assembly::x86::OPCODE::VPSRLVDZrrk)
  .value("VPSRLVDZrrkz", LIEF::assembly::x86::OPCODE::VPSRLVDZrrkz)
  .value("VPSRLVDrm", LIEF::assembly::x86::OPCODE::VPSRLVDrm)
  .value("VPSRLVDrr", LIEF::assembly::x86::OPCODE::VPSRLVDrr)
  .value("VPSRLVQYrm", LIEF::assembly::x86::OPCODE::VPSRLVQYrm)
  .value("VPSRLVQYrr", LIEF::assembly::x86::OPCODE::VPSRLVQYrr)
  .value("VPSRLVQZ128rm", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rm)
  .value("VPSRLVQZ128rmb", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rmb)
  .value("VPSRLVQZ128rmbk", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rmbk)
  .value("VPSRLVQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rmbkz)
  .value("VPSRLVQZ128rmk", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rmk)
  .value("VPSRLVQZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rmkz)
  .value("VPSRLVQZ128rr", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rr)
  .value("VPSRLVQZ128rrk", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rrk)
  .value("VPSRLVQZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRLVQZ128rrkz)
  .value("VPSRLVQZ256rm", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rm)
  .value("VPSRLVQZ256rmb", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rmb)
  .value("VPSRLVQZ256rmbk", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rmbk)
  .value("VPSRLVQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rmbkz)
  .value("VPSRLVQZ256rmk", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rmk)
  .value("VPSRLVQZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rmkz)
  .value("VPSRLVQZ256rr", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rr)
  .value("VPSRLVQZ256rrk", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rrk)
  .value("VPSRLVQZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRLVQZ256rrkz)
  .value("VPSRLVQZrm", LIEF::assembly::x86::OPCODE::VPSRLVQZrm)
  .value("VPSRLVQZrmb", LIEF::assembly::x86::OPCODE::VPSRLVQZrmb)
  .value("VPSRLVQZrmbk", LIEF::assembly::x86::OPCODE::VPSRLVQZrmbk)
  .value("VPSRLVQZrmbkz", LIEF::assembly::x86::OPCODE::VPSRLVQZrmbkz)
  .value("VPSRLVQZrmk", LIEF::assembly::x86::OPCODE::VPSRLVQZrmk)
  .value("VPSRLVQZrmkz", LIEF::assembly::x86::OPCODE::VPSRLVQZrmkz)
  .value("VPSRLVQZrr", LIEF::assembly::x86::OPCODE::VPSRLVQZrr)
  .value("VPSRLVQZrrk", LIEF::assembly::x86::OPCODE::VPSRLVQZrrk)
  .value("VPSRLVQZrrkz", LIEF::assembly::x86::OPCODE::VPSRLVQZrrkz)
  .value("VPSRLVQrm", LIEF::assembly::x86::OPCODE::VPSRLVQrm)
  .value("VPSRLVQrr", LIEF::assembly::x86::OPCODE::VPSRLVQrr)
  .value("VPSRLVWZ128rm", LIEF::assembly::x86::OPCODE::VPSRLVWZ128rm)
  .value("VPSRLVWZ128rmk", LIEF::assembly::x86::OPCODE::VPSRLVWZ128rmk)
  .value("VPSRLVWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRLVWZ128rmkz)
  .value("VPSRLVWZ128rr", LIEF::assembly::x86::OPCODE::VPSRLVWZ128rr)
  .value("VPSRLVWZ128rrk", LIEF::assembly::x86::OPCODE::VPSRLVWZ128rrk)
  .value("VPSRLVWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRLVWZ128rrkz)
  .value("VPSRLVWZ256rm", LIEF::assembly::x86::OPCODE::VPSRLVWZ256rm)
  .value("VPSRLVWZ256rmk", LIEF::assembly::x86::OPCODE::VPSRLVWZ256rmk)
  .value("VPSRLVWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRLVWZ256rmkz)
  .value("VPSRLVWZ256rr", LIEF::assembly::x86::OPCODE::VPSRLVWZ256rr)
  .value("VPSRLVWZ256rrk", LIEF::assembly::x86::OPCODE::VPSRLVWZ256rrk)
  .value("VPSRLVWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRLVWZ256rrkz)
  .value("VPSRLVWZrm", LIEF::assembly::x86::OPCODE::VPSRLVWZrm)
  .value("VPSRLVWZrmk", LIEF::assembly::x86::OPCODE::VPSRLVWZrmk)
  .value("VPSRLVWZrmkz", LIEF::assembly::x86::OPCODE::VPSRLVWZrmkz)
  .value("VPSRLVWZrr", LIEF::assembly::x86::OPCODE::VPSRLVWZrr)
  .value("VPSRLVWZrrk", LIEF::assembly::x86::OPCODE::VPSRLVWZrrk)
  .value("VPSRLVWZrrkz", LIEF::assembly::x86::OPCODE::VPSRLVWZrrkz)
  .value("VPSRLWYri", LIEF::assembly::x86::OPCODE::VPSRLWYri)
  .value("VPSRLWYrm", LIEF::assembly::x86::OPCODE::VPSRLWYrm)
  .value("VPSRLWYrr", LIEF::assembly::x86::OPCODE::VPSRLWYrr)
  .value("VPSRLWZ128mi", LIEF::assembly::x86::OPCODE::VPSRLWZ128mi)
  .value("VPSRLWZ128mik", LIEF::assembly::x86::OPCODE::VPSRLWZ128mik)
  .value("VPSRLWZ128mikz", LIEF::assembly::x86::OPCODE::VPSRLWZ128mikz)
  .value("VPSRLWZ128ri", LIEF::assembly::x86::OPCODE::VPSRLWZ128ri)
  .value("VPSRLWZ128rik", LIEF::assembly::x86::OPCODE::VPSRLWZ128rik)
  .value("VPSRLWZ128rikz", LIEF::assembly::x86::OPCODE::VPSRLWZ128rikz)
  .value("VPSRLWZ128rm", LIEF::assembly::x86::OPCODE::VPSRLWZ128rm)
  .value("VPSRLWZ128rmk", LIEF::assembly::x86::OPCODE::VPSRLWZ128rmk)
  .value("VPSRLWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSRLWZ128rmkz)
  .value("VPSRLWZ128rr", LIEF::assembly::x86::OPCODE::VPSRLWZ128rr)
  .value("VPSRLWZ128rrk", LIEF::assembly::x86::OPCODE::VPSRLWZ128rrk)
  .value("VPSRLWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSRLWZ128rrkz)
  .value("VPSRLWZ256mi", LIEF::assembly::x86::OPCODE::VPSRLWZ256mi)
  .value("VPSRLWZ256mik", LIEF::assembly::x86::OPCODE::VPSRLWZ256mik)
  .value("VPSRLWZ256mikz", LIEF::assembly::x86::OPCODE::VPSRLWZ256mikz)
  .value("VPSRLWZ256ri", LIEF::assembly::x86::OPCODE::VPSRLWZ256ri)
  .value("VPSRLWZ256rik", LIEF::assembly::x86::OPCODE::VPSRLWZ256rik)
  .value("VPSRLWZ256rikz", LIEF::assembly::x86::OPCODE::VPSRLWZ256rikz)
  .value("VPSRLWZ256rm", LIEF::assembly::x86::OPCODE::VPSRLWZ256rm)
  .value("VPSRLWZ256rmk", LIEF::assembly::x86::OPCODE::VPSRLWZ256rmk)
  .value("VPSRLWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSRLWZ256rmkz)
  .value("VPSRLWZ256rr", LIEF::assembly::x86::OPCODE::VPSRLWZ256rr)
  .value("VPSRLWZ256rrk", LIEF::assembly::x86::OPCODE::VPSRLWZ256rrk)
  .value("VPSRLWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSRLWZ256rrkz)
  .value("VPSRLWZmi", LIEF::assembly::x86::OPCODE::VPSRLWZmi)
  .value("VPSRLWZmik", LIEF::assembly::x86::OPCODE::VPSRLWZmik)
  .value("VPSRLWZmikz", LIEF::assembly::x86::OPCODE::VPSRLWZmikz)
  .value("VPSRLWZri", LIEF::assembly::x86::OPCODE::VPSRLWZri)
  .value("VPSRLWZrik", LIEF::assembly::x86::OPCODE::VPSRLWZrik)
  .value("VPSRLWZrikz", LIEF::assembly::x86::OPCODE::VPSRLWZrikz)
  .value("VPSRLWZrm", LIEF::assembly::x86::OPCODE::VPSRLWZrm)
  .value("VPSRLWZrmk", LIEF::assembly::x86::OPCODE::VPSRLWZrmk)
  .value("VPSRLWZrmkz", LIEF::assembly::x86::OPCODE::VPSRLWZrmkz)
  .value("VPSRLWZrr", LIEF::assembly::x86::OPCODE::VPSRLWZrr)
  .value("VPSRLWZrrk", LIEF::assembly::x86::OPCODE::VPSRLWZrrk)
  .value("VPSRLWZrrkz", LIEF::assembly::x86::OPCODE::VPSRLWZrrkz)
  .value("VPSRLWri", LIEF::assembly::x86::OPCODE::VPSRLWri)
  .value("VPSRLWrm", LIEF::assembly::x86::OPCODE::VPSRLWrm)
  .value("VPSRLWrr", LIEF::assembly::x86::OPCODE::VPSRLWrr)
  .value("VPSUBBYrm", LIEF::assembly::x86::OPCODE::VPSUBBYrm)
  .value("VPSUBBYrr", LIEF::assembly::x86::OPCODE::VPSUBBYrr)
  .value("VPSUBBZ128rm", LIEF::assembly::x86::OPCODE::VPSUBBZ128rm)
  .value("VPSUBBZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBBZ128rmk)
  .value("VPSUBBZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBBZ128rmkz)
  .value("VPSUBBZ128rr", LIEF::assembly::x86::OPCODE::VPSUBBZ128rr)
  .value("VPSUBBZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBBZ128rrk)
  .value("VPSUBBZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBBZ128rrkz)
  .value("VPSUBBZ256rm", LIEF::assembly::x86::OPCODE::VPSUBBZ256rm)
  .value("VPSUBBZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBBZ256rmk)
  .value("VPSUBBZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBBZ256rmkz)
  .value("VPSUBBZ256rr", LIEF::assembly::x86::OPCODE::VPSUBBZ256rr)
  .value("VPSUBBZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBBZ256rrk)
  .value("VPSUBBZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBBZ256rrkz)
  .value("VPSUBBZrm", LIEF::assembly::x86::OPCODE::VPSUBBZrm)
  .value("VPSUBBZrmk", LIEF::assembly::x86::OPCODE::VPSUBBZrmk)
  .value("VPSUBBZrmkz", LIEF::assembly::x86::OPCODE::VPSUBBZrmkz)
  .value("VPSUBBZrr", LIEF::assembly::x86::OPCODE::VPSUBBZrr)
  .value("VPSUBBZrrk", LIEF::assembly::x86::OPCODE::VPSUBBZrrk)
  .value("VPSUBBZrrkz", LIEF::assembly::x86::OPCODE::VPSUBBZrrkz)
  .value("VPSUBBrm", LIEF::assembly::x86::OPCODE::VPSUBBrm)
  .value("VPSUBBrr", LIEF::assembly::x86::OPCODE::VPSUBBrr)
  .value("VPSUBDYrm", LIEF::assembly::x86::OPCODE::VPSUBDYrm)
  .value("VPSUBDYrr", LIEF::assembly::x86::OPCODE::VPSUBDYrr)
  .value("VPSUBDZ128rm", LIEF::assembly::x86::OPCODE::VPSUBDZ128rm)
  .value("VPSUBDZ128rmb", LIEF::assembly::x86::OPCODE::VPSUBDZ128rmb)
  .value("VPSUBDZ128rmbk", LIEF::assembly::x86::OPCODE::VPSUBDZ128rmbk)
  .value("VPSUBDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSUBDZ128rmbkz)
  .value("VPSUBDZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBDZ128rmk)
  .value("VPSUBDZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBDZ128rmkz)
  .value("VPSUBDZ128rr", LIEF::assembly::x86::OPCODE::VPSUBDZ128rr)
  .value("VPSUBDZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBDZ128rrk)
  .value("VPSUBDZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBDZ128rrkz)
  .value("VPSUBDZ256rm", LIEF::assembly::x86::OPCODE::VPSUBDZ256rm)
  .value("VPSUBDZ256rmb", LIEF::assembly::x86::OPCODE::VPSUBDZ256rmb)
  .value("VPSUBDZ256rmbk", LIEF::assembly::x86::OPCODE::VPSUBDZ256rmbk)
  .value("VPSUBDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSUBDZ256rmbkz)
  .value("VPSUBDZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBDZ256rmk)
  .value("VPSUBDZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBDZ256rmkz)
  .value("VPSUBDZ256rr", LIEF::assembly::x86::OPCODE::VPSUBDZ256rr)
  .value("VPSUBDZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBDZ256rrk)
  .value("VPSUBDZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBDZ256rrkz)
  .value("VPSUBDZrm", LIEF::assembly::x86::OPCODE::VPSUBDZrm)
  .value("VPSUBDZrmb", LIEF::assembly::x86::OPCODE::VPSUBDZrmb)
  .value("VPSUBDZrmbk", LIEF::assembly::x86::OPCODE::VPSUBDZrmbk)
  .value("VPSUBDZrmbkz", LIEF::assembly::x86::OPCODE::VPSUBDZrmbkz)
  .value("VPSUBDZrmk", LIEF::assembly::x86::OPCODE::VPSUBDZrmk)
  .value("VPSUBDZrmkz", LIEF::assembly::x86::OPCODE::VPSUBDZrmkz)
  .value("VPSUBDZrr", LIEF::assembly::x86::OPCODE::VPSUBDZrr)
  .value("VPSUBDZrrk", LIEF::assembly::x86::OPCODE::VPSUBDZrrk)
  .value("VPSUBDZrrkz", LIEF::assembly::x86::OPCODE::VPSUBDZrrkz)
  .value("VPSUBDrm", LIEF::assembly::x86::OPCODE::VPSUBDrm)
  .value("VPSUBDrr", LIEF::assembly::x86::OPCODE::VPSUBDrr)
  .value("VPSUBQYrm", LIEF::assembly::x86::OPCODE::VPSUBQYrm)
  .value("VPSUBQYrr", LIEF::assembly::x86::OPCODE::VPSUBQYrr)
  .value("VPSUBQZ128rm", LIEF::assembly::x86::OPCODE::VPSUBQZ128rm)
  .value("VPSUBQZ128rmb", LIEF::assembly::x86::OPCODE::VPSUBQZ128rmb)
  .value("VPSUBQZ128rmbk", LIEF::assembly::x86::OPCODE::VPSUBQZ128rmbk)
  .value("VPSUBQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPSUBQZ128rmbkz)
  .value("VPSUBQZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBQZ128rmk)
  .value("VPSUBQZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBQZ128rmkz)
  .value("VPSUBQZ128rr", LIEF::assembly::x86::OPCODE::VPSUBQZ128rr)
  .value("VPSUBQZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBQZ128rrk)
  .value("VPSUBQZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBQZ128rrkz)
  .value("VPSUBQZ256rm", LIEF::assembly::x86::OPCODE::VPSUBQZ256rm)
  .value("VPSUBQZ256rmb", LIEF::assembly::x86::OPCODE::VPSUBQZ256rmb)
  .value("VPSUBQZ256rmbk", LIEF::assembly::x86::OPCODE::VPSUBQZ256rmbk)
  .value("VPSUBQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPSUBQZ256rmbkz)
  .value("VPSUBQZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBQZ256rmk)
  .value("VPSUBQZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBQZ256rmkz)
  .value("VPSUBQZ256rr", LIEF::assembly::x86::OPCODE::VPSUBQZ256rr)
  .value("VPSUBQZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBQZ256rrk)
  .value("VPSUBQZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBQZ256rrkz)
  .value("VPSUBQZrm", LIEF::assembly::x86::OPCODE::VPSUBQZrm)
  .value("VPSUBQZrmb", LIEF::assembly::x86::OPCODE::VPSUBQZrmb)
  .value("VPSUBQZrmbk", LIEF::assembly::x86::OPCODE::VPSUBQZrmbk)
  .value("VPSUBQZrmbkz", LIEF::assembly::x86::OPCODE::VPSUBQZrmbkz)
  .value("VPSUBQZrmk", LIEF::assembly::x86::OPCODE::VPSUBQZrmk)
  .value("VPSUBQZrmkz", LIEF::assembly::x86::OPCODE::VPSUBQZrmkz)
  .value("VPSUBQZrr", LIEF::assembly::x86::OPCODE::VPSUBQZrr)
  .value("VPSUBQZrrk", LIEF::assembly::x86::OPCODE::VPSUBQZrrk)
  .value("VPSUBQZrrkz", LIEF::assembly::x86::OPCODE::VPSUBQZrrkz)
  .value("VPSUBQrm", LIEF::assembly::x86::OPCODE::VPSUBQrm)
  .value("VPSUBQrr", LIEF::assembly::x86::OPCODE::VPSUBQrr)
  .value("VPSUBSBYrm", LIEF::assembly::x86::OPCODE::VPSUBSBYrm)
  .value("VPSUBSBYrr", LIEF::assembly::x86::OPCODE::VPSUBSBYrr)
  .value("VPSUBSBZ128rm", LIEF::assembly::x86::OPCODE::VPSUBSBZ128rm)
  .value("VPSUBSBZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBSBZ128rmk)
  .value("VPSUBSBZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBSBZ128rmkz)
  .value("VPSUBSBZ128rr", LIEF::assembly::x86::OPCODE::VPSUBSBZ128rr)
  .value("VPSUBSBZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBSBZ128rrk)
  .value("VPSUBSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBSBZ128rrkz)
  .value("VPSUBSBZ256rm", LIEF::assembly::x86::OPCODE::VPSUBSBZ256rm)
  .value("VPSUBSBZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBSBZ256rmk)
  .value("VPSUBSBZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBSBZ256rmkz)
  .value("VPSUBSBZ256rr", LIEF::assembly::x86::OPCODE::VPSUBSBZ256rr)
  .value("VPSUBSBZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBSBZ256rrk)
  .value("VPSUBSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBSBZ256rrkz)
  .value("VPSUBSBZrm", LIEF::assembly::x86::OPCODE::VPSUBSBZrm)
  .value("VPSUBSBZrmk", LIEF::assembly::x86::OPCODE::VPSUBSBZrmk)
  .value("VPSUBSBZrmkz", LIEF::assembly::x86::OPCODE::VPSUBSBZrmkz)
  .value("VPSUBSBZrr", LIEF::assembly::x86::OPCODE::VPSUBSBZrr)
  .value("VPSUBSBZrrk", LIEF::assembly::x86::OPCODE::VPSUBSBZrrk)
  .value("VPSUBSBZrrkz", LIEF::assembly::x86::OPCODE::VPSUBSBZrrkz)
  .value("VPSUBSBrm", LIEF::assembly::x86::OPCODE::VPSUBSBrm)
  .value("VPSUBSBrr", LIEF::assembly::x86::OPCODE::VPSUBSBrr)
  .value("VPSUBSWYrm", LIEF::assembly::x86::OPCODE::VPSUBSWYrm)
  .value("VPSUBSWYrr", LIEF::assembly::x86::OPCODE::VPSUBSWYrr)
  .value("VPSUBSWZ128rm", LIEF::assembly::x86::OPCODE::VPSUBSWZ128rm)
  .value("VPSUBSWZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBSWZ128rmk)
  .value("VPSUBSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBSWZ128rmkz)
  .value("VPSUBSWZ128rr", LIEF::assembly::x86::OPCODE::VPSUBSWZ128rr)
  .value("VPSUBSWZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBSWZ128rrk)
  .value("VPSUBSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBSWZ128rrkz)
  .value("VPSUBSWZ256rm", LIEF::assembly::x86::OPCODE::VPSUBSWZ256rm)
  .value("VPSUBSWZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBSWZ256rmk)
  .value("VPSUBSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBSWZ256rmkz)
  .value("VPSUBSWZ256rr", LIEF::assembly::x86::OPCODE::VPSUBSWZ256rr)
  .value("VPSUBSWZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBSWZ256rrk)
  .value("VPSUBSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBSWZ256rrkz)
  .value("VPSUBSWZrm", LIEF::assembly::x86::OPCODE::VPSUBSWZrm)
  .value("VPSUBSWZrmk", LIEF::assembly::x86::OPCODE::VPSUBSWZrmk)
  .value("VPSUBSWZrmkz", LIEF::assembly::x86::OPCODE::VPSUBSWZrmkz)
  .value("VPSUBSWZrr", LIEF::assembly::x86::OPCODE::VPSUBSWZrr)
  .value("VPSUBSWZrrk", LIEF::assembly::x86::OPCODE::VPSUBSWZrrk)
  .value("VPSUBSWZrrkz", LIEF::assembly::x86::OPCODE::VPSUBSWZrrkz)
  .value("VPSUBSWrm", LIEF::assembly::x86::OPCODE::VPSUBSWrm)
  .value("VPSUBSWrr", LIEF::assembly::x86::OPCODE::VPSUBSWrr)
  .value("VPSUBUSBYrm", LIEF::assembly::x86::OPCODE::VPSUBUSBYrm)
  .value("VPSUBUSBYrr", LIEF::assembly::x86::OPCODE::VPSUBUSBYrr)
  .value("VPSUBUSBZ128rm", LIEF::assembly::x86::OPCODE::VPSUBUSBZ128rm)
  .value("VPSUBUSBZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBUSBZ128rmk)
  .value("VPSUBUSBZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBUSBZ128rmkz)
  .value("VPSUBUSBZ128rr", LIEF::assembly::x86::OPCODE::VPSUBUSBZ128rr)
  .value("VPSUBUSBZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBUSBZ128rrk)
  .value("VPSUBUSBZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBUSBZ128rrkz)
  .value("VPSUBUSBZ256rm", LIEF::assembly::x86::OPCODE::VPSUBUSBZ256rm)
  .value("VPSUBUSBZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBUSBZ256rmk)
  .value("VPSUBUSBZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBUSBZ256rmkz)
  .value("VPSUBUSBZ256rr", LIEF::assembly::x86::OPCODE::VPSUBUSBZ256rr)
  .value("VPSUBUSBZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBUSBZ256rrk)
  .value("VPSUBUSBZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBUSBZ256rrkz)
  .value("VPSUBUSBZrm", LIEF::assembly::x86::OPCODE::VPSUBUSBZrm)
  .value("VPSUBUSBZrmk", LIEF::assembly::x86::OPCODE::VPSUBUSBZrmk)
  .value("VPSUBUSBZrmkz", LIEF::assembly::x86::OPCODE::VPSUBUSBZrmkz)
  .value("VPSUBUSBZrr", LIEF::assembly::x86::OPCODE::VPSUBUSBZrr)
  .value("VPSUBUSBZrrk", LIEF::assembly::x86::OPCODE::VPSUBUSBZrrk)
  .value("VPSUBUSBZrrkz", LIEF::assembly::x86::OPCODE::VPSUBUSBZrrkz)
  .value("VPSUBUSBrm", LIEF::assembly::x86::OPCODE::VPSUBUSBrm)
  .value("VPSUBUSBrr", LIEF::assembly::x86::OPCODE::VPSUBUSBrr)
  .value("VPSUBUSWYrm", LIEF::assembly::x86::OPCODE::VPSUBUSWYrm)
  .value("VPSUBUSWYrr", LIEF::assembly::x86::OPCODE::VPSUBUSWYrr)
  .value("VPSUBUSWZ128rm", LIEF::assembly::x86::OPCODE::VPSUBUSWZ128rm)
  .value("VPSUBUSWZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBUSWZ128rmk)
  .value("VPSUBUSWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBUSWZ128rmkz)
  .value("VPSUBUSWZ128rr", LIEF::assembly::x86::OPCODE::VPSUBUSWZ128rr)
  .value("VPSUBUSWZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBUSWZ128rrk)
  .value("VPSUBUSWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBUSWZ128rrkz)
  .value("VPSUBUSWZ256rm", LIEF::assembly::x86::OPCODE::VPSUBUSWZ256rm)
  .value("VPSUBUSWZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBUSWZ256rmk)
  .value("VPSUBUSWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBUSWZ256rmkz)
  .value("VPSUBUSWZ256rr", LIEF::assembly::x86::OPCODE::VPSUBUSWZ256rr)
  .value("VPSUBUSWZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBUSWZ256rrk)
  .value("VPSUBUSWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBUSWZ256rrkz)
  .value("VPSUBUSWZrm", LIEF::assembly::x86::OPCODE::VPSUBUSWZrm)
  .value("VPSUBUSWZrmk", LIEF::assembly::x86::OPCODE::VPSUBUSWZrmk)
  .value("VPSUBUSWZrmkz", LIEF::assembly::x86::OPCODE::VPSUBUSWZrmkz)
  .value("VPSUBUSWZrr", LIEF::assembly::x86::OPCODE::VPSUBUSWZrr)
  .value("VPSUBUSWZrrk", LIEF::assembly::x86::OPCODE::VPSUBUSWZrrk)
  .value("VPSUBUSWZrrkz", LIEF::assembly::x86::OPCODE::VPSUBUSWZrrkz)
  .value("VPSUBUSWrm", LIEF::assembly::x86::OPCODE::VPSUBUSWrm)
  .value("VPSUBUSWrr", LIEF::assembly::x86::OPCODE::VPSUBUSWrr)
  .value("VPSUBWYrm", LIEF::assembly::x86::OPCODE::VPSUBWYrm)
  .value("VPSUBWYrr", LIEF::assembly::x86::OPCODE::VPSUBWYrr)
  .value("VPSUBWZ128rm", LIEF::assembly::x86::OPCODE::VPSUBWZ128rm)
  .value("VPSUBWZ128rmk", LIEF::assembly::x86::OPCODE::VPSUBWZ128rmk)
  .value("VPSUBWZ128rmkz", LIEF::assembly::x86::OPCODE::VPSUBWZ128rmkz)
  .value("VPSUBWZ128rr", LIEF::assembly::x86::OPCODE::VPSUBWZ128rr)
  .value("VPSUBWZ128rrk", LIEF::assembly::x86::OPCODE::VPSUBWZ128rrk)
  .value("VPSUBWZ128rrkz", LIEF::assembly::x86::OPCODE::VPSUBWZ128rrkz);
  opcodes.value("VPSUBWZ256rm", LIEF::assembly::x86::OPCODE::VPSUBWZ256rm)
  .value("VPSUBWZ256rmk", LIEF::assembly::x86::OPCODE::VPSUBWZ256rmk)
  .value("VPSUBWZ256rmkz", LIEF::assembly::x86::OPCODE::VPSUBWZ256rmkz)
  .value("VPSUBWZ256rr", LIEF::assembly::x86::OPCODE::VPSUBWZ256rr)
  .value("VPSUBWZ256rrk", LIEF::assembly::x86::OPCODE::VPSUBWZ256rrk)
  .value("VPSUBWZ256rrkz", LIEF::assembly::x86::OPCODE::VPSUBWZ256rrkz)
  .value("VPSUBWZrm", LIEF::assembly::x86::OPCODE::VPSUBWZrm)
  .value("VPSUBWZrmk", LIEF::assembly::x86::OPCODE::VPSUBWZrmk)
  .value("VPSUBWZrmkz", LIEF::assembly::x86::OPCODE::VPSUBWZrmkz)
  .value("VPSUBWZrr", LIEF::assembly::x86::OPCODE::VPSUBWZrr)
  .value("VPSUBWZrrk", LIEF::assembly::x86::OPCODE::VPSUBWZrrk)
  .value("VPSUBWZrrkz", LIEF::assembly::x86::OPCODE::VPSUBWZrrkz)
  .value("VPSUBWrm", LIEF::assembly::x86::OPCODE::VPSUBWrm)
  .value("VPSUBWrr", LIEF::assembly::x86::OPCODE::VPSUBWrr)
  .value("VPTERNLOGDZ128rmbi", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rmbi)
  .value("VPTERNLOGDZ128rmbik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rmbik)
  .value("VPTERNLOGDZ128rmbikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rmbikz)
  .value("VPTERNLOGDZ128rmi", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rmi)
  .value("VPTERNLOGDZ128rmik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rmik)
  .value("VPTERNLOGDZ128rmikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rmikz)
  .value("VPTERNLOGDZ128rri", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rri)
  .value("VPTERNLOGDZ128rrik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rrik)
  .value("VPTERNLOGDZ128rrikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ128rrikz)
  .value("VPTERNLOGDZ256rmbi", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rmbi)
  .value("VPTERNLOGDZ256rmbik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rmbik)
  .value("VPTERNLOGDZ256rmbikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rmbikz)
  .value("VPTERNLOGDZ256rmi", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rmi)
  .value("VPTERNLOGDZ256rmik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rmik)
  .value("VPTERNLOGDZ256rmikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rmikz)
  .value("VPTERNLOGDZ256rri", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rri)
  .value("VPTERNLOGDZ256rrik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rrik)
  .value("VPTERNLOGDZ256rrikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZ256rrikz)
  .value("VPTERNLOGDZrmbi", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrmbi)
  .value("VPTERNLOGDZrmbik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrmbik)
  .value("VPTERNLOGDZrmbikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrmbikz)
  .value("VPTERNLOGDZrmi", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrmi)
  .value("VPTERNLOGDZrmik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrmik)
  .value("VPTERNLOGDZrmikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrmikz)
  .value("VPTERNLOGDZrri", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrri)
  .value("VPTERNLOGDZrrik", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrrik)
  .value("VPTERNLOGDZrrikz", LIEF::assembly::x86::OPCODE::VPTERNLOGDZrrikz)
  .value("VPTERNLOGQZ128rmbi", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rmbi)
  .value("VPTERNLOGQZ128rmbik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rmbik)
  .value("VPTERNLOGQZ128rmbikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rmbikz)
  .value("VPTERNLOGQZ128rmi", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rmi)
  .value("VPTERNLOGQZ128rmik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rmik)
  .value("VPTERNLOGQZ128rmikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rmikz)
  .value("VPTERNLOGQZ128rri", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rri)
  .value("VPTERNLOGQZ128rrik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rrik)
  .value("VPTERNLOGQZ128rrikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ128rrikz)
  .value("VPTERNLOGQZ256rmbi", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rmbi)
  .value("VPTERNLOGQZ256rmbik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rmbik)
  .value("VPTERNLOGQZ256rmbikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rmbikz)
  .value("VPTERNLOGQZ256rmi", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rmi)
  .value("VPTERNLOGQZ256rmik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rmik)
  .value("VPTERNLOGQZ256rmikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rmikz)
  .value("VPTERNLOGQZ256rri", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rri)
  .value("VPTERNLOGQZ256rrik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rrik)
  .value("VPTERNLOGQZ256rrikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZ256rrikz)
  .value("VPTERNLOGQZrmbi", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrmbi)
  .value("VPTERNLOGQZrmbik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrmbik)
  .value("VPTERNLOGQZrmbikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrmbikz)
  .value("VPTERNLOGQZrmi", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrmi)
  .value("VPTERNLOGQZrmik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrmik)
  .value("VPTERNLOGQZrmikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrmikz)
  .value("VPTERNLOGQZrri", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrri)
  .value("VPTERNLOGQZrrik", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrrik)
  .value("VPTERNLOGQZrrikz", LIEF::assembly::x86::OPCODE::VPTERNLOGQZrrikz)
  .value("VPTESTMBZ128rm", LIEF::assembly::x86::OPCODE::VPTESTMBZ128rm)
  .value("VPTESTMBZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTMBZ128rmk)
  .value("VPTESTMBZ128rr", LIEF::assembly::x86::OPCODE::VPTESTMBZ128rr)
  .value("VPTESTMBZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTMBZ128rrk)
  .value("VPTESTMBZ256rm", LIEF::assembly::x86::OPCODE::VPTESTMBZ256rm)
  .value("VPTESTMBZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTMBZ256rmk)
  .value("VPTESTMBZ256rr", LIEF::assembly::x86::OPCODE::VPTESTMBZ256rr)
  .value("VPTESTMBZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTMBZ256rrk)
  .value("VPTESTMBZrm", LIEF::assembly::x86::OPCODE::VPTESTMBZrm)
  .value("VPTESTMBZrmk", LIEF::assembly::x86::OPCODE::VPTESTMBZrmk)
  .value("VPTESTMBZrr", LIEF::assembly::x86::OPCODE::VPTESTMBZrr)
  .value("VPTESTMBZrrk", LIEF::assembly::x86::OPCODE::VPTESTMBZrrk)
  .value("VPTESTMDZ128rm", LIEF::assembly::x86::OPCODE::VPTESTMDZ128rm)
  .value("VPTESTMDZ128rmb", LIEF::assembly::x86::OPCODE::VPTESTMDZ128rmb)
  .value("VPTESTMDZ128rmbk", LIEF::assembly::x86::OPCODE::VPTESTMDZ128rmbk)
  .value("VPTESTMDZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTMDZ128rmk)
  .value("VPTESTMDZ128rr", LIEF::assembly::x86::OPCODE::VPTESTMDZ128rr)
  .value("VPTESTMDZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTMDZ128rrk)
  .value("VPTESTMDZ256rm", LIEF::assembly::x86::OPCODE::VPTESTMDZ256rm)
  .value("VPTESTMDZ256rmb", LIEF::assembly::x86::OPCODE::VPTESTMDZ256rmb)
  .value("VPTESTMDZ256rmbk", LIEF::assembly::x86::OPCODE::VPTESTMDZ256rmbk)
  .value("VPTESTMDZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTMDZ256rmk)
  .value("VPTESTMDZ256rr", LIEF::assembly::x86::OPCODE::VPTESTMDZ256rr)
  .value("VPTESTMDZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTMDZ256rrk)
  .value("VPTESTMDZrm", LIEF::assembly::x86::OPCODE::VPTESTMDZrm)
  .value("VPTESTMDZrmb", LIEF::assembly::x86::OPCODE::VPTESTMDZrmb)
  .value("VPTESTMDZrmbk", LIEF::assembly::x86::OPCODE::VPTESTMDZrmbk)
  .value("VPTESTMDZrmk", LIEF::assembly::x86::OPCODE::VPTESTMDZrmk)
  .value("VPTESTMDZrr", LIEF::assembly::x86::OPCODE::VPTESTMDZrr)
  .value("VPTESTMDZrrk", LIEF::assembly::x86::OPCODE::VPTESTMDZrrk)
  .value("VPTESTMQZ128rm", LIEF::assembly::x86::OPCODE::VPTESTMQZ128rm)
  .value("VPTESTMQZ128rmb", LIEF::assembly::x86::OPCODE::VPTESTMQZ128rmb)
  .value("VPTESTMQZ128rmbk", LIEF::assembly::x86::OPCODE::VPTESTMQZ128rmbk)
  .value("VPTESTMQZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTMQZ128rmk)
  .value("VPTESTMQZ128rr", LIEF::assembly::x86::OPCODE::VPTESTMQZ128rr)
  .value("VPTESTMQZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTMQZ128rrk)
  .value("VPTESTMQZ256rm", LIEF::assembly::x86::OPCODE::VPTESTMQZ256rm)
  .value("VPTESTMQZ256rmb", LIEF::assembly::x86::OPCODE::VPTESTMQZ256rmb)
  .value("VPTESTMQZ256rmbk", LIEF::assembly::x86::OPCODE::VPTESTMQZ256rmbk)
  .value("VPTESTMQZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTMQZ256rmk)
  .value("VPTESTMQZ256rr", LIEF::assembly::x86::OPCODE::VPTESTMQZ256rr)
  .value("VPTESTMQZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTMQZ256rrk)
  .value("VPTESTMQZrm", LIEF::assembly::x86::OPCODE::VPTESTMQZrm)
  .value("VPTESTMQZrmb", LIEF::assembly::x86::OPCODE::VPTESTMQZrmb)
  .value("VPTESTMQZrmbk", LIEF::assembly::x86::OPCODE::VPTESTMQZrmbk)
  .value("VPTESTMQZrmk", LIEF::assembly::x86::OPCODE::VPTESTMQZrmk)
  .value("VPTESTMQZrr", LIEF::assembly::x86::OPCODE::VPTESTMQZrr)
  .value("VPTESTMQZrrk", LIEF::assembly::x86::OPCODE::VPTESTMQZrrk)
  .value("VPTESTMWZ128rm", LIEF::assembly::x86::OPCODE::VPTESTMWZ128rm)
  .value("VPTESTMWZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTMWZ128rmk)
  .value("VPTESTMWZ128rr", LIEF::assembly::x86::OPCODE::VPTESTMWZ128rr)
  .value("VPTESTMWZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTMWZ128rrk)
  .value("VPTESTMWZ256rm", LIEF::assembly::x86::OPCODE::VPTESTMWZ256rm)
  .value("VPTESTMWZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTMWZ256rmk)
  .value("VPTESTMWZ256rr", LIEF::assembly::x86::OPCODE::VPTESTMWZ256rr)
  .value("VPTESTMWZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTMWZ256rrk)
  .value("VPTESTMWZrm", LIEF::assembly::x86::OPCODE::VPTESTMWZrm)
  .value("VPTESTMWZrmk", LIEF::assembly::x86::OPCODE::VPTESTMWZrmk)
  .value("VPTESTMWZrr", LIEF::assembly::x86::OPCODE::VPTESTMWZrr)
  .value("VPTESTMWZrrk", LIEF::assembly::x86::OPCODE::VPTESTMWZrrk)
  .value("VPTESTNMBZ128rm", LIEF::assembly::x86::OPCODE::VPTESTNMBZ128rm)
  .value("VPTESTNMBZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTNMBZ128rmk)
  .value("VPTESTNMBZ128rr", LIEF::assembly::x86::OPCODE::VPTESTNMBZ128rr)
  .value("VPTESTNMBZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTNMBZ128rrk)
  .value("VPTESTNMBZ256rm", LIEF::assembly::x86::OPCODE::VPTESTNMBZ256rm)
  .value("VPTESTNMBZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTNMBZ256rmk)
  .value("VPTESTNMBZ256rr", LIEF::assembly::x86::OPCODE::VPTESTNMBZ256rr)
  .value("VPTESTNMBZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTNMBZ256rrk)
  .value("VPTESTNMBZrm", LIEF::assembly::x86::OPCODE::VPTESTNMBZrm)
  .value("VPTESTNMBZrmk", LIEF::assembly::x86::OPCODE::VPTESTNMBZrmk)
  .value("VPTESTNMBZrr", LIEF::assembly::x86::OPCODE::VPTESTNMBZrr)
  .value("VPTESTNMBZrrk", LIEF::assembly::x86::OPCODE::VPTESTNMBZrrk)
  .value("VPTESTNMDZ128rm", LIEF::assembly::x86::OPCODE::VPTESTNMDZ128rm)
  .value("VPTESTNMDZ128rmb", LIEF::assembly::x86::OPCODE::VPTESTNMDZ128rmb)
  .value("VPTESTNMDZ128rmbk", LIEF::assembly::x86::OPCODE::VPTESTNMDZ128rmbk)
  .value("VPTESTNMDZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTNMDZ128rmk)
  .value("VPTESTNMDZ128rr", LIEF::assembly::x86::OPCODE::VPTESTNMDZ128rr)
  .value("VPTESTNMDZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTNMDZ128rrk)
  .value("VPTESTNMDZ256rm", LIEF::assembly::x86::OPCODE::VPTESTNMDZ256rm)
  .value("VPTESTNMDZ256rmb", LIEF::assembly::x86::OPCODE::VPTESTNMDZ256rmb)
  .value("VPTESTNMDZ256rmbk", LIEF::assembly::x86::OPCODE::VPTESTNMDZ256rmbk)
  .value("VPTESTNMDZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTNMDZ256rmk)
  .value("VPTESTNMDZ256rr", LIEF::assembly::x86::OPCODE::VPTESTNMDZ256rr)
  .value("VPTESTNMDZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTNMDZ256rrk)
  .value("VPTESTNMDZrm", LIEF::assembly::x86::OPCODE::VPTESTNMDZrm)
  .value("VPTESTNMDZrmb", LIEF::assembly::x86::OPCODE::VPTESTNMDZrmb)
  .value("VPTESTNMDZrmbk", LIEF::assembly::x86::OPCODE::VPTESTNMDZrmbk)
  .value("VPTESTNMDZrmk", LIEF::assembly::x86::OPCODE::VPTESTNMDZrmk)
  .value("VPTESTNMDZrr", LIEF::assembly::x86::OPCODE::VPTESTNMDZrr)
  .value("VPTESTNMDZrrk", LIEF::assembly::x86::OPCODE::VPTESTNMDZrrk)
  .value("VPTESTNMQZ128rm", LIEF::assembly::x86::OPCODE::VPTESTNMQZ128rm)
  .value("VPTESTNMQZ128rmb", LIEF::assembly::x86::OPCODE::VPTESTNMQZ128rmb)
  .value("VPTESTNMQZ128rmbk", LIEF::assembly::x86::OPCODE::VPTESTNMQZ128rmbk)
  .value("VPTESTNMQZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTNMQZ128rmk)
  .value("VPTESTNMQZ128rr", LIEF::assembly::x86::OPCODE::VPTESTNMQZ128rr)
  .value("VPTESTNMQZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTNMQZ128rrk)
  .value("VPTESTNMQZ256rm", LIEF::assembly::x86::OPCODE::VPTESTNMQZ256rm)
  .value("VPTESTNMQZ256rmb", LIEF::assembly::x86::OPCODE::VPTESTNMQZ256rmb)
  .value("VPTESTNMQZ256rmbk", LIEF::assembly::x86::OPCODE::VPTESTNMQZ256rmbk)
  .value("VPTESTNMQZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTNMQZ256rmk)
  .value("VPTESTNMQZ256rr", LIEF::assembly::x86::OPCODE::VPTESTNMQZ256rr)
  .value("VPTESTNMQZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTNMQZ256rrk)
  .value("VPTESTNMQZrm", LIEF::assembly::x86::OPCODE::VPTESTNMQZrm)
  .value("VPTESTNMQZrmb", LIEF::assembly::x86::OPCODE::VPTESTNMQZrmb)
  .value("VPTESTNMQZrmbk", LIEF::assembly::x86::OPCODE::VPTESTNMQZrmbk)
  .value("VPTESTNMQZrmk", LIEF::assembly::x86::OPCODE::VPTESTNMQZrmk)
  .value("VPTESTNMQZrr", LIEF::assembly::x86::OPCODE::VPTESTNMQZrr)
  .value("VPTESTNMQZrrk", LIEF::assembly::x86::OPCODE::VPTESTNMQZrrk)
  .value("VPTESTNMWZ128rm", LIEF::assembly::x86::OPCODE::VPTESTNMWZ128rm)
  .value("VPTESTNMWZ128rmk", LIEF::assembly::x86::OPCODE::VPTESTNMWZ128rmk)
  .value("VPTESTNMWZ128rr", LIEF::assembly::x86::OPCODE::VPTESTNMWZ128rr)
  .value("VPTESTNMWZ128rrk", LIEF::assembly::x86::OPCODE::VPTESTNMWZ128rrk)
  .value("VPTESTNMWZ256rm", LIEF::assembly::x86::OPCODE::VPTESTNMWZ256rm)
  .value("VPTESTNMWZ256rmk", LIEF::assembly::x86::OPCODE::VPTESTNMWZ256rmk)
  .value("VPTESTNMWZ256rr", LIEF::assembly::x86::OPCODE::VPTESTNMWZ256rr)
  .value("VPTESTNMWZ256rrk", LIEF::assembly::x86::OPCODE::VPTESTNMWZ256rrk)
  .value("VPTESTNMWZrm", LIEF::assembly::x86::OPCODE::VPTESTNMWZrm)
  .value("VPTESTNMWZrmk", LIEF::assembly::x86::OPCODE::VPTESTNMWZrmk)
  .value("VPTESTNMWZrr", LIEF::assembly::x86::OPCODE::VPTESTNMWZrr)
  .value("VPTESTNMWZrrk", LIEF::assembly::x86::OPCODE::VPTESTNMWZrrk)
  .value("VPTESTYrm", LIEF::assembly::x86::OPCODE::VPTESTYrm)
  .value("VPTESTYrr", LIEF::assembly::x86::OPCODE::VPTESTYrr)
  .value("VPTESTrm", LIEF::assembly::x86::OPCODE::VPTESTrm)
  .value("VPTESTrr", LIEF::assembly::x86::OPCODE::VPTESTrr)
  .value("VPUNPCKHBWYrm", LIEF::assembly::x86::OPCODE::VPUNPCKHBWYrm)
  .value("VPUNPCKHBWYrr", LIEF::assembly::x86::OPCODE::VPUNPCKHBWYrr)
  .value("VPUNPCKHBWZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ128rm)
  .value("VPUNPCKHBWZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ128rmk)
  .value("VPUNPCKHBWZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ128rmkz)
  .value("VPUNPCKHBWZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ128rr)
  .value("VPUNPCKHBWZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ128rrk)
  .value("VPUNPCKHBWZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ128rrkz)
  .value("VPUNPCKHBWZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ256rm)
  .value("VPUNPCKHBWZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ256rmk)
  .value("VPUNPCKHBWZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ256rmkz)
  .value("VPUNPCKHBWZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ256rr)
  .value("VPUNPCKHBWZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ256rrk)
  .value("VPUNPCKHBWZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZ256rrkz)
  .value("VPUNPCKHBWZrm", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZrm)
  .value("VPUNPCKHBWZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZrmk)
  .value("VPUNPCKHBWZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZrmkz)
  .value("VPUNPCKHBWZrr", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZrr)
  .value("VPUNPCKHBWZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZrrk)
  .value("VPUNPCKHBWZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHBWZrrkz)
  .value("VPUNPCKHBWrm", LIEF::assembly::x86::OPCODE::VPUNPCKHBWrm)
  .value("VPUNPCKHBWrr", LIEF::assembly::x86::OPCODE::VPUNPCKHBWrr)
  .value("VPUNPCKHDQYrm", LIEF::assembly::x86::OPCODE::VPUNPCKHDQYrm)
  .value("VPUNPCKHDQYrr", LIEF::assembly::x86::OPCODE::VPUNPCKHDQYrr)
  .value("VPUNPCKHDQZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rm)
  .value("VPUNPCKHDQZ128rmb", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rmb)
  .value("VPUNPCKHDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rmbk)
  .value("VPUNPCKHDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rmbkz)
  .value("VPUNPCKHDQZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rmk)
  .value("VPUNPCKHDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rmkz)
  .value("VPUNPCKHDQZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rr)
  .value("VPUNPCKHDQZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rrk)
  .value("VPUNPCKHDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ128rrkz)
  .value("VPUNPCKHDQZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rm)
  .value("VPUNPCKHDQZ256rmb", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rmb)
  .value("VPUNPCKHDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rmbk)
  .value("VPUNPCKHDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rmbkz)
  .value("VPUNPCKHDQZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rmk)
  .value("VPUNPCKHDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rmkz)
  .value("VPUNPCKHDQZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rr)
  .value("VPUNPCKHDQZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rrk)
  .value("VPUNPCKHDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZ256rrkz)
  .value("VPUNPCKHDQZrm", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrm)
  .value("VPUNPCKHDQZrmb", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrmb)
  .value("VPUNPCKHDQZrmbk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrmbk)
  .value("VPUNPCKHDQZrmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrmbkz)
  .value("VPUNPCKHDQZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrmk)
  .value("VPUNPCKHDQZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrmkz)
  .value("VPUNPCKHDQZrr", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrr)
  .value("VPUNPCKHDQZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrrk)
  .value("VPUNPCKHDQZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHDQZrrkz)
  .value("VPUNPCKHDQrm", LIEF::assembly::x86::OPCODE::VPUNPCKHDQrm)
  .value("VPUNPCKHDQrr", LIEF::assembly::x86::OPCODE::VPUNPCKHDQrr)
  .value("VPUNPCKHQDQYrm", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQYrm)
  .value("VPUNPCKHQDQYrr", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQYrr)
  .value("VPUNPCKHQDQZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rm)
  .value("VPUNPCKHQDQZ128rmb", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rmb)
  .value("VPUNPCKHQDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rmbk)
  .value("VPUNPCKHQDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rmbkz)
  .value("VPUNPCKHQDQZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rmk)
  .value("VPUNPCKHQDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rmkz)
  .value("VPUNPCKHQDQZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rr)
  .value("VPUNPCKHQDQZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rrk)
  .value("VPUNPCKHQDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ128rrkz)
  .value("VPUNPCKHQDQZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rm)
  .value("VPUNPCKHQDQZ256rmb", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rmb)
  .value("VPUNPCKHQDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rmbk)
  .value("VPUNPCKHQDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rmbkz)
  .value("VPUNPCKHQDQZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rmk)
  .value("VPUNPCKHQDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rmkz)
  .value("VPUNPCKHQDQZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rr)
  .value("VPUNPCKHQDQZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rrk)
  .value("VPUNPCKHQDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZ256rrkz)
  .value("VPUNPCKHQDQZrm", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrm)
  .value("VPUNPCKHQDQZrmb", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrmb)
  .value("VPUNPCKHQDQZrmbk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrmbk)
  .value("VPUNPCKHQDQZrmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrmbkz)
  .value("VPUNPCKHQDQZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrmk)
  .value("VPUNPCKHQDQZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrmkz)
  .value("VPUNPCKHQDQZrr", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrr)
  .value("VPUNPCKHQDQZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrrk)
  .value("VPUNPCKHQDQZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQZrrkz)
  .value("VPUNPCKHQDQrm", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQrm)
  .value("VPUNPCKHQDQrr", LIEF::assembly::x86::OPCODE::VPUNPCKHQDQrr)
  .value("VPUNPCKHWDYrm", LIEF::assembly::x86::OPCODE::VPUNPCKHWDYrm)
  .value("VPUNPCKHWDYrr", LIEF::assembly::x86::OPCODE::VPUNPCKHWDYrr)
  .value("VPUNPCKHWDZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ128rm)
  .value("VPUNPCKHWDZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ128rmk)
  .value("VPUNPCKHWDZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ128rmkz)
  .value("VPUNPCKHWDZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ128rr)
  .value("VPUNPCKHWDZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ128rrk)
  .value("VPUNPCKHWDZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ128rrkz)
  .value("VPUNPCKHWDZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ256rm)
  .value("VPUNPCKHWDZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ256rmk)
  .value("VPUNPCKHWDZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ256rmkz)
  .value("VPUNPCKHWDZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ256rr)
  .value("VPUNPCKHWDZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ256rrk)
  .value("VPUNPCKHWDZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZ256rrkz)
  .value("VPUNPCKHWDZrm", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZrm)
  .value("VPUNPCKHWDZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZrmk)
  .value("VPUNPCKHWDZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZrmkz)
  .value("VPUNPCKHWDZrr", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZrr)
  .value("VPUNPCKHWDZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZrrk)
  .value("VPUNPCKHWDZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKHWDZrrkz)
  .value("VPUNPCKHWDrm", LIEF::assembly::x86::OPCODE::VPUNPCKHWDrm)
  .value("VPUNPCKHWDrr", LIEF::assembly::x86::OPCODE::VPUNPCKHWDrr)
  .value("VPUNPCKLBWYrm", LIEF::assembly::x86::OPCODE::VPUNPCKLBWYrm)
  .value("VPUNPCKLBWYrr", LIEF::assembly::x86::OPCODE::VPUNPCKLBWYrr);
  opcodes.value("VPUNPCKLBWZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ128rm)
  .value("VPUNPCKLBWZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ128rmk)
  .value("VPUNPCKLBWZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ128rmkz)
  .value("VPUNPCKLBWZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ128rr)
  .value("VPUNPCKLBWZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ128rrk)
  .value("VPUNPCKLBWZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ128rrkz)
  .value("VPUNPCKLBWZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ256rm)
  .value("VPUNPCKLBWZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ256rmk)
  .value("VPUNPCKLBWZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ256rmkz)
  .value("VPUNPCKLBWZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ256rr)
  .value("VPUNPCKLBWZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ256rrk)
  .value("VPUNPCKLBWZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZ256rrkz)
  .value("VPUNPCKLBWZrm", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZrm)
  .value("VPUNPCKLBWZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZrmk)
  .value("VPUNPCKLBWZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZrmkz)
  .value("VPUNPCKLBWZrr", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZrr)
  .value("VPUNPCKLBWZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZrrk)
  .value("VPUNPCKLBWZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLBWZrrkz)
  .value("VPUNPCKLBWrm", LIEF::assembly::x86::OPCODE::VPUNPCKLBWrm)
  .value("VPUNPCKLBWrr", LIEF::assembly::x86::OPCODE::VPUNPCKLBWrr)
  .value("VPUNPCKLDQYrm", LIEF::assembly::x86::OPCODE::VPUNPCKLDQYrm)
  .value("VPUNPCKLDQYrr", LIEF::assembly::x86::OPCODE::VPUNPCKLDQYrr)
  .value("VPUNPCKLDQZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rm)
  .value("VPUNPCKLDQZ128rmb", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rmb)
  .value("VPUNPCKLDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rmbk)
  .value("VPUNPCKLDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rmbkz)
  .value("VPUNPCKLDQZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rmk)
  .value("VPUNPCKLDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rmkz)
  .value("VPUNPCKLDQZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rr)
  .value("VPUNPCKLDQZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rrk)
  .value("VPUNPCKLDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ128rrkz)
  .value("VPUNPCKLDQZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rm)
  .value("VPUNPCKLDQZ256rmb", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rmb)
  .value("VPUNPCKLDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rmbk)
  .value("VPUNPCKLDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rmbkz)
  .value("VPUNPCKLDQZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rmk)
  .value("VPUNPCKLDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rmkz)
  .value("VPUNPCKLDQZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rr)
  .value("VPUNPCKLDQZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rrk)
  .value("VPUNPCKLDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZ256rrkz)
  .value("VPUNPCKLDQZrm", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrm)
  .value("VPUNPCKLDQZrmb", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrmb)
  .value("VPUNPCKLDQZrmbk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrmbk)
  .value("VPUNPCKLDQZrmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrmbkz)
  .value("VPUNPCKLDQZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrmk)
  .value("VPUNPCKLDQZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrmkz)
  .value("VPUNPCKLDQZrr", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrr)
  .value("VPUNPCKLDQZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrrk)
  .value("VPUNPCKLDQZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLDQZrrkz)
  .value("VPUNPCKLDQrm", LIEF::assembly::x86::OPCODE::VPUNPCKLDQrm)
  .value("VPUNPCKLDQrr", LIEF::assembly::x86::OPCODE::VPUNPCKLDQrr)
  .value("VPUNPCKLQDQYrm", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQYrm)
  .value("VPUNPCKLQDQYrr", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQYrr)
  .value("VPUNPCKLQDQZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rm)
  .value("VPUNPCKLQDQZ128rmb", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rmb)
  .value("VPUNPCKLQDQZ128rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rmbk)
  .value("VPUNPCKLQDQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rmbkz)
  .value("VPUNPCKLQDQZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rmk)
  .value("VPUNPCKLQDQZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rmkz)
  .value("VPUNPCKLQDQZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rr)
  .value("VPUNPCKLQDQZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rrk)
  .value("VPUNPCKLQDQZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ128rrkz)
  .value("VPUNPCKLQDQZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rm)
  .value("VPUNPCKLQDQZ256rmb", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rmb)
  .value("VPUNPCKLQDQZ256rmbk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rmbk)
  .value("VPUNPCKLQDQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rmbkz)
  .value("VPUNPCKLQDQZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rmk)
  .value("VPUNPCKLQDQZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rmkz)
  .value("VPUNPCKLQDQZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rr)
  .value("VPUNPCKLQDQZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rrk)
  .value("VPUNPCKLQDQZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZ256rrkz)
  .value("VPUNPCKLQDQZrm", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrm)
  .value("VPUNPCKLQDQZrmb", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrmb)
  .value("VPUNPCKLQDQZrmbk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrmbk)
  .value("VPUNPCKLQDQZrmbkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrmbkz)
  .value("VPUNPCKLQDQZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrmk)
  .value("VPUNPCKLQDQZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrmkz)
  .value("VPUNPCKLQDQZrr", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrr)
  .value("VPUNPCKLQDQZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrrk)
  .value("VPUNPCKLQDQZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQZrrkz)
  .value("VPUNPCKLQDQrm", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQrm)
  .value("VPUNPCKLQDQrr", LIEF::assembly::x86::OPCODE::VPUNPCKLQDQrr)
  .value("VPUNPCKLWDYrm", LIEF::assembly::x86::OPCODE::VPUNPCKLWDYrm)
  .value("VPUNPCKLWDYrr", LIEF::assembly::x86::OPCODE::VPUNPCKLWDYrr)
  .value("VPUNPCKLWDZ128rm", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ128rm)
  .value("VPUNPCKLWDZ128rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ128rmk)
  .value("VPUNPCKLWDZ128rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ128rmkz)
  .value("VPUNPCKLWDZ128rr", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ128rr)
  .value("VPUNPCKLWDZ128rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ128rrk)
  .value("VPUNPCKLWDZ128rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ128rrkz)
  .value("VPUNPCKLWDZ256rm", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ256rm)
  .value("VPUNPCKLWDZ256rmk", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ256rmk)
  .value("VPUNPCKLWDZ256rmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ256rmkz)
  .value("VPUNPCKLWDZ256rr", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ256rr)
  .value("VPUNPCKLWDZ256rrk", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ256rrk)
  .value("VPUNPCKLWDZ256rrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZ256rrkz)
  .value("VPUNPCKLWDZrm", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZrm)
  .value("VPUNPCKLWDZrmk", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZrmk)
  .value("VPUNPCKLWDZrmkz", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZrmkz)
  .value("VPUNPCKLWDZrr", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZrr)
  .value("VPUNPCKLWDZrrk", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZrrk)
  .value("VPUNPCKLWDZrrkz", LIEF::assembly::x86::OPCODE::VPUNPCKLWDZrrkz)
  .value("VPUNPCKLWDrm", LIEF::assembly::x86::OPCODE::VPUNPCKLWDrm)
  .value("VPUNPCKLWDrr", LIEF::assembly::x86::OPCODE::VPUNPCKLWDrr)
  .value("VPXORDZ128rm", LIEF::assembly::x86::OPCODE::VPXORDZ128rm)
  .value("VPXORDZ128rmb", LIEF::assembly::x86::OPCODE::VPXORDZ128rmb)
  .value("VPXORDZ128rmbk", LIEF::assembly::x86::OPCODE::VPXORDZ128rmbk)
  .value("VPXORDZ128rmbkz", LIEF::assembly::x86::OPCODE::VPXORDZ128rmbkz)
  .value("VPXORDZ128rmk", LIEF::assembly::x86::OPCODE::VPXORDZ128rmk)
  .value("VPXORDZ128rmkz", LIEF::assembly::x86::OPCODE::VPXORDZ128rmkz)
  .value("VPXORDZ128rr", LIEF::assembly::x86::OPCODE::VPXORDZ128rr)
  .value("VPXORDZ128rrk", LIEF::assembly::x86::OPCODE::VPXORDZ128rrk)
  .value("VPXORDZ128rrkz", LIEF::assembly::x86::OPCODE::VPXORDZ128rrkz)
  .value("VPXORDZ256rm", LIEF::assembly::x86::OPCODE::VPXORDZ256rm)
  .value("VPXORDZ256rmb", LIEF::assembly::x86::OPCODE::VPXORDZ256rmb)
  .value("VPXORDZ256rmbk", LIEF::assembly::x86::OPCODE::VPXORDZ256rmbk)
  .value("VPXORDZ256rmbkz", LIEF::assembly::x86::OPCODE::VPXORDZ256rmbkz)
  .value("VPXORDZ256rmk", LIEF::assembly::x86::OPCODE::VPXORDZ256rmk)
  .value("VPXORDZ256rmkz", LIEF::assembly::x86::OPCODE::VPXORDZ256rmkz)
  .value("VPXORDZ256rr", LIEF::assembly::x86::OPCODE::VPXORDZ256rr)
  .value("VPXORDZ256rrk", LIEF::assembly::x86::OPCODE::VPXORDZ256rrk)
  .value("VPXORDZ256rrkz", LIEF::assembly::x86::OPCODE::VPXORDZ256rrkz)
  .value("VPXORDZrm", LIEF::assembly::x86::OPCODE::VPXORDZrm)
  .value("VPXORDZrmb", LIEF::assembly::x86::OPCODE::VPXORDZrmb)
  .value("VPXORDZrmbk", LIEF::assembly::x86::OPCODE::VPXORDZrmbk)
  .value("VPXORDZrmbkz", LIEF::assembly::x86::OPCODE::VPXORDZrmbkz)
  .value("VPXORDZrmk", LIEF::assembly::x86::OPCODE::VPXORDZrmk)
  .value("VPXORDZrmkz", LIEF::assembly::x86::OPCODE::VPXORDZrmkz)
  .value("VPXORDZrr", LIEF::assembly::x86::OPCODE::VPXORDZrr)
  .value("VPXORDZrrk", LIEF::assembly::x86::OPCODE::VPXORDZrrk)
  .value("VPXORDZrrkz", LIEF::assembly::x86::OPCODE::VPXORDZrrkz)
  .value("VPXORQZ128rm", LIEF::assembly::x86::OPCODE::VPXORQZ128rm)
  .value("VPXORQZ128rmb", LIEF::assembly::x86::OPCODE::VPXORQZ128rmb)
  .value("VPXORQZ128rmbk", LIEF::assembly::x86::OPCODE::VPXORQZ128rmbk)
  .value("VPXORQZ128rmbkz", LIEF::assembly::x86::OPCODE::VPXORQZ128rmbkz)
  .value("VPXORQZ128rmk", LIEF::assembly::x86::OPCODE::VPXORQZ128rmk)
  .value("VPXORQZ128rmkz", LIEF::assembly::x86::OPCODE::VPXORQZ128rmkz)
  .value("VPXORQZ128rr", LIEF::assembly::x86::OPCODE::VPXORQZ128rr)
  .value("VPXORQZ128rrk", LIEF::assembly::x86::OPCODE::VPXORQZ128rrk)
  .value("VPXORQZ128rrkz", LIEF::assembly::x86::OPCODE::VPXORQZ128rrkz)
  .value("VPXORQZ256rm", LIEF::assembly::x86::OPCODE::VPXORQZ256rm)
  .value("VPXORQZ256rmb", LIEF::assembly::x86::OPCODE::VPXORQZ256rmb)
  .value("VPXORQZ256rmbk", LIEF::assembly::x86::OPCODE::VPXORQZ256rmbk)
  .value("VPXORQZ256rmbkz", LIEF::assembly::x86::OPCODE::VPXORQZ256rmbkz)
  .value("VPXORQZ256rmk", LIEF::assembly::x86::OPCODE::VPXORQZ256rmk)
  .value("VPXORQZ256rmkz", LIEF::assembly::x86::OPCODE::VPXORQZ256rmkz)
  .value("VPXORQZ256rr", LIEF::assembly::x86::OPCODE::VPXORQZ256rr)
  .value("VPXORQZ256rrk", LIEF::assembly::x86::OPCODE::VPXORQZ256rrk)
  .value("VPXORQZ256rrkz", LIEF::assembly::x86::OPCODE::VPXORQZ256rrkz)
  .value("VPXORQZrm", LIEF::assembly::x86::OPCODE::VPXORQZrm)
  .value("VPXORQZrmb", LIEF::assembly::x86::OPCODE::VPXORQZrmb)
  .value("VPXORQZrmbk", LIEF::assembly::x86::OPCODE::VPXORQZrmbk)
  .value("VPXORQZrmbkz", LIEF::assembly::x86::OPCODE::VPXORQZrmbkz)
  .value("VPXORQZrmk", LIEF::assembly::x86::OPCODE::VPXORQZrmk)
  .value("VPXORQZrmkz", LIEF::assembly::x86::OPCODE::VPXORQZrmkz)
  .value("VPXORQZrr", LIEF::assembly::x86::OPCODE::VPXORQZrr)
  .value("VPXORQZrrk", LIEF::assembly::x86::OPCODE::VPXORQZrrk)
  .value("VPXORQZrrkz", LIEF::assembly::x86::OPCODE::VPXORQZrrkz)
  .value("VPXORYrm", LIEF::assembly::x86::OPCODE::VPXORYrm)
  .value("VPXORYrr", LIEF::assembly::x86::OPCODE::VPXORYrr)
  .value("VPXORrm", LIEF::assembly::x86::OPCODE::VPXORrm)
  .value("VPXORrr", LIEF::assembly::x86::OPCODE::VPXORrr)
  .value("VRANGEPDZ128rmbi", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rmbi)
  .value("VRANGEPDZ128rmbik", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rmbik)
  .value("VRANGEPDZ128rmbikz", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rmbikz)
  .value("VRANGEPDZ128rmi", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rmi)
  .value("VRANGEPDZ128rmik", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rmik)
  .value("VRANGEPDZ128rmikz", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rmikz)
  .value("VRANGEPDZ128rri", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rri)
  .value("VRANGEPDZ128rrik", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rrik)
  .value("VRANGEPDZ128rrikz", LIEF::assembly::x86::OPCODE::VRANGEPDZ128rrikz)
  .value("VRANGEPDZ256rmbi", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rmbi)
  .value("VRANGEPDZ256rmbik", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rmbik)
  .value("VRANGEPDZ256rmbikz", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rmbikz)
  .value("VRANGEPDZ256rmi", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rmi)
  .value("VRANGEPDZ256rmik", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rmik)
  .value("VRANGEPDZ256rmikz", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rmikz)
  .value("VRANGEPDZ256rri", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rri)
  .value("VRANGEPDZ256rrik", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rrik)
  .value("VRANGEPDZ256rrikz", LIEF::assembly::x86::OPCODE::VRANGEPDZ256rrikz)
  .value("VRANGEPDZrmbi", LIEF::assembly::x86::OPCODE::VRANGEPDZrmbi)
  .value("VRANGEPDZrmbik", LIEF::assembly::x86::OPCODE::VRANGEPDZrmbik)
  .value("VRANGEPDZrmbikz", LIEF::assembly::x86::OPCODE::VRANGEPDZrmbikz)
  .value("VRANGEPDZrmi", LIEF::assembly::x86::OPCODE::VRANGEPDZrmi)
  .value("VRANGEPDZrmik", LIEF::assembly::x86::OPCODE::VRANGEPDZrmik)
  .value("VRANGEPDZrmikz", LIEF::assembly::x86::OPCODE::VRANGEPDZrmikz)
  .value("VRANGEPDZrri", LIEF::assembly::x86::OPCODE::VRANGEPDZrri)
  .value("VRANGEPDZrrib", LIEF::assembly::x86::OPCODE::VRANGEPDZrrib)
  .value("VRANGEPDZrribk", LIEF::assembly::x86::OPCODE::VRANGEPDZrribk)
  .value("VRANGEPDZrribkz", LIEF::assembly::x86::OPCODE::VRANGEPDZrribkz)
  .value("VRANGEPDZrrik", LIEF::assembly::x86::OPCODE::VRANGEPDZrrik)
  .value("VRANGEPDZrrikz", LIEF::assembly::x86::OPCODE::VRANGEPDZrrikz)
  .value("VRANGEPSZ128rmbi", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rmbi)
  .value("VRANGEPSZ128rmbik", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rmbik)
  .value("VRANGEPSZ128rmbikz", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rmbikz)
  .value("VRANGEPSZ128rmi", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rmi)
  .value("VRANGEPSZ128rmik", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rmik)
  .value("VRANGEPSZ128rmikz", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rmikz)
  .value("VRANGEPSZ128rri", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rri)
  .value("VRANGEPSZ128rrik", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rrik)
  .value("VRANGEPSZ128rrikz", LIEF::assembly::x86::OPCODE::VRANGEPSZ128rrikz)
  .value("VRANGEPSZ256rmbi", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rmbi)
  .value("VRANGEPSZ256rmbik", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rmbik)
  .value("VRANGEPSZ256rmbikz", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rmbikz)
  .value("VRANGEPSZ256rmi", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rmi)
  .value("VRANGEPSZ256rmik", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rmik)
  .value("VRANGEPSZ256rmikz", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rmikz)
  .value("VRANGEPSZ256rri", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rri)
  .value("VRANGEPSZ256rrik", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rrik)
  .value("VRANGEPSZ256rrikz", LIEF::assembly::x86::OPCODE::VRANGEPSZ256rrikz)
  .value("VRANGEPSZrmbi", LIEF::assembly::x86::OPCODE::VRANGEPSZrmbi)
  .value("VRANGEPSZrmbik", LIEF::assembly::x86::OPCODE::VRANGEPSZrmbik)
  .value("VRANGEPSZrmbikz", LIEF::assembly::x86::OPCODE::VRANGEPSZrmbikz)
  .value("VRANGEPSZrmi", LIEF::assembly::x86::OPCODE::VRANGEPSZrmi)
  .value("VRANGEPSZrmik", LIEF::assembly::x86::OPCODE::VRANGEPSZrmik)
  .value("VRANGEPSZrmikz", LIEF::assembly::x86::OPCODE::VRANGEPSZrmikz)
  .value("VRANGEPSZrri", LIEF::assembly::x86::OPCODE::VRANGEPSZrri)
  .value("VRANGEPSZrrib", LIEF::assembly::x86::OPCODE::VRANGEPSZrrib)
  .value("VRANGEPSZrribk", LIEF::assembly::x86::OPCODE::VRANGEPSZrribk)
  .value("VRANGEPSZrribkz", LIEF::assembly::x86::OPCODE::VRANGEPSZrribkz)
  .value("VRANGEPSZrrik", LIEF::assembly::x86::OPCODE::VRANGEPSZrrik)
  .value("VRANGEPSZrrikz", LIEF::assembly::x86::OPCODE::VRANGEPSZrrikz)
  .value("VRANGESDZrmi", LIEF::assembly::x86::OPCODE::VRANGESDZrmi)
  .value("VRANGESDZrmik", LIEF::assembly::x86::OPCODE::VRANGESDZrmik)
  .value("VRANGESDZrmikz", LIEF::assembly::x86::OPCODE::VRANGESDZrmikz)
  .value("VRANGESDZrri", LIEF::assembly::x86::OPCODE::VRANGESDZrri)
  .value("VRANGESDZrrib", LIEF::assembly::x86::OPCODE::VRANGESDZrrib)
  .value("VRANGESDZrribk", LIEF::assembly::x86::OPCODE::VRANGESDZrribk)
  .value("VRANGESDZrribkz", LIEF::assembly::x86::OPCODE::VRANGESDZrribkz)
  .value("VRANGESDZrrik", LIEF::assembly::x86::OPCODE::VRANGESDZrrik)
  .value("VRANGESDZrrikz", LIEF::assembly::x86::OPCODE::VRANGESDZrrikz)
  .value("VRANGESSZrmi", LIEF::assembly::x86::OPCODE::VRANGESSZrmi)
  .value("VRANGESSZrmik", LIEF::assembly::x86::OPCODE::VRANGESSZrmik)
  .value("VRANGESSZrmikz", LIEF::assembly::x86::OPCODE::VRANGESSZrmikz)
  .value("VRANGESSZrri", LIEF::assembly::x86::OPCODE::VRANGESSZrri)
  .value("VRANGESSZrrib", LIEF::assembly::x86::OPCODE::VRANGESSZrrib)
  .value("VRANGESSZrribk", LIEF::assembly::x86::OPCODE::VRANGESSZrribk)
  .value("VRANGESSZrribkz", LIEF::assembly::x86::OPCODE::VRANGESSZrribkz)
  .value("VRANGESSZrrik", LIEF::assembly::x86::OPCODE::VRANGESSZrrik)
  .value("VRANGESSZrrikz", LIEF::assembly::x86::OPCODE::VRANGESSZrrikz)
  .value("VRCP14PDZ128m", LIEF::assembly::x86::OPCODE::VRCP14PDZ128m)
  .value("VRCP14PDZ128mb", LIEF::assembly::x86::OPCODE::VRCP14PDZ128mb)
  .value("VRCP14PDZ128mbk", LIEF::assembly::x86::OPCODE::VRCP14PDZ128mbk)
  .value("VRCP14PDZ128mbkz", LIEF::assembly::x86::OPCODE::VRCP14PDZ128mbkz)
  .value("VRCP14PDZ128mk", LIEF::assembly::x86::OPCODE::VRCP14PDZ128mk)
  .value("VRCP14PDZ128mkz", LIEF::assembly::x86::OPCODE::VRCP14PDZ128mkz)
  .value("VRCP14PDZ128r", LIEF::assembly::x86::OPCODE::VRCP14PDZ128r)
  .value("VRCP14PDZ128rk", LIEF::assembly::x86::OPCODE::VRCP14PDZ128rk)
  .value("VRCP14PDZ128rkz", LIEF::assembly::x86::OPCODE::VRCP14PDZ128rkz)
  .value("VRCP14PDZ256m", LIEF::assembly::x86::OPCODE::VRCP14PDZ256m)
  .value("VRCP14PDZ256mb", LIEF::assembly::x86::OPCODE::VRCP14PDZ256mb)
  .value("VRCP14PDZ256mbk", LIEF::assembly::x86::OPCODE::VRCP14PDZ256mbk)
  .value("VRCP14PDZ256mbkz", LIEF::assembly::x86::OPCODE::VRCP14PDZ256mbkz)
  .value("VRCP14PDZ256mk", LIEF::assembly::x86::OPCODE::VRCP14PDZ256mk)
  .value("VRCP14PDZ256mkz", LIEF::assembly::x86::OPCODE::VRCP14PDZ256mkz)
  .value("VRCP14PDZ256r", LIEF::assembly::x86::OPCODE::VRCP14PDZ256r)
  .value("VRCP14PDZ256rk", LIEF::assembly::x86::OPCODE::VRCP14PDZ256rk)
  .value("VRCP14PDZ256rkz", LIEF::assembly::x86::OPCODE::VRCP14PDZ256rkz)
  .value("VRCP14PDZm", LIEF::assembly::x86::OPCODE::VRCP14PDZm)
  .value("VRCP14PDZmb", LIEF::assembly::x86::OPCODE::VRCP14PDZmb)
  .value("VRCP14PDZmbk", LIEF::assembly::x86::OPCODE::VRCP14PDZmbk)
  .value("VRCP14PDZmbkz", LIEF::assembly::x86::OPCODE::VRCP14PDZmbkz)
  .value("VRCP14PDZmk", LIEF::assembly::x86::OPCODE::VRCP14PDZmk)
  .value("VRCP14PDZmkz", LIEF::assembly::x86::OPCODE::VRCP14PDZmkz)
  .value("VRCP14PDZr", LIEF::assembly::x86::OPCODE::VRCP14PDZr)
  .value("VRCP14PDZrk", LIEF::assembly::x86::OPCODE::VRCP14PDZrk)
  .value("VRCP14PDZrkz", LIEF::assembly::x86::OPCODE::VRCP14PDZrkz)
  .value("VRCP14PSZ128m", LIEF::assembly::x86::OPCODE::VRCP14PSZ128m)
  .value("VRCP14PSZ128mb", LIEF::assembly::x86::OPCODE::VRCP14PSZ128mb)
  .value("VRCP14PSZ128mbk", LIEF::assembly::x86::OPCODE::VRCP14PSZ128mbk)
  .value("VRCP14PSZ128mbkz", LIEF::assembly::x86::OPCODE::VRCP14PSZ128mbkz)
  .value("VRCP14PSZ128mk", LIEF::assembly::x86::OPCODE::VRCP14PSZ128mk)
  .value("VRCP14PSZ128mkz", LIEF::assembly::x86::OPCODE::VRCP14PSZ128mkz)
  .value("VRCP14PSZ128r", LIEF::assembly::x86::OPCODE::VRCP14PSZ128r)
  .value("VRCP14PSZ128rk", LIEF::assembly::x86::OPCODE::VRCP14PSZ128rk)
  .value("VRCP14PSZ128rkz", LIEF::assembly::x86::OPCODE::VRCP14PSZ128rkz)
  .value("VRCP14PSZ256m", LIEF::assembly::x86::OPCODE::VRCP14PSZ256m)
  .value("VRCP14PSZ256mb", LIEF::assembly::x86::OPCODE::VRCP14PSZ256mb)
  .value("VRCP14PSZ256mbk", LIEF::assembly::x86::OPCODE::VRCP14PSZ256mbk)
  .value("VRCP14PSZ256mbkz", LIEF::assembly::x86::OPCODE::VRCP14PSZ256mbkz)
  .value("VRCP14PSZ256mk", LIEF::assembly::x86::OPCODE::VRCP14PSZ256mk)
  .value("VRCP14PSZ256mkz", LIEF::assembly::x86::OPCODE::VRCP14PSZ256mkz)
  .value("VRCP14PSZ256r", LIEF::assembly::x86::OPCODE::VRCP14PSZ256r)
  .value("VRCP14PSZ256rk", LIEF::assembly::x86::OPCODE::VRCP14PSZ256rk)
  .value("VRCP14PSZ256rkz", LIEF::assembly::x86::OPCODE::VRCP14PSZ256rkz)
  .value("VRCP14PSZm", LIEF::assembly::x86::OPCODE::VRCP14PSZm)
  .value("VRCP14PSZmb", LIEF::assembly::x86::OPCODE::VRCP14PSZmb)
  .value("VRCP14PSZmbk", LIEF::assembly::x86::OPCODE::VRCP14PSZmbk)
  .value("VRCP14PSZmbkz", LIEF::assembly::x86::OPCODE::VRCP14PSZmbkz)
  .value("VRCP14PSZmk", LIEF::assembly::x86::OPCODE::VRCP14PSZmk)
  .value("VRCP14PSZmkz", LIEF::assembly::x86::OPCODE::VRCP14PSZmkz)
  .value("VRCP14PSZr", LIEF::assembly::x86::OPCODE::VRCP14PSZr)
  .value("VRCP14PSZrk", LIEF::assembly::x86::OPCODE::VRCP14PSZrk)
  .value("VRCP14PSZrkz", LIEF::assembly::x86::OPCODE::VRCP14PSZrkz)
  .value("VRCP14SDZrm", LIEF::assembly::x86::OPCODE::VRCP14SDZrm)
  .value("VRCP14SDZrmk", LIEF::assembly::x86::OPCODE::VRCP14SDZrmk)
  .value("VRCP14SDZrmkz", LIEF::assembly::x86::OPCODE::VRCP14SDZrmkz)
  .value("VRCP14SDZrr", LIEF::assembly::x86::OPCODE::VRCP14SDZrr)
  .value("VRCP14SDZrrk", LIEF::assembly::x86::OPCODE::VRCP14SDZrrk)
  .value("VRCP14SDZrrkz", LIEF::assembly::x86::OPCODE::VRCP14SDZrrkz);
  opcodes.value("VRCP14SSZrm", LIEF::assembly::x86::OPCODE::VRCP14SSZrm)
  .value("VRCP14SSZrmk", LIEF::assembly::x86::OPCODE::VRCP14SSZrmk)
  .value("VRCP14SSZrmkz", LIEF::assembly::x86::OPCODE::VRCP14SSZrmkz)
  .value("VRCP14SSZrr", LIEF::assembly::x86::OPCODE::VRCP14SSZrr)
  .value("VRCP14SSZrrk", LIEF::assembly::x86::OPCODE::VRCP14SSZrrk)
  .value("VRCP14SSZrrkz", LIEF::assembly::x86::OPCODE::VRCP14SSZrrkz)
  .value("VRCP28PDZm", LIEF::assembly::x86::OPCODE::VRCP28PDZm)
  .value("VRCP28PDZmb", LIEF::assembly::x86::OPCODE::VRCP28PDZmb)
  .value("VRCP28PDZmbk", LIEF::assembly::x86::OPCODE::VRCP28PDZmbk)
  .value("VRCP28PDZmbkz", LIEF::assembly::x86::OPCODE::VRCP28PDZmbkz)
  .value("VRCP28PDZmk", LIEF::assembly::x86::OPCODE::VRCP28PDZmk)
  .value("VRCP28PDZmkz", LIEF::assembly::x86::OPCODE::VRCP28PDZmkz)
  .value("VRCP28PDZr", LIEF::assembly::x86::OPCODE::VRCP28PDZr)
  .value("VRCP28PDZrb", LIEF::assembly::x86::OPCODE::VRCP28PDZrb)
  .value("VRCP28PDZrbk", LIEF::assembly::x86::OPCODE::VRCP28PDZrbk)
  .value("VRCP28PDZrbkz", LIEF::assembly::x86::OPCODE::VRCP28PDZrbkz)
  .value("VRCP28PDZrk", LIEF::assembly::x86::OPCODE::VRCP28PDZrk)
  .value("VRCP28PDZrkz", LIEF::assembly::x86::OPCODE::VRCP28PDZrkz)
  .value("VRCP28PSZm", LIEF::assembly::x86::OPCODE::VRCP28PSZm)
  .value("VRCP28PSZmb", LIEF::assembly::x86::OPCODE::VRCP28PSZmb)
  .value("VRCP28PSZmbk", LIEF::assembly::x86::OPCODE::VRCP28PSZmbk)
  .value("VRCP28PSZmbkz", LIEF::assembly::x86::OPCODE::VRCP28PSZmbkz)
  .value("VRCP28PSZmk", LIEF::assembly::x86::OPCODE::VRCP28PSZmk)
  .value("VRCP28PSZmkz", LIEF::assembly::x86::OPCODE::VRCP28PSZmkz)
  .value("VRCP28PSZr", LIEF::assembly::x86::OPCODE::VRCP28PSZr)
  .value("VRCP28PSZrb", LIEF::assembly::x86::OPCODE::VRCP28PSZrb)
  .value("VRCP28PSZrbk", LIEF::assembly::x86::OPCODE::VRCP28PSZrbk)
  .value("VRCP28PSZrbkz", LIEF::assembly::x86::OPCODE::VRCP28PSZrbkz)
  .value("VRCP28PSZrk", LIEF::assembly::x86::OPCODE::VRCP28PSZrk)
  .value("VRCP28PSZrkz", LIEF::assembly::x86::OPCODE::VRCP28PSZrkz)
  .value("VRCP28SDZm", LIEF::assembly::x86::OPCODE::VRCP28SDZm)
  .value("VRCP28SDZmk", LIEF::assembly::x86::OPCODE::VRCP28SDZmk)
  .value("VRCP28SDZmkz", LIEF::assembly::x86::OPCODE::VRCP28SDZmkz)
  .value("VRCP28SDZr", LIEF::assembly::x86::OPCODE::VRCP28SDZr)
  .value("VRCP28SDZrb", LIEF::assembly::x86::OPCODE::VRCP28SDZrb)
  .value("VRCP28SDZrbk", LIEF::assembly::x86::OPCODE::VRCP28SDZrbk)
  .value("VRCP28SDZrbkz", LIEF::assembly::x86::OPCODE::VRCP28SDZrbkz)
  .value("VRCP28SDZrk", LIEF::assembly::x86::OPCODE::VRCP28SDZrk)
  .value("VRCP28SDZrkz", LIEF::assembly::x86::OPCODE::VRCP28SDZrkz)
  .value("VRCP28SSZm", LIEF::assembly::x86::OPCODE::VRCP28SSZm)
  .value("VRCP28SSZmk", LIEF::assembly::x86::OPCODE::VRCP28SSZmk)
  .value("VRCP28SSZmkz", LIEF::assembly::x86::OPCODE::VRCP28SSZmkz)
  .value("VRCP28SSZr", LIEF::assembly::x86::OPCODE::VRCP28SSZr)
  .value("VRCP28SSZrb", LIEF::assembly::x86::OPCODE::VRCP28SSZrb)
  .value("VRCP28SSZrbk", LIEF::assembly::x86::OPCODE::VRCP28SSZrbk)
  .value("VRCP28SSZrbkz", LIEF::assembly::x86::OPCODE::VRCP28SSZrbkz)
  .value("VRCP28SSZrk", LIEF::assembly::x86::OPCODE::VRCP28SSZrk)
  .value("VRCP28SSZrkz", LIEF::assembly::x86::OPCODE::VRCP28SSZrkz)
  .value("VRCPPHZ128m", LIEF::assembly::x86::OPCODE::VRCPPHZ128m)
  .value("VRCPPHZ128mb", LIEF::assembly::x86::OPCODE::VRCPPHZ128mb)
  .value("VRCPPHZ128mbk", LIEF::assembly::x86::OPCODE::VRCPPHZ128mbk)
  .value("VRCPPHZ128mbkz", LIEF::assembly::x86::OPCODE::VRCPPHZ128mbkz)
  .value("VRCPPHZ128mk", LIEF::assembly::x86::OPCODE::VRCPPHZ128mk)
  .value("VRCPPHZ128mkz", LIEF::assembly::x86::OPCODE::VRCPPHZ128mkz)
  .value("VRCPPHZ128r", LIEF::assembly::x86::OPCODE::VRCPPHZ128r)
  .value("VRCPPHZ128rk", LIEF::assembly::x86::OPCODE::VRCPPHZ128rk)
  .value("VRCPPHZ128rkz", LIEF::assembly::x86::OPCODE::VRCPPHZ128rkz)
  .value("VRCPPHZ256m", LIEF::assembly::x86::OPCODE::VRCPPHZ256m)
  .value("VRCPPHZ256mb", LIEF::assembly::x86::OPCODE::VRCPPHZ256mb)
  .value("VRCPPHZ256mbk", LIEF::assembly::x86::OPCODE::VRCPPHZ256mbk)
  .value("VRCPPHZ256mbkz", LIEF::assembly::x86::OPCODE::VRCPPHZ256mbkz)
  .value("VRCPPHZ256mk", LIEF::assembly::x86::OPCODE::VRCPPHZ256mk)
  .value("VRCPPHZ256mkz", LIEF::assembly::x86::OPCODE::VRCPPHZ256mkz)
  .value("VRCPPHZ256r", LIEF::assembly::x86::OPCODE::VRCPPHZ256r)
  .value("VRCPPHZ256rk", LIEF::assembly::x86::OPCODE::VRCPPHZ256rk)
  .value("VRCPPHZ256rkz", LIEF::assembly::x86::OPCODE::VRCPPHZ256rkz)
  .value("VRCPPHZm", LIEF::assembly::x86::OPCODE::VRCPPHZm)
  .value("VRCPPHZmb", LIEF::assembly::x86::OPCODE::VRCPPHZmb)
  .value("VRCPPHZmbk", LIEF::assembly::x86::OPCODE::VRCPPHZmbk)
  .value("VRCPPHZmbkz", LIEF::assembly::x86::OPCODE::VRCPPHZmbkz)
  .value("VRCPPHZmk", LIEF::assembly::x86::OPCODE::VRCPPHZmk)
  .value("VRCPPHZmkz", LIEF::assembly::x86::OPCODE::VRCPPHZmkz)
  .value("VRCPPHZr", LIEF::assembly::x86::OPCODE::VRCPPHZr)
  .value("VRCPPHZrk", LIEF::assembly::x86::OPCODE::VRCPPHZrk)
  .value("VRCPPHZrkz", LIEF::assembly::x86::OPCODE::VRCPPHZrkz)
  .value("VRCPPSYm", LIEF::assembly::x86::OPCODE::VRCPPSYm)
  .value("VRCPPSYr", LIEF::assembly::x86::OPCODE::VRCPPSYr)
  .value("VRCPPSm", LIEF::assembly::x86::OPCODE::VRCPPSm)
  .value("VRCPPSr", LIEF::assembly::x86::OPCODE::VRCPPSr)
  .value("VRCPSHZrm", LIEF::assembly::x86::OPCODE::VRCPSHZrm)
  .value("VRCPSHZrmk", LIEF::assembly::x86::OPCODE::VRCPSHZrmk)
  .value("VRCPSHZrmkz", LIEF::assembly::x86::OPCODE::VRCPSHZrmkz)
  .value("VRCPSHZrr", LIEF::assembly::x86::OPCODE::VRCPSHZrr)
  .value("VRCPSHZrrk", LIEF::assembly::x86::OPCODE::VRCPSHZrrk)
  .value("VRCPSHZrrkz", LIEF::assembly::x86::OPCODE::VRCPSHZrrkz)
  .value("VRCPSSm", LIEF::assembly::x86::OPCODE::VRCPSSm)
  .value("VRCPSSm_Int", LIEF::assembly::x86::OPCODE::VRCPSSm_Int)
  .value("VRCPSSr", LIEF::assembly::x86::OPCODE::VRCPSSr)
  .value("VRCPSSr_Int", LIEF::assembly::x86::OPCODE::VRCPSSr_Int)
  .value("VREDUCEPDZ128rmbi", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rmbi)
  .value("VREDUCEPDZ128rmbik", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rmbik)
  .value("VREDUCEPDZ128rmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rmbikz)
  .value("VREDUCEPDZ128rmi", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rmi)
  .value("VREDUCEPDZ128rmik", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rmik)
  .value("VREDUCEPDZ128rmikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rmikz)
  .value("VREDUCEPDZ128rri", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rri)
  .value("VREDUCEPDZ128rrik", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rrik)
  .value("VREDUCEPDZ128rrikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZ128rrikz)
  .value("VREDUCEPDZ256rmbi", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rmbi)
  .value("VREDUCEPDZ256rmbik", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rmbik)
  .value("VREDUCEPDZ256rmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rmbikz)
  .value("VREDUCEPDZ256rmi", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rmi)
  .value("VREDUCEPDZ256rmik", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rmik)
  .value("VREDUCEPDZ256rmikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rmikz)
  .value("VREDUCEPDZ256rri", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rri)
  .value("VREDUCEPDZ256rrik", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rrik)
  .value("VREDUCEPDZ256rrikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZ256rrikz)
  .value("VREDUCEPDZrmbi", LIEF::assembly::x86::OPCODE::VREDUCEPDZrmbi)
  .value("VREDUCEPDZrmbik", LIEF::assembly::x86::OPCODE::VREDUCEPDZrmbik)
  .value("VREDUCEPDZrmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZrmbikz)
  .value("VREDUCEPDZrmi", LIEF::assembly::x86::OPCODE::VREDUCEPDZrmi)
  .value("VREDUCEPDZrmik", LIEF::assembly::x86::OPCODE::VREDUCEPDZrmik)
  .value("VREDUCEPDZrmikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZrmikz)
  .value("VREDUCEPDZrri", LIEF::assembly::x86::OPCODE::VREDUCEPDZrri)
  .value("VREDUCEPDZrrib", LIEF::assembly::x86::OPCODE::VREDUCEPDZrrib)
  .value("VREDUCEPDZrribk", LIEF::assembly::x86::OPCODE::VREDUCEPDZrribk)
  .value("VREDUCEPDZrribkz", LIEF::assembly::x86::OPCODE::VREDUCEPDZrribkz)
  .value("VREDUCEPDZrrik", LIEF::assembly::x86::OPCODE::VREDUCEPDZrrik)
  .value("VREDUCEPDZrrikz", LIEF::assembly::x86::OPCODE::VREDUCEPDZrrikz)
  .value("VREDUCEPHZ128rmbi", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rmbi)
  .value("VREDUCEPHZ128rmbik", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rmbik)
  .value("VREDUCEPHZ128rmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rmbikz)
  .value("VREDUCEPHZ128rmi", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rmi)
  .value("VREDUCEPHZ128rmik", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rmik)
  .value("VREDUCEPHZ128rmikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rmikz)
  .value("VREDUCEPHZ128rri", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rri)
  .value("VREDUCEPHZ128rrik", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rrik)
  .value("VREDUCEPHZ128rrikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZ128rrikz)
  .value("VREDUCEPHZ256rmbi", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rmbi)
  .value("VREDUCEPHZ256rmbik", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rmbik)
  .value("VREDUCEPHZ256rmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rmbikz)
  .value("VREDUCEPHZ256rmi", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rmi)
  .value("VREDUCEPHZ256rmik", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rmik)
  .value("VREDUCEPHZ256rmikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rmikz)
  .value("VREDUCEPHZ256rri", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rri)
  .value("VREDUCEPHZ256rrik", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rrik)
  .value("VREDUCEPHZ256rrikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZ256rrikz)
  .value("VREDUCEPHZrmbi", LIEF::assembly::x86::OPCODE::VREDUCEPHZrmbi)
  .value("VREDUCEPHZrmbik", LIEF::assembly::x86::OPCODE::VREDUCEPHZrmbik)
  .value("VREDUCEPHZrmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZrmbikz)
  .value("VREDUCEPHZrmi", LIEF::assembly::x86::OPCODE::VREDUCEPHZrmi)
  .value("VREDUCEPHZrmik", LIEF::assembly::x86::OPCODE::VREDUCEPHZrmik)
  .value("VREDUCEPHZrmikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZrmikz)
  .value("VREDUCEPHZrri", LIEF::assembly::x86::OPCODE::VREDUCEPHZrri)
  .value("VREDUCEPHZrrib", LIEF::assembly::x86::OPCODE::VREDUCEPHZrrib)
  .value("VREDUCEPHZrribk", LIEF::assembly::x86::OPCODE::VREDUCEPHZrribk)
  .value("VREDUCEPHZrribkz", LIEF::assembly::x86::OPCODE::VREDUCEPHZrribkz)
  .value("VREDUCEPHZrrik", LIEF::assembly::x86::OPCODE::VREDUCEPHZrrik)
  .value("VREDUCEPHZrrikz", LIEF::assembly::x86::OPCODE::VREDUCEPHZrrikz)
  .value("VREDUCEPSZ128rmbi", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rmbi)
  .value("VREDUCEPSZ128rmbik", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rmbik)
  .value("VREDUCEPSZ128rmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rmbikz)
  .value("VREDUCEPSZ128rmi", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rmi)
  .value("VREDUCEPSZ128rmik", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rmik)
  .value("VREDUCEPSZ128rmikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rmikz)
  .value("VREDUCEPSZ128rri", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rri)
  .value("VREDUCEPSZ128rrik", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rrik)
  .value("VREDUCEPSZ128rrikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZ128rrikz)
  .value("VREDUCEPSZ256rmbi", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rmbi)
  .value("VREDUCEPSZ256rmbik", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rmbik)
  .value("VREDUCEPSZ256rmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rmbikz)
  .value("VREDUCEPSZ256rmi", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rmi)
  .value("VREDUCEPSZ256rmik", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rmik)
  .value("VREDUCEPSZ256rmikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rmikz)
  .value("VREDUCEPSZ256rri", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rri)
  .value("VREDUCEPSZ256rrik", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rrik)
  .value("VREDUCEPSZ256rrikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZ256rrikz)
  .value("VREDUCEPSZrmbi", LIEF::assembly::x86::OPCODE::VREDUCEPSZrmbi)
  .value("VREDUCEPSZrmbik", LIEF::assembly::x86::OPCODE::VREDUCEPSZrmbik)
  .value("VREDUCEPSZrmbikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZrmbikz)
  .value("VREDUCEPSZrmi", LIEF::assembly::x86::OPCODE::VREDUCEPSZrmi)
  .value("VREDUCEPSZrmik", LIEF::assembly::x86::OPCODE::VREDUCEPSZrmik)
  .value("VREDUCEPSZrmikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZrmikz)
  .value("VREDUCEPSZrri", LIEF::assembly::x86::OPCODE::VREDUCEPSZrri)
  .value("VREDUCEPSZrrib", LIEF::assembly::x86::OPCODE::VREDUCEPSZrrib)
  .value("VREDUCEPSZrribk", LIEF::assembly::x86::OPCODE::VREDUCEPSZrribk)
  .value("VREDUCEPSZrribkz", LIEF::assembly::x86::OPCODE::VREDUCEPSZrribkz)
  .value("VREDUCEPSZrrik", LIEF::assembly::x86::OPCODE::VREDUCEPSZrrik)
  .value("VREDUCEPSZrrikz", LIEF::assembly::x86::OPCODE::VREDUCEPSZrrikz)
  .value("VREDUCESDZrmi", LIEF::assembly::x86::OPCODE::VREDUCESDZrmi)
  .value("VREDUCESDZrmik", LIEF::assembly::x86::OPCODE::VREDUCESDZrmik)
  .value("VREDUCESDZrmikz", LIEF::assembly::x86::OPCODE::VREDUCESDZrmikz)
  .value("VREDUCESDZrri", LIEF::assembly::x86::OPCODE::VREDUCESDZrri)
  .value("VREDUCESDZrrib", LIEF::assembly::x86::OPCODE::VREDUCESDZrrib)
  .value("VREDUCESDZrribk", LIEF::assembly::x86::OPCODE::VREDUCESDZrribk)
  .value("VREDUCESDZrribkz", LIEF::assembly::x86::OPCODE::VREDUCESDZrribkz)
  .value("VREDUCESDZrrik", LIEF::assembly::x86::OPCODE::VREDUCESDZrrik)
  .value("VREDUCESDZrrikz", LIEF::assembly::x86::OPCODE::VREDUCESDZrrikz)
  .value("VREDUCESHZrmi", LIEF::assembly::x86::OPCODE::VREDUCESHZrmi)
  .value("VREDUCESHZrmik", LIEF::assembly::x86::OPCODE::VREDUCESHZrmik)
  .value("VREDUCESHZrmikz", LIEF::assembly::x86::OPCODE::VREDUCESHZrmikz)
  .value("VREDUCESHZrri", LIEF::assembly::x86::OPCODE::VREDUCESHZrri)
  .value("VREDUCESHZrrib", LIEF::assembly::x86::OPCODE::VREDUCESHZrrib)
  .value("VREDUCESHZrribk", LIEF::assembly::x86::OPCODE::VREDUCESHZrribk)
  .value("VREDUCESHZrribkz", LIEF::assembly::x86::OPCODE::VREDUCESHZrribkz)
  .value("VREDUCESHZrrik", LIEF::assembly::x86::OPCODE::VREDUCESHZrrik)
  .value("VREDUCESHZrrikz", LIEF::assembly::x86::OPCODE::VREDUCESHZrrikz)
  .value("VREDUCESSZrmi", LIEF::assembly::x86::OPCODE::VREDUCESSZrmi)
  .value("VREDUCESSZrmik", LIEF::assembly::x86::OPCODE::VREDUCESSZrmik)
  .value("VREDUCESSZrmikz", LIEF::assembly::x86::OPCODE::VREDUCESSZrmikz)
  .value("VREDUCESSZrri", LIEF::assembly::x86::OPCODE::VREDUCESSZrri)
  .value("VREDUCESSZrrib", LIEF::assembly::x86::OPCODE::VREDUCESSZrrib)
  .value("VREDUCESSZrribk", LIEF::assembly::x86::OPCODE::VREDUCESSZrribk)
  .value("VREDUCESSZrribkz", LIEF::assembly::x86::OPCODE::VREDUCESSZrribkz)
  .value("VREDUCESSZrrik", LIEF::assembly::x86::OPCODE::VREDUCESSZrrik)
  .value("VREDUCESSZrrikz", LIEF::assembly::x86::OPCODE::VREDUCESSZrrikz)
  .value("VRNDSCALEPDZ128rmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rmbi)
  .value("VRNDSCALEPDZ128rmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rmbik)
  .value("VRNDSCALEPDZ128rmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rmbikz)
  .value("VRNDSCALEPDZ128rmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rmi)
  .value("VRNDSCALEPDZ128rmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rmik)
  .value("VRNDSCALEPDZ128rmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rmikz)
  .value("VRNDSCALEPDZ128rri", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rri)
  .value("VRNDSCALEPDZ128rrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rrik)
  .value("VRNDSCALEPDZ128rrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ128rrikz)
  .value("VRNDSCALEPDZ256rmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rmbi)
  .value("VRNDSCALEPDZ256rmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rmbik)
  .value("VRNDSCALEPDZ256rmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rmbikz)
  .value("VRNDSCALEPDZ256rmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rmi)
  .value("VRNDSCALEPDZ256rmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rmik)
  .value("VRNDSCALEPDZ256rmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rmikz)
  .value("VRNDSCALEPDZ256rri", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rri)
  .value("VRNDSCALEPDZ256rrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rrik)
  .value("VRNDSCALEPDZ256rrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZ256rrikz)
  .value("VRNDSCALEPDZrmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrmbi)
  .value("VRNDSCALEPDZrmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrmbik)
  .value("VRNDSCALEPDZrmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrmbikz)
  .value("VRNDSCALEPDZrmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrmi)
  .value("VRNDSCALEPDZrmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrmik)
  .value("VRNDSCALEPDZrmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrmikz)
  .value("VRNDSCALEPDZrri", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrri)
  .value("VRNDSCALEPDZrrib", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrrib)
  .value("VRNDSCALEPDZrribk", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrribk)
  .value("VRNDSCALEPDZrribkz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrribkz)
  .value("VRNDSCALEPDZrrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrrik)
  .value("VRNDSCALEPDZrrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPDZrrikz)
  .value("VRNDSCALEPHZ128rmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rmbi)
  .value("VRNDSCALEPHZ128rmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rmbik)
  .value("VRNDSCALEPHZ128rmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rmbikz)
  .value("VRNDSCALEPHZ128rmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rmi)
  .value("VRNDSCALEPHZ128rmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rmik)
  .value("VRNDSCALEPHZ128rmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rmikz)
  .value("VRNDSCALEPHZ128rri", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rri)
  .value("VRNDSCALEPHZ128rrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rrik)
  .value("VRNDSCALEPHZ128rrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ128rrikz)
  .value("VRNDSCALEPHZ256rmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rmbi)
  .value("VRNDSCALEPHZ256rmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rmbik)
  .value("VRNDSCALEPHZ256rmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rmbikz)
  .value("VRNDSCALEPHZ256rmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rmi)
  .value("VRNDSCALEPHZ256rmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rmik)
  .value("VRNDSCALEPHZ256rmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rmikz)
  .value("VRNDSCALEPHZ256rri", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rri)
  .value("VRNDSCALEPHZ256rrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rrik)
  .value("VRNDSCALEPHZ256rrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZ256rrikz)
  .value("VRNDSCALEPHZrmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrmbi)
  .value("VRNDSCALEPHZrmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrmbik)
  .value("VRNDSCALEPHZrmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrmbikz)
  .value("VRNDSCALEPHZrmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrmi)
  .value("VRNDSCALEPHZrmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrmik)
  .value("VRNDSCALEPHZrmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrmikz)
  .value("VRNDSCALEPHZrri", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrri)
  .value("VRNDSCALEPHZrrib", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrrib)
  .value("VRNDSCALEPHZrribk", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrribk)
  .value("VRNDSCALEPHZrribkz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrribkz)
  .value("VRNDSCALEPHZrrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrrik)
  .value("VRNDSCALEPHZrrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPHZrrikz)
  .value("VRNDSCALEPSZ128rmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rmbi)
  .value("VRNDSCALEPSZ128rmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rmbik)
  .value("VRNDSCALEPSZ128rmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rmbikz)
  .value("VRNDSCALEPSZ128rmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rmi)
  .value("VRNDSCALEPSZ128rmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rmik)
  .value("VRNDSCALEPSZ128rmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rmikz)
  .value("VRNDSCALEPSZ128rri", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rri)
  .value("VRNDSCALEPSZ128rrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rrik)
  .value("VRNDSCALEPSZ128rrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ128rrikz)
  .value("VRNDSCALEPSZ256rmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rmbi)
  .value("VRNDSCALEPSZ256rmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rmbik)
  .value("VRNDSCALEPSZ256rmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rmbikz)
  .value("VRNDSCALEPSZ256rmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rmi)
  .value("VRNDSCALEPSZ256rmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rmik)
  .value("VRNDSCALEPSZ256rmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rmikz)
  .value("VRNDSCALEPSZ256rri", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rri)
  .value("VRNDSCALEPSZ256rrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rrik)
  .value("VRNDSCALEPSZ256rrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZ256rrikz)
  .value("VRNDSCALEPSZrmbi", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrmbi)
  .value("VRNDSCALEPSZrmbik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrmbik)
  .value("VRNDSCALEPSZrmbikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrmbikz)
  .value("VRNDSCALEPSZrmi", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrmi)
  .value("VRNDSCALEPSZrmik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrmik)
  .value("VRNDSCALEPSZrmikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrmikz)
  .value("VRNDSCALEPSZrri", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrri)
  .value("VRNDSCALEPSZrrib", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrrib)
  .value("VRNDSCALEPSZrribk", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrribk)
  .value("VRNDSCALEPSZrribkz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrribkz)
  .value("VRNDSCALEPSZrrik", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrrik)
  .value("VRNDSCALEPSZrrikz", LIEF::assembly::x86::OPCODE::VRNDSCALEPSZrrikz)
  .value("VRNDSCALESDZm", LIEF::assembly::x86::OPCODE::VRNDSCALESDZm)
  .value("VRNDSCALESDZm_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESDZm_Int)
  .value("VRNDSCALESDZm_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESDZm_Intk)
  .value("VRNDSCALESDZm_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESDZm_Intkz);
  opcodes.value("VRNDSCALESDZr", LIEF::assembly::x86::OPCODE::VRNDSCALESDZr)
  .value("VRNDSCALESDZr_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESDZr_Int)
  .value("VRNDSCALESDZr_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESDZr_Intk)
  .value("VRNDSCALESDZr_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESDZr_Intkz)
  .value("VRNDSCALESDZrb_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESDZrb_Int)
  .value("VRNDSCALESDZrb_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESDZrb_Intk)
  .value("VRNDSCALESDZrb_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESDZrb_Intkz)
  .value("VRNDSCALESHZm", LIEF::assembly::x86::OPCODE::VRNDSCALESHZm)
  .value("VRNDSCALESHZm_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESHZm_Int)
  .value("VRNDSCALESHZm_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESHZm_Intk)
  .value("VRNDSCALESHZm_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESHZm_Intkz)
  .value("VRNDSCALESHZr", LIEF::assembly::x86::OPCODE::VRNDSCALESHZr)
  .value("VRNDSCALESHZr_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESHZr_Int)
  .value("VRNDSCALESHZr_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESHZr_Intk)
  .value("VRNDSCALESHZr_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESHZr_Intkz)
  .value("VRNDSCALESHZrb_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESHZrb_Int)
  .value("VRNDSCALESHZrb_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESHZrb_Intk)
  .value("VRNDSCALESHZrb_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESHZrb_Intkz)
  .value("VRNDSCALESSZm", LIEF::assembly::x86::OPCODE::VRNDSCALESSZm)
  .value("VRNDSCALESSZm_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESSZm_Int)
  .value("VRNDSCALESSZm_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESSZm_Intk)
  .value("VRNDSCALESSZm_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESSZm_Intkz)
  .value("VRNDSCALESSZr", LIEF::assembly::x86::OPCODE::VRNDSCALESSZr)
  .value("VRNDSCALESSZr_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESSZr_Int)
  .value("VRNDSCALESSZr_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESSZr_Intk)
  .value("VRNDSCALESSZr_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESSZr_Intkz)
  .value("VRNDSCALESSZrb_Int", LIEF::assembly::x86::OPCODE::VRNDSCALESSZrb_Int)
  .value("VRNDSCALESSZrb_Intk", LIEF::assembly::x86::OPCODE::VRNDSCALESSZrb_Intk)
  .value("VRNDSCALESSZrb_Intkz", LIEF::assembly::x86::OPCODE::VRNDSCALESSZrb_Intkz)
  .value("VROUNDPDYmi", LIEF::assembly::x86::OPCODE::VROUNDPDYmi)
  .value("VROUNDPDYri", LIEF::assembly::x86::OPCODE::VROUNDPDYri)
  .value("VROUNDPDmi", LIEF::assembly::x86::OPCODE::VROUNDPDmi)
  .value("VROUNDPDri", LIEF::assembly::x86::OPCODE::VROUNDPDri)
  .value("VROUNDPSYmi", LIEF::assembly::x86::OPCODE::VROUNDPSYmi)
  .value("VROUNDPSYri", LIEF::assembly::x86::OPCODE::VROUNDPSYri)
  .value("VROUNDPSmi", LIEF::assembly::x86::OPCODE::VROUNDPSmi)
  .value("VROUNDPSri", LIEF::assembly::x86::OPCODE::VROUNDPSri)
  .value("VROUNDSDmi", LIEF::assembly::x86::OPCODE::VROUNDSDmi)
  .value("VROUNDSDmi_Int", LIEF::assembly::x86::OPCODE::VROUNDSDmi_Int)
  .value("VROUNDSDri", LIEF::assembly::x86::OPCODE::VROUNDSDri)
  .value("VROUNDSDri_Int", LIEF::assembly::x86::OPCODE::VROUNDSDri_Int)
  .value("VROUNDSSmi", LIEF::assembly::x86::OPCODE::VROUNDSSmi)
  .value("VROUNDSSmi_Int", LIEF::assembly::x86::OPCODE::VROUNDSSmi_Int)
  .value("VROUNDSSri", LIEF::assembly::x86::OPCODE::VROUNDSSri)
  .value("VROUNDSSri_Int", LIEF::assembly::x86::OPCODE::VROUNDSSri_Int)
  .value("VRSQRT14PDZ128m", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128m)
  .value("VRSQRT14PDZ128mb", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128mb)
  .value("VRSQRT14PDZ128mbk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128mbk)
  .value("VRSQRT14PDZ128mbkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128mbkz)
  .value("VRSQRT14PDZ128mk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128mk)
  .value("VRSQRT14PDZ128mkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128mkz)
  .value("VRSQRT14PDZ128r", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128r)
  .value("VRSQRT14PDZ128rk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128rk)
  .value("VRSQRT14PDZ128rkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ128rkz)
  .value("VRSQRT14PDZ256m", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256m)
  .value("VRSQRT14PDZ256mb", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256mb)
  .value("VRSQRT14PDZ256mbk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256mbk)
  .value("VRSQRT14PDZ256mbkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256mbkz)
  .value("VRSQRT14PDZ256mk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256mk)
  .value("VRSQRT14PDZ256mkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256mkz)
  .value("VRSQRT14PDZ256r", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256r)
  .value("VRSQRT14PDZ256rk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256rk)
  .value("VRSQRT14PDZ256rkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZ256rkz)
  .value("VRSQRT14PDZm", LIEF::assembly::x86::OPCODE::VRSQRT14PDZm)
  .value("VRSQRT14PDZmb", LIEF::assembly::x86::OPCODE::VRSQRT14PDZmb)
  .value("VRSQRT14PDZmbk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZmbk)
  .value("VRSQRT14PDZmbkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZmbkz)
  .value("VRSQRT14PDZmk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZmk)
  .value("VRSQRT14PDZmkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZmkz)
  .value("VRSQRT14PDZr", LIEF::assembly::x86::OPCODE::VRSQRT14PDZr)
  .value("VRSQRT14PDZrk", LIEF::assembly::x86::OPCODE::VRSQRT14PDZrk)
  .value("VRSQRT14PDZrkz", LIEF::assembly::x86::OPCODE::VRSQRT14PDZrkz)
  .value("VRSQRT14PSZ128m", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128m)
  .value("VRSQRT14PSZ128mb", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128mb)
  .value("VRSQRT14PSZ128mbk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128mbk)
  .value("VRSQRT14PSZ128mbkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128mbkz)
  .value("VRSQRT14PSZ128mk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128mk)
  .value("VRSQRT14PSZ128mkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128mkz)
  .value("VRSQRT14PSZ128r", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128r)
  .value("VRSQRT14PSZ128rk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128rk)
  .value("VRSQRT14PSZ128rkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ128rkz)
  .value("VRSQRT14PSZ256m", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256m)
  .value("VRSQRT14PSZ256mb", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256mb)
  .value("VRSQRT14PSZ256mbk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256mbk)
  .value("VRSQRT14PSZ256mbkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256mbkz)
  .value("VRSQRT14PSZ256mk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256mk)
  .value("VRSQRT14PSZ256mkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256mkz)
  .value("VRSQRT14PSZ256r", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256r)
  .value("VRSQRT14PSZ256rk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256rk)
  .value("VRSQRT14PSZ256rkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZ256rkz)
  .value("VRSQRT14PSZm", LIEF::assembly::x86::OPCODE::VRSQRT14PSZm)
  .value("VRSQRT14PSZmb", LIEF::assembly::x86::OPCODE::VRSQRT14PSZmb)
  .value("VRSQRT14PSZmbk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZmbk)
  .value("VRSQRT14PSZmbkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZmbkz)
  .value("VRSQRT14PSZmk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZmk)
  .value("VRSQRT14PSZmkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZmkz)
  .value("VRSQRT14PSZr", LIEF::assembly::x86::OPCODE::VRSQRT14PSZr)
  .value("VRSQRT14PSZrk", LIEF::assembly::x86::OPCODE::VRSQRT14PSZrk)
  .value("VRSQRT14PSZrkz", LIEF::assembly::x86::OPCODE::VRSQRT14PSZrkz)
  .value("VRSQRT14SDZrm", LIEF::assembly::x86::OPCODE::VRSQRT14SDZrm)
  .value("VRSQRT14SDZrmk", LIEF::assembly::x86::OPCODE::VRSQRT14SDZrmk)
  .value("VRSQRT14SDZrmkz", LIEF::assembly::x86::OPCODE::VRSQRT14SDZrmkz)
  .value("VRSQRT14SDZrr", LIEF::assembly::x86::OPCODE::VRSQRT14SDZrr)
  .value("VRSQRT14SDZrrk", LIEF::assembly::x86::OPCODE::VRSQRT14SDZrrk)
  .value("VRSQRT14SDZrrkz", LIEF::assembly::x86::OPCODE::VRSQRT14SDZrrkz)
  .value("VRSQRT14SSZrm", LIEF::assembly::x86::OPCODE::VRSQRT14SSZrm)
  .value("VRSQRT14SSZrmk", LIEF::assembly::x86::OPCODE::VRSQRT14SSZrmk)
  .value("VRSQRT14SSZrmkz", LIEF::assembly::x86::OPCODE::VRSQRT14SSZrmkz)
  .value("VRSQRT14SSZrr", LIEF::assembly::x86::OPCODE::VRSQRT14SSZrr)
  .value("VRSQRT14SSZrrk", LIEF::assembly::x86::OPCODE::VRSQRT14SSZrrk)
  .value("VRSQRT14SSZrrkz", LIEF::assembly::x86::OPCODE::VRSQRT14SSZrrkz)
  .value("VRSQRT28PDZm", LIEF::assembly::x86::OPCODE::VRSQRT28PDZm)
  .value("VRSQRT28PDZmb", LIEF::assembly::x86::OPCODE::VRSQRT28PDZmb)
  .value("VRSQRT28PDZmbk", LIEF::assembly::x86::OPCODE::VRSQRT28PDZmbk)
  .value("VRSQRT28PDZmbkz", LIEF::assembly::x86::OPCODE::VRSQRT28PDZmbkz)
  .value("VRSQRT28PDZmk", LIEF::assembly::x86::OPCODE::VRSQRT28PDZmk)
  .value("VRSQRT28PDZmkz", LIEF::assembly::x86::OPCODE::VRSQRT28PDZmkz)
  .value("VRSQRT28PDZr", LIEF::assembly::x86::OPCODE::VRSQRT28PDZr)
  .value("VRSQRT28PDZrb", LIEF::assembly::x86::OPCODE::VRSQRT28PDZrb)
  .value("VRSQRT28PDZrbk", LIEF::assembly::x86::OPCODE::VRSQRT28PDZrbk)
  .value("VRSQRT28PDZrbkz", LIEF::assembly::x86::OPCODE::VRSQRT28PDZrbkz)
  .value("VRSQRT28PDZrk", LIEF::assembly::x86::OPCODE::VRSQRT28PDZrk)
  .value("VRSQRT28PDZrkz", LIEF::assembly::x86::OPCODE::VRSQRT28PDZrkz)
  .value("VRSQRT28PSZm", LIEF::assembly::x86::OPCODE::VRSQRT28PSZm)
  .value("VRSQRT28PSZmb", LIEF::assembly::x86::OPCODE::VRSQRT28PSZmb)
  .value("VRSQRT28PSZmbk", LIEF::assembly::x86::OPCODE::VRSQRT28PSZmbk)
  .value("VRSQRT28PSZmbkz", LIEF::assembly::x86::OPCODE::VRSQRT28PSZmbkz)
  .value("VRSQRT28PSZmk", LIEF::assembly::x86::OPCODE::VRSQRT28PSZmk)
  .value("VRSQRT28PSZmkz", LIEF::assembly::x86::OPCODE::VRSQRT28PSZmkz)
  .value("VRSQRT28PSZr", LIEF::assembly::x86::OPCODE::VRSQRT28PSZr)
  .value("VRSQRT28PSZrb", LIEF::assembly::x86::OPCODE::VRSQRT28PSZrb)
  .value("VRSQRT28PSZrbk", LIEF::assembly::x86::OPCODE::VRSQRT28PSZrbk)
  .value("VRSQRT28PSZrbkz", LIEF::assembly::x86::OPCODE::VRSQRT28PSZrbkz)
  .value("VRSQRT28PSZrk", LIEF::assembly::x86::OPCODE::VRSQRT28PSZrk)
  .value("VRSQRT28PSZrkz", LIEF::assembly::x86::OPCODE::VRSQRT28PSZrkz)
  .value("VRSQRT28SDZm", LIEF::assembly::x86::OPCODE::VRSQRT28SDZm)
  .value("VRSQRT28SDZmk", LIEF::assembly::x86::OPCODE::VRSQRT28SDZmk)
  .value("VRSQRT28SDZmkz", LIEF::assembly::x86::OPCODE::VRSQRT28SDZmkz)
  .value("VRSQRT28SDZr", LIEF::assembly::x86::OPCODE::VRSQRT28SDZr)
  .value("VRSQRT28SDZrb", LIEF::assembly::x86::OPCODE::VRSQRT28SDZrb)
  .value("VRSQRT28SDZrbk", LIEF::assembly::x86::OPCODE::VRSQRT28SDZrbk)
  .value("VRSQRT28SDZrbkz", LIEF::assembly::x86::OPCODE::VRSQRT28SDZrbkz)
  .value("VRSQRT28SDZrk", LIEF::assembly::x86::OPCODE::VRSQRT28SDZrk)
  .value("VRSQRT28SDZrkz", LIEF::assembly::x86::OPCODE::VRSQRT28SDZrkz)
  .value("VRSQRT28SSZm", LIEF::assembly::x86::OPCODE::VRSQRT28SSZm)
  .value("VRSQRT28SSZmk", LIEF::assembly::x86::OPCODE::VRSQRT28SSZmk)
  .value("VRSQRT28SSZmkz", LIEF::assembly::x86::OPCODE::VRSQRT28SSZmkz)
  .value("VRSQRT28SSZr", LIEF::assembly::x86::OPCODE::VRSQRT28SSZr)
  .value("VRSQRT28SSZrb", LIEF::assembly::x86::OPCODE::VRSQRT28SSZrb)
  .value("VRSQRT28SSZrbk", LIEF::assembly::x86::OPCODE::VRSQRT28SSZrbk)
  .value("VRSQRT28SSZrbkz", LIEF::assembly::x86::OPCODE::VRSQRT28SSZrbkz)
  .value("VRSQRT28SSZrk", LIEF::assembly::x86::OPCODE::VRSQRT28SSZrk)
  .value("VRSQRT28SSZrkz", LIEF::assembly::x86::OPCODE::VRSQRT28SSZrkz)
  .value("VRSQRTPHZ128m", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128m)
  .value("VRSQRTPHZ128mb", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128mb)
  .value("VRSQRTPHZ128mbk", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128mbk)
  .value("VRSQRTPHZ128mbkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128mbkz)
  .value("VRSQRTPHZ128mk", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128mk)
  .value("VRSQRTPHZ128mkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128mkz)
  .value("VRSQRTPHZ128r", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128r)
  .value("VRSQRTPHZ128rk", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128rk)
  .value("VRSQRTPHZ128rkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZ128rkz)
  .value("VRSQRTPHZ256m", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256m)
  .value("VRSQRTPHZ256mb", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256mb)
  .value("VRSQRTPHZ256mbk", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256mbk)
  .value("VRSQRTPHZ256mbkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256mbkz)
  .value("VRSQRTPHZ256mk", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256mk)
  .value("VRSQRTPHZ256mkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256mkz)
  .value("VRSQRTPHZ256r", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256r)
  .value("VRSQRTPHZ256rk", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256rk)
  .value("VRSQRTPHZ256rkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZ256rkz)
  .value("VRSQRTPHZm", LIEF::assembly::x86::OPCODE::VRSQRTPHZm)
  .value("VRSQRTPHZmb", LIEF::assembly::x86::OPCODE::VRSQRTPHZmb)
  .value("VRSQRTPHZmbk", LIEF::assembly::x86::OPCODE::VRSQRTPHZmbk)
  .value("VRSQRTPHZmbkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZmbkz)
  .value("VRSQRTPHZmk", LIEF::assembly::x86::OPCODE::VRSQRTPHZmk)
  .value("VRSQRTPHZmkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZmkz)
  .value("VRSQRTPHZr", LIEF::assembly::x86::OPCODE::VRSQRTPHZr)
  .value("VRSQRTPHZrk", LIEF::assembly::x86::OPCODE::VRSQRTPHZrk)
  .value("VRSQRTPHZrkz", LIEF::assembly::x86::OPCODE::VRSQRTPHZrkz)
  .value("VRSQRTPSYm", LIEF::assembly::x86::OPCODE::VRSQRTPSYm)
  .value("VRSQRTPSYr", LIEF::assembly::x86::OPCODE::VRSQRTPSYr)
  .value("VRSQRTPSm", LIEF::assembly::x86::OPCODE::VRSQRTPSm)
  .value("VRSQRTPSr", LIEF::assembly::x86::OPCODE::VRSQRTPSr)
  .value("VRSQRTSHZrm", LIEF::assembly::x86::OPCODE::VRSQRTSHZrm)
  .value("VRSQRTSHZrmk", LIEF::assembly::x86::OPCODE::VRSQRTSHZrmk)
  .value("VRSQRTSHZrmkz", LIEF::assembly::x86::OPCODE::VRSQRTSHZrmkz)
  .value("VRSQRTSHZrr", LIEF::assembly::x86::OPCODE::VRSQRTSHZrr)
  .value("VRSQRTSHZrrk", LIEF::assembly::x86::OPCODE::VRSQRTSHZrrk)
  .value("VRSQRTSHZrrkz", LIEF::assembly::x86::OPCODE::VRSQRTSHZrrkz)
  .value("VRSQRTSSm", LIEF::assembly::x86::OPCODE::VRSQRTSSm)
  .value("VRSQRTSSm_Int", LIEF::assembly::x86::OPCODE::VRSQRTSSm_Int)
  .value("VRSQRTSSr", LIEF::assembly::x86::OPCODE::VRSQRTSSr)
  .value("VRSQRTSSr_Int", LIEF::assembly::x86::OPCODE::VRSQRTSSr_Int)
  .value("VSCALEFPDZ128rm", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rm)
  .value("VSCALEFPDZ128rmb", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rmb)
  .value("VSCALEFPDZ128rmbk", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rmbk)
  .value("VSCALEFPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rmbkz)
  .value("VSCALEFPDZ128rmk", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rmk)
  .value("VSCALEFPDZ128rmkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rmkz)
  .value("VSCALEFPDZ128rr", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rr)
  .value("VSCALEFPDZ128rrk", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rrk)
  .value("VSCALEFPDZ128rrkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZ128rrkz)
  .value("VSCALEFPDZ256rm", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rm)
  .value("VSCALEFPDZ256rmb", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rmb)
  .value("VSCALEFPDZ256rmbk", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rmbk)
  .value("VSCALEFPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rmbkz)
  .value("VSCALEFPDZ256rmk", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rmk)
  .value("VSCALEFPDZ256rmkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rmkz)
  .value("VSCALEFPDZ256rr", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rr)
  .value("VSCALEFPDZ256rrk", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rrk)
  .value("VSCALEFPDZ256rrkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZ256rrkz)
  .value("VSCALEFPDZrm", LIEF::assembly::x86::OPCODE::VSCALEFPDZrm)
  .value("VSCALEFPDZrmb", LIEF::assembly::x86::OPCODE::VSCALEFPDZrmb)
  .value("VSCALEFPDZrmbk", LIEF::assembly::x86::OPCODE::VSCALEFPDZrmbk)
  .value("VSCALEFPDZrmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZrmbkz)
  .value("VSCALEFPDZrmk", LIEF::assembly::x86::OPCODE::VSCALEFPDZrmk)
  .value("VSCALEFPDZrmkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZrmkz)
  .value("VSCALEFPDZrr", LIEF::assembly::x86::OPCODE::VSCALEFPDZrr)
  .value("VSCALEFPDZrrb", LIEF::assembly::x86::OPCODE::VSCALEFPDZrrb)
  .value("VSCALEFPDZrrbk", LIEF::assembly::x86::OPCODE::VSCALEFPDZrrbk)
  .value("VSCALEFPDZrrbkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZrrbkz)
  .value("VSCALEFPDZrrk", LIEF::assembly::x86::OPCODE::VSCALEFPDZrrk)
  .value("VSCALEFPDZrrkz", LIEF::assembly::x86::OPCODE::VSCALEFPDZrrkz)
  .value("VSCALEFPHZ128rm", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rm)
  .value("VSCALEFPHZ128rmb", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rmb)
  .value("VSCALEFPHZ128rmbk", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rmbk)
  .value("VSCALEFPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rmbkz)
  .value("VSCALEFPHZ128rmk", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rmk)
  .value("VSCALEFPHZ128rmkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rmkz)
  .value("VSCALEFPHZ128rr", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rr)
  .value("VSCALEFPHZ128rrk", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rrk)
  .value("VSCALEFPHZ128rrkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZ128rrkz)
  .value("VSCALEFPHZ256rm", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rm)
  .value("VSCALEFPHZ256rmb", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rmb)
  .value("VSCALEFPHZ256rmbk", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rmbk)
  .value("VSCALEFPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rmbkz)
  .value("VSCALEFPHZ256rmk", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rmk)
  .value("VSCALEFPHZ256rmkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rmkz)
  .value("VSCALEFPHZ256rr", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rr)
  .value("VSCALEFPHZ256rrk", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rrk)
  .value("VSCALEFPHZ256rrkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZ256rrkz)
  .value("VSCALEFPHZrm", LIEF::assembly::x86::OPCODE::VSCALEFPHZrm)
  .value("VSCALEFPHZrmb", LIEF::assembly::x86::OPCODE::VSCALEFPHZrmb)
  .value("VSCALEFPHZrmbk", LIEF::assembly::x86::OPCODE::VSCALEFPHZrmbk)
  .value("VSCALEFPHZrmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZrmbkz)
  .value("VSCALEFPHZrmk", LIEF::assembly::x86::OPCODE::VSCALEFPHZrmk)
  .value("VSCALEFPHZrmkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZrmkz)
  .value("VSCALEFPHZrr", LIEF::assembly::x86::OPCODE::VSCALEFPHZrr)
  .value("VSCALEFPHZrrb", LIEF::assembly::x86::OPCODE::VSCALEFPHZrrb)
  .value("VSCALEFPHZrrbk", LIEF::assembly::x86::OPCODE::VSCALEFPHZrrbk)
  .value("VSCALEFPHZrrbkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZrrbkz)
  .value("VSCALEFPHZrrk", LIEF::assembly::x86::OPCODE::VSCALEFPHZrrk)
  .value("VSCALEFPHZrrkz", LIEF::assembly::x86::OPCODE::VSCALEFPHZrrkz)
  .value("VSCALEFPSZ128rm", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rm)
  .value("VSCALEFPSZ128rmb", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rmb)
  .value("VSCALEFPSZ128rmbk", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rmbk)
  .value("VSCALEFPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rmbkz)
  .value("VSCALEFPSZ128rmk", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rmk)
  .value("VSCALEFPSZ128rmkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rmkz)
  .value("VSCALEFPSZ128rr", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rr)
  .value("VSCALEFPSZ128rrk", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rrk)
  .value("VSCALEFPSZ128rrkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZ128rrkz)
  .value("VSCALEFPSZ256rm", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rm)
  .value("VSCALEFPSZ256rmb", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rmb)
  .value("VSCALEFPSZ256rmbk", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rmbk)
  .value("VSCALEFPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rmbkz)
  .value("VSCALEFPSZ256rmk", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rmk)
  .value("VSCALEFPSZ256rmkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rmkz)
  .value("VSCALEFPSZ256rr", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rr)
  .value("VSCALEFPSZ256rrk", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rrk)
  .value("VSCALEFPSZ256rrkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZ256rrkz)
  .value("VSCALEFPSZrm", LIEF::assembly::x86::OPCODE::VSCALEFPSZrm)
  .value("VSCALEFPSZrmb", LIEF::assembly::x86::OPCODE::VSCALEFPSZrmb)
  .value("VSCALEFPSZrmbk", LIEF::assembly::x86::OPCODE::VSCALEFPSZrmbk)
  .value("VSCALEFPSZrmbkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZrmbkz)
  .value("VSCALEFPSZrmk", LIEF::assembly::x86::OPCODE::VSCALEFPSZrmk)
  .value("VSCALEFPSZrmkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZrmkz)
  .value("VSCALEFPSZrr", LIEF::assembly::x86::OPCODE::VSCALEFPSZrr)
  .value("VSCALEFPSZrrb", LIEF::assembly::x86::OPCODE::VSCALEFPSZrrb)
  .value("VSCALEFPSZrrbk", LIEF::assembly::x86::OPCODE::VSCALEFPSZrrbk)
  .value("VSCALEFPSZrrbkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZrrbkz)
  .value("VSCALEFPSZrrk", LIEF::assembly::x86::OPCODE::VSCALEFPSZrrk)
  .value("VSCALEFPSZrrkz", LIEF::assembly::x86::OPCODE::VSCALEFPSZrrkz)
  .value("VSCALEFSDZrm", LIEF::assembly::x86::OPCODE::VSCALEFSDZrm)
  .value("VSCALEFSDZrmk", LIEF::assembly::x86::OPCODE::VSCALEFSDZrmk)
  .value("VSCALEFSDZrmkz", LIEF::assembly::x86::OPCODE::VSCALEFSDZrmkz)
  .value("VSCALEFSDZrr", LIEF::assembly::x86::OPCODE::VSCALEFSDZrr)
  .value("VSCALEFSDZrrb_Int", LIEF::assembly::x86::OPCODE::VSCALEFSDZrrb_Int)
  .value("VSCALEFSDZrrb_Intk", LIEF::assembly::x86::OPCODE::VSCALEFSDZrrb_Intk)
  .value("VSCALEFSDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VSCALEFSDZrrb_Intkz)
  .value("VSCALEFSDZrrk", LIEF::assembly::x86::OPCODE::VSCALEFSDZrrk)
  .value("VSCALEFSDZrrkz", LIEF::assembly::x86::OPCODE::VSCALEFSDZrrkz)
  .value("VSCALEFSHZrm", LIEF::assembly::x86::OPCODE::VSCALEFSHZrm)
  .value("VSCALEFSHZrmk", LIEF::assembly::x86::OPCODE::VSCALEFSHZrmk)
  .value("VSCALEFSHZrmkz", LIEF::assembly::x86::OPCODE::VSCALEFSHZrmkz)
  .value("VSCALEFSHZrr", LIEF::assembly::x86::OPCODE::VSCALEFSHZrr)
  .value("VSCALEFSHZrrb_Int", LIEF::assembly::x86::OPCODE::VSCALEFSHZrrb_Int)
  .value("VSCALEFSHZrrb_Intk", LIEF::assembly::x86::OPCODE::VSCALEFSHZrrb_Intk)
  .value("VSCALEFSHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VSCALEFSHZrrb_Intkz);
  opcodes.value("VSCALEFSHZrrk", LIEF::assembly::x86::OPCODE::VSCALEFSHZrrk)
  .value("VSCALEFSHZrrkz", LIEF::assembly::x86::OPCODE::VSCALEFSHZrrkz)
  .value("VSCALEFSSZrm", LIEF::assembly::x86::OPCODE::VSCALEFSSZrm)
  .value("VSCALEFSSZrmk", LIEF::assembly::x86::OPCODE::VSCALEFSSZrmk)
  .value("VSCALEFSSZrmkz", LIEF::assembly::x86::OPCODE::VSCALEFSSZrmkz)
  .value("VSCALEFSSZrr", LIEF::assembly::x86::OPCODE::VSCALEFSSZrr)
  .value("VSCALEFSSZrrb_Int", LIEF::assembly::x86::OPCODE::VSCALEFSSZrrb_Int)
  .value("VSCALEFSSZrrb_Intk", LIEF::assembly::x86::OPCODE::VSCALEFSSZrrb_Intk)
  .value("VSCALEFSSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VSCALEFSSZrrb_Intkz)
  .value("VSCALEFSSZrrk", LIEF::assembly::x86::OPCODE::VSCALEFSSZrrk)
  .value("VSCALEFSSZrrkz", LIEF::assembly::x86::OPCODE::VSCALEFSSZrrkz)
  .value("VSCATTERDPDZ128mr", LIEF::assembly::x86::OPCODE::VSCATTERDPDZ128mr)
  .value("VSCATTERDPDZ256mr", LIEF::assembly::x86::OPCODE::VSCATTERDPDZ256mr)
  .value("VSCATTERDPDZmr", LIEF::assembly::x86::OPCODE::VSCATTERDPDZmr)
  .value("VSCATTERDPSZ128mr", LIEF::assembly::x86::OPCODE::VSCATTERDPSZ128mr)
  .value("VSCATTERDPSZ256mr", LIEF::assembly::x86::OPCODE::VSCATTERDPSZ256mr)
  .value("VSCATTERDPSZmr", LIEF::assembly::x86::OPCODE::VSCATTERDPSZmr)
  .value("VSCATTERPF0DPDm", LIEF::assembly::x86::OPCODE::VSCATTERPF0DPDm)
  .value("VSCATTERPF0DPSm", LIEF::assembly::x86::OPCODE::VSCATTERPF0DPSm)
  .value("VSCATTERPF0QPDm", LIEF::assembly::x86::OPCODE::VSCATTERPF0QPDm)
  .value("VSCATTERPF0QPSm", LIEF::assembly::x86::OPCODE::VSCATTERPF0QPSm)
  .value("VSCATTERPF1DPDm", LIEF::assembly::x86::OPCODE::VSCATTERPF1DPDm)
  .value("VSCATTERPF1DPSm", LIEF::assembly::x86::OPCODE::VSCATTERPF1DPSm)
  .value("VSCATTERPF1QPDm", LIEF::assembly::x86::OPCODE::VSCATTERPF1QPDm)
  .value("VSCATTERPF1QPSm", LIEF::assembly::x86::OPCODE::VSCATTERPF1QPSm)
  .value("VSCATTERQPDZ128mr", LIEF::assembly::x86::OPCODE::VSCATTERQPDZ128mr)
  .value("VSCATTERQPDZ256mr", LIEF::assembly::x86::OPCODE::VSCATTERQPDZ256mr)
  .value("VSCATTERQPDZmr", LIEF::assembly::x86::OPCODE::VSCATTERQPDZmr)
  .value("VSCATTERQPSZ128mr", LIEF::assembly::x86::OPCODE::VSCATTERQPSZ128mr)
  .value("VSCATTERQPSZ256mr", LIEF::assembly::x86::OPCODE::VSCATTERQPSZ256mr)
  .value("VSCATTERQPSZmr", LIEF::assembly::x86::OPCODE::VSCATTERQPSZmr)
  .value("VSHA512MSG1rr", LIEF::assembly::x86::OPCODE::VSHA512MSG1rr)
  .value("VSHA512MSG2rr", LIEF::assembly::x86::OPCODE::VSHA512MSG2rr)
  .value("VSHA512RNDS2rr", LIEF::assembly::x86::OPCODE::VSHA512RNDS2rr)
  .value("VSHUFF32X4Z256rmbi", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rmbi)
  .value("VSHUFF32X4Z256rmbik", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rmbik)
  .value("VSHUFF32X4Z256rmbikz", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rmbikz)
  .value("VSHUFF32X4Z256rmi", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rmi)
  .value("VSHUFF32X4Z256rmik", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rmik)
  .value("VSHUFF32X4Z256rmikz", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rmikz)
  .value("VSHUFF32X4Z256rri", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rri)
  .value("VSHUFF32X4Z256rrik", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rrik)
  .value("VSHUFF32X4Z256rrikz", LIEF::assembly::x86::OPCODE::VSHUFF32X4Z256rrikz)
  .value("VSHUFF32X4Zrmbi", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrmbi)
  .value("VSHUFF32X4Zrmbik", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrmbik)
  .value("VSHUFF32X4Zrmbikz", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrmbikz)
  .value("VSHUFF32X4Zrmi", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrmi)
  .value("VSHUFF32X4Zrmik", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrmik)
  .value("VSHUFF32X4Zrmikz", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrmikz)
  .value("VSHUFF32X4Zrri", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrri)
  .value("VSHUFF32X4Zrrik", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrrik)
  .value("VSHUFF32X4Zrrikz", LIEF::assembly::x86::OPCODE::VSHUFF32X4Zrrikz)
  .value("VSHUFF64X2Z256rmbi", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rmbi)
  .value("VSHUFF64X2Z256rmbik", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rmbik)
  .value("VSHUFF64X2Z256rmbikz", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rmbikz)
  .value("VSHUFF64X2Z256rmi", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rmi)
  .value("VSHUFF64X2Z256rmik", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rmik)
  .value("VSHUFF64X2Z256rmikz", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rmikz)
  .value("VSHUFF64X2Z256rri", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rri)
  .value("VSHUFF64X2Z256rrik", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rrik)
  .value("VSHUFF64X2Z256rrikz", LIEF::assembly::x86::OPCODE::VSHUFF64X2Z256rrikz)
  .value("VSHUFF64X2Zrmbi", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrmbi)
  .value("VSHUFF64X2Zrmbik", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrmbik)
  .value("VSHUFF64X2Zrmbikz", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrmbikz)
  .value("VSHUFF64X2Zrmi", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrmi)
  .value("VSHUFF64X2Zrmik", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrmik)
  .value("VSHUFF64X2Zrmikz", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrmikz)
  .value("VSHUFF64X2Zrri", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrri)
  .value("VSHUFF64X2Zrrik", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrrik)
  .value("VSHUFF64X2Zrrikz", LIEF::assembly::x86::OPCODE::VSHUFF64X2Zrrikz)
  .value("VSHUFI32X4Z256rmbi", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rmbi)
  .value("VSHUFI32X4Z256rmbik", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rmbik)
  .value("VSHUFI32X4Z256rmbikz", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rmbikz)
  .value("VSHUFI32X4Z256rmi", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rmi)
  .value("VSHUFI32X4Z256rmik", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rmik)
  .value("VSHUFI32X4Z256rmikz", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rmikz)
  .value("VSHUFI32X4Z256rri", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rri)
  .value("VSHUFI32X4Z256rrik", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rrik)
  .value("VSHUFI32X4Z256rrikz", LIEF::assembly::x86::OPCODE::VSHUFI32X4Z256rrikz)
  .value("VSHUFI32X4Zrmbi", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrmbi)
  .value("VSHUFI32X4Zrmbik", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrmbik)
  .value("VSHUFI32X4Zrmbikz", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrmbikz)
  .value("VSHUFI32X4Zrmi", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrmi)
  .value("VSHUFI32X4Zrmik", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrmik)
  .value("VSHUFI32X4Zrmikz", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrmikz)
  .value("VSHUFI32X4Zrri", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrri)
  .value("VSHUFI32X4Zrrik", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrrik)
  .value("VSHUFI32X4Zrrikz", LIEF::assembly::x86::OPCODE::VSHUFI32X4Zrrikz)
  .value("VSHUFI64X2Z256rmbi", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rmbi)
  .value("VSHUFI64X2Z256rmbik", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rmbik)
  .value("VSHUFI64X2Z256rmbikz", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rmbikz)
  .value("VSHUFI64X2Z256rmi", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rmi)
  .value("VSHUFI64X2Z256rmik", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rmik)
  .value("VSHUFI64X2Z256rmikz", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rmikz)
  .value("VSHUFI64X2Z256rri", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rri)
  .value("VSHUFI64X2Z256rrik", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rrik)
  .value("VSHUFI64X2Z256rrikz", LIEF::assembly::x86::OPCODE::VSHUFI64X2Z256rrikz)
  .value("VSHUFI64X2Zrmbi", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrmbi)
  .value("VSHUFI64X2Zrmbik", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrmbik)
  .value("VSHUFI64X2Zrmbikz", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrmbikz)
  .value("VSHUFI64X2Zrmi", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrmi)
  .value("VSHUFI64X2Zrmik", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrmik)
  .value("VSHUFI64X2Zrmikz", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrmikz)
  .value("VSHUFI64X2Zrri", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrri)
  .value("VSHUFI64X2Zrrik", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrrik)
  .value("VSHUFI64X2Zrrikz", LIEF::assembly::x86::OPCODE::VSHUFI64X2Zrrikz)
  .value("VSHUFPDYrmi", LIEF::assembly::x86::OPCODE::VSHUFPDYrmi)
  .value("VSHUFPDYrri", LIEF::assembly::x86::OPCODE::VSHUFPDYrri)
  .value("VSHUFPDZ128rmbi", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rmbi)
  .value("VSHUFPDZ128rmbik", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rmbik)
  .value("VSHUFPDZ128rmbikz", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rmbikz)
  .value("VSHUFPDZ128rmi", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rmi)
  .value("VSHUFPDZ128rmik", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rmik)
  .value("VSHUFPDZ128rmikz", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rmikz)
  .value("VSHUFPDZ128rri", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rri)
  .value("VSHUFPDZ128rrik", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rrik)
  .value("VSHUFPDZ128rrikz", LIEF::assembly::x86::OPCODE::VSHUFPDZ128rrikz)
  .value("VSHUFPDZ256rmbi", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rmbi)
  .value("VSHUFPDZ256rmbik", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rmbik)
  .value("VSHUFPDZ256rmbikz", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rmbikz)
  .value("VSHUFPDZ256rmi", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rmi)
  .value("VSHUFPDZ256rmik", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rmik)
  .value("VSHUFPDZ256rmikz", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rmikz)
  .value("VSHUFPDZ256rri", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rri)
  .value("VSHUFPDZ256rrik", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rrik)
  .value("VSHUFPDZ256rrikz", LIEF::assembly::x86::OPCODE::VSHUFPDZ256rrikz)
  .value("VSHUFPDZrmbi", LIEF::assembly::x86::OPCODE::VSHUFPDZrmbi)
  .value("VSHUFPDZrmbik", LIEF::assembly::x86::OPCODE::VSHUFPDZrmbik)
  .value("VSHUFPDZrmbikz", LIEF::assembly::x86::OPCODE::VSHUFPDZrmbikz)
  .value("VSHUFPDZrmi", LIEF::assembly::x86::OPCODE::VSHUFPDZrmi)
  .value("VSHUFPDZrmik", LIEF::assembly::x86::OPCODE::VSHUFPDZrmik)
  .value("VSHUFPDZrmikz", LIEF::assembly::x86::OPCODE::VSHUFPDZrmikz)
  .value("VSHUFPDZrri", LIEF::assembly::x86::OPCODE::VSHUFPDZrri)
  .value("VSHUFPDZrrik", LIEF::assembly::x86::OPCODE::VSHUFPDZrrik)
  .value("VSHUFPDZrrikz", LIEF::assembly::x86::OPCODE::VSHUFPDZrrikz)
  .value("VSHUFPDrmi", LIEF::assembly::x86::OPCODE::VSHUFPDrmi)
  .value("VSHUFPDrri", LIEF::assembly::x86::OPCODE::VSHUFPDrri)
  .value("VSHUFPSYrmi", LIEF::assembly::x86::OPCODE::VSHUFPSYrmi)
  .value("VSHUFPSYrri", LIEF::assembly::x86::OPCODE::VSHUFPSYrri)
  .value("VSHUFPSZ128rmbi", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rmbi)
  .value("VSHUFPSZ128rmbik", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rmbik)
  .value("VSHUFPSZ128rmbikz", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rmbikz)
  .value("VSHUFPSZ128rmi", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rmi)
  .value("VSHUFPSZ128rmik", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rmik)
  .value("VSHUFPSZ128rmikz", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rmikz)
  .value("VSHUFPSZ128rri", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rri)
  .value("VSHUFPSZ128rrik", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rrik)
  .value("VSHUFPSZ128rrikz", LIEF::assembly::x86::OPCODE::VSHUFPSZ128rrikz)
  .value("VSHUFPSZ256rmbi", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rmbi)
  .value("VSHUFPSZ256rmbik", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rmbik)
  .value("VSHUFPSZ256rmbikz", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rmbikz)
  .value("VSHUFPSZ256rmi", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rmi)
  .value("VSHUFPSZ256rmik", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rmik)
  .value("VSHUFPSZ256rmikz", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rmikz)
  .value("VSHUFPSZ256rri", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rri)
  .value("VSHUFPSZ256rrik", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rrik)
  .value("VSHUFPSZ256rrikz", LIEF::assembly::x86::OPCODE::VSHUFPSZ256rrikz)
  .value("VSHUFPSZrmbi", LIEF::assembly::x86::OPCODE::VSHUFPSZrmbi)
  .value("VSHUFPSZrmbik", LIEF::assembly::x86::OPCODE::VSHUFPSZrmbik)
  .value("VSHUFPSZrmbikz", LIEF::assembly::x86::OPCODE::VSHUFPSZrmbikz)
  .value("VSHUFPSZrmi", LIEF::assembly::x86::OPCODE::VSHUFPSZrmi)
  .value("VSHUFPSZrmik", LIEF::assembly::x86::OPCODE::VSHUFPSZrmik)
  .value("VSHUFPSZrmikz", LIEF::assembly::x86::OPCODE::VSHUFPSZrmikz)
  .value("VSHUFPSZrri", LIEF::assembly::x86::OPCODE::VSHUFPSZrri)
  .value("VSHUFPSZrrik", LIEF::assembly::x86::OPCODE::VSHUFPSZrrik)
  .value("VSHUFPSZrrikz", LIEF::assembly::x86::OPCODE::VSHUFPSZrrikz)
  .value("VSHUFPSrmi", LIEF::assembly::x86::OPCODE::VSHUFPSrmi)
  .value("VSHUFPSrri", LIEF::assembly::x86::OPCODE::VSHUFPSrri)
  .value("VSM3MSG1rm", LIEF::assembly::x86::OPCODE::VSM3MSG1rm)
  .value("VSM3MSG1rr", LIEF::assembly::x86::OPCODE::VSM3MSG1rr)
  .value("VSM3MSG2rm", LIEF::assembly::x86::OPCODE::VSM3MSG2rm)
  .value("VSM3MSG2rr", LIEF::assembly::x86::OPCODE::VSM3MSG2rr)
  .value("VSM3RNDS2rm", LIEF::assembly::x86::OPCODE::VSM3RNDS2rm)
  .value("VSM3RNDS2rr", LIEF::assembly::x86::OPCODE::VSM3RNDS2rr)
  .value("VSM4KEY4Yrm", LIEF::assembly::x86::OPCODE::VSM4KEY4Yrm)
  .value("VSM4KEY4Yrr", LIEF::assembly::x86::OPCODE::VSM4KEY4Yrr)
  .value("VSM4KEY4rm", LIEF::assembly::x86::OPCODE::VSM4KEY4rm)
  .value("VSM4KEY4rr", LIEF::assembly::x86::OPCODE::VSM4KEY4rr)
  .value("VSM4RNDS4Yrm", LIEF::assembly::x86::OPCODE::VSM4RNDS4Yrm)
  .value("VSM4RNDS4Yrr", LIEF::assembly::x86::OPCODE::VSM4RNDS4Yrr)
  .value("VSM4RNDS4rm", LIEF::assembly::x86::OPCODE::VSM4RNDS4rm)
  .value("VSM4RNDS4rr", LIEF::assembly::x86::OPCODE::VSM4RNDS4rr)
  .value("VSQRTPDYm", LIEF::assembly::x86::OPCODE::VSQRTPDYm)
  .value("VSQRTPDYr", LIEF::assembly::x86::OPCODE::VSQRTPDYr)
  .value("VSQRTPDZ128m", LIEF::assembly::x86::OPCODE::VSQRTPDZ128m)
  .value("VSQRTPDZ128mb", LIEF::assembly::x86::OPCODE::VSQRTPDZ128mb)
  .value("VSQRTPDZ128mbk", LIEF::assembly::x86::OPCODE::VSQRTPDZ128mbk)
  .value("VSQRTPDZ128mbkz", LIEF::assembly::x86::OPCODE::VSQRTPDZ128mbkz)
  .value("VSQRTPDZ128mk", LIEF::assembly::x86::OPCODE::VSQRTPDZ128mk)
  .value("VSQRTPDZ128mkz", LIEF::assembly::x86::OPCODE::VSQRTPDZ128mkz)
  .value("VSQRTPDZ128r", LIEF::assembly::x86::OPCODE::VSQRTPDZ128r)
  .value("VSQRTPDZ128rk", LIEF::assembly::x86::OPCODE::VSQRTPDZ128rk)
  .value("VSQRTPDZ128rkz", LIEF::assembly::x86::OPCODE::VSQRTPDZ128rkz)
  .value("VSQRTPDZ256m", LIEF::assembly::x86::OPCODE::VSQRTPDZ256m)
  .value("VSQRTPDZ256mb", LIEF::assembly::x86::OPCODE::VSQRTPDZ256mb)
  .value("VSQRTPDZ256mbk", LIEF::assembly::x86::OPCODE::VSQRTPDZ256mbk)
  .value("VSQRTPDZ256mbkz", LIEF::assembly::x86::OPCODE::VSQRTPDZ256mbkz)
  .value("VSQRTPDZ256mk", LIEF::assembly::x86::OPCODE::VSQRTPDZ256mk)
  .value("VSQRTPDZ256mkz", LIEF::assembly::x86::OPCODE::VSQRTPDZ256mkz)
  .value("VSQRTPDZ256r", LIEF::assembly::x86::OPCODE::VSQRTPDZ256r)
  .value("VSQRTPDZ256rk", LIEF::assembly::x86::OPCODE::VSQRTPDZ256rk)
  .value("VSQRTPDZ256rkz", LIEF::assembly::x86::OPCODE::VSQRTPDZ256rkz)
  .value("VSQRTPDZm", LIEF::assembly::x86::OPCODE::VSQRTPDZm)
  .value("VSQRTPDZmb", LIEF::assembly::x86::OPCODE::VSQRTPDZmb)
  .value("VSQRTPDZmbk", LIEF::assembly::x86::OPCODE::VSQRTPDZmbk)
  .value("VSQRTPDZmbkz", LIEF::assembly::x86::OPCODE::VSQRTPDZmbkz)
  .value("VSQRTPDZmk", LIEF::assembly::x86::OPCODE::VSQRTPDZmk)
  .value("VSQRTPDZmkz", LIEF::assembly::x86::OPCODE::VSQRTPDZmkz)
  .value("VSQRTPDZr", LIEF::assembly::x86::OPCODE::VSQRTPDZr)
  .value("VSQRTPDZrb", LIEF::assembly::x86::OPCODE::VSQRTPDZrb)
  .value("VSQRTPDZrbk", LIEF::assembly::x86::OPCODE::VSQRTPDZrbk)
  .value("VSQRTPDZrbkz", LIEF::assembly::x86::OPCODE::VSQRTPDZrbkz)
  .value("VSQRTPDZrk", LIEF::assembly::x86::OPCODE::VSQRTPDZrk)
  .value("VSQRTPDZrkz", LIEF::assembly::x86::OPCODE::VSQRTPDZrkz)
  .value("VSQRTPDm", LIEF::assembly::x86::OPCODE::VSQRTPDm)
  .value("VSQRTPDr", LIEF::assembly::x86::OPCODE::VSQRTPDr)
  .value("VSQRTPHZ128m", LIEF::assembly::x86::OPCODE::VSQRTPHZ128m)
  .value("VSQRTPHZ128mb", LIEF::assembly::x86::OPCODE::VSQRTPHZ128mb)
  .value("VSQRTPHZ128mbk", LIEF::assembly::x86::OPCODE::VSQRTPHZ128mbk)
  .value("VSQRTPHZ128mbkz", LIEF::assembly::x86::OPCODE::VSQRTPHZ128mbkz)
  .value("VSQRTPHZ128mk", LIEF::assembly::x86::OPCODE::VSQRTPHZ128mk)
  .value("VSQRTPHZ128mkz", LIEF::assembly::x86::OPCODE::VSQRTPHZ128mkz)
  .value("VSQRTPHZ128r", LIEF::assembly::x86::OPCODE::VSQRTPHZ128r)
  .value("VSQRTPHZ128rk", LIEF::assembly::x86::OPCODE::VSQRTPHZ128rk)
  .value("VSQRTPHZ128rkz", LIEF::assembly::x86::OPCODE::VSQRTPHZ128rkz)
  .value("VSQRTPHZ256m", LIEF::assembly::x86::OPCODE::VSQRTPHZ256m)
  .value("VSQRTPHZ256mb", LIEF::assembly::x86::OPCODE::VSQRTPHZ256mb)
  .value("VSQRTPHZ256mbk", LIEF::assembly::x86::OPCODE::VSQRTPHZ256mbk)
  .value("VSQRTPHZ256mbkz", LIEF::assembly::x86::OPCODE::VSQRTPHZ256mbkz)
  .value("VSQRTPHZ256mk", LIEF::assembly::x86::OPCODE::VSQRTPHZ256mk)
  .value("VSQRTPHZ256mkz", LIEF::assembly::x86::OPCODE::VSQRTPHZ256mkz)
  .value("VSQRTPHZ256r", LIEF::assembly::x86::OPCODE::VSQRTPHZ256r)
  .value("VSQRTPHZ256rk", LIEF::assembly::x86::OPCODE::VSQRTPHZ256rk)
  .value("VSQRTPHZ256rkz", LIEF::assembly::x86::OPCODE::VSQRTPHZ256rkz)
  .value("VSQRTPHZm", LIEF::assembly::x86::OPCODE::VSQRTPHZm)
  .value("VSQRTPHZmb", LIEF::assembly::x86::OPCODE::VSQRTPHZmb)
  .value("VSQRTPHZmbk", LIEF::assembly::x86::OPCODE::VSQRTPHZmbk)
  .value("VSQRTPHZmbkz", LIEF::assembly::x86::OPCODE::VSQRTPHZmbkz)
  .value("VSQRTPHZmk", LIEF::assembly::x86::OPCODE::VSQRTPHZmk)
  .value("VSQRTPHZmkz", LIEF::assembly::x86::OPCODE::VSQRTPHZmkz)
  .value("VSQRTPHZr", LIEF::assembly::x86::OPCODE::VSQRTPHZr)
  .value("VSQRTPHZrb", LIEF::assembly::x86::OPCODE::VSQRTPHZrb)
  .value("VSQRTPHZrbk", LIEF::assembly::x86::OPCODE::VSQRTPHZrbk)
  .value("VSQRTPHZrbkz", LIEF::assembly::x86::OPCODE::VSQRTPHZrbkz)
  .value("VSQRTPHZrk", LIEF::assembly::x86::OPCODE::VSQRTPHZrk)
  .value("VSQRTPHZrkz", LIEF::assembly::x86::OPCODE::VSQRTPHZrkz)
  .value("VSQRTPSYm", LIEF::assembly::x86::OPCODE::VSQRTPSYm)
  .value("VSQRTPSYr", LIEF::assembly::x86::OPCODE::VSQRTPSYr)
  .value("VSQRTPSZ128m", LIEF::assembly::x86::OPCODE::VSQRTPSZ128m)
  .value("VSQRTPSZ128mb", LIEF::assembly::x86::OPCODE::VSQRTPSZ128mb)
  .value("VSQRTPSZ128mbk", LIEF::assembly::x86::OPCODE::VSQRTPSZ128mbk)
  .value("VSQRTPSZ128mbkz", LIEF::assembly::x86::OPCODE::VSQRTPSZ128mbkz)
  .value("VSQRTPSZ128mk", LIEF::assembly::x86::OPCODE::VSQRTPSZ128mk)
  .value("VSQRTPSZ128mkz", LIEF::assembly::x86::OPCODE::VSQRTPSZ128mkz)
  .value("VSQRTPSZ128r", LIEF::assembly::x86::OPCODE::VSQRTPSZ128r)
  .value("VSQRTPSZ128rk", LIEF::assembly::x86::OPCODE::VSQRTPSZ128rk)
  .value("VSQRTPSZ128rkz", LIEF::assembly::x86::OPCODE::VSQRTPSZ128rkz)
  .value("VSQRTPSZ256m", LIEF::assembly::x86::OPCODE::VSQRTPSZ256m)
  .value("VSQRTPSZ256mb", LIEF::assembly::x86::OPCODE::VSQRTPSZ256mb)
  .value("VSQRTPSZ256mbk", LIEF::assembly::x86::OPCODE::VSQRTPSZ256mbk)
  .value("VSQRTPSZ256mbkz", LIEF::assembly::x86::OPCODE::VSQRTPSZ256mbkz)
  .value("VSQRTPSZ256mk", LIEF::assembly::x86::OPCODE::VSQRTPSZ256mk)
  .value("VSQRTPSZ256mkz", LIEF::assembly::x86::OPCODE::VSQRTPSZ256mkz)
  .value("VSQRTPSZ256r", LIEF::assembly::x86::OPCODE::VSQRTPSZ256r)
  .value("VSQRTPSZ256rk", LIEF::assembly::x86::OPCODE::VSQRTPSZ256rk)
  .value("VSQRTPSZ256rkz", LIEF::assembly::x86::OPCODE::VSQRTPSZ256rkz)
  .value("VSQRTPSZm", LIEF::assembly::x86::OPCODE::VSQRTPSZm)
  .value("VSQRTPSZmb", LIEF::assembly::x86::OPCODE::VSQRTPSZmb)
  .value("VSQRTPSZmbk", LIEF::assembly::x86::OPCODE::VSQRTPSZmbk)
  .value("VSQRTPSZmbkz", LIEF::assembly::x86::OPCODE::VSQRTPSZmbkz)
  .value("VSQRTPSZmk", LIEF::assembly::x86::OPCODE::VSQRTPSZmk)
  .value("VSQRTPSZmkz", LIEF::assembly::x86::OPCODE::VSQRTPSZmkz)
  .value("VSQRTPSZr", LIEF::assembly::x86::OPCODE::VSQRTPSZr)
  .value("VSQRTPSZrb", LIEF::assembly::x86::OPCODE::VSQRTPSZrb)
  .value("VSQRTPSZrbk", LIEF::assembly::x86::OPCODE::VSQRTPSZrbk)
  .value("VSQRTPSZrbkz", LIEF::assembly::x86::OPCODE::VSQRTPSZrbkz)
  .value("VSQRTPSZrk", LIEF::assembly::x86::OPCODE::VSQRTPSZrk)
  .value("VSQRTPSZrkz", LIEF::assembly::x86::OPCODE::VSQRTPSZrkz)
  .value("VSQRTPSm", LIEF::assembly::x86::OPCODE::VSQRTPSm)
  .value("VSQRTPSr", LIEF::assembly::x86::OPCODE::VSQRTPSr)
  .value("VSQRTSDZm", LIEF::assembly::x86::OPCODE::VSQRTSDZm)
  .value("VSQRTSDZm_Int", LIEF::assembly::x86::OPCODE::VSQRTSDZm_Int)
  .value("VSQRTSDZm_Intk", LIEF::assembly::x86::OPCODE::VSQRTSDZm_Intk)
  .value("VSQRTSDZm_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSDZm_Intkz)
  .value("VSQRTSDZr", LIEF::assembly::x86::OPCODE::VSQRTSDZr)
  .value("VSQRTSDZr_Int", LIEF::assembly::x86::OPCODE::VSQRTSDZr_Int)
  .value("VSQRTSDZr_Intk", LIEF::assembly::x86::OPCODE::VSQRTSDZr_Intk)
  .value("VSQRTSDZr_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSDZr_Intkz)
  .value("VSQRTSDZrb_Int", LIEF::assembly::x86::OPCODE::VSQRTSDZrb_Int)
  .value("VSQRTSDZrb_Intk", LIEF::assembly::x86::OPCODE::VSQRTSDZrb_Intk)
  .value("VSQRTSDZrb_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSDZrb_Intkz)
  .value("VSQRTSDm", LIEF::assembly::x86::OPCODE::VSQRTSDm)
  .value("VSQRTSDm_Int", LIEF::assembly::x86::OPCODE::VSQRTSDm_Int)
  .value("VSQRTSDr", LIEF::assembly::x86::OPCODE::VSQRTSDr)
  .value("VSQRTSDr_Int", LIEF::assembly::x86::OPCODE::VSQRTSDr_Int)
  .value("VSQRTSHZm", LIEF::assembly::x86::OPCODE::VSQRTSHZm)
  .value("VSQRTSHZm_Int", LIEF::assembly::x86::OPCODE::VSQRTSHZm_Int)
  .value("VSQRTSHZm_Intk", LIEF::assembly::x86::OPCODE::VSQRTSHZm_Intk)
  .value("VSQRTSHZm_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSHZm_Intkz)
  .value("VSQRTSHZr", LIEF::assembly::x86::OPCODE::VSQRTSHZr);
  opcodes.value("VSQRTSHZr_Int", LIEF::assembly::x86::OPCODE::VSQRTSHZr_Int)
  .value("VSQRTSHZr_Intk", LIEF::assembly::x86::OPCODE::VSQRTSHZr_Intk)
  .value("VSQRTSHZr_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSHZr_Intkz)
  .value("VSQRTSHZrb_Int", LIEF::assembly::x86::OPCODE::VSQRTSHZrb_Int)
  .value("VSQRTSHZrb_Intk", LIEF::assembly::x86::OPCODE::VSQRTSHZrb_Intk)
  .value("VSQRTSHZrb_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSHZrb_Intkz)
  .value("VSQRTSSZm", LIEF::assembly::x86::OPCODE::VSQRTSSZm)
  .value("VSQRTSSZm_Int", LIEF::assembly::x86::OPCODE::VSQRTSSZm_Int)
  .value("VSQRTSSZm_Intk", LIEF::assembly::x86::OPCODE::VSQRTSSZm_Intk)
  .value("VSQRTSSZm_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSSZm_Intkz)
  .value("VSQRTSSZr", LIEF::assembly::x86::OPCODE::VSQRTSSZr)
  .value("VSQRTSSZr_Int", LIEF::assembly::x86::OPCODE::VSQRTSSZr_Int)
  .value("VSQRTSSZr_Intk", LIEF::assembly::x86::OPCODE::VSQRTSSZr_Intk)
  .value("VSQRTSSZr_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSSZr_Intkz)
  .value("VSQRTSSZrb_Int", LIEF::assembly::x86::OPCODE::VSQRTSSZrb_Int)
  .value("VSQRTSSZrb_Intk", LIEF::assembly::x86::OPCODE::VSQRTSSZrb_Intk)
  .value("VSQRTSSZrb_Intkz", LIEF::assembly::x86::OPCODE::VSQRTSSZrb_Intkz)
  .value("VSQRTSSm", LIEF::assembly::x86::OPCODE::VSQRTSSm)
  .value("VSQRTSSm_Int", LIEF::assembly::x86::OPCODE::VSQRTSSm_Int)
  .value("VSQRTSSr", LIEF::assembly::x86::OPCODE::VSQRTSSr)
  .value("VSQRTSSr_Int", LIEF::assembly::x86::OPCODE::VSQRTSSr_Int)
  .value("VSTMXCSR", LIEF::assembly::x86::OPCODE::VSTMXCSR)
  .value("VSUBPDYrm", LIEF::assembly::x86::OPCODE::VSUBPDYrm)
  .value("VSUBPDYrr", LIEF::assembly::x86::OPCODE::VSUBPDYrr)
  .value("VSUBPDZ128rm", LIEF::assembly::x86::OPCODE::VSUBPDZ128rm)
  .value("VSUBPDZ128rmb", LIEF::assembly::x86::OPCODE::VSUBPDZ128rmb)
  .value("VSUBPDZ128rmbk", LIEF::assembly::x86::OPCODE::VSUBPDZ128rmbk)
  .value("VSUBPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VSUBPDZ128rmbkz)
  .value("VSUBPDZ128rmk", LIEF::assembly::x86::OPCODE::VSUBPDZ128rmk)
  .value("VSUBPDZ128rmkz", LIEF::assembly::x86::OPCODE::VSUBPDZ128rmkz)
  .value("VSUBPDZ128rr", LIEF::assembly::x86::OPCODE::VSUBPDZ128rr)
  .value("VSUBPDZ128rrk", LIEF::assembly::x86::OPCODE::VSUBPDZ128rrk)
  .value("VSUBPDZ128rrkz", LIEF::assembly::x86::OPCODE::VSUBPDZ128rrkz)
  .value("VSUBPDZ256rm", LIEF::assembly::x86::OPCODE::VSUBPDZ256rm)
  .value("VSUBPDZ256rmb", LIEF::assembly::x86::OPCODE::VSUBPDZ256rmb)
  .value("VSUBPDZ256rmbk", LIEF::assembly::x86::OPCODE::VSUBPDZ256rmbk)
  .value("VSUBPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VSUBPDZ256rmbkz)
  .value("VSUBPDZ256rmk", LIEF::assembly::x86::OPCODE::VSUBPDZ256rmk)
  .value("VSUBPDZ256rmkz", LIEF::assembly::x86::OPCODE::VSUBPDZ256rmkz)
  .value("VSUBPDZ256rr", LIEF::assembly::x86::OPCODE::VSUBPDZ256rr)
  .value("VSUBPDZ256rrk", LIEF::assembly::x86::OPCODE::VSUBPDZ256rrk)
  .value("VSUBPDZ256rrkz", LIEF::assembly::x86::OPCODE::VSUBPDZ256rrkz)
  .value("VSUBPDZrm", LIEF::assembly::x86::OPCODE::VSUBPDZrm)
  .value("VSUBPDZrmb", LIEF::assembly::x86::OPCODE::VSUBPDZrmb)
  .value("VSUBPDZrmbk", LIEF::assembly::x86::OPCODE::VSUBPDZrmbk)
  .value("VSUBPDZrmbkz", LIEF::assembly::x86::OPCODE::VSUBPDZrmbkz)
  .value("VSUBPDZrmk", LIEF::assembly::x86::OPCODE::VSUBPDZrmk)
  .value("VSUBPDZrmkz", LIEF::assembly::x86::OPCODE::VSUBPDZrmkz)
  .value("VSUBPDZrr", LIEF::assembly::x86::OPCODE::VSUBPDZrr)
  .value("VSUBPDZrrb", LIEF::assembly::x86::OPCODE::VSUBPDZrrb)
  .value("VSUBPDZrrbk", LIEF::assembly::x86::OPCODE::VSUBPDZrrbk)
  .value("VSUBPDZrrbkz", LIEF::assembly::x86::OPCODE::VSUBPDZrrbkz)
  .value("VSUBPDZrrk", LIEF::assembly::x86::OPCODE::VSUBPDZrrk)
  .value("VSUBPDZrrkz", LIEF::assembly::x86::OPCODE::VSUBPDZrrkz)
  .value("VSUBPDrm", LIEF::assembly::x86::OPCODE::VSUBPDrm)
  .value("VSUBPDrr", LIEF::assembly::x86::OPCODE::VSUBPDrr)
  .value("VSUBPHZ128rm", LIEF::assembly::x86::OPCODE::VSUBPHZ128rm)
  .value("VSUBPHZ128rmb", LIEF::assembly::x86::OPCODE::VSUBPHZ128rmb)
  .value("VSUBPHZ128rmbk", LIEF::assembly::x86::OPCODE::VSUBPHZ128rmbk)
  .value("VSUBPHZ128rmbkz", LIEF::assembly::x86::OPCODE::VSUBPHZ128rmbkz)
  .value("VSUBPHZ128rmk", LIEF::assembly::x86::OPCODE::VSUBPHZ128rmk)
  .value("VSUBPHZ128rmkz", LIEF::assembly::x86::OPCODE::VSUBPHZ128rmkz)
  .value("VSUBPHZ128rr", LIEF::assembly::x86::OPCODE::VSUBPHZ128rr)
  .value("VSUBPHZ128rrk", LIEF::assembly::x86::OPCODE::VSUBPHZ128rrk)
  .value("VSUBPHZ128rrkz", LIEF::assembly::x86::OPCODE::VSUBPHZ128rrkz)
  .value("VSUBPHZ256rm", LIEF::assembly::x86::OPCODE::VSUBPHZ256rm)
  .value("VSUBPHZ256rmb", LIEF::assembly::x86::OPCODE::VSUBPHZ256rmb)
  .value("VSUBPHZ256rmbk", LIEF::assembly::x86::OPCODE::VSUBPHZ256rmbk)
  .value("VSUBPHZ256rmbkz", LIEF::assembly::x86::OPCODE::VSUBPHZ256rmbkz)
  .value("VSUBPHZ256rmk", LIEF::assembly::x86::OPCODE::VSUBPHZ256rmk)
  .value("VSUBPHZ256rmkz", LIEF::assembly::x86::OPCODE::VSUBPHZ256rmkz)
  .value("VSUBPHZ256rr", LIEF::assembly::x86::OPCODE::VSUBPHZ256rr)
  .value("VSUBPHZ256rrk", LIEF::assembly::x86::OPCODE::VSUBPHZ256rrk)
  .value("VSUBPHZ256rrkz", LIEF::assembly::x86::OPCODE::VSUBPHZ256rrkz)
  .value("VSUBPHZrm", LIEF::assembly::x86::OPCODE::VSUBPHZrm)
  .value("VSUBPHZrmb", LIEF::assembly::x86::OPCODE::VSUBPHZrmb)
  .value("VSUBPHZrmbk", LIEF::assembly::x86::OPCODE::VSUBPHZrmbk)
  .value("VSUBPHZrmbkz", LIEF::assembly::x86::OPCODE::VSUBPHZrmbkz)
  .value("VSUBPHZrmk", LIEF::assembly::x86::OPCODE::VSUBPHZrmk)
  .value("VSUBPHZrmkz", LIEF::assembly::x86::OPCODE::VSUBPHZrmkz)
  .value("VSUBPHZrr", LIEF::assembly::x86::OPCODE::VSUBPHZrr)
  .value("VSUBPHZrrb", LIEF::assembly::x86::OPCODE::VSUBPHZrrb)
  .value("VSUBPHZrrbk", LIEF::assembly::x86::OPCODE::VSUBPHZrrbk)
  .value("VSUBPHZrrbkz", LIEF::assembly::x86::OPCODE::VSUBPHZrrbkz)
  .value("VSUBPHZrrk", LIEF::assembly::x86::OPCODE::VSUBPHZrrk)
  .value("VSUBPHZrrkz", LIEF::assembly::x86::OPCODE::VSUBPHZrrkz)
  .value("VSUBPSYrm", LIEF::assembly::x86::OPCODE::VSUBPSYrm)
  .value("VSUBPSYrr", LIEF::assembly::x86::OPCODE::VSUBPSYrr)
  .value("VSUBPSZ128rm", LIEF::assembly::x86::OPCODE::VSUBPSZ128rm)
  .value("VSUBPSZ128rmb", LIEF::assembly::x86::OPCODE::VSUBPSZ128rmb)
  .value("VSUBPSZ128rmbk", LIEF::assembly::x86::OPCODE::VSUBPSZ128rmbk)
  .value("VSUBPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VSUBPSZ128rmbkz)
  .value("VSUBPSZ128rmk", LIEF::assembly::x86::OPCODE::VSUBPSZ128rmk)
  .value("VSUBPSZ128rmkz", LIEF::assembly::x86::OPCODE::VSUBPSZ128rmkz)
  .value("VSUBPSZ128rr", LIEF::assembly::x86::OPCODE::VSUBPSZ128rr)
  .value("VSUBPSZ128rrk", LIEF::assembly::x86::OPCODE::VSUBPSZ128rrk)
  .value("VSUBPSZ128rrkz", LIEF::assembly::x86::OPCODE::VSUBPSZ128rrkz)
  .value("VSUBPSZ256rm", LIEF::assembly::x86::OPCODE::VSUBPSZ256rm)
  .value("VSUBPSZ256rmb", LIEF::assembly::x86::OPCODE::VSUBPSZ256rmb)
  .value("VSUBPSZ256rmbk", LIEF::assembly::x86::OPCODE::VSUBPSZ256rmbk)
  .value("VSUBPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VSUBPSZ256rmbkz)
  .value("VSUBPSZ256rmk", LIEF::assembly::x86::OPCODE::VSUBPSZ256rmk)
  .value("VSUBPSZ256rmkz", LIEF::assembly::x86::OPCODE::VSUBPSZ256rmkz)
  .value("VSUBPSZ256rr", LIEF::assembly::x86::OPCODE::VSUBPSZ256rr)
  .value("VSUBPSZ256rrk", LIEF::assembly::x86::OPCODE::VSUBPSZ256rrk)
  .value("VSUBPSZ256rrkz", LIEF::assembly::x86::OPCODE::VSUBPSZ256rrkz)
  .value("VSUBPSZrm", LIEF::assembly::x86::OPCODE::VSUBPSZrm)
  .value("VSUBPSZrmb", LIEF::assembly::x86::OPCODE::VSUBPSZrmb)
  .value("VSUBPSZrmbk", LIEF::assembly::x86::OPCODE::VSUBPSZrmbk)
  .value("VSUBPSZrmbkz", LIEF::assembly::x86::OPCODE::VSUBPSZrmbkz)
  .value("VSUBPSZrmk", LIEF::assembly::x86::OPCODE::VSUBPSZrmk)
  .value("VSUBPSZrmkz", LIEF::assembly::x86::OPCODE::VSUBPSZrmkz)
  .value("VSUBPSZrr", LIEF::assembly::x86::OPCODE::VSUBPSZrr)
  .value("VSUBPSZrrb", LIEF::assembly::x86::OPCODE::VSUBPSZrrb)
  .value("VSUBPSZrrbk", LIEF::assembly::x86::OPCODE::VSUBPSZrrbk)
  .value("VSUBPSZrrbkz", LIEF::assembly::x86::OPCODE::VSUBPSZrrbkz)
  .value("VSUBPSZrrk", LIEF::assembly::x86::OPCODE::VSUBPSZrrk)
  .value("VSUBPSZrrkz", LIEF::assembly::x86::OPCODE::VSUBPSZrrkz)
  .value("VSUBPSrm", LIEF::assembly::x86::OPCODE::VSUBPSrm)
  .value("VSUBPSrr", LIEF::assembly::x86::OPCODE::VSUBPSrr)
  .value("VSUBSDZrm", LIEF::assembly::x86::OPCODE::VSUBSDZrm)
  .value("VSUBSDZrm_Int", LIEF::assembly::x86::OPCODE::VSUBSDZrm_Int)
  .value("VSUBSDZrm_Intk", LIEF::assembly::x86::OPCODE::VSUBSDZrm_Intk)
  .value("VSUBSDZrm_Intkz", LIEF::assembly::x86::OPCODE::VSUBSDZrm_Intkz)
  .value("VSUBSDZrr", LIEF::assembly::x86::OPCODE::VSUBSDZrr)
  .value("VSUBSDZrr_Int", LIEF::assembly::x86::OPCODE::VSUBSDZrr_Int)
  .value("VSUBSDZrr_Intk", LIEF::assembly::x86::OPCODE::VSUBSDZrr_Intk)
  .value("VSUBSDZrr_Intkz", LIEF::assembly::x86::OPCODE::VSUBSDZrr_Intkz)
  .value("VSUBSDZrrb_Int", LIEF::assembly::x86::OPCODE::VSUBSDZrrb_Int)
  .value("VSUBSDZrrb_Intk", LIEF::assembly::x86::OPCODE::VSUBSDZrrb_Intk)
  .value("VSUBSDZrrb_Intkz", LIEF::assembly::x86::OPCODE::VSUBSDZrrb_Intkz)
  .value("VSUBSDrm", LIEF::assembly::x86::OPCODE::VSUBSDrm)
  .value("VSUBSDrm_Int", LIEF::assembly::x86::OPCODE::VSUBSDrm_Int)
  .value("VSUBSDrr", LIEF::assembly::x86::OPCODE::VSUBSDrr)
  .value("VSUBSDrr_Int", LIEF::assembly::x86::OPCODE::VSUBSDrr_Int)
  .value("VSUBSHZrm", LIEF::assembly::x86::OPCODE::VSUBSHZrm)
  .value("VSUBSHZrm_Int", LIEF::assembly::x86::OPCODE::VSUBSHZrm_Int)
  .value("VSUBSHZrm_Intk", LIEF::assembly::x86::OPCODE::VSUBSHZrm_Intk)
  .value("VSUBSHZrm_Intkz", LIEF::assembly::x86::OPCODE::VSUBSHZrm_Intkz)
  .value("VSUBSHZrr", LIEF::assembly::x86::OPCODE::VSUBSHZrr)
  .value("VSUBSHZrr_Int", LIEF::assembly::x86::OPCODE::VSUBSHZrr_Int)
  .value("VSUBSHZrr_Intk", LIEF::assembly::x86::OPCODE::VSUBSHZrr_Intk)
  .value("VSUBSHZrr_Intkz", LIEF::assembly::x86::OPCODE::VSUBSHZrr_Intkz)
  .value("VSUBSHZrrb_Int", LIEF::assembly::x86::OPCODE::VSUBSHZrrb_Int)
  .value("VSUBSHZrrb_Intk", LIEF::assembly::x86::OPCODE::VSUBSHZrrb_Intk)
  .value("VSUBSHZrrb_Intkz", LIEF::assembly::x86::OPCODE::VSUBSHZrrb_Intkz)
  .value("VSUBSSZrm", LIEF::assembly::x86::OPCODE::VSUBSSZrm)
  .value("VSUBSSZrm_Int", LIEF::assembly::x86::OPCODE::VSUBSSZrm_Int)
  .value("VSUBSSZrm_Intk", LIEF::assembly::x86::OPCODE::VSUBSSZrm_Intk)
  .value("VSUBSSZrm_Intkz", LIEF::assembly::x86::OPCODE::VSUBSSZrm_Intkz)
  .value("VSUBSSZrr", LIEF::assembly::x86::OPCODE::VSUBSSZrr)
  .value("VSUBSSZrr_Int", LIEF::assembly::x86::OPCODE::VSUBSSZrr_Int)
  .value("VSUBSSZrr_Intk", LIEF::assembly::x86::OPCODE::VSUBSSZrr_Intk)
  .value("VSUBSSZrr_Intkz", LIEF::assembly::x86::OPCODE::VSUBSSZrr_Intkz)
  .value("VSUBSSZrrb_Int", LIEF::assembly::x86::OPCODE::VSUBSSZrrb_Int)
  .value("VSUBSSZrrb_Intk", LIEF::assembly::x86::OPCODE::VSUBSSZrrb_Intk)
  .value("VSUBSSZrrb_Intkz", LIEF::assembly::x86::OPCODE::VSUBSSZrrb_Intkz)
  .value("VSUBSSrm", LIEF::assembly::x86::OPCODE::VSUBSSrm)
  .value("VSUBSSrm_Int", LIEF::assembly::x86::OPCODE::VSUBSSrm_Int)
  .value("VSUBSSrr", LIEF::assembly::x86::OPCODE::VSUBSSrr)
  .value("VSUBSSrr_Int", LIEF::assembly::x86::OPCODE::VSUBSSrr_Int)
  .value("VTESTPDYrm", LIEF::assembly::x86::OPCODE::VTESTPDYrm)
  .value("VTESTPDYrr", LIEF::assembly::x86::OPCODE::VTESTPDYrr)
  .value("VTESTPDrm", LIEF::assembly::x86::OPCODE::VTESTPDrm)
  .value("VTESTPDrr", LIEF::assembly::x86::OPCODE::VTESTPDrr)
  .value("VTESTPSYrm", LIEF::assembly::x86::OPCODE::VTESTPSYrm)
  .value("VTESTPSYrr", LIEF::assembly::x86::OPCODE::VTESTPSYrr)
  .value("VTESTPSrm", LIEF::assembly::x86::OPCODE::VTESTPSrm)
  .value("VTESTPSrr", LIEF::assembly::x86::OPCODE::VTESTPSrr)
  .value("VUCOMISDZrm", LIEF::assembly::x86::OPCODE::VUCOMISDZrm)
  .value("VUCOMISDZrm_Int", LIEF::assembly::x86::OPCODE::VUCOMISDZrm_Int)
  .value("VUCOMISDZrr", LIEF::assembly::x86::OPCODE::VUCOMISDZrr)
  .value("VUCOMISDZrr_Int", LIEF::assembly::x86::OPCODE::VUCOMISDZrr_Int)
  .value("VUCOMISDZrrb", LIEF::assembly::x86::OPCODE::VUCOMISDZrrb)
  .value("VUCOMISDrm", LIEF::assembly::x86::OPCODE::VUCOMISDrm)
  .value("VUCOMISDrm_Int", LIEF::assembly::x86::OPCODE::VUCOMISDrm_Int)
  .value("VUCOMISDrr", LIEF::assembly::x86::OPCODE::VUCOMISDrr)
  .value("VUCOMISDrr_Int", LIEF::assembly::x86::OPCODE::VUCOMISDrr_Int)
  .value("VUCOMISHZrm", LIEF::assembly::x86::OPCODE::VUCOMISHZrm)
  .value("VUCOMISHZrm_Int", LIEF::assembly::x86::OPCODE::VUCOMISHZrm_Int)
  .value("VUCOMISHZrr", LIEF::assembly::x86::OPCODE::VUCOMISHZrr)
  .value("VUCOMISHZrr_Int", LIEF::assembly::x86::OPCODE::VUCOMISHZrr_Int)
  .value("VUCOMISHZrrb", LIEF::assembly::x86::OPCODE::VUCOMISHZrrb)
  .value("VUCOMISSZrm", LIEF::assembly::x86::OPCODE::VUCOMISSZrm)
  .value("VUCOMISSZrm_Int", LIEF::assembly::x86::OPCODE::VUCOMISSZrm_Int)
  .value("VUCOMISSZrr", LIEF::assembly::x86::OPCODE::VUCOMISSZrr)
  .value("VUCOMISSZrr_Int", LIEF::assembly::x86::OPCODE::VUCOMISSZrr_Int)
  .value("VUCOMISSZrrb", LIEF::assembly::x86::OPCODE::VUCOMISSZrrb)
  .value("VUCOMISSrm", LIEF::assembly::x86::OPCODE::VUCOMISSrm)
  .value("VUCOMISSrm_Int", LIEF::assembly::x86::OPCODE::VUCOMISSrm_Int)
  .value("VUCOMISSrr", LIEF::assembly::x86::OPCODE::VUCOMISSrr)
  .value("VUCOMISSrr_Int", LIEF::assembly::x86::OPCODE::VUCOMISSrr_Int)
  .value("VUNPCKHPDYrm", LIEF::assembly::x86::OPCODE::VUNPCKHPDYrm)
  .value("VUNPCKHPDYrr", LIEF::assembly::x86::OPCODE::VUNPCKHPDYrr)
  .value("VUNPCKHPDZ128rm", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rm)
  .value("VUNPCKHPDZ128rmb", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rmb)
  .value("VUNPCKHPDZ128rmbk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rmbk)
  .value("VUNPCKHPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rmbkz)
  .value("VUNPCKHPDZ128rmk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rmk)
  .value("VUNPCKHPDZ128rmkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rmkz)
  .value("VUNPCKHPDZ128rr", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rr)
  .value("VUNPCKHPDZ128rrk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rrk)
  .value("VUNPCKHPDZ128rrkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ128rrkz)
  .value("VUNPCKHPDZ256rm", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rm)
  .value("VUNPCKHPDZ256rmb", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rmb)
  .value("VUNPCKHPDZ256rmbk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rmbk)
  .value("VUNPCKHPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rmbkz)
  .value("VUNPCKHPDZ256rmk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rmk)
  .value("VUNPCKHPDZ256rmkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rmkz)
  .value("VUNPCKHPDZ256rr", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rr)
  .value("VUNPCKHPDZ256rrk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rrk)
  .value("VUNPCKHPDZ256rrkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZ256rrkz)
  .value("VUNPCKHPDZrm", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrm)
  .value("VUNPCKHPDZrmb", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrmb)
  .value("VUNPCKHPDZrmbk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrmbk)
  .value("VUNPCKHPDZrmbkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrmbkz)
  .value("VUNPCKHPDZrmk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrmk)
  .value("VUNPCKHPDZrmkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrmkz)
  .value("VUNPCKHPDZrr", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrr)
  .value("VUNPCKHPDZrrk", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrrk)
  .value("VUNPCKHPDZrrkz", LIEF::assembly::x86::OPCODE::VUNPCKHPDZrrkz)
  .value("VUNPCKHPDrm", LIEF::assembly::x86::OPCODE::VUNPCKHPDrm)
  .value("VUNPCKHPDrr", LIEF::assembly::x86::OPCODE::VUNPCKHPDrr)
  .value("VUNPCKHPSYrm", LIEF::assembly::x86::OPCODE::VUNPCKHPSYrm)
  .value("VUNPCKHPSYrr", LIEF::assembly::x86::OPCODE::VUNPCKHPSYrr)
  .value("VUNPCKHPSZ128rm", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rm)
  .value("VUNPCKHPSZ128rmb", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rmb)
  .value("VUNPCKHPSZ128rmbk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rmbk)
  .value("VUNPCKHPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rmbkz)
  .value("VUNPCKHPSZ128rmk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rmk)
  .value("VUNPCKHPSZ128rmkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rmkz)
  .value("VUNPCKHPSZ128rr", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rr)
  .value("VUNPCKHPSZ128rrk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rrk)
  .value("VUNPCKHPSZ128rrkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ128rrkz)
  .value("VUNPCKHPSZ256rm", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rm)
  .value("VUNPCKHPSZ256rmb", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rmb)
  .value("VUNPCKHPSZ256rmbk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rmbk)
  .value("VUNPCKHPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rmbkz)
  .value("VUNPCKHPSZ256rmk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rmk)
  .value("VUNPCKHPSZ256rmkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rmkz)
  .value("VUNPCKHPSZ256rr", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rr)
  .value("VUNPCKHPSZ256rrk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rrk)
  .value("VUNPCKHPSZ256rrkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZ256rrkz)
  .value("VUNPCKHPSZrm", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrm)
  .value("VUNPCKHPSZrmb", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrmb)
  .value("VUNPCKHPSZrmbk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrmbk)
  .value("VUNPCKHPSZrmbkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrmbkz)
  .value("VUNPCKHPSZrmk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrmk)
  .value("VUNPCKHPSZrmkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrmkz)
  .value("VUNPCKHPSZrr", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrr)
  .value("VUNPCKHPSZrrk", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrrk)
  .value("VUNPCKHPSZrrkz", LIEF::assembly::x86::OPCODE::VUNPCKHPSZrrkz)
  .value("VUNPCKHPSrm", LIEF::assembly::x86::OPCODE::VUNPCKHPSrm)
  .value("VUNPCKHPSrr", LIEF::assembly::x86::OPCODE::VUNPCKHPSrr)
  .value("VUNPCKLPDYrm", LIEF::assembly::x86::OPCODE::VUNPCKLPDYrm)
  .value("VUNPCKLPDYrr", LIEF::assembly::x86::OPCODE::VUNPCKLPDYrr)
  .value("VUNPCKLPDZ128rm", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rm)
  .value("VUNPCKLPDZ128rmb", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rmb)
  .value("VUNPCKLPDZ128rmbk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rmbk)
  .value("VUNPCKLPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rmbkz)
  .value("VUNPCKLPDZ128rmk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rmk)
  .value("VUNPCKLPDZ128rmkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rmkz)
  .value("VUNPCKLPDZ128rr", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rr)
  .value("VUNPCKLPDZ128rrk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rrk)
  .value("VUNPCKLPDZ128rrkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ128rrkz)
  .value("VUNPCKLPDZ256rm", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rm)
  .value("VUNPCKLPDZ256rmb", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rmb)
  .value("VUNPCKLPDZ256rmbk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rmbk)
  .value("VUNPCKLPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rmbkz)
  .value("VUNPCKLPDZ256rmk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rmk)
  .value("VUNPCKLPDZ256rmkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rmkz)
  .value("VUNPCKLPDZ256rr", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rr)
  .value("VUNPCKLPDZ256rrk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rrk)
  .value("VUNPCKLPDZ256rrkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZ256rrkz)
  .value("VUNPCKLPDZrm", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrm)
  .value("VUNPCKLPDZrmb", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrmb)
  .value("VUNPCKLPDZrmbk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrmbk)
  .value("VUNPCKLPDZrmbkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrmbkz)
  .value("VUNPCKLPDZrmk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrmk)
  .value("VUNPCKLPDZrmkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrmkz)
  .value("VUNPCKLPDZrr", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrr)
  .value("VUNPCKLPDZrrk", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrrk)
  .value("VUNPCKLPDZrrkz", LIEF::assembly::x86::OPCODE::VUNPCKLPDZrrkz)
  .value("VUNPCKLPDrm", LIEF::assembly::x86::OPCODE::VUNPCKLPDrm)
  .value("VUNPCKLPDrr", LIEF::assembly::x86::OPCODE::VUNPCKLPDrr)
  .value("VUNPCKLPSYrm", LIEF::assembly::x86::OPCODE::VUNPCKLPSYrm)
  .value("VUNPCKLPSYrr", LIEF::assembly::x86::OPCODE::VUNPCKLPSYrr)
  .value("VUNPCKLPSZ128rm", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rm)
  .value("VUNPCKLPSZ128rmb", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rmb)
  .value("VUNPCKLPSZ128rmbk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rmbk)
  .value("VUNPCKLPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rmbkz)
  .value("VUNPCKLPSZ128rmk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rmk)
  .value("VUNPCKLPSZ128rmkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rmkz)
  .value("VUNPCKLPSZ128rr", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rr)
  .value("VUNPCKLPSZ128rrk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rrk)
  .value("VUNPCKLPSZ128rrkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ128rrkz)
  .value("VUNPCKLPSZ256rm", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rm)
  .value("VUNPCKLPSZ256rmb", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rmb)
  .value("VUNPCKLPSZ256rmbk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rmbk)
  .value("VUNPCKLPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rmbkz);
  opcodes.value("VUNPCKLPSZ256rmk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rmk)
  .value("VUNPCKLPSZ256rmkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rmkz)
  .value("VUNPCKLPSZ256rr", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rr)
  .value("VUNPCKLPSZ256rrk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rrk)
  .value("VUNPCKLPSZ256rrkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZ256rrkz)
  .value("VUNPCKLPSZrm", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrm)
  .value("VUNPCKLPSZrmb", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrmb)
  .value("VUNPCKLPSZrmbk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrmbk)
  .value("VUNPCKLPSZrmbkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrmbkz)
  .value("VUNPCKLPSZrmk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrmk)
  .value("VUNPCKLPSZrmkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrmkz)
  .value("VUNPCKLPSZrr", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrr)
  .value("VUNPCKLPSZrrk", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrrk)
  .value("VUNPCKLPSZrrkz", LIEF::assembly::x86::OPCODE::VUNPCKLPSZrrkz)
  .value("VUNPCKLPSrm", LIEF::assembly::x86::OPCODE::VUNPCKLPSrm)
  .value("VUNPCKLPSrr", LIEF::assembly::x86::OPCODE::VUNPCKLPSrr)
  .value("VXORPDYrm", LIEF::assembly::x86::OPCODE::VXORPDYrm)
  .value("VXORPDYrr", LIEF::assembly::x86::OPCODE::VXORPDYrr)
  .value("VXORPDZ128rm", LIEF::assembly::x86::OPCODE::VXORPDZ128rm)
  .value("VXORPDZ128rmb", LIEF::assembly::x86::OPCODE::VXORPDZ128rmb)
  .value("VXORPDZ128rmbk", LIEF::assembly::x86::OPCODE::VXORPDZ128rmbk)
  .value("VXORPDZ128rmbkz", LIEF::assembly::x86::OPCODE::VXORPDZ128rmbkz)
  .value("VXORPDZ128rmk", LIEF::assembly::x86::OPCODE::VXORPDZ128rmk)
  .value("VXORPDZ128rmkz", LIEF::assembly::x86::OPCODE::VXORPDZ128rmkz)
  .value("VXORPDZ128rr", LIEF::assembly::x86::OPCODE::VXORPDZ128rr)
  .value("VXORPDZ128rrk", LIEF::assembly::x86::OPCODE::VXORPDZ128rrk)
  .value("VXORPDZ128rrkz", LIEF::assembly::x86::OPCODE::VXORPDZ128rrkz)
  .value("VXORPDZ256rm", LIEF::assembly::x86::OPCODE::VXORPDZ256rm)
  .value("VXORPDZ256rmb", LIEF::assembly::x86::OPCODE::VXORPDZ256rmb)
  .value("VXORPDZ256rmbk", LIEF::assembly::x86::OPCODE::VXORPDZ256rmbk)
  .value("VXORPDZ256rmbkz", LIEF::assembly::x86::OPCODE::VXORPDZ256rmbkz)
  .value("VXORPDZ256rmk", LIEF::assembly::x86::OPCODE::VXORPDZ256rmk)
  .value("VXORPDZ256rmkz", LIEF::assembly::x86::OPCODE::VXORPDZ256rmkz)
  .value("VXORPDZ256rr", LIEF::assembly::x86::OPCODE::VXORPDZ256rr)
  .value("VXORPDZ256rrk", LIEF::assembly::x86::OPCODE::VXORPDZ256rrk)
  .value("VXORPDZ256rrkz", LIEF::assembly::x86::OPCODE::VXORPDZ256rrkz)
  .value("VXORPDZrm", LIEF::assembly::x86::OPCODE::VXORPDZrm)
  .value("VXORPDZrmb", LIEF::assembly::x86::OPCODE::VXORPDZrmb)
  .value("VXORPDZrmbk", LIEF::assembly::x86::OPCODE::VXORPDZrmbk)
  .value("VXORPDZrmbkz", LIEF::assembly::x86::OPCODE::VXORPDZrmbkz)
  .value("VXORPDZrmk", LIEF::assembly::x86::OPCODE::VXORPDZrmk)
  .value("VXORPDZrmkz", LIEF::assembly::x86::OPCODE::VXORPDZrmkz)
  .value("VXORPDZrr", LIEF::assembly::x86::OPCODE::VXORPDZrr)
  .value("VXORPDZrrk", LIEF::assembly::x86::OPCODE::VXORPDZrrk)
  .value("VXORPDZrrkz", LIEF::assembly::x86::OPCODE::VXORPDZrrkz)
  .value("VXORPDrm", LIEF::assembly::x86::OPCODE::VXORPDrm)
  .value("VXORPDrr", LIEF::assembly::x86::OPCODE::VXORPDrr)
  .value("VXORPSYrm", LIEF::assembly::x86::OPCODE::VXORPSYrm)
  .value("VXORPSYrr", LIEF::assembly::x86::OPCODE::VXORPSYrr)
  .value("VXORPSZ128rm", LIEF::assembly::x86::OPCODE::VXORPSZ128rm)
  .value("VXORPSZ128rmb", LIEF::assembly::x86::OPCODE::VXORPSZ128rmb)
  .value("VXORPSZ128rmbk", LIEF::assembly::x86::OPCODE::VXORPSZ128rmbk)
  .value("VXORPSZ128rmbkz", LIEF::assembly::x86::OPCODE::VXORPSZ128rmbkz)
  .value("VXORPSZ128rmk", LIEF::assembly::x86::OPCODE::VXORPSZ128rmk)
  .value("VXORPSZ128rmkz", LIEF::assembly::x86::OPCODE::VXORPSZ128rmkz)
  .value("VXORPSZ128rr", LIEF::assembly::x86::OPCODE::VXORPSZ128rr)
  .value("VXORPSZ128rrk", LIEF::assembly::x86::OPCODE::VXORPSZ128rrk)
  .value("VXORPSZ128rrkz", LIEF::assembly::x86::OPCODE::VXORPSZ128rrkz)
  .value("VXORPSZ256rm", LIEF::assembly::x86::OPCODE::VXORPSZ256rm)
  .value("VXORPSZ256rmb", LIEF::assembly::x86::OPCODE::VXORPSZ256rmb)
  .value("VXORPSZ256rmbk", LIEF::assembly::x86::OPCODE::VXORPSZ256rmbk)
  .value("VXORPSZ256rmbkz", LIEF::assembly::x86::OPCODE::VXORPSZ256rmbkz)
  .value("VXORPSZ256rmk", LIEF::assembly::x86::OPCODE::VXORPSZ256rmk)
  .value("VXORPSZ256rmkz", LIEF::assembly::x86::OPCODE::VXORPSZ256rmkz)
  .value("VXORPSZ256rr", LIEF::assembly::x86::OPCODE::VXORPSZ256rr)
  .value("VXORPSZ256rrk", LIEF::assembly::x86::OPCODE::VXORPSZ256rrk)
  .value("VXORPSZ256rrkz", LIEF::assembly::x86::OPCODE::VXORPSZ256rrkz)
  .value("VXORPSZrm", LIEF::assembly::x86::OPCODE::VXORPSZrm)
  .value("VXORPSZrmb", LIEF::assembly::x86::OPCODE::VXORPSZrmb)
  .value("VXORPSZrmbk", LIEF::assembly::x86::OPCODE::VXORPSZrmbk)
  .value("VXORPSZrmbkz", LIEF::assembly::x86::OPCODE::VXORPSZrmbkz)
  .value("VXORPSZrmk", LIEF::assembly::x86::OPCODE::VXORPSZrmk)
  .value("VXORPSZrmkz", LIEF::assembly::x86::OPCODE::VXORPSZrmkz)
  .value("VXORPSZrr", LIEF::assembly::x86::OPCODE::VXORPSZrr)
  .value("VXORPSZrrk", LIEF::assembly::x86::OPCODE::VXORPSZrrk)
  .value("VXORPSZrrkz", LIEF::assembly::x86::OPCODE::VXORPSZrrkz)
  .value("VXORPSrm", LIEF::assembly::x86::OPCODE::VXORPSrm)
  .value("VXORPSrr", LIEF::assembly::x86::OPCODE::VXORPSrr)
  .value("VZEROALL", LIEF::assembly::x86::OPCODE::VZEROALL)
  .value("VZEROUPPER", LIEF::assembly::x86::OPCODE::VZEROUPPER)
  .value("WAIT", LIEF::assembly::x86::OPCODE::WAIT)
  .value("WBINVD", LIEF::assembly::x86::OPCODE::WBINVD)
  .value("WBNOINVD", LIEF::assembly::x86::OPCODE::WBNOINVD)
  .value("WRFSBASE", LIEF::assembly::x86::OPCODE::WRFSBASE)
  .value("WRFSBASE64", LIEF::assembly::x86::OPCODE::WRFSBASE64)
  .value("WRGSBASE", LIEF::assembly::x86::OPCODE::WRGSBASE)
  .value("WRGSBASE64", LIEF::assembly::x86::OPCODE::WRGSBASE64)
  .value("WRMSR", LIEF::assembly::x86::OPCODE::WRMSR)
  .value("WRMSRLIST", LIEF::assembly::x86::OPCODE::WRMSRLIST)
  .value("WRMSRNS", LIEF::assembly::x86::OPCODE::WRMSRNS)
  .value("WRPKRUr", LIEF::assembly::x86::OPCODE::WRPKRUr)
  .value("WRSSD", LIEF::assembly::x86::OPCODE::WRSSD)
  .value("WRSSD_EVEX", LIEF::assembly::x86::OPCODE::WRSSD_EVEX)
  .value("WRSSQ", LIEF::assembly::x86::OPCODE::WRSSQ)
  .value("WRSSQ_EVEX", LIEF::assembly::x86::OPCODE::WRSSQ_EVEX)
  .value("WRUSSD", LIEF::assembly::x86::OPCODE::WRUSSD)
  .value("WRUSSD_EVEX", LIEF::assembly::x86::OPCODE::WRUSSD_EVEX)
  .value("WRUSSQ", LIEF::assembly::x86::OPCODE::WRUSSQ)
  .value("WRUSSQ_EVEX", LIEF::assembly::x86::OPCODE::WRUSSQ_EVEX)
  .value("XABORT", LIEF::assembly::x86::OPCODE::XABORT)
  .value("XACQUIRE_PREFIX", LIEF::assembly::x86::OPCODE::XACQUIRE_PREFIX)
  .value("XADD16rm", LIEF::assembly::x86::OPCODE::XADD16rm)
  .value("XADD16rr", LIEF::assembly::x86::OPCODE::XADD16rr)
  .value("XADD32rm", LIEF::assembly::x86::OPCODE::XADD32rm)
  .value("XADD32rr", LIEF::assembly::x86::OPCODE::XADD32rr)
  .value("XADD64rm", LIEF::assembly::x86::OPCODE::XADD64rm)
  .value("XADD64rr", LIEF::assembly::x86::OPCODE::XADD64rr)
  .value("XADD8rm", LIEF::assembly::x86::OPCODE::XADD8rm)
  .value("XADD8rr", LIEF::assembly::x86::OPCODE::XADD8rr)
  .value("XAM_F", LIEF::assembly::x86::OPCODE::XAM_F)
  .value("XAM_Fp32", LIEF::assembly::x86::OPCODE::XAM_Fp32)
  .value("XAM_Fp64", LIEF::assembly::x86::OPCODE::XAM_Fp64)
  .value("XAM_Fp80", LIEF::assembly::x86::OPCODE::XAM_Fp80)
  .value("XBEGIN", LIEF::assembly::x86::OPCODE::XBEGIN)
  .value("XBEGIN_2", LIEF::assembly::x86::OPCODE::XBEGIN_2)
  .value("XBEGIN_4", LIEF::assembly::x86::OPCODE::XBEGIN_4)
  .value("XCHG16ar", LIEF::assembly::x86::OPCODE::XCHG16ar)
  .value("XCHG16rm", LIEF::assembly::x86::OPCODE::XCHG16rm)
  .value("XCHG16rr", LIEF::assembly::x86::OPCODE::XCHG16rr)
  .value("XCHG32ar", LIEF::assembly::x86::OPCODE::XCHG32ar)
  .value("XCHG32rm", LIEF::assembly::x86::OPCODE::XCHG32rm)
  .value("XCHG32rr", LIEF::assembly::x86::OPCODE::XCHG32rr)
  .value("XCHG64ar", LIEF::assembly::x86::OPCODE::XCHG64ar)
  .value("XCHG64rm", LIEF::assembly::x86::OPCODE::XCHG64rm)
  .value("XCHG64rr", LIEF::assembly::x86::OPCODE::XCHG64rr)
  .value("XCHG8rm", LIEF::assembly::x86::OPCODE::XCHG8rm)
  .value("XCHG8rr", LIEF::assembly::x86::OPCODE::XCHG8rr)
  .value("XCH_F", LIEF::assembly::x86::OPCODE::XCH_F)
  .value("XCRYPTCBC", LIEF::assembly::x86::OPCODE::XCRYPTCBC)
  .value("XCRYPTCFB", LIEF::assembly::x86::OPCODE::XCRYPTCFB)
  .value("XCRYPTCTR", LIEF::assembly::x86::OPCODE::XCRYPTCTR)
  .value("XCRYPTECB", LIEF::assembly::x86::OPCODE::XCRYPTECB)
  .value("XCRYPTOFB", LIEF::assembly::x86::OPCODE::XCRYPTOFB)
  .value("XEND", LIEF::assembly::x86::OPCODE::XEND)
  .value("XGETBV", LIEF::assembly::x86::OPCODE::XGETBV)
  .value("XLAT", LIEF::assembly::x86::OPCODE::XLAT)
  .value("XOR16i16", LIEF::assembly::x86::OPCODE::XOR16i16)
  .value("XOR16mi", LIEF::assembly::x86::OPCODE::XOR16mi)
  .value("XOR16mi8", LIEF::assembly::x86::OPCODE::XOR16mi8)
  .value("XOR16mi8_EVEX", LIEF::assembly::x86::OPCODE::XOR16mi8_EVEX)
  .value("XOR16mi8_ND", LIEF::assembly::x86::OPCODE::XOR16mi8_ND)
  .value("XOR16mi8_NF", LIEF::assembly::x86::OPCODE::XOR16mi8_NF)
  .value("XOR16mi8_NF_ND", LIEF::assembly::x86::OPCODE::XOR16mi8_NF_ND)
  .value("XOR16mi_EVEX", LIEF::assembly::x86::OPCODE::XOR16mi_EVEX)
  .value("XOR16mi_ND", LIEF::assembly::x86::OPCODE::XOR16mi_ND)
  .value("XOR16mi_NF", LIEF::assembly::x86::OPCODE::XOR16mi_NF)
  .value("XOR16mi_NF_ND", LIEF::assembly::x86::OPCODE::XOR16mi_NF_ND)
  .value("XOR16mr", LIEF::assembly::x86::OPCODE::XOR16mr)
  .value("XOR16mr_EVEX", LIEF::assembly::x86::OPCODE::XOR16mr_EVEX)
  .value("XOR16mr_ND", LIEF::assembly::x86::OPCODE::XOR16mr_ND)
  .value("XOR16mr_NF", LIEF::assembly::x86::OPCODE::XOR16mr_NF)
  .value("XOR16mr_NF_ND", LIEF::assembly::x86::OPCODE::XOR16mr_NF_ND)
  .value("XOR16ri", LIEF::assembly::x86::OPCODE::XOR16ri)
  .value("XOR16ri8", LIEF::assembly::x86::OPCODE::XOR16ri8)
  .value("XOR16ri8_EVEX", LIEF::assembly::x86::OPCODE::XOR16ri8_EVEX)
  .value("XOR16ri8_ND", LIEF::assembly::x86::OPCODE::XOR16ri8_ND)
  .value("XOR16ri8_NF", LIEF::assembly::x86::OPCODE::XOR16ri8_NF)
  .value("XOR16ri8_NF_ND", LIEF::assembly::x86::OPCODE::XOR16ri8_NF_ND)
  .value("XOR16ri_EVEX", LIEF::assembly::x86::OPCODE::XOR16ri_EVEX)
  .value("XOR16ri_ND", LIEF::assembly::x86::OPCODE::XOR16ri_ND)
  .value("XOR16ri_NF", LIEF::assembly::x86::OPCODE::XOR16ri_NF)
  .value("XOR16ri_NF_ND", LIEF::assembly::x86::OPCODE::XOR16ri_NF_ND)
  .value("XOR16rm", LIEF::assembly::x86::OPCODE::XOR16rm)
  .value("XOR16rm_EVEX", LIEF::assembly::x86::OPCODE::XOR16rm_EVEX)
  .value("XOR16rm_ND", LIEF::assembly::x86::OPCODE::XOR16rm_ND)
  .value("XOR16rm_NF", LIEF::assembly::x86::OPCODE::XOR16rm_NF)
  .value("XOR16rm_NF_ND", LIEF::assembly::x86::OPCODE::XOR16rm_NF_ND)
  .value("XOR16rr", LIEF::assembly::x86::OPCODE::XOR16rr)
  .value("XOR16rr_EVEX", LIEF::assembly::x86::OPCODE::XOR16rr_EVEX)
  .value("XOR16rr_EVEX_REV", LIEF::assembly::x86::OPCODE::XOR16rr_EVEX_REV)
  .value("XOR16rr_ND", LIEF::assembly::x86::OPCODE::XOR16rr_ND)
  .value("XOR16rr_ND_REV", LIEF::assembly::x86::OPCODE::XOR16rr_ND_REV)
  .value("XOR16rr_NF", LIEF::assembly::x86::OPCODE::XOR16rr_NF)
  .value("XOR16rr_NF_ND", LIEF::assembly::x86::OPCODE::XOR16rr_NF_ND)
  .value("XOR16rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::XOR16rr_NF_ND_REV)
  .value("XOR16rr_NF_REV", LIEF::assembly::x86::OPCODE::XOR16rr_NF_REV)
  .value("XOR16rr_REV", LIEF::assembly::x86::OPCODE::XOR16rr_REV)
  .value("XOR32i32", LIEF::assembly::x86::OPCODE::XOR32i32)
  .value("XOR32mi", LIEF::assembly::x86::OPCODE::XOR32mi)
  .value("XOR32mi8", LIEF::assembly::x86::OPCODE::XOR32mi8)
  .value("XOR32mi8_EVEX", LIEF::assembly::x86::OPCODE::XOR32mi8_EVEX)
  .value("XOR32mi8_ND", LIEF::assembly::x86::OPCODE::XOR32mi8_ND)
  .value("XOR32mi8_NF", LIEF::assembly::x86::OPCODE::XOR32mi8_NF)
  .value("XOR32mi8_NF_ND", LIEF::assembly::x86::OPCODE::XOR32mi8_NF_ND)
  .value("XOR32mi_EVEX", LIEF::assembly::x86::OPCODE::XOR32mi_EVEX)
  .value("XOR32mi_ND", LIEF::assembly::x86::OPCODE::XOR32mi_ND)
  .value("XOR32mi_NF", LIEF::assembly::x86::OPCODE::XOR32mi_NF)
  .value("XOR32mi_NF_ND", LIEF::assembly::x86::OPCODE::XOR32mi_NF_ND)
  .value("XOR32mr", LIEF::assembly::x86::OPCODE::XOR32mr)
  .value("XOR32mr_EVEX", LIEF::assembly::x86::OPCODE::XOR32mr_EVEX)
  .value("XOR32mr_ND", LIEF::assembly::x86::OPCODE::XOR32mr_ND)
  .value("XOR32mr_NF", LIEF::assembly::x86::OPCODE::XOR32mr_NF)
  .value("XOR32mr_NF_ND", LIEF::assembly::x86::OPCODE::XOR32mr_NF_ND)
  .value("XOR32ri", LIEF::assembly::x86::OPCODE::XOR32ri)
  .value("XOR32ri8", LIEF::assembly::x86::OPCODE::XOR32ri8)
  .value("XOR32ri8_EVEX", LIEF::assembly::x86::OPCODE::XOR32ri8_EVEX)
  .value("XOR32ri8_ND", LIEF::assembly::x86::OPCODE::XOR32ri8_ND)
  .value("XOR32ri8_NF", LIEF::assembly::x86::OPCODE::XOR32ri8_NF)
  .value("XOR32ri8_NF_ND", LIEF::assembly::x86::OPCODE::XOR32ri8_NF_ND)
  .value("XOR32ri_EVEX", LIEF::assembly::x86::OPCODE::XOR32ri_EVEX)
  .value("XOR32ri_ND", LIEF::assembly::x86::OPCODE::XOR32ri_ND)
  .value("XOR32ri_NF", LIEF::assembly::x86::OPCODE::XOR32ri_NF)
  .value("XOR32ri_NF_ND", LIEF::assembly::x86::OPCODE::XOR32ri_NF_ND)
  .value("XOR32rm", LIEF::assembly::x86::OPCODE::XOR32rm)
  .value("XOR32rm_EVEX", LIEF::assembly::x86::OPCODE::XOR32rm_EVEX)
  .value("XOR32rm_ND", LIEF::assembly::x86::OPCODE::XOR32rm_ND)
  .value("XOR32rm_NF", LIEF::assembly::x86::OPCODE::XOR32rm_NF)
  .value("XOR32rm_NF_ND", LIEF::assembly::x86::OPCODE::XOR32rm_NF_ND)
  .value("XOR32rr", LIEF::assembly::x86::OPCODE::XOR32rr)
  .value("XOR32rr_EVEX", LIEF::assembly::x86::OPCODE::XOR32rr_EVEX)
  .value("XOR32rr_EVEX_REV", LIEF::assembly::x86::OPCODE::XOR32rr_EVEX_REV)
  .value("XOR32rr_ND", LIEF::assembly::x86::OPCODE::XOR32rr_ND)
  .value("XOR32rr_ND_REV", LIEF::assembly::x86::OPCODE::XOR32rr_ND_REV)
  .value("XOR32rr_NF", LIEF::assembly::x86::OPCODE::XOR32rr_NF)
  .value("XOR32rr_NF_ND", LIEF::assembly::x86::OPCODE::XOR32rr_NF_ND)
  .value("XOR32rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::XOR32rr_NF_ND_REV)
  .value("XOR32rr_NF_REV", LIEF::assembly::x86::OPCODE::XOR32rr_NF_REV)
  .value("XOR32rr_REV", LIEF::assembly::x86::OPCODE::XOR32rr_REV)
  .value("XOR64i32", LIEF::assembly::x86::OPCODE::XOR64i32)
  .value("XOR64mi32", LIEF::assembly::x86::OPCODE::XOR64mi32)
  .value("XOR64mi32_EVEX", LIEF::assembly::x86::OPCODE::XOR64mi32_EVEX)
  .value("XOR64mi32_ND", LIEF::assembly::x86::OPCODE::XOR64mi32_ND)
  .value("XOR64mi32_NF", LIEF::assembly::x86::OPCODE::XOR64mi32_NF)
  .value("XOR64mi32_NF_ND", LIEF::assembly::x86::OPCODE::XOR64mi32_NF_ND)
  .value("XOR64mi8", LIEF::assembly::x86::OPCODE::XOR64mi8)
  .value("XOR64mi8_EVEX", LIEF::assembly::x86::OPCODE::XOR64mi8_EVEX)
  .value("XOR64mi8_ND", LIEF::assembly::x86::OPCODE::XOR64mi8_ND)
  .value("XOR64mi8_NF", LIEF::assembly::x86::OPCODE::XOR64mi8_NF)
  .value("XOR64mi8_NF_ND", LIEF::assembly::x86::OPCODE::XOR64mi8_NF_ND)
  .value("XOR64mr", LIEF::assembly::x86::OPCODE::XOR64mr)
  .value("XOR64mr_EVEX", LIEF::assembly::x86::OPCODE::XOR64mr_EVEX)
  .value("XOR64mr_ND", LIEF::assembly::x86::OPCODE::XOR64mr_ND)
  .value("XOR64mr_NF", LIEF::assembly::x86::OPCODE::XOR64mr_NF)
  .value("XOR64mr_NF_ND", LIEF::assembly::x86::OPCODE::XOR64mr_NF_ND)
  .value("XOR64ri32", LIEF::assembly::x86::OPCODE::XOR64ri32)
  .value("XOR64ri32_EVEX", LIEF::assembly::x86::OPCODE::XOR64ri32_EVEX)
  .value("XOR64ri32_ND", LIEF::assembly::x86::OPCODE::XOR64ri32_ND)
  .value("XOR64ri32_NF", LIEF::assembly::x86::OPCODE::XOR64ri32_NF)
  .value("XOR64ri32_NF_ND", LIEF::assembly::x86::OPCODE::XOR64ri32_NF_ND)
  .value("XOR64ri8", LIEF::assembly::x86::OPCODE::XOR64ri8)
  .value("XOR64ri8_EVEX", LIEF::assembly::x86::OPCODE::XOR64ri8_EVEX)
  .value("XOR64ri8_ND", LIEF::assembly::x86::OPCODE::XOR64ri8_ND)
  .value("XOR64ri8_NF", LIEF::assembly::x86::OPCODE::XOR64ri8_NF)
  .value("XOR64ri8_NF_ND", LIEF::assembly::x86::OPCODE::XOR64ri8_NF_ND)
  .value("XOR64rm", LIEF::assembly::x86::OPCODE::XOR64rm)
  .value("XOR64rm_EVEX", LIEF::assembly::x86::OPCODE::XOR64rm_EVEX)
  .value("XOR64rm_ND", LIEF::assembly::x86::OPCODE::XOR64rm_ND)
  .value("XOR64rm_NF", LIEF::assembly::x86::OPCODE::XOR64rm_NF)
  .value("XOR64rm_NF_ND", LIEF::assembly::x86::OPCODE::XOR64rm_NF_ND)
  .value("XOR64rr", LIEF::assembly::x86::OPCODE::XOR64rr)
  .value("XOR64rr_EVEX", LIEF::assembly::x86::OPCODE::XOR64rr_EVEX)
  .value("XOR64rr_EVEX_REV", LIEF::assembly::x86::OPCODE::XOR64rr_EVEX_REV)
  .value("XOR64rr_ND", LIEF::assembly::x86::OPCODE::XOR64rr_ND)
  .value("XOR64rr_ND_REV", LIEF::assembly::x86::OPCODE::XOR64rr_ND_REV)
  .value("XOR64rr_NF", LIEF::assembly::x86::OPCODE::XOR64rr_NF)
  .value("XOR64rr_NF_ND", LIEF::assembly::x86::OPCODE::XOR64rr_NF_ND)
  .value("XOR64rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::XOR64rr_NF_ND_REV)
  .value("XOR64rr_NF_REV", LIEF::assembly::x86::OPCODE::XOR64rr_NF_REV)
  .value("XOR64rr_REV", LIEF::assembly::x86::OPCODE::XOR64rr_REV)
  .value("XOR8i8", LIEF::assembly::x86::OPCODE::XOR8i8)
  .value("XOR8mi", LIEF::assembly::x86::OPCODE::XOR8mi)
  .value("XOR8mi8", LIEF::assembly::x86::OPCODE::XOR8mi8)
  .value("XOR8mi_EVEX", LIEF::assembly::x86::OPCODE::XOR8mi_EVEX)
  .value("XOR8mi_ND", LIEF::assembly::x86::OPCODE::XOR8mi_ND)
  .value("XOR8mi_NF", LIEF::assembly::x86::OPCODE::XOR8mi_NF)
  .value("XOR8mi_NF_ND", LIEF::assembly::x86::OPCODE::XOR8mi_NF_ND)
  .value("XOR8mr", LIEF::assembly::x86::OPCODE::XOR8mr)
  .value("XOR8mr_EVEX", LIEF::assembly::x86::OPCODE::XOR8mr_EVEX)
  .value("XOR8mr_ND", LIEF::assembly::x86::OPCODE::XOR8mr_ND)
  .value("XOR8mr_NF", LIEF::assembly::x86::OPCODE::XOR8mr_NF)
  .value("XOR8mr_NF_ND", LIEF::assembly::x86::OPCODE::XOR8mr_NF_ND)
  .value("XOR8ri", LIEF::assembly::x86::OPCODE::XOR8ri)
  .value("XOR8ri8", LIEF::assembly::x86::OPCODE::XOR8ri8)
  .value("XOR8ri_EVEX", LIEF::assembly::x86::OPCODE::XOR8ri_EVEX)
  .value("XOR8ri_ND", LIEF::assembly::x86::OPCODE::XOR8ri_ND)
  .value("XOR8ri_NF", LIEF::assembly::x86::OPCODE::XOR8ri_NF)
  .value("XOR8ri_NF_ND", LIEF::assembly::x86::OPCODE::XOR8ri_NF_ND)
  .value("XOR8rm", LIEF::assembly::x86::OPCODE::XOR8rm)
  .value("XOR8rm_EVEX", LIEF::assembly::x86::OPCODE::XOR8rm_EVEX)
  .value("XOR8rm_ND", LIEF::assembly::x86::OPCODE::XOR8rm_ND)
  .value("XOR8rm_NF", LIEF::assembly::x86::OPCODE::XOR8rm_NF)
  .value("XOR8rm_NF_ND", LIEF::assembly::x86::OPCODE::XOR8rm_NF_ND)
  .value("XOR8rr", LIEF::assembly::x86::OPCODE::XOR8rr)
  .value("XOR8rr_EVEX", LIEF::assembly::x86::OPCODE::XOR8rr_EVEX)
  .value("XOR8rr_EVEX_REV", LIEF::assembly::x86::OPCODE::XOR8rr_EVEX_REV)
  .value("XOR8rr_ND", LIEF::assembly::x86::OPCODE::XOR8rr_ND)
  .value("XOR8rr_ND_REV", LIEF::assembly::x86::OPCODE::XOR8rr_ND_REV)
  .value("XOR8rr_NF", LIEF::assembly::x86::OPCODE::XOR8rr_NF)
  .value("XOR8rr_NF_ND", LIEF::assembly::x86::OPCODE::XOR8rr_NF_ND)
  .value("XOR8rr_NF_ND_REV", LIEF::assembly::x86::OPCODE::XOR8rr_NF_ND_REV)
  .value("XOR8rr_NF_REV", LIEF::assembly::x86::OPCODE::XOR8rr_NF_REV)
  .value("XOR8rr_NOREX", LIEF::assembly::x86::OPCODE::XOR8rr_NOREX)
  .value("XOR8rr_REV", LIEF::assembly::x86::OPCODE::XOR8rr_REV)
  .value("XORPDrm", LIEF::assembly::x86::OPCODE::XORPDrm)
  .value("XORPDrr", LIEF::assembly::x86::OPCODE::XORPDrr)
  .value("XORPSrm", LIEF::assembly::x86::OPCODE::XORPSrm)
  .value("XORPSrr", LIEF::assembly::x86::OPCODE::XORPSrr)
  .value("XRELEASE_PREFIX", LIEF::assembly::x86::OPCODE::XRELEASE_PREFIX)
  .value("XRESLDTRK", LIEF::assembly::x86::OPCODE::XRESLDTRK)
  .value("XRSTOR", LIEF::assembly::x86::OPCODE::XRSTOR);
  opcodes.value("XRSTOR64", LIEF::assembly::x86::OPCODE::XRSTOR64)
  .value("XRSTORS", LIEF::assembly::x86::OPCODE::XRSTORS)
  .value("XRSTORS64", LIEF::assembly::x86::OPCODE::XRSTORS64)
  .value("XSAVE", LIEF::assembly::x86::OPCODE::XSAVE)
  .value("XSAVE64", LIEF::assembly::x86::OPCODE::XSAVE64)
  .value("XSAVEC", LIEF::assembly::x86::OPCODE::XSAVEC)
  .value("XSAVEC64", LIEF::assembly::x86::OPCODE::XSAVEC64)
  .value("XSAVEOPT", LIEF::assembly::x86::OPCODE::XSAVEOPT)
  .value("XSAVEOPT64", LIEF::assembly::x86::OPCODE::XSAVEOPT64)
  .value("XSAVES", LIEF::assembly::x86::OPCODE::XSAVES)
  .value("XSAVES64", LIEF::assembly::x86::OPCODE::XSAVES64)
  .value("XSETBV", LIEF::assembly::x86::OPCODE::XSETBV)
  .value("XSHA1", LIEF::assembly::x86::OPCODE::XSHA1)
  .value("XSHA256", LIEF::assembly::x86::OPCODE::XSHA256)
  .value("XSTORE", LIEF::assembly::x86::OPCODE::XSTORE)
  .value("XSUSLDTRK", LIEF::assembly::x86::OPCODE::XSUSLDTRK)
  .value("XTEST", LIEF::assembly::x86::OPCODE::XTEST)
  .value("INSTRUCTION_LIST_END", LIEF::assembly::x86::OPCODE::INSTRUCTION_LIST_END)
  ;
}
}
